<?php
session_start();

// $user_id = '44';

if (!(isset($_SESSION['id']))) {
    header("Location: index.php");
} else {
    $user_id = $_SESSION['id'];
}

$randStr = rand();
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Job Details</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <!-- <link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css"> -->
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
    
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!--SweetAlert-->
    <!--<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>-->
    <style>
        /* body {
            background-color: lavender;
        } */
        .full-screen-card {
            width: 80vw;
            /* Full width of the viewport */
            /* height: 100vh; Full height of the viewport */
            margin: 0;
            /* Remove any margins */
            padding: 20px;
            /* Add some padding if needed */
            box-sizing: border-box;
            /* Ensure padding and border are included in the width and height */
        }

        .form-control.dark-border {
            border: 1px solid #343a40;
            /* Darker border color */
        }

        .close {
            cursor: pointer;
        }

        .modal_1 {
            display: none;
            /* Hidden by default */
            position: fixed;
            /* Stay in place */
            z-index: 1;
            /* Sit on top */
            padding-top: 20px;
            /* Location of the box*/
            left: 0;
            top: 50px;
            width: 100%;
            /* Full width */
            /*min-width: 350px;*/
            height: 100%;
            /* Full height */
            overflow: auto;
            /*Enable scroll if needed*/
            background-color: rgb(0, 0, 0);
            /* Fallback color */
            background-color: rgba(0, 0, 0, 0.4);
            /* Black w/ opacity */
        }

        /* Modal Content */
        .modal-content-1 {
            background-color: #fefefe;
            margin: auto;
            padding: 20px;
            border: 1px solid #888;
            width: 45%;
        }


        .close:focus {

            text-decoration: none;
            cursor: pointer;
        }

        .close:hover {
            color: #6f6f6f;
            font-weight: bold;
        }
    </style>
</head>

<body>
    <div class="container-scroller">

        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/header.php'; ?>
        </div>

        <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
            <!-- partial:partials/_settings-panel.html -->

            <div id="right-sidebar" class="settings-panel">
                <i class="settings-close typcn typcn-times"></i>
                <ul class="nav nav-tabs" id="setting-panel" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>
                    </li>
                </ul>
                <div class="tab-content" id="setting-content">

                </div>
            </div>
            <!-- partial -->
            <!-- partial:partials/_sidebar.html -->
            <?php include 'includes/sidebar.php'; ?>
            <?php include 'includes/modal_basic_01.php'; ?>
            <!-- partial -->

            <div class="main-panel">

                <!-- Content Wrapper. Contains page content -->
                <div class="main-panel">
                    <!-- Content Wrapper. Contains page content -->
                    <div class="content-wrapper">
                        <!-- Card -->
                        <div class="card full-screen-card">
                            <div class="card-body">
                                <h4>Job Details</h4>
                            </div>
                            <div class="card-body">
                                <!-- Main content -->
                                <div class="content">
                                    <div class="panel-body">

                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label">From</label>
                                                    <label><em style="color: red">* </em></label><br>
                                                    <input type="date" class="form-control dark-border" id="fromDate" name="fromDate">
                                                    <span style="margin-left:10px;font-weight:bold" id="err-fromdate"></span>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label">To</label>
                                                    <!-- <label><p style="color: red">* </p></label> <span style="margin-left:10px;font-weight:bold" id="err-todate"></span><br> -->
                                                    <input type="date" class="form-control dark-border" id="toDate" name="toDate">
                                                    <input type="hidden" class="form-control" id="from" name="from">
                                                    <input type="hidden" class="form-control" id="to" name="to">
                                                    <input type="hidden" class="form-control" id="jobid" name="jobid">
                                                    <input type="hidden" class="form-control" id="brandid" name="brandid">
                                                    <input type="hidden" class="form-control" id="job_id_fair" name="job_id_fair">

                                                    <input style="margin-top: 20px" type="button" class="btn btn-primary" id="ok" name="ok" value="Ok">
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div style="margin-top:20px" class="col-md-12">
                                                <div class="table-responsive pt-3">
                                                    <table class="table table-striped">
                                                        <thead>
                                                            <tr>
                                                                <th>Id</th>
                                                                <th>Job Id</th>
                                                                <th>Brand Name</th>
                                                                <th>Functional Role</th>
                                                                <th>Minimum Salary</th>
                                                                <th>Maximum Salary</th>
                                                                <th>Qualification</th>
                                                                <th>Is CSC</th>
                                                                <th>Is Active</th>
                                                                <th>Cities</th>
                                                                <th>Add City</th>
                                                                <th>View Job</th>
                                                                <th>Clone Job</th>
                                                                <th>Delete Job</th>
                                                                <!-- <th>Add to CSC</th> -->
                                                                <th>Update as Active/<br>InActive</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody id="result">
                                                        </tbody>
                                                    </table>
                                                    <div class="pagination"></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- /.card -->
                        </section>
                        <!-- Modal -->
                        <!--     <div class="modal fade" id="myModal" role="dialog">-->
                        <!--        <div class="modal-dialog">-->

                        <!--Modal content -->
                        <!--             <div class="modal-content">-->
                        <!--                <div class="modal-header">-->
                        <!--                    <button type="button" class="close" data-dismiss="modal">&times;</button>-->
                        <!--                </div>-->
                        <!--                <div class="modal-body">-->
                        <!--                    <div class="row">-->
                        <!--                        <div class="col-md-12">-->

                        <!--                            <form name="formname" method="post">-->

                        <!--                                <div class="col-md-12">-->

                        <!--                                    <label style="font-size: 20px;margin-left: 120px">Are You sure want to delete the job?</label>-->

                        <!--                                </div>-->

                        <!--                                <div class="col-md-12" style="margin-left: 180px">-->
                        <!--                                    <input type="button" class="btn btn-default" data-dismiss="modal" value="NO" style="font-weight:bold;margin-top: 20px;">-->
                        <!--                                    <input type="button" class="btn btn-primary" style="margin-top:20px;font-weight:bold;margin-left: 20px" id="submit_delete_job" name="submit_delete_job" value="YES"><br>-->

                        <!--                                </div>-->
                        <!--                            </form>-->
                        <!--                        </div>-->
                        <!--                    </div>-->
                        <!--                </div>-->

                        <!--            </div>-->

                        <!--        </div>-->
                        <!--</div>-->
                        <!--End Modal-->
                        <!-- City Modal Start -->
                        <div id="myModalCity" class="modal_1">

                            <div class="modal-content-1">
                                <span style="font-size: 20px">Add Cities</span>
                                <span class="close" id="close_city" style="float: right; color: black;font-size: 25px;font-weight: bold;">&times;</span>
                                <hr style="margin-top: 5px;border: .5px solid black;width: 100%;">

                                <!--<div class="row">-->
                                <!--                  <div class="col-md-1"></div>-->
                                <!--                  <div class="col-md-10">-->
                                <!--                    <div class="form-group row">-->
                                <!--<label class="col-sm-3 col-form-label"><span style="color: red;font-size:12px;">* </span>Languages:</label><br>-->
                                <!--                    <label class="col-form-label"><span style="color: red;font-size:12px;">* </span>Languages:</label><br>-->
                                <!--<div class="col-sm-9">-->
                                <!--                      <select class="js-example-basic-multiple w-100" id="language" name="language" multiple="multiple"-->
                                <!--                        <option value="">Select Languages</option>-->
                                <!--                        <option>English</option>-->
                                <!--                        <option>Tamil</option>-->
                                <!--                        <option>Hindi</option>-->
                                <!--                        <option>Telugu</option>-->
                                <!--                        <option>Kannada</option>-->
                                <!--                        <option>Marathi</option>-->
                                <!--                        <option>Gujarati</option>-->
                                <!--                        <option>Urdu</option>-->
                                <!--                        <option>Bengali</option>-->

                                <!--                      </select>-->
                                <!--</div>-->
                                <!--                    <span style="color: red" class="errorText errLanguages"></span>-->
                                <!--                  </div>-->
                                <!--                  </div>-->
                                <!--                  <div class="col-md-1"></div>-->
                                <!--                </div>-->
                                <!--                <div class="row">-->
                                <!--                  <div class="col-md-1"></div>-->
                                <!--                  <div class="col-md-10">-->
                                <!--                    <div class="form-group row">-->
                                <!--<label class="col-sm-3 col-form-label"><span style="color: red;font-size:12px;">* </span>Languages:</label><br>-->
                                <!--                    <label class="col-form-label"><span style="color: red;font-size:12px;">* </span>Input Type:</label><br>-->
                                <!--<div class="col-sm-9">-->
                                <!--                      <input type="text" class="form-control" id="language" name="language"/><br>-->
                                <!--                      <select class="js-example-basic-multiple w-100" id="cities" name="cities" multiple="multiple">-->
                                <!--                                        </select>-->
                                <!--</div>-->
                                <!--                    <span style="color: red" class="errorText errLanguages"></span>-->
                                <!--                  </div>-->
                                <!--                  </div>-->
                                <!--                  <div class="col-md-1"></div>-->
                                <!--                </div>-->
                                <div class="row" style="padding: 35px;">
                                    <div class="col-md-1"></div>
                                    <div class="col-md-10">
                                        <div class="form-group">
                                            <label><em style="color: red">* </em>Cities: </label><span style="color: red;margin-left:10px;font-weight:bold " id="err_cities"></span><br>
                                            <select class="js-example-basic-multiple w-100" id="cities" name="cities" multiple="multiple">
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-1"></div>
                                </div>
                                <!--          <div class="row" id="language_require">-->
                                <!--<div class="col-md-1"></div>-->
                                <!--<div class="col-md-10">-->
                                <!--  <div class="form-group row">-->
                                <!--<label class="col-sm-3 col-form-label"><span style="color: red;font-size:12px;">* </span>Languages:</label><br>-->
                                <!--  <label class="col-form-label"><span style="color: red;font-size:12px;">* </span>Languages:</label><br>-->
                                <!--<div class="col-sm-9">-->
                                <!--    <select class="js-example-basic-multiple w-100" id="language" name="language" multiple="multiple"-->
                                <!--      <option value="">Select Languages</option>-->
                                <!--      <option>English</option>-->
                                <!--      <option>Tamil</option>-->
                                <!--      <option>Hindi</option>-->
                                <!--      <option>Telugu</option>-->
                                <!--      <option>Kannada</option>-->
                                <!--      <option>Marathi</option>-->
                                <!--      <option>Gujarati</option>-->
                                <!--      <option>Urdu</option>-->
                                <!--      <option>Bengali</option>-->
                                <!--    </select>-->
                                <!--</div>-->
                                <!--  <span style="color: red" class="errorText errLanguages"></span>-->
                                <!--</div>-->
                                <!--</div>-->
                                <!--<div class="col-md-1"></div>-->
                                <!--</div>-->
                                <hr style="margin-top: 5px;border: .5px solid black;width: 100%;">

                                <div class="row">
                                    <div class="col-md-12" style="text-align: right">
                                        <button style="margin-top: 20px" class="btn btn-primary" type="submit" id="city_submit" name="city_submit">Submit</button>
                                        <button style="margin-top: 20px" class="btn btn-primary" type="submit" id="cancel" name="cancel">Close</button>
                                    </div>
                                </div>
                            </div>


                        </div>
                        <!-- City Modal End -->
                        <!-- Delete Job Modal Start -->
                        <div id="myModalDeleteJob" class="modal_1">

                            <div class="modal-content-1">
                                <span style="font-size: 20px">Delete Job</span>
                                <span class="close" id="close_delete_job" style="float: right; color: black;font-size: 25px;font-weight: bold;">&times;</span>
                                <hr style="margin-top: 5px;border: .5px solid black;width: 100%;">

                                <div class="row" style="padding: 35px;">
                                    <div class="form-group">
                                        <label style="font-size: 20px;margin-left: 120px">Are You sure want to delete the job?</label>
                                    </div>

                                </div>

                                <hr style="margin-top: 5px;border: .5px solid black;width: 100%;">

                                <div class="row">
                                    <div class="col-md-12" style="text-align: right">
                                        <button style="margin-top: 20px" class="btn btn-primary" type="submit" id="submit_delete_job" name="submit_delete_job">YES</button>
                                        <button style="margin-top: 20px" class="btn btn-primary" type="submit" id="cancel_delete_job" name="cancel_delete_job">NO</button>
                                    </div>
                                </div>
                            </div>


                        </div>
                        <!-- Delete Job Modal End -->
                        <!-- END MAIN CONTENT -->
                    </div>
                    <!-- END MAIN -->
                    <div class="clearfix"></div>


                </div>
            </div>
        </div>
    </div>
    <script src="../JeevitamV2/vendors/select2/select2.min.js"></script>
        <script src="../JeevitamV2/js/select2.js"></script>
    <script src="../JeevitamV2/js/template.js"></script>
<script type="text/javascript" src="../CBSEFL/js/jquery-bootpag.js"></script>
    <script src="../CBSEFL/js/jquery.bootpag.min.js"></script>
    <!-- Javascript Function -->
    <script type="text/javascript">
        $('#btn_signout').click(function() {
            window.open('signout.php', '_self');
        });
    </script>
    <!-- Javascript Variables -->
    <script type="text/javascript">
        var userId = '<?php echo $user_id; ?>';
    </script>

    <script src="js/job_details.js?randStr=<?php echo $randStr; ?>"></script>
</body>

</html>