$(document).ready(function(){
    
	getDetails();
    
});

$('#btn_back').click(function() {
	window.location.replace("summary.php");
});

$('#btn_save').click(function() {
	
	$('#modal_prompt_01').show();
	$('#lbl_modal_prompt_01').text("Updating Details.. Please wait..");
	
	setTimeout(function(){
		updateDetails();
	}, 2000);
	
});

function getDetails(){
	
	$('#modal_prompt_01').show();
	$('#lbl_modal_prompt_01').text("Loading..");
		
	var url = '../marketingv1/api/corporate/get_corporate_detail.php';
	
	var formValues = {
			id : val_corporate_id
	};
	var json = JSON.stringify(formValues);
	
	$.ajax({
		type: "POST",
		url: url,
		dataType: 'json',
		data: json,
		success: function (response) {
					
			$('#modal_prompt_01').hide();
			
			var details = response.list[0];
			
			console.log(details);
			
			$('#input_brand_name').val(details.brand_name);
			$('#input_contact_person_name').val(details.contact_person_name);
			$('#input_contact_person_number').val(details.contact_person_number);
			$('#input_email_id').val(details.email_id);
			$('#input_operating_address').val(details.operating_address);
			$('#input_brand_description').val(details.brand_description);
			
			$('#img_brand_logo').attr("src",  '../../marketingv1/images/' + ((details.brand_image).split('/'))[3] );
			
	}});
	
}

function updateDetails(){
	
	$('#modal_prompt_01').hide();

	Swal.fire({
		title: "Updated Successfully!",
		confirmButtonColor: "#30BAA3",
		confirmButtonText: "OK"
	}).then((result) => {
		if (result.isConfirmed) {
			window.location.replace("summary.php");
		}
	});
	
}
