var arr_telecallers_details = [];
var availableTags = [];
var arr_input_source = [];
var arr_concat_call_status = [];
var val_telecaller_id = "";
var val_concat_call_status = "";

$(document).ready(function () {

	getTelecallerList();
    
});

function toggleInputCheckbox(isChecked, id){
	
	if(!isChecked){
		
		if(id==='WorkFair'){
			$('input[name="cb_workfair_call_status"]').each(function() {
				this.checked = false;
			});
		}else if(id==='Campus'){
			$('input[name="cb_campus_call_status"]').each(function() {
				this.checked = false;
			});
		}else if(id==='Website'){
			$('input[name="cb_website_call_status"]').each(function() {
				this.checked = false;
			});
		}else if(id==='IVR'){
			$('input[name="cb_ivr_call_status"]').each(function() {
				this.checked = false;
			});
		}
		
	}

}

function toggleCallStatusCheckbox(id){
	
	if(id==='WorkFair'){
		$( "#WorkFair").prop('checked', true);
	}else if(id==='Campus'){
		$( "#Campus").prop('checked', true);
	}else if(id==='Website'){
		$( "#Website").prop('checked', true);
	}else if(id==='IVR'){
		$( "#IVR").prop('checked', true);
	}
	
}

$('#submit_btn').click(function () {
		
	var err_flag = 0;
		
	var arr_cb_input_source = $('input[name="cb_input_source"]:checked').map(function() {
		return this.value;
	}).get();

	var arr_cb_input_source_ids = $('input[name="cb_input_source"]:checked').map(function() {
		return this.id;
	}).get();

	if(arr_cb_input_source.length>0){
				
		for(var i=0; i<arr_cb_input_source.length; i++){
			
			var call_statuses_input_source = 'cb_' + arr_cb_input_source[i] + '_call_status';
			var arr_cb_call_statuses = $("input[name='" + call_statuses_input_source + "']:checked").map(function() {
				return this.value;
			}).get();
			
			if(arr_cb_call_statuses.length>0){
				
				val_concat_call_status = "";
				
				for(var j=0; j<arr_cb_call_statuses.length; j++){
					
					if(j===0){
						val_concat_call_status = arr_cb_call_statuses[0];
					}else{
						val_concat_call_status = val_concat_call_status + "," + arr_cb_call_statuses[j];
					}
						
					if(j===(arr_cb_call_statuses.length - 1)){
						arr_concat_call_status[i] = val_concat_call_status;
						console.log("arr_concat_call_status : ", arr_concat_call_status); 
					}
					
				}
			
			}else{
				err_flag = 1;
				alert("Please select Call status in \n" + "'" + arr_cb_input_source[i] + "'");
			}
			
			arr_input_source[i] = arr_cb_input_source_ids[i];
			
			if(i===(arr_cb_input_source.length - 1)){
			
				console.log("arr_input_source : ", arr_input_source); 
			}
					
		}
	
	}else{
		err_flag = 1;
		alert("Please select atleast one Input Source \n with Call statuses");
		
	}
	
	if(err_flag === 0){
		
		if(val_telecaller_id === ''){
			alert("Please select 'Telecaller'");
		}else{
			  
			var values = {
				telecaller_id : val_telecaller_id,
				assigned_by : val_assigned_by,
				arr_input_source : arr_input_source,
				arr_concat_call_status : arr_concat_call_status
			}
			
			var json = JSON.stringify(values);
			
			$.ajax({
				type: "POST",
				url: "../../DTTurboHire/api/telecaller_crm_v2/insert_mapping_for_telecaller.php",
				data: json,
				dataType: 'json',
				success: function(response) {
					
					alert(response.message);
					
					window.location.reload();
					
				}
			});
			
		}
		
	}
	
});

function getTelecallerList() {
	
	$.ajax({
        type: "GET",
        url: "../DTTurboHire/api/telecaller_crm_v2/get_telecallers_list.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;

            var option = '';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

					arr_telecallers_details[j] = 	transactions[j].first_name 
												+ " " 
												+ transactions[j].last_name 
												+ " ( " + transactions[j].username + " ) " ;
					
                }
            }
			
			$("#telecaller_detail").autocomplete({
				
				source: arr_telecallers_details,
				select: function(event, ui) {
					
					var index = arr_telecallers_details.indexOf(ui.item.value);
					val_telecaller_id = transactions[index].id;

					console.log("val_telecaller_id : " + val_telecaller_id);
					resetCheckboxes();
					
					$.ajax({
						type: "GET",
						url: "../../DTTurboHire/api/telecaller_crm_v2/get_telecaller_details.php?telecaller_id=" + val_telecaller_id,
						data: {},
						dataType: 'json',
						success: function(response) {
							
							console.log("response main : " + response);
							
							var transactions = response.list;
							
							if(transactions.length>0){
								
								for (var i = 0; i < transactions.length; i++) {
									
									var val_stream = transactions[i].stream;
									
									$( "#" + val_stream).prop('checked', true);
									setCallStatusesCheckbox(val_stream, transactions[i].enabled_call_statuses);
									
								}
								
							}
							
						}
					});
			
				}
				
			});
	
        }
    });
	
}

function setCallStatusesCheckbox(stream, concat_call_statuses){
	
	var arr_call_statuses = concat_call_statuses.split(",");
	console.log("arr_call_statuses : " + arr_call_statuses);
	
	arr_call_statuses.forEach(function(call_status) {
		console.log(stream + " -- " + call_status);
		$( "#cb_" + stream + "_" + call_status).prop('checked', true);
	});
	
}

function resetCheckboxes(){
	
	var arr_input_streams = ["WorkFair", "Campus", "Website", "IVR"];
	var arr_call_statuses = ["Pending", "NotInterested", "Interested", "RNR", "Callback"];
	
	arr_input_streams.forEach(function(input_stream) {
		
		$( "#" + input_stream).prop('checked', false);
		
		arr_call_statuses.forEach(function(call_status) {
			$( "#cb_" + input_stream + "_" + call_status).prop('checked', false);
		});
		
	});
	
}