$(document).ready(function () {
    
    $("#candidates").hide();
    
    $.ajax({
        type: "POST",
        url: "../campus_api/api/get_partners.php",
        data: {},
        dataType: 'json',
        success: function (data) {
            var transactions = data.list;
            var option = '';
            option += '<option value=' + "" + '>' + "Select Partner" + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {
                    option += '<option value=' + transactions[j].id + '>' + transactions[j].name + '</option>';
                }
            }
            $('#partner_id').html(option);
        }
    });
    var item_per_page=10;
    $("#partner_id").change(function(){
       var partner_id = $(this).val();
       $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/ibm/get_partners_data_count.php?partner_id="+partner_id,
        data: {},
        dataType: 'json',
        success: function (data) {
            var totalrecords = data;
            if (totalrecords === 0) {
                alert("No Data Found");
                $('#result').html("");
                $("#download").hide();
                $("#candidates").show();
                $("#candidates_count").html(totalrecords);
            } else {
                $("#download").show();
                $("#candidates").show();
                $("#candidates_count").html(totalrecords);
                var total = Math.ceil((totalrecords / item_per_page));
                getData(10, 0, total,partner_id);
                $(".pagination").bootpag({
                    total: total,
                    page: 1,
                    maxVisible: item_per_page
                }).on("page", function (e, num) {
                    e.preventDefault();
                    var page = num - 1;
                    getData(10, page, total,partner_id);
                });
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
            alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
    });
       
    });
    
    
    
});
// function updateStatus(){
//     var modal = document.getElementById('myModal');
//     modal.style.display = "block";
// }
// $("#city_submit").click(function(){
//     var modal = document.getElementById('myModal');
//     alert("Updated");
//     modal.style.display = "none";
// })
$('#download').click(function(){
    var partner_id = $('#partner_id').val();
	$.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_seeker_v2/download_data_by_partner.php?partner_id="+partner_id,
        data: {},
        dataType: 'json',
        success: function (data) {
            if (data.result === 'success') {
                // window.location.assign(data.data);
                var file_url = data.data;
                window.open(file_url, '_blank');
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
        alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
	});
        
});
function getData(item_per_page, page, lastpage, partner_id) {

    var start_offset;
    var pages = parseInt(page);
    if (pages === 0) {
        start_offset = 0;
    } else if (pages > 0) {
        start_offset = (pages * item_per_page);
    }

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/ibm/get_partners_data.php?partner_id="+partner_id+"&offset=" + start_offset,
        dataType: 'json',
        data: {},
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<tr>';
                    option += '<td>' + transactions[j].first_name+ " "+transactions[j].last_name + '</td>';
                    option += '<td>' + transactions[j].phone_number + '</td>';
                    option += '<td>' + transactions[j].name + '</td>';
                    option += '<td>' + transactions[j].salutations + '</td>';
                    option += '<td>' + transactions[j].dob + '</td>';
                    option += '<td>' + transactions[j].sourced_from + '</td>';
                    option += '<td><button class="btn btn-primary" onclick="viewDetails(\'' + transactions[j].id + '\',\'' + transactions[j].source_id + '\');" >View</button></td>';
                    option += '</tr>';
                }
            }
            $('#result').html(option);
        }
    });

}
function viewDetails(candidate_id,source_id){
    
    window.open("applied_reachout.php?candidate_id="+candidate_id+"&source_id="+source_id,'_blank');
}