$(document).ready(function () {


   $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_fair_application/get_all_wf_coordinator.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;

            var option = '';
            option += '<option value=' + "" + '>' +"Select Coordinator"+ '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].id + '>' + transactions[j].name +' | '+transactions[j].phone_number + '</option>';
                }
            }
            $('#wf_coordinator').html(option);
        }
    });

$('#submit').click(function () {
    var wf_coordinator = $('#wf_coordinator option:selected').val();
    var user_type = $('#user_type option:selected').val();
    
    var error_count = 0;    // total number of errors

    if (user_type === '') {
        $('.errUserType').html('Mandatory');
        $("#user_type").css("border-color","red");
        error_count++;
    } else {
        $("#user_type").css("border-color","green");
        $('.errUserType').html('');
    }
    
    if (wf_coordinator === '') {
        $('.errWFCoordinator').html('Mandatory');
        $("#wf_coordinator").css("border-color","red");
        error_count++;
    } else {
        $("#wf_coordinator").css("border-color","green");
        $('.errWFCoordinator').html('');
    }
    
    /* Check for error_count */
    if (error_count === 0) {
        
        $('#modal_prompt_01').show();
		$('#lbl_modal_prompt_01').text("Loading..");
		
        $.ajax({
            type: "GET",
            data: {},
            dataType: 'json',
            url: '../DTTurboHire/api/work_fair_application/update_usertype.php?user_type='+user_type+'&wf_coordinator='+wf_coordinator,
            success: function (data) {
                var result = data.result;
                var message = data.message;
                if (result === 'success') {
                        Swal.fire({
							title: "Updated Successfully!",
							confirmButtonColor: "#30BAA3",
							confirmButtonText: "OK"
						}).then((result) => {
							if (result.isConfirmed) {
								window.location.reload(true);
							}
						});
                        
                    } else
                    {
                        alert(message);
                    }


            },
            error: function (xhr, ajaxOptions, thrownError) {
                console.log("ERROR:" + xhr.responseText + " - " + thrownError);
            }
        });

    } else {
        console.log(error_count);
        $('#status').html('Please correct the fields marked in red');
    }
});
});