
$(document).ready(function () {

    $.ajax({
        type: "POST",
        url: "../campus_api/api/get_campus.php",
        data: {},
        dataType: 'json',
        success: function (data) {
            var transactions = data.list;
            var option = '';
            option += '<option value=' + "" + '>' + "Select Campus" + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {
                    option += '<option value=' + transactions[j].id + '>' + transactions[j].campus_name + '</option>';
                }
            }
            $('#campus_id').html(option);
        }
    });

    var item_per_page = 10;
    $("#ok").click(function () {
        let campus_id = $('#campus_id').val();

        if (campus_id != '') {
            $("#campus_id").css('border-color', 'green');
            $('#err_campus_id').html('');
            $.ajax({
                type: "GET",
                url: "../campus_api/api/get_drive_by_campus_count.php?campus_id=" +campus_id,
                data: {},
                dataType: 'json',
                success: function (data) {
                    var totalrecords = data;
                    if (totalrecords === 0) {
                        alert("No Data Found");
                        $('#result').html("");
                        // $("#total").show();
                        // $("#total_leads").html(totalrecords);
                    } else {
                        // $("#total").show();
                        // $("#total_leads").html(totalrecords);
                        var total = Math.ceil((totalrecords / item_per_page));
                        getData(10, 0, total,campus_id);
                        $(".pagination").bootpag({
                            total: total,
                            page: 1,
                            maxVisible: item_per_page
                        }).on("page", function (e, num) {
                            e.preventDefault();
                            var page = num - 1;
                            getData(10, page, total,campus_id);
                        });
                    }
                },
                error: function (xhr, ajaxOptions, thrownError) {
                    alert("ERROR:" + xhr.responseText + " - " + thrownError);
                }
            });
        } else {
            $("#campus_id").css('border-color', 'red');
            $('#err_campus_id').html('This Field is Mandatory');
            errorCount++;
        }
    });


});

function getData(item_per_page, page, lastpage,campus_id) {

    var start_offset;
    var pages = parseInt(page);
    if (pages === 0) {
        start_offset = 0;
    } else if (pages > 0) {
        start_offset = (pages * item_per_page);
    }

    // var formvalues = {
    //     start_offset: start_offset
    // };
    // var json = JSON.stringify(formvalues);
    $.ajax({
        type: "POST",
        url: "../campus_api/api/get_drive_by_campus_details.php?offset=" + start_offset+"&campus_id="+campus_id,
        dataType: 'json',
        data: {},
        success: function (response) {

            var transactions = response.list;
            // console.log(transactions);
            var option = '';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<tr>';
                    option += '<td style="text-align: center; vertical-align: middle; ">' + transactions[j].id + '</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">' + transactions[j].drive_name + '</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">' + transactions[j].start_date + '</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">' + transactions[j].end_date + '</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">' + transactions[j].name + '</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">' + transactions[j].reg_link + '</td>';
                    // option += '<td><button style="padding:10px; background-color:#30BAA3;" class="col-md-12 btn btn-info btn-sm btn-icon-text" onclick="updateStatus(\'' + transactions[j].id + '\',\'' + page + '\');" >Update</button></td>';
                    option += '</tr>';
                }
            }
            $('#table_body').html(option);
        }
    });

}
