
$(document).ready(function () {
    var item_per_page = 10;
	$.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_fair_application/view_shortlisted_jobs_count.php",
        data: {},
        dataType: 'json',
        success: function (data) {
            var totalrecords = data;
            if (totalrecords === 0) {
                $("#no_of_records").html(totalrecords);
                alert("No records found");
                $('#result').html("");
            } else {
                $("#no_of_records").html(totalrecords);
                var total = Math.ceil((totalrecords / item_per_page));
                getData(10, 0, total);
				$(".pagination").bootpag({
                    total: total,
                    page: 1,
                    maxVisible: item_per_page
                }).on("page", function (e, num) {
                    e.preventDefault();
                    var page = num - 1;
                    getData(10, page, total);
                });
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
            alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
    });

});

function getData(item_per_page, page, lastpage){
    
    var start_offset;
    var pages = parseInt(page);
    if (pages === 0) {
        start_offset = 0;
    } else if (pages > 0) {
        start_offset = (pages * item_per_page);
    }
    
    var formvalues = {
		start_offset : start_offset
	};
	var json = JSON.stringify(formvalues);
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_fair_application/view_shortlisted_jobs_details.php?offset="+start_offset,
        dataType: 'json',
        data : json,
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {
						
					option += '<tr>';
					option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].first_name+' '+transactions[j].last_name +'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].phone_number+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].qualification+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].wfc_name+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].user_type+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].job_fair_id+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].id+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].name_of_brand+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].fn_role+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].status+'</td>';
                    option += '</tr>';
                }
            }
            $('#table_body').html(option);
        }
    });	

}
