// function viewDetail(wfc_id,work_fair,user_type){
//     window.location.href = "wf_shortlisted_candidates.php?wfc_id="+wfc_id+"&work_fair="+work_fair+"&user_type="+user_type;
// }

function downloadDetails(year,month){
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_fair_application/download_overall_reports.php?year="+year+"&month="+month,
        data: {},
        dataType: 'json',
        success: function (data) {
            if (data.result === 'success') {
                // window.location.assign(data.data);
                var file_url = data.data;
                window.open(file_url, '_blank');
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
        alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
	});
}
function getValues(year,month){
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_fair_application/work_fair_overall_reports.php?year="+year+"&month="+month,
        data: {},
        dataType: 'json',
        success: function (data) {
            $('#tot_work_fair').html(data.tot_work_fair);
            $('#active_wfc').html(data.active_wf_coordinator);
            $('#registration').html(data.total_registration);
            $('#applied').html(data.total_applied);
            $('#applied_unique').html(data.total_applied_unique);
            $('#jobs').html(data.total_unique_jobs);
            $('#interviewed').html(data.total_interviewed);
            $('#selected').html(data.total_selected);
            $('#joined  ').html(data.total_joined);
        },
        error: function (xhr, ajaxOptions, thrownError) {
            alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
    });
    
}


$(document).ready(function () {
    
    $("#down_btn").hide();
    
    
    $('#ok').click(function(){
        var year = $('#year').val();
        var month = $('#month').val();
        var err = 0;
        
        if (year === '') {
            $("#year").css("border-color","red");
            $('#err_year').html('Mandatory');
            err++;
        } else
        {   
            $('#err_year').html('');
            $("#year").css("border-color","green");
        }
        
        if (month === '') {
            $("#month").css("border-color","red");
            $('#err_month').html('Mandatory');
            err++;
        } else
        {   
            $('#err_month').html('');
            $("#month").css("border-color","green");
        }
        
        if(err === 0){
            getValues(year,month);
            $("#down_btn").show();
            // downloadDetails(year,month)   
        }else{
            $("#down_btn").hide();
        }
        
});
    $('#download').click(function(){
        var year = $('#year').val();
        var month = $('#month').val();
        var err = 0;
        
        if (year === '') {
            $("#year").css("border-color","red");
            $('#err_year').html('Mandatory');
            err++;
        } else
        {   
            $('#err_year').html('');
            $("#year").css("border-color","green");
        }
        
        if (month === '') {
            $("#month").css("border-color","red");
            $('#err_month').html('Mandatory');
            err++;
        } else
        {   
            $('#err_month').html('');
            $("#month").css("border-color","green");
        }
        
        if(err === 0){
            downloadDetails(year,month)
        }
    });  
       
});

