<?php
session_start();

$user_id = '44';

// if (!(isset($_SESSION['userId']))) {
//     header("Location: index.php");
// } else {
//     $user_id = $_SESSION['userId'];
// }

$randStr = rand();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Partnerwise Data</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/mdi/css/materialdesignicons.min.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!--<link rel="stylesheet" href="bower_components/bootstrap-multiselect/dist/css/bootstrap-multiselect.css" type="text/css">-->
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <!--<link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">-->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" >
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
     <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    
   <style>

        .modal_1 {
            display: none;
            /* Hidden by default */
            position: fixed;
            /* Stay in place */
            z-index: 1;
            /* Sit on top */
            padding-top: 20px;
            /* Location of the box*/
            left: 0;
            top: 50px;
            width: 100%;
            /* Full width */
            /*min-width: 350px;*/
            height: 100%;
            /* Full height */
            overflow: auto;
            /*Enable scroll if needed*/
            background-color: rgb(0, 0, 0);
            /* Fallback color */
            background-color: rgba(0, 0, 0, 0.4);
            /* Black w/ opacity */
        }

        /* Modal Content */
        .modal-content-1 {
            background-color: #fefefe;
            margin: auto;
            padding: 20px;
            border: 1px solid #888;
            width: 45%;
        }


        .close:focus {

            text-decoration: none;
            cursor: pointer;
        }

        .close:hover {
            color: #6f6f6f;
            font-weight: bold;
        }
    </style>
</head>
<body>
    <div class="container-scroller">

        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/header.php'; ?>
        </div>

      <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">

        <!-- partial -->
        <?php include 'includes/sidebar.php'; ?>

        <!-- partial -->
        <div class="main-panel">
          <div class="content-wrapper">
              <div class="row" style="margin-top:10px; margin-bottom:10px;">
                        <div class="col-12 grid-margin stretch-card">
                            <div class="card">
                            <div class="card-body">
                                <h5>Partnerwise Data</h5>
                                
                                <div class="form-group row" style="margin-top:10px; margin-bottom:10px;">
                                <label for="partner" class="col-sm-3 col-form-label">Partners</label>
                                <div class="col-sm-9">
                                    <select class="form-control" id="partner_id" name="partner_id">
                                    </select>
                                     <span style="color: red;font-size:13px;margin-left:15px" id="err_partner_id"></span> 
                                </div>
                            </div>
                            <div class="form-group row" id="candidates">
                                <div class="col-sm-6">
                                   <center><input type="button" class="btn btn-primary" id="download" name="download" value="Download Reports"></center>
                                </div> 
                                <div class="col-sm-6">
                                   <center><label class="col-form-label">Total Candidates : <span id="candidates_count" style="font-size:16px;color:black;font-weight:bold;margin-top:10px"></span></label></center>
                                </div> 
                            </div>
                                <div class="table-responsive pt-3">
                                    <table class="table table-hover">
                                        <thead id="thead">
                                            <tr>
                                                <th>Name</th>
                                                    <th>Phone Number</th>
                                                    <th>Qualification</th>
                                                    <th>Salutation</th>
                                                    <th>D.O.B</th>
                                                    <th>Source From</th>
                                                    <th>Application</th>
                                            </tr>
                                        </thead>
                                        <tbody id="result"></tbody>
                                    </table>
                                    <div class="pagination">
                                    </div>
                                </div>
                            </div>
                            </div>
                        </div>
                    </div>
          </div>
        </div>
      </div>
    </div>
<!-- /.content-wrapper -->
<script src="../JeevitamV2/vendors/js/vendor.bundle.base.js"></script>
<script src="../JeevitamV2/vendors/typeahead.js/typeahead.bundle.min.js"></script>
<script src="../JeevitamV2/vendors/select2/select2.min.js"></script>
<script src="../JeevitamV2/js/hoverable-collapse.js"></script>
<script src="../JeevitamV2/js/template.js"></script>
 <!--Pagination-->

    <script type="text/javascript" src="../CBSEFL/js/jquery-bootpag.js"></script>
    <script type="text/javascript" src="../CBSEFL/js/jquery.bootpag.min.js"></script>

<script type="text/javascript" src="../JeevitamV2/js/plugins.js"></script>


<script src="js/partnerwise_data.js?<?php echo $randStr; ?>"></script>
</body>
</html>
