<?php 
	
	session_start();

	if (!(isset($_SESSION['id']))) {
		header("Location: index.php");
	} else {
		$user_id = $_SESSION['id'];
	}

	$randStr = rand();

?>

<!DOCTYPE html>
<html lang="en">
<head>
    
	<meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
	
	<title>Map - Source of Leads (Telecaller)</title>

	<style>
	
		.dropdown {
            position: relative;
            display: inline-block;
        }
        
        .dropdown-content {
            display: none;
            position: absolute;
            background-color: #f9f9f9;
            min-width: 160px;
            box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
            z-index: 1;
        }
        
        .dropdown:hover .dropdown-content {
            display: block;
        }

        .dropdown-content label {
            display: block;
            padding: 8px;
            cursor: pointer;
        }

        .dropdown-content label:hover {
            background-color: #f1f1f1;
        }
	
	</style>

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet">
	
    <!-- jQuery UI CSS -->
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
	
	<!-- jQuery -->
	<script src="https://code.jquery.com/jquery-3.7.0.min.js"></script>
	<!-- jQuery UI -->
	<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.min.js"></script>
	<!-- MultiSelect -->
	<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.13/js/bootstrap-multiselect.js"></script>
  
</head>

<body>

	<div class="container-scroller">

		<div class="row col-md-12" style="margin-bottom:0px;">

			<?php include 'includes/header.php'; ?>

		</div>

		<div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">

			<div id="right-sidebar" class="settings-panel">

				<i class="settings-close typcn typcn-times"></i>

				<ul class="nav nav-tabs" id="setting-panel" role="tablist">

					<li class="nav-item">

						<a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>

					</li>

					<li class="nav-item">

						<a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>

					</li>

				</ul>

				<div class="tab-content" id="setting-content">

				</div>

			</div>

			<!-- partial -->

			<!-- partial:partials/_sidebar.html -->

			<?php include 'includes/sidebar.php'; ?>
			<?php include 'includes/modal_basic_01.php'; ?>

			<!-- partial -->
			<div class="main-panel">

				<div class="content-wrapper">

					<center>

						<div class="row" style="text-align: center; vertical-align: middle; padding:10px;">

							<div class="label_white card" style="padding:10px;">

								<label style="margin:3px;">
									<b>Telecaller -> Map - Source of Leads</b>
								</label>

							</div>

						</div>

					</center>

					<div class="row" style="margin-top:10px; margin-bottom:10px;">

						<div class="col-12 grid-margin stretch-card">

							<div class="card">

								<div class="card-body">

									<!-- Main content -->

									<section class="content">

										<div class="right_col" role="main">

											<div class="panel-body">

												<p id="para" style="color:red;"></p>

												<form method="post" enctype="multipart/form-data">

													<div class="row">

														<label class="col-sm-3 col-form-label"><em style="color: red">* </em> Select Telecaller:</label>

													</div>
													
													<div class="">
														
														<div class="" style="margin-top:5px; margin-bottom:20px;">

															<input type="text" name="telecaller_detail" id="telecaller_detail" class="form-control dark-border" style="border:1px solid black; color:#000000;" placeholder="Enter Telecaller Name (OR) Phone Number">

														</div>

													</div>
													
													<div class="">
													
														<div class="dropdown">
															
															<button 
																type="button" 
																class="btn btn-sm btn-outline-primary dropdown-toggle" 
																value="Select Source of Input Leads" >
																Select Source of Input Leads
															</button>
															
															<div class="" style="margin-top:5px; margin-bottom:5px;">
															
																<label id="lbl_selected_input_leads_source" style="font-weight: bold;"></label>
																
															</div>
															
															<div class="dropdown-content">
																<label><input type="checkbox" name="source_of_input_leads" onchange="getSelectedInputLeadsSourceValues()" value="workfair"> WorkFair</label>
																<label><input type="checkbox" name="source_of_input_leads" onchange="getSelectedInputLeadsSourceValues()" value="campus"> Campus</label>
																<label><input type="checkbox" name="source_of_input_leads" onchange="getSelectedInputLeadsSourceValues()" value="website"> Website</label>
																<label><input type="checkbox" name="source_of_input_leads" onchange="getSelectedInputLeadsSourceValues()" value="ivr"> IVR</label>
															</div>
															
														</div>
													
													</div>

												</form>

											</div>

											<div class="form-group row" >

												<div class="col-md-12" style="margin-top: 30px;text-align: center">

													<input type="button" class="btn btn-primary" id="submit_btn" name="submit_btn" value="Submit">

													<label><span style="font-weight:bold; font-size:18px; color:red" class="status"></span></label>

												</div>

											</div>

										</div>

									</section>
									<!-- END OVERVIEW -->
									
									<!-- END MAIN CONTENT -->
								</div>

								<!-- END MAIN -->

								<div class="clearfix"></div>

							</div>

							<!-- END WRAPPER -->

						</div>
						
					</div>
					
				</div>
				
			</div>
	
		</div>
		
	</div>

    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.7.0.min.js"></script>
    <!-- jQuery UI -->
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.min.js"></script>
    <!-- Bootstrap Bundle JS (including Popper) -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>

	<script src="../JeevitamV2/js/template.js"></script>
  
	<!-- Javascript Variables -->
	<script type="text/javascript">
		var val_assigned_by = '<?php echo $user_id; ?>';
	</script>
  	
	<script src="js/test_04.js?randStr=<?php echo $randStr; ?>"></script>

</body>
</html>
