<?php
	$randStr = rand();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>IBM Dashboard</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png">
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <!--SweetAlert-->
    <!--<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>-->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <!--<script src="https://cdn.jsdelivr.net/npm/chart.js"></script>-->
    <!--<script src="https://cdn.jsdelivr.net/npm/gaugeJS/dist/gauge.min.js"></script>-->
    <style>
        .card .corner-value {
            position: absolute;
            top: 20px;
            right: 25px;
            font-size: 24px;
            color: #000; /* Adjust color as needed */
        }

        .card-title-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .card-controls {
            display: flex;
            gap: 5px;
        }

        .card-controls button {
            background: none;
            border: none;
            cursor: pointer;
            font-size: 1.2em;
            line-height: 1;
            padding: 0;
        }

        .maximized-card-container {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            display: flex;
            justify-content: center;
            align-items: center;
            z-index: 9999;
            padding :30px;
        }

        .maximized-card {
            background-color: white;
            width: 80%;
            height: 80%;
            padding: 130px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .d-none {
            display: none;
        }
    </style>
</head>
<body>
    <div class="container-scroller">

    <div class="row col-md-12" style="margin-bottom:0px;">
        <?php include 'includes/header.php'; ?>
    </div>

    <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
    <!-- partial:partials/_sidebar.html -->
    <?php include 'includes/sidebar.php'; ?>

    <div class="main-panel">
     <div class="content-wrapper">
        
        <!-- IBM Dashboard Title -->
        <div class="col-lg-13 grid-margin stretch-card" style="margin-top: 10px ;">
            <div class="card">
                <div class="card-body">
                    <h5>IBM for Year 2023-2024</h5>
                </div>
            </div>
        </div>
        

        <div class="row">
                <!-- Column with the boxes -->
                <div class="col-lg-12">
                    <div class="card col-lg-4">
                    <!--<div class="card mb-4">-->
                        <div class="card-body">
                            <h4 class="card-title" style="font-size: 14px;">Total Workfair</h4>
                            <div class="corner-value">160</div>
                        <!--</div>-->
                    </div>    
                        </div>
                    <div class="card col-lg-4">
                        <!--<div class="card mb-4">-->
                        <div class="card-body">
                            <h4 class="card-title" style="font-size: 14px;">Edunet</h4>
                            <div class="corner-value">61</div>
                        </div>
                    <!--</div>-->
                    </div>
                    <div class="card col-lg-4">
                        <!--<div class="card mb-4">-->
                        <div class="card-body">
                            <h4 class="card-title" style="font-size: 14px;">Reacha</h4>
                            <div class="corner-value">29</div>
                        </div>
                    <!--</div>-->
                    </div>
                    <div class="col-lg-4"><div class="card mb-2">
                        <div class="card-body">
                            <h4 class="card-title" style="font-size: 14px;">CSR Box</h4>
                            <div class="corner-value">24</div>
                        </div>
                    </div></div>
                    <div class="col-lg-4"><div class="card mb-2">
                        <div class="card-body">
                            <h4 class="card-title" style="font-size: 14px;">Pratham</h4>
                            <div class="corner-value">25</div>
                        </div>
                    </div></div>
                    <div class="col-lg-4"><div class="card mb-2">
                        <div class="card-body">
                            <h4 class="card-title" style="font-size: 14px;">Anudip</h4>
                            <div class="corner-value">21</div>
                        </div>
                    </div></div>
                    
                    
                    
                    
                    
                </div>

                <!-- Charts Column -->
                <div class="col-lg-12">
                    <div class="row">
                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Data Received Per Partner</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="doughnutChart"></canvas>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Gender Ratio</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="gender_chart"></canvas>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Jeevitam Data vs Partners Data</h4>
                                        <!--<h4 class="card-title">Offer Acceptance Ratio</h4>-->
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <!--<canvas id="gaugeChart"></canvas>-->
                                    <canvas id="candidate_chart"></canvas>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Top 3 States Registered</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="barCharttwo"></canvas>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
               <div class="col-lg-12">
                <div class="row">
                    
                    <div class="col-lg-6 grid-margin stretch-card">
                        <div class="card">
                            <div class="card-body">
                                <div class="card-title-container">
                                    <h4 class="card-title">Type of Work</h4>
                                    <div class="card-controls">
                                        <button class="btn-maximize">⤢</button>
                                    </div>
                                </div>
                                <canvas id="barChartone"></canvas>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6 grid-margin stretch-card">
                        <div class="card">
                            <div class="card-body">
                                <div class="card-title-container">
                                    <h4 class="card-title">Top 5 Work Roles</h4>
                                    <div class="card-controls">
                                        <button class="btn-maximize">⤢</button>
                                    </div>
                                </div>
                                <canvas id="barChart"></canvas>
                            </div>
                        </div>
                    </div>
                </div>
               </div>
               
            </div>
            </div>
            <!-- Maximized Card Container -->
            <div id="maximized-card-container" class="maximized-card-container d-none">
                <div class="maximized-card">
                    <div class="card-body">
                        <div class="card-title-container">
                            <h4 class="card-title" id="maximized-card-title"></h4>
                            <div class="card-controls" style="">
                                <button class="btn-close">✕</button>
                            </div> 
                        </div>
                        <canvas id="maximized-chart"></canvas>
                    </div>
                </div>
            </div>
     </div>
    </div>


   <script src="../JeevitamV2/js/template.js"></script>
  <script src="../JeevitamV2/vendors/chart.js/Chart.min.js"></script>

  <!-- End plugin js for this page -->
  <!-- Custom js for this page-->
  <script src="js/chart.js?randStr=<?php echo $randStr; ?>"></script>
  <script type="text/javascript" src="js/ibm.js?randStr=<?php echo $randStr; ?>"></script>
</body>
</html>