<?php

$randStr = rand();


$pageName =  basename($_SERVER['PHP_SELF']);

?>

<!DOCTYPE html>
<html lang="en">


<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<title>Home</title>
	<!-- base:css -->
	<link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
	<!-- <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css"> -->
	<!-- endinject -->
	<!-- plugin css for this page -->
	<!-- End plugin css for this page -->
	<!-- inject:css -->
	<link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
	<!-- endinject -->
	<link rel="shortcut icon" href="../JeevitamV2/images/favicon.png" />
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<style>
	.dottedborder {
		border: 3px dotted #ccc !important;
		border-style: dotted;
		border-radius: 16px;
		background-color: #ffffff;
		font-weight: bold;
		text-align: center;
		vertical-align: middle;
		margin: 3px;
	}

	.sidebar .nav .nav-item.active>.nav-link {
		background: #FBB62A;
		position: relative;

		position: relative;
		display: flex;
		flex-direction: row;
		min-width: 0;
		word-wrap: break-word;
		background-color: #FBB62A;
		background-clip: border-box;
		border: 1px solid #e4e4f4;
		border-radius: 0.25rem;

	}

	.sidebar .nav .nav-item.active>.nav-link i,
	.sidebar .nav .nav-item.active>.nav-link .menu-title,
	.sidebar .nav .nav-item.active>.nav-link .menu-arrow,
	.sidebar .nav .nav-item.active>.nav-link {
		color: #000000;
		background: #FBB62A;
	}

	.sidebar .nav:not(.sub-menu)>.nav-item:hover>.nav-link,
	.sidebar .nav:not(.sub-menu)>.nav-item:hover>.nav-link i {
		background: #FBB62A;
		color: #000000;
	}

	.sidebar .nav .nav-item.active>.nav-link {
		background: #FBB62A;
		position: relative;
	}
</style>

<body>

	<!--START PAGE SIDEBAR -->



	<nav class="sidebar sidebar-offcanvas" id="sidebar">

		<ul id="ul_main" class="nav" style="margin:3px;">

			<li class="nav-item">

				<a id="li_main_marketing_app" href="#" class="nav-link dottedborder" data-toggle="collapse" aria-expanded="false" aria-controls="ui-basic" onclick="showOrHide(this)">
					<i class="typcn typcn-document-text menu-icon"></i>
					<span class="menu-title">MARKETING APP</span>
					<i class="menu-arrow"></i>
				</a>

				<div class="collapse show" id="li_main_div_marketing_app">

					<ul class="nav">

						<li id="li_summary" class="nav-item">
							<a id="li_main_ma_summary" href="summary.php" class="nav-link" data-toggle="collapse" aria-expanded="false" aria-controls="ui-basic">
								<i class="typcn typcn-document-text menu-icon"></i>
								<span class="menu-title">SUMMARY</span>
								<i class=""></i>
								<span hidden id="span_dummy"></span>
							</a>
						</li>

						<li class="nav-item">
							<a id="li_main_ma_corporates" class="nav-link" data-toggle="collapse" aria-expanded="false" aria-controls="ui-basic" onclick="showOrHide(this)">
								<i class="typcn typcn-document-text menu-icon"></i>
								<span class="menu-title">CORPORATES</span>
								<i class="menu-arrow"></i>
							</a>
							<div class="collapse" id="li_main_div_ma_corporates">
								<ul class="nav flex-column sub-menu" name="ul_ma_corp_create_corporate">
									<li id="li_item_create_corporate" class="nav-item">
										<a id="a_create_corporate" class="nav-link" href="create_corporate.php">Create Corporate</a>
									</li>
								</ul>
							</div>
						</li>

						<li class="nav-item">
							<a id="li_main_ma_products" class="nav-link" data-toggle="collapse" aria-expanded="false" aria-controls="ui-basic" onclick="showOrHide(this)">
								<i class="typcn typcn-document-text menu-icon"></i>
								<span class="menu-title">PRODUCTS</span>
								<i class="menu-arrow"></i>
							</a>
							<div class="collapse" id="li_main_div_ma_products">
								<ul class="nav flex-column sub-menu">
									<li id="li_item_create_product" class="nav-item">
										<a id="a_create_product" class="nav-link" href="create_product.php">Create Product</a>
									</li>
								</ul>
								<ul class="nav flex-column sub-menu">
									<li id="li_item_view_products" class="nav-item">
										<a id="a_view_products" class="nav-link" href="view_products.php">View Products</a>
									</li>
								</ul>
							</div>
						</li>

						<li class="nav-item">
							<a id="li_main_ma_freelancers" class="nav-link" data-toggle="collapse" aria-expanded="false" aria-controls="ui-basic" onclick="showOrHide(this)">
								<i class="typcn typcn-document-text menu-icon"></i>
								<span class="menu-title">FREELANCERS</span>
								<i class="menu-arrow"></i>
							</a>
							<div class="collapse" id="li_main_div_ma_freelancers">
								<ul class="nav flex-column sub-menu">
									<li id="li_item_view_freelancers" class="nav-item">
										<a id="a_view_freelancers" class="nav-link" href="view_freelancers.php">View Freelancers</a>
									</li>
								</ul>
								<ul class="nav flex-column sub-menu">
									<li id="li_item_assign_products" class="nav-item">
										<a id="a_assign_products" class="nav-link" href="assign_products_to_freelancer.php">Assign Products</a>
									</li>
								</ul>
							</div>
						</li>

						<li class="nav-item">
							<a id="li_main_ma_signups" class="nav-link" aria-expanded="false" aria-controls="ui-basic" onclick="showOrHide(this)">
								<i class="typcn typcn-document-text menu-icon"></i>
								<span class="menu-title">SIGNUPS</span>
								<i class="menu-arrow"></i>
							</a>
							<div class="collapse" id="li_main_div_ma_signups">
								<ul class="nav flex-column sub-menu">
									<li id="li_item_signups_by_product" class="nav-item">
										<a id="a_signups_by_product" class="nav-link" href="signups_by_product.php">By Product</a>
									</li>
								</ul>
								<ul class="nav flex-column sub-menu">
									<li id="li_item_signups_by_freeancer" class="nav-item">
										<a id="a_signups_by_freeancer" class="nav-link" href="signups_by_freelancer.php">By Freelancer</a>
									</li>
								</ul>
							</div>
						</li>
					</ul>
				</div>
			</li>

			<li class="nav-item">
				<a id="li_main_marketing_app" href="#" class="nav-link dottedborder" data-toggle="collapse" aria-expanded="false" aria-controls="ui-basic" onclick="showOrHide(this)">
					<i class="typcn typcn-document-text menu-icon"></i>
					<span class="menu-title">CAMPUS</span>
					<i class="menu-arrow"></i>
				</a>

				<div class="collapse show" id="li_main_div_enquiries">
<ul class="nav flex-column sub-menu">
						<li id="li_summary_campus" class="nav-item">
							<a id="a_summary_campus" class="nav-link" href="summary_campus.php">Summary</a>
						</li>
					</ul>
					<ul class="nav flex-column sub-menu">
						<li id="li_create_campus" class="nav-item">
							<a id="a_create_campus" class="nav-link" href="create_campus.php">Create Campus</a>
						</li>
					</ul>
					<ul class="nav flex-column sub-menu">
						<li id="li_create_drive_for_campus" class="nav-item">
							<a id="a_create_drive_for_campus" class="nav-link" href="create_drive_for_campus.php">Create Drive</a>
						</li>
					</ul>
					<ul class="nav flex-column sub-menu">
						<li id="li_download_candidates" class="nav-item">
							<a id="a_download_candidates" class="nav-link" href="download_candidates.php">Download Candidates</a>
						</li>
					</ul>
					
					<ul class="nav flex-column sub-menu">
						<li id="li_view_campus" class="nav-item">
							<a id="a_view_campus" class="nav-link" href="view_campus.php">View Campus</a>
						</li>
					</ul>
					<ul class="nav flex-column sub-menu">
						<li id="li_view_drive_details" class="nav-item">
							<a id="a_view_drive_details" class="nav-link" href="view_drive_details.php">View Drive Details</a>
						</li>
					</ul>
					<ul class="nav flex-column sub-menu">
						<li id="li_drive_summary" class="nav-item">
							<a id="a_drive_summary" class="nav-link" href="drive_summary.php">View Drive Summary</a>
						</li>
					</ul>
				</div>
			</li>
			<li class="nav-item" style="margin-top:0px;">

				<a id="li_main_enquiries" href="#" class="nav-link dottedborder" data-toggle="collapse" aria-expanded="false" aria-controls="ui-basic" onclick="showOrHide(this)">
					<i class="typcn typcn-document-text menu-icon"></i>
					<span class="menu-title">ENQUIRIES</span>
					<i class="menu-arrow"></i>
				</a>

				<div class="collapse show" id="li_main_div_enquiries">

					<ul class="nav flex-column sub-menu">
						<li id="li_item_enqs_corporate_jobs" class="nav-item">
							<a id="a_ivr_enquiry" class="nav-link" href="ivr_enquiry.php">IVR Enquiry</a>
						</li>
					</ul>

					<ul class="nav flex-column sub-menu">
						<li id="li_item_enqs_ibm_reachouts" class="nav-item">
							<a id="a_ibm_reachouts" class="nav-link" href="ibm_reachouts.php">IBM Reachouts</a>
						</li>
					</ul>

					<ul class="nav">

						<li class="nav-item">
							<a id="li_main_enqs_corporate" class="nav-link" data-toggle="collapse" aria-expanded="false" aria-controls="ui-basic" onclick="showOrHide(this)">
								<i class="typcn typcn-document-text menu-icon"></i>
								<span class="menu-title">CORPORATE</span>
								<i class="menu-arrow"></i>
							</a>
							<div class="collapse" id="li_main_div_enqs_corporate">
								<ul class="nav flex-column sub-menu">
									<li id="li_item_enqs_corporate_jobs" class="nav-item">
										<a id="a_enqs_corporate_jobs" class="nav-link" href="enqs_corporate_jobs.php">Jobs</a>
									</li>
								</ul>
								<ul class="nav flex-column sub-menu">
									<li id="li_item_enqs_corporate_marketing" class="nav-item">
										<a id="a_enqs_corporate_marketing" class="nav-link" href="enqs_corporate_marketing.php">Marketing</a>
									</li>
								</ul>
							</div>
						</li>




						<li class="nav-item">
							<a id="li_main_enqs_partners" class="nav-link" data-toggle="collapse" aria-expanded="false" aria-controls="ui-basic" onclick="showOrHide(this)">
								<i class="typcn typcn-document-text menu-icon"></i>
								<span class="menu-title">PARTNERS</span>
								<i class="menu-arrow"></i>
							</a>
							<div class="collapse" id="li_main_div_enqs_partners">
								<ul class="nav flex-column sub-menu">
									<li id="li_item_enqs_partners_campus" class="nav-item">
										<a id="a_enqs_partners_campus" class="nav-link" href="enqs_partners_campus.php">Campus</a>
									</li>
								</ul>
								<ul class="nav flex-column sub-menu">
									<li id="li_item_enqs_partners_ngo" class="nav-item">
										<a id="a_enqs_partners_ngo" class="nav-link" href="enqs_partners_ngo.php">NGO</a>
									</li>
								</ul>
								<ul class="nav flex-column sub-menu">
									<li id="li_item_enqs_partners_sdf" class="nav-item">
										<a id="a_enqs_partners_sdf" class="nav-link" href="enqs_partners_sdf.php">Skill Development <br>Firm</a>
									</li>
								</ul>
							</div>
						</li>

					</ul>

				</div>

			</li>
<li class="nav-item" style="margin-top:5px;">
				<a id="li_main_workfair_application" href="#" class="nav-link dottedborder" data-toggle="collapse" aria-expanded="false" aria-controls="ui-basic" onclick="showOrHide(this)">
					<i class="typcn typcn-document-text menu-icon"></i>
					<span class="menu-title">WorkFair App</span>
					<i class="menu-arrow"></i>
				</a>

				<div class="collapse show" id="li_main_div_enquiries">
					<ul class="nav flex-column sub-menu">
						<li id="li_work_fair_overall_reports" class="nav-item">
							<a id="a_work_fair_overall_reports" class="nav-link" href="work_fair_overall_reports.php">Work Fair Overall Reports</a>
						</li>
					</ul>
					<ul class="nav flex-column sub-menu">
						<li id="li_work_fair_reports" class="nav-item">
							<a id="a_work_fair_reports" class="nav-link" href="work_fair_reports.php">Work Fair Overview</a>
						</li>
					</ul>
					<ul class="nav flex-column sub-menu">
						<li id="li_register_wf_coordinator" class="nav-item">
							<a id="a_register_wf_coordinator" class="nav-link" href="register_wf_coordinator.php">Register WF Coordinator</a>
						</li>
					</ul>
					<ul class="nav flex-column sub-menu">
						<li id="li_user_type_update" class="nav-item">
							<a id="a_user_type_update" class="nav-link" href="user_type_update.php">Update UserType</a>
						</li>
					</ul>
					<ul class="nav flex-column sub-menu">
						<li id="li_map_wf_coordinator" class="nav-item">
							<a id="a_map_wf_coordinator" class="nav-link" href="map_wf_coordinator.php">Map WF Coordinator</a>
						</li>
					</ul>
					<ul class="nav flex-column sub-menu">
						<li id="li_view_wf_coordinators" class="nav-item">
							<a id="a_view_wf_coordinators" class="nav-link" href="view_wf_coordinators.php">View WF Coordinators</a>
						</li>
					</ul>
					<ul class="nav flex-column sub-menu">
						<li id="li_view_wf_shortlisted_candidates" class="nav-item">
							<a id="a_view_wf_shortlisted_candidates" class="nav-link" href="view_wf_shortlisted_candidates.php">View WF Candidates</a>
						</li>
					</ul>
					<ul class="nav flex-column sub-menu">
						<li id="li_view_wfc_link" class="nav-item">
							<a id="a_view_wfc_link" class="nav-link" href="view_wfc_link.php">View WFC Link</a>
						</li>
					</ul>
					
				</div>
			</li>
		</ul>
	</nav>

	<!--END PAGE SIDEBAR -->

	<!--<script type="text/javascript" src="js/jquery/jquery.min.js"></script>-->
	<!--<script type="text/javascript" src="js/jquery/jquery-ui.min.js"></script>-->
	<!--<script type="text/javascript" src="js/bootstrap/bootstrap.min.js"></script>-->
	<!--<script type='text/javascript' src='js/plugins/jquery.validate.js'></script>-->
	<!--<script type="text/javascript" src="js/plugins.js"></script>-->
	<!--<script type="text/javascript" src="js/actions.js"></script>-->
	<!--Pagination-->
	<!--<script type="text/javascript" src="js/jquery-bootpag.js"></script>-->
	<!--<script src="js/jquery.bootpag.min.js"></script>-->
	<!-- END PLUGINS -->
	<script type="text/javascript">
		var pageName = '<?php echo $pageName; ?>';
	</script>
	<script type="text/javascript" src="js/sidebar.js?randStr=<?php echo $randStr; ?>"></script>
	<!-- END TEMPLATE -->
	<!-- END SCRIPTS -->

</body>

</html>