<?php
session_start();

// $user_id = '3';

if (!(isset($_SESSION['id']))) {
    header("Location: index.php");
} else {
    $user_id = $_SESSION['id'];
}

$randStr = rand();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Create Composite Workfair Form</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" >
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
</head>
<style>
    body {
        background-color: lavender;
    }
    .error-border {
        border: 1px solid red;
    }
    .card-description {
    text-decoration: underline;
    }
    .form-control.dark-border {
        border: 1px solid #343a40; /* Darker border color */
    }
    .select2-container--default .select2-selection--multiple,
    .select2-container--default .select2-selection--single {
        padding: 0.375rem 0.75rem; 
        box-sizing: border-box; 
        border: 1px solid #343a40;
        color: #343a40; 
        border-radius: 0;
    }        
</style>

<body>
    <div class="container-scroller">

        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/header.php'; ?>
        </div>

        <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
            <!-- partial:partials/_settings-panel.html -->

            <div id="right-sidebar" class="settings-panel">
                <i class="settings-close typcn typcn-times"></i>
                <ul class="nav nav-tabs" id="setting-panel" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>
                    </li>
                </ul>
                <div class="tab-content" id="setting-content">

                </div>
            </div>
        <!-- partial -->
        <!-- partial:partials/_sidebar.html -->
        <?php include 'includes/sidebar.php'; ?>
        <?php include 'includes/modal_basic_01.php'; ?>
        <!-- partial -->

        <div class="main-panel">

                    <div class="content-wrapper">

                        <center>

                            <div class="row" style="text-align: center; vertical-align: middle; margin:10px;">

                                <div class="label_white card">
                                    <label style="margin:3px;">Campus</label>
                                </div>
                                <div class="label_00">
                                    <label style="margin:3px;"> -> </label>
                                </div>
                                <div class="label_white card">
                                    <label style="margin:3px;">Create Job Fair</label>
                                </div>

                            </div>

                        </center>

                <div class="row" style="margin-top:10px; margin-bottom:10px;">
                       <div class="col-12 grid-margin stretch-card">
                        <div class="card">
                          <div class="card-body">
                            <h4 class="card-title">Composite Job Fair</h4>
                            <p class="card-description">
                              Job Fair Details
                            </p>

                <!-- Main content -->
                <section class="content">
                    <div class="right_col" role="main">

                        <div class="panel-body">
                            <p id="para" style="color:red;"></p>
                            <form id = "postjobForm" method="post" enctype="multipart/form-data">

                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red">*</em> Jobfair Start Date:</label>
                                    <div class="col-sm-9">
                                        <input type="date" name="jobfair_date" id="jobfair_date" class="form-control dark-border">
                                        <span style="color: red" id="err_jobfair_date"></span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red">* </em>Jobfair End Date:</label>
                                    <div class="col-sm-9">    
                                        <input type="date" name="jobfair_end_date" id="jobfair_end_date" class="form-control dark-border">
                                        <span style="color: red" id="err_jobfair_end_date"></span>
                                    </div>
                                </div> 
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red">* </em> JobFair Name:</label>
                                    <div class="col-sm-9">
                                        <input type="text" name="jobfair_name" id="jobfair_name" class="form-control dark-border">
                                        <span style="color: red" id="err_jobfair_name"></span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red">* </em>Contact Person Name:</label>
                                    <div class="col-sm-9">    
                                        <input type="text" name="contact_name" id="contact_name" class="form-control dark-border">
                                        <span style="color: red" id="err_contact_name"></span>
                                    </div>
                                </div>  
                                <div class="form-group row">                                  
                                    <label class="col-sm-3 col-form-label"><em style="color: red">* </em>Contact Person Number:</label>
                                    <div class="col-sm-9">
                                        <input type="number" name="phone" id="phone" class="form-control dark-border" maxlength=10>
                                        <span style="color: red" id="err_phone"></span>
                                    </div>
                                </div>  
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red">* </em>Conducted By:</label>
                                    <div class="col-sm-9">
                                        <input type="text" name="conducted" id="conducted" class="form-control dark-border" >
                                        <span style="color: red" id="err_conducted"></span>
                                    </div>
                                </div>  
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red">* </em>Category:</label><br>
                                    <div class="col-sm-9">
                                        <select class=" form-control dark-border" id="category" name="category">
                                        <option value="">Select category</option>
                                            <option>Sahayak</option>
											<option>Women</option>
                                            <option>Agriculture</option>
                                            <option>StartUps</option>
                                            <option>BFSI</option>
                                            <option>PWD</option>
                                            <option>Rural Sector</option>
                                            <option>TSSC</option>
                                            <option>Rotary Club (New Delhi) & NIIT Foundation</option>
                                            <option>CSC</option>
                                            <option>AIF</option>
											<option>Retail</option>
											<option>CSR</option>
											<option>DM</option>
											<option>Logistics</option>
											<option>College</option>
											<option>Corporate</option>
											<option>Kisan</option>
											<option>Loan</option>
											<option>International</option>
											<option>Admission</option>
											<option>Financial Advisors</option>
											<option>Drivers</option>
											<option>Sales Freelancers</option>
											<option>Delivery Riders</option>
											<option>Customer Service Associate</option>
											<option>Sales Associate</option>
											<option>Retail Sales Associate</option>
											<option>Digital Expert</option>
											<option>Retail Trainee Associate</option>
											<option>Homemakers</option>
											<option>Travel Agents</option>
											<option>Banking Correspondent</option>
											<option>Vehicle Entrepreneurs</option>
											<option>Freelancers</option>
											<option>Business Associates</option>
											<option>Electronics Manufacturing</option>
											<option>B2B Sales </option>
											<option>Tele Sales</option>
											<option>Trainees</option>
											<option>Operators </option>
											<option>Manufacturing</option>
											<option>Services</option>
											<option>IT/Software</option>											
                                        </select>
                                        <span style="color: red" id="err_category"></span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"> Description : </label>
                                    <div class="col-sm-9">
                                        <textarea name="desc" id="desc" class="form-control dark-border" ></textarea>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label">Comments : </label>
                                    <div class="col-sm-9">
                                        <input type="text" name="comments" id="comments" class="form-control dark-border" >
                                    </div> 
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red">* </em>Address Line 1:</label><br>
                                    <div class="col-sm-9">
                                        <input type="text" name="address_line1" id="address_line1" class="form-control dark-border" placeholder="Door No/Flat No">
                                        <span style="color: red" id="err_address_line1"></span>
                                    </div> 
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red">* </em>Address Line 2:</label><br>
                                    <div class="col-sm-9">
                                        <input type="text" name="address_line2" id="address_line2" class="form-control dark-border" placeholder="Street name/near by/postal code">
                                        <span style="color: red" id="err_address_line2"></span>
                                    </div> 
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red">* </em>Job Fair State:</label><br>
                                    <div class="col-sm-9">
                                        <select class="form-control dark-border"  id="jobfair_state" name="jobfair_state">

                                        </select>
                                        <span style="color: red" id="err_jobfair_state"></span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                        <label class="col-sm-3 col-form-label"><em style="color: red">* </em>Job Fair City:</label><br>
                                    <div class="col-sm-9">
                                        <select class="form-control dark-border"  id="jobfair_city" name="jobfair_city">

                                        </select>
                                        <span style="color: red" id="err_jobfair_city"></span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red">* </em>Pincode:</label>
                                    <div class="col-sm-9">
                                        <select class="form-control dark-border"  id="pincode" name="pincode">

                                        </select>
                                        <span style="color: red" id="err_pincode"></span>
                                    </div>  
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red">* </em>Venue Pin:</label>
                                    <div class="col-sm-9">
                                        <input type="text" name="venue_pin" id="venue_pin" class="form-control dark-border" placeholder="ex.https://maps.app.goo.gl/NTND5ouyUGUtWx833">
                                        <span style="color: red" id="err_venue_pin"></span>
                                    </div>
                                </div>
                        
                                <div class="form-group row">
                                    <label for="files" class="col-sm-3 col-form-label"><em style="color: red">* </em>Upload Logo:</label>
                                    <input type="file" id="files" class="file-upload-default">
                                    <div class="col-sm-6">
                                        <input id="uploaded_file[]" name="uploaded_file[]" class="form-control file-upload-info dark-border" type="text" disabled placeholder="Upload Logo" required >
                                        <span style="color: red" id="err_logo"></span>
                                    </div>
                                    <div class="col-sm-3">
                                        <button class="file-upload-browse btn btn-primary mr-2" type="button">Upload</button>
                                    </div>
                                </div>

                                <!-- <p class="card-description">
                                    Internal Candidates
                                </p>

                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red"> </em>Minimum Qualification:</label>
                                    <div class="col-sm-9">
                                        <select class="form-control dark-border" id="min_qualification" name="min_qualification">

                                        </select>
                                        <span style="color: red" id="err_min_qualification"></span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red"> </em>Maximum Qualification:</label>
                                    <div class="col-sm-9">
                                        <select class="form-control dark-border" id="max_qualification" name="max_qualification">

                                        </select>
                                        <span style="color: red" id="err_max_qualification"></span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red"> </em>Minimum Experience:</label>
                                    <div class="col-sm-9">
                                        <input type="number" class="controls form-control dark-border" id="min_experience" name="min_experience">
                                        <span style="color: red" id="err_min_experience"></span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red"> </em>Maximum Experience:</label>
                                    <div class="col-sm-9">
                                        <input type="number" class="controls form-control dark-border" id="max_experience" name="max_experience">
                                        <span style="color: red" id="err_max_experience"></span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red"> </em>Minimum Age:</label>
                                    <div class="col-sm-9">    
                                        <input type="number" class="controls form-control dark-border" id="min_age" name="min_age">
                                        <span style="color: red" id="err_min_age"></span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red"> </em>Maximum Age:</label>
                                    <div class="col-sm-9">
                                        <input type="number" class="controls form-control dark-border" id="max_age" name="max_age">
                                        <span style="color: red" id="err_max_age"></span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label">Select Cities for Shortlisting:</label><br>
                                    <div class="col-sm-9">
                                        <select class="form-control dark-border"  id="city_shortlist" name="city_shortlist[]" multiple="multiple">

                                        </select>
                                        <span style="color: red" id="err_city_shortlist"></span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red"> </em>Gender:</label>
                                    <div class="col-sm-9">
                                        <select class="form-control dark-border" id="gender" name="gender">
                                            <option value="">Select gender</option>
                                            <option>Male</option>
                                            <option>Female</option>
                                            <option>Both</option>

                                        </select>
                                        <span style="color: red" id="err_gender"></span>
                                    </div>
                                </div> -->
                                
                                <p class="card-description">
                                    External Partners
                                </p>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red">* </em>Partners:</label><br>
                                    <div class="col-sm-9">    
                                        <select class="form-control dark-border"  id="partner_id" name="partner_id">

                                        </select>
                                        <span style="color: red" id="err_partner_id"></span>
                                    </div>
                                </div>

                                <p class="card-description">
                                    Enable Jobs
                                </p>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red">* </em>Jobs: </label><br>
                                    <div class="col-sm-9">
                                        <select class="form-control dark-border js-example-basic-multiple w-100"  id="jobs" name="jobs" multiple="multiple">

                                        </select>
                                        <span style="color: red" id="err_jobs"></span>
                                    </div>
                                </div>
                                
                                <p class="card-description">
                                    Reachout Planning(Tentative)
                                </p>

                                <!-- <div class="form-group row">   
                                    <label class="col-sm-3 col-form-label"><em style="color: red">* </em>From Date:</label>
                                    <div class="col-sm-9">
                                        <input type="date" name="from_date" id="from_date" class="form-control dark-border">
                                        <span style="color: red" id="err_from_date"></span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"><em style="color: red">* </em>To Date:</label>
                                    <div class="col-sm-9">
                                        <input type="date" name="to_date" id="to_date" class="form-control dark-border">
                                        <span style="color: red" id="err_to_date"></span>
                                    </div>
                                </div> -->
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"> Total Reachout:</label>
                                    <div class="col-sm-9">    
                                        <input type="number" class="controls form-control dark-border" id="reachout" name="reachout">
                                        <span style="color: red" id="err_reachout"></span>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-3 col-form-label"> Total Registrations Expected:</label>
                                    <div class="col-sm-9">
                                        <input type="number" class="controls form-control dark-border" id="registration" name="registration">
                                        <span style="color: red" id="err_registration"></span>
                                    </div>
                                </div>

                            </form>
                        </div>
                        
                        <div class="form-group row" >
                            <div class="col-md-12" style="margin-top: 30px;text-align: center">
                                <input type="button" class="btn btn-primary" id="submit_btn" name="submit_btn" value="Submit">
                                <label><span style="font-weight:bold; font-size:18px; color:red" class="status"></span></label>
                            </div>
                        </div>

                       
                        
                        <div class="modal fade" id="myModal2" role="dialog">
                            <div class="modal-dialog">

                                <!-- Modal content-->
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                                        <h3 class="text-center" style="text-decoration: underline; padding: 5px;">Available Leads</h3>
                                    </div>
                                    <div class="modal-body">
                                        <div class="row" style="padding: 10px;text-align:center">
                                            
                                            <div class="form-group">
                                                    <label style="font-size:20px">Leads: </label>
                                                    <div class="loader_one" id="tot_leads_load">Loading...</div>
                                                    <span id="leads_total" style="font-size:20px;font-weight:bold"></span>

                                            </div>
                                            
                                            <div class="col-md-12" style="float:right">
                                                    <input type="button" class="btn btn-default" data-dismiss="modal" value="Cancel" style="font-weight:bold;margin-right: 20px">
                                                    <input type="button" class="btn btn-default" id="proceed" data-dismiss="modal" value="Proceed" style="font-weight:bold;">
                                                   <br>

                                                </div>
      
                                        </div>
                                    </div>

                                </div>

                            </div>
                        </div>

                    </div>
                </section>
                <!-- END OVERVIEW -->

                <!-- END MAIN CONTENT -->
            </div>
            <!-- END MAIN -->
            <div class="clearfix"></div>

        </div>
        <!-- END WRAPPER -->
    </div>
<!--<script src="../JeevitamV2/vendors/js/vendor.bundle.base.js"></script>-->
<!--<script src="../JeevitamV2/vendors/typeahead.js/typeahead.bundle.min.js"></script>-->
<script src="../JeevitamV2/vendors/select2/select2.min.js"></script>
<!--<script src="../JeevitamV2/js/file-upload.js"></script>-->
<!--<script src="../JeevitamV2/js/typeahead.js"></script>-->
<script src="../JeevitamV2/js/select2.js"></script>

<!-- Javascript Function -->
<script type="text/javascript">
    $(document).ready(function() {
        $('#city_shortlist,#jobs').select2({
            placeholder: 'Select options',
            allowClear: true,
            width: '100%' // Adjust width to fit container
        });

        // Remove the Ctrl+click option
        $('#city_shortlist,#jobs').on('select2:opening', function(e) {
            var $select = $(this);
            if ($select.data('select2').isOpen && e.ctrlKey) {
                $select.data('select2').isOpen = false;
            }
        });
    });

    $('#btn_signout').click(function() {
        window.open('signout.php', '_self');
    });
</script>
<!-- Javascript Variables -->
<script type="text/javascript">
    var user_id = '<?php echo $user_id; ?>';
</script>
<!-- <script type="text/javascript" src="js/sidebar.js?randStr=<?php echo $randStr; ?>"></script> -->
<script src="js/composite_job_fair.js?randStr=<?php echo $randStr; ?>"></script>
</body>
</html>