<?php

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Funnel Chart</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png">
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <!-- <script src="https://cdn.jsdelivr.net/npm/gaugeJS/dist/gauge.min.js"></script> -->
     
    <style>
        .card-title-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .card-controls {
            display: flex;
            gap: 5px;
        }

        .card-controls button {
            background: none;
            border: none;
            cursor: pointer;
            font-size: 1.2em;
            line-height: 1;
            padding: 0;
        }

        .maximized-card-container {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            display: flex;
            justify-content: center;
            align-items: center;
            z-index: 9999;
        }

        .maximized-card {
            background-color: white;
            width: 80%;
            height: 80%;
            padding: 120px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .d-none {
            display: none;
        }

    </style>
</head>
<body>
    <div class="container-scroller">

    <div class="main-panel">
     <div class="content-wrapper">
        
        
                <!-- Charts Column -->
                <div class="col-lg-9">
                        <div class="row">
                            <div class="col-lg-6 grid-margin stretch-card">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="card-title-container">
                                            <h4 class="card-title">Funnel Chart</h4>
                                            <div class="card-controls">
                                                <button class="btn-maximize">⤢</button>
                                            </div>
                                        </div>
                                        <div id="funnel_chart" style="height: 500px; width: 100%;"></div>
                                        <canvas id="funnel_chart"></canvas>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 grid-margin stretch-card">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="card-title-container">
                                            <h4 class="card-title">Stacked Bar Chart</h4>
                                            <div class="card-controls">
                                                <button class="btn-maximize">⤢</button>
                                            </div>
                                        </div>
                                        <canvas id="stacked_barchart"></canvas>
                                    </div>
                                </div>
                            </div>
                        </div>
                </div>
            <!-- Maximized Card Container -->
            <div id="maximized-card-container" class="maximized-card-container d-none">
                <div class="maximized-card">
                    <div class="card-body">
                        <div class="card-title-container">
                            <h4 class="card-title" id="maximized-card-title"></h4>
                            <div class="card-controls">
                                <button class="btn-close">✕</button>
                            </div> 
                        </div>
                        <canvas id="maximized-chart"></canvas>
                    </div>
                </div>
            </div>
        </div>
        </div>
     </div>
    </div>


  <script src="../JeevitamV2/vendors/js/vendor.bundle.base.js"></script>
  <!-- endinject -->
  <!-- inject:js -->
  <script src="../JeevitamV2/js/off-canvas.js"></script>
  <script src="../JeevitamV2/js/hoverable-collapse.js"></script>
  <script src="../JeevitamV2/js/template.js"></script>
  <script src="../JeevitamV2/js/settings.js"></script>
  <script src="../JeevitamV2/js/todolist.js"></script>
  <!-- <script src="js/campusgauge.js"></script> -->
<script src="https://cdn.canvasjs.com/canvasjs.min.js"></script>



  <!-- endinject -->
  <!-- plugin js for this page -->
  <script src="../JeevitamV2/vendors/chart.js/Chart.min.js"></script>

  <!-- End plugin js for this page -->
  <!-- Custom js for this page-->
  <script src="js/funnel_chart.js"></script>
</body>
</html>
