$(document).ready(function () {

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/brand/get_marketing_enabled_brands.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].id + '>' + transactions[j].brand_name + '</option>';
                }
            }

            $('#select_corporate').html(option);
            
        }
    });

});

async function uploadDetails() {
  
	$('#modal_prompt_01').show();
	  
	let formData = new FormData(); 
	formData.append("product_name", $("#input_product_name").val());
	formData.append("product_description", $("#input_product_description").val());
	formData.append("corporate_id", $('#select_corporate option:selected').val());
	formData.append("created_by", val_user_id);
	formData.append("validity_end", $('#input_validity_end').val());
	formData.append("product_status", $('#select_product_status option:selected').val());
	formData.append("product_url", $('#input_product_url').val());
	formData.append("logo[]", $('input[type=file]')[0].files[0]);
	formData.append("doc[]", $('input[type=file]')[1].files[0]);

	var response = await fetch('../marketingv1/api/product/create_productv2.php', {
	method: "POST", 
	body: formData
	}); 

	var response_json = await response.json()

	if(response_json !== ''){
		
		$('#modal_prompt_01').hide();
		
		if(response_json.result === 'success'){
		  alert(response_json.message);
		  window.location.reload();
		}
		
	}

}