<?php
// $job_id = filter_input(INPUT_GET, 'job_id');
$randStr = rand();
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Basic Details</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <style>
        .logo-container {
            text-align: center;
            margin: 20px 0;
        }
        .logo-container img {
            max-width: 100%;
            height: auto;
        }
        .table-container {
            margin: 0 auto; /* Center the table horizontally */
            max-width: 800px; /* Set a max-width to keep the table from becoming too wide */
            padding: 20px; /* Add some padding around the table */
        }

        .container-scroller {
            display: flex;
            flex-direction: column;
            align-items: center; /* Center align the content vertically */
        }

        .main-panel {
            width: 65%;
            display: flex;
            flex-direction: column;
            align-items: center; /* Center align the table horizontally */
        }
    </style>
</head>
<body>

    <div class="container-scroller">
        <div class="logo-container">
            <img src="../JeevitamV2/images/ic_logo_jeevitam.png" alt="Logo">
        </div>
        <div class="main-panel">
            <div class="content-wrapper">
                <div class="row">
                    <div class="col-lg-12 grid-margin ">
                        <div class="card">
                            <div class="card-body">
                                <div class="table-responsive">
                                <div class="table-container">
                                    <table class="table" id="jobTable">
                                        <thead>
                                            <tr>
                                                <th>Brand Name</th>
                                                <th>Role</th>
                                                <th>Salary</th>
                                                <th>View</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <!-- data will be populated here via javascript -->
                                        </tbody>
                                    </table>
                                </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <!-- Add jQuery library -->
    <script type="text/javascript" src="../JeevitamV2/js/jquery/jquery.min.js"></script>
<!-- Javascript Variables -->
<!-- <script type="text/javascript">
    var jobId = '<?php echo $job_id; ?>';
</script> -->
    <script src="js/sms_page1.js?<?php echo $randStr; ?>"></script>
</body>
</html>