<?php

session_start();

if (!(isset($_SESSION['id']))) {
    header("Location: index.php");
} else {
    $user_id = $_SESSION['id'];
    // $user_id_short = $_SESSION['id'];
}

// $user_id=5;
$randStr = rand();

?>
<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>View Campus</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <!--<link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">-->
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!--Modal-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>

    <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

</head>

<style>
    body {
        background-color: lavender;
    }

    .full-screen-card {
        width: 80vw;
        /* Full width of the viewport */
        /* height: 100vh; Full height of the viewport */
        margin: 0;
        /* Remove any margins */
        padding: 20px;
        /* Add some padding if needed */
        box-sizing: border-box;
        /* Ensure padding and border are included in the width and height */
    }

    .form-control.dark-border {
        border: 1px solid #343a40;
        /* Darker border color */
    }
    
     .modal_1 {
                display: none; /* Hidden by default */
                position: fixed; /* Stay in place */
                z-index: 1; /* Sit on top */
                padding-top: 20px;  /* Location of the box*/ 
                left: 0;
                top: 50px;
                width: 100%; /* Full width */
                /*min-width: 350px;*/
                height: 100%; /* Full height */
                overflow: auto;  /*Enable scroll if needed*/ 
                background-color: rgb(0,0,0); /* Fallback color */
                background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
            }

            /* Modal Content */
            .modal-content-1 {
                background-color: #fefefe;
                margin: auto;
                padding: 20px;
                border: 1px solid #888;
                width: 45%;
            }


            .close:focus {

                text-decoration: none;
                cursor: pointer;
            }
            .close:hover{
                color: #6f6f6f;
                font-weight: bold;
            }

</style>

<body>

    <div class="container-scroller">

        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/header.php'; ?>
        </div>


        <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
            <!-- partial:partials/_settings-panel.html -->

            <div id="right-sidebar" class="settings-panel">
                <i class="settings-close typcn typcn-times"></i>
                <ul class="nav nav-tabs" id="setting-panel" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>
                    </li>
                </ul>
                <div class="tab-content" id="setting-content">

                </div>
            </div>
            <!-- partial -->
            <!-- partial:partials/_sidebar.html -->
            <?php include 'includes/sidebar.php'; ?>
            
            <!-- partial -->

            <div class="main-panel">

                <div class="content-wrapper">

                    <center>

                        <div class="row" style="text-align: center; vertical-align: middle; margin:10px;">

                            <div class="label_white card">
                                <label style="margin:3px;">Campus</label>
                            </div>
                            <div class="label_00">
                                <label style="margin:3px;"> -> </label>
                            </div>
                            <div class="label_white card">
                                <label style="margin:3px;">View Campus</label>
                            </div>
                        </div>
                    </center>

                    <div class="card full-screen-card">
                        <div class="card-body">
                            <h4>Campus Details</h4>
                        </div>
                        <div class="card-body">
                            <!-- Main content -->
                            <div class="content">
                                <div class="panel-body">
                                    <!-- <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label">From</label>
                                                <label><p style="color: red">* </p></label> <span style="margin-left:10px;font-weight:bold" id="err-fromdate"></span><br>
                                                <input type="date" class="form-control dark-border" id="fromDate" name="fromDate">
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label">To</label>
                                                <!-- <label><p style="color: red">* </p></label> <span style="margin-left:10px;font-weight:bold" id="err-todate"></span><br> 
                                                <input type="date" class="form-control dark-border" id="toDate" name="toDate">
                                                <input type="hidden" class="form-control" id="from" name="from">
                                                <input type="hidden" class="form-control" id="to" name="to">
                                                <input type="hidden" class="form-control" id="jobid" name="jobid">
                                                <input type="hidden" class="form-control" id="brandid" name="brandid">
                                                <input type="hidden" class="form-control" id="job_id_fair" name="job_id_fair">

                                                <input style="margin-top: 20px" type="button" class="btn btn-primary" id="ok" name="ok" value="Ok">
                                            </div>
                                        </div>
                                    </div> -->

                                    <div class="row">
                                        <div style="margin-top:20px" class="col-md-12">
                                            <div class="table-responsive pt-3">
                                                <table class="table table-striped">
                                                    <thead>
                                                        <tr>
                                                            <th>Campus Id</th>
                                                            <th>Campus Name</th>
                                                            <th>Username</th>
                                                            <th>Password</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="table_body">
                                                    </tbody>
                                                </table>
                                                <div class="pagination"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.card -->

                </div>
                <!-- content-wrapper ends -->

<div id="myModal" class="modal_1">

                <div class="modal-content-1">
                    <span style="font-size: 20px">Verify Code</span>
                    <span class="close" style="float: right; color: black;font-size: 25px;font-weight: bold;">&times;</span>
                    <hr style="margin-top: 5px;border: .5px solid black;width: 100%;" >
                    <div id="dynamic_div"></div>
                    <!--<div class="row" style="padding: 35px;">-->
                    <!--    <div class="col-md-1"></div>-->
                    <!--    <div class="col-md-10">-->
                    <!--        <div class="form-group">-->
                    <!--            <label class="col-md-4 control-label">Status:</label>-->
                    <!--            <div class="col-md-8">                                                                                            -->
                    <!--                <select class="form-control" id="stu_status" name="stu_status">-->
                    <!--                    <option value="">Select status</option>-->
                    <!--                    <option>Interviewed</option>-->
                    <!--                    <option>Selected</option>-->
                    <!--                    <option>Rejected</option>-->
                    <!--                    <option>Joined</option>-->

                    <!--                </select>-->
                    <!--                <span class="help-block">Select status</span>-->
                    <!--                <span id="mod_status" style="color: red"></span>-->

                    <!--            </div>-->
                    <!--        </div>-->
                            
                    <!--        <div class="form-group">-->
                    <!--            <label class="col-md-4 control-label">Enter Code:</label>-->
                    <!--            <div class="col-md-8">-->
                    <!--                <input type="number" class="form-control" id="mod_code" name="mod_code">-->
                    <!--                <span class="help-block" style="color: green"></span>-->
                    <!--                <span id="err_mod_code" style="color: red"></span>-->

                    <!--            </div>-->
                    <!--        </div>-->
                            
                    <!--    </div>-->
                    <!--    <div class="col-md-1"></div>-->
                    <!--</div>-->

                    <!--<hr style="margin-top: 5px;border: .5px solid black;width: 100%;" >-->

                    <!--<div class="row">-->
                    <!--    <div class="col-md-12" style="text-align: right">-->
                    <!--        <button style="margin-top: 20px" class="btn btn-primary"  type="submit" id="submit_mod" name="submit_mod">Submit</button>-->
                    <!--        <button style="margin-top: 20px" class="btn btn-primary"  type="submit" id="cancel" name="cancel">Close</button>-->
                    <!--    </div>-->
                    <!--</div>-->

                </div>

            </div>
                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->

    <!-- base:js -->
    <!--<script src="../JeevitamV2/vendors/js/vendor.bundle.base.js"></script>-->
    <!-- endinject -->
    <!-- Plugin js for this page-->
    <!--<script src="../JeevitamV2/vendors/chart.js/Chart.min.js"></script>-->
    <!-- End plugin js for this page-->
    <!-- inject:js -->
    <!--<script src="../JeevitamV2/js/off-canvas.js"></script>-->
    <!--<script src="../JeevitamV2/js/hoverable-collapse.js"></script>-->
    <!--<script src="../JeevitamV2/js/template.js"></script>-->
    <!--<script src="../JeevitamV2/js/settings.js"></script>-->
    <!--<script src="../JeevitamV2/js/todolist.js"></script>-->
    <!-- endinject -->

    <!-- plugin js for this page -->
    <!--<script src="../JeevitamV2/vendors/typeahead.js/typeahead.bundle.min.js"></script>-->
    <!--<script src="../JeevitamV2/vendors/select2/select2.min.js"></script>-->
    <!-- End plugin js for this page -->
    <!-- Custom js for this page-->
    <!--<script src="../JeevitamV2/js/file-upload.js"></script>-->
    <!--<script src="../JeevitamV2/js/typeahead.js"></script>-->
    <!--<script src="../JeevitamV2/js/select2.js"></script>-->
    <!-- End custom js for this page-->

    <!-- START PLUGINS -->
    <!--<script type="text/javascript" src="../JeevitamV2/js/jquery/jquery.min.js"></script>-->
    <!--<script type="text/javascript" src="../JeevitamV2/js/jquery/jquery-ui.min.js"></script>-->
    <!--<script type="text/javascript" src="../JeevitamV2/js/bootstrap/bootstrap.min.js"></script>-->
    <!--<script type="text/javascript" src="../JeevitamV2/js/plugins.js"></script>-->
    <!--<script type="text/javascript" src="../JeevitamV2/js/actions.js"></script>-->
    <!-- END PLUGINS -->

    <!--Pagination-->

    <script type="text/javascript" src="../CBSEFL/js/jquery-bootpag.js"></script>
    <script src="../CBSEFL/js/jquery.bootpag.min.js"></script>

    <!-- Javascript Variables -->
    <script type="text/javascript">
        var val_user_id = '<?php echo $user_id; ?>';
    </script>

    <!-- Javascript Function -->
    <script type="text/javascript">
        $('#btn_signout').click(function() {
            window.open('signout.php', '_self');
        });
    </script>

    <!-- Custom js for this page-->
    <script src="js/view_campus.js?randStr=<?php echo $randStr; ?>"></script>
    <!-- End custom js for this page-->
</body>

</html>