<?php

session_start();

// if (!(isset($_SESSION['user_id']))) {
//     header("Location: index.php");
// } else {
//     $user_id = $_SESSION['user_id'];
//     $user_id_short = $_SESSION['id'];
// }

$user_id = 5;
$randStr = rand();

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>View Drive Details</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!--Modal-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>

    <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

</head>

<style>
    body {
        background-color: lavender;
    }

    .full-screen-card {
        width: 80vw;
        /* Full width of the viewport */
        /* height: 100vh; Full height of the viewport */
        margin: 0;
        /* Remove any margins */
        padding: 20px;
        /* Add some padding if needed */
        box-sizing: border-box;
        /* Ensure padding and border are included in the width and height */
    }

    .form-control.dark-border {
        border: 1px solid #343a40;
        /* Darker border color */
    }
</style>

<body>

    <div class="container-scroller">

        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/header.php'; ?>
        </div>


        <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
            <!-- partial:partials/_settings-panel.html -->

            <div id="right-sidebar" class="settings-panel">
                <i class="settings-close typcn typcn-times"></i>
                <ul class="nav nav-tabs" id="setting-panel" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>
                    </li>
                </ul>
                <div class="tab-content" id="setting-content">

                </div>
            </div>
            <!-- partial -->
            <!-- partial:partials/_sidebar.html -->
            <?php include 'includes/sidebar.php'; ?>
            <?php include 'includes/modal_basic_01.php'; ?>
            <!-- partial -->

            <div class="main-panel">

                <div class="content-wrapper">

                    <center>

                        <div class="row" style="text-align: center; vertical-align: middle; margin:10px;">

                            <div class="label_white card">
                                <label style="margin:3px;">Campus</label>
                            </div>
                            <div class="label_00">
                                <label style="margin:3px;"> -> </label>
                            </div>
                            <div class="label_white card">
                                <label style="margin:3px;">View Drive Details</label>
                            </div>
                        </div>
                    </center>

                    <div class="card full-screen-card">
                        <!-- <div class="card-body"> -->
                            <!-- <h4>Drive Details</h4> -->
                        <!-- </div> -->
                        <div class="card-body">
                            <!-- Main content -->
                            <div class="content">
                                <div class="panel-body">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="campus_id" class="col-sm-3 col-form-label">Campus</label>
                                                <div class="col-sm-9">
                                                    <select class="form-control" id="campus_id" name="campus_id" required>
                                                    </select>
                                                    <span style="color: red;font-size:13px;margin-left:15px" id="err_campus_id"></span>
                                                </div>
                                            </div>
                                            <!-- <div class="form-group">
                                                <label class="control-label">From</label>
                                                <label>
                                                    <p style="color: red">* </p>
                                                </label> <span style="margin-left:10px;font-weight:bold" id="err-fromdate"></span><br>
                                                <input type="date" class="form-control dark-border" id="fromDate" name="fromDate">
                                            </div> -->
                                        </div>

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <input style="margin-top: 20px" type="button" class="btn btn-primary" id="ok" name="ok" value="Submit">
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div style="margin-top:20px" class="col-md-12">
                                            <div class="table-responsive pt-3">
                                                <table class="table table-striped">
                                                    <thead>
                                                        <tr>
                                                            <th>Drive Id</th>
                                                            <th>Drive Name</th>
                                                            <th>Start Date</th>
                                                            <th>End Date</th>
                                                            <!--<th>Jobs</th>-->
                                                            <th>Registration Link</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="table_body">
                                                    </tbody>
                                                </table>
                                                
                                            </div>
                                        </div>
                                    </div>
                                    <div class="pagination"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.card -->

                </div>
                <!-- content-wrapper ends -->

                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->

    <!-- base:js -->
    <!--<script src="../JeevitamV2/vendors/js/vendor.bundle.base.js"></script>-->
    <!-- endinject -->
    <!-- Plugin js for this page-->
    <!--<script src="../JeevitamV2/vendors/chart.js/Chart.min.js"></script>-->
    <!-- End plugin js for this page-->
    <!-- inject:js -->
    <!--<script src="../JeevitamV2/js/off-canvas.js"></script>-->
    <!--<script src="../JeevitamV2/js/hoverable-collapse.js"></script>-->
    <!--<script src="../JeevitamV2/js/template.js"></script>-->
    <!--<script src="../JeevitamV2/js/settings.js"></script>-->
    <!--<script src="../JeevitamV2/js/todolist.js"></script>-->
    <!-- endinject -->

    <!-- plugin js for this page -->
    <!--<script src="../JeevitamV2/vendors/typeahead.js/typeahead.bundle.min.js"></script>-->
    <!--<script src="../JeevitamV2/vendors/select2/select2.min.js"></script>-->
    <!-- End plugin js for this page -->
    <!-- Custom js for this page-->
    <!--<script src="../JeevitamV2/js/file-upload.js"></script>-->
    <!--<script src="../JeevitamV2/js/typeahead.js"></script>-->
    <!--<script src="../JeevitamV2/js/select2.js"></script>-->
    <!-- End custom js for this page-->

    <!-- START PLUGINS -->
    <!--<script type="text/javascript" src="../JeevitamV2/js/jquery/jquery.min.js"></script>-->
    <!--<script type="text/javascript" src="../JeevitamV2/js/jquery/jquery-ui.min.js"></script>-->
    <!--<script type="text/javascript" src="../JeevitamV2/js/bootstrap/bootstrap.min.js"></script>-->
    <!--<script type="text/javascript" src="../JeevitamV2/js/plugins.js"></script>-->
    <!--<script type="text/javascript" src="../JeevitamV2/js/actions.js"></script>-->
    <!-- END PLUGINS -->

    <!--Pagination-->

    <script type="text/javascript" src="../CBSEFL/js/jquery-bootpag.js"></script>
    <script src="../CBSEFL/js/jquery.bootpag.min.js"></script>

    <!-- Javascript Variables -->
    <script type="text/javascript">
        var val_user_id = '<?php echo $user_id; ?>';
    </script>

    <!-- Javascript Function -->
    <script type="text/javascript">
        $('#btn_signout').click(function() {
            window.open('signout.php', '_self');
        });
    </script>

    <!-- Custom js for this page-->
    <script src="js/view_drive_details.js?randStr=<?php echo $randStr; ?>"></script>
    <!-- End custom js for this page-->
</body>

</html>