<?php
// 	session_start();

// $user_id = '3';

// $job_id = filter_input(INPUT_GET,'job_id');
$randStr = rand();
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>View Live Jobs</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <!-- <link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css"> -->
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>


    <style>
        .modal_1 {
            display: none;
            /* Hidden by default */
            position: fixed;
            /* Stay in place */
            z-index: 1;
            /* Sit on top */
            padding-top: 20px;
            /* Location of the box*/
            left: 0;
            top: 50px;
            width: 100%;
            height: 100%;
            /* overflow: auto; */
            background-color: rgb(0, 0, 0);
            background-color: rgba(0, 0, 0, 0.4);
        }

        .modal-content-1 {
            background-color: #fefefe;
            margin: auto;
            padding: 20px;
            border: 1px solid #888;
            width: 40%;
        }

    </style>
</head>
<body>
    <div class="container-scroller">
        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/header.php'; ?>
        </div>
        <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">

        <!-- partial:partials/_sidebar.html -->
        <?php include 'includes/sidebar.php'; ?>
        <?php include 'includes/modal_basic_01.php'; ?>

        <div class="main-panel">
            <div class="content-wrapper">
                <div class="row" style="margin-top:10px; margin-bottom:10px;">
                    <div class="col-12 grid-margin stretch-card">
                        <div class="card">
                          <div class="card-body">
                            <!-- Top content added here -->
                            <h5 style="color: red; font-weight: bold;">
                                These jobs will be used for Shortlisting vs Incoming IVR and Website leads.
                            </h5><br><br>
                            <h4 class="card-title">View Active Jobs For Incoming</h4>

                            <!-- Main content -->
                            <div class="content">
                                <div class="panel-body">
                                    <div class="row">
                                        <div style="margin-top:20px" class="col-md-12">
                                            <div class="table-responsive pt-3">
                                                <table class="table table-striped">
                                                    <thead>
                                                        <tr>
                                                            <th>Id</th>
                                                            <th>Job Id</th>
                                                            <th>Functional Role</th>
                                                            <th>Minimum Salary</th>
                                                            <th>Maximum Salary</th>
                                                            <th>Qualification</th>
                                                            <th>Posted Date</th>
                                                            <th>Remove Job</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="result">
                                                    </tbody>
                                                </table>
                                                <div class="pagination"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                          </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Delete Job Modal Start -->
            <div id="myModalDeleteJob" class="modal_1">

                <div class="modal-content-1">
                    <span style="font-size: 20px">Remove Job</span>
                    <span class="close" id="close_delete_job" style="float: right; color: black;font-size: 25px;font-weight: bold;">&times;</span>
                    <hr style="margin-top: 5px;border: .5px solid black;width: 100%;">

                    <div class="row" style="padding: 35px;">
                        <div class="form-group">
                            <label style="font-size: 20px;margin-left: 120px">Are you sure want to remove the job?</label>
                        </div>

                    </div>

                    <hr style="margin-top: 5px;border: .5px solid black;width: 100%;">

                    <div class="row">
                        <div class="col-md-12" style="text-align: right">
                            <button style="margin-top: 20px" class="btn btn-primary" type="submit" id="submit_delete_job" name="submit_delete_job">YES</button>
                            <button style="margin-top: 20px" class="btn btn-primary" type="submit" id="cancel_delete_job" name="cancel_delete_job">NO</button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Delete Job Modal End -->
        </div>
        </div>
    </div>


    
    <!-- START PLUGINS -->
    <script type="text/javascript" src="../JeevitamV2/js/jquery/jquery.min.js"></script>
    <script type="text/javascript" src="../JeevitamV2/js/jquery/jquery-ui.min.js"></script>
    <script type="text/javascript" src="../JeevitamV2/js/bootstrap/bootstrap.min.js"></script>
    <script type="text/javascript" src="../JeevitamV2/js/plugins.js"></script>
    <script type="text/javascript" src="../JeevitamV2/js/actions.js"></script>
    <!-- Javascript Function -->
    <script type="text/javascript">
        $('#btn_signout').click(function() {
            window.open('signout.php', '_self');
        });
    </script>

    <!-- Custom js for this page-->
    <script src="js/view_live_jobs.js?randStr=<?php echo $randStr; ?>"></script>
</body>