<?php

include_once '../../../admin/PHPExcel/IOFactory.php';
include_once '../../utils/Utils.php';
include_once '../../utils/Session.php';

include_once '../../controller/CompositeJobFairController.php';

include_once '../../database/Db.php';
include_once '../../repository/Crud.php';


/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
 

$file_name = $_FILES['test1']['tmp_name'];
$user_id = $_POST['updated_by'];
$job_fair_id = $_POST['job_fair_id1'];
$comment = $_POST['comment1'];
$partner_id = $_POST['partner_id'];
$inputFileName = $file_name;
//  Read your Excel workbook
try {
    $inputFileType = PHPExcel_IOFactory::identify($inputFileName);
    $objReader = PHPExcel_IOFactory::createReader($inputFileType);
    $objPHPExcel = $objReader->load($inputFileName);
} catch (Exception $e) {
    die('Error loading file "' . pathinfo($inputFileName, PATHINFO_BASENAME)
            . '": ' . $e->getMessage());
}

//  Get worksheet dimensions
$sheet = $objPHPExcel->getSheet(0);
$highestRow = $sheet->getHighestRow();
$highestColumn = $sheet->getHighestColumn();

$db = getDb();
$crud = new Crud();
$date = getCurrentTime();

$compositeJobFairController = new CompositeJobFairController();

$phone_error = 0;
    $state_error = 0;
    $success = 0;
    $already = 0;

for ($row = 2; $row <= $highestRow; $row++) {
// for ($row = 2; $row <= 3; $row++) {
    //  Read a row of data into an array
    
    $date = getCurrentTime();

    $rowData = $sheet->rangeToArray('A' . $row . ':' . $highestColumn . $row, NULL, TRUE, FALSE);

    $s_no = $rowData[0][0];
    $phone_number = $rowData[0][1];
    $name = $rowData[0][2];
    $job_primary_id = $rowData[0][3];
    $registered = $rowData[0][4];
    $applied = $rowData[0][5];
    $screened = $rowData[0][6];
    
    
    if($registered == '1' && $applied == '1' && $screened == '1') {
        $status = "Screened And Approved";
    }else if($registered == '1' && $applied == '1') {
        $status = "Applied";
    }else if($registered == '1') {
        $status = "Registered";
    }else {
        $status = "Shortlisted";
    }
    
    // echo "UPDATE `skill_candidates_shorlisted` SET `status` = '$status', `comment` = '$comment', `updated_at` = '$date', `updated_by` = '$user_id' 
    //     WHERE `phone_number` = '$phone_number' AND `composite_drive_id` = '$job_fair_id' AND `campus_connect_id` = '$partner_id' AND `job_id` = '$job_primary_id'";
    
    $stmt = $db->prepare("UPDATE `skill_candidates_shorlisted` SET `status` = '$status', `comment` = '$comment', `updated_at` = '$date', `updated_by` = '$user_id' 
        WHERE `phone_number` = '$phone_number' AND `composite_drive_id` = '$job_fair_id' AND `campus_connect_id` = '$partner_id' AND `job_id` = '$job_primary_id'");
        
    $result = $crud->update($stmt);
}

echo $result;

closeDb();
?>
