<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


include('../../controller/corporate_branches/EmployeeController.php');
include '../../utils/Session.php';
include '../../utils/Utils.php';
include '../../model/CorporateEmployees.php';




$json = file_get_contents('php://input');
$data = json_decode($json);
$supervisor = $data->branches;

$branch = new CorporateEmployees();
$user_id = uniqid();
$branch->setUser_id($user_id);
$branch->set($data);

$branchController = new EmployeeController();
$results = $branchController->create($branch);

$response = json_decode($results, true);

if ($response['result'] === 'success') {

    $first_name = $branch->getFirst_name();
    $brand_id = $branch->getBrand_id();
    $branch_id = $branch->getBranch_id();
    $brand_name = $branchController->getBrandName($brand_id);
    $email = $branch->getEmail();
    $employee_id = $branchController->getEmployee_id($user_id);
    if ($branch->getUser_type() == 'Employee') {
        $postData_mail = 'fire=employee_referral&email=' . $email . '&brand_id=' . $brand_id . '&branch_id=' . $branch_id . '&brand_name=' . $brand_name.
                '&employee_id='.$employee_id. '&first_name='. $first_name;
        sendEmail($postData_mail);
    }



    if (!is_null($supervisor) && is_array($supervisor) && $branch->getUser_type() == 'Supervisor') {


        foreach ($supervisor as $super) {

            $branchController->supervisorMapping($branch->getBrand_id(), $super, $branch->getCreated_by(), $user_id);
            $branchController->updateSuperVisorForEmployees($super, $user_id);
            
        }
    }
}

echo $results;
?>
