<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


include('../../controller/corporate_branches/ReferralController.php');
include('../../controller/corporate_branches/EmployeeController.php');
include('../../controller/FunctionalRoleController.php');

include '../../utils/Session.php';
include '../../utils/Utils.php';
include '../../model/Referral.php';


$json = file_get_contents('php://input');
$data = json_decode($json);

$referral = new Referral();
$referral->set($data);

$referralController = new ReferralController();
$results = $referralController->create($referral);

$response = json_decode($results, true);

if ($response['result'] === 'success') {
    $employeeController = new EmployeeController();
    $functionalAreaController = new FunctionalRoleController();
    $name = $employeeController->getEmployeeNameWithoutJSON($employee_id);
    $brand_id = $referral->getBrand_id();
        $brand_name = $employeeController->getBrandName($brand_id);

    $employee_id = $referral->getEmployee_id();
    $fn = $referral->getRole();
    $role = $functionalAreaController->getRoleName($fn);
    $first_name = $referral->getFirst_name();
    $email = $referral->getEmail();
    $mobile_number = $referral->getMobile_number();
    

    $postData_mail = 'fire=referral_notification&email=' . $email . '&brand_name=' . $brand_name .'&brand_id=' . $brand_id .
            '&employee_id=' . $employee_id . '&name=' . $name. '&role='. $role. '&first_name='. $first_name. '&mobile='. $mobile_number ;
    sendEmail($postData_mail);
}

echo $results;
?>
