<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

include('../../controller/part_timers/PartTimerController.php');
include '../../utils/Session.php';
include '../../utils/Utils.php';
include '../../model/PartTimeAssignment.php';
include '../../model/PartTimerCities.php';
include '../../model/PartTimerBranch.php';
include '../../model/PartTimerDays.php';
include '../../model/PartTimerDocs.php';
include '../../model/PartTimerStudyMaterial.php';


$json = file_get_contents('php://input');
$data = json_decode($json);
// $cities = $data->cities;
// $branches = $data->branches;
$days = $data->days;
$docs = $data->docs;
$study_materials = $data->study_material;

$partTimeAssignment = new PartTimeAssignment();
$partTimeAssignment->set($data);

$partTimeController = new PartTimerController();
$results = $partTimeController->create($partTimeAssignment);
$response = json_decode($results,true);
if ($response['result'] === 'success') {
    $id = $response['id'];
    ////////city////////
    // foreach ($cities as $city) {

    //     $partTimeCites = new PartTimerCities();
    //     $partTimeCites->setCity_id($city);
    //     $partTimeCites->setPart_timer_request_id($id);
    //     $partTimeController->createCities($partTimeCites);
    // }


    ////////////////branches//////////////////////////////////

    // foreach ($branches as $branch) {
    //     $partTimeBranch = new PartTimerBranch();
    //     $partTimeBranch->setBranch_id($branch);
    //     $partTimeBranch->setPart_timer_request_id($id);
    //     $partTimeController->createBranches($partTimeBranch);
    // }



    /////////////////////days///////////////////////

    foreach ($days as $day) {
        
        $partTimeDay = new PartTimerDays();
        $partTimeDay->setDay($day);
        $partTimeDay->setPart_timer_request_id($id);
        $partTimeController->createDays($partTimeDay);
    }
    
    
    ////////////////////////documents////////////////////////////////////////
    
    foreach ($docs as $doc){
        
        $partTimeDoc = new PartTimerDocs();
        $partTimeDoc->setDocument_name($doc);
        $partTimeDoc->setPart_timer_request_id($id);
        $partTimeController->createDocs($partTimeDoc);
    }
    
     ////////////////////////study materials////////////////////////////////////////
    
    foreach ($study_materials as $study_material){
        
        $partTimerStudyMaterial = new PartTimerStudyMaterial();
        $partTimerStudyMaterial->setMaterial_id($study_material);
        $partTimerStudyMaterial->setPart_timer_request_id($id);
        $partTimeController->createMaterial($partTimerStudyMaterial);
    }
    $partTimeController->getParTimeRequest($id, $partTimeAssignment->getBrand_id(), $partTimeAssignment->getFunctional_role());
}

echo $results;
