<?php
include('../../controller/jobs/JobDetailsController.php');

header('Content-Type: application/json');

$data = json_decode(file_get_contents("php://input"), true);

// Job ID from the data
$job_id = $data['id'] ?? null;

if ($job_id) {
    $jobDetailsController = new JobDetailsController();
    // Update the job's 'active_for_incoming' to 0
    $result = $jobDetailsController->deleteActiveJob($job_id);

    if ($result) {
        $response['success'] = true;
        $response['message'] = 'Job deleted successfully.';
    } else {
        $response['message'] = 'Failed to delete job ID: ' . $job_id;
    }
} else {
    $response['message'] = 'Invalid job ID provided.';
}

echo json_encode($response);
