<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

include('../../controller/post-job-v2/PostJobV2Controller.php');
// include('../../controller/AudioController.php');
// include('../../controller/brand/BrandController.php');

include '../../utils/Session.php';
include '../../utils/Utils.php';

include '../../model/PostJobV2.php';
include '../../model/JobMobile.php';
include '../../model/JobCity.php';
include '../../model/JobVehicle.php';
include '../../model/JobLicense.php';
include '../../model/JobLanguages.php';
include '../../model/JobAddressProof.php';
include '../../model/JobIdentityProof.php';
include '../../model/JobOtherMatches.php';
include '../../model/SelfSignupProviding.php';


$json = file_get_contents('php://input');

$data = json_decode($json);


$myfile = file_put_contents('logs/logs.txt', "post job v2" . " " . $json . PHP_EOL, FILE_APPEND | LOCK_EX);

$post_full_time_job = $data->post_full_time_job;
$user_id = $post_full_time_job->created_by;
$location = $data->location;
$language_array = $data->language;
$languages = $language_array->languages;
$proficiency = $language_array->proficiency;
$vehicles = $data->vehicles;
$other_matches = $data->other_matches;
$proofs_identity = $data->proofs_identity;
$proofs_address = $data->proofs_address;
$license = $data->license;    
$mobile = $data->mobile;
$provide = $data->provide;

$job_id = uniqid();

$postJobV2 = new PostJobV2();
$postJobV2->set($post_full_time_job);
$postJobV2->setJob_id($job_id);

$postJobController = new PostJobV2Controller();

$results = $postJobController->createJob($postJobV2);


$response = json_decode($results, TRUE);

if ($response['result'] == 'success') {
    
    $post_job_id = $response['id'];

    if (!is_null($location) && !empty($location) && is_array($location)) {
        
        $cty = "";

        foreach ($location as $value) {

            $jobCity = new JobCity();
            $jobCity->setJob_id($job_id);
            $jobCity->setCity_id($value);

            $postJobController->createLocation($jobCity);
            
            

        }
    }
    

     if (!is_null($languages) && !empty($languages) && is_array($languages)) {

        foreach ($languages as $value) {

            $jobLanguages = new JobLanguages();


            foreach ($proficiency as $object) {

                $jobLanguages->setJob_id($job_id);
                $jobLanguages->setLanguage($value);
                $jobLanguages->setProfiency($object);
                
                $postJobController->createLanguage($jobLanguages);
                
            }
        }
    }

    if (!is_null($vehicles) && !empty($vehicles) && is_array($vehicles)) {

        foreach ($vehicles as $value) {

            $jobVehicle = new JobVehicle();
            $jobVehicle->setJob_id($job_id);
            $jobVehicle->setVehicle($value);

            $postJobController->createVehicle($jobVehicle);
        }
    }

    if (!is_null($proofs_address) && !empty($proofs_address) && is_array($proofs_address)) {

        foreach ($proofs_address as $value) {

            $jobAddressProof = new JobAddressProof();
            $jobAddressProof->setJob_id($job_id);
            $jobAddressProof->setAddress_proof($value);

            $postJobController->createAddressProof($jobAddressProof);
        }
    }

    if (!is_null($proofs_identity) && !empty($proofs_identity) && is_array($proofs_identity)) {

        foreach ($proofs_identity as $value) {

            $jobIdentityProof = new JobIdentityProof();
            $jobIdentityProof->setJob_id($job_id);
            $jobIdentityProof->setIdentity($value);

            $postJobController->createIdentitiProof($jobIdentityProof);
        }
    }
    
      if (!is_null($license) && !empty($license) && is_array($license)) {

        foreach ($license as $value) {

            $jobLicense = new JobLicense();
            $jobLicense->setJob_id($job_id);
            $jobLicense->setLicense_type($value);
            $jobLicense->setUser_id($user_id);

            $postJobController->createLicenseType($jobLicense);
        }
    }

    if (!is_null($provide) && !empty($provide) && is_array($provide)) {

        foreach ($provide as $value) {

            $selfSignupProviding = new SelfSignupProviding();
            $selfSignupProviding->setJob_id($job_id);
            $selfSignupProviding->setProvide($value);
            $selfSignupProviding->setCreated_by(43);
            

            $postJobController->createProviding($selfSignupProviding);
        }
    }
    
    if (!is_null($other_matches) && !empty($other_matches)) {


        $jobOtherMatches1 = new JobOtherMatches();
        $jobOtherMatches1->setJob_id($job_id);

        $flexbility_min_qualification = $other_matches->flexbility_min_qualification;
        // echo "api ".$flexbility_min_qualification;
        $jobOtherMatches1->setMin_qualification($flexbility_min_qualification);
        
         $flexbility_max_qualification = $other_matches->flexbility_max_qualification;
        $jobOtherMatches1->setMax_qualification($flexbility_max_qualification);
        
         $flexbility_from_age = $other_matches->flexbility_from_age;
        $jobOtherMatches1->setFrom_age($flexbility_from_age);
        
         $flexbility_to_age = $other_matches->flexbility_to_age;
        $jobOtherMatches1->setTo_age($flexbility_to_age);
        
         $flexbility_min_salary = $other_matches->flexbility_min_salary;
        $jobOtherMatches1->setMin_salary($flexbility_min_salary);
        
         $flexbility_max_salary = $other_matches->flexbility_max_salary;
        $jobOtherMatches1->setMax_salary($flexbility_max_salary);
       
        
        

        $postJobController->createOtherMatches($jobOtherMatches1);


    }
    if (!is_null($mobile) && !empty($mobile) && is_array($mobile)) {

        foreach ($mobile as $value) {

            $jobMobile = new JobMobile();
            $jobMobile->setJob_id($job_id);
            $jobMobile->setMobile_type($value);
            

            $postJobController->createMobileType($jobMobile);
        }
    }
    
}

echo $results;


