<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

include('../../controller/post-job-v2/PostJobV2Controller.php');

include '../../utils/Session.php';
include '../../utils/Utils.php';

include '../../model/PostJobV2.php';
include '../../model/JobMobile.php';
include '../../model/JobVehicle.php';
include '../../model/JobLicense.php';
include '../../model/JobLanguages.php';
include '../../model/JobAddressProof.php';
include '../../model/JobIdentityProof.php';


$json = file_get_contents('php://input');

$data = json_decode($json);


$myfile = file_put_contents('logs.txt', "post job v2" . " " . $json . PHP_EOL, FILE_APPEND | LOCK_EX);

$post_full_time_job = $data->post_full_time_job;
$language_array = $data->language;
$languages = $language_array->languages;
$proficiency = $language_array->proficiency;
$vehicles = $data->vehicles;
$proofs_identity = $data->proofs_identity;
$proofs_address = $data->proofs_address;
$license = $data->license;    
$mobile = $data->mobile;

$postJobV2 = new PostJobV2();
$postJobV2->set($post_full_time_job);


$postJobController = new PostJobV2Controller();

$results = $postJobController->editJob($postJobV2);

$response = json_decode($results, TRUE);

if ($response['result'] == 'success') {
    
    $job_id = $postJobV2->getJob_id();


     if (!is_null($languages) && !empty($languages) && is_array($languages)) {
         
         $delete_result = $postJobController->deleteLanguage($job_id);
         $delete_response = json_decode($delete_result, TRUE);
         
         if($delete_response['result'] == 'success') {
             
         
            foreach ($languages as $value) {
    
                $jobLanguages = new JobLanguages();
    
    
                foreach ($proficiency as $object) {
    
                    $jobLanguages->setJob_id($job_id);
                    $jobLanguages->setLanguage($value);
                    $jobLanguages->setProfiency($object);
                    
                    $postJobController->createLanguage($jobLanguages);
                    
                }
            }
        
        }
    }

    if (!is_null($vehicles) && !empty($vehicles) && is_array($vehicles)) {
        
        $delete_result = $postJobController->deleteVehicle($job_id);
        $delete_response = json_decode($delete_result, TRUE);
         
        if($delete_response['result'] == 'success') {

            foreach ($vehicles as $value) {
    
                $jobVehicle = new JobVehicle();
                $jobVehicle->setJob_id($job_id);
                $jobVehicle->setVehicle($value);
    
                $postJobController->createVehicle($jobVehicle);
            }
        
        }
    }

    if (!is_null($proofs_address) && !empty($proofs_address) && is_array($proofs_address)) {
        
        $delete_result = $postJobController->deleteAddress($job_id);
        $delete_response = json_decode($delete_result, TRUE);
         
        if($delete_response['result'] == 'success') {

            foreach ($proofs_address as $value) {
    
                $jobAddressProof = new JobAddressProof();
                $jobAddressProof->setJob_id($job_id);
                $jobAddressProof->setAddress_proof($value);
    
                $postJobController->createAddressProof($jobAddressProof);
            }
            
        }
    }

    if (!is_null($proofs_identity) && !empty($proofs_identity) && is_array($proofs_identity)) {
        
        $delete_result = $postJobController->deleteIdentity($job_id);
        $delete_response = json_decode($delete_result, TRUE);
         
        if($delete_response['result'] == 'success') {

            foreach ($proofs_identity as $value) {
    
                $jobIdentityProof = new JobIdentityProof();
                $jobIdentityProof->setJob_id($job_id);
                $jobIdentityProof->setIdentity($value);
    
                $postJobController->createIdentitiProof($jobIdentityProof);
            }
        
        }
    }
    
      if (!is_null($license) && !empty($license) && is_array($license)) {
          
        $delete_result = $postJobController->deleteLicense($job_id);
        $delete_response = json_decode($delete_result, TRUE);
         
        if($delete_response['result'] == 'success') {

            foreach ($license as $value) {
    
                $jobLicense = new JobLicense();
                $jobLicense->setJob_id($job_id);
                $jobLicense->setLicense_type($value);
                $jobLicense->setUser_id($user_id);
    
                $postJobController->createLicenseType($jobLicense);
            }
            
        }    
    }


    if (!is_null($mobile) && !empty($mobile) && is_array($mobile)) {
        
        
        $delete_result = $postJobController->deleteMobile($job_id);
        $delete_response = json_decode($delete_result, TRUE);
         
        if($delete_response['result'] == 'success') {

            foreach ($mobile as $value) {
    
                $jobMobile = new JobMobile();
                $jobMobile->setJob_id($job_id);
                $jobMobile->setMobile_type($value);
                
    
                $postJobController->createMobileType($jobMobile);
            }
            
        }
    }
}

echo $results;



