<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

include('../../controller/post-job-v2/PostJobV2Controller.php');
include('../../controller/AudioController.php');
include('../../controller/brand/BrandController.php');

include '../../utils/Session.php';
include '../../utils/Utils.php';

include '../../model/PostJobV2.php';
include '../../model/JobMobile.php';
include '../../model/JobCity.php';
include '../../model/JobVehicle.php';
include '../../model/JobLicense.php';
include '../../model/JobLanguages.php';
include '../../model/JobAddressProof.php';
include '../../model/JobIdentityProof.php';
include '../../model/JobOtherMatches.php';
include('../../controller/FunctionalAreaController.php');



$json = file_get_contents('php://input');
$data = json_decode($json);

$myfile = file_put_contents('logs.txt', "post job v2" . " " . $json . PHP_EOL, FILE_APPEND | LOCK_EX);

$post_full_time_job = $data->post_full_time_job;
$user_id = $post_full_time_job->created_by;
$location = $data->location;
$language_array = $data->language;
$languages = $language_array->languages;
$proficiency = $language_array->proficiency;
$vehicles = $data->vehicles;
$other_matches = $data->other_matches;
$proofs_identity = $data->proofs_identity;
$proofs_address = $data->proofs_address;
$license = $data->license;    
$mobile = $data->mobile;

$job_id = uniqid();

$postJobV2 = new PostJobV2();
$postJobV2->set($post_full_time_job);
$postJobV2->setJob_id($job_id);

$postJobController = new PostJobV2Controller();
$audioController = new AudioController();

$results = $postJobController->createJob($postJobV2);

$response = json_decode($results, TRUE);

if ($response['result'] == 'success') {

    if (!is_null($location) && !empty($location) && is_array($location)) {

        foreach ($location as $value) {

            $jobCity = new JobCity();
            $jobCity->setJob_id($job_id);
            $jobCity->setCity_id($value);

            $postJobController->createLocation($jobCity);
        }
    }

     if (!is_null($languages) && !empty($languages) && is_array($languages)) {

        foreach ($languages as $value) {

            $jobLanguages = new JobLanguages();


            foreach ($proficiency as $object) {

                $jobLanguages->setJob_id($job_id);
                $jobLanguages->setLanguage($value);
                $jobLanguages->setProfiency($object);
                
                $postJobController->createLanguage($jobLanguages);
            }
        }
    }

    if (!is_null($vehicles) && !empty($vehicles) && is_array($vehicles)) {

        foreach ($vehicles as $value) {

            $jobVehicle = new JobVehicle();
            $jobVehicle->setJob_id($job_id);
            $jobVehicle->setVehicle($value);

            $postJobController->createVehicle($jobVehicle);
        }
    }

    if (!is_null($proofs_address) && !empty($proofs_address) && is_array($proofs_address)) {

        foreach ($proofs_address as $value) {

            $jobAddressProof = new JobAddressProof();
            $jobAddressProof->setJob_id($job_id);
            $jobAddressProof->setAddress_proof($value);

            $postJobController->createAddressProof($jobAddressProof);
        }
    }

    if (!is_null($proofs_identity) && !empty($proofs_identity) && is_array($proofs_identity)) {

        foreach ($proofs_identity as $value) {

            $jobIdentityProof = new JobIdentityProof();
            $jobIdentityProof->setJob_id($job_id);
            $jobIdentityProof->setIdentity($value);

            $postJobController->createIdentitiProof($jobIdentityProof);
        }
    }
    
      if (!is_null($license) && !empty($license) && is_array($license)) {

        foreach ($license as $value) {

            $jobLicense = new JobLicense();
            $jobLicense->setJob_id($job_id);
            $jobLicense->setLicense_type($value);
            $jobLicense->setUser_id($user_id);

            $postJobController->createLicenseType($jobLicense);
        }
    }

    if (!is_null($other_matches) && !empty($other_matches)) {


        $jobOtherMatches1 = new JobOtherMatches();
        $jobOtherMatches1->setJob_id($job_id);

        $flexbility_min_qualification = $other_matches->flexbility_min_qualification;
        $jobOtherMatches1->setMin_qualification($flexbility_min_qualification);
        
         $flexbility_max_qualification = $other_matches->flexbility_max_qualification;
        $jobOtherMatches1->setMax_qualification($flexbility_max_qualification);
        
         $flexbility_from_age = $other_matches->flexbility_from_age;
        $jobOtherMatches1->setFrom_age($flexbility_from_age);
        
         $flexbility_to_age = $other_matches->flexbility_to_age;
        $jobOtherMatches1->setTo_age($flexbility_to_age);
        
         $flexbility_min_salary = $other_matches->flexbility_min_salary;
        $jobOtherMatches1->setMin_salary($flexbility_min_salary);
        
         $flexbility_max_salary = $other_matches->flexbility_max_salary;
        $jobOtherMatches1->setMax_salary($flexbility_max_salary);
       
        
        

        $postJobController->createOtherMatches($jobOtherMatches1);


    }
    if (!is_null($mobile) && !empty($mobile) && is_array($mobile)) {

        foreach ($mobile as $value) {

            $jobMobile = new JobMobile();
            $jobMobile->setJob_id($job_id);
            $jobMobile->setMobile_type($value);
            

            $postJobController->createMobileType($jobMobile);
        }
    }

    $language_to_record = 'Oriya';
$functionalAreaController = new FunctionalAreaController();

//    --------------------L1--------------
   // $functionalRole = $functionalAreaController->getFunctionalRole($postJobV2->getFunctional_role());

            $fnRole = "functional_role_" . $postJobV2->getFunctional_role();

    $brandName = $postJobV2->getCompany_name();
    $brdfile = "../../audio/brand_info" . $job_id . ".mp3";
    $brandFilePath = tts($brandName, $brdfile);

    $salaryAmount = "From" . $postJobV2->getMin_salary() . "to" . $postJobV2->getMax_salary();
    $salfile = "../../audio/" . $salaryAmount . $job_id . ".mp3";
    $salaryPath = tts($salaryAmount, $salfile);

    $audio_bank = array();

    $hellofrom = explode('$', $audioController->getFilePath($language_to_record, "3"));

            $functional_role = explode('$', $audioController->getFilePath($language_to_record, $fnRole));
            $jobwith = explode('$', $audioController->getFilePath($language_to_record, "4"));
            $brand = $brandFilePath;
            $salaryinhand = explode('$', $audioController->getFilePath($language_to_record, "5"));
            $sal = $salaryPath;
            $conclude = explode('$', $audioController->getFilePath($language_to_record, "6"));
            $fnRoleForJd = "job_description_" . $postJobV2->getFunctional_role();
             $jd = explode('$', $audioController->getFilePath($language_to_record, $fnRoleForJd));
        
            array_push($audio_bank, basename($hellofrom[0]));
            //array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($functional_role[0]));
            //array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($jobwith[0]));
            array_push($audio_bank, basename($brand));
           // array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($salaryinhand[0]));
           // array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($sal));
            //array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($jd[0]));
           // array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($conclude[0]));


            //   echo json_encode($audio_bank);
            $output = $job_id . "_" . $language_to_record . "_" . "L1";

            $result = concat($output, $audio_bank);
            
            

            $name = $output . ".wav";
            $brand_id = $postJobV2->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L1", $language_to_record, $name, $brand_id);
    
     


/////////////////////////Certification////////////////////////

 $certificate_shortlist = $post_full_time_job->certificate_shortlist;

// //////////////////////////////////////////////////////////////////////

if (!is_null($certificate_shortlist) && !empty($certificate_shortlist)) {


    $name_file = "../../audio/" . $certificate_shortlist . $job_id . ".mp3";
    $name_file_path = tts($certificate_shortlist, $name_file);

    $press1 = explode('$', $audioController->getFilePathV2($language_to_record, "C1.1"));
    $press2 = explode('$', $audioController->getFilePathV2($language_to_record, "C1.2"));
    $press3 = explode('$', $audioController->getFilePathV2($language_to_record, "C1.3"));
    $press4 = explode('$', $audioController->getFilePathV2($language_to_record, "C1.4"));


    $audio_bank = array();

    array_push($audio_bank, basename($press1[0])); // press 1 if you have 
    array_push($audio_bank, basename($name_file_path)); // $certificate_shortlist

    array_push($audio_bank, basename($press2[0])); // press 1 if you have 
    array_push($audio_bank, basename($name_file_path)); // $certificate_shortlist

    array_push($audio_bank, basename($press3[0])); // press 1 if you have 
    array_push($audio_bank, basename($name_file_path)); // $certificate_shortlist
    
    array_push($audio_bank, basename($press4[0])); // press 1 if you have 
    // array_push($audio_bank, basename($name_file_path)); // $certificate_shortlist


    $output = $job_id . "_" . $language_to_record . "_" . "Certification";
    $result = concat($output, $audio_bank);

    $name = $output . ".wav";
    $brand_id = $postJobV2->getBrand_id();


  $resx = $audioController->createVoiceFile($job_id, "Certification", $language_to_record, $name, $brand_id);
}

// /////////////////////////////////////////////////////////////////////////////////////////////////////////




// ---------------------------Training------------------------

    if ($postJobV2->getTraining_certification() == '1') {

        $audio_bank = array();

        if ($postJobV2->getTraining_cost() > 0) {
            $course = 'paid';
        } else {
            $course = 'free';
        }

        $coursefile = "../../audio/" . $course . $job_id . ".mp3";
        $courseFilePath = tts($course, $coursefile);

        $traning_name = $postJobV2->getTraining_name();
        $traning_name_file = "../../audio/" . $traning_name . $job_id . ".mp3";
        $traning_name_file_path = tts($traning_name, $traning_name_file);

        $traning_location = $postJobV2->getTraining_location();
        $traning_location_file = "../../audio/" . $traning_location . $job_id . ".mp3";
        $traning_location_file_path = tts($traning_location, $traning_location_file);

        $traning_days = $postJobV2->getTraining_duration();
        $traning_days_file = "../../audio/" . $traning_days . $job_id . ".mp3";
        $traning_days_file_path = tts($traning_days, $traning_days_file);

        $traning_cost = $postJobV2->getTraining_cost();
        $traning_cost_file = "../../audio/" . $traning_cost . $job_id . ".mp3";
        $traning_cost_file_path = tts($traning_cost, $traning_cost_file);

        $undergo = explode('$', $audioController->getFilePathV2($language_to_record, "T1.1"));
        $program = explode('$', $audioController->getFilePathV2($language_to_record, "T1.2"));
        $for = explode('$', $audioController->getFilePathV2($language_to_record, "T1.3"));
        $cost = explode('$', $audioController->getFilePathV2($language_to_record, "T1.4"));
        $end = explode('$', $audioController->getFilePathV2($language_to_record, "T1.5"));

        array_push($audio_bank, basename($undergo[0])); // t1_1
        array_push($audio_bank, basename($traning_name_file_path)); // training name
        array_push($audio_bank, basename($program[0])); // t1_2
        array_push($audio_bank, basename($traning_location_file_path)); // location name
        array_push($audio_bank, basename($for[0])); //t1_3
        array_push($audio_bank, basename($traning_cost_file_path)); // cost name
        array_push($audio_bank, basename($cost[0])); //t1_4
        array_push($audio_bank, basename($traning_cost_file_path)); // cost name
        array_push($audio_bank, basename($end[0])); // t1_5

        $output = $job_id . "_" . $language_to_record . "_" . "Training";
        // echo json_encode($audio_bank);

        $result = concat($output, $audio_bank);

        $name = $output . ".wav";
        // echo $name;
        $resx = $audioController->createVoiceFile($job_id, "Training", $language_to_record, $name, $brand_id);;
    }

//          //---------------------------Loan available-------------------------------------------
    
    
//     //----------------------------------------------------------------------
        
     $loan_available = $data->loan_available;
    
      if($loan_available == 1){
           
        $loan = explode('$', $audioController->getFilePathV2($language_to_record, "Loan.1"));
        $interested = explode('$', $audioController->getFilePathV2($language_to_record, "Loan.2"));
        $audio_bank = array();
        array_push($audio_bank, basename($loan[0])); // loan_1
        array_push($audio_bank, basename($traning_cost_file_path)); // training cost
        array_push($audio_bank, basename($interested[0])); // loan_2
        
        $output = $job_id . "_" . $language_to_record . "_" . "Loan";
        $result = concat($output, $audio_bank);
        $name = $output . ".wav";
        $resx = $audioController->createVoiceFile($job_id, "Loan", $language_to_record, $name, "");

      }
    
//   //-----------------------------------------------------------------------------------------
   

    foreach ($proofs_identity as $value) {

        if ($value == 'aadhar') {
            identity($job_id, $language_to_record, $audioController, "AaadharCard");
        }

        if ($value == 'pan') {
            identity($job_id, $language_to_record, $audioController, "PanCard");
        }


        if ($value == 'license_shortlist') {
            identity($job_id, $language_to_record, $audioController, "DrivingLicense");
        }
    }
    
    
    
    
   
    if (!is_null($languages) && !empty($languages) && is_array($languages)) {

        foreach ($languages as $value) {

            $name_file = "../../audio/" . $value . $job_id . ".mp3";
            $name_file_path = tts($value, $name_file);

            languages($job_id, $language_to_record, $audioController, $name_file_path, "LA1_1",$value);
            languages($job_id, $language_to_record, $audioController, $name_file_path, "LA1_2",$value);
            languages($job_id, $language_to_record, $audioController, $name_file_path, "LA1_3",$value);
            languages($job_id, $language_to_record, $audioController, $name_file_path, "LA1_4",$value);
            languages($job_id, $language_to_record, $audioController, $name_file_path, "LA1_5",$value);
        }
    }
    
    echo $results;          // Result after creating the job

}

// /////////////////////////////////////////////////////////////////////////////////////////////////////////

function languages($job_id, $language_to_record, $audioController, $language_file, $tag, $value) {
    

    $press1 = explode('$', $audioController->getFilePathV2($language_to_record, $tag));

    $audio_bank = array();

    array_push($audio_bank, basename($press1[0])); // press 1 if you have 
    array_push($audio_bank, basename($language_file)); // language

    $output = $job_id . "_" . $language_to_record . "_" . "Language" . $tag. "_".$value;
    $result = concat($output, $audio_bank);

    $name = $output . ".wav";
    $resx = $audioController->createVoiceFile($job_id, "Language", $language_to_record, $name, "");
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////
function identity($job_id, $language_to_record, $audioController, $identity) {


    $press1 = explode('$', $audioController->getFilePathV2($language_to_record, "P1.1"));
    $press2 = explode('$', $audioController->getFilePathV2($language_to_record, "P1.2"));

    $audio_bank = array();
    $name_file = "../../audio/" . $identity . $job_id . ".mp3";
    $name_file_path = tts($identity, $name_file);


    array_push($audio_bank, basename($press1[0])); // press 1 if you have 
    array_push($audio_bank, basename($name_file_path)); // aadhar
    array_push($audio_bank, basename($press2[0])); // press 2 if you can give any other

    $output = $job_id . "_" . $language_to_record . "_" . "Identity". "_" .$identity;
   $result = concat($output, $audio_bank);
//   echo json_encode($audio_bank);
    


    $name = $output . ".wav";
    $resx = $audioController->createVoiceFile($job_id, "Identity", $language_to_record, $name, "");
}




