<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

include('../../controller/post_jobs/PostJobController.php');
include('../../controller/post_jobs/JobCityController.php');
include('../../controller/post_jobs/JobVehicleController.php');
include('../../controller/post_jobs/JobLicenseController.php');
include('../../controller/post_jobs/JobLanguagesController.php');
include('../../controller/post_jobs/JobTypeController.php');                //karthick
include('../../controller/AudioController.php');
include('../../controller/CityController.php');
include('../../controller/FunctionalAreaController.php');
include('../../controller/IndustryCategoryController.php');
include('../../controller/TypeOfLocationController.php');
include('../../controller/brand/BrandController.php');

include('../../controller/JobFairController.php');          // priya
include('../../controller/FunctionalRoleController.php');          // priya



include '../../utils/Session.php';
include '../../utils/Utils.php';
include '../../model/PostJobs.php';
include '../../model/JobCity.php';
include '../../model/JobVehicle.php';
include '../../model/JobLicense.php';
include '../../model/JobLanguages.php';
include '../../model/LocationOfWork.php';
include '../../model/PostJobType.php';                                      //karthick



$json = file_get_contents('php://input');

$myfile = file_put_contents('logs.txt', "post job" . " " . $json . PHP_EOL, FILE_APPEND | LOCK_EX);

$data = json_decode($json);
$postjob = $data->postjob;
$cities = $data->cities;
$vehicles = $data->vehicles;
$license = $data->license;
$languages = $data->languages;
$location_of_wotk = $data->location_of_wotk;
$type_of_job = $data->type_of_job;                      //karthick
$name_brand = $data->postjob->name_of_brand;                      // priya
$role = $data->postjob->functional_role;                      // priya

$language_bank = array();

$audioController = new AudioController();
$cityController = new CityController();
$functionalAreaController = new FunctionalAreaController();
$industryController = new IndustryCategoryController();
$brandController = new BrandController();



$job_id = uniqid();
$postJobs = new PostJobs();
$postJobs->set($postjob);
$postJobs->setJob_id($job_id);


$postJobController = new PostJobController();
$results = $postJobController->create($postJobs);
$response = json_decode($results, true);



if ($response['result'] == "success") {

    array_push($language_bank, "English"); // default language english
    array_push($language_bank, "Hindi"); // default language hindi
    array_push($language_bank, "Tamil"); // default language tamil
    array_push($language_bank, "Telugu");
    array_push($language_bank, "Kannada");
    array_push($language_bank, "Oriya");
    array_push($language_bank, "Malayalam");
    array_push($language_bank, "Bengali");



    if (!is_null($cities) && is_array($cities)) {
        foreach ($cities as $city) {
            $jobCity = new JobCity();
            $jobCity->setJob_id($job_id);
            $jobCity->set($city);
            $jobCityController = new JobCityController();
            $result = $jobCityController->create($jobCity);
            
            // $jobCityController->createCityForPostedJob($jobCity);

            $var = $cityController->getLanguageForCity($jobCity->getCity_id());
        }
    }


    if (!is_null($vehicles) && is_array($vehicles)) {

        foreach ($vehicles as $vehicle) {
            $jobVehicle = new JobVehicle();
            $jobVehicle->setJob_id($job_id);
            $jobVehicle->setUser_id($postJobs->getUser_id());
            $jobVehicle->set($vehicle);
            $jobVehicleController = new JobVehicleController();
            $result = $jobVehicleController->create($jobVehicle);
        }
    }


    if (!is_null($license) && is_array($license)) {

        foreach ($license as $licen) {
            $jobLicense = new JobLicense();
            $jobLicense->setJob_id($job_id);
            $jobLicense->setUser_id($postJobs->getUser_id());
            $jobLicense->set($licen);
            $jobLicenseController = new JobLicenseController();
            $result = $jobLicenseController->create($jobLicense);
        }
    }


    if (!is_null($type_of_job) && is_array($type_of_job)) {   // karthick
        foreach ($type_of_job as $type) {
            $jobType = new PostJobType();
            $jobType->setJob_id($job_id);
            $jobType->setUser_id($postJobs->getUser_id());
            $jobType->set($type);
            $jobTypeController = new JobTypeController();
            $result = $jobTypeController->create($jobType);
        }
    }


    if (!is_null($languages) && is_array($languages)) {

        foreach ($languages as $language) {
            
            // print_r($language);
            $jobLanguage = new JobLanguages();
            $jobLanguage->setJob_id($job_id);
            $jobLanguage->setUser_id($postJobs->getUser_id());
            $jobLanguage->set($language);
            $jobLanguageController = new JobLanguagesController();
            $result = $jobLanguageController->create($jobLanguage);
            
            // echo $result;
        }
    }


    if (!is_null($location_of_wotk) && is_array($location_of_wotk)) {

        foreach ($location_of_wotk as $locw) {
            $locationofwork = new LocationOfWork();
            $locationofwork->setJob_id($job_id);
            $locationofwork->set($locw);
            $typeOfloc = new TypeOfLocationController();
            $result = $typeOfloc->create($locationofwork);
        }
    }

//-----------------------------------------------------------
    /* Creating audio bank from audiocontroller
     */

    $functionalArea = $functionalAreaController->getFunctionalArea($postJobs->getFunctional_area());
    $functionalRole = $functionalAreaController->getFunctionalRole($postJobs->getFunctional_role());
    $industry = $industryController->getIndCategory($postJobs->getIndustry_it_operates());
    $industrySub = $industryController->getIndSubCategory($postJobs->getSub_industry_it_operates());

    /* from tts */

    $brandName = $postJobs->getName_of_brand();
    $brdfile = "../../audio/brand_info" . $job_id . ".mp3";
    $brandFilePath = tts($brandName, $brdfile);

    $salaryAmount = "From" . $postJobs->getSalary_in_hand_min() . "to" . $postJobs->getSalary_in_hand_max();
    $salfile = "../../audio/" . $salaryAmount . $job_id . ".mp3";
    $salaryPath = tts($salaryAmount, $salfile);

    $year = getCurrentYear() - $postJobs->getEstablished_in();
    // echo $year;
    $yearTxt = "";




    ///////////////////////////BENefits//////////////////////////////////////////////////////
    $ESI = "-1";
    $EPF = "-1";
    $ACCOMODATION = "-1";
    $MEALS_PROVIDED = "-1";
    $LIFEINSURANCE = "-1";
    $TRANSPORT = "-1";


    if ($postJobs->getEsi() == 1) {
        $ESI = "145";
    }

    if ($postJobs->getEpf() == 1) {
        $EPF = "146";
    }

    if ($postJobs->getEpf() == 1) {
        $EPF = "146";
    }

    if ($postJobs->getAccomodation() == 1) {

        if ($postJobs->getAccomodation_type() == 1) {

            $ACCOMODATION = "148";
        } else if ($postJobs->getAccomodation_type() == 2) {
            $ACCOMODATION = "149";
        }
    }

    if ($postJobs->getMeals_provided() == 1) {

        if ($postJobs->getMeals_type() == 1) {
            $MEALS_PROVIDED = "150";
        } else if ($postJobs->getMeals_type() == 2) {
            $MEALS_PROVIDED = "151";
        }
    }

    if ($postJobs->getTransport() == 1) {

        if ($postJobs->getTransport_type() == 1) {
            $TRANSPORT = "152";
        } else if ($postJobs->getTransport_type() == 2) {
            $TRANSPORT = "153";
        }
    }

    if ($postJobs->getLise_insurance() == 1) {
        $LIFEINSURANCE = "147";
    }

    ///////////////////////////////////////////////////////////////////////////////////
    if ($year <= 5) {
        $yearTxt = "102";
    } else if ($year > 5 && $year < 10) {
        $yearTxt = "103";
    } else if ($year > 10) {
        $yearTxt = "104";
    }

    $cityCount = $postJobs->getCities_in_india();
    if ($cityCount == 1) {
        $cityText = "131";
    } else if ($cityCount > 1) {
        $cityText = "132";
    }



    $yrFile = "../../audio/yr" . $job_id . ".mp3";
    $yrFilePath = tts($year, $yrFile);


    $industryFile = "../../audio/indus" . $job_id . ".mp3";
    $industryFilePath = tts($industry, $industryFile);


    $industrySubFile = "../../audio/industry_sub" . $job_id . ".mp3";
    $industrySubFilePath = tts($industrySub, $industrySubFile);




    $silenceFile = "../../audio/silence.mp3";


    /* -------PreL1-------- */

    $audio_bank = array();

    $welcome = explode('$', $audioController->getFilePath("English", "1"));
    $press1 = explode('$', $audioController->getFilePath("English", "2"));
    $press2 = explode('$', $audioController->getFilePath("Hindi", "2.1.1"));

    array_push($audio_bank, basename($welcome[0]));
    array_push($audio_bank, basename($silenceFile));
    array_push($audio_bank, basename($press1[0]));
    array_push($audio_bank, basename($silenceFile));
    array_push($audio_bank, basename($press2[0]));


    $output = $job_id . "_" . "PreL1";
    $result = concat($output, $audio_bank);

    $name = $output . ".wav";
    $brand_id = $postJobs->getBrand_id();
    $resx = $audioController->createVoiceFile($job_id, "PreL1", $language_to_record, $name, $brand_id);



    /* -----------L1-------- */

    foreach ($language_bank as $language_to_record) {

        if ($language_to_record == "English") {

            $audio_bank = array();
            $fnRole = "functional_role_" . $postJobs->getFunctional_role();

            $hellofrom = explode('$', $audioController->getFilePath($language_to_record, "3"));

            $functional_role = explode('$', $audioController->getFilePath($language_to_record, $fnRole));
            $jobwith = explode('$', $audioController->getFilePath($language_to_record, "4"));
            $brand = $brandFilePath;
            $salaryinhand = explode('$', $audioController->getFilePath($language_to_record, "5"));
            $sal = $salaryPath;
            $conclude = explode('$', $audioController->getFilePath($language_to_record, "6"));
                    $fnRole = "job_description_" . $postJobs->getFunctional_role();

             $jd = explode('$', $audioController->getFilePath($language_to_record, $fnRole));



            array_push($audio_bank, basename($hellofrom[0]));
            array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($functional_role[0]));
            array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($jobwith[0]));
            array_push($audio_bank, basename($brand));
            array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($salaryinhand[0]));
            array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($sal));
            array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($jd[0]));
            array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($conclude[0]));


            //  echo json_encode($audio_bank);
            $output = $job_id . "_" . $language_to_record . "_" . "L1";

            $result = concat($output, $audio_bank);
            
            

            $name = $output . ".wav";
            $brand_id = $postJobs->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L1", $language_to_record, $name, $brand_id);
        } else if ($language_to_record == "Hindi") {

            $audio_bank = array();
            $fnRole = "functional_role_" . $postJobs->getFunctional_role();

            $part_1 = explode('$', $audioController->getFilePath($language_to_record, "L1.1"));

            $functional_role = explode('$', $audioController->getFilePath($language_to_record, $fnRole));
            $part_2 = explode('$', $audioController->getFilePath($language_to_record, "L1.2"));
            $brand = $brandFilePath;
            $part_3 = explode('$', $audioController->getFilePath($language_to_record, "L1.3"));
            $sal = explode('$', $audioController->getFilePath($language_to_record, getSalaryTag($postJobs->getSalary_in_hand_min())));
            $part_3_1 = explode('$', $audioController->getFilePath($language_to_record, "L1.3.1"));
            $part_4 = explode('$', $audioController->getFilePath($language_to_record, "L1.4.1"));
            
            
                    $fnRole = "job_description_" . $postJobs->getFunctional_role();

             $jd = explode('$', $audioController->getFilePath($language_to_record, $fnRole));


            array_push($audio_bank, basename($part_1[0]));
            array_push($audio_bank, basename($brand));

            array_push($audio_bank, basename($part_2[0]));
            array_push($audio_bank, basename($functional_role[0]));
            array_push($audio_bank, basename($part_3[0]));
            array_push($audio_bank, basename($sal[0]));
            array_push($audio_bank, basename($part_3_1[0]));
            array_push($audio_bank, basename($jd[0]));
            array_push($audio_bank, basename($part_4[0]));


            $output = $job_id . "_" . $language_to_record . "_" . "L1";

            $result = concat($output, $audio_bank);

            $name = $output . ".wav";
            $brand_id = $postJobs->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L1", $language_to_record, $name, $brand_id);
        } else if ($language_to_record == "Tamil") {

            $audio_bank = array();

            $fnRole = "functional_role_" . $postJobs->getFunctional_role();

            $part_1 = explode('$', $audioController->getFilePath($language_to_record, "L1.1"));

            $functional_role = explode('$', $audioController->getFilePath($language_to_record, $fnRole));
            $part_2 = explode('$', $audioController->getFilePath($language_to_record, "L1.2"));
            $brand = $brandFilePath;
            $part_3 = explode('$', $audioController->getFilePath($language_to_record, "L1.3"));
            $sal = explode('$', $audioController->getFilePath($language_to_record, getSalaryTag($postJobs->getSalary_in_hand_min())));
            $part_4 = explode('$', $audioController->getFilePath($language_to_record, "54"));


            array_push($audio_bank, basename($part_1[0]));
            array_push($audio_bank, basename($brand));
            array_push($audio_bank, basename($part_2[0]));
            array_push($audio_bank, basename($functional_role[0]));
            array_push($audio_bank, basename($part_3[0]));
            array_push($audio_bank, basename($sal[0]));
            array_push($audio_bank, basename($part_4[0]));

            $output = $job_id . "_" . $language_to_record . "_" . "L1";

            $result = concat($output, $audio_bank);

            $name = $output . ".wav";
            $brand_id = $postJobs->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L1", $language_to_record, $name, $brand_id);

            // echo json_encode($audio_bank);
        } else if ($language_to_record == "Telugu") {

            $audio_bank = array();
            $fnRole = "functional_role_" . $postJobs->getFunctional_role();

            $part_1 = explode('$', $audioController->getFilePath($language_to_record, "L1.1"));

            $functional_role = explode('$', $audioController->getFilePath($language_to_record, $fnRole));
            $part_2 = explode('$', $audioController->getFilePath($language_to_record, "L1.2"));
            $brand = $brandFilePath;
            $part_3 = explode('$', $audioController->getFilePath($language_to_record, "L1.3"));
            $sal = explode('$', $audioController->getFilePath($language_to_record, getSalaryTag($postJobs->getSalary_in_hand_min())));
            $part_4 = explode('$', $audioController->getFilePath($language_to_record, "L1.4"));


            array_push($audio_bank, basename($part_1[0]));
            array_push($audio_bank, basename($functional_role[0]));
            array_push($audio_bank, basename($part_2[0]));
            array_push($audio_bank, basename($brand));
            array_push($audio_bank, basename($part_3[0]));
            array_push($audio_bank, basename($sal[0]));
            array_push($audio_bank, basename($part_4[0]));

            $output = $job_id . "_" . $language_to_record . "_" . "L1";

            $result = concat($output, $audio_bank);

            $name = $output . ".wav";
            $brand_id = $postJobs->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L1", $language_to_record, $name, $brand_id);

            //  echo json_encode($audio_bank);
        } else if ($language_to_record == "Kannada") {

            $audio_bank = array();
            $fnRole = "functional_role_" . $postJobs->getFunctional_role();

            $part_1 = explode('$', $audioController->getFilePath($language_to_record, "L1.1"));

            $functional_role = explode('$', $audioController->getFilePath($language_to_record, $fnRole));
            $part_2 = explode('$', $audioController->getFilePath($language_to_record, "L1.2"));
            $brand = $brandFilePath;
            $part_3 = explode('$', $audioController->getFilePath($language_to_record, "L1.3"));
            $sal = explode('$', $audioController->getFilePath($language_to_record, getSalaryTag($postJobs->getSalary_in_hand_min())));
            $part_4 = explode('$', $audioController->getFilePath($language_to_record, "L1.4"));


            array_push($audio_bank, basename($part_1[0]));
            array_push($audio_bank, basename($functional_role[0]));
            array_push($audio_bank, basename($part_2[0]));
            array_push($audio_bank, basename($brand));
            array_push($audio_bank, basename($part_3[0]));
            array_push($audio_bank, basename($sal[0]));
            array_push($audio_bank, basename($part_4[0]));

            $output = $job_id . "_" . $language_to_record . "_" . "L1";

            $result = concat($output, $audio_bank);

            $name = $output . ".wav";
            $brand_id = $postJobs->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L1", $language_to_record, $name, $brand_id);

            //  echo json_encode($audio_bank);
        } else if ($language_to_record == "Malayalam") {

            $audio_bank = array();
            $fnRole = "functional_role_" . $postJobs->getFunctional_role();

            $part_1 = explode('$', $audioController->getFilePath($language_to_record, "L1.1"));

            $functional_role = explode('$', $audioController->getFilePath($language_to_record, $fnRole));
            $part_2 = explode('$', $audioController->getFilePath($language_to_record, "L1.2"));
            $brand = $brandFilePath;
            $part_3 = explode('$', $audioController->getFilePath($language_to_record, "L1.3"));
            $sal = explode('$', $audioController->getFilePath($language_to_record, getSalaryTag($postJobs->getSalary_in_hand_min())));
            $part_4 = explode('$', $audioController->getFilePath($language_to_record, "L1.4"));


            array_push($audio_bank, basename($part_1[0]));
            array_push($audio_bank, basename($functional_role[0]));
            array_push($audio_bank, basename($part_2[0]));
            array_push($audio_bank, basename($brand));
            array_push($audio_bank, basename($part_3[0]));
            array_push($audio_bank, basename($sal[0]));
            array_push($audio_bank, basename($part_4[0]));

            $output = $job_id . "_" . $language_to_record . "_" . "L1";

            $result = concat($output, $audio_bank);

            $name = $output . ".wav";
            $brand_id = $postJobs->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L1", $language_to_record, $name, $brand_id);

            //  echo json_encode($audio_bank);
        } else if ($language_to_record == "Oriya") {

            $audio_bank = array();
            $fnRole = "functional_role_" . $postJobs->getFunctional_role();

            $part_1 = explode('$', $audioController->getFilePath($language_to_record, "L1.1"));

            $functional_role = explode('$', $audioController->getFilePath($language_to_record, $fnRole));
            $part_2 = explode('$', $audioController->getFilePath($language_to_record, "L1.2"));
            $brand = $brandFilePath;
            $part_3 = explode('$', $audioController->getFilePath($language_to_record, "L1.3"));
            $sal = explode('$', $audioController->getFilePath($language_to_record, getSalaryTag($postJobs->getSalary_in_hand_min())));
            $part_4 = explode('$', $audioController->getFilePath($language_to_record, "L1.4"));


            array_push($audio_bank, basename($part_1[0]));
            array_push($audio_bank, basename($functional_role[0]));
            array_push($audio_bank, basename($part_2[0]));
            array_push($audio_bank, basename($brand));
            array_push($audio_bank, basename($part_3[0]));
            array_push($audio_bank, basename($sal[0]));
            array_push($audio_bank, basename($part_4[0]));

            $output = $job_id . "_" . $language_to_record . "_" . "L1";

            $result = concat($output, $audio_bank);

            $name = $output . ".wav";
            $brand_id = $postJobs->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L1", $language_to_record, $name, $brand_id);

            //  echo json_encode($audio_bank);
        } else if ($language_to_record == "Bengali") {

            $audio_bank = array();
            $fnRole = "functional_role_" . $postJobs->getFunctional_role();

            $part_1 = explode('$', $audioController->getFilePath($language_to_record, "L1.1"));

            $functional_role = explode('$', $audioController->getFilePath($language_to_record, $fnRole));
            $part_2 = explode('$', $audioController->getFilePath($language_to_record, "L1.2"));
            $brand = $brandFilePath;
            $part_3 = explode('$', $audioController->getFilePath($language_to_record, "L1.3"));
            $sal = explode('$', $audioController->getFilePath($language_to_record, getSalaryTag($postJobs->getSalary_in_hand_min())));
            $part_4 = explode('$', $audioController->getFilePath($language_to_record, "L1.4"));


            array_push($audio_bank, basename($part_1[0]));
            array_push($audio_bank, basename($functional_role[0]));
            array_push($audio_bank, basename($part_2[0]));
            array_push($audio_bank, basename($brand));
            array_push($audio_bank, basename($part_3[0]));
            array_push($audio_bank, basename($sal[0]));
            array_push($audio_bank, basename($part_4[0]));

            $output = $job_id . "_" . $language_to_record . "_" . "L1";

            $result = concat($output, $audio_bank);

            $name = $output . ".wav";
            $brand_id = $postJobs->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L1", $language_to_record, $name, $brand_id);

            //  echo json_encode($audio_bank);
        }


        //echo "concatenated file" .$result;
    }

    /*     * *--------L2--------- */



    foreach ($language_bank as $language_to_record) {

        if ($language_to_record == "English") {

            $audio_bank = array();
            $note = explode('$', $audioController->getFilePath($language_to_record, "7"));
            $company1 = explode('$', $audioController->getFilePath($language_to_record, "8"));

            $whichis = explode('$', $audioController->getFilePath($language_to_record, "9"));
            $yeartxt = explode('$', $audioController->getFilePath($language_to_record, $yearTxt));
            $itsis = explode('$', $audioController->getFilePath($language_to_record, "11"));
            $ind = $industryFilePath;
            $indsub = $industrySubFilePath;
//        $company = explode('$', $audioController->getFilePath($language_to_record, "12"));
            $operatesin = explode('$', $audioController->getFilePath($language_to_record, "13"));
            $citi = explode('$', $audioController->getFilePath($language_to_record, $cityText));
            $finish = explode('$', $audioController->getFilePath($language_to_record, "6"));




            array_push($audio_bank, basename($note[0]));
            array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($company1[0]));
            array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($brand));
            array_push($audio_bank, basename($silenceFile));

            array_push($audio_bank, basename($whichis[0]));
            array_push($audio_bank, basename($silenceFile));

            array_push($audio_bank, basename($yeartxt[0]));
            array_push($audio_bank, basename($silenceFile));


            array_push($audio_bank, basename($itsis[0]));
            array_push($audio_bank, basename($silenceFile));

            array_push($audio_bank, basename($ind));
            array_push($audio_bank, basename($silenceFile));

            array_push($audio_bank, basename($indsub));
//        array_push($audio_bank, basename($silenceFile));
//
//        array_push($audio_bank, basename($company[0]));
            array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($operatesin[0]));
            array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($citi[0]));
            array_push($audio_bank, basename($silenceFile));
            array_push($audio_bank, basename($finish[0]));

            //  echo json_encode($audio_bank);


            $output = $job_id . "_" . $language_to_record . "_" . "L2";
            $result = concat($output, $audio_bank);
            $name = $output . ".wav";
            $brand_id = $postJobs->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L2", $language_to_record, $name, $brand_id);
        } else if ($language_to_record == "Hindi") {

                        $audio_bank = array();
            $year = getCurrentYear() - $postJobs->getEstablished_in();
            $no_of_employee = $brandController->getNoOfEmployees($postJobs->getBrand_id());
            $brand = $brandFilePath;

            $part_1 = explode('$', $audioController->getFilePath($language_to_record, "L2.1"));

            $part_2 = explode('$', $audioController->getFilePath($language_to_record, "L2.2"));
            $yeartxt = explode('$', $audioController->getFilePath($language_to_record, getYearTag($year)));
            $part_3 = explode('$', $audioController->getFilePath($language_to_record, "L2.3"));
            $ind = $industryFilePath;
            $indsub = $industrySubFilePath;
            $part_4 = explode('$', $audioController->getFilePath($language_to_record, "L2.4"));
            $citi = explode('$', $audioController->getFilePath($language_to_record, getCityTag($postJobs->getCities_in_india())));
            $total_employee = explode('$', $audioController->getFilePath($language_to_record, getTotalEmployeeTag($no_of_employee)));
            $part_5 = explode('$', $audioController->getFilePath($language_to_record, "L2.5"));
            $finish = explode('$', $audioController->getFilePath($language_to_record, "L2.6"));


            array_push($audio_bank, basename($brand));
            array_push($audio_bank, basename($part_1[0]));
            array_push($audio_bank, basename($yeartxt[0]));
            array_push($audio_bank, basename($part_2[0]));
            array_push($audio_bank, basename($ind));
            array_push($audio_bank, basename($indsub));
            array_push($audio_bank, basename($part_3[0]));
            array_push($audio_bank, basename($citi[0]));
            array_push($audio_bank, basename($part_4[0]));
            array_push($audio_bank, basename($total_employee[0]));
            array_push($audio_bank, basename($part_5[0]));
            array_push($audio_bank, basename($finish[0]));


            $output = $job_id . "_" . $language_to_record . "_" . "L2";
            $result = concat($output, $audio_bank);
            $name = $output . ".wav";
            $brand_id = $postJobs->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L2", $language_to_record, $name, $brand_id);

        } else if ($language_to_record == "Tamil") {


            $audio_bank = array();
            $year = getCurrentYear() - $postJobs->getEstablished_in();
            $no_of_employee = $brandController->getNoOfEmployees($postJobs->getBrand_id());
            $brand = $brandFilePath;

            $part_1 = explode('$', $audioController->getFilePath($language_to_record, "L2.1"));

            $part_2 = explode('$', $audioController->getFilePath($language_to_record, "L2.2"));
            $yeartxt = explode('$', $audioController->getFilePath($language_to_record, getYearTag($year)));
            $part_3 = explode('$', $audioController->getFilePath($language_to_record, "L2.3"));
            $ind = $industryFilePath;
            $indsub = $industrySubFilePath;
            $part_4 = explode('$', $audioController->getFilePath($language_to_record, "L2.4"));
            $citi = explode('$', $audioController->getFilePath($language_to_record, getCityTag($postJobs->getCities_in_india())));
            $total_employee = explode('$', $audioController->getFilePath($language_to_record, getTotalEmployeeTag($no_of_employee)));
            $part_5 = explode('$', $audioController->getFilePath($language_to_record, "L2.5"));
            $finish = explode('$', $audioController->getFilePath($language_to_record, "54"));
            $fnRole = "job_description_" . $postJobs->getFunctional_role();
            $job_is = explode('$', $audioController->getFilePath($language_to_record, "17"));
            $jd = explode('$', $audioController->getFilePath($language_to_record, $fnRole));


            array_push($audio_bank, basename($brand));
            array_push($audio_bank, basename($part_1[0]));
            array_push($audio_bank, basename($yeartxt[0]));
            array_push($audio_bank, basename($part_2[0]));
            array_push($audio_bank, basename($ind));
            array_push($audio_bank, basename($indsub));
            array_push($audio_bank, basename($part_3[0]));
            array_push($audio_bank, basename($citi[0]));
            array_push($audio_bank, basename($part_4[0]));
            array_push($audio_bank, basename($total_employee[0]));
            array_push($audio_bank, basename($part_5[0]));

            array_push($audio_bank, basename($job_is[0]));
            array_push($audio_bank, basename($jd[0]));

            array_push($audio_bank, basename($finish[0]));


            $output = $job_id . "_" . $language_to_record . "_" . "L2";
            $result = concat($output, $audio_bank);
            $name = $output . ".wav";
            $brand_id = $postJobs->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L2", $language_to_record, $name, $brand_id);

            // echo json_encode($audio_bank);
        } else if ($language_to_record == "Telugu") {


            $audio_bank = array();
            $year = getCurrentYear() - $postJobs->getEstablished_in();
            $no_of_employee = $brandController->getNoOfEmployees($postJobs->getBrand_id());
            $brand = $brandFilePath;

            $part_1 = explode('$', $audioController->getFilePath($language_to_record, "L2.1"));

            $part_2 = explode('$', $audioController->getFilePath($language_to_record, "L2.2"));
            $yeartxt = explode('$', $audioController->getFilePath($language_to_record, getYearTag($year)));
            $part_3 = explode('$', $audioController->getFilePath($language_to_record, "L2.3"));
            $ind = $industryFilePath;
            $indsub = $industrySubFilePath;
            $part_4 = explode('$', $audioController->getFilePath($language_to_record, "L2.4"));
            $citi = explode('$', $audioController->getFilePath($language_to_record, getCityTag($postJobs->getCities_in_india())));
            $total_employee = explode('$', $audioController->getFilePath($language_to_record, getTotalEmployeeTag($no_of_employee)));
            $part_5 = explode('$', $audioController->getFilePath($language_to_record, "L2.5"));
            $finish = explode('$', $audioController->getFilePath($language_to_record, "54"));
            $fnRole = "job_description_" . $postJobs->getFunctional_role();
            $job_is = explode('$', $audioController->getFilePath($language_to_record, "17"));
            $jd = explode('$', $audioController->getFilePath($language_to_record, $fnRole));


            array_push($audio_bank, basename($brand));
            array_push($audio_bank, basename($part_1[0]));
            array_push($audio_bank, basename($yeartxt[0]));
            array_push($audio_bank, basename($part_2[0]));
            array_push($audio_bank, basename($ind));
            array_push($audio_bank, basename($indsub));
            array_push($audio_bank, basename($part_3[0]));
            array_push($audio_bank, basename($citi[0]));
            array_push($audio_bank, basename($part_4[0]));
            array_push($audio_bank, basename($total_employee[0]));
            array_push($audio_bank, basename($part_5[0]));

            array_push($audio_bank, basename($job_is[0]));
            array_push($audio_bank, basename($jd[0]));

            array_push($audio_bank, basename($finish[0]));


            $output = $job_id . "_" . $language_to_record . "_" . "L2";
            $result = concat($output, $audio_bank);
            $name = $output . ".wav";
            $brand_id = $postJobs->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L2", $language_to_record, $name, $brand_id);

            // echo json_encode($audio_bank);
        } else if ($language_to_record == "Kannada") {


            $audio_bank = array();
            $year = getCurrentYear() - $postJobs->getEstablished_in();
            $no_of_employee = $brandController->getNoOfEmployees($postJobs->getBrand_id());
            $brand = $brandFilePath;

            $part_1 = explode('$', $audioController->getFilePath($language_to_record, "L2.1"));

            $part_2 = explode('$', $audioController->getFilePath($language_to_record, "L2.2"));
            $yeartxt = explode('$', $audioController->getFilePath($language_to_record, getYearTag($year)));
            $part_3 = explode('$', $audioController->getFilePath($language_to_record, "L2.3"));
            $ind = $industryFilePath;
            $indsub = $industrySubFilePath;
            $part_4 = explode('$', $audioController->getFilePath($language_to_record, "L2.4"));
            $citi = explode('$', $audioController->getFilePath($language_to_record, getCityTag($postJobs->getCities_in_india())));
            $total_employee = explode('$', $audioController->getFilePath($language_to_record, getTotalEmployeeTag($no_of_employee)));
            $part_5 = explode('$', $audioController->getFilePath($language_to_record, "L2.5"));
            $finish = explode('$', $audioController->getFilePath($language_to_record, "54"));
            $fnRole = "job_description_" . $postJobs->getFunctional_role();
            $job_is = explode('$', $audioController->getFilePath($language_to_record, "17"));
            $jd = explode('$', $audioController->getFilePath($language_to_record, $fnRole));


            array_push($audio_bank, basename($brand));
            array_push($audio_bank, basename($part_1[0]));
            array_push($audio_bank, basename($yeartxt[0]));
            array_push($audio_bank, basename($part_2[0]));
            array_push($audio_bank, basename($ind));
            array_push($audio_bank, basename($indsub));
            array_push($audio_bank, basename($part_3[0]));
            array_push($audio_bank, basename($citi[0]));
            array_push($audio_bank, basename($part_4[0]));
            array_push($audio_bank, basename($total_employee[0]));
            array_push($audio_bank, basename($part_5[0]));

            array_push($audio_bank, basename($job_is[0]));
            array_push($audio_bank, basename($jd[0]));

            array_push($audio_bank, basename($finish[0]));


            $output = $job_id . "_" . $language_to_record . "_" . "L2";
            $result = concat($output, $audio_bank);
            $name = $output . ".wav";
            $brand_id = $postJobs->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L2", $language_to_record, $name, $brand_id);

            // echo json_encode($audio_bank);
        } else if ($language_to_record == "Malayalam") {


            $audio_bank = array();
            $year = getCurrentYear() - $postJobs->getEstablished_in();
            $no_of_employee = $brandController->getNoOfEmployees($postJobs->getBrand_id());
            $brand = $brandFilePath;

            $part_1 = explode('$', $audioController->getFilePath($language_to_record, "L2.1"));

            $part_2 = explode('$', $audioController->getFilePath($language_to_record, "L2.2"));
            $yeartxt = explode('$', $audioController->getFilePath($language_to_record, getYearTag($year)));
            $part_3 = explode('$', $audioController->getFilePath($language_to_record, "L2.3"));
            $ind = $industryFilePath;
            $indsub = $industrySubFilePath;
            $part_4 = explode('$', $audioController->getFilePath($language_to_record, "L2.4"));
            $citi = explode('$', $audioController->getFilePath($language_to_record, getCityTag($postJobs->getCities_in_india())));
            $total_employee = explode('$', $audioController->getFilePath($language_to_record, getTotalEmployeeTag($no_of_employee)));
            $part_5 = explode('$', $audioController->getFilePath($language_to_record, "L2.5"));
            $finish = explode('$', $audioController->getFilePath($language_to_record, "54"));
            $fnRole = "job_description_" . $postJobs->getFunctional_role();
            $job_is = explode('$', $audioController->getFilePath($language_to_record, "17"));
            $jd = explode('$', $audioController->getFilePath($language_to_record, $fnRole));


            array_push($audio_bank, basename($brand));
            array_push($audio_bank, basename($part_1[0]));
            array_push($audio_bank, basename($yeartxt[0]));
            array_push($audio_bank, basename($part_2[0]));
            array_push($audio_bank, basename($ind));
            array_push($audio_bank, basename($indsub));
            array_push($audio_bank, basename($part_3[0]));
            array_push($audio_bank, basename($citi[0]));
            array_push($audio_bank, basename($part_4[0]));
            array_push($audio_bank, basename($total_employee[0]));
            array_push($audio_bank, basename($part_5[0]));

            array_push($audio_bank, basename($job_is[0]));
            array_push($audio_bank, basename($jd[0]));

            array_push($audio_bank, basename($finish[0]));


            $output = $job_id . "_" . $language_to_record . "_" . "L2";
            $result = concat($output, $audio_bank);
            $name = $output . ".wav";
            $brand_id = $postJobs->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L2", $language_to_record, $name, $brand_id);

            // echo json_encode($audio_bank);
        } else if ($language_to_record == "Oriya") {


            $audio_bank = array();
            $year = getCurrentYear() - $postJobs->getEstablished_in();
            $no_of_employee = $brandController->getNoOfEmployees($postJobs->getBrand_id());
            $brand = $brandFilePath;

            $part_1 = explode('$', $audioController->getFilePath($language_to_record, "L2.1"));

            $part_2 = explode('$', $audioController->getFilePath($language_to_record, "L2.2"));
            $yeartxt = explode('$', $audioController->getFilePath($language_to_record, getYearTag($year)));
            $part_3 = explode('$', $audioController->getFilePath($language_to_record, "L2.3"));
            $ind = $industryFilePath;
            $indsub = $industrySubFilePath;
            $part_4 = explode('$', $audioController->getFilePath($language_to_record, "L2.4"));
            $citi = explode('$', $audioController->getFilePath($language_to_record, getCityTag($postJobs->getCities_in_india())));
            $total_employee = explode('$', $audioController->getFilePath($language_to_record, getTotalEmployeeTag($no_of_employee)));
            $part_5 = explode('$', $audioController->getFilePath($language_to_record, "L2.5"));
            $finish = explode('$', $audioController->getFilePath($language_to_record, "54"));
            $fnRole = "job_description_" . $postJobs->getFunctional_role();
            $job_is = explode('$', $audioController->getFilePath($language_to_record, "17"));
            $jd = explode('$', $audioController->getFilePath($language_to_record, $fnRole));


            array_push($audio_bank, basename($brand));
            array_push($audio_bank, basename($part_1[0]));
            array_push($audio_bank, basename($yeartxt[0]));
            array_push($audio_bank, basename($part_2[0]));
            array_push($audio_bank, basename($ind));
            array_push($audio_bank, basename($indsub));
            array_push($audio_bank, basename($part_3[0]));
            array_push($audio_bank, basename($citi[0]));
            array_push($audio_bank, basename($part_4[0]));
            array_push($audio_bank, basename($total_employee[0]));
            array_push($audio_bank, basename($part_5[0]));

            array_push($audio_bank, basename($job_is[0]));
            array_push($audio_bank, basename($jd[0]));

            array_push($audio_bank, basename($finish[0]));


            $output = $job_id . "_" . $language_to_record . "_" . "L2";
            $result = concat($output, $audio_bank);
            $name = $output . ".wav";
            $brand_id = $postJobs->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L2", $language_to_record, $name, $brand_id);

            // echo json_encode($audio_bank);
        } else if ($language_to_record == "Bengali") {


            $audio_bank = array();
            $year = getCurrentYear() - $postJobs->getEstablished_in();
            $no_of_employee = $brandController->getNoOfEmployees($postJobs->getBrand_id());
            $brand = $brandFilePath;

            $part_1 = explode('$', $audioController->getFilePath($language_to_record, "L2.1"));

            $part_2 = explode('$', $audioController->getFilePath($language_to_record, "L2.2"));
            $yeartxt = explode('$', $audioController->getFilePath($language_to_record, getYearTag($year)));
            $part_3 = explode('$', $audioController->getFilePath($language_to_record, "L2.3"));
            $ind = $industryFilePath;
            $indsub = $industrySubFilePath;
            $part_4 = explode('$', $audioController->getFilePath($language_to_record, "L2.4"));
            $citi = explode('$', $audioController->getFilePath($language_to_record, getCityTag($postJobs->getCities_in_india())));
            $total_employee = explode('$', $audioController->getFilePath($language_to_record, getTotalEmployeeTag($no_of_employee)));
            $part_5 = explode('$', $audioController->getFilePath($language_to_record, "L2.5"));
            $finish = explode('$', $audioController->getFilePath($language_to_record, "54"));
            $fnRole = "job_description_" . $postJobs->getFunctional_role();
            $job_is = explode('$', $audioController->getFilePath($language_to_record, "17"));
           

            array_push($audio_bank, basename($brand));
            array_push($audio_bank, basename($part_1[0]));
            array_push($audio_bank, basename($yeartxt[0]));
            array_push($audio_bank, basename($part_2[0]));
            array_push($audio_bank, basename($ind));
            array_push($audio_bank, basename($indsub));
            array_push($audio_bank, basename($part_3[0]));
            array_push($audio_bank, basename($citi[0]));
            array_push($audio_bank, basename($part_4[0]));
            array_push($audio_bank, basename($total_employee[0]));
            array_push($audio_bank, basename($part_5[0]));

            array_push($audio_bank, basename($job_is[0]));
            array_push($audio_bank, basename($jd[0]));

            array_push($audio_bank, basename($finish[0]));


            $output = $job_id . "_" . $language_to_record . "_" . "L2";
            $result = concat($output, $audio_bank);
            $name = $output . ".wav";
            $brand_id = $postJobs->getBrand_id();
            $resx = $audioController->createVoiceFile($job_id, "L2", $language_to_record, $name, $brand_id);

            // echo json_encode($audio_bank);
        }
    }

    /*          job description             */

    foreach ($language_bank as $language_to_record) {

        $fnRole = "job_description_" . $postJobs->getFunctional_role();
        $audio_bank = array();
        $job_is = explode('$', $audioController->getFilePath($language_to_record, "17"));
        $jd = explode('$', $audioController->getFilePath($language_to_record, $fnRole));

        array_push($audio_bank, basename($job_is[0]));
        array_push($audio_bank, basename($silenceFile));
        array_push($audio_bank, basename($jd[0]));

        // echo json_encode($audio_bank);

        $output = $job_id . "_" . $language_to_record . "_" . "JD";
        $result = concat($output, $audio_bank);

        $name = $output . ".wav";
        $brand_id = $postJobs->getBrand_id();
        $resx = $audioController->createVoiceFile($job_id, "JD", $language_to_record, $name, $brand_id);
    }


    
    /* ----------------BENEFITS--------------------- */
    foreach ($language_bank as $language_to_record) {


        $audio_bank = array();
        $benifits = explode('$', $audioController->getFilePath($language_to_record, "22"));
        $esi = explode('$', $audioController->getFilePath($language_to_record, $ESI));
        $epf = explode('$', $audioController->getFilePath($language_to_record, $EPF));
        $insu = explode('$', $audioController->getFilePath($language_to_record, $LIFEINSURANCE));
        $acc = explode('$', $audioController->getFilePath($language_to_record, $ACCOMODATION));
        $trans = explode('$', $audioController->getFilePath($language_to_record, $TRANSPORT));
        $meals = explode('$', $audioController->getFilePath($language_to_record, $MEALS_PROVIDED));
        $nother = explode('$', $audioController->getFilePath($language_to_record, "23"));
        $conclude = explode('$', $audioController->getFilePath($language_to_record, "6"));


        array_push($audio_bank, basename($benifits[0]));
        array_push($audio_bank, basename($silenceFile));

        if ($ESI != "-1") {
            array_push($audio_bank, basename($esi[0]));
            array_push($audio_bank, basename($silenceFile));
        }
        if ($EPF != "-1") {
            array_push($audio_bank, basename($epf[0]));
            array_push($audio_bank, basename($silenceFile));
        }
        if ($ACCOMODATION != "-1") {
            array_push($audio_bank, basename($acc[0]));
            array_push($audio_bank, basename($silenceFile));
        }
        if ($LIFEINSURANCE != "-1") {
            array_push($audio_bank, basename($insu[0]));
            array_push($audio_bank, basename($silenceFile));
        }
        if ($TRANSPORT != "-1") {
            array_push($audio_bank, basename($trans[0]));
            array_push($audio_bank, basename($silenceFile));
        }
        if ($MEALS_PROVIDED != "-1") {
            array_push($audio_bank, basename($meals[0]));
            array_push($audio_bank, basename($silenceFile));
        }
        array_push($audio_bank, basename($nother[0]));
        array_push($audio_bank, basename($silenceFile));
        array_push($audio_bank, basename($conclude[0]));




        $output = $job_id . "_" . $language_to_record . "_" . "BENEFITS";
        $result = concat($output, $audio_bank);

        $name = $output . ".wav";
        $brand_id = $postJobs->getBrand_id();
        $resx = $audioController->createVoiceFile($job_id, "BENEFITS", $language_to_record, $name, $brand_id);
    }
    
    $id_job = $response['id'];

    $created_at = getCurrentDate();
    $cty = "";
    
    foreach ($cities as $city) {
        $city_id = $city->city_id;
        $jobFairController = new JobFairController();
        $city_name = $jobFairController->getCityName($city_id);
        $cty = $city_name . "," . $cty;
    }
    
    $functionalRoleController = new FunctionalRoleController();
    $get_role_name = $functionalRoleController->getRoleById($role);

    $postData = "fire=post_job_notification&cities=$cty&created_at=$created_at&brand=$name_brand&role_name=$get_role_name&job_id=$id_job&job=$job_id";
    sendEmail($postData);
}

function getCityTag($value) {

    if ($value == 1) {
        return "131";
    } elseif ($value > 1) {
        return "132";
    }
}

function getYearTag($year) {


    if ($year <= 5) {
        return "102";
    } else if ($year > 5 && $year < 10) {
        return "103";
    } else if ($year > 10) {
        return "104";
    }
}

function getSalaryTag($from) {

    if ($from <= 6000) {
        return "93";
    } else if ($from > 6000 && $from <= 10000) {
        return "95";
    } else if ($from > 10000 && $from <= 15000) {
        return "95";
    } else if ($from > 15000 && $from <= 25000) {
        return "96";
    } else if ($from > 25000 && $from <= 35000) {
        return "97";
    } else if ($from > 35000 && $from <= 40000) {
        return "98";
    } else if ($from > 40000 && $from <= 50000) {
        return "99";
    } else if ($from > 50000 && $from <= 100000) {
        return "99";
    }  
  
    else if ($from > 100000) {
        return "100";
    }
}

function getTotalEmployeeTag($total) {

    if ($total <= 10) {
        return "134";
    } else if ($total < 100) {
        return "135";
    } else if ($total >= 100 && $total < 1000) {
        return "136";
    } else if ($total >= 1000) {
        return "137";
    }
}


echo $results;
?>