<?php

include_once 'database/Db.php';
include_once 'repository/Crud.php';

include_once '../../../admin/PHPExcel/IOFactory.php';
include_once '../../../admin/PHPExcel/Writer/Excel5.php';

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

class JobFairController {

    // public function create(JobFair $jobFair) {

    //     $db = getDb();

    //     $stmt = $db->prepare("INSERT INTO `job_fair`(`job_fair_id`, `date`, `start_time`, `end_time`, `venue_description`, `venue_pin`, `created_by`, `jobfair_description`, `jobfair_comments`, `jobfair_code`, `city_id`, `created_at`, `updated_at`) 
    //                                          VALUES (:job_fair_id,:date,:start_time,:end_time,:venue_description,:venue_pin,:created_by,:jobfair_description,:jobfair_comments,:jobfair_code,:city_id,:created_at,:updated_at)");

    //     $stmt->bindValue(':job_fair_id', uniqid());
    //     $stmt->bindValue(':date', $jobFair->getdate());
    //     $stmt->bindValue(':jobfair_description', $jobFair->getJobfair_description());
    //     $stmt->bindValue(':jobfair_comments', $jobFair->getJobfair_comments());
    //     $stmt->bindValue(':jobfair_code', $jobFair->getJob_fair_code());
    //     $stmt->bindValue(':city_id', $jobFair->getCity_id());
    //     $stmt->bindValue(':created_at', getCurrentTime());
    //     $stmt->bindValue(':updated_at', getCurrentTime());
    //     $stmt->bindValue(':start_time', $jobFair->getStart_time());
    //     $stmt->bindValue(':end_time', $jobFair->getEnd_time());
    //     $stmt->bindValue(':venue_description', $jobFair->getVenue_description());
    //     $stmt->bindValue(':venue_pin', $jobFair->getVenue_pin());
    //     $stmt->bindValue(':created_by', $jobFair->getCreated_by());




    //     $crud = new Crud();
    //     return $crud->create($stmt, $db);
    //     closeDb();
    // }
    

    public function getJobFair() {

        $db = getDb();
        $stmt = $db->prepare("SELECT job_fair.id,job_fair.date,job_fair.start_time, job_fair.end_time,job_fair.job_fair_id,job_fair.jobfair_description,job_fair.jobfair_comments,job_fair.jobfair_code,job_fair.created_at,cities.city_name FROM job_fair LEFT JOIN cities ON job_fair.city_id=cities.city_id");
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
    
    public function getPastJobFair() {

        $db = getDb();
        $stmt = $db->prepare("SELECT job_fair.id,job_fair.date,job_fair.start_time, job_fair.end_time,job_fair.job_fair_id,job_fair.jobfair_description,job_fair.jobfair_comments,job_fair.jobfair_code,job_fair.created_at,cities.city_name FROM job_fair LEFT JOIN cities ON job_fair.city_id=cities.city_id");
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }

    // public function updateJobFair(JobFair $jobFair) {

    //     $db = getDb();
    //     $date = getCurrentTime();

    //     $stmt = $db->prepare("UPDATE job_fair SET date=:date,start_time=:start_time,end_time=:end_time,venue_description=:venue_description,venue_pin=:venue_pin,updated_at=:updated_at WHERE id=:id");
    //     $stmt->bindValue(':start_time', $jobFair->getStart_time());
    //     $stmt->bindValue(':end_time', $jobFair->getEnd_time());
    //     $stmt->bindValue(':venue_description', $jobFair->getVenue_description());
    //     $stmt->bindValue(':venue_pin', $jobFair->getVenue_pin());
    //     $stmt->bindValue(':date', $jobFair->getDate());
    //     $stmt->bindValue(':id', $jobFair->getId());
    //     $stmt->bindValue(':updated_at', getCurrentTime());

    //     $crud = new Crud();
    //     return $crud->update($stmt);
    //     closeDb();
    // }

    public function getJobFairCode() {

        $db = getDb();
        $stmt = $db->prepare("SELECT jobfair_code, id FROM `job_fair`");
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }

    public function getJobFairById($id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT job_fair.*,cities.city_name FROM job_fair LEFT JOIN cities ON job_fair.city_id=cities.city_id WHERE job_fair.id='$id'");
        $crud = new Crud();


        $obj = new stdClass();
        try {
            $row = $crud->getByCondition($stmt);
            $obj->result = "success";
            $obj->message = "list found";
            $obj->details = $row;
            return json_encode($obj);
        } catch (PDOException $exception) {
            $obj->result = "failure";
            $obj->message = "list not found";
            $obj->error = $exception->getMessage();
            return json_encode($obj);
        }
        closeDb();
    }

    public function getJobFairByCode($jobfair_code) {

        $db = getDb();
        $stmt = $db->prepare("SELECT * FROM `job_fair` WHERE `jobfair_code`='$jobfair_code'");
        $stmt->execute();

        $obj = new stdClass();
        try {
            $row = $stmt->fetch(PDO::FETCH_ASSOC);
            $obj->result = "success";
            $obj->message = "list found";
            $obj->list = $row;
            return json_encode($obj);
        } catch (PDOException $exception) {
            $obj->result = "failure";
            $obj->message = "list not found";
            $obj->id = $exception->getMessage();
            return json_encode($obj);
        }
        closeDb();
    }
    
    public function getAllJobFair($createdBy) {

        $db = getDb();
        $stmt = $db->prepare("SELECT *,cities.city_name FROM job_fair LEFT JOIN cities ON job_fair.city_id=cities.city_id WHERE job_fair.created_by=:created_by");
        $stmt->bindValue(':created_by', $createdBy);
        $crud = new Crud();
        $obj = new stdClass();
        try {
            $results = $crud->getAll($stmt);
        } catch (PDOException $exception) {
            $obj->result = "failure";
            $obj->message = "list not found";
            $obj->error = $exception->getMessage();
            $results = json_encode($obj);
        }
        closeDb();
        return $results;
    }
    
    
    public function getLeadDetails($jobfaircode) {


        $db = getDb();
        $crud = new Crud();

      
        $stmt = $db->prepare("SELECT COUNT(DISTINCT(lead_id)) as total FROM `job_fair_matching` WHERE job_fair_id = '$jobfaircode'");
        $stmt->execute();

        $obj = new stdClass();
        $totalRec = $crud->getByCondition($stmt);
        
        $total = $totalRec['total'];

       
 

        $stmt2 = $db->prepare("SELECT COUNT(DISTINCT(lead_id)) as interested FROM `job_fair_matching` WHERE `job_fair_id`='$jobfaircode' AND `status` BETWEEN 'Reachedout' and 'Screened And Approved'");
        $stmt2->execute();
        $interestedRec = $crud->getByCondition($stmt2);
        $interested = $interestedRec['interested'];
        
             
/////////////////////////////////new users///////////////////////////////////////////
        
        if($jobfaircode == 61){
        $stmt21 = $db->prepare("SELECT COUNT(*) as new FROM `dmart_leads`");
        $stmt21->execute();
        $interestedRec1 = $crud->getByCondition($stmt21);
        $interested1 = $interestedRec1['new'];
        $interested = $interested + $interested1;
        }
        

        $stmt211 = $db->prepare("SELECT COUNT(*) as newleads FROM `l2b_leads` where job_fair_id = '$jobfaircode'");
        $stmt211->execute();
        $interestedRec11 = $crud->getByCondition($stmt211);
        $interested11 = $interestedRec11['newleads'];
        $interested = $interested + $interested11;
        
    
        
  ///////////////////////////////////new users///////////////////////////////////////////      
        
        
        $stmt3 = $db->prepare("SELECT COUNT(*) as interviewed FROM `job_fair_matching` WHERE `job_fair_id`='$jobfaircode' AND `status` = 'Interviewed'");
        $stmt3->execute();
        $interviewedRec = $crud->getByCondition($stmt3);
        $interviewed = $interviewedRec['interviewed'];
 /////////////////////////////////////////////////////////////////////////////////////////////////
 
        
        $stmt4 = $db->prepare("SELECT COUNT(*) as selected FROM `job_fair_matching` WHERE `job_fair_id`='$jobfaircode' AND `status` = 'Screened And Approved'");
        $stmt4->execute();
        $selectedRec = $crud->getByCondition($stmt4);
        $selected = $selectedRec['selected'];


////////////////////////////////new users///////////////////////////////////////
         
        
/////////////////////////new/////////
        
        $stmt23 = $db->prepare("SELECT COUNT(*) as qualified1 FROM `l2b_leads` where status = 'Selected' AND job_fair_id = '$jobfaircode'");
        $stmt23->execute();
        $interestedRec23 = $crud->getByCondition($stmt23);
        $interested23 = $interestedRec23['qualified1'];
        $selected = $selected + $interested23;

//////////////////////////////////////////////////////////////////


       if($jobfaircode == 61){

        $stmt22 = $db->prepare("SELECT COUNT(*) as qualified FROM `dmart_leads` where level_cleared = 'L2A'");
        $stmt22->execute();
        $interestedRec22 = $crud->getByCondition($stmt22);
        $interested22 = $interestedRec22['qualified'];
        $selected = $selected + $interested22;
         }

        
        $obj->total = $total;
        $obj->interested = $interested;
        $obj->interviewed = $interested; // online interview
        $obj->selected = $selected;


        

        closeDb();
        
        return  json_encode($obj);
    }
    
    
    
    
    
    
    ///////////////////////For actual Job fair////////////////////////
    
      public function getJobFairStatusCount($jobfaircode) {


        $db = getDb();
        $crud = new Crud();

      /// register
        $stmt = $db->prepare("SELECT COUNT(DISTINCT(lead_id)) as total FROM `job_fair_matching` WHERE job_fair_id = '$jobfaircode'");
        $stmt->execute();

        $obj = new stdClass();
        $totalRec = $crud->getByCondition($stmt);
        
        $total = $totalRec['total'];

       
 
/// applied
        $stmt2 = $db->prepare("SELECT COUNT(DISTINCT(lead_id)) as applied FROM `job_fair_matching` WHERE `job_fair_id`='$jobfaircode' AND `status` = 'Registered'");
        $stmt2->execute();
        $interestedRec = $crud->getByCondition($stmt2);
        $interested = $interestedRec['applied'];
        
             

   // shortlist     
        $stmt3 = $db->prepare("SELECT COUNT(*) as shortlisted FROM `job_fair_matching` WHERE `job_fair_id`='$jobfaircode' AND `status`= 'Screened And Approved'");
        $stmt3->execute();
        $interviewedRec = $crud->getByCondition($stmt3);
        $shortlisted = $interviewedRec['shortlisted'];
        $shortlisted = $shortlisted + $interested;
        
 /////////////////////////////////////////////////////////////////////////////////////////////////
 
        //// interviwed
        $stmt4 = $db->prepare("SELECT COUNT(*) as interviewed FROM `job_fair_matching` WHERE `job_fair_id`='$jobfaircode' AND `status` = 'Interviewed'");
        $stmt4->execute();
        $selectedRec = $crud->getByCondition($stmt4);
        $interviewed = $selectedRec['interviewed'];
        

///// selected
        $stmt5 = $db->prepare("SELECT COUNT(*) as selected FROM `job_fair_matching` 
            WHERE `job_fair_id`='$jobfaircode' AND `status` = 'Selected'");
        $stmt5->execute();
        $selectedRec1 = $crud->getByCondition($stmt5);
        $selected = $selectedRec1['selected'];

///// accepted
 $stmt6 = $db->prepare("SELECT COUNT(*) as accepted FROM `job_fair_matching` WHERE `job_fair_id`='$jobfaircode' AND `status`= 'Accepted'");
        $stmt6->execute();
        $selectedRec2 = $crud->getByCondition($stmt6);
        $accepted = $selectedRec2['accepted'];
   
   ///// joined     
 $stmt7 = $db->prepare("SELECT COUNT(*) as joined FROM `job_fair_matching` WHERE `job_fair_id`='$jobfaircode' AND `status` = 'Joined'");
        $stmt7->execute();
        $selectedRec3 = $crud->getByCondition($stmt7);
        $joined = $selectedRec3['joined'];


        $selected = $selected + $accepted;

        $obj->total = $total;// registered
        $obj->interested = $interested;// applied
        $obj->interviewed = $interviewed; // online interview
        $obj->selected = $selected;// selected
        $obj->shortlisted = $shortlisted;//shortlisted
        $obj->accepted = $accepted;//accepted
        $obj->joined = $joined;// joined


        

        closeDb();
        
        return  json_encode($obj);
    }
    
    
    
    public function getCityName($city_id){
        $db = getDb();
        $stmt = $db->prepare("SELECT `city_name` FROM `cities` WHERE `city_id`='$city_id'");

        $crud = new Crud();
        $result = $crud->getByCondition($stmt);
        $city_name= $result['city_name'];
        closeDb();
        return $city_name;
     }
      public function getJobsDetails($job_fair_id){
         
        $db = getDb();
        $stmt = $db->prepare("SELECT c.job_fair_id, p.name_of_brand,p.id,
                             p.total_number_of_openings,f.name AS 'role_name',c.contact_person, c.contact_number FROM job_fair AS j INNER JOIN corporates_job_fair AS c ON
                             j.id = c.job_fair_id INNER JOIN posted_jobs as p on j.id = p.job_fair_id INNER JOIN functional_role 
                             as f on f.id = p.functional_role WHERE  j.jobfair_code='$job_fair_id'");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
     }
     
     
     
     
      public function getEnabledJobsForJobFair($job_fair_id){
        $db = getDb();
        // $stmt = $db->prepare("SELECT corporates_job_fair.id as update_id, corporates_job_fair.job_fair_id, corporates_job_fair.contact_number,corporates_job_fair.contact_person,corporates_job_fair.job_id,"
        //         . "posted_jobs.name_of_brand, posted_jobs.id,posted_jobs.functional_role, functional_role.name, posted_jobs.salary_in_hand_min, posted_jobs.work_experience_max FROM `corporates_job_fair` INNER JOIN posted_jobs on posted_jobs.job_id = corporates_job_fair.job_id LEFT JOIN functional_role on posted_jobs.functional_role = functional_role.id "
        //         . "where corporates_job_fair.job_fair_id = '$job_fair_id'");
        $stmt = $db->prepare("SELECT  SUM(cs.level_cleared = 'None') as none,SUM(cs.level_cleared = 'L2' OR cs.level_cleared = 'L2B' OR cs.level_cleared = 'L7C' OR cs.level_cleared = 'L7') as l2,SUM(cs.level_cleared = 'L2B' OR cs.level_cleared = 'L7C' OR cs.level_cleared = 'L7') as l2b,SUM(cs.level_cleared = 'L7' OR cs.level_cleared = 'L7C') as l7,
        corporates_job_fair.id as update_id, corporates_job_fair.job_fair_id, corporates_job_fair.contact_number,corporates_job_fair.contact_person,
        corporates_job_fair.job_id, posted_jobs.name_of_brand, posted_jobs.id,posted_jobs.functional_role, functional_role.name,
        posted_jobs.salary_in_hand_min, posted_jobs.work_experience_max FROM `corporates_job_fair` INNER JOIN
        posted_jobs on posted_jobs.job_id = corporates_job_fair.job_id LEFT JOIN functional_role on posted_jobs.functional_role = functional_role.id
        INNER JOIN csr_shortlisting as cs ON posted_jobs.job_id=cs.job_id where corporates_job_fair.job_fair_id = '$job_fair_id'
        GROUP BY posted_jobs.job_id");        
        // $stmt->bindValue(':created_by', $job_fair_id);
        $crud = new Crud();
        $obj = new stdClass();
        try {
            $results = $crud->getAll($stmt);
        } catch (PDOException $exception) {
            $obj->result = "failure";
            $obj->message = "list not found";
            $obj->error = $exception->getMessage();
            $results = json_encode($obj);
        }
        closeDb();
        return $results;
    }
    
    
    public function updateContactInfo($id, $number, $name) {


        $db = getDb();
        $stmt = $db->prepare("UPDATE corporates_job_fair set contact_number=:contact_number,"
                . "contact_person=:contact_person WHERE `id` = :id");
        $stmt->bindValue(':id', $id);
        $stmt->bindValue(':contact_number', $number);
        $stmt->bindValue(':contact_person', $name);
        $crud = new Crud();
        $result = $crud->update($stmt);
        closeDb();
        return $result;
    }
    
    
    
    public function getLastJobFairCode() {

        $db = getDb();
        $stmt = $db->prepare("SELECT jobfair_code FROM job_fair ORDER BY id DESC LIMIT 0,1");
        $crud = new Crud();
        $obj = new stdClass();
        try {
            $row = $crud->getByCondition($stmt);

            if (!is_null($row) && is_array($row)) {
                $obj->result = "success";
                $obj->message = "list found";
                $obj->code = $row;
                $results = json_encode($obj);
            }
        } catch (PDOException $exception) {
            $obj->result = "failure";
            $obj->message = "list not found";
            $obj->error = $exception->getMessage();
            $results = json_encode($obj);
        }
        closeDb();
        return $results;
    }

    public function getEnabledJobsForJobFairByBrand($job_fair_id, $brand_id) {

        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();

        $stmt = $db->prepare("SELECT posted_jobs.id, posted_jobs.name_of_brand, functional_role.name as functional_role, 
            corporates_job_fair.job_id FROM corporates_job_fair LEFT JOIN posted_jobs USING (job_id) LEFT JOIN functional_role 
            ON posted_jobs.functional_role = functional_role.id WHERE corporates_job_fair.job_fair_id = '$job_fair_id' AND 
            corporates_job_fair.brand_id = '$brand_id'");

        try {
            $results = $crud->getAll($stmt);
        } catch (PDOException $exception) {
            $obj->result = "failure";
            $obj->message = "list not found";
            $obj->error = $exception->getMessage();
            $results = json_encode($obj);
        }
        closeDb();
        return $results;
    }
    
    public function getEnabledJobFairByBrand($brand_id) {

        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();

        $stmt = $db->prepare("SELECT DISTINCT(corporates_job_fair.job_fair_id), job_fair.jobfair_code, cities.city_name FROM 
            corporates_job_fair LEFT JOIN job_fair ON corporates_job_fair.job_fair_id = job_fair.id LEFT JOIN cities ON 
            job_fair.city_id = cities.city_id WHERE corporates_job_fair.brand_id = '$brand_id'");

        try {
            $results = $crud->getAll($stmt);
        } catch (PDOException $exception) {
            $obj->result = "failure";
            $obj->message = "list not found";
            $obj->error = $exception->getMessage();
            $results = json_encode($obj);
        }
        closeDb();
        return $results;
    }
    
    public function getJobFairLeadsByBrand($brand_id, $job_id, $job_fair_id, $startOffset, $status) {

        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();

        $stmt = $db->prepare("SELECT job_fair_matching.id, job_fair_matching.first_name, job_fair_matching.last_name, job_fair_matching.phone_number, job_fair_matching.city, 
        qualification.name as qualification, job_fair_matching.status FROM job_fair_matching LEFT JOIN qualification ON job_fair_matching.qualification = qualification.id 
        WHERE `job_id` = '$job_id' AND `brand_id` = '$brand_id' AND `job_fair_id` = '$job_fair_id' AND `status` = '$status' LIMIT $startOffset,10");

        try {
            $results = $crud->getAll($stmt);
        } catch (PDOException $exception) {
            $obj->result = "failure";
            $obj->message = "list not found";
            $obj->error = $exception->getMessage();
            $results = json_encode($obj);
        }
        closeDb();
        return $results;
    }
    
    public function getJobFairLeadsCountByBrand($brand_id, $job_id, $job_fair_id, $status) {

        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();

        $stmt = $db->prepare("SELECT COUNT(*) FROM `job_fair_matching` WHERE `job_id` = '$job_id' AND `brand_id` = '$brand_id' AND `job_fair_id` = '$job_fair_id' AND `status` = '$status'");

        try {
            $result = $crud->getCount($stmt);
            $obj->result = "success";
            $obj->message = "list found";
            $obj->total = $result;
            $results = json_encode($obj);
        } catch (PDOException $exception) {
            $obj->result = "failure";
            $obj->message = "list not found";
            $obj->error = $exception->getMessage();
            $results = json_encode($obj);
        }
        closeDb();
        return $results;
    }
    
    public function jobFairLeadsCountByBrandMobile($brand_id, $job_id, $job_fair_id, $status,$phone) {

        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();

        $stmt = $db->prepare("SELECT COUNT(*) FROM `job_fair_matching` WHERE `job_id` = '$job_id' AND `brand_id` = '$brand_id' AND `job_fair_id` = '$job_fair_id' AND `status` = '$status' AND `phone_number` LIKE '%$phone%'");

        try {
            $result = $crud->getCount($stmt);
            $obj->result = "success";
            $obj->message = "list found";
            $obj->total = $result;
            $results = json_encode($obj);
        } catch (PDOException $exception) {
            $obj->result = "failure";
            $obj->message = "list not found";
            $obj->error = $exception->getMessage();
            $results = json_encode($obj);
        }
        closeDb();
        return $results;
    }
    
    public function jobFairLeadsByBrandMobile($brand_id, $job_id, $job_fair_id, $startOffset, $status,$phone) {

        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();

        $stmt = $db->prepare("SELECT job_fair_matching.id, job_fair_matching.first_name, job_fair_matching.last_name, job_fair_matching.phone_number, job_fair_matching.city, 
        qualification.name as qualification, job_fair_matching.status FROM job_fair_matching LEFT JOIN qualification ON job_fair_matching.qualification = qualification.id 
        WHERE `job_id` = '$job_id' AND `brand_id` = '$brand_id' AND `job_fair_id` = '$job_fair_id' AND `status` = '$status' AND job_fair_matching.phone_number LIKE '%$phone%' LIMIT $startOffset,10");

        try {
            $results = $crud->getAll($stmt);
        } catch (PDOException $exception) {
            $obj->result = "failure";
            $obj->message = "list not found";
            $obj->error = $exception->getMessage();
            $results = json_encode($obj);
        }
        closeDb();
        return $results;
    }
    
    public function updateStatus($id, $status, $updated_by) {

        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();

        $stmt = $db->prepare("UPDATE `job_fair_matching` SET `status`='$status',`updated_at`='$date',`updated_by`='$updated_by' 
            WHERE `id` = '$id'");

        $results = $crud->update($stmt);

        closeDb();
        return $results;
    }
    
    public function uploadRobocallResult($job_id, $lead_id, $pressedKey, $job_fair_code, $user_id) {

        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();

        if (empty($pressedKey)) {

            $statement = "UPDATE `job_fair_matching` SET `lead_type` = 'RoboCall', `updated_at` = '$date',`updated_by` = '$user_id', `is_called` = '1' WHERE `job_id` = '$job_id' AND `lead_id` = '$lead_id' AND `job_fair_id` = '$job_fair_code'";
        } else if ($pressedKey == '1') {
            $statement = "UPDATE `job_fair_matching` SET `status` = 'Registered',`lead_type` = 'RoboCall',`updated_at` = '$date',`updated_by` = '$user_id', `is_called` = '1' WHERE `job_id` = '$job_id' AND `lead_id` = '$lead_id' AND `job_fair_id` = '$job_fair_code'";
        } else {
            $statement = "UPDATE `job_fair_matching` SET `status` = 'Reachedout',`lead_type` = 'RoboCall',`updated_at` = '$date',`updated_by` = '$user_id', `is_called` = '1' WHERE `job_id` = '$job_id' AND `lead_id` = '$lead_id' AND `job_fair_id` = '$job_fair_code'";
        }
        $stmt = $db->prepare($statement);

        $result = $crud->update($stmt);

        closeDb();

        return $result;
    }

public function uploadLeads($first_name, $last_name, $phone_number, $city, $job_id, $lead_id, $job_fair_code) {

        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();

        $stmt_turbo = $db->prepare("SELECT `studied_till`,`currently_working` FROM `turbo_hire_leads` WHERE `phone_number` = '$phone_number'");

        $turbo = $crud->getByCondition($stmt_turbo);

        $stmt_id = $db->prepare("SELECT posted_jobs.brand_id,posted_jobs.name_of_brand, functional_role.name as functional_role FROM posted_jobs LEFT JOIN functional_role ON posted_jobs.functional_role = functional_role.id WHERE `job_id` = '$job_id'");
        $row = $crud->getByCondition($stmt_id);

        $stmt1 = $db->prepare("SELECT COUNT(*) from job_fair_matching where job_fair_id = '$job_fair_code' and lead_id = '$lead_id' and job_id= '$job_id'");
        $rows = $crud->getCount($stmt1);

        if ($rows == 0) {

            $stmt2 = $db->prepare("INSERT INTO `job_fair_matching`( `lead_id`,`job_id`,`brand_name`,`brand_id`,`first_name`,`last_name`,`phone_number`,`current_working`,`city`,`functional_role`,`qualification`,`job_fair_id`,`created_at`,`updated_at`)
          VALUES (:lead_id,:job_id,:brand_name,:brand_id,:first_name,:last_name,:phone_number,:currently_working,:city,:functional_role,:qualification,:job_fair_id,:created_at,:updated_at)");

            $stmt2->bindValue(':lead_id', $lead_id);
            $stmt2->bindValue(':first_name', $first_name);
            $stmt2->bindValue(':last_name', $last_name);
            $stmt2->bindValue(':phone_number', $phone_number);
            $stmt2->bindValue(':currently_working', $turbo['currently_working']);
            $stmt2->bindValue(':city', $city);
            $stmt2->bindValue(':qualification', $turbo['studied_till']);
            $stmt2->bindValue(':job_fair_id', $job_fair_code);
            $stmt2->bindValue(':created_at', $date);
            $stmt2->bindValue(':updated_at', $date);
            $stmt2->bindValue(':job_id', $job_id);
            $stmt2->bindValue(':brand_name', $row['name_of_brand']);
            $stmt2->bindValue(':brand_id', $row['brand_id']);
            $stmt2->bindValue(':functional_role', $row['functional_role']);


            $result = $crud->create($stmt2, $db);
            
            return $result;
        } else {
            return 'already inserted';
        }
        
        // $statement = "UPDATE `job_fair_matching` SET `first_name` = '$first_name' WHERE `job_id` = '$job_id' AND `lead_id` = '$lead_id' AND `job_fair_id` = '$job_fair_code'";

        // $stmt = $db->prepare($statement);
        
        // return $crud->update($stmt);

        closeDb();
    }
    
    // public function excelDownloadByJobFairId($job_fair_id, $status) {

    //     $objPHPExcel = new PHPExcel();
    //     $objPHPExcel->setActiveSheetIndex(0);
    //     $rowCount = 2;

    //     $obj = new stdClass();
    //     $db = getDb();
    //     $crud = new Crud();
    
    //         $sql = "SELECT brand_name, first_name, last_name, phone_number, city, functional_role, qualification.name as qualification, job_fair_id, status FROM job_fair_matching LEFT JOIN qualification ON qualification.id = job_fair_matching.qualification WHERE job_fair_id = '$job_fair_id' AND status = '$status'";
    //         $sql1 = "SELECT COUNT(*) FROM job_fair_matching WHERE job_fair_id = '$job_fair_id' AND status = '$status'";

    //     $stmt = $db->prepare($sql);
        
        // echo $sql1;
        
    //     $stmt1 = $db->prepare($sql1);
        
    //     $total = $crud->getCount($stmt1);
        
    //     $records = $crud->getAllWithoutJSON($stmt);


    //         $objPHPExcel->getActiveSheet()->setCellValue('A1', 'Brand Name');
    //         $objPHPExcel->getActiveSheet()->setCellValue('B1', 'First Name');
    //         $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Last Name');
    //         $objPHPExcel->getActiveSheet()->setCellValue('D1', 'Phone Number');
    //         $objPHPExcel->getActiveSheet()->setCellValue('E1', 'City');
    //         $objPHPExcel->getActiveSheet()->setCellValue('F1', 'Functional Role');
    //         $objPHPExcel->getActiveSheet()->setCellValue('G1', 'Qualification');
    //         $objPHPExcel->getActiveSheet()->setCellValue('H1', 'Job Fair Id');
    //         $objPHPExcel->getActiveSheet()->setCellValue('I1', 'Status');
            
    //         if (!is_null($records) && is_array($records)) {

    //             foreach ($records as $lead) {

    //                 try {

    //                     $objPHPExcel->getActiveSheet()->SetCellValue('A' . $rowCount, $lead['brand_name']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('B' . $rowCount, $lead['first_name']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('C' . $rowCount, $lead['last_name']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('D' . $rowCount, $lead['phone_number']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('E' . $rowCount, $lead['city']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('F' . $rowCount, $lead['functional_role']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('G' . $rowCount, $lead['qualification']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('H' . $rowCount, $lead['job_fair_id']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('I' . $rowCount, $lead['status']);
    //                     $rowCount++;
                
    //                 } catch (PDOException $exception) {

    //                 echo $exception->getMessage();
    //                 }
            
    //             }
    //         }

    //         $objWriter = new PHPExcel_Writer_Excel2007($objPHPExcel);

    //         $file_name = 'job_fair_details' . getCurrentTime() . '.xlsx';

    //         $objWriter->save($file_name);

    //         $path = getSitePath();
    //         $obj->result = 'success';
    //         $obj->message = "Downloaded Successfully";
    //         $obj->data = $path . '/DTTurboHire/api/job-fair/' . $file_name;
    //         $obj->total = $total;
    //         return json_encode($obj);
        

    //     closeDb();
    // }
    
    public function getUploadLeadDetails($jobfaircode) {


        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();

        $stmt = $db->prepare("SELECT COUNT(`phone_number`) as total FROM `job_fair_matching` WHERE job_fair_id = '$jobfaircode' AND `lead_type` = 'Data Upload'");
        $totalRec = $crud->getByCondition($stmt);
        $total = $totalRec['total'];

        $stmt2 = $db->prepare("SELECT COUNT(DISTINCT(`phone_number`)) as shortlisted_by_jeevitam FROM `job_fair_matching` WHERE job_fair_id = '$jobfaircode' AND `lead_type` = 'Data Upload' AND `status` = 'Shortlisted By Jeevitam'");
        $shortlistedByJeevitamRec = $crud->getByCondition($stmt2);
        $shortlisted_by_jeevitam = $shortlistedByJeevitamRec['shortlisted_by_jeevitam'];

        $stmt3 = $db->prepare("SELECT COUNT(DISTINCT(`phone_number`)) as reached_out FROM `job_fair_matching` WHERE job_fair_id = '$jobfaircode' AND `lead_type` = 'Data Upload' AND `status` = 'Reachedout'");
        $reachedOutRec = $crud->getByCondition($stmt3);        
        $reached_out = $reachedOutRec['reached_out'];

        $stmt4 = $db->prepare("SELECT COUNT(*) as ivr_count FROM `ivr_job_fair` WHERE `job_fair_id` = '$jobfaircode'");
        $ivrCountRec = $crud->getByCondition($stmt4);        
        $ivr_count = $ivrCountRec['ivr_count'];
        
        $stmt5 = $db->prepare("SELECT COUNT(`phone_number`) as total_shortlisted_by_jeevitam FROM `job_fair_matching` WHERE job_fair_id = '$jobfaircode' AND `lead_type` = 'Data Upload' AND `status` = 'Shortlisted By Jeevitam'");
        $totalShortlistedByJeevitamRec = $crud->getByCondition($stmt5);
        $total_shortlisted_by_jeevitam = $totalShortlistedByJeevitamRec['total_shortlisted_by_jeevitam'];
        
        $stmt6 = $db->prepare("SELECT COUNT(DISTINCT(`job_primary_id`)) as total_job_id FROM `job_fair_matching` WHERE job_fair_id = '$jobfaircode' AND `lead_type` = 'Data Upload'");
        $totalJobIdRec = $crud->getByCondition($stmt6);
        $total_job_id = $totalJobIdRec['total_job_id'];

        $obj->total = $total;
        $obj->shortlisted_by_jeevitam = $shortlisted_by_jeevitam;
        $obj->reached_out = $reached_out;
        $obj->ivr_count = $ivr_count;
        $obj->total_job_id = $total_job_id;
        $obj->total_shortlisted_by_jeevitam = $total_shortlisted_by_jeevitam;

        closeDb();

        return json_encode($obj);
    }
    
    public function getUploadTotalLeadDetails() {


        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();

        $stmt = $db->prepare("SELECT COUNT(`phone_number`) as total FROM `job_fair_matching` WHERE `lead_type` = 'Data Upload'");
        $totalRec = $crud->getByCondition($stmt);
        $total = $totalRec['total'];

        $stmt2 = $db->prepare("SELECT COUNT(DISTINCT(`phone_number`)) as shortlisted_by_jeevitam FROM `job_fair_matching` WHERE `lead_type` = 'Data Upload' AND `status` = 'Shortlisted By Jeevitam'");
        $shortlistedByJeevitamRec = $crud->getByCondition($stmt2);
        $shortlisted_by_jeevitam = $shortlistedByJeevitamRec['shortlisted_by_jeevitam'];

        $stmt3 = $db->prepare("SELECT COUNT(DISTINCT(`phone_number`)) as reached_out FROM `job_fair_matching` WHERE `lead_type` = 'Data Upload' AND `status` = 'Reachedout'");
        $reachedOutRec = $crud->getByCondition($stmt3);        
        $reached_out = $reachedOutRec['reached_out'];

        $stmt4 = $db->prepare("SELECT COUNT(*) as ivr_count FROM `ivr_job_fair`");
        $ivrCountRec = $crud->getByCondition($stmt4);        
        $ivr_count = $ivrCountRec['ivr_count'];
        
        $stmt5 = $db->prepare("SELECT COUNT(`phone_number`) as total_shortlisted_by_jeevitam FROM `job_fair_matching` WHERE `lead_type` = 'Data Upload' AND `status` = 'Shortlisted By Jeevitam'");
        $totalShortlistedByJeevitamRec = $crud->getByCondition($stmt5);
        $total_shortlisted_by_jeevitam = $totalShortlistedByJeevitamRec['total_shortlisted_by_jeevitam'];
        
        $stmt6 = $db->prepare("SELECT COUNT(DISTINCT(`job_primary_id`)) as total_job_id FROM `job_fair_matching` WHERE `lead_type` = 'Data Upload'");
        $totalJobIdRec = $crud->getByCondition($stmt6);
        $total_job_id = $totalJobIdRec['total_job_id'];

        $obj->total = $total;
        $obj->shortlisted_by_jeevitam = $shortlisted_by_jeevitam;
        $obj->reached_out = $reached_out;
        $obj->ivr_count = $ivr_count;
        $obj->total_job_id = $total_job_id;
        $obj->total_shortlisted_by_jeevitam = $total_shortlisted_by_jeevitam;

        closeDb();

        return json_encode($obj);
    }
    
    public function deleteEnabledJobs($enable_id, $job_fair_id, $job_id) {

        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();

        $stmt = $db->prepare("SELECT COUNT(*) FROM `job_fair_matching` WHERE `job_id` = '$job_id' AND `job_fair_id` = '$job_fair_id'");
        $total = $crud->getCount($stmt);

        if ($total == 0) {

            $stmt_delete = $db->prepare("DELETE FROM `corporates_job_fair` WHERE `id` = '$enable_id'");
            return $crud->deleted($stmt_delete);
        } else {

            $obj->result = "success";
            $obj->message = "shortlist completed. so can't delete this job";
            return json_encode($obj);
        }

        closeDb();
    }
    
    public function jobfairJobWiseStatus($id) {

        $db = getDb();
        $crud = new Crud();
        $res = new stdClass();
        $details = array();

        $stmt = $db->prepare("SELECT * FROM `corporates_job_fair` WHERE `job_fair_id` = '$id'");
        $jf_job_details = $crud->getAllWithoutJSON($stmt);

        foreach ($jf_job_details as $detail) {

            $obj = new stdClass();

            $job_id = $detail['job_id'];

            $stmt_job_details = $db->prepare("SELECT `id`, `name_of_brand` FROM `posted_jobs` WHERE `job_id` = '$job_id'");
            $job_details = $crud->getByCondition($stmt_job_details);

            $post_job_id = $job_details['id'];
            $brand_name = $job_details['name_of_brand'];

            $stmt_matched_registerd = $db->prepare("SELECT COUNT(*) FROM `job_fair_matching` WHERE `job_fair_id` = '$id' AND `job_id` = '$job_id' AND `status` BETWEEN 'Reachedout' AND 'Screened And Approved'");
            $matched_registerd = $crud->getCount($stmt_matched_registerd);

            $stmt_matched_screened = $db->prepare("SELECT COUNT(*) FROM `job_fair_matching` WHERE `job_fair_id` = '$id' AND  `job_id` = '$job_id' AND `status` = 'Screened And Approved'");
            $matched_screened = $crud->getCount($stmt_matched_screened);

            $stmt_l2b_registerd = $db->prepare("SELECT COUNT(*) FROM `l2b_leads` WHERE `job_fair_id` = '$id' AND  `job_id` = '$job_id'");
            $l2b_registerd = $crud->getCount($stmt_l2b_registerd);

            $stmt_l2b_screened = $db->prepare("SELECT COUNT(*) FROM `l2b_leads` WHERE `job_fair_id` = '$id' AND  `job_id` = '$job_id' AND `status` = 'Selected'");
            $l2b_screened = $crud->getCount($stmt_l2b_screened);

            $stmt_dmart_registerd = $db->prepare("SELECT COUNT(*) FROM `dmart_leads` WHERE `job_fair_id` = '$id' AND  `job_id` = '$job_id'");
            $dmart_registerd = $crud->getCount($stmt_dmart_registerd);

            $stmt_dmart_screened = $db->prepare("SELECT COUNT(*) FROM `dmart_leads` WHERE `job_fair_id` = '$id' AND  `job_id` = '$job_id' AND `status` = 'Screened And Approved'");
            $dmart_screened = $crud->getCount($stmt_dmart_screened);

            $registered = $matched_registerd + $l2b_registerd + $dmart_registerd;
            $screened = $matched_screened + $l2b_screened + $dmart_screened;

            $obj->job_id = $job_id;
            $obj->post_job_id = $post_job_id;
            $obj->brand_name = $brand_name;
            $obj->registered = $registered;
            $obj->screened = $screened;

            array_push($details, $obj);
        }

        $res->result = 'success';
        $res->message = 'list fount';
        $res->details = $details;

        closeDb();

        return json_encode($res);
    }
    
    public function getRetailerJobFairCount() {

        $db = getDb();
        $crud = new Crud();
        $res = new stdClass();
        $details = array();
        
        $stmt = $db->prepare("SELECT * FROM `corporates_job_fair` WHERE `job_fair_id` = '61'");
        $jf_job_details = $crud->getAllWithoutJSON($stmt);

        foreach ($jf_job_details as $detail) {
            
            $obj = new stdClass();
            
            $job_id = $detail['job_id'];

            $stmt_job_details = $db->prepare("SELECT `id`, `name_of_brand` FROM `posted_jobs` WHERE `job_id` = '$job_id'");
            $job_details = $crud->getByCondition($stmt_job_details);

            $post_job_id = $job_details['id'];
            $brand_name = $job_details['name_of_brand'];

            $stmt_l2b = $db->prepare("SELECT COUNT(*) FROM `ranked_candidates` WHERE `job_id` = '$job_id' AND `level_cleared` = 'L2B' AND `interested` = '1' AND `job_fair_code` = '61'");
            $l2b = $crud->getCount($stmt_l2b);

            $stmt_l7 = $db->prepare("SELECT COUNT(*) FROM `ranked_candidates` WHERE `job_id` = '$job_id' AND `level_cleared` = 'L7' AND `interested` = '1'  AND `job_fair_code` = '61'");
            $l7 = $crud->getCount($stmt_l7);

            $stmt_l8 = $db->prepare("SELECT COUNT(*) FROM `ranked_candidates` WHERE `job_id` = '$job_id' AND `level_cleared` = 'L8' AND `interested` = '1'  AND `job_fair_code` = '61'");
            $l8 = $crud->getCount($stmt_l8);

            $obj->job_id = $job_id;
            $obj->post_job_id = $post_job_id;
            $obj->brand_name = $brand_name;
            $obj->l2b = $l2b;
            $obj->l7 = $l7;
            $obj->l8 = $l8;
            
            array_push($details, $obj);
        
        }
        
        $res->result = 'success';
        $res->message = 'list fount';
        $res->details = $details;

        closeDb();

        return json_encode($res);
    }
    
    public function getBFSIJobFairCount() {

        $db = getDb();
        $crud = new Crud();
        $res = new stdClass();
        $details = array();
        
        $stmt = $db->prepare("SELECT * FROM `corporates_job_fair` WHERE `job_fair_id` = '62'");
        $jf_job_details = $crud->getAllWithoutJSON($stmt);

        foreach ($jf_job_details as $detail) {
            
            $obj = new stdClass();
            
            $job_id = $detail['job_id'];

            $stmt_job_details = $db->prepare("SELECT `id`, `name_of_brand` FROM `posted_jobs` WHERE `job_id` = '$job_id'");
            $job_details = $crud->getByCondition($stmt_job_details);

            $post_job_id = $job_details['id'];
            $brand_name = $job_details['name_of_brand'];
        
            $stmt_l2a = $db->prepare("SELECT COUNT(*) FROM `ranked_candidates` WHERE `job_id` = '$job_id' AND `level_cleared` = 'L2A' AND `interested` = '1'  AND `job_fair_code` = '62'");
            $l2a = $crud->getCount($stmt_l2a);

            $stmt_l2b = $db->prepare("SELECT COUNT(*) FROM `ranked_candidates` WHERE `job_id` = '$job_id' AND `level_cleared` = 'L2B' AND `interested` = '1'  AND `job_fair_code` = '62'");
            $l2b = $crud->getCount($stmt_l2b);

            $stmt_l7 = $db->prepare("SELECT COUNT(*) FROM `ranked_candidates` WHERE `job_id` = '$job_id' AND `level_cleared` = 'L7' AND `interested` = '1'  AND `job_fair_code` = '62'");
            $l7 = $crud->getCount($stmt_l7);

            $stmt_l8 = $db->prepare("SELECT COUNT(*) FROM `ranked_candidates` WHERE `job_id` = '$job_id' AND `level_cleared` = 'L8' AND `interested` = '1'  AND `job_fair_code` = '62'");
            $l8 = $crud->getCount($stmt_l8);

            $obj->job_id = $job_id;
            $obj->post_job_id = $post_job_id;
            $obj->brand_name = $brand_name;
            $obj->l2a = $l2a;
            $obj->l2b = $l2b;
            $obj->l7 = $l7;
            $obj->l8 = $l8;
            
            array_push($details, $obj);
        
        }
        
        $res->result = 'success';
        $res->message = 'list fount';
        $res->details = $details;

        closeDb();

        return json_encode($res);
    }
    
    public function digitalJobFairApril() {


        $db = getDb();
        $crud = new Crud();


        $stmt = $db->prepare("SELECT COUNT(DISTINCT(`lead_id`)) as total FROM `job_fair_matching` WHERE `updated_at` >= '2020-04-07'");
        $stmt->execute();

        $obj = new stdClass();
        $totalRec = $crud->getByCondition($stmt);

        $total = $totalRec['total'];




        $stmt2 = $db->prepare("SELECT COUNT(DISTINCT(`lead_id`)) as interested FROM `job_fair_matching` WHERE `updated_at` >= '2020-04-07' AND `status` BETWEEN 'Reachedout' and 'Screened And Approved'");
        $stmt2->execute();
        $interestedRec = $crud->getByCondition($stmt2);
        $interested = $interestedRec['interested'];


/////////////////////////////////new users///////////////////////////////////////////


        $stmt21 = $db->prepare("SELECT COUNT(*) as new FROM `dmart_leads`");
        $stmt21->execute();
        $interestedRec1 = $crud->getByCondition($stmt21);
        $interested1 = $interestedRec1['new'];
        $interested = $interested + $interested1;



        $stmt211 = $db->prepare("SELECT COUNT(*) as newleads FROM `l2b_leads`");
        $stmt211->execute();
        $interestedRec11 = $crud->getByCondition($stmt211);
        $interested11 = $interestedRec11['newleads'];
        $interested = $interested + $interested11;


        /////////////////////////////////////////////////////////////////////////////////////////////////


        $stmt4 = $db->prepare("SELECT COUNT(*) as selected FROM `job_fair_matching` WHERE `updated_at` >= '2020-04-07' AND `status` = 'Screened And Approved'");
        $stmt4->execute();
        $selectedRec = $crud->getByCondition($stmt4);
        $selected = $selectedRec['selected'];


////////////////////////////////new users///////////////////////////////////////
/////////////////////////new/////////

        $stmt23 = $db->prepare("SELECT COUNT(*) as qualified1 FROM `l2b_leads` where status = 'Selected'");
        $stmt23->execute();
        $interestedRec23 = $crud->getByCondition($stmt23);
        $interested23 = $interestedRec23['qualified1'];
        $selected = $selected + $interested23;

//////////////////////////////////////////////////////////////////


        $stmt22 = $db->prepare("SELECT COUNT(*) as qualified FROM `dmart_leads` where level_cleared = 'L2A'");
        $stmt22->execute();
        $interestedRec22 = $crud->getByCondition($stmt22);
        $interested22 = $interestedRec22['qualified'];
        $selected = $selected + $interested22;
        
        $stmt23 = $db->prepare("SELECT COUNT(DISTINCT(`current_city`)) as city FROM `turbo_hire_leads` WHERE `updated_at` >= '2020-04-07'");
        $cityRec = $crud->getByCondition($stmt23);
        $city = $cityRec['city'];
        
        $stmt24 = $db->prepare("SELECT COUNT(DISTINCT(`current_city`)) as city FROM `turbo_hire_leads` WHERE `sourced_from` = 'NCS-61'");
        $NCScityRec = $crud->getByCondition($stmt24);
        $ncs_city = $NCScityRec['city'];
        
        $stmt25 = $db->prepare("SELECT COUNT(DISTINCT(`lead_id`)) as lead_id FROM `turbo_hire_leads` WHERE `sourced_from` = 'NCS-61'");
        $NCSLeadRec = $crud->getByCondition($stmt25);
        $ncs_leads = $NCSLeadRec['lead_id'];


        $obj->total = $total;
        $obj->interested = $interested;
        $obj->screened = $selected;
        $obj->city = $city;
        $obj->ncs_leads = $ncs_leads;
        $obj->ncs_city = $ncs_city;


        closeDb();

        return json_encode($obj);
    }
    
    public function updateLeadStatus($job_fair_id, $lead_id, $job_id, $status) {
        
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();

        $stmt = $db->prepare("UPDATE `job_fair_matching` SET `status` = '$status', `updated_at` = '$date' WHERE 
            `job_fair_id` = '$job_fair_id' AND `job_id` = '$job_id' AND `lead_id` = '$lead_id'");

        closeDb();

        return $crud->update($stmt);
        
    }
    
    // public function updateShortlistedLeads(L2bAnswer $l2bAnswer) {

    //     $db = getDb();
    //     $crud = new crud();
    //     $date = getCurrentTime();
    //     $obj = new stdClass();
    //     $selected = 0;

    //     $lead_id = $l2bAnswer->getLead_id();
    //     $job_id = $l2bAnswer->getJob_id();
    //     $jf_id = $l2bAnswer->getJob_fair_id();
    //     $post_job_id = $l2bAnswer->getPost_job_id();

    //     $stmt_question = $db->prepare("SELECT * FROM `l2b_questions` WHERE `job_id` = '$job_id'");
    //     $questions = $crud->getAllWithoutJSON($stmt_question);

    //     $stmt_total = $db->prepare("SELECT COUNT(*) FROM `l2b_questions` WHERE `job_id` = '$job_id' AND `mandatory` = '1'");
    //     $mandatory_total = $crud->getCount($stmt_total);


    //     foreach ($questions as $question) {

    //         $question_id = $question['question_id'];
    //         $mandatory = $question['mandatory'];
    //         $mandatory_answer = $question['mandatory_answer'];

    //         $stmt2 = $db->prepare("SELECT * FROM `l2b_answers_from_lead` WHERE `job_id` = '$job_id' AND `lead_id` = '$lead_id' AND `question_id` = '$question_id' ORDER BY `created_at` DESC");
    //         $answers = $crud->getByCondition($stmt2);

    //         $lead_answer = $answers['answer'];

    //         if ($mandatory == '1') {
    //             if ($mandatory_answer == $lead_answer) {
    //                 $selected++;
    //             }
    //         }
    //     }

    //     if ($mandatory_total == $selected) {
            
    //         $stmt = $db->prepare("UPDATE `job_fair_matching` SET `status` = 'Screened And Approved', `updated_at` = '$date' WHERE 
    //         `job_fair_id` = '$jf_id' AND `job_id` = '$job_id' AND `lead_id` = '$lead_id'");
            
    //         return $crud->update($stmt);
    //     }else {
            
    //         $obj->result = 'failure';
    //         $obj->message = 'your not eligible for this job';
            
    //         return json_encode($obj);
            
    //     }


    //     closeDb();
    // }
    
    // public function downloadJobFairDetails($job_fair_id, $status, $city) {

    //     $objPHPExcel = new PHPExcel();
    //     $objPHPExcel->setActiveSheetIndex(0);
    //     $rowCount = 2;

    //     $obj = new stdClass();
    //     $db = getDb();
    //     $crud = new Crud();
        
    //     $sql = "";
        
    //     if($city != "") {
    //         $sql = $sql." AND `city` = '$city'";
    //     }
        
    //     if($status != "") {
            
    //         if($status == 'Registered') {
    //             $sql = $sql." AND `status` BETWEEN 'Reachedout' and 'Screened And Approved'";
    //         }else if($status == 'Applied') {
    //             $sql = $sql." AND `status` = 'Interviewed'";
    //         }else if($status = 'Screened And Approved') {
    //             $sql = $sql. " AND `status` = 'Screened And Approved'";
    //         }
    //     }
        
    //     $query = "SELECT * FROM `v_job_fair` WHERE `id` = '$job_fair_id' " . $sql;
        
        
    //     $stmt = $db->prepare("SELECT * FROM `v_job_fair` WHERE `id` = '$job_fair_id' " . $sql);
    //     $stmt1 = $db->prepare("SELECT COUNT(*) FROM `v_job_fair` WHERE `id` = '$job_fair_id' " . $sql);
        
    //     $total = $crud->getCount($stmt1);
        

    //     $records = $crud->getAllWithoutJSON($stmt);


    //         $objPHPExcel->getActiveSheet()->setCellValue('A1', 'JobFair Id');
    //         $objPHPExcel->getActiveSheet()->setCellValue('B1', 'Date');
    //         $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Start Time');
    //         $objPHPExcel->getActiveSheet()->setCellValue('D1', 'End Time');
    //         $objPHPExcel->getActiveSheet()->setCellValue('E1', 'Venue Description');
    //         $objPHPExcel->getActiveSheet()->setCellValue('F1', 'Venue Pin');
    //         $objPHPExcel->getActiveSheet()->setCellValue('G1', 'Jobfair Description');
    //         $objPHPExcel->getActiveSheet()->setCellValue('H1', 'Jobfair Comments');
    //         $objPHPExcel->getActiveSheet()->setCellValue('I1', 'Booth No');
    //         $objPHPExcel->getActiveSheet()->setCellValue('J1', 'Jobfair Code');
    //         $objPHPExcel->getActiveSheet()->setCellValue('K1', 'Brand Name');
    //         $objPHPExcel->getActiveSheet()->setCellValue('L1', 'First Name');
    //         $objPHPExcel->getActiveSheet()->setCellValue('M1', 'Last Name');
    //         $objPHPExcel->getActiveSheet()->setCellValue('N1', 'Phone Number');
    //         $objPHPExcel->getActiveSheet()->setCellValue('O1', 'City');
    //         $objPHPExcel->getActiveSheet()->setCellValue('P1', 'Qualification');
    //         $objPHPExcel->getActiveSheet()->setCellValue('Q1', 'Status');
    //         $objPHPExcel->getActiveSheet()->setCellValue('R1', 'Job Id');
            
    //         if (!is_null($records) && is_array($records)) {

    //             foreach ($records as $lead) {

    //                 try {

    //                     $objPHPExcel->getActiveSheet()->SetCellValue('A' . $rowCount, $lead['id']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('B' . $rowCount, $lead['date']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('C' . $rowCount, $lead['start_time']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('D' . $rowCount, $lead['end_time']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('E' . $rowCount, $lead['venue_description']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('F' . $rowCount, $lead['venue_pin']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('G' . $rowCount, $lead['jobfair_description']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('H' . $rowCount, $lead['jobfair_comments']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('I' . $rowCount, $lead['booth_no']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('J' . $rowCount, $lead['jobfair_code']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('K' . $rowCount, $lead['brand_name']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('L' . $rowCount, $lead['first_name']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('M' . $rowCount, $lead['last_name']); 
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('N' . $rowCount, $lead['phone_number']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('O' . $rowCount, $lead['city']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('P' . $rowCount, $lead['qualification']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('Q' . $rowCount, $lead['status']);
    //                     $objPHPExcel->getActiveSheet()->SetCellValue('R' . $rowCount, $lead['job_id']);
    //                     $rowCount++;
                
    //                 } catch (PDOException $exception) {

    //                 echo $exception->getMessage();
    //                 }
            
    //             }
    //         }

    //         $objWriter = new PHPExcel_Writer_Excel2007($objPHPExcel);

    //         $file_name = 'downloadJobFairDetails_' . getCurrentTime() . '.xlsx';

    //         $objWriter->save($file_name);

    //         $path = getSitePath();
    //         $obj->result = 'success';
    //         $obj->message = "Downloaded Successfully";
    //         $obj->data = $path . '/DTTurboHire/api/job-fair/' . $file_name;
    //         $obj->total = $total;
    //         $obj->query = $query;
    //         return json_encode($obj);
        

    //     closeDb();
    // }
    
    public function getWomensJobFairCount() {
        
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        
        $stmt1 = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as total FROM `skill_candidates_shorlisted` WHERE `drive_id` IN ('120','119','121')");
        $get_digital_registered = $crud->getByCondition($stmt1);
        $digital_registered = $get_digital_registered['total'];
        
        $stmt_digital_screened = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as total FROM `skill_candidates_shorlisted` WHERE `status` = 'Applied' AND `drive_id` IN ('120','119','121')");
        $get_digital_screened = $crud->getByCondition($stmt_digital_screened);
        $digital_screened = $get_digital_screened['total'];
        
        $stmt = $db->prepare("SELECT COUNT(*) FROM `job_fair_matching` WHERE `job_fair_id` = '90'");
        $ncs_registered = $crud->getCount($stmt);
        
        $stmt_ncs_screened = $db->prepare("SELECT COUNT(*) FROM `job_fair_matching` WHERE `job_fair_id` = '90' AND `status` IN ('Applied', 'Shortlisted')");
        $ncs_screened = $crud->getCount($stmt_ncs_screened);
        
        $stmt_ncs_shortlisted = $db->prepare("SELECT COUNT(*) FROM `job_fair_matching` WHERE `job_fair_id` = '90' AND `status` IN ('Shortlisted')");
        $ncs_shortlisted = $crud->getCount($stmt_ncs_shortlisted);
        
        $registered = $digital_registered + $ncs_registered;
        $screened = $digital_screened + $ncs_screened;
        $shortlisted = 0 + $ncs_shortlisted;
        
        $obj->result = 'success';
        $obj->registered = $registered;
        $obj->screened = $screened;
        $obj->shortlisted = $shortlisted;
        
        closeDb();
        
        return json_encode($obj);
        
    }
    
    public function getWomensInternalJobFairCount($status) {
        
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        
        $stmt = $db->prepare("SELECT COUNT(*) FROM `job_fair_matching` WHERE `job_fair_id` = '90' AND `status` = '$status'");
        $registered = $crud->getCount($stmt);
        
        $obj->result = 'success';
        $obj->registered = $registered;
        
        closeDb();
        
        return json_encode($obj);
        
    }
    
    public function getWomensInternalJobFairDetail($status, $offset) {
        
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
         
        $stmt = $db->prepare("SELECT * FROM `job_fair_matching` WHERE `job_fair_id` = '90' AND `status` = '$status' LIMIT $offset,10");
        $ncs_registered = $crud->getAll($stmt);
        
        closeDb();
        
        return $ncs_registered;
        
    }
    
    public function getWomensExternalJobFairCount($status) {
        
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        
        $stmt1 = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as total FROM `skill_candidates_shorlisted` WHERE `status` = '$status' AND `drive_id` IN ('120', '119', '121')");
        $get_digital_registered = $crud->getByCondition($stmt1);
        $registered = $get_digital_registered['total'];
        
        $obj->result = 'success';
        $obj->registered = $registered;
        
        closeDb();
        
        return json_encode($obj);
        
    }
    
    public function getWomensExternalJobFairDetail($status, $offset) {
        
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        
        $stmt1 = $db->prepare("SELECT skill_candidates_shorlisted.*, skill_dev_batches_details.email FROM skill_candidates_shorlisted inner join 
            skill_dev_batches_details using (phone_number) WHERE skill_candidates_shorlisted.status = '$status' AND skill_candidates_shorlisted.drive_id IN ('120', '119', '121') GROUP BY skill_candidates_shorlisted.phone_number LIMIT $offset,10");
        $get_digital_registered = $crud->getAll($stmt1);
        
        closeDb();
        
        return $get_digital_registered;
        
    }


}
