<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

include_once '../../database/Db.php';
include_once '../../repository/Crud.php';


class UserController {
    // User Creation
   public function create(Users $team) {

        $utils = new Utils();
        $result = md5($team->getPassword());
       
        $obj = new stdClass();
        $objectId = uniqid();
        
        try {

            $db = getDb();
            $db->beginTransaction();
            $insertStmt = $db->prepare("INSERT INTO `internalTeam_info`( `objectId`, `fname`, `lname`)
                                                                VALUES (:objectId, :fname, :lname)");


            $insertStmt->bindValue(':objectId', $objectId);
            $insertStmt->bindValue(':fname', $team->getFirst_name());
            $insertStmt->bindValue(':lname', $team->getLast_name());
            
            


            if ($insertStmt->execute()) {
                $insertuserStmt = $db->prepare("INSERT INTO `users`(`objectId`, `username`, `email`, `password`, `userType`, `total`, `userStatus`, `createdBy`, `createdAt`, `updatedAt`,`old_pass`, `optout`) 
                                                           VALUES (:objectId, :username, :email, :password, :userType, :total, :userStatus, :createdBy, :createdAt,:updatedAt,:old_pass, :optout)");

                $insertuserStmt->bindValue(':objectId', $objectId);
                $insertuserStmt->bindValue(':username', $team->getUser_name());
                $insertuserStmt->bindValue(':email', $team->getEmail_id());
                $insertuserStmt->bindValue(':password', $team->getPassword());
                $insertuserStmt->bindValue(':userType', $team->getUser_type());
                $insertuserStmt->bindValue(':total', 0);
                $insertuserStmt->bindValue(':userStatus', "active");
                $insertuserStmt->bindValue(':createdBy', $team->getCreatedBy());
                $insertuserStmt->bindValue(':createdAt', getCurrentTime());
                $insertuserStmt->bindValue(':updatedAt', getCurrentTime());
                $insertuserStmt->bindValue(':old_pass', $team->getPassword());
                $insertuserStmt->bindValue(':optout', 0);

                if ($insertuserStmt->execute()) {
                    $db->commit();
                    $obj->result = "success";
                    $obj->message = "Created Successfully";
                    $obj->id = $objectId;
                    $result = json_encode($obj);
                } else {
                    $db->rollBack();
                    $message = json_encode($insertuserStmt->errorInfo());
                    $obj->result = "failure";
                    $obj->message = $message;
                    $result = json_encode($obj);
                }
            } else {
                $db->rollBack();
                $message = json_encode($insertStmt->errorInfo());
                $obj->result = "failure";
                $obj->message = $message;
                $result = json_encode($obj);
            }
            
        } catch (PDOException $ex) {
            $db->rollBack();
            $obj->result = "failure";
            $obj->message = "failure";
            $obj->id = $ex->getMessage();
            $result = json_encode($obj);
        }

        closeDb();
        return $result;
    }
    
    /*admin login.....*/
    
    public function adminLogin($username, $userpassword) {
        

        $db = getDb();
        $stmt = $db->prepare("SELECT * FROM users WHERE username =:username");
        $stmt->bindValue(':username', $username);
        
     
        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        $obj = new stdClass();
        if (!is_null($row) && is_array($row)) {
            extract($row);
            if ($old_pass === $userpassword) {
                
                $obj->result = "success";
                $obj->user_id = $objectId;
                $obj->user_type = $userType;
                $obj->id = $id;
                
            } else {
                $obj->result = "failure";
                $obj->message = "Invalid password";
            }
            closeDb();

            $results = json_encode($obj);
            return $results;
        } else {
            closeDb();

            $obj->result = "failure";
            $obj->message = "username does not exist";
            $results = json_encode($obj);
            return $results;
        }
    }
    
    
    
    
    public function updateLastLogin($objectId) {
        
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        
        $stmt = $db->prepare("UPDATE `users` SET `lastLogin` = '$date' WHERE `objectId` = '$objectId'");
        $crud->update($stmt);
        
        closeDb();
        
    }
  
    

}

?>
