<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class PostJobV2Controller {

    public function createJob(PostJobV2 $postJob2) {
        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `posted_jobs`(`is_new`,`job_id`, `brand_id`, `type_of_work`, `work_name`, `name_of_brand`,`functional_role`, `type_of_requirements`,`qualification`, `min_qualification`, `max_qualification`, `age_criteria`, `from_age`, `to_age`, `min_experience`, `max_experience`, `gender`, `is_active`, `salary_in_hand_min`,`salary_in_hand_max`, `min_salary`, `max_salary`,  `job_description`,  `training_certification`, `training_name`,`training_desc`, `training_cost`, `training_duration`, `training_location`, `training_certificate`, `training_certificate_partner`,`loan_available`, `qualification_shortlist`, `certificate_shortlist`,  `created_at`, `updated_at`, `user_id`,`medical_team`,`temperature_test`,`total_number_of_openings`,`is_msme`,`aggregate_id`, `esi`, `epf`, `lise_insurance`, `accomodation`, `accomodation_type`, `meals_provided`, `meals_type`, `transport`, `transport_type`, `weekly_off`,`duty`,`specialization`,`expiry_date`)
                                VALUES (:is_new,:job_id, :brand_id , :type_of_work, :work_name, :name_of_brand, :functional_role, :type_of_requirements,:min_qualification, :min_qualification, :max_qualification, :age_criteria, :from_age, :to_age, :min_experience,  :max_experience, :gender, :is_active, :min_salary, :max_salary, :min_salary, :max_salary, :job_description, :training_certification, :training_name,:training_desc, :training_cost, :training_duration, :training_location, :training_certificate, :training_certificate_partner, :loan_available, :qualification_shortlist,:certificate_shortlist, :created_at, :updated_at, :user_id,:medical_team,:temperature_test,:total_number_of_openings,:is_msme,:aggregate_id,:esi,  :epf,   :lise_insurance,  :accomodation,  :accomodation_type,  :meals_provided,  :meals_type,  :transport,  :transport_type,:weekly_off,:duty,:specialization,:expiry_date)");


        $stmt->bindValue(':job_id', $postJob2->getJob_id());
        $stmt->bindValue(':brand_id', $postJob2->getBrand_id());
        $stmt->bindValue(':type_of_work', $postJob2->getType_of_work());
        $stmt->bindValue(':work_name', $postJob2->getWork_name());
        $stmt->bindValue(':name_of_brand', $postJob2->getCompany_name());
        $stmt->bindValue(':functional_role', $postJob2->getFunctional_role());
        $stmt->bindValue(':job_description', $postJob2->getJob_description());
        $stmt->bindValue(':type_of_requirements', $postJob2->getNo_of_requirements());
        $stmt->bindValue(':min_qualification', $postJob2->getMin_qualification());
        $stmt->bindValue(':max_qualification', $postJob2->getMax_qualification());
        $stmt->bindValue(':age_criteria', $postJob2->getAge_criteria());
        $stmt->bindValue(':from_age', $postJob2->getFrom_age());
        $stmt->bindValue(':to_age', $postJob2->getTo_age());
        $stmt->bindValue(':min_experience', $postJob2->getMin_experience());
        $stmt->bindValue(':max_experience', $postJob2->getMax_experience());
        $stmt->bindValue(':gender', $postJob2->getGender());
        $stmt->bindValue(':is_active', '1');
        $stmt->bindValue(':min_salary', $postJob2->getMin_salary());
        $stmt->bindValue(':max_salary', $postJob2->getMax_salary());
//        $stmt->bindValue(':life_insurance', $postJob2->getLife_insurance());
//        $stmt->bindValue(':accomodation', $postJob2->getAccomodation());
//        $stmt->bindValue(':accomodation_type', $postJob2->getAccomodation_type());
//        $stmt->bindValue(':meals_provided', $postJob2->getMeals_provided());
//        $stmt->bindValue(':meals_type', $postJob2->getMeals_type());
//        $stmt->bindValue(':transport', $postJob2->getTransport());
//        $stmt->bindValue(':transport_type', $postJob2->getTransport_type());
//        $stmt->bindValue(':weekly_off', $postJob2->getWeekly_off());
//        
//        $stmt->bindValue(':industry', $postJob2->getIndustry());
//        
//        $stmt->bindValue(':duty', $postJob2->getDuty());
        $stmt->bindValue(':specialization', $postJob2->getSpecialization());
//        $stmt->bindValue(':skills', $postJob2->getSkills());
//        $stmt->bindValue(':opportunity_usp', $postJob2->getOpportunity_usp());
        $stmt->bindValue(':training_certification', $postJob2->getTraining_certification());
        $stmt->bindValue(':training_name', $postJob2->getTraining_name());
        $stmt->bindValue(':training_desc', $postJob2->getTraining_desc());
        $stmt->bindValue(':training_cost', $postJob2->getTraining_cost());
        $stmt->bindValue(':training_duration', $postJob2->getTraining_duration());
        $stmt->bindValue(':training_location', $postJob2->getTraining_location());
        $stmt->bindValue(':training_certificate', $postJob2->getTraining_certificate());
        $stmt->bindValue(':training_certificate_partner', $postJob2->getTraining_certificate_partner());
        $stmt->bindValue(':loan_available', $postJob2->getLoan_available());
        $stmt->bindValue(':qualification_shortlist', $postJob2->getQualification_shortlist());
        $stmt->bindValue(':certificate_shortlist', $postJob2->getCertificate_shortlist());
       // $stmt->bindValue(':advance_script', $postJob2->getAdvance_script());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);
        $stmt->bindValue(':user_id', $postJob2->getCreated_by());
        $stmt->bindValue(':medical_team', $postJob2->getMedical_team());
        $stmt->bindValue(':temperature_test', $postJob2->getTemperature());
        $stmt->bindValue(':total_number_of_openings', $postJob2->getNo_of_openings());
        $stmt->bindValue(':is_msme', $postJob2->getIs_msme());
        $stmt->bindValue(':aggregate_id', $postJob2->getAggregate_id());
        
        $stmt->bindValue(':esi', $postJob2->getEsi());
        $stmt->bindValue(':epf', $postJob2->getEpf());
        $stmt->bindValue(':lise_insurance', $postJob2->getLise_insurance());
        $stmt->bindValue(':accomodation', $postJob2->getAccomodation());
        $stmt->bindValue(':accomodation_type', $postJob2->getAccomodation_type());
        $stmt->bindValue(':meals_provided', $postJob2->getMeals_provided());
        $stmt->bindValue(':meals_type', $postJob2->getMeals_type());
        $stmt->bindValue(':transport', $postJob2->getTransport());
        $stmt->bindValue(':transport_type', $postJob2->getTransport_type());
        $stmt->bindValue(':weekly_off', $postJob2->getWeekly_off());
        $stmt->bindValue(':duty', $postJob2->getDuty());
        $stmt->bindValue(':expiry_date', $postJob2->getExpiry_date());
        $stmt->bindValue(':is_new', 1);
        $crud = new Crud();
        $result = $crud->create($stmt, $db);
        closeDb();
        return $result;
    }

    public function createLocation(JobCity $location) {
        
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        
        $stmt = $db->prepare("INSERT INTO `post_job_city`(`job_id`, `city_id`, `created_at`, `updated_at`) 
            VALUES (:job_id, :city_id, :created_at, :updated_at)");
        
        $stmt->bindValue(':job_id', $location->getJob_id());
        $stmt->bindValue(':city_id', $location->getCity_id());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        
        return $result;
        
    }
    
    public function createLanguage(JobLanguages $language) {
        
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        
        $stmt = $db->prepare("INSERT INTO `post_job_languages`(`job_id`, `language`, `profiency`, `created_at`, `updated_at`) 
            VALUES (:job_id, :languages, :proficiency, :created_at, :updated_at)");
        
        $stmt->bindValue(':job_id', $language->getJob_id());
        $stmt->bindValue(':languages', $language->getLanguage());
        $stmt->bindValue(':proficiency', $language->getProfiency());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        
        return $result;
        
    }
    
    public function createVehicle(JobVehicle $vehicle) {
        
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        
        $stmt = $db->prepare("INSERT INTO `post_job_vehicle`(`job_id`, `vehicle`, `created_at`, `updated_at`) 
            VALUES (:job_id, :vehicles, :created_at, :updated_at)");
        
        $stmt->bindValue(':job_id', $vehicle->getJob_id());
        $stmt->bindValue(':vehicles', $vehicle->getVehicle());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        
        return $result;
        
    }
    
    public function createAddressProof(JobAddressProof $address_proof) {
        
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        
        $stmt = $db->prepare("INSERT INTO `job_address_proof` (`job_id`, `address_proof`, `created_at`, `updated_at`) 
            VALUES (:job_id, :address_proof, :created_at, :updated_at)");
        
        $stmt->bindValue(':job_id', $address_proof->getJob_id());
        $stmt->bindValue(':address_proof', $address_proof->getAddress_proof());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        
        return $result;
        
    }
    
    public function createIdentitiProof(JobIdentityProof $identity_proof) {
        
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        
        $stmt = $db->prepare("INSERT INTO `job_identity_proof`(`job_id`, `identity`, `created_at`, `updated_at`) 
            VALUES (:job_id, :identity, :created_at, :updated_at)");
        
        $stmt->bindValue(':job_id', $identity_proof->getJob_id());
        $stmt->bindValue(':identity', $identity_proof->getIdentity());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        
        return $result;
        
    }
    
    public function createOtherMatches(JobOtherMatches $other_matches) {
        
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        
        
        $stmt = $db->prepare("INSERT INTO `jobs_other_matches`(`job_id`, `min_qualification`, `max_qualification`, `min_salary`, 
            `max_salary`, `from_age`, `to_age`, `created_at`, `updated_at`) 
            VALUES (:job_id, :min_qualification, :max_qualification, :min_salary, :max_salary, :from_age, :to_age, :created_at,
            :updated_at)");
        
        $stmt->bindValue(':job_id', $other_matches->getJob_id());
        $stmt->bindValue(':min_qualification', $other_matches->getMin_qualification());
        $stmt->bindValue(':max_qualification', $other_matches->getMax_qualification());
        $stmt->bindValue(':min_salary', $other_matches->getMin_salary());
        $stmt->bindValue(':max_salary', $other_matches->getMax_salary());
        $stmt->bindValue(':from_age', $other_matches->getFrom_age());
        $stmt->bindValue(':to_age', $other_matches->getTo_age());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        
        return $result;
        
    }
     public function createLicenseType(JobLicense $jobLicense) {
        
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        
        $stmt = $db->prepare("INSERT INTO `post_job_driving_license`(`job_id`, `license_type`, `created_by`, `created_at`, `updated_at`) 
                                                 VALUES (:job_id, :license_type, :created_by, :created_at, :updated_at)");
        
        $stmt->bindValue(':job_id', $jobLicense->getJob_id());
        $stmt->bindValue(':license_type', $jobLicense->getLicense_type());
         $stmt->bindValue(':created_by', $jobLicense->getUser_id());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        
        return $result;
        
    }
    
       public function createMobileType(JobMobile $jobMobile) {
        
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        
        $stmt = $db->prepare("INSERT INTO `jobs_mobile`(`job_id`, `mobile_type`, `created_at`, `updated_at`) 
                                                VALUES (:job_id,:mobile_type, :created_at, :updated_at)");
        
        $stmt->bindValue(':job_id', $jobMobile->getJob_id());
        $stmt->bindValue(':mobile_type', $jobMobile->getMobile_type());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':updated_at', $date);
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        
        return $result;
        
    }
    
    public function createProviding(SelfSignupProviding $selfSignupProviding) {
        
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        
        $stmt = $db->prepare("INSERT INTO `self_signup_covid19`(`job_id`, `providing`, `created_at`, `created_by`) 
                                                VALUES (:job_id,:providing, :created_at, :created_by)");
        
        $stmt->bindValue(':job_id', $selfSignupProviding->getJob_id());
        $stmt->bindValue(':providing', $selfSignupProviding->getProvide());
        $stmt->bindValue(':created_at', $date);
        $stmt->bindValue(':created_by', $selfSignupProviding->getCreated_by());
        
        $result = $crud->create($stmt, $db);
        
        closeDb();
        
        return $result;
        
    }
    
    public function getJob($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        // $stmt = $db->prepare("SELECT posted_jobs.id,posted_jobs.name_of_brand,functional_role.name as f_role,posted_jobs.job_description,posted_jobs.min_salary,posted_jobs.max_salary,posted_jobs.min_experience,posted_jobs.max_experience,posted_jobs.type_of_work,posted_jobs.from_age,posted_jobs.to_age,posted_jobs.total_number_of_openings,posted_jobs.type_of_requirements,posted_jobs.work_name,posted_jobs.certificate_shortlist,posted_jobs.qualification_shortlist,posted_jobs.loan_available,posted_jobs.training_certification,posted_jobs.training_name,posted_jobs.training_desc,posted_jobs.training_cost,posted_jobs.training_duration,posted_jobs.training_location,posted_jobs.training_certificate_partner,qualification.name as maximum_qual FROM `posted_jobs` INNER JOIN functional_role ON posted_jobs.functional_role = functional_role.id INNER JOIN qualification ON posted_jobs.max_qualification=qualification.id WHERE posted_jobs.job_id='$job_id'");
        $stmt = $db->prepare("SELECT
  posted_jobs.id,
  posted_jobs.name_of_brand,
  functional_role.name as f_role,
  posted_jobs.job_description,
  posted_jobs.min_salary,
  posted_jobs.max_salary,
  posted_jobs.min_experience,
  posted_jobs.max_experience,
  posted_jobs.type_of_work,
  posted_jobs.from_age,
  posted_jobs.to_age,
  posted_jobs.total_number_of_openings,
  posted_jobs.type_of_requirements,
  posted_jobs.work_name,
  posted_jobs.certificate_shortlist,
  posted_jobs.qualification_shortlist,
  posted_jobs.loan_available,
  posted_jobs.training_certification,
  posted_jobs.training_name,
  posted_jobs.training_desc,
  posted_jobs.training_cost,
  posted_jobs.training_duration,
  posted_jobs.training_location,
  posted_jobs.training_certificate_partner,
  (
    SELECT
      qualification.name
    FROM
      `posted_jobs`
      INNER JOIN qualification ON posted_jobs.min_qualification = qualification.id WHERE
  posted_jobs.job_id = '$job_id'
  ) as minimum_qual,
  (
    SELECT
      qualification.name
    FROM
      `posted_jobs`
      INNER JOIN qualification ON posted_jobs.max_qualification = qualification.id WHERE
  posted_jobs.job_id = '$job_id'
  ) as maximum_qual,
  posted_jobs.esi,
  posted_jobs.epf,
  posted_jobs.lise_insurance,
  posted_jobs.weekly_off,
  posted_jobs.duty,
  posted_jobs.accomodation,
  posted_jobs.accomodation_type,
  posted_jobs.meals_provided,
  posted_jobs.meals_type,
  posted_jobs.transport,
  posted_jobs.transport_type,
  posted_jobs.medical_team,
  posted_jobs.temperature_test,
  posted_jobs.total_number_of_openings,
  posted_jobs.gender,
  posted_jobs.specialization,
  posted_jobs.expiry_date,
  posted_jobs.age_criteria,
  posted_jobs.brand_id,
  posted_jobs.max_qualification,
  posted_jobs.min_qualification,
  posted_jobs.functional_role
FROM
  `posted_jobs`
  INNER JOIN functional_role ON posted_jobs.functional_role = functional_role.id
WHERE
  posted_jobs.job_id = '$job_id'");

        $result = $crud->getAll($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    public function getCity($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT cities.city_name,post_job_city.city_id FROM `post_job_city` INNER JOIN cities ON post_job_city.city_id=cities.city_id WHERE job_id='$job_id'");
        
        $result = $crud->getAll($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    public function getOtherMatches($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT jobs_other_matches.max_qualification,jobs_other_matches.min_qualification,jobs_other_matches.min_salary,jobs_other_matches.max_salary,jobs_other_matches.from_age,jobs_other_matches.to_age,qualification.name as max_qual FROM `jobs_other_matches` INNER JOIN qualification ON jobs_other_matches.max_qualification = qualification.id WHERE job_id='$job_id'");
        
        $result = $crud->getAll($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    public function getMobile($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT * FROM `jobs_mobile` WHERE job_id='$job_id'");
        
        $result = $crud->getAll($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    public function getLicense($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT * FROM `post_job_driving_license` WHERE job_id='$job_id'");
        
        $result = $crud->getAll($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    public function getIdentity($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT * FROM `job_identity_proof` WHERE job_id='$job_id'");
        
        $result = $crud->getAll($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    public function getAddress($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT * FROM `job_address_proof` WHERE job_id='$job_id'");
        
        $result = $crud->getAll($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    public function getVehical($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT * FROM `post_job_vehicle` WHERE job_id='$job_id'");
        
        $result = $crud->getAll($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    public function getLanguages($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT * FROM `post_job_languages` WHERE job_id='$job_id'");
        
        $result = $crud->getAll($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    public function getProvid($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT * FROM `self_signup_covid19` WHERE job_id='$job_id'");
        
        $result = $crud->getAll($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    public function editJob(PostJobV2 $postJob2) {
        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("UPDATE `posted_jobs` SET `job_description` = :job_description, 
            `qualification_shortlist` = :qualification_shortlist, 
            `certificate_shortlist` = :certificate_shortlist,
            `total_number_of_openings` = :total_number_of_openings,
            `esi` = :esi, 
            `epf` = :epf,
            `lise_insurance` = :lise_insurance,
            `accomodation` = :accomodation,
            `accomodation_type` = :accomodation_type,
            `meals_provided` = :meals_provided,
            `meals_type` = :meals_type,
            `transport` = :transport,
            `transport_type` = :transport_type,
            `weekly_off` = :weekly_off,
            `duty` = :duty,
            `updated_at` = :updated_at
            WHERE `job_id` = :job_id");


        $stmt->bindValue(':job_id', $postJob2->getJob_id());
        $stmt->bindValue(':job_description', $postJob2->getJob_description());
        $stmt->bindValue(':qualification_shortlist', $postJob2->getQualification_shortlist());
        $stmt->bindValue(':certificate_shortlist', $postJob2->getCertificate_shortlist());
        $stmt->bindValue(':total_number_of_openings', $postJob2->getNo_of_openings());
        $stmt->bindValue(':esi', $postJob2->getEsi());
        $stmt->bindValue(':epf', $postJob2->getEpf());
        $stmt->bindValue(':lise_insurance', $postJob2->getLise_insurance());
        $stmt->bindValue(':accomodation', $postJob2->getAccomodation());
        $stmt->bindValue(':accomodation_type', $postJob2->getAccomodation_type());
        $stmt->bindValue(':meals_provided', $postJob2->getMeals_provided());
        $stmt->bindValue(':meals_type', $postJob2->getMeals_type());
        $stmt->bindValue(':transport', $postJob2->getTransport());
        $stmt->bindValue(':transport_type', $postJob2->getTransport_type());
        $stmt->bindValue(':weekly_off', $postJob2->getWeekly_off());
        $stmt->bindValue(':duty', $postJob2->getDuty());
        $stmt->bindValue(':updated_at', $date);
        $crud = new Crud();
        $result = $crud->update($stmt);
        closeDb();
        return $result;
    }
    
    public function deleteLanguage($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("DELETE FROM `post_job_languages` WHERE `job_id` = '$job_id'");
        
        $result = $crud->deleted($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    public function deleteVehicle($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("DELETE FROM `post_job_vehicle` WHERE `job_id` = '$job_id'");
        
        $result = $crud->deleted($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    public function deleteAddress($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("DELETE FROM `job_address_proof` WHERE `job_id` = '$job_id'");
        
        $result = $crud->deleted($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    public function deleteIdentity($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("DELETE FROM `job_identity_proof` WHERE `job_id` = '$job_id'");
        
        $result = $crud->deleted($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    public function deleteLicense($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("DELETE FROM `post_job_driving_license` WHERE `job_id` = '$job_id'");
        
        $result = $crud->deleted($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    public function deleteMobile($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("DELETE FROM `jobs_mobile` WHERE `job_id` = '$job_id'");
        
        $result = $crud->deleted($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    public function deleteCity($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("DELETE FROM `post_job_city` WHERE `job_id` = '$job_id'");
        
        $result = $crud->deleted($stmt);
        
        closeDb();
        
        return $result;
        
    }
    public function deleteOtherMatches($job_id) {
        
        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("DELETE FROM `jobs_other_matches` WHERE `job_id` = '$job_id'");
        
        $result = $crud->deleted($stmt);
        
        closeDb();
        
        return $result;
        
    }
    
    

    public function deletePostJob($job_id) {
        
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        
        $stmt_ranked = $db->prepare("SELECT COUNT(*) FROM `ranked_candidates` WHERE `job_id` = '$job_id'");
        $result_ranked = $crud->getCount($stmt_ranked);
        
        $stmt_csr_shortlisting = $db->prepare("SELECT COUNT(*) FROM `csr_shortlisting` WHERE `job_id` = '$job_id'");
        $result_csr_shortlisting = $crud->getCount($stmt_csr_shortlisting);
        
        if($result_ranked == "0" && $result_csr_shortlisting == "0"){
            // $obj->ranked = $result_ranked;
            // $obj->csr = $result_csr_shortlisting;
            // $obj->result = 'yes 0';
            // $obj->message = "You can delete.";
            // $result =  json_encode($obj);
            $stmt = $db->prepare("DELETE FROM `posted_jobs` WHERE `job_id` = '$job_id'");
            $result = $crud->deleted($stmt);    
        }else{
            $obj->ranked = $result_ranked;
            $obj->csr = $result_csr_shortlisting;
            $obj->result = 'Failure';
            $obj->message = "This job has been shortlisted already.";
            $result =  json_encode($obj);
        }

        
        
        closeDb();
        
        return $result;
        
    }
    
    public function getJobsForAudio() {
        
        $db = getDb();
        $crud = new Crud();
        
        $stmt = $db->prepare("SELECT * FROM `posted_jobs` WHERE `is_audio_generated` = '0'");
        // $stmt = $db->prepare("SELECT * FROM `posted_jobs` WHERE id='935'");
        return $crud->getAllWithoutJSON($stmt);
    } 
    
    public function updateJobsForAudio($job_id) {
        
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        
        $stmt = $db->prepare("UPDATE `posted_jobs` SET `is_audio_generated` = '1' WHERE `is_audio_generated` = '0' AND `job_id` = '$job_id'");
        return $crud->update($stmt);
    }
	
	public function updateJobDescriptionFromIBMSection($job_id, $job_description){
        
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        
		$stmt = $db->prepare("SELECT * FROM `posted_jobs` WHERE `id` = '$job_id'");
		$result = $crud->getAll($stmt);
		$result = json_decode($result, true);
		$result = $result['list'][0]['has_job_desc_modified_for_ibm'];
		
		if($result==='1'){
			$obj->result = 'Failure';
            $obj->message = "Unable to update. \n Job Description has been modified already.";
            $result =  json_encode($obj);
		}else{
		
			$stmt = $db->prepare("UPDATE `posted_jobs` SET `job_description` = '$job_description', 
															`has_job_desc_modified_for_ibm` = '1' 
										WHERE `id` = '$job_id'");
			$result = $crud->update($stmt);
		}
		
		return $result;
		
    }
	
}
