<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class PostJobController {

    public function create(PostJobs $postJobs) {
        

        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `posted_jobs`(`job_id`, `name_of_brand`, `established_in`, `cities_in_india`, `total_employees`, `industry_it_operates`, `sub_industry_it_operates`, `functional_area`, `functional_role`, `total_number_of_openings`, `expiry_date`, `offer_letter`,  `gross_salary_min`, `gross_salary_max`, `salary_in_hand_min`, `salary_in_hand_max`,  `frequency_of_payment`, `nature_of_payment`, `pay_slip`, `esi`, `epf`, `lise_insurance`, `accomodation`, `accomodation_type`, `meals_provided`, `meals_type`, `transport`, `transport_type`,  `other_reimbursements`, `other_leave_provided`, `dress_code`, `qualification`, `work_experience_min`, `work_experience_max`, `technical_specification`, `aadhar`, `pan`, `bank_account`, `ps_for_pre_emp`, `smart_phone`, `data`, `delivery_bag`, `created_at`, `updated_at`, `user_id`,`promotion_possiblity`, `daily_hours`, `rotational_shift`, `night_shift`, `weekly_off`, `interaction_with_cust`,`dress_code_type`,`interview_level`,`brand_id`,`license_available`,`higher_salary`,`dress_code_provided`,`vehical_available`) 
                                                VALUES (:job_id,  :name_of_brand,  :established_in,  :cities_in_india,   :total_employees,  :industry_it_operates,  :sub_industry_it_operates,  :functional_area,  :functional_role,  :total_number_of_openings,  :expiry_date,  :offer_letter,  :gross_salary_min,  :gross_salary_max,  :salary_in_hand_min, :salary_in_hand_max,     :frequency_of_payment,  :nature_of_payment, :pay_slip,  :esi,  :epf,   :lise_insurance,  :accomodation,  :accomodation_type,  :meals_provided,  :meals_type,  :transport,  :transport_type,    :other_reimbursements,  :other_leave_provided,  :dress_code,  :qualification,  :work_experience_min,  :work_experience_max,  :technical_specification,  :aadhar, :pan,  :bank_account,  :ps_for_pre_emp,  :smart_phone,  :data,   :delivery_bag,  :created_at,  :updated_at, :user_id, :promotion_possiblity,   :daily_hours,  :rotational_shift,  :night_shift,  :weekly_off, :interaction_with_cust,:dress_code_type,:interview_level,:brand_id,:license_available,:higher_salary,:dress_code_provided,:vehical_available)");

        $stmt->bindValue(':job_id', $postJobs->getJob_id());
        $stmt->bindValue(':name_of_brand', $postJobs->getName_of_brand());
        $stmt->bindValue(':established_in', $postJobs->getEstablished_in());
        $stmt->bindValue(':cities_in_india', $postJobs->getCities_in_india());
        $stmt->bindValue(':total_employees', $postJobs->getTotal_employees());
        $stmt->bindValue(':industry_it_operates', $postJobs->getIndustry_it_operates());
        $stmt->bindValue(':sub_industry_it_operates', $postJobs->getSub_industry_it_operates());
        $stmt->bindValue(':functional_area', $postJobs->getFunctional_area());
        $stmt->bindValue(':functional_role', $postJobs->getFunctional_role());
        $stmt->bindValue(':total_number_of_openings', $postJobs->getTotal_number_of_openings());
        $stmt->bindValue(':expiry_date', $postJobs->getExpiry_date());
        $stmt->bindValue(':offer_letter', $postJobs->getOffer_letter());
        // $stmt->bindValue(':type_of_job', $postJobs->getType_of_job());
        $stmt->bindValue(':gross_salary_min', $postJobs->getGross_salary_min());
        $stmt->bindValue(':gross_salary_max', $postJobs->getGross_salary_max());
        $stmt->bindValue(':salary_in_hand_min', $postJobs->getSalary_in_hand_min());
        $stmt->bindValue(':salary_in_hand_max', $postJobs->getSalary_in_hand_max());
        $stmt->bindValue(':higher_salary', $postJobs->getHigher_salary());
        $stmt->bindValue(':license_available', $postJobs->getLicense_available());
        $stmt->bindValue(':dress_code_provided', $postJobs->getDress_code_provided());
        $stmt->bindValue(':vehical_available', $postJobs->getVehical_available());
        $stmt->bindValue(':frequency_of_payment', $postJobs->getFrequency_of_payment());
        $stmt->bindValue(':nature_of_payment', $postJobs->getNature_of_payment());
        $stmt->bindValue(':pay_slip', $postJobs->getPay_slip());
        $stmt->bindValue(':esi', $postJobs->getEsi());
        $stmt->bindValue(':epf', $postJobs->getEpf());
        $stmt->bindValue(':lise_insurance', $postJobs->getLise_insurance());
        $stmt->bindValue(':accomodation', $postJobs->getAccomodation());
        $stmt->bindValue(':accomodation_type', $postJobs->getAccomodation_type());
        $stmt->bindValue(':meals_provided', $postJobs->getMeals_provided());
        $stmt->bindValue(':meals_type', $postJobs->getMeals_type());
        $stmt->bindValue(':transport', $postJobs->getTransport());
        $stmt->bindValue(':transport_type', $postJobs->getTransport_type());
        $stmt->bindValue(':other_reimbursements', $postJobs->getOther_reimbursements());
        $stmt->bindValue(':other_leave_provided', $postJobs->getOther_leave_provided());
        $stmt->bindValue(':dress_code', $postJobs->getDress_code());
        $stmt->bindValue(':qualification', $postJobs->getQualification());
        $stmt->bindValue(':work_experience_min', $postJobs->getWork_experience_min());
        $stmt->bindValue(':work_experience_max', $postJobs->getWork_experience_max());
        $stmt->bindValue(':technical_specification', $postJobs->getTechnical_specification());
        $stmt->bindValue(':aadhar', $postJobs->getAadhar());
        $stmt->bindValue(':pan', $postJobs->getPan());
        $stmt->bindValue(':bank_account', $postJobs->getBank_account());
        $stmt->bindValue(':ps_for_pre_emp', $postJobs->getPs_for_pre_emp());
        $stmt->bindValue(':smart_phone', $postJobs->getSmart_phone());
        $stmt->bindValue(':data', $postJobs->getData());
        $stmt->bindValue(':delivery_bag', $postJobs->getDelivery_bag());
        $stmt->bindValue(':created_at', getCurrentTime());
        $stmt->bindValue(':updated_at', getCurrentTime());
        $stmt->bindValue(':user_id', $postJobs->getUser_id());
        $stmt->bindValue(':promotion_possiblity', $postJobs->getPromotion_possiblity());
        $stmt->bindValue(':daily_hours', $postJobs->getDaily_hours());
        $stmt->bindValue(':rotational_shift', $postJobs->getRotational_shift());
        $stmt->bindValue(':night_shift', $postJobs->getNight_shift());
        $stmt->bindValue(':weekly_off', $postJobs->getWeekly_off());
        $stmt->bindValue(':interaction_with_cust', $postJobs->getInteraction_with_cust());
        $stmt->bindValue(':dress_code_type', $postJobs->getDress_code_type());
        $stmt->bindValue(':interview_level', $postJobs->getInterview_level());
        $stmt->bindValue(':brand_id', $postJobs->getBrand_id());


        $crud = new Crud();
        return $crud->create($stmt, $db);
        closeDb();
    }
    public function getLast10Jobs() {
        

        $db = getDb();

        $stmt = $db->prepare("SELECT pj.brand_id,pj.id,pj.job_id,pj.name_of_brand,pj.salary_in_hand_max,fl.name  FROM posted_jobs AS pj INNER JOIN functional_role as fl ON pj.functional_role=fl.id  
ORDER BY pj.created_at  DESC LIMIT 0,10");


        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
}

?>
