<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class QualificationController {
    
    public function create($name) {
        
        $db = getDb();
//        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `qualification`(`name`) VALUES (:name)");

        $stmt->bindValue(':name', $name);

        $crud = new Crud();
        return $crud->create($stmt, $db);
        closeDb();
        
    }

    public function getQualification() {

        $db = getDb();
        $stmt = $db->prepare("SELECT * FROM `qualification` where id between 0 and 8 ORDER BY id ASC");
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }
    
    
        public function getQualificationsName() {

        $db = getDb();
        $stmt = $db->prepare("SELECT name FROM `qualification` ORDER BY name ASC");
        $crud = new Crud();
        $cities = $crud->getAllWithoutJSON($stmt);
        foreach ($cities as $city) {
            echo $city['name'] . "\n";
        }
        closeDb();
    }

    
    public function getQualificationName($id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT name FROM `qualification` WHERE `id`='$id'");

        $stmt->execute();

        $obj = new stdClass();
        try {
            $row = $stmt->fetch(PDO::FETCH_ASSOC);
            $obj->result = "success";
            $obj->message = "list found";
            $obj->list = $row;
            return json_encode($obj);
        } catch (PDOException $exception) {
            $obj->result = "failure";
            $obj->message = "list not found";
            $obj->id = $exception->getMessage();
            return json_encode($obj);
        }
        closeDb();
    }
    
    public function getSAQualification() {

        $db = getDb();
        $stmt = $db->prepare("SELECT * FROM `sa_qualification` ORDER BY id ASC");
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }

}

?>
