<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class SkillFirmController {
     
	public function getCountForCSCJobFairStatuswise($status) {
    
		$db = getDb();
        $crud = new Crud();
        
		$condition_01 = '';
		
		if($status!=='All'){
			$condition_01 = " AND scs.status='$status'";
		}
		
		$sql = "SELECT COUNT(scs.id)  AS count FROM `skill_candidates_shorlisted` AS scs 
					  INNER JOIN `posted_jobs` AS pj 
					  ON pj.id=scs.job_id 
					  INNER JOIN `functional_role` AS fr 
					  ON fr.id=pj.functional_role 
					  INNER JOIN `csc_22_candidates_details` AS ccd 
					  ON ccd.phone_number=scs.phone_number 
					WHERE 
					  scs.campus_connect_id = '7'".$condition_01;
		
		$stmt1 = $db->prepare($sql);        
        
		$job_details = $crud->getAll($stmt1);
        
        closeDb();
        
		return $job_details;
		
    } 
	
	public function getCscJobFairStatuswiseSummary() {
    
		$db = getDb();
        $crud = new Crud();
        
		$stmt1 = $db->prepare("SELECT scs.status AS status, COUNT(DISTINCT(scs.phone_number)) AS count  
									FROM 
									  `skill_candidates_shorlisted` AS scs 
									  
									  INNER JOIN `csc_22_candidates_details` AS ccd 
										ON ccd.phone_number=scs.phone_number 
									  
									WHERE 
									  scs.campus_connect_id = '7' 
									GROUP BY 
									  scs.status 
									ORDER BY 
									  COUNT(scs.status) DESC");        
        
		$job_details = $crud->getAll($stmt1);
        
        closeDb();
        
		return $job_details;
		
    }
	
	public function getCscJobFairSummaryData() {
    
		$db = getDb();
        $crud = new Crud();
        
		$stmt1 = $db->prepare("SELECT COUNT(*) AS total_registered_candidates, (SELECT COUNT(DISTINCT(email)) FROM `csc_22_candidates_details` WHERE `mail_verify` = '1') AS mail_verified_candidates, 
									
									(SELECT COUNT(*) FROM `skill_dev_drive` WHERE drive_name LIKE '%CSC Workfair%') AS total_jobfairs_scheduled,
												
									(SELECT COUNT(DISTINCT(scs.phone_number)) FROM `csc_22_candidates_details` AS ccd 
												INNER JOIN `skill_candidates_shorlisted` AS scs 
												ON scs.phone_number=ccd.phone_number) AS total_candidates_assigned_to_jobfairs
								FROM 
								  `csc_22_candidates_details` AS ccd");        
        
		$job_details = $crud->getAll($stmt1);
        
        closeDb();
        
		return $job_details;
		
    }
	
    public function getDetailsDFByDate($skill_center,$offset,$from_date,$to_date) {
        $db = getDb();
        $crud = new Crud();
        if($skill_center !== ''){
            $stmt1 = $db->prepare("SELECT * FROM `ivr_jeevitam`  WHERE from_number = '01141182656' AND center='$skill_center' AND `created_at` BETWEEN '$from_date' AND  '$to_date' LIMIT $offset,10");
        }else{
            $stmt1 = $db->prepare("SELECT * FROM `ivr_jeevitam`  WHERE from_number = '01141182656' AND `created_at` BETWEEN '$from_date' AND  '$to_date' LIMIT $offset,10");
        }
        
        $job_details = $crud->getAll($stmt1);
        

        closeDb();
        return $job_details;
    }
    
    public function getCountDFByDate($skill_center,$from_date,$to_date) {
        $db = getDb();
        $crud = new Crud();
        if($skill_center !== ''){
            $stmt1 = $db->prepare("SELECT COUNT(*) FROM `ivr_jeevitam`  WHERE from_number = '01141182656' AND center='$skill_center' AND `created_at` BETWEEN '$from_date' AND  '$to_date'");
        }else{
            $stmt1 = $db->prepare("SELECT COUNT(*) FROM `ivr_jeevitam`  WHERE from_number = '01141182656' AND `created_at` BETWEEN '$from_date' AND  '$to_date'");
        }
        
        $job_details = $crud->getCount($stmt1);
        

        closeDb();
        return $job_details;
    }
    
    public function getDetailsDF($skill_center,$offset) {
        $db = getDb();
        $crud = new Crud();
        if($skill_center !== ''){
            $stmt1 = $db->prepare("SELECT * FROM `ivr_jeevitam`  WHERE from_number = '01141182656' AND center='$skill_center' AND `created_at` >= '2021-10-01 00:00:00' LIMIT $offset,10");
        }else{
            $stmt1 = $db->prepare("SELECT * FROM `ivr_jeevitam`  WHERE from_number = '01141182656' AND `created_at` >= '2021-10-01 00:00:00' LIMIT $offset,10");
        }
        
        $job_details = $crud->getAll($stmt1);
        

        closeDb();
        return $job_details;
    }
    
    public function getCountDF($skill_center) {
        $db = getDb();
        $crud = new Crud();
        if($skill_center !== ''){
            $stmt1 = $db->prepare("SELECT COUNT(*) FROM `ivr_jeevitam`  WHERE from_number = '01141182656' AND center='$skill_center' AND `created_at` >= '2021-10-01 00:00:00'");
        }else{
            $stmt1 = $db->prepare("SELECT COUNT(*) FROM `ivr_jeevitam`  WHERE from_number = '01141182656' AND `created_at` >= '2021-10-01 00:00:00'");
        }
        
        $job_details = $crud->getCount($stmt1);
        

        closeDb();
        return $job_details;
    }
    
    public function getStudentDetailsByPhoneNoDF($phone_number,$skill_center) {
        $db = getDb();
        $crud = new Crud();
        if($skill_center !== ''){
            $stmt1 = $db->prepare("SELECT * FROM `ivr_jeevitam`  WHERE from_number = '01141182656' AND phone_number='$phone_number' AND center='$skill_center' AND `created_at` >= '2021-08-01'");
        }else{
            $stmt1 = $db->prepare("SELECT * FROM `ivr_jeevitam`  WHERE from_number = '01141182656' AND phone_number='$phone_number' AND `created_at` >= '2021-08-01'");
        }
        
        $job_details = $crud->getAll($stmt1);
        

        closeDb();
        return $job_details;
    }
    
    public function getIVRDataDF($skill_center) {
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        if($skill_center !== ''){
            $stmt_by_phone = $db->prepare("SELECT COUNT(DISTINCT(`phone_number`)) AS total FROM `ivr_jeevitam` WHERE `from_number` = '01141182656' AND `created_at` >= '2021-10-01 00:00:00' AND center='$skill_center'");
        }else{
            $stmt_by_phone = $db->prepare("SELECT COUNT(DISTINCT(`phone_number`)) AS total FROM `ivr_jeevitam` WHERE `from_number` = '01141182656' AND `created_at` >= '2021-10-01 00:00:00'");
        }
        
        
        $result = $crud->getByCondition($stmt_by_phone);
        

        closeDb();
        return $result['total'];
    }

    public function updateOfferLetter($candidate_id, $job_id, $name) {

        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        $stmt = $db->prepare("UPDATE `skill_candidates_shorlisted` SET `offer_letter`= '$name', `offer_letter_updated`='$date' WHERE `candidate_id` = '$candidate_id' AND `job_id`='$job_id'");
        
        closeDb();

        return $crud->update($stmt);
    }

    public function getSMSDetails($phone) {


        $db = getDb();

        $stmt = $db->prepare("SELECT * FROM `sms_campaign_details` WHERE phone_number='$phone'");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        return $result;
    }

    public function getRobocallDetails($phone) {


        $db = getDb();

        $stmt = $db->prepare("SELECT start_time,updated_at,is_processed,is_connected,identity_proof,address,vehicle,smart_phone,date_time FROM `rc_response_data` WHERE phone_number='$phone'");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        return $result;
    }

    public function getUserForCampus($campus_id) {
        $db = getDb();
        $stmt = $db->prepare("SELECT * FROM `skill_firm_user` WHERE skill_id = '$campus_id'");
        $crud = new Crud();
        $results = $crud->getAll($stmt);
        closeDb();
        return $results;
    }

    // public function createSkill(Campus $campus) {

    //     $response = getUserPassword($campus->getPassword());
    //     $hash = $response['hash'];

    //     $obj = new stdClass();

    //     $db = getDb();
    //     $db->beginTransaction();
    //     $date = getCurrentTime();

    //     try {

    //         $stmt = $db->prepare("INSERT INTO `skill_firm`(`skill_name`,`skill_id`, `skill_address`, `skill_contact_person`, `skill_contact_number`, `skill_contact_email`, `skill_type_of_college`, `skill_created_at`, `skill_updated_at`, `skill_updated_by`) "
    //                 . "VALUES (:skill_name,:skill_id,:skill_address,:skill_contact_person,:skill_contact_number,:skill_contact_email,:skill_type_of_college,:skill_created_at,:skill_updated_at,:skill_updated_by)");

    //         $user_id = uniqid();

    //         $stmt->bindValue(':skill_id', $user_id);
    //         $stmt->bindValue(':skill_name', $campus->getCollege_name());
    //         $stmt->bindValue(':skill_address', $campus->getCollege_address());
    //         $stmt->bindValue(':skill_contact_person', $campus->getContact_person());
    //         $stmt->bindValue(':skill_contact_number', $campus->getContact_number());
    //         $stmt->bindValue(':skill_contact_email', $campus->getContact_email());
    //         $stmt->bindValue(':skill_type_of_college', $campus->getType_of_college());
    //         $stmt->bindValue(':skill_created_at', $date);
    //         $stmt->bindValue(':skill_updated_at', $date);
    //         $stmt->bindValue(':skill_updated_by', $campus->getUser_id());

    //         if ($stmt->execute()) {


    //             $insertuserStmt = $db->prepare("INSERT INTO `users`(`objectId`, `username`, `email`, `password`, `userType`, `total`, `userStatus`, `createdAt`, `updatedAt`,`old_pass`) 
    //                                                        VALUES (:objectId,:username,:email,:password,:userType,:total,:userStatus,:createdAt,:updatedAt,:old_pass)");

    //             $insertuserStmt->bindValue(':objectId', $user_id);
    //             $insertuserStmt->bindValue(':username', $campus->getContact_number());
    //             $insertuserStmt->bindValue(':email', $campus->getContact_email());
    //             $insertuserStmt->bindValue(':password', $hash);
    //             $insertuserStmt->bindValue(':userType', "SkillDev");
    //             $insertuserStmt->bindValue(':total', 0);
    //             $insertuserStmt->bindValue(':userStatus', "Active");
    //             $insertuserStmt->bindValue(':createdAt', $date);
    //             $insertuserStmt->bindValue(':updatedAt', $date);
    //             $insertuserStmt->bindValue(':old_pass', $campus->getPassword());

    //             if ($insertuserStmt->execute()) {
    //                 $db->commit();
    //                 $obj->result = "success";
    //                 $obj->message = "Created Successfully";
    //                 $obj->id = $user_id;
    //                 return json_encode($obj);
    //             } else {
    //                 $db->rollBack();
    //                 $message = json_encode($insertuserStmt->errorInfo());
    //                 $obj->result = "failure";
    //                 $obj->message = $message;
    //                 return json_encode($obj);
    //             }
    //         } else {
    //             $db->rollBack();
    //             $message = json_encode($stmt->errorInfo());
    //             $obj->result = "failure";
    //             $obj->message = $message;
    //             return json_encode($obj);
    //         }
    //     } catch (PDOException $ex) {
    //         $db->rollBack();
    //         $obj->result = "failure";
    //         $obj->message = "failure";
    //         $obj->id = $ex->getMessage();
    //         return $obj;
    //     }
    // }

    public function getAllCampus() {

        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT * FROM `skill_firm`");
        $result = $crud->getAll($stmt);

        closeDb();
        return $result;
    }

    // public function createSkillUser(Campus $campus) {

    //     $response = getUserPassword($campus->getPassword());
    //     $hash = $response['hash'];
    //     $obj = new stdClass();


    //     $db = getDb();
    //     $db->beginTransaction();
    //     $date = getCurrentTime();

    //     try {

    //         $stmt = $db->prepare("INSERT INTO `skill_firm_user`(`name`, `username`, `email`, `password`, `skill_user_id`, "
    //                 . "`skill_id`, `created_at`, `updated_at`,`role`, `city`) "
    //                 . "VALUES (:name,:username,:email,:password,:skill_user_id,:skill_id,:created_at,:updated_at,:role, :city)");

    //         $user_id = uniqid();

    //         $stmt->bindValue(':skill_user_id', $user_id);
    //         $stmt->bindValue(':skill_id', $campus->getCampus_id());
    //         $stmt->bindValue(':name', $campus->getName());
    //         $stmt->bindValue(':username', $campus->getUsername());
    //         $stmt->bindValue(':email', $campus->getEmail());
    //         $stmt->bindValue(':password', $hash);
    //         $stmt->bindValue(':created_at', $date);
    //         $stmt->bindValue(':updated_at', $date);
    //         $stmt->bindValue(':role', "Manager");
    //         $stmt->bindValue(':city', "Mumbai");

    //         if ($stmt->execute()) {
    //             // $campus_user_id = $db->lastInsertId();

    //             $insertuserStmt = $db->prepare("INSERT INTO `users`(`objectId`, `username`, `email`, `password`, `userType`, `total`, `userStatus`, `createdAt`, `updatedAt`,`old_pass`) 
    //                                                        VALUES (:objectId,:username,:email,:password,:userType,:total,:userStatus,:createdAt,:updatedAt,:old_pass)");

    //             $insertuserStmt->bindValue(':objectId', $user_id);
    //             $insertuserStmt->bindValue(':username', $campus->getUsername());
    //             $insertuserStmt->bindValue(':email', $campus->getEmail());
    //             $insertuserStmt->bindValue(':password', $hash);
    //             $insertuserStmt->bindValue(':userType', "SkillDevUser");
    //             $insertuserStmt->bindValue(':total', 0);
    //             $insertuserStmt->bindValue(':userStatus', "Active");
    //             $insertuserStmt->bindValue(':createdAt', $date);
    //             $insertuserStmt->bindValue(':updatedAt', $date);
    //             $insertuserStmt->bindValue(':old_pass', $campus->getPassword());

    //             if ($insertuserStmt->execute()) {
    //                 $db->commit();
    //                 $obj->result = "success";
    //                 $obj->message = "Created Successfully";
    //                 $obj->id = $user_id;
    //                 return json_encode($obj);
    //             } else {
    //                 $db->rollBack();
    //                 $message = json_encode($insertuserStmt->errorInfo());
    //                 $obj->result = "failure";
    //                 $obj->message = $message;
    //                 return json_encode($obj);
    //             }
    //         } else {
    //             $db->rollBack();
    //             $message = json_encode($stmt->errorInfo());
    //             $obj->result = "failure";
    //             $obj->message = $message;
    //             return json_encode($obj);
    //         }
    //     } catch (PDOException $ex) {
    //         $db->rollBack();
    //         $obj->result = "failure";
    //         $obj->message = "failure";
    //         $obj->id = $ex->getMessage();
    //         return $obj;
    //     }
    // }

    public function skillJobEnable($campus_id, $created_by, $job_id) {

        $db = getDb();
        $date = getCurrentTime();
        $crud = new Crud();

        $stmt = $db->prepare("INSERT INTO `enable_job_skill`(`skill_id`,`job_id`,`created_at`, `enabled_by`) 
            VALUES ('$campus_id','$job_id','$date','$created_by')");
        $result = $crud->create($stmt, $db);
        closeDb();
        return $result;
    }

    public function getAllJobsCampus($campus_id) {

        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT DISTINCT posted_jobs.id,posted_jobs.brand_id, posted_jobs.city, posted_jobs.salary_in_hand_max, posted_jobs.name_of_brand, posted_jobs.job_id, functional_role.name FROM enable_job_skill INNER JOIN posted_jobs ON enable_job_skill.job_id = posted_jobs.id INNER JOIN functional_role ON posted_jobs.functional_role = functional_role.id WHERE enable_job_skill.skill_id = '$campus_id'");
        $result = $crud->getAll($stmt);

        closeDb();
        return $result;
    }

    public function getAllJobsCampusDrive($campus_id, $drive_id) {

        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT posted_jobs.id, posted_jobs.city, posted_jobs.salary_in_hand_max, posted_jobs.name_of_brand, posted_jobs.job_id, functional_role.name FROM skill_firm_drive_jobs INNER JOIN posted_jobs ON skill_firm_drive_jobs.job_id = posted_jobs.id INNER JOIN functional_role ON posted_jobs.functional_role = functional_role.id WHERE skill_firm_drive_jobs.campus_id = '$campus_id' AND skill_firm_drive_jobs.drive_id='$drive_id'");
        $result = $crud->getAll($stmt);

        closeDb();
        return $result;
    }

    public function campusBatchesCount($campus_id) {

        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();

        $stmt = $db->prepare("SELECT COUNT(DISTINCT(batch_name)) as total FROM `campus_connect_candidate_details` WHERE campus_connect_id=$campus_id");
        $result = $crud->getByCondition($stmt);
        $obj->result = 'success';
        $obj->message = 'total found';
        $obj->total = $result['total'];
        closeDb();
        return json_encode($obj);
    }

    public function campusBatches($campus_id, $start_offset) {

        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT batch_name,degree,specialization,pass_year,COUNT(name) AS total FROM `campus_connect_candidate_details` WHERE campus_connect_id=$campus_id GROUP BY batch_name LIMIT $start_offset,10");
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }
    
    public function getBatchesForAllSources($campus_id) {

        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT DISTINCT batch_name FROM `skill_candidates_shorlisted` WHERE campus_connect_id=$campus_id");
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }

    public function getBatches($campus_id) {

        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT batch_name,specialization,id,COUNT(phone_number) AS total FROM `skill_dev_batches_details` WHERE campus_connect_id=$campus_id GROUP BY batch_name");
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }

    public function getBatchCandidatesCount($campus_id, $batch_name) {
        $db = getDb();
        $stmt = $db->prepare("SELECT COUNT(*) FROM `skill_dev_batches_details` WHERE campus_connect_id='$campus_id' AND batch_name = '$batch_name'");
        $crud = new Crud();
        return $crud->getCount($stmt);
        closeDb();
    }

    public function getBatchCandidates($campus_id, $batch_name, $start_offset) {

        $db = getDb();
        $stmt = $db->prepare("SELECT * FROM `skill_dev_batches_details` WHERE campus_connect_id = '$campus_id' AND batch_name = '$batch_name' LIMIT $start_offset,10");
        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }

    public function getBatchCandidatesCountShortlist($campus_id, $batch_name, $status, $job_id) {
        $db = getDb();
        $stmt = $db->prepare("SELECT COUNT(*) FROM `skill_candidates_shorlisted` WHERE job_id = '$job_id' AND campus_connect_id = '$campus_id' AND batch_name = '$batch_name' AND status='$status'");
        $crud = new Crud();

        return $crud->getCount($stmt);
        closeDb();
    }

    public function getBatchCandidatesShortlist($campus_id, $batch_name, $status, $start_offset, $job_id) {
        $db = getDb();
        $stmt = $db->prepare("SELECT cs.source_from,c.id,c.name,c.phone_number,c.email FROM `skill_dev_batches_details` as c INNER JOIN `skill_candidates_shorlisted` as cs ON c.id=cs.candidate_id WHERE cs.job_id = '$job_id' AND cs.campus_connect_id = '$campus_id' AND cs.batch_name = '$batch_name' AND cs.status='$status' LIMIT $start_offset,10");
        $crud = new Crud();

        return $crud->getAll($stmt);
        closeDb();
    }

    public function getCountStudents($campus_id) {
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        $date = getCurrentTime();
        
        $stmt_drive = $db->prepare("SELECT COUNT(*) FROM `skill_dev_drive` WHERE campus_id = '$campus_id' AND drive_date < '$date'");
        $drive = $crud->getCount($stmt_drive);



        $stmt_registered = $db->prepare("SELECT COUNT(DISTINCT turbo_lead_id) AS total FROM `ranked_candidates` WHERE level_cleared = 'L2' AND robo_calling_update BETWEEN '2020-12-10 00:00:00' AND '$date'");
        $registered = $crud->getByCondition($stmt_registered);
        $registered = $registered['total'];

        $stmt_eligible = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as eligible FROM `skill_candidates_shorlisted` WHERE campus_connect_id = '$campus_id' AND status IN('Eligible','ReachedOut','Applied','Shortlisted','OfferMade','Interviewed','Selected','Accepted','Joined')");
        $eligible = $crud->getByCondition($stmt_eligible);
        $eligible = $eligible['eligible'];
        
        if($campus_id == '7') {

            $registered_overall = $registered + $eligible;
        
        }else {
            $registered_overall = $eligible;
        }

        $stmt_l2b = $db->prepare("SELECT COUNT(DISTINCT turbo_lead_id) AS total FROM `ranked_candidates` WHERE level_cleared = 'L2B' AND updated_at BETWEEN '2020-12-10 00:00:00' AND '$date'");
        $l2b = $crud->getByCondition($stmt_l2b);
        $l2b = $l2b['total'];


        $stmt_applied = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as applied FROM `skill_candidates_shorlisted` WHERE  campus_connect_id = '$campus_id' AND status IN('Applied','Shortlisted','Interviewed','OfferMade','Selected','Accepted','Joined')");
        $applied = $crud->getByCondition($stmt_applied);
        $applied = $applied['applied'];
        
        if($campus_id == '7') {

            $interview_under_process = $l2b + $applied;
        
        }else {
            $interview_under_process = $applied;
        }


        // $stmt_shortlist = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as shortlisted FROM `skill_candidates_shorlisted` WHERE  campus_connect_id = '$campus_id' AND status IN('Shortlisted','Interviewed','Selected','Accepted','Joined')");
        // $shortlist = $crud->getByCondition($stmt_shortlist);
        // $shortlist = $shortlist['shortlisted'];

        $stmt_interviewed = $db->prepare("SELECT COUNT(DISTINCT turbo_lead_id) AS total FROM `ranked_candidates` WHERE level_cleared = 'L7' AND updated_at BETWEEN '2020-12-10 00:00:00' AND '$date'");
        $interviewed = $crud->getByCondition($stmt_interviewed);
        $interviewed = $interviewed['total'];

        $stmt_interviewed_ibm = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as interviewed FROM `skill_candidates_shorlisted` WHERE  campus_connect_id = '$campus_id' AND status IN('Interviewed','Selected','OfferMade','WaitingList','OfferRejected','Accepted','Joined')");
        $interviewed_ibm = $crud->getByCondition($stmt_interviewed_ibm);
        $interviewed_ibm = $interviewed_ibm['interviewed'];
        
        if($campus_id == '7') {

            $interviewed_overall = $interviewed + $interviewed_ibm;
        
        }else {
            $interviewed_overall = $interviewed_ibm;
        }


        $stmt_selected = $db->prepare("SELECT COUNT(DISTINCT turbo_lead_id) AS total FROM `ranked_candidates` WHERE level_cleared = 'L8' AND updated_at BETWEEN '2020-12-10 00:00:00' AND '$date'");
        $selected = $crud->getByCondition($stmt_selected);
        $selected = $selected['total'];

        $stmt_selected_ibm = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as selected FROM `skill_candidates_shorlisted` WHERE  campus_connect_id = '$campus_id' AND status IN('Selected','OfferMade','Accepted','OfferRejected','Joined')");
        $selected_ibm = $crud->getByCondition($stmt_selected_ibm);
        $selected_ibm = $selected_ibm['selected'];
        
        if($campus_id == '7') {

            $selected_overall = $selected + $selected_ibm;
        
        }else {
            $selected_overall = $selected_ibm;
        }

        $stmt_offer = $db->prepare("SELECT COUNT(DISTINCT turbo_lead_id) AS total FROM `ranked_candidates` WHERE level_cleared = 'L8B' AND updated_at BETWEEN '2020-12-10 00:00:00' AND '$date'");
        $offer = $crud->getByCondition($stmt_offer);
        $offer = $offer['total'];

        $stmt_offer_ibm = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as selected FROM `skill_candidates_shorlisted` WHERE  campus_connect_id = '$campus_id' AND status IN('OfferMade','Accepted','OfferRejected','Joined')");
        $offer_ibm = $crud->getByCondition($stmt_offer_ibm);
        $offer_ibm = $offer_ibm['selected'];
        
        if($campus_id == '7') {

            $offer_overall = $offer + $offer_ibm;
        
        }else {
            $offer_overall = $offer_ibm;
        }

        // $stmt_offer = $db->prepare("SELECT COUNT(DISTINCT turbo_lead_id) AS total FROM `ranked_candidates` WHERE level_cleared = 'L9' AND updated_at BETWEEN '2020-12-10 00:00:00' AND '$date'");
        // $offer = $crud->getByCondition($stmt_offer);
        // $offer = $offer['total'];
        // $stmt_accepted = $db->prepare("SELECT COUNT(*) FROM `skill_candidates_shorlisted` WHERE  campus_connect_id = '$campus_id' AND status IN('Accepted','Joined')");
        // $accepted = $crud->getCount($stmt_accepted);
        // $stmt_joined = $db->prepare("SELECT COUNT(*) FROM `skill_candidates_shorlisted` WHERE  campus_connect_id = '$campus_id' AND status IN('Joined')");
        // $joined = $crud->getCount($stmt_joined);

        $rank = $selected + $interviewed;

        $stmt_by_phone = $db->prepare("SELECT COUNT(DISTINCT(`phone_number`)) AS total FROM `ivr_jeevitam` WHERE `from_number` = '02248974835' AND `created_at` >= '2021-05-01'");
        $by_phone = $crud->getByCondition($stmt_by_phone);
        $application_by_phone = $by_phone['total'];


        $obj->result = 'success';
        $obj->message = 'Total found';
        $obj->drive = $drive;
        $obj->registered = $registered_overall;
        $obj->interview_under_process = $interview_under_process;
        // $obj->applied = $applied;
        // $obj->shortlisted = $l2b;
        $obj->interviewed = $interviewed_overall;
        $obj->selected = $selected_overall;
        $obj->offer = $offer_overall;
        $obj->application_by_phone = $application_by_phone;
        // $obj->ranked  = $rank ;

        closeDb();
        return json_encode($obj);
    }

    public function getDisconnectedJobs() {

        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT  posted_jobs.city, posted_jobs.job_id, posted_jobs.name_of_brand, posted_jobs.salary_in_hand_max, functional_role.name as functional_role 
            FROM posted_jobs INNER JOIN functional_role ON posted_jobs.functional_role = functional_role.id WHERE posted_jobs.is_disconnected = '1'");

        closeDb();

        return $crud->getAll($stmt);
    }

    public function getNewJobs() {

        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("SELECT posted_jobs.city, posted_jobs.job_id, posted_jobs.name_of_brand, posted_jobs.salary_in_hand_max, functional_role.name as functional_role 
            FROM posted_jobs INNER JOIN functional_role ON posted_jobs.functional_role = functional_role.id WHERE posted_jobs.is_new = '1'");

        closeDb();

        return $crud->getAll($stmt);
    }

    public function viewedExcelCount() {

        $db = getDb();
        $crud = new Crud();

        $stmt = $db->prepare("UPDATE `viewed-excel-count` SET `viewed_count`= `viewed_count` + 1 WHERE `id` = '1'");

        closeDb();

        return $crud->update($stmt);
    }

    public function getBatchDetail($campus_id, $batch_name) {

        $db = getDb();
        $stmt = $db->prepare("SELECT pass_year, degree, specialization FROM `skill_dev_batches_details` WHERE campus_connect_id = '$campus_id' AND batch_name = '$batch_name'");
        $crud = new Crud();
        $result = $crud->getByCondition($stmt);

        $obj = new stdClass();

        if (!is_null($result) && !empty($result)) {
            $obj->result = 'success';
            $obj->message = 'list found';
            $obj->list = $result;
        } else {
            $obj->result = 'failure';
            $obj->message = 'list not found';
        }
        closeDb();

        return json_encode($obj);
    }

    public function getCountStudentsJobWise($campus_id) {
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        $date = getCurrentTime();
        $skill = array();
        $rank = array();

        // $stmt_get_skill_jobs = $db->prepare("SELECT DISTINCT(`job_id`) FROM `skill_candidates_shorlisted` WHERE `campus_connect_id` = '$campus_id'");
        // $get_skill_jobs = $crud->getAllWithoutJSON($stmt_get_skill_jobs);
        // foreach($get_skill_jobs as $skill_job) {
        // $skill_res = new stdClass();
        // $id = $skill_job['job_id'];
        // $stmt_eligible = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as eligible FROM `skill_candidates_shorlisted` WHERE campus_connect_id = '$campus_id' AND job_id = '$id' AND status IN('Eligible','ReachedOut','Applied','Shortlisted','OfferMade','Interviewed','Selected','Accepted','Joined')");
        // $eligible = $crud->getByCondition($stmt_eligible);
        // $eligible = $eligible['eligible'];
        // $stmt_applied = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as applied FROM `skill_candidates_shorlisted` WHERE  campus_connect_id = '$campus_id' AND job_id = '$id' AND status IN('Applied','Shortlisted','Interviewed','OfferMade','Selected','Accepted','Joined')");
        // $applied = $crud->getByCondition($stmt_applied);
        // $applied = $applied['applied'];
        // $stmt_interviewed_ibm = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as interviewed FROM `skill_candidates_shorlisted` WHERE  campus_connect_id = '$campus_id' AND job_id = '$id' AND status IN('Interviewed','Selected','OfferMade','WaitingList','OfferRejected','Accepted','Joined')");
        // $interviewed_ibm = $crud->getByCondition($stmt_interviewed_ibm);
        // $interviewed_ibm = $interviewed_ibm['interviewed'];
        // $stmt_selected_ibm = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as selected FROM `skill_candidates_shorlisted` WHERE  campus_connect_id = '$campus_id' AND job_id = '$id' AND status IN('Selected','OfferMade','Accepted','OfferRejected','Joined')");
        // $selected_ibm = $crud->getByCondition($stmt_selected_ibm);
        // $selected_ibm = $selected_ibm['selected'];
        // $stmt_offer_ibm = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as selected FROM `skill_candidates_shorlisted` WHERE  campus_connect_id = '$campus_id' AND job_id = '$id' AND status IN('OfferMade','Accepted','OfferRejected','Joined')");
        // $offer_ibm = $crud->getByCondition($stmt_offer_ibm);
        // $offer_ibm = $offer_ibm['selected'];
        //     $skill_res->id = $id;
        //     $skill_res->eligible = $eligible;
        //     $skill_res->applied = $applied;
        //     $skill_res->interviewed_ibm = $interviewed_ibm;
        //     $skill_res->selected_ibm = $selected_ibm;
        //     $skill_res->offer_ibm = $offer_ibm;
        //     array_push($skill, $skill_res);
        // }
        // $stmt_get_ranked_jobs = $db->prepare("SELECT DISTINCT(`post_job_id`) FROM `ranked_candidates` WHERE `robo_calling_update` BETWEEN '2020-12-10 00:00:00' AND '$date'");
        // $get_ranked_jobs = $crud->getAllWithoutJSON($stmt_get_ranked_jobs);
        // foreach($get_ranked_jobs as $ranked_jobs) {
        //     $rank_res = new stdClass();
        //     $job_id = $ranked_jobs['post_job_id'];
        // $stmt_registered = $db->prepare("SELECT COUNT(DISTINCT turbo_lead_id) AS total FROM `ranked_candidates` WHERE level_cleared = 'L2' AND post_job_id = '$job_id' AND robo_calling_update BETWEEN '2020-12-10 00:00:00' AND '$date'");
        // $registered = $crud->getByCondition($stmt_registered);
        // $registered = $registered['total'];
        //     $stmt_l2b = $db->prepare("SELECT COUNT(DISTINCT turbo_lead_id) AS total FROM `ranked_candidates` WHERE level_cleared = 'L2B' AND post_job_id = '$job_id' AND updated_at BETWEEN '2020-12-10 00:00:00' AND '$date'");
        //     $l2b = $crud->getByCondition($stmt_l2b);
        //     $l2b = $l2b['total'];
        //     $stmt_interviewed = $db->prepare("SELECT COUNT(DISTINCT turbo_lead_id) AS total FROM `ranked_candidates` WHERE level_cleared = 'L7' AND post_job_id = '$job_id' AND updated_at BETWEEN '2020-12-10 00:00:00' AND '$date'");
        //     $interviewed = $crud->getByCondition($stmt_interviewed);
        //     $interviewed = $interviewed['total'];
        //     $stmt_selected = $db->prepare("SELECT COUNT(DISTINCT turbo_lead_id) AS total FROM `ranked_candidates` WHERE level_cleared = 'L8' AND post_job_id = '$job_id' AND updated_at BETWEEN '2020-12-10 00:00:00' AND '$date'");
        //     $selected = $crud->getByCondition($stmt_selected);
        //     $selected = $selected['total'];
        //     $stmt_offer = $db->prepare("SELECT COUNT(DISTINCT turbo_lead_id) AS total FROM `ranked_candidates` WHERE level_cleared = 'L8B' AND post_job_id = '$job_id' AND updated_at BETWEEN '2020-12-10 00:00:00' AND '$date'");
        //     $offer = $crud->getByCondition($stmt_offer);
        //     $offer = $offer['total'];
        //     $rank_res->id = $job_id;
        //     $rank_res->eligible = $registered;
        //     $rank_res->applied = $l2b;
        //     $rank_res->interviewed = $interviewed;
        //     $rank_res->selected = $selected;
        //     $rank_res->offer = $offer;
        //     array_push($rank, $rank_res);
        // }
        // $stmt_eligible = $db->prepare("SELECT skill_candidates_shorlisted.job_id, skill_candidates_shorlisted.name, skill_candidates_shorlisted.phone_number, 
        //     skill_dev_batches_details.email, skill_dev_batches_details.current_city FROM skill_candidates_shorlisted INNER JOIN skill_dev_batches_details USING (phone_number) 
        //     WHERE skill_candidates_shorlisted.campus_connect_id = '7' AND skill_candidates_shorlisted.status IN('Eligible','ReachedOut','Applied','Shortlisted','OfferMade',
        //     'Interviewed','Selected','Accepted','Joined') GROUP BY skill_candidates_shorlisted.phone_number");
        // $eligible = $crud->getAllWithoutJSON($stmt_eligible);

        $stmt_registered = $db->prepare("SELECT `posted_job_id`, `first_name`, `phone_number`, `email`, `current_city` FROM `v_ranked_candidates` 
            WHERE level_cleared = 'L2' AND robo_calling_update BETWEEN '2020-12-10 00:00:00' AND '$date' GROUP BY `phone_number`");
        $registered = $crud->getAllWithoutJSON($stmt_registered);

        // $obj->result = 'success';
        // $obj->message = 'Total found';
        $obj->rank = $registered;
        // $obj->skill = $eligible;

        closeDb();
        return json_encode($obj);
    }
    
    public function getInterviewUnderProcessCount($from, $to, $campus_id) {


        $obj = new stdClass();
        $db = getDb();
        $crud = new Crud();
        
        $from_date = $from . " 00:00:00";
        $to_date = $to . " 23:59:59";
        
        
        $stmt = $db->prepare("SELECT COUNT(DISTINCT(phone_number)) as applied FROM `skill_candidates_shorlisted` WHERE  campus_connect_id = '$campus_id' AND status 
            IN('Applied','Shortlisted','Interviewed','OfferMade','Selected','Accepted','Joined') AND `updated_at` BETWEEN '$from_date' AND '$to_date'");
        $result = $crud->getByCondition($stmt);
        
        $obj->result = "success";
        $obj->message = "list found";
        $obj->total = $result['applied'];
        closeDb();
        
        return json_encode($obj);
    }
    
    public function getInterviewUnderProcessDetails($from, $to, $campus_id, $startOffset) {


        $obj = new stdClass();
        $db = getDb();
        
        $from_date = $from . " 00:00:00";
        $to_date = $to . " 23:59:59";
        
        $stmt = $db->prepare("SELECT skill_candidates_shorlisted.phone_number, skill_candidates_shorlisted.name, skill_dev_batches_details.email, 
            skill_dev_batches_details.current_city, skill_dev_batches_details.current_address, skill_dev_batches_details.studied_till, skill_candidates_shorlisted.created_at, 
            posted_jobs.name_of_brand, posted_jobs.id, functional_role.name as role FROM skill_candidates_shorlisted INNER JOIN skill_dev_batches_details ON 
            skill_dev_batches_details.id = skill_candidates_shorlisted.candidate_id INNER JOIN posted_jobs ON posted_jobs.id = skill_candidates_shorlisted.job_id 
            INNER JOIN functional_role ON functional_role.id = posted_jobs.functional_role WHERE skill_candidates_shorlisted.campus_connect_id = '$campus_id' 
            AND skill_candidates_shorlisted.status IN('Applied','Shortlisted','Interviewed','OfferMade','Selected','Accepted','Joined') 
            AND skill_candidates_shorlisted.updated_at BETWEEN '$from_date' AND '$to_date' LIMIT $startOffset,10");

        $crud = new Crud();
        return $crud->getAll($stmt);
        closeDb();
    }

}

?>
