<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

class WorkfairApplicationController {
    
    public function getLinksByWFC($wf_id,$wfc_id) {

        $db = getDb();

        $stmt = $db->prepare("SELECT c.name,c.user_type,mc.qr_code_link,mc.link FROM wf_mapping_coordinators mc INNER JOIN work_fair_coordinator 
        c ON mc.user_id=c.id WHERE mc.wf_id=$wf_id AND mc.user_id=$wfc_id");
        $crud = new Crud();
        $row = $crud->getAll($stmt);

        closeDb();
        return $row;
    }
    
    public function getWFCLinks($wf_id) {

        $db = getDb();

        $stmt = $db->prepare("SELECT c.name,c.user_type,mc.qr_code_link,mc.link FROM wf_mapping_coordinators mc INNER JOIN work_fair_coordinator 
        c ON mc.user_id=c.id WHERE mc.wf_id=$wf_id");
        $crud = new Crud();
        $row = $crud->getAll($stmt);

        closeDb();
        return $row;
    }
    
    public function updateWFShortlistedCandidates()
    {
        $db = getDb();
        $crud = new Crud();

        $stmt_details = $db->prepare("SELECT s.*,d.id as candidate_id,d.created_by as created_by_c,d.source_id
        FROM wf_candidates_shortlist s INNER JOIN work_seeker_v2_details d ON s.lead_id=d.lead_id");
        $details = $crud->getAllWithoutJSON($stmt_details);

        foreach ($details as $detail) {
            $candidate_id = $detail['candidate_id'];
            $job_id = $detail['job_id'];
            $source_id = $detail['source_id'];
            $brand_id = $detail['brand_id'];
            $status = $detail['status'];
            $wfc_status = $detail['wfc_status'];
            $final_status = $detail['final_status'];
            $comments = $detail['comments'];
            $created_by = $detail['created_by_c'];
            $created_at  = $detail['created_at'];
            $updated_at = $detail['updated_at'];
            $sourced_from = "WorkFair";

            $stmt_map_wfc = $db->prepare("INSERT INTO `work_seeker_v2_candidates_shortlist`(`job_id`,
            `candidate_id`,`source_id`,`sourced_from`,`brand_id`, `status`, `wfc_status`, `final_status`,
            `comments`, `created_by`, `created_at`, `updated_at`) 
            VALUES (:job_id,:candidate_id,:source_id,:sourced_from,:brand_id, :status, :wfc_status, :final_status,
            :comments, :created_by, :created_at, :updated_at)");

            // $stmt_map_wfc->bindValue(':id', $id);
            $stmt_map_wfc->bindValue(':job_id', $job_id);
            $stmt_map_wfc->bindValue(':candidate_id', $candidate_id);
            $stmt_map_wfc->bindValue(':source_id', $source_id);
            $stmt_map_wfc->bindValue(':sourced_from', $sourced_from);
            $stmt_map_wfc->bindValue(':brand_id', $brand_id);
            $stmt_map_wfc->bindValue(':status', $status);
            $stmt_map_wfc->bindValue(':wfc_status', $wfc_status);
            $stmt_map_wfc->bindValue(':final_status', $final_status);
            $stmt_map_wfc->bindValue(':comments', $comments);
            $stmt_map_wfc->bindValue(':created_by', $created_by);
            $stmt_map_wfc->bindValue(':created_at', $created_at);
            $stmt_map_wfc->bindValue(':updated_at', $updated_at);

            $result = $crud->create($stmt_map_wfc, $db);
            echo $result;
        }

        return $result;
    }
    
    public function updateWFCandidates()
    {
        $db = getDb();
        $crud = new Crud();
        // $stmt_details = $db->prepare("SELECT * FROM `work_seeker_details` WHERE created_by in(16,93,64)");
        $stmt_details = $db->prepare("SELECT * FROM `work_seeker_details`  WHERE phone_number IN('7092550012')");

        $details = $crud->getAllWithoutJSON($stmt_details);
        // print_r($details);
        foreach ($details as $detail) {
            $lead_id  = $detail['lead_id'];
            $first_name  = $detail['first_name'];
            $last_name = $detail['last_name'];
            $salutations = $detail['salutations'];
            $phone_number = $detail['phone_number'];
            $email_id = $detail['email_id'];
            $dob = $detail['dob'];
            $studied_till = $detail['studied_till'];
            $year_of_passout = $detail['year_of_passout'];
            $currently_working = $detail['currently_working'];
            $gross_salary_per_month = $detail['gross_salary_per_month'];
            $working_from = $detail['working_from'];
            $exp = $detail['exp'];
            $job_fair = $detail['job_fair'];
            $is_job_fair = $detail['is_job_fair'];
            $age = $detail['age'];
            $gender = $detail['gender'];
            $state = $detail['state'];
            $current_city = $detail['current_city'];
            $pin_code = $detail['pin_code'];
            $job_preference = $detail['job_preference'];
            $work_preference = $detail['work_preference'];
            $sourced_from = $detail['sourced_from'];
            $created_by = $detail['created_by'];
            $age = $detail['age'];
            $created_at  = $detail['created_at'];
            $updated_at  = $detail['updated_at'];
            $specialization  = $detail['specialization'];
            $sms_sent  = $detail['sms_sent'];
            $otp_verified  = $detail['otp_verified'];

            $stmt_map_wfc = $db->prepare("INSERT INTO `work_seeker_v2_details`(`lead_id`,`first_name`,
            `last_name`,`salutations`,`phone_number`,`email_id`,`dob`,`highest_qualification`,`year_of_passout`,
            `currently_working`,`monthly_income`,`working_from`,`exp`,`source_id`,`is_job_fair`,`age`,`gender`,
            `state`, `city`, `pincode`, `job_preference`, `work_preference`, `sourced_from`, `created_by`,
            `created_at`, `updated_at`, `specialization`, `sms_sent`,`otp_verified`) 
            VALUES (:lead_id,:first_name,:last_name,:salutations,:phone_number,:email_id,:dob,:highest_qualification,            
            :year_of_passout,:currently_working,:monthly_income,:working_from,:exp,:source_id,:is_job_fair,:age,
            :gender,:state,:city,:pincode,:job_preference,:work_preference,:sourced_from,:created_by,:created_at,
            :updated_at,:specialization,:sms_sent,:otp_verified)");

            $stmt_map_wfc->bindValue(':lead_id', $lead_id);
            $stmt_map_wfc->bindValue(':first_name', $first_name);
            $stmt_map_wfc->bindValue(':last_name', $last_name);
            $stmt_map_wfc->bindValue(':salutations', $salutations);
            $stmt_map_wfc->bindValue(':phone_number', $phone_number);
            $stmt_map_wfc->bindValue(':email_id', $email_id);
            $stmt_map_wfc->bindValue(':dob', $dob);
            $stmt_map_wfc->bindValue(':highest_qualification', $studied_till);
            $stmt_map_wfc->bindValue(':year_of_passout', $year_of_passout);
            $stmt_map_wfc->bindValue(':currently_working', $currently_working);
            $stmt_map_wfc->bindValue(':monthly_income', $gross_salary_per_month);
            $stmt_map_wfc->bindValue(':working_from', $working_from);
            $stmt_map_wfc->bindValue(':exp', $exp);
            $stmt_map_wfc->bindValue(':source_id', $job_fair);
            $stmt_map_wfc->bindValue(':is_job_fair', $is_job_fair);
            $stmt_map_wfc->bindValue(':age', $age);
            $stmt_map_wfc->bindValue(':gender', $gender);
            $stmt_map_wfc->bindValue(':state', $state);
            $stmt_map_wfc->bindValue(':city', $current_city);
            $stmt_map_wfc->bindValue(':pincode', $pin_code);
            $stmt_map_wfc->bindValue(':job_preference', $job_preference);
            $stmt_map_wfc->bindValue(':work_preference', $work_preference);
            $stmt_map_wfc->bindValue(':sourced_from', $sourced_from);
            $stmt_map_wfc->bindValue(':created_at', $created_at);
            $stmt_map_wfc->bindValue(':created_by', $created_by);
            $stmt_map_wfc->bindValue(':updated_at', $updated_at);
            $stmt_map_wfc->bindValue(':specialization', $specialization);
            $stmt_map_wfc->bindValue(':sms_sent', $sms_sent);
            $stmt_map_wfc->bindValue(':otp_verified', $otp_verified);

            $result = $crud->create($stmt_map_wfc, $db);
            echo $result;
        }

        return $result;
    }
    
    public function updateWFC()
    {
        $db = getDb();
        $crud = new Crud();
        // $start = 5;
        // $end = 10;
       
        $stmt_details = $db->prepare("SELECT * FROM wf_mapping_coordinators WHERE id BETWEEN 140 AND 143");
        // $stmt_details = $db->prepare("SELECT * FROM wf_mapping_coordinators WHERE id BETWEEN $start AND $end");
        // $stmt_details->bindValue(1, $start, PDO::PARAM_INT);
        // $stmt_details->bindValue(2, $end, PDO::PARAM_INT);
        //  $stmt_details->execute();

    // Fetch the results
    // $results = $stmt_details->fetchAll(PDO::FETCH_ASSOC);

    // Display the results
    // foreach ($results as $row) {
        // print_r($results);
    // }
        $details = $crud->getAllWithoutJSON($stmt_details);
        // print_r($details);
        foreach ($details as $detail) {
            $id = $detail['id'];
            $wf_id = $detail['wf_id'];
            $supervisor_id = $detail['supervisor_id'];
            $freelancer_id = $detail['freelancer_id'];
            $created_at  = $detail['created_at'];
            $supervisor_id_latest = NULL;

            if ($freelancer_id !== '' && $freelancer_id !== 'null') {
                $user_type = "Freelancer";
                $user_id = $freelancer_id;
                $supervisor_id_latest = $supervisor_id;
            } else if($freelancer_id === 'null'){
                $user_type = "Supervisor";
                $user_id = $supervisor_id;
                $supervisor_id_latest = NULL;
            }

            $stmt_map_wfc = $db->prepare("INSERT INTO `wf_mapping_coordinators_new`(`id`,`user_type`,`user_id`,
            `supervisor_id`,`wf_id`,`created_at`) VALUES (:id,:user_type,:user_id,:supervisor_id,:wf_id,:created_at)");

            $stmt_map_wfc->bindValue(':id', $id);
            $stmt_map_wfc->bindValue(':user_type', $user_type);
            $stmt_map_wfc->bindValue(':wf_id', $wf_id);
            $stmt_map_wfc->bindValue(':supervisor_id', $supervisor_id_latest);
            $stmt_map_wfc->bindValue(':user_id', $user_id);
            $stmt_map_wfc->bindValue(':created_at', $created_at);

            $result = $crud->create($stmt_map_wfc, $db);
            echo $result;
        }
        
        return $result;
    }
    
     public function mappingWFCoordinatorNew($wf_id, $user_id, $user_type, $supervisor_id)
    {

        $obj = new stdClass();
        $date = getCurrentTime();
        $db = getDb();
        $crud = new Crud();
        $qr_code_link_obj = $this->getQRCodeLink($user_id,$wf_id);
        $file_name = $qr_code_link_obj->file_name;
        $link = $qr_code_link_obj->link;
        // $file_name = "qr_code";
        // $link = "link";
        if ($user_type === 'Supervisor') {
            $mapWFStmt = $db->prepare("INSERT INTO `wf_mapping_coordinators`(`user_type`,`user_id`,`supervisor_id`,`wf_id`,`qr_code_link`,`link`,
            `created_at`)VALUES (:user_type,:user_id,:supervisor_id,:wf_id,:qr_code_link,:link,:created_at)");

            $mapWFStmt->bindValue(':user_type', "Supervisor");
            $mapWFStmt->bindValue(':wf_id', $wf_id);
            $mapWFStmt->bindValue(':supervisor_id', NULL);
            $mapWFStmt->bindValue(':user_id', $user_id);
            $mapWFStmt->bindValue(':qr_code_link', $file_name);
            $mapWFStmt->bindValue(':link', $link);
            $mapWFStmt->bindValue(':created_at', $date);

            $result_insert = $crud->create($mapWFStmt, $db);
        } else if ($user_type === 'Freelancer') {
            $mapWFStmt = $db->prepare("INSERT INTO `wf_mapping_coordinators`(`user_type`,`user_id`,`supervisor_id`,`wf_id`,`qr_code_link`,`link`,
            `created_at`)VALUES (:user_type,:user_id,:supervisor_id,:wf_id,:qr_code_link,:link,:created_at)");

            $mapWFStmt->bindValue(':user_type', "Freelancer");
            $mapWFStmt->bindValue(':wf_id', $wf_id);
            $mapWFStmt->bindValue(':supervisor_id', $supervisor_id);
            $mapWFStmt->bindValue(':user_id', $user_id);
            $mapWFStmt->bindValue(':qr_code_link', $file_name);
            $mapWFStmt->bindValue(':link', $link);
            $mapWFStmt->bindValue(':created_at', $date);

            $result_insert = $crud->create($mapWFStmt, $db);
        }

        $decode = json_decode($result_insert, true);

        if ($user_type === 'Freelancer' && $decode['result'] === 'success') {
            $stmt = $db->prepare("UPDATE work_fair_coordinator set supervisor_id='$supervisor_id',is_supervisor_mapped=1,updated_at='$date' WHERE id = $user_id");
            $result_update = $crud->update($stmt);
            $decode_update = json_decode($result_update, true);

            if ($decode_update['result'] === 'success') {
                closeDb();
                return $result_insert;
            } else {
                $message = $decode_update['message'];
                $obj->result = "failure";
                $obj->message = $message;
                closeDb();
                return json_encode($obj);
            }
        } else {
            $message = $decode['message'];
            $obj->result = "failure";
            $obj->message = $message;
            closeDb();
            return json_encode($obj);
        }
    }
    
    public function getQRCodeLink($user_id,$wf_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT name FROM `work_fair_coordinator` WHERE id=$user_id");
        $crud = new Crud();
        $result = $crud->getByCondition($stmt);
        closeDb();
        $db = null;
        $name = explode(" ",$result['name']);
        $label_text = $name[0];
        $file_name = $name[0]."_".$user_id."_".$wf_id.".png";
        $link = "https://jeevitam.com/workfair/register.php?wf_id=".$wf_id."&wfc_id=".$user_id;
        $file_path = "../../../qrcode/workfair/".$file_name;
        $qrCodeGen = new QRCodeGenerator();
        $results = $qrCodeGen->generateQRCode($link, $label_text, $file_name,$file_path);
        // echo $results;
        $obj = new stdClass();
        $obj->file_name = $file_name;
        $obj->link = $link;
        return $obj;
    }

    public function getTestimonials() {

        $db = getDb();
        $stmt = $db->prepare("SELECT wt.wf_coordinator_id,wt.work_fair_id,wt.file,wt.description,wt.latitude,wt.longitude,wf.name as wf_name,wfc.name FROM
        work_fair_testimony wt INNER JOIN work_fair_coordinator wfc ON wt.wf_coordinator_id=wfc.id INNER JOIN composite_job_fair wf
        ON wt.work_fair_id=wf.id WHERE wt.work_fair_id=458;");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }

	public function getMediaList($work_fair_id, $wf_coordinator_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT * FROM `work_fair_media` WHERE wf_coordinator_id=$wf_coordinator_id AND work_fair_id=$work_fair_id");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }

    public function uploadMedia($wf_coordinator_id, $work_fair_id,$name,$description,
            $testimony_given_by_name,$file_type,$mode,$latitude,$longitude) {
        $db = getDb();
        $current_date = getCurrentTime();
        $stmt = $db->prepare("INSERT INTO `work_fair_media`(`wf_coordinator_id`, `work_fair_id`, `file`,`description`,`testimony_given_by_name`,
        `file_type`,`mode`,`created_at`,`updated_at`,`latitude`,`longitude`) VALUES
         (:wf_coordinator_id,:work_fair_id,:file,:description,:testimony_given_by_name,:file_type,:mode,:created_at,:updated_at,:latitude,:longitude)");
        $stmt->bindValue(':wf_coordinator_id', $wf_coordinator_id);
        $stmt->bindValue(':work_fair_id', $work_fair_id);
        $stmt->bindValue(':file', $name);
        $stmt->bindValue(':description', $description);
        $stmt->bindValue(':testimony_given_by_name', $testimony_given_by_name);
        $stmt->bindValue(':file_type', $file_type);
        $stmt->bindValue(':mode', $mode);
        $stmt->bindValue(':created_at', $current_date);
        $stmt->bindValue(':updated_at', $current_date);
        $stmt->bindValue(':latitude', $latitude);
        $stmt->bindValue(':longitude', $longitude);
        $crud = new Crud();
        $result = $crud->create($stmt, $db);
        closeDb();
        return $result;
    }
    
	public function getTestimonialsList($work_fair_id, $wf_coordinator_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT * FROM `work_fair_testimony` WHERE wf_coordinator_id=$wf_coordinator_id AND work_fair_id=$work_fair_id");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }
    
    public function getAllTestimonialsCount($work_fair_id, $wf_coordinator_id) {

        $db = getDb();
		
		$sql = "SELECT COUNT(*) FROM `work_fair_testimony` WHERE wf_coordinator_id=$wf_coordinator_id AND work_fair_id=$work_fair_id";
	
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        $result = $crud->getCount($stmt);
        closeDb();
        return $result;
    }
    
    public function deleteEntry($id) {

        $db = getDb();
        $crud = new Crud();
        $stmt = $db->prepare("DELETE FROM `work_fair_testimony` WHERE id=$id");
        $result = $crud->deleted($stmt);
        closeDb();
        return $result;
    }
    
    public function getFileName($id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT file FROM `work_fair_testimony` WHERE id=$id");
        $crud = new Crud();
        $result = $crud->getByCondition($stmt);
        closeDb();
        return $result['file'];
    }
    
    public function getAllTestimonials() {

        $db = getDb();
        $stmt = $db->prepare("SELECT * FROM `work_fair_testimony`");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }
    
    public function getWFDates($work_fair_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT date,end_date FROM `composite_job_fair` WHERE id=$work_fair_id");
        $crud = new Crud();
        $result = $crud->getByCondition($stmt);
        closeDb();
        return $result;
    }
    
    public function updateStatusByCorporate($work_fair,$job_id,$lead_id,$status,$comment) {
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        $stmt = $db->prepare("UPDATE wf_candidates_shortlist SET final_status='$status',comments='$comment',updated_at='$date' WHERE lead_id='$lead_id' AND job_id='$job_id' AND job_fair_id='$work_fair'");

        $results = $crud->update($stmt);
        closeDb();
        return $results;
    }
    
     public function WFCandidatesByBrand($work_fair,$brand_id,$offset) {

        $db = getDb();
        $stmt = $db->prepare("SELECT s.final_status,s.comments,wc.lead_id,wc.first_name,wc.last_name,wc.phone_number,q.name as qualification,s.job_fair_id,s.status,p.id,p.name_of_brand,
        f.name fn_role FROM wf_candidates_shortlist s INNER JOIN posted_jobs p ON s.job_id=p.id INNER JOIN functional_role f ON p.functional_role=f.id
        INNER JOIN work_seeker_details wc ON s.lead_id=wc.lead_id INNER JOIN qualification q ON wc.studied_till=q.id WHERE s.brand_id='$brand_id' AND
        s.job_fair_id=$work_fair AND s.status='Applied' LIMIT $offset,10");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }
    
    public function WFCandidatesByBrandCount($work_fair,$brand_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE brand_id='$brand_id' AND job_fair_id=$work_fair AND status='Applied'");
        $crud = new Crud();
        $result = $crud->getCount($stmt);
        closeDb();
        return $result;
    }
    
    public function shortlistedCandidatesDetails($wfc_id,$work_fair,$user_type) {

        $db = getDb();
        $stmt = $db->prepare("SELECT 
    s.wfc_status,
    wc.first_name,
    wc.last_name,
    wc.phone_number,
    q.name AS qualification,
    wc.job_fair as job_fair_id,
    s.status,
    c.name AS wfc_name,
    c.user_type,
    p.id,
    p.name_of_brand,
    f.name AS fn_role
FROM 
    work_seeker_details wc
INNER JOIN 
    work_fair_coordinator c ON wc.created_by = c.id
INNER JOIN 
    qualification q ON wc.studied_till = q.id
LEFT JOIN 
    wf_candidates_shortlist s ON wc.lead_id = s.lead_id
LEFT JOIN 
    posted_jobs p ON s.job_id = p.id
LEFT JOIN 
    functional_role f ON p.functional_role = f.id
WHERE 
    wc.job_fair = $work_fair 
    AND wc.created_by = $wfc_id;");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }
    
    public function getWFCReports($wf_id) {
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        $stmt_details = $db->prepare("SELECT wfc.id,wfc.name,wfc.user_type,MAX(a.check_in) as check_in,MAX(a.check_out) as check_out,MAX(a.status)
        as status,a.work_fair_id,a.check_in_latitude,a.check_in_longitude,a.check_out_latitude,a.check_out_longitude FROM work_fair_coordinator wfc
        INNER JOIN wf_coordinator_attendence a ON wfc.id=a.wf_coordinator_id WHERE a.work_fair_id = $wf_id GROUP BY wfc.id,a.work_fair_id,
        a.check_in_latitude, a.check_out_latitude, a.check_in_longitude, a.check_out_longitude;");
        // Old query
        // $stmt_details = $db->prepare("SELECT wfc.id,wfc.name,wfc.user_type,MAX(a.check_in) as check_in,MAX(a.status) as status FROM wf_candidates_shortlist wcs INNER JOIN 
        // work_fair_coordinator wfc ON wcs.created_by=wfc.id INNER JOIN wf_coordinator_attendence a ON wfc.id=a.wf_coordinator_id WHERE 
        // wcs.job_fair_id = $wf_id GROUP BY wfc.id;");
        $details = $crud->getAllWithoutJSON($stmt_details);
        
        $reports = [];
        foreach($details as $detail){
            $job_obj = new stdClass();
            $wfc_id = $detail['id'];
            
            $stmt_regst = $db->prepare("SELECT COUNT(*) FROM `work_seeker_details` WHERE created_by = $wfc_id AND job_fair=$wf_id");
            $regst = $crud->getCount($stmt_regst);

            $stmt_eligible = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE created_by=$wfc_id AND job_fair_id=$wf_id AND status in('Eligible','Applied','Interviewed','Selected','Rejected')");
            $eligible = $crud->getCount($stmt_eligible);
            
            $stmt_applied = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE created_by=$wfc_id AND job_fair_id=$wf_id AND status in('Applied','Interviewed','Selected','Rejected')");
            $applied = $crud->getCount($stmt_applied);
            
            $stmt_interviewed = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE created_by=$wfc_id AND job_fair_id=$wf_id AND status in('Interviewed','Selected','Rejected')");
            $interviewed = $crud->getCount($stmt_interviewed);
            
            $stmt_selected = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE created_by=$wfc_id AND job_fair_id=$wf_id AND status in('Selected')");
            $selected = $crud->getCount($stmt_selected);
            
            $stmt_rejected = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE created_by=$wfc_id AND job_fair_id=$wf_id AND status in('Rejected')");
            $rejected = $crud->getCount($stmt_rejected);
            
            
            $job_obj->wf_id = $wf_id;
            $job_obj->wfc_id = $wfc_id;
            $job_obj->name = $detail['name'];
            $job_obj->user_type = $detail['user_type'];
            $job_obj->check_in = $detail['check_in'];
            $job_obj->check_in_longitude = $detail['check_in_longitude'];
            $job_obj->check_in_latitude = $detail['check_in_latitude'];
            $job_obj->check_out_longitude = $detail['check_out_longitude'];
            $job_obj->check_out_latitude = $detail['check_out_latitude'];
            $job_obj->check_out = $detail['check_out'];
            $job_obj->status = $detail['status'];
            $job_obj->total_registration = $regst;
            $job_obj->total_eligible = $eligible;
            $job_obj->total_applications = $applied;
            $job_obj->total_interviewed = $interviewed;
            $job_obj->total_selected = $selected;
            $job_obj->total_rejected = $rejected;
            
            array_push($reports,$job_obj);
        }
            
            
            
        
        
        $obj->result = "success";
        $obj->message = "Total Found";
        $obj->details = $reports;
        $result = json_encode($obj);
        closeDb();
        return $result;
    }
    
    public function workfairReports($wf_id) {
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        // $stmt_supervisor = $db->prepare("SELECT COUNT(DISTINCT supervisor_id) total FROM `wf_mapping_coordinators` WHERE wf_id=$wf_id");
        // $count_supervisor = $crud->getByCondition($stmt_supervisor);
        
        // $stmt_freelancer = $db->prepare("SELECT COUNT(DISTINCT freelancer_id) total FROM `wf_mapping_coordinators` WHERE wf_id=$wf_id AND freelancer_id!='null'");
        // $count_freelancer = $crud->getByCondition($stmt_freelancer);
        
        $stmt_wfc =  $db->prepare("SELECT COUNT(DISTINCT user_id) total FROM wf_mapping_coordinators WHERE wf_id=$wf_id");
        $count_wfc = $crud->getByCondition($stmt_wfc);
        
        $stmt_registration = $db->prepare("SELECT COUNT(*) FROM `work_seeker_details` WHERE job_fair=$wf_id");
        $count_registration = $crud->getCount($stmt_registration);
        
        $stmt_check_in = $db->prepare("SELECT COUNT(DISTINCT wf_coordinator_id) total FROM `wf_coordinator_attendence` WHERE work_fair_id=$wf_id");
        $count_check_in = $crud->getByCondition($stmt_check_in);
        
        $stmt_shortlisted = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE job_fair_id=$wf_id AND status in('Eligible','Applied','Interviewed','Selected','Rejected')");
        $count_shortlisted = $crud->getCount($stmt_shortlisted);
        
        $stmt_applied = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE job_fair_id=$wf_id AND status in('Applied','Interviewed','Selected','Rejected')");
        $count_applied = $crud->getCount($stmt_applied);
        
        $stmt_applied_unique = $db->prepare("SELECT COUNT(DISTINCT lead_id) total FROM `wf_candidates_shortlist` WHERE job_fair_id=$wf_id AND status in('Applied','Interviewed','Selected','Rejected')");
        $count_applied_unique = $crud->getByCondition($stmt_applied_unique);
        
        
        $obj->result = "success";
        $obj->message = "Total Found";
        // $obj->total_wfc_count = (int)$count_supervisor['total'] + (int)$count_freelancer['total'];
        $obj->total_wfc_count = (int)$count_wfc['total'] ;
        // $obj->total_wfc_count = (int)$count_supervisor['total'] ;
        $obj->total_check_in = $count_check_in['total'];
        $obj->total_registration = $count_registration;
        $obj->total_shortlisted = $count_shortlisted;
        $obj->total_applied = $count_applied;
        $obj->total_applied_unique = $count_applied_unique['total'];
        $result = json_encode($obj);
        closeDb();
        return $result;
    }
    
    public function workfairOverallReports($year,$month) {
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        
        $end_date = $this->getEndDate($year,$month);
        $from_date_full = $year."-".$month."-01 00:00:00";
        $to_date_full = $year."-".$month."-".$end_date." 23:59:59";
        
        $stmt_tot_work_fair = $db->prepare("SELECT COUNT(*) FROM `composite_job_fair`  WHERE date BETWEEN '$from_date_full' AND '$to_date_full'");
        $tot_work_fair = $crud->getCount($stmt_tot_work_fair);
        
        // $stmt_tot_work_fair = $db->prepare("SELECT COUNT(*) FROM `composite_job_fair`  WHERE (date BETWEEN '$from' AND '$to')
        // AND (end_date BETWEEN '$from' AND '$to')");
        // $tot_work_fair = $crud->getCount($stmt_tot_work_fair);
        
        $stmt_active_wf_coordinator = $db->prepare("SELECT COUNT(DISTINCT created_by) total FROM `work_seeker_details` WHERE created_at BETWEEN
        '$from_date_full' AND '$to_date_full'");
        $active_wf_coordinator = $crud->getByCondition($stmt_active_wf_coordinator);
        
        $stmt_registration = $db->prepare("SELECT COUNT(DISTINCT phone_number) total FROM `work_seeker_details` WHERE created_at BETWEEN
        '$from_date_full' AND '$to_date_full'");
        $count_registration = $crud->getByCondition($stmt_registration);
        
        $stmt_shortlisted = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE (created_at BETWEEN '$from_date_full' AND 
         '$to_date_full') AND status in('Eligible','Applied','Interviewed','Selected','Rejected','Joined')");
        $count_shortlisted = $crud->getCount($stmt_shortlisted);
        
        $stmt_applied = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE (created_at BETWEEN '$from_date_full' AND '$to_date_full')
        AND status in('Applied','Interviewed','Selected','Rejected','Joined')");
        $count_applied = $crud->getCount($stmt_applied);
        
        $stmt_applied_unique = $db->prepare("SELECT COUNT(DISTINCT lead_id) total FROM `wf_candidates_shortlist` WHERE (created_at BETWEEN '$from_date_full'
        AND '$to_date_full') AND status in('Applied','Interviewed','Selected','Rejected','Joined')");
        $count_applied_unique = $crud->getByCondition($stmt_applied_unique);
        
        $stmt_unique_jobs = $db->prepare("SELECT COUNT(DISTINCT job_id) total FROM `wf_candidates_shortlist` WHERE (created_at BETWEEN '$from_date_full'
        AND '$to_date_full')");
        $count_unique_jobs = $crud->getByCondition($stmt_unique_jobs);
        
        $stmt_interviewed = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE (created_at BETWEEN '$from_date_full' AND '$to_date_full') AND status 
        in('Interviewed','Selected','Rejected','Joined')");
        $count_interviewed = $crud->getCount($stmt_interviewed);
        
        $stmt_selected = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE (created_at BETWEEN '$from_date_full' AND '$to_date_full') AND status 
        in('Selected','Joined')");
        $count_selected = $crud->getCount($stmt_selected);
        
        $stmt_joined = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE (created_at BETWEEN '$from_date_full' AND '$to_date_full') AND status 
        in('Joined')");
        $count_joined = $crud->getCount($stmt_joined);
        
        $obj->result = "success";
        $obj->message = "Total Found";
        $obj->tot_work_fair = $tot_work_fair;
        $obj->active_wf_coordinator = $active_wf_coordinator['total'];
        $obj->total_registration = $count_registration['total'];
        $obj->total_shortlisted = $count_shortlisted;
        $obj->total_applied = $count_applied;
        $obj->total_applied_unique = $count_applied_unique['total'];
        $obj->total_unique_jobs = $count_unique_jobs['total'];
        $obj->total_interviewed = $count_interviewed;
        $obj->total_selected = $count_selected;
        $obj->total_joined = $count_joined;
        $result = json_encode($obj);
        closeDb();
        return $result;
    }
    
    public function getEndDate($year,$month) {
        $end_date='';
        $year = (int)$year;
        if($month === '01' || $month === '03' || $month === '05' || $month === '07' || $month === '08' || $month === '10' || $month === '12'){
            $end_date = '31';
        }else if($month === '04' || $month === '06' || $month === '09' || $month === '11'){
            $end_date = '30';
        }else if($month === '02'){
            if(($year % 400 === 0) && ($year % 100 === 0)){
                $end_date = '29';
            }else if($year % 4 === 0){
                $end_date = '29';
            }else{
                $end_date = '28';
            }
        }
        return $end_date;
    }
    
    public function createDeleteRequest($name,$phone_number) {
        $db = getDb();
        $obj = new stdClass();
        $check_exist = $this->checkExist($phone_number);
        if((int)$check_exist != 0){
        $stmt = $db->prepare("INSERT INTO `wf_cooridinator_trash`(`name`, `phone_number`,`created_at`) VALUES
                            (:name,:phone_number,:created_at)");
        $stmt->bindValue(':name', $name);
        $stmt->bindValue(':phone_number', $phone_number);
        $stmt->bindValue(':created_at', getCurrentTime());
        
        $crud = new Crud();
        $result = $crud->create($stmt, $db);
        }else{
            $obj->result = "failure";
            $obj->message = "User Not Exist";
            $result = json_encode($obj);
        }
        closeDb();
        return $result;
    }
    public function checkExist($phone_number){

        $obj = new stdClass();
    
        $db = getDb();
        $stmt = $db->prepare("SELECT COUNT(*) FROM work_fair_coordinator WHERE phone_number=:phone_number");
        $stmt->bindValue(':phone_number', $phone_number);
        $crud = new Crud();
        return $crud->getCount($stmt);

    }
    
    public function forgotPassword($email) {
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        $stmt_exist = $db->prepare("SELECT COUNT(*) FROM `work_fair_coordinator` WHERE email='$email'");
        $exist = $crud->getCount($stmt_exist);
        if($exist > 0){
            $stmt_pass = $db->prepare("SELECT u.old_pass,c.phone_number FROM users u INNER JOIN work_fair_coordinator c ON c.user_id=u.objectId WHERE 
            c.email='$email' AND u.userType='WFCoordinator'");
            $res = $crud->getByCondition($stmt_pass);
            $password = $res['old_pass'];
            $phone_number = $res['phone_number'];
            $postData = "fire=WorkFairApp&username=$phone_number&password=$password&email=$email";
            $mail_send = sendEmailWFC($postData);
            // echo $mail_send;
            if($mail_send === 'success'){
                
                $obj->result = "success";
                $obj->message = "Updated and Notification sent successfully";
                $result = json_encode($obj);
            }else{
                $obj->result = "failure";
                $obj->message = "Updated and Notification sent failure";
                $obj->reason = $mail_send;
                $result = json_encode($obj);
            }
        }else{
            $obj->result = "failure";
            $obj->message = "User not found for this phone number or email";
            $result = json_encode($obj);
        }
                
        closeDb();
        return $result;
    }
    
    public function updateStatusByWFC($lead_id,$job_id,$wf_id,$status) {
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        $stmt = $db->prepare("UPDATE wf_candidates_shortlist SET wfc_status='$status',updated_at='$date' WHERE lead_id='$lead_id' AND job_id='$job_id' AND job_fair_id='$wf_id'");

        $results = $crud->update($stmt);
        closeDb();
        return $results;
    }
    
    public function getJobsDetails($job_fair_id) {

        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        
        $stmt = $db->prepare("SELECT pj.total_number_of_openings,j.job_id,pj.name_of_brand,pj.max_salary,f.name f_role FROM composite_job_fair wf INNER JOIN composite_jobs j 
        ON wf.job_fair_id=j.composite_id INNER JOIN posted_jobs pj ON j.job_id=pj.id INNER JOIN functional_role f ON pj.functional_role=f.id WHERE
        wf.id=$job_fair_id");
        $jobs = $crud->getAllWithoutJSON($stmt);
        $cities_array = [];
        
        foreach($jobs as $job){
            $job_obj = new stdClass();
            
            $total_number_of_openings = $job['total_number_of_openings'];
            $job_id = $job['job_id'];
            $name_of_brand = $job['name_of_brand'];
            $max_salary = $job['max_salary'];
            $f_role  = $job['f_role'];
            
            $stmt_city = $db->prepare("SELECT c.city_name FROM post_job_city jc INNER JOIN posted_jobs j ON jc.job_id=j.job_id INNER JOIN cities c
            ON jc.city_id=c.city_id WHERE j.id=$job_id");
            $cities = $crud->getAllWithoutJSON($stmt_city);
            
            $job_obj->job_id = $job_id;
            $job_obj->total_number_of_openings = $total_number_of_openings;
            $job_obj->name_of_brand = $name_of_brand;
            $job_obj->max_salary = $max_salary;
            $job_obj->f_role = $f_role;
            $job_obj->cities = $cities;
            
            array_push($cities_array,$job_obj);
        }
        
        $obj->result = "success";
        $obj->message = "List Found";
        $obj->list = $cities_array;
        $result = json_encode($obj);
        closeDb();
        return $result;
    }
    
    public function updateJobStatus($lead_id,$job_id,$wf_id) {
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        $stmt = $db->prepare("UPDATE wf_candidates_shortlist s INNER JOIN work_seeker_details d ON s.lead_id=d.lead_id 
        SET s.status='Applied',s.updated_at='$date' WHERE d.id='$lead_id' AND job_id='$job_id'");

        $results = $crud->update($stmt);
        closeDb();
        return $results;
    }
    
    public function updateJobStatusDecline($lead_id,$job_id,$wf_id,$reason) {
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        $stmt = $db->prepare("UPDATE wf_candidates_shortlist s INNER JOIN work_seeker_details d ON s.lead_id=d.lead_id 
        SET s.status='Declined',s.updated_at='$date',declined_reason ='$reason' WHERE d.id='$lead_id' AND job_id='$job_id'");

        $results = $crud->update($stmt);
        closeDb();
        return $results;
    }
    
    public function viewShortlistedJobsDetails($offset) {

        $db = getDb();
        $stmt = $db->prepare("SELECT wc.first_name,wc.last_name,wc.phone_number,q.name as qualification,s.job_fair_id,s.status,c.name wfc_name,
        c.user_type,p.id,p.name_of_brand,f.name fn_role FROM wf_candidates_shortlist s INNER JOIN work_fair_coordinator c ON s.created_by=c.id 
        INNER JOIN posted_jobs p ON s.job_id=p.id INNER JOIN functional_role f ON p.functional_role=f.id INNER JOIN work_seeker_details wc ON 
        s.lead_id=wc.lead_id INNER JOIN qualification q ON wc.studied_till=q.id LIMIT $offset,10");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }
    
    public function viewShortlistedJobsCount() {

        $db = getDb();
        $stmt = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist`");
        $crud = new Crud();
        $result = $crud->getCount($stmt);
        closeDb();
        return $result;
    }
    
    public function wfCoordinatorDetails($offset) {

        $db = getDb();
        $stmt = $db->prepare("SELECT * FROM `work_fair_coordinator` LIMIT $offset,10");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }
    
    public function wfCoordinatorCount() {

        $db = getDb();
        $stmt = $db->prepare("SELECT COUNT(*) FROM `work_fair_coordinator`");
        $crud = new Crud();
        $result = $crud->getCount($stmt);
        closeDb();
        return $result;
    }
    
    public function attendanceStatus($wf_coordinator_id,$job_fair_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT wf_coordinator_id,work_fair_id,check_in,check_out,status FROM `wf_coordinator_attendence` WHERE 
        wf_coordinator_id=$wf_coordinator_id AND work_fair_id=$job_fair_id");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }
    
    public function getJFDetails($job_fair_id,$lead_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT w.first_name,w.last_name,c.name,c.date,c.end_date,c.category FROM composite_job_fair c INNER JOIN 
        work_seeker_details w ON c.id=w.job_fair WHERE w.id=$lead_id");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }
    
    public function shortlistedJobs($lead_id,$job_fair_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT pj.job_id j_id,d.job_fair,d.lead_id,w.status,w.job_id,pj.name_of_brand,pj.max_salary,f.name FROM wf_candidates_shortlist w INNER JOIN posted_jobs 
        pj ON w.job_id=pj.id INNER JOIN functional_role f ON pj.functional_role=f.id INNER JOIN work_seeker_details d ON w.lead_id=d.lead_id AND
        w.job_fair_id=d.job_fair WHERE d.id=$lead_id");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }
    
    public function uploadTestimony($wf_coordinator_id, $work_fair_id,$name,$description,
            $testimony_given_by_name,$file_type,$mode,$latitude,$longitude) {
        $db = getDb();
        $current_date = getCurrentTime();
        $stmt = $db->prepare("INSERT INTO `work_fair_testimony`(`wf_coordinator_id`, `work_fair_id`, `file`,`description`,`testimony_given_by_name`,
        `file_type`,`mode`,`created_at`,`updated_at`,`latitude`,`longitude`) VALUES
        (:wf_coordinator_id,:work_fair_id,:file,:description,:testimony_given_by_name,:file_type,:mode,:created_at,:updated_at,:latitude,:longitude)");
        $stmt->bindValue(':wf_coordinator_id', $wf_coordinator_id);
        $stmt->bindValue(':work_fair_id', $work_fair_id);
        $stmt->bindValue(':file', $name);
        $stmt->bindValue(':description', $description);
        $stmt->bindValue(':testimony_given_by_name', $testimony_given_by_name);
        $stmt->bindValue(':file_type', $file_type);
        $stmt->bindValue(':mode', $mode);
        $stmt->bindValue(':created_at', $current_date);
        $stmt->bindValue(':updated_at', $current_date);
        $stmt->bindValue(':latitude', $latitude);
        $stmt->bindValue(':longitude', $longitude);

        $crud = new Crud();
        $result = $crud->create($stmt, $db);
        closeDb();
        return $result;
    }
    
    public function checkIn($wf_coordinator_id, $work_fair_id,$name,$comments,$latitude,$longitude) {
        $db = getDb();
        $stmt = $db->prepare("INSERT INTO `wf_coordinator_attendence`(`wf_coordinator_id`, `work_fair_id`, `check_in`, `wf_check_in_image`,
        `status`,`check_in_comments`,`check_in_latitude`,`check_in_longitude`) 
        VALUES (:wf_coordinator_id,:work_fair_id,:check_in,:wf_check_in_image,:status,:comments,:check_in_latitude,:check_in_longitude)");
        
        $stmt->bindValue(':wf_coordinator_id', $wf_coordinator_id);
        $stmt->bindValue(':work_fair_id', $work_fair_id);
        $stmt->bindValue(':check_in', getCurrentTime());
        $stmt->bindValue(':wf_check_in_image', $name);
        $stmt->bindValue(':status', "CheckedIn");
        $stmt->bindValue(':comments', $comments);
        $stmt->bindValue(':check_in_latitude', $latitude);
        $stmt->bindValue(':check_in_longitude', $longitude);

        $crud = new Crud();
        $result = $crud->create($stmt, $db);
        closeDb();
        return $result;
    }
	
    public function checkOut($wf_coordinator_id, $work_fair_id,$name,$comments,$latitude,$longitude) {
        $db = getDb();
        $check_out = getCurrentTime();
        
        // $stmt = $db->prepare("UPDATE `wf_coordinator_attendence` SET check_out_comments=:check_out_comments,wf_check_out_image=':wf_check_out_image',
        // check_out=:check_out,status=:status,check_out_latitude=:check_out_latitude,check_out_longitude=:check_out_longitude WHERE 
        // wf_coordinator_id=:wf_coordinator_id AND work_fair_id=:work_fair_id");
        
        // $status = "CheckedOut";
        
        // $stmt->bindValue(':check_out_comments', $comments);
        // $stmt->bindValue(':wf_check_out_image', $name);
        // $stmt->bindValue(':check_out', $check_out);
        // $stmt->bindValue(':status', $status);
        // $stmt->bindValue(':check_out_latitude', $latitude, PDO::PARAM_NULL);
        // $stmt->bindValue(':check_out_longitude',$longitude, PDO::PARAM_NULL);
        // $stmt->bindValue(':wf_coordinator_id', $wf_coordinator_id);
        // $stmt->bindValue(':work_fair_id', $work_fair_id);
        
        $stmt = $db->prepare("UPDATE `wf_coordinator_attendence` 
        SET check_out_comments = :check_out_comments, 
        wf_check_out_image = :wf_check_out_image,
        check_out = :check_out,
        status = :status,
        check_out_latitude = :check_out_latitude,
        check_out_longitude = :check_out_longitude 
        WHERE wf_coordinator_id = :wf_coordinator_id 
        AND work_fair_id = :work_fair_id");

        $status = "CheckedOut";
        
        $stmt->bindValue(':check_out_comments', $comments);
         if ($name === null) {
            $stmt->bindValue(':wf_check_out_image', null, PDO::PARAM_NULL);
        } else {
            $stmt->bindValue(':wf_check_out_image', $name);
        }
        
        $stmt->bindValue(':check_out', $check_out);
        $stmt->bindValue(':status', $status);
        
        // Assuming $latitude and $longitude can be null
        if ($latitude === null) {
            $stmt->bindValue(':check_out_latitude', null, PDO::PARAM_NULL);
        } else {
            $stmt->bindValue(':check_out_latitude', $latitude);
        }
        
        if ($longitude === null) {
            $stmt->bindValue(':check_out_longitude', null, PDO::PARAM_NULL);
        } else {
            $stmt->bindValue(':check_out_longitude', $longitude);
        }
        
        $stmt->bindValue(':wf_coordinator_id', $wf_coordinator_id);
        $stmt->bindValue(':work_fair_id', $work_fair_id);

        $crud = new Crud();
        $update = $crud->update($stmt);
        closeDb();
        return $update;
    }
    
	    public function checkInTemp01($wf_coordinator_id, $work_fair_id, $name, $comments) {
        $db = getDb();
        $stmt = $db->prepare("INSERT INTO `wf_coordinator_attendence`(`wf_coordinator_id`, `work_fair_id`, `check_in`, `wf_check_in_image`,`status`,`check_in_comments`) VALUES
                            (:wf_coordinator_id,:work_fair_id,:check_in,:wf_check_in_image,:status,:comments)");
        $stmt->bindValue(':wf_coordinator_id', $wf_coordinator_id);
        $stmt->bindValue(':work_fair_id', $work_fair_id);
        $stmt->bindValue(':check_in', getCurrentTime());
        $stmt->bindValue(':wf_check_in_image', $name);
        $stmt->bindValue(':status', "CheckedIn");
        $stmt->bindValue(':comments', $comments);

        $crud = new Crud();
        $result = $crud->create($stmt, $db);
        closeDb();
        return $result;
    }
	
    public function checkOutTemp01($wf_coordinator_id, $work_fair_id, $name, $comments) {
        $db = getDb();
        $check_out = getCurrentTime();
        $stmt = $db->prepare("UPDATE `wf_coordinator_attendence` SET check_out_comments='$comments',wf_check_out_image='$name',
        check_out='$check_out',status='CheckedOut' WHERE wf_coordinator_id='$wf_coordinator_id' AND work_fair_id='$work_fair_id'");
        
        $crud = new Crud();
        $update = $crud->update($stmt);
        closeDb();
        return $update;
    }
    
    public function registerCandidate(TurboHireLead $turboHireLead) {
        
        $db = getDb();
        $obj = new stdClass();
        $crud = new Crud();
        $current_time = new DateTime(getCurrentTime());
        $working_from  = $turboHireLead->getWorking_from();
        if (!is_null($working_from) && $working_from != '0000-00-00' && $working_from != '0000-00-00' && !empty($working_from)) { // Changed By Siva from '0000-00-00 00:00:00' to '0000-00-00'

            $datetime1 = new DateTime($working_from);
            $interval = $datetime1->diff($current_time);
            $experience = $interval->format('%y');
            //todo: months along with year needs to be calculated
        } else if($working_from === '0000-00-00'){
            $experience = 0;
            $working_from = null;
        }else{
            $experience = 0;
        }

        //later source to be added
        
        // if ($turboHireLead->getJob_fair() === '0' || is_null($turboHireLead->getJob_fair()) || empty($turboHireLead->getJob_fair())) {
        //     $is_job_fair = 0;
        // } else {
        //     $is_job_fair = 1;
        // }

        if (!is_null($turboHireLead->getDob())) {
            $datetime1 = new DateTime($turboHireLead->getDob());
            $interval_dob = $datetime1->diff($current_time);
            $in_years = $interval_dob->format('%R%y'); // in years including + / -
            $years = $interval_dob->format('%y'); // in years only numbers
            $in_months = $interval_dob->format('%m');
            if($in_years < 18){
                $obj->result = "failure";
                $obj->message = "Age should be greated than 18";
                return json_encode($obj);
            }else{
                $age = $years;
            }
          
        }
        
        if (!is_null($turboHireLead->getYear_of_passout())) {
            $year_of_passout = $turboHireLead->getYear_of_passout();
            $dob = $turboHireLead->getDob();
            $year_of_passout = $year_of_passout."-06-01";
            $yop = new DateTime($year_of_passout);
            $dob_time = new DateTime($dob);
            $interval_yop = $dob_time->diff($yop);
            $in_years_yop = $interval_yop->format('%R%y'); // in years including + / -
            // $years = $interval_yop->format('%y'); // in years only numbers
            if($in_years_yop < 15){
                $obj->result = "failure";
                $obj->message = "Year of Passout should be greater than Minimum of 16 years from Date of Birth";
                return json_encode($obj);
            }
        }
        
        $phone = $turboHireLead->getPhone_number();
        $result = $this->getLeadDetailsByPhone($phone);
        $response = json_decode($result, TRUE);
        $lead_detail = $response['list'];
        if (!is_null($lead_detail) && !empty($lead_detail)) {
            
                // $stmt = $db->prepare("UPDATE `work_seeker_details` SET `first_name`=:first_name,
                // `last_name`=:last_name,
                // `salutations`=:salutations,
                // `email_id`=:email_id,
                // `dob`=:dob,
                // `studied_till`=:studied_till,
                // `year_of_passout`=:year_of_passout,
                // `currently_working`=:currently_working,
                // `gross_salary_per_month`=:gross_salary_per_month,
                // `working_from`=:working_from,
                // `state`=:state,
                // `current_city`=:current_city,
                // `sourced_from`=:sourced_from,
                // `exp`=:exp,
                // `job_fair`=:job_fair,
                // `created_by`=:created_by,
                // `age`=:age,
                // `is_job_fair`=:is_job_fair,
                // `updated_at`=:updated_at,
                // `tenth_percentage`=:tenth_percentage,
                // `twelth_percentage`=:twelth_percentage,
                // `graduation_percentage`=:graduation_percentage,
                // `specialization`=:specialization,`pin_code`=:pin_code,`job_preference`=:job_preference,`work_preference`=:work_preference 
                // WHERE `phone_number`=:phone_number");
                
                // $stmt->bindValue(':salutations', $turboHireLead->getSalutations());
                // $stmt->bindValue(':first_name', $turboHireLead->getFirst_name());
                // $stmt->bindValue(':last_name', $turboHireLead->getLast_name());
                // $stmt->bindValue(':phone_number', $phone);
                // $stmt->bindValue(':email_id', $turboHireLead->getEmail_id());
                // $stmt->bindValue(':dob', $turboHireLead->getDob());
                // $stmt->bindValue(':studied_till', $turboHireLead->getStudied_till());
                // $stmt->bindValue(':year_of_passout', $turboHireLead->getYear_of_passout());
                // $stmt->bindValue(':currently_working', $turboHireLead->getCurrently_working());
                // $stmt->bindValue(':gross_salary_per_month', $turboHireLead->getGross_salary_per_month());
                // $stmt->bindValue(':working_from', $turboHireLead->getWorking_from());
                // $stmt->bindValue(':state', $turboHireLead->getState());
                // $stmt->bindValue(':current_city', $turboHireLead->getCity());
                // $stmt->bindValue(':sourced_from', $turboHireLead->getSource_form());
                // $stmt->bindValue(':updated_at', getCurrentTime());
                // $stmt->bindValue(':exp', $experience);
                // $stmt->bindValue(':job_fair', $turboHireLead->getJob_fair());
                // $stmt->bindValue(':is_job_fair', $is_job_fair);
                // $stmt->bindValue(':created_by', $turboHireLead->getCreated_by());
                // $stmt->bindValue(':age', $age);
                // $stmt->bindValue(':tenth_percentage', $turboHireLead->getTenth_percentage());
                // $stmt->bindValue(':twelth_percentage', $turboHireLead->getTwelth_percentage());
                // $stmt->bindValue(':graduation_percentage', $turboHireLead->getGraduation_percentage());
                // $stmt->bindValue(':specialization', $turboHireLead->getSpecialization());
                // $stmt->bindValue(':pin_code', $turboHireLead->getPincode());
                // $stmt->bindValue(':job_preference', $turboHireLead->getJob_preference());
                // $stmt->bindValue(':work_preference', $turboHireLead->getWork_preference());
                
                // $update = $crud->update($stmt);
                // $update_decode = json_decode($update,true);
                // if($update_decode['result'] === 'success'){
                //     $obj->result = "success";
                //     $obj->message = $update_decode['message'];
                //     // $obj->id = $id;
                //     $result_update = json_encode($obj);
                //     // return json_encode($obj);
                // }else{
                //     return $update;
                // }
                $obj->result = "failure";
                $obj->message = "The Phone Number is already Registered.";
                $result = json_encode($obj);

        } else {
            // $stmt = $db->prepare("INSERT INTO `work_seeker_v2_details`(
            $stmt = $db->prepare("INSERT INTO `work_seeker_details`(
		`lead_id`,
		`first_name`,
		`last_name`,
		`salutations`,
		`gender`,
		`phone_number`,
		`email_id`,
		`dob`,
		`studied_till`,
		`year_of_passout`,
		`currently_working`,
		`gross_salary_per_month`,
		`working_from`,
		`state`,
		`current_city`,
		`sourced_from`,
		`created_at`,
		`exp`,
		`job_fair`,
		`is_job_fair`,
		`created_by`,
		`age`,
		`tenth_percentage`,
		`twelth_percentage`,
		`graduation_percentage`,
		`specialization`,
		`pin_code`,
		`job_preference`,
		`work_preference`,
		`updated_at`,
		`otp_verified`
	)
VALUES
	(
		:lead_id,
		:first_name,
		:last_name,
		:salutations,
		:gender,
		:phone_number,
		:email_id,
		:dob,
		:studied_till,
		:year_of_passout,
		:currently_working,
		:gross_salary_per_month,
		:working_from,
		:state,
		:current_city,
		:sourced_from,
		:created_at,
		:experience,
		:job_fair,
		:is_job_fair,
		:created_by,
		:age,
		:tenth_percentage,
		:twelth_percentage,
		:graduation_percentage,
		:specialization,
		:pin_code,
		:job_preference,
		:work_preference,
		:updated_at,
		:otp_verified
	)");
            $gender = '';
            if($turboHireLead->getSalutations() === 'Ms' || $turboHireLead->getSalutations() === 'Mrs'){
                $gender = 'Female';
            }else if($turboHireLead->getSalutations() === 'Mr'){
                $gender = 'Male';
            }
            $stmt->bindValue(':lead_id', $turboHireLead->getLead_id());
            $stmt->bindValue(':salutations', $turboHireLead->getSalutations());
            $stmt->bindValue(':gender', $gender);
            $stmt->bindValue(':first_name', $turboHireLead->getFirst_name());
            $stmt->bindValue(':last_name', $turboHireLead->getLast_name());
            $stmt->bindValue(':phone_number', $phone);
            $stmt->bindValue(':email_id', $turboHireLead->getEmail_id());
            $stmt->bindValue(':dob', $turboHireLead->getDob());
            $stmt->bindValue(':studied_till', $turboHireLead->getStudied_till());
            $stmt->bindValue(':year_of_passout', $turboHireLead->getYear_of_passout());
            $stmt->bindValue(':currently_working', $turboHireLead->getCurrently_working());
            $stmt->bindValue(':gross_salary_per_month', $turboHireLead->getGross_salary_per_month());
            $stmt->bindValue(':working_from', $working_from);
            $stmt->bindValue(':state', $turboHireLead->getState());
            $stmt->bindValue(':current_city', $turboHireLead->getCity());
            $stmt->bindValue(':sourced_from', $turboHireLead->getSource_form());
            $stmt->bindValue(':created_at', getCurrentTime());
            $stmt->bindValue(':experience', $experience);
            $stmt->bindValue(':job_fair', $turboHireLead->getJob_fair());
            $stmt->bindValue(':is_job_fair', 1);      // Don't Change for this app
            $stmt->bindValue(':created_by', $turboHireLead->getCreated_by());
            $stmt->bindValue(':age', $age);
            $stmt->bindValue(':tenth_percentage', $turboHireLead->getTenth_percentage());
            $stmt->bindValue(':twelth_percentage', $turboHireLead->getTwelth_percentage());
            $stmt->bindValue(':graduation_percentage', $turboHireLead->getGraduation_percentage());
            $stmt->bindValue(':specialization', $turboHireLead->getSpecialization());
            $stmt->bindValue(':pin_code', $turboHireLead->getPincode());
            $stmt->bindValue(':job_preference', $turboHireLead->getJob_preference());
            $stmt->bindValue(':work_preference', $turboHireLead->getWork_preference());
            $stmt->bindValue(':updated_at', getCurrentTime());
            $stmt->bindValue(':otp_verified', 1);
            
            $result = $crud->create($stmt, $db);
        }
        $result_decode = json_decode($result,true);
        if($result_decode['result'] === 'success'){
            $shortlist = $this->shortlistforJob($phone,$turboHireLead->getJob_fair());
            // echo $shortlist;
        }
        closeDb();
        return $result;
    }
    
    public function getLeadDetailsByPhone($mobileNumber) {
        $db = getDb();
        $stmt = $db->prepare("SELECT * FROM `work_seeker_details` WHERE phone_number=:phone_number");
        $stmt->bindValue(':phone_number', $mobileNumber);
        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        $obj = new stdClass();
        $obj->result = "success";
        $obj->message = "list found";
        $obj->list = $row;
        return json_encode($obj);
        closeDb();
    }
    
    public function createLanguages(Languages $languages) {

        $db = getDb();
        $stmt = $db->prepare("INSERT INTO `leads_languages_known`(`lead_id`, `language`, `profiency`, `created_at`) VALUES (:lead_id,:language,:profiency,:created_at)");
        $stmt->bindValue(':lead_id', $languages->getLead_id());
        $stmt->bindValue(':language', $languages->getLanguage());
        $stmt->bindValue(':profiency', $languages->getProficiency());
        $stmt->bindValue(':created_at', getCurrentTime());

        $crud = new Crud();
        return $crud->create($stmt, $db);
        closeDb();
    }
    
    public function shortlistforJob($phone,$job_fair_id) {
    
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
       
       //todo: do not query.
      $stmt_get = $db->prepare("SELECT * FROM work_seeker_details WHERE phone_number = '$phone'");
        // $stmt_get = $db->prepare("SELECT * FROM work_seeker_v2_details WHERE phone_number = '$phone'");
        $lead_details = $crud->getByCondition($stmt_get);
        // print_r($lead_details);
        $l_id = $lead_details['id'];
        $l_lead_id = $lead_details['lead_id'];
        $l_first_name = $lead_details['first_name'];
        $l_last_name = $lead_details['last_name'];
        $l_salutations = $lead_details['salutations'];
        $l_phone_number = $lead_details['phone_number'];
        $l_email_id = $lead_details['email_id'];
        $l_studied_till = $lead_details['studied_till'];
        $l_currently_working = $lead_details['currently_working'];
        $l_gross_salary_per_month = $lead_details['gross_salary_per_month'];
        $l_working_from = $lead_details['working_from'];
        $l_exp = $lead_details['exp'];
        $l_gender = $lead_details['gender'];
        $l_age = $lead_details['age'];
        $l_pin_code = $lead_details['pin_code'];
        $l_created_by = $lead_details['created_by'];
        // Get job fair job details
        $stmt_job = $db->prepare("SELECT j.job_id,p.job_id unique_job_id,p.brand_id,p.min_qualification,p.max_qualification,p.age_criteria,
        p.from_age,p.to_age,p.min_experience,p.max_experience,p.min_salary,p.max_salary FROM composite_jobs j INNER JOIN composite_job_fair jf 
        ON jf.job_fair_id=j.composite_id INNER JOIN posted_jobs p ON j.job_id=p.id WHERE jf.id=$job_fair_id");
        $job_details = $crud->getAllWithoutJSON($stmt_job);
        // print_r($job_details);
        $jobs_count = 0;
        foreach($job_details as $job_details){
            $j_brand_id = $job_details['brand_id'];
            $j_min_qualification = $job_details['min_qualification'];
            $j_max_qualification = $job_details['max_qualification'];
            $j_age_criteria = $job_details['age_criteria'];
            $j_from_age = $job_details['from_age'];
            $j_to_age = $job_details['to_age'];
            $j_min_experience = $job_details['min_experience'];
            $j_max_experience = $job_details['max_experience'];
            $j_min_salary = $job_details['min_salary'];
            $j_max_salary = $job_details['max_salary'];
            $j_job_id = $job_details['job_id'];
            
            if($jobs_count < 3){
                $condition = '';
                if($l_currently_working === 'No'){
                    $condition = ($l_studied_till >= $j_min_qualification && $l_studied_till <= $j_max_qualification) && 
                    ($l_age >= $j_from_age && $l_age <= $j_to_age); 
                }else{
                    $condition = ($l_studied_till >= $j_min_qualification && $l_studied_till <= $j_max_qualification) && 
                    ($l_age >= $j_from_age && $l_age <= $j_to_age) &&
                    ($l_exp >= $j_min_experience && $l_exp <= $j_max_experience) &&
                    ($j_min_salary >= $l_gross_salary_per_month); 
                }
                if($condition){
                    // echo $j_job_id."   Matched  ".$jobs_count."   ";
                    $check_exist = $this->checkShortlisted($j_job_id,$l_lead_id,$job_fair_id);
                    if((int)$check_exist === 0){
                        // $insertshortlisted = $db->prepare("INSERT INTO `work_seeker_v2_candidates_shortlist`(`job_id`,`lead_id`,`job_fair_id`,`brand_id`,`status`,
                        $insertshortlisted = $db->prepare("INSERT INTO `wf_candidates_shortlist`(`job_id`,`lead_id`,`job_fair_id`,`brand_id`,`status`,
                        `created_by`,`created_at`, `updated_at`) VALUES (:job_id,:lead_id,:job_fair_id,:brand_id,:status,:created_by,:created_at,:updated_at)");
    
                        $insertshortlisted->bindValue(':job_id', $j_job_id);
                        $insertshortlisted->bindValue(':lead_id', $l_lead_id);
                        $insertshortlisted->bindValue(':job_fair_id', $job_fair_id);
                        $insertshortlisted->bindValue(':brand_id', $j_brand_id);
                        $insertshortlisted->bindValue(':status', "Eligible");
                        $insertshortlisted->bindValue(':created_by', $l_created_by);
                        $insertshortlisted->bindValue(':created_at', $date);
                        $insertshortlisted->bindValue(':updated_at', $date);
                        $insert_result = $crud->create($insertshortlisted, $db);
                        // echo $insert_result;
                        $decode = json_decode($insert_result,true);
                        if($decode['result'] === 'success'){
                            $jobs_count++;
                        }
                    }else{
                        // echo "Already shortlisted for this job";
                    }
                }else{
                    $insert_result = 'not shortlisted';// echo $j_job_id."   Not Matched  ";
                }
            }
        }
        if($jobs_count === 0){
            $obj = new stdClass();
            $obj->result = "failure";
            $obj->message = "not shortlisted";
            $insert_result = json_encode($obj);
        //     $insertshortlisted = $db->prepare("INSERT INTO `wf_candidates_shortlist`(`job_id`,`lead_id`,`job_fair_id`,`brand_id`,`status`,
        //                 `created_by`,`created_at`, `updated_at`) VALUES (:job_id,:lead_id,:job_fair_id,:brand_id,:status,:created_by,:created_at,:updated_at)");
    
        //     $insertshortlisted->bindValue(':job_id', 1448);
        //     $insertshortlisted->bindValue(':lead_id', $l_lead_id);
        //     $insertshortlisted->bindValue(':job_fair_id', $job_fair_id);
        //     $insertshortlisted->bindValue(':brand_id', "5d20729c2d6bd");
        //     $insertshortlisted->bindValue(':status', "Eligible");
        //     $insertshortlisted->bindValue(':created_by', $l_created_by);
        //     $insertshortlisted->bindValue(':created_at', $date);
        //     $insertshortlisted->bindValue(':updated_at', $date);
        //     $insert_result = $crud->create($insertshortlisted, $db);
        }else{
            $decode = json_decode($insert_result,true);
            if(!is_null($decode) && $decode['result'] === 'success'){
                $sms = $this->sendSMSWFC($l_id,$job_fair_id,$l_first_name,$l_phone_number);
                $decode_sms = json_decode($sms,true);
                // echo $sms;
                if($decode_sms['status'] === 'success'){
                    $stmt_sms = $db->prepare("UPDATE work_seeker_details SET sms_sent=1,updated_at='$date' WHERE lead_id='$l_lead_id'");
                    $crud->update($stmt_sms);
                }
                
            }else{
                 return $insert_result;
            }
        }
        closeDb();
        return $insert_result;
        
    }
    
    public function sendSMSWFC($l_id,$job_fair_id,$l_first_name,$l_phone_number) {

        // $fname = str_replace(' ', '', $l_first_name);
        // $fname = substr($fname, 0,10);// only 10 characters
        // $id = $this->getIntId($l_lead_id);
        // $link = "jeevitam.com/wf.php";
        // $url= $link . "?l=$id";
        // // echo $url;
        // $url = urlencode($url);
        // // echo $url;
        // $postData_sms = "fire=WFC&numbers=$l_phone_number&smsType=transactional&fname=$fname&url=$url";
        // // fire is a switch case like sending email
        // $result = sendSms($postData_sms);
        // return $result;
        $url = "jeevitam.com/wf.php?l=".$l_id."&j=".$job_fair_id;
        $msg = "Hi $l_first_name, Thanks for registering with Jeevitam, apply for jobs from here $url - VSS TECH"; 
        $resultSMS = sendTextLocalTransactionalSMS($l_phone_number,  $msg);
        return $resultSMS;
    }
    public function getIntId($l_lead_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT id FROM work_seeker_details WHERE lead_id='$l_lead_id'");
        // print_r($stmt);
        $crud = new Crud();
        $get_id = $crud->getByCondition($stmt);
        closeDb();
        return $get_id['id'];
    }
    
    public function checkShortlisted($j_job_id,$l_lead_id,$job_fair_id) {

        $db = getDb();
        $stmt = $db->prepare("SELECT COUNT(*) FROM wf_candidates_shortlist WHERE job_id='$j_job_id' AND lead_id='$l_lead_id' AND job_fair_id='$job_fair_id'");
        // print_r($stmt);
        $crud = new Crud();
        $count = $crud->getCount($stmt);
        closeDb();
        return $count;
    }

    public function create($created_by, $user_id, $name, $password, $phone_number, $qualification, $address, $dob, $pincode, $city, $email) {

        // $response = getPassword();

//todo: hasing or encrypting users password in superappusers for workfair coordinator
        // $utils = new Utils();
        
        if($password === ''){
            $password = getAutoPassword();
        }
        
        //todo: hasing or encrypting users password in superappusers for workfair coordinator

       
        $obj = new stdClass();
        $result = "";
        
        $date = getCurrentTime();
        $db = getDb();
        $crud = new Crud();
        try {


            $db->beginTransaction();
            $insertTrainerStmt = $db->prepare("INSERT INTO `work_fair_coordinator`(`user_id`, `name`,`phone_number`,"
                    . "`qualification`, `address`,`dob`,`pincode`,`city`,`status`,`created_at`, `updated_at`,`email`,`created_by`) "
                    . "VALUES (:user_id,:name,:phone_number,:qualification,:address,:dob,:pincode,:city,:status,"
                    . ":created_at,:updated_at,:email,:created_by)");

            $insertTrainerStmt->bindValue(':user_id', $user_id);
            $insertTrainerStmt->bindValue(':name', $name);
            $insertTrainerStmt->bindValue(':email', $email);
            $insertTrainerStmt->bindValue(':phone_number', $phone_number);
            $insertTrainerStmt->bindValue(':address', $address);
            $insertTrainerStmt->bindValue(':qualification', $qualification);
            $insertTrainerStmt->bindValue(':dob', $dob);
            $insertTrainerStmt->bindValue(':pincode', $pincode);
            $insertTrainerStmt->bindValue(':city', $city);
            $insertTrainerStmt->bindValue(':status', "Pending");
            $insertTrainerStmt->bindValue(':created_at', $date);
            $insertTrainerStmt->bindValue(':updated_at', $date);
            $insertTrainerStmt->bindValue(':created_by', $created_by);

            if ($insertTrainerStmt->execute()) {
                $insertuserStmt = $db->prepare("INSERT INTO `users`(`objectId`, `first_name`,`mobile_number`,`username`, `email`, `password`, `userType`, `total`, `userStatus`, `createdAt`, `updatedAt`,`old_pass`, `optout`) 
                                                           VALUES (:objectId,:first_name,:mobile_number,:username,:email,:password,:userType,:total,:userStatus,:createdAt,:updatedAt,:old_pass, :optout)");

                $insertuserStmt->bindValue(':objectId', $user_id);
                $insertuserStmt->bindValue(':first_name', $name);
                $insertuserStmt->bindValue(':mobile_number', $phone_number);
                $insertuserStmt->bindValue(':username', $phone_number);
                $insertuserStmt->bindValue(':email', $email);
                $insertuserStmt->bindValue(':password', $password);
                $insertuserStmt->bindValue(':userType', "WFCoordinator");
                $insertuserStmt->bindValue(':total', 0);
                $insertuserStmt->bindValue(':userStatus', "Active");
                $insertuserStmt->bindValue(':createdAt', $date);
                $insertuserStmt->bindValue(':updatedAt', $date);
                $insertuserStmt->bindValue(':old_pass', $password);
                $insertuserStmt->bindValue(':optout', 0);

                if ($insertuserStmt->execute()) {
                    $db->commit();
                    $obj->result = "success";
                    $obj->message = "Created Successfully";
                    $obj->id = $user_id;
                    $result = json_encode($obj);
                    // $postData = "fire=WFCRegst&username=$phone_number&password=$password&email=$email&name=$name";
                    // $mail_send = sendEmailWFC($postData);
                    // if($mail_send === 'success'){
                    //     $stmt = $db->prepare("UPDATE work_fair_coordinator set mail_sent=1 WHERE phone_number = '$phone_number'");
                    //     $result_update = $crud->update($stmt);
                    // }
                } else {
                    $db->rollBack();
                    $message = json_encode($insertuserStmt->errorInfo());
                    $obj->result = "failure";
                    $obj->message = $message;
                    $result = json_encode($obj);
                }
            } else {
                $db->rollBack();
                $message = json_encode($insertTrainerStmt->errorInfo());
                $obj->result = "failure";
                $obj->message = $message;
                $result = json_encode($obj);
            }
        } catch (PDOException $ex) {
            $db->rollBack();
            $obj->result = "failure";
            $obj->message = "failure";
            $obj->id = $ex->getMessage();
            $result = json_encode($obj);
        }

        closeDb();
        $db = null;
        return $result;
    }
    
    public function mappingWFCoordinator($wf_id,$supervisor,$freelancer) {

        $obj = new stdClass();
        $date = getCurrentTime();
        $db = getDb();
        $crud = new Crud();
        $mapWFStmt = $db->prepare("INSERT INTO `wf_mapping_coordinators`(`wf_id`, `supervisor_id`,`freelancer_id`,`created_at`)"
            . "VALUES (:wf_id,:supervisor_id,:freelancer_id,:created_at)");

        $mapWFStmt->bindValue(':wf_id', $wf_id);
        $mapWFStmt->bindValue(':supervisor_id', $supervisor);
        $mapWFStmt->bindValue(':freelancer_id', $freelancer);
        $mapWFStmt->bindValue(':created_at', $date);
        
        $result_insert = $crud->create($mapWFStmt, $db);
        $decode = json_decode($result_insert, true);
        
        if($freelancer !== "" && $decode['result'] === 'success'){
            $stmt = $db->prepare("UPDATE work_fair_coordinator set supervisor_id='$supervisor',is_supervisor_mapped=1,updated_at='$date' WHERE id = $freelancer");
            $result_update = $crud->update($stmt);
            $decode_update = json_decode($result_update, true);

            if($decode_update['result'] === 'success'){
                closeDb();
                return $result_insert;
            }else {
                $message = $decode_update['message'];
                $obj->result = "failure";
                $obj->message = $message;
                closeDb();
                return json_encode($obj);
            } 
        }else {
            $message = $decode['message'];
            $obj->result = "failure";
            $obj->message = $message;
            closeDb();
            return json_encode($obj);
        }
            
    }
    
    public function getWorkFairBySupervisor($supervisor) {

        $db = getDb();
        $stmt = $db->prepare("SELECT c.*,IFNULL(MAX(a.status), 'None') AS attendance_status FROM wf_mapping_coordinators m INNER JOIN composite_job_fair
            c ON m.wf_id=c.id LEFT JOIN (SELECT wfca.* FROM wf_coordinator_attendence AS wfca ORDER BY wfca.id DESC) a ON m.user_id=a.wf_coordinator_id
            AND m.wf_id=a.work_fair_id WHERE m.user_id=$supervisor GROUP BY c.id ORDER BY c.date DESC");
        // if(strlen($user_type) === 0){
        //     $stmt = $db->prepare("SELECT c.*,IFNULL(MAX(a.status), 'None') AS attendance_status FROM wf_mapping_coordinators m INNER JOIN composite_job_fair
        //     c ON m.wf_id=c.id LEFT JOIN (SELECT wfca.* FROM wf_coordinator_attendence AS wfca ORDER BY wfca.id DESC) a ON m.supervisor_id=a.wf_coordinator_id
        //     AND m.wf_id=a.work_fair_id WHERE m.supervisor_id=$supervisor GROUP BY c.id ORDER BY c.date DESC");
        // }else if($user_type === 'Supervisor'){
        //     $stmt = $db->prepare("SELECT c.*,IFNULL(MAX(a.status), 'None') AS attendance_status FROM wf_mapping_coordinators m INNER JOIN composite_job_fair
        //     c ON m.wf_id=c.id LEFT JOIN (SELECT wfca.* FROM wf_coordinator_attendence AS wfca ORDER BY wfca.id DESC) a ON m.supervisor_id=a.wf_coordinator_id
        //     AND m.wf_id=a.work_fair_id WHERE m.supervisor_id=$supervisor GROUP BY c.id ORDER BY c.date DESC");
        // }else if($user_type === 'Freelancer'){
        //     $stmt = $db->prepare("SELECT c.*,IFNULL(MAX(a.status), 'None') AS attendance_status FROM wf_mapping_coordinators m INNER JOIN composite_job_fair
        //     c ON m.wf_id=c.id LEFT JOIN (SELECT wfca.* FROM wf_coordinator_attendence AS wfca ORDER BY wfca.id DESC) a ON m.supervisor_id=a.wf_coordinator_id
        //     AND m.wf_id=a.work_fair_id WHERE m.freelancer_id=$supervisor GROUP BY c.id ORDER BY c.date DESC");
        // }
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }
    
    public function getFreelancersBySupervisor($supervisor) {

        $db = getDb();
        $stmt = $db->prepare("SELECT * FROM `work_fair_coordinator` WHERE supervisor_id=$supervisor AND user_type='Freelancer'");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }

    public function getAllWFCoordinator() {

        $db = getDb();
        $stmt = $db->prepare("SELECT * from work_fair_coordinator");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }
    
    public function updateUserTypeWFC($id,$user_type,$updated_by) {
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        $stmt = $db->prepare("UPDATE work_fair_coordinator SET user_type='$user_type',updated_at='$date',updated_by='$updated_by' WHERE id=$id");

        $results = $crud->update($stmt);
        closeDb();
        return $results;
    }

    public function updateUsertype($wf_coordinator, $user_type) {
        $db = getDb();
        $crud = new Crud();
        $date = getCurrentTime();
        $stmt = $db->prepare("UPDATE work_fair_coordinator set user_type='$user_type',updated_at='$date' WHERE id = "
                . "$wf_coordinator");

        $results = $crud->update($stmt);
        closeDb();
        return $results;
    }
    
    public function getSupervisors() {

        $db = getDb();
        $stmt = $db->prepare("SELECT * from work_fair_coordinator WHERE user_type='Supervisor'");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }
    
    public function getFreelancers($job_fair_id) {

        $db = getDb();
        
        $stmt = $db->prepare("SELECT * FROM work_fair_coordinator  WHERE user_type='Freelancer' AND id NOT IN (SELECT DISTINCT user_id 
        FROM wf_mapping_coordinators WHERE wf_id=$job_fair_id AND user_type='Freelancer')");
        
        // $stmt = $db->prepare("SELECT * FROM work_fair_coordinator  WHERE user_type='Freelancer' AND id NOT IN (SELECT DISTINCT freelancer_id 
        // FROM wf_mapping_coordinators WHERE wf_id=$job_fair_id)");
        $crud = new Crud();
        $result = $crud->getAll($stmt);
        closeDb();
        return $result;
    }
    
    public function login($username,$password) {
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();
        // $date = getCurrentTime();
        // $password_md5 = md5($password);
        // $myfile = file_put_contents('login_log.txt', "Log In" . " " . $user_name. " ". getCurrentTime()." ". $password . PHP_EOL, FILE_APPEND | LOCK_EX);
        $stmt = $db->prepare("SELECT * FROM users WHERE username='$username'");
        $results = $crud->getByCondition($stmt);
        // print_r($results);
        if($results){
            $size = sizeof($results);
        // $hash_password = $results['password'];
            $hash_password = $results['old_pass'];
        if($size <= 1){
            $obj->result = "failure";
            $obj->message = "Invalid Username";
        }else{
            
            if(strcmp($hash_password,$password) === 0){
                // if(hash_equals(trim($hash_password),crypt($password, trim($hash_password)))){
            $stmt_wf = $db->prepare("SELECT * FROM work_fair_coordinator WHERE phone_number='$username'");
            $result_wf = $crud->getByCondition($stmt_wf);
            if(!is_null($result_wf) && is_array($result_wf)){
                 
                $obj->result = "success";
                $obj->message = "User Found";
                $obj->name = $result_wf['name'];
                $obj->phone_number = $result_wf['phone_number'];
                $obj->user_id = $result_wf['user_id'];
                $obj->id = $result_wf['id'];
                $obj->email = $result_wf['email'];
                $obj->user_type = $result_wf['user_type'];
                
            }else{
                $obj->result = "failure";
                $obj->message = "Invalid Username OR Password";
            }
            
        }else{
            $obj->result = "failure";
            $obj->message = "Password Incorrect";
        }
        }
        
        $result = json_encode($obj);
        closeDb();
        return $result;
        }else{
            $obj->result = "failure";
            $obj->message = "Invalid Username";
            return json_encode($obj);
        }
        
    }

    public function updateFreelancerDetails(JeevitamFreelancer $freelancer) {

        $db = getDb();
        $db->beginTransaction();
        $obj = new stdClass();

        try {

            $stmt = $db->prepare("UPDATE jeevitam_freelancers set first_name=:first_name,last_name=:last_name,address=:address,"
                    . "area=:area,city=:city,lat=:lat,lon=:lon,qualification=:qualification, profile_updation =:profile_updation, `work_location` = :work_location, `dob`=:dob,`pincode`=:pincode WHERE id =:id");

            $stmt->bindValue(':id', $freelancer->getId());
            $stmt->bindValue(':first_name', $freelancer->getFirst_name());
            $stmt->bindValue(':last_name', $freelancer->getLast_name());
            $stmt->bindValue(':address', $freelancer->getAddress());
            $stmt->bindValue(':area', $freelancer->getArea());
            $stmt->bindValue(':city', $freelancer->getCity());
            $stmt->bindValue(':lat', $freelancer->getLat());
            $stmt->bindValue(':lon', $freelancer->getLon());
            $stmt->bindValue(':qualification', $freelancer->getQualification());
            $stmt->bindValue(':profile_updation', "1");
            $stmt->bindValue(':dob', $freelancer->getDob());
            $stmt->bindValue(':pincode', $freelancer->getPincode());
            $stmt->bindValue(':work_location', $freelancer->getWork_location());

            if ($stmt->execute()) {

                $stmt_update = $db->prepare("UPDATE `users` SET `email` = :email WHERE `objectId` = :objectId");
                $stmt_update->bindValue(':email', $freelancer->getEmail());
                $stmt_update->bindValue(':objectId', $freelancer->getUser_id());

                if ($stmt_update->execute()) {

                    $db->commit();
                    $obj->result = "success";
                    $obj->message = "Updated Successfully";
                    $result = json_encode($obj);
                } else {
                    $db->rollBack();
                    $message = json_encode($stmt_update->errorInfo());
                    $obj->result = "failure";
                    $obj->message = $message;
                    $result = json_encode($obj);
                }
            } else {
                $db->rollBack();
                $message = json_encode($stmt->errorInfo());
                $obj->result = "failure";
                $obj->message = $message;
                $result = json_encode($obj);
            }
        } catch (PDOException $ex) {
            $db->rollBack();
            $obj->result = "failure";
            $obj->message = "failure";
            $obj->id = $ex->getMessage();
            $result = json_encode($obj);
        }

        closeDb();
        return $result;
    }

    public function updateFreelancerAadharDocument($filename, $id) {
        $db = getDb();

        $stmt = $db->prepare("UPDATE jeevitam_freelancers set "
                . "aadhar_image=:aadhar_image, status=:status WHERE id =:id AND aadhar_verified=:aadhar_verified");

        $stmt->bindValue(':id', $id);
        $stmt->bindValue(':aadhar_image', $filename);
        $stmt->bindValue(':aadhar_verified', "0");
        $stmt->bindValue(':status', "InActive");
        $crud = new Crud();
        $results = $crud->update($stmt);
        closeDb();
        echo $results;
    }

    public function updateFreelancerDrivingLicenseDocument($filename, $id) {
        $db = getDb();

        $stmt = $db->prepare("UPDATE jeevitam_freelancers set "
                . "driving_license=:driving_license WHERE id =:id AND driving_license_verified=:driving_license_verified");

        $stmt->bindValue(':id', $id);
        $stmt->bindValue(':driving_license', $filename);
        $stmt->bindValue(':driving_license_verified', "0");
        $crud = new Crud();
        $results = $crud->update($stmt);
        closeDb();
        echo $results;
    }

    public function getFreelancersDocDetails($user_id) {

        $db = getDb();
        $obj = new stdClass();

        $stmt = $db->prepare("SELECT aadhar_image,pan_image,driving_license from jeevitam_freelancers WHERE user_id=:user_id");
        $stmt->bindValue(':user_id', $user_id);
        $crud = new Crud();
        $row = $crud->getByCondition($stmt);

        if (!is_null($row) && is_array($row)) {
            $obj->result = "success";
            $obj->message = "found";
            $obj->details = $row;
            $results = json_encode($obj);
        } else {
            $obj->result = "failure";
            $obj->message = "Not found";
            $obj->details = null;
            $results = json_encode($obj);
        }


        closeDb();
        return $results;
    }

    public function getFreelancersDetails($id) {

        $db = getDb();
        $obj = new stdClass();

        $stmt = $db->prepare("SELECT jeevitam_freelancers.*, users.email from jeevitam_freelancers INNER JOIN users ON users.objectId = jeevitam_freelancers.user_id
            where jeevitam_freelancers.id = :id");

        $stmt->bindValue(':id', $id);
        $crud = new Crud();
        $row = $crud->getByCondition($stmt);

        if (!is_null($row) && is_array($row)) {
            $obj->result = "success";
            $obj->message = "found";
            $obj->details = $row;
            $results = json_encode($obj);
        } else {
            $obj->result = "failure";
            $obj->message = "Not found";
            $obj->details = null;
            $results = json_encode($obj);
        }


        closeDb();
        return $results;
    }

    public function freelancersCount($status, $from, $to) {

        $db = getDb();
        $obj = new stdClass();

        $stmt = $db->prepare("SELECT COUNT(*) from `jeevitam_freelancers` where status = '$status' AND created_at BETWEEN '$from' AND '$to'");
        $crud = new Crud();
        $row = $crud->getCount($stmt);

        closeDb();
        return $row;
    }

    public function freelancersDetails($status, $offset, $from, $to) {

        $db = getDb();
        $obj = new stdClass();

        $stmt = $db->prepare("SELECT jeevitam_freelancers.first_name,jeevitam_freelancers.last_name,jeevitam_freelancers.address,jeevitam_freelancers.area,
            jeevitam_freelancers.city,jeevitam_freelancers.dob,jeevitam_freelancers.user_id,jeevitam_freelancers.status,jeevitam_freelancers.id,qualification.name,
            users.username, users.email, jeevitam_freelancers.created_at, jeevitam_freelancers.comment from `jeevitam_freelancers` LEFT JOIN `qualification` ON jeevitam_freelancers.qualification=qualification.id 
            INNER JOIN users on jeevitam_freelancers.user_id = users.objectId where jeevitam_freelancers.status = '$status' AND jeevitam_freelancers.created_at BETWEEN
            '$from' AND '$to' ORDER BY jeevitam_freelancers.created_at DESC LIMIT $offset,10");
        $crud = new Crud();
        $row = $crud->getAll($stmt);

        closeDb();
        return $row;
    }

    ///////////////////Updated by lochana/////////////////////////
    public function freelancersstatusUpdate($id) {
        $db = getDb();

        $date = getCurrentTime();

        $stmt = $db->prepare("UPDATE jeevitam_freelancers set status='Active', `updated_at` = '$date' WHERE id ='$id'");

        $crud = new Crud();
        $results = $crud->update($stmt);

        $res = json_decode($results, true);
        if ($res['result'] == 'success') {


            $row = $this->getFreelancersDetailsWithoutJSON($id);
            $user_id = $row['user_id'];
            $device_token = $row['device_token'];
            $this->addNotifications($user_id, $device_token);
        }
        closeDb();
        echo $results;
    }
    
    public function getWFCandidatesByUser($created_by,$wf_id) {

        $db = getDb();

        $stmt = $db->prepare("SELECT wd.lead_id,wd.first_name,wd.last_name,wd.phone_number,wd.studied_till,wd.currently_working,wd.gross_salary_per_month
        ,q.name FROM work_seeker_details wd INNER JOIN qualification q ON wd.studied_till=q.id WHERE wd.created_by=$created_by AND wd.job_fair='$wf_id'");
        $crud = new Crud();
        $row = $crud->getAll($stmt);

        closeDb();
        return $row;
    }
    
    public function getCandidatesFullDetails($lead_id) {

        $db = getDb();
        $obj = new stdClass();

        $stmt_details = $db->prepare("SELECT wsd.*,q.name qualification_name FROM work_seeker_details wsd INNER JOIN qualification q ON 
        wsd.studied_till=q.id WHERE lead_id='$lead_id'");
        $crud = new Crud();
        $cadidates = $crud->getByCondition($stmt_details);
        
        $stmt_jobs = $db->prepare("SELECT wcs.status,wcs.wfc_status,wcs.job_id,wcs.job_fair_id,pj.job_id unique_job_id,pj.name_of_brand,pj.max_salary,
        f.name fn_role,f.jd,pj.qualification_shortlist,pj.certificate_shortlist FROM wf_candidates_shortlist wcs INNER JOIN posted_jobs pj ON 
        wcs.job_id=pj.id INNER JOIN functional_role f ON pj.functional_role=f.id WHERE lead_id='$lead_id'");
        $jobs = $crud->getAllWithoutJSON($stmt_jobs);
        $jobs_array = [];
        
        foreach($jobs as $job){
            $job_obj = new stdClass();
            
            $job_id = $job['job_id'];
            $job_fair_id = $job['job_fair_id'];
            $unique_job_id = $job['unique_job_id'];
            $brand_name = $job['name_of_brand'];
            $max_salary = $job['max_salary'];
            $fn_role = $job['fn_role'];
            $jd = $job['jd'];
            $qualification_shortlist = $job['qualification_shortlist'];
            $certificate_shortlist = $job['certificate_shortlist'];
            
            $stmt_job_identity = $db->prepare("SELECT identity FROM job_identity_proof WHERE job_id='$unique_job_id'");
            $job_identity = $crud->getAllWithoutJSON($stmt_job_identity);
            
            $stmt_job_address = $db->prepare("SELECT address_proof FROM job_address_proof WHERE job_id='$unique_job_id'");
            $job_address = $crud->getAllWithoutJSON($stmt_job_address);
            
            $stmt_vehicle = $db->prepare("SELECT vehicle FROM `post_job_vehicle` WHERE job_id='$unique_job_id'");
            $vehicle = $crud->getAllWithoutJSON($stmt_vehicle);
            
            $stmt_license = $db->prepare("SELECT license_type FROM `post_job_driving_license` WHERE job_id='$unique_job_id'");
            $license = $crud->getAllWithoutJSON($stmt_license);
            
            $stmt_mobile_type = $db->prepare("SELECT mobile_type FROM `jobs_mobile` WHERE job_id='$unique_job_id'");
            $mobile_type = $crud->getAllWithoutJSON($stmt_mobile_type);
            
            $stmt_language = $db->prepare("SELECT language,profiency FROM `post_job_languages` WHERE job_id='$unique_job_id'");
            $language = $crud->getAllWithoutJSON($stmt_language);
            
            $job_obj->job_id = $job_id;
            $job_obj->unique_job_id = $unique_job_id;
            $job_obj->job_fair_id = $job_fair_id;
            $job_obj->brand_name = $brand_name;
            $job_obj->max_salary = $max_salary;
            $job_obj->fn_role = $fn_role;
            $job_obj->jd = $jd;
            $job_obj->qualification_shortlist = $qualification_shortlist;
            $job_obj->certificate_shortlist = $certificate_shortlist;
            $job_obj->status = $job['status'];
            $job_obj->wfc_status = $job['wfc_status'];
            $job_obj->job_identity = $job_identity;
            $job_obj->job_address = $job_address;
            $job_obj->vehicle = $vehicle;
            $job_obj->license = $license;
            $job_obj->mobile_type = $mobile_type;
            $job_obj->language = $language;
            
            array_push($jobs_array,$job_obj);
        }
        
        $obj->result = "success";
        $obj->message = "Details Found";
        $obj->candidates = $cadidates;
        $obj->job_details = $jobs_array;
        $result = json_encode($obj);

        closeDb();
        return $result;
    }
    
    public function getWFDetailsByFreelancer($freelancer_id) {

        $db = getDb();
        $obj = new stdClass();
        $crud = new Crud();
        $stmt_freelancer = $db->prepare("SELECT name,phone_number FROM `work_fair_coordinator` WHERE id=$freelancer_id");
        $freelancer = $crud->getByCondition($stmt_freelancer);
        $wfc_name = $freelancer['name'];
        $phone_number = $freelancer['phone_number'];
        
        $stmt_total = $db->prepare("SELECT COUNT(DISTINCT wf_id) total_workfair,(SELECT COUNT(*) FROM work_seeker_details WHERE created_by=$freelancer_id)
        total_registration,(SELECT COUNT(DISTINCT job_id) FROM wf_candidates_shortlist WHERE created_by=$freelancer_id AND status='Applied') total_jobs FROM 
        wf_mapping_coordinators WHERE freelancer_id=$freelancer_id");
        $total = $crud->getByCondition($stmt_total);
        $total_workfair = $total['total_workfair'];
        $total_jobs = $total['total_jobs'];
        $total_registration = $total['total_registration'];
        
        $stmt_wf = $db->prepare("SELECT m.wf_id,jf.end_date,jf.name FROM wf_mapping_coordinators m INNER JOIN composite_job_fair jf ON 
        m.wf_id=jf.id  WHERE m.freelancer_id=$freelancer_id");
        $work_fairs = $crud->getAllWithoutJSON($stmt_wf);
        
        $wf_details = [];
        
        foreach($work_fairs as $work_fair){
            $wf_obj = new stdClass();
            
            $wf_id = $work_fair['wf_id'];
            $end_date = $work_fair['end_date'];
            $name = $work_fair['name'];
            $date_now = date("Y-m-d");

            if ($date_now > $end_date) {
                $status = "Completed";
            }else if($date_now === $end_date){
                $status = "OnGoing";
            }else{
                $status = "Scheduled";
            }
            
            $stmt_wft = $db->prepare("SELECT check_in,check_out,(SELECT COUNT(*) FROM `work_seeker_details` WHERE created_by=$freelancer_id AND job_fair=$wf_id) 
            total_registration,(SELECT COUNT(DISTINCT job_id) FROM `wf_candidates_shortlist` WHERE job_fair_id=$wf_id AND created_by=$freelancer_id AND status='Applied') total_jobs,
            (SELECT COUNT(*) FROM `work_fair_testimony` WHERE wf_coordinator_id=$freelancer_id AND work_fair_id=$wf_id) total_testimonials FROM `wf_coordinator_attendence`
            WHERE wf_coordinator_id=$freelancer_id AND work_fair_id=$wf_id");
            $wft = $crud->getByCondition($stmt_wft);
            
            
            $wf_obj->work_fair_id = $wf_id;
            $wf_obj->work_fair_name = $name;
            $wf_obj->status = $status;
            $wf_obj->check_in = $wft['check_in'];
            $wf_obj->check_out = $wft['check_out'];
            $wf_obj->registrations = $wft['total_registration'];
            $wf_obj->job_applications = $wft['total_jobs'];
            $wf_obj->testimony = $wft['total_testimonials'];
            
            array_push($wf_details,$wf_obj);
        }
        
        $obj->result = "success";
        $obj->message = "Details Found";
        $obj->wfc_name = $wfc_name;
        $obj->wfc_phone_number = $phone_number;
        $obj->total_work_fair = $total_workfair;
        $obj->total_registrations = $total_registration;
        $obj->total_job_applications = $total_jobs;
        $obj->work_fair_list = $wf_details;
        $result = json_encode($obj);

        closeDb();
        return $result;
    }
    
    public function downloadReports($wfc_id,$work_fair) {

        $objPHPExcel = new PHPExcel();
        $objPHPExcel->setActiveSheetIndex(0);
        $rowCount = 2;

        $obj = new stdClass();
        $db = getDb();
        $crud = new Crud();

        $objPHPExcel->getActiveSheet()->setCellValue('A1', 'Candidate Name');
        $objPHPExcel->getActiveSheet()->setCellValue('B1', 'Phone Number');
        $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Qualification');
        $objPHPExcel->getActiveSheet()->setCellValue('D1', 'WFC Name');
        $objPHPExcel->getActiveSheet()->setCellValue('E1', 'WFC UserType');
        $objPHPExcel->getActiveSheet()->setCellValue('F1', 'JobFair Id');
        $objPHPExcel->getActiveSheet()->setCellValue('G1', 'Job Id');
        $objPHPExcel->getActiveSheet()->setCellValue('H1', 'Brand Name');
        $objPHPExcel->getActiveSheet()->setCellValue('I1', 'Role');
        $objPHPExcel->getActiveSheet()->setCellValue('J1', 'Status');
        $objPHPExcel->getActiveSheet()->setCellValue('K1', 'WFC Status');
        
        $stmt = $db->prepare("SELECT s.wfc_status,wc.first_name,wc.last_name,wc.phone_number,q.name as qualification,s.job_fair_id,s.status,c.name wfc_name,
        c.user_type,p.id,p.name_of_brand,f.name fn_role FROM wf_candidates_shortlist s INNER JOIN work_fair_coordinator c ON s.created_by=c.id 
        INNER JOIN posted_jobs p ON s.job_id=p.id INNER JOIN functional_role f ON p.functional_role=f.id INNER JOIN work_seeker_details wc ON 
        s.lead_id=wc.lead_id INNER JOIN qualification q ON wc.studied_till=q.id WHERE s.job_fair_id=$work_fair AND s.created_by=$wfc_id");
        
        $crud = new Crud();
        $leads = array();
        $leads = $crud->getAllWithoutJSON($stmt);

        if (!is_null($leads) && is_array($leads)) {

            foreach ($leads as $lead) {
                
                try {
                    $objPHPExcel->getActiveSheet()->SetCellValue('A' . $rowCount, $lead['first_name']." ".$lead['last_name']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('B' . $rowCount, $lead['phone_number']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('C' . $rowCount, $lead['qualification']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('D' . $rowCount, $lead['wfc_name']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('E' . $rowCount, $lead['user_type']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('F' . $rowCount, $lead['job_fair_id']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('G' . $rowCount, $lead['id']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('H' . $rowCount, $lead['name_of_brand']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('I' . $rowCount, $lead['fn_role']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('J' . $rowCount, $lead['status']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('K' . $rowCount, $lead['wfc_status']);
                    
                    $rowCount++;
                } catch (PDOException $exception) {
                    echo "Error: " . $exception->getMessage();
                }
            }
        }


        $objWriter = new PHPExcel_Writer_Excel2007($objPHPExcel);

        $file_name = 'excel/DownloadReports' . getCurrentTime() . '.xlsx';

        $objWriter->save($file_name);

        $path = getSitePath();
        $obj->result = 'success';
        $obj->message = "Downloaded Successfully";
        $obj->data = $path . '/DTTurboHire/api/work_fair_application/' . $file_name;
        $obj->message = $stmt;
        closeDb();
        return json_encode($obj);
    }
    public function downloadReportsByWF($work_fair) {

        $objPHPExcel = new PHPExcel();
        $objPHPExcel->setActiveSheetIndex(0);
        $rowCount = 2;

        $obj = new stdClass();
        $db = getDb();
        $crud = new Crud();

        $objPHPExcel->getActiveSheet()->setCellValue('A1', 'Candidate Name');
        $objPHPExcel->getActiveSheet()->setCellValue('B1', 'Phone Number');
        $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Qualification');
        $objPHPExcel->getActiveSheet()->setCellValue('D1', 'WFC Name');
        $objPHPExcel->getActiveSheet()->setCellValue('E1', 'WFC UserType');
        $objPHPExcel->getActiveSheet()->setCellValue('F1', 'JobFair Id');
        $objPHPExcel->getActiveSheet()->setCellValue('G1', 'Job Id');
        $objPHPExcel->getActiveSheet()->setCellValue('H1', 'Brand Name');
        $objPHPExcel->getActiveSheet()->setCellValue('I1', 'Role');
        $objPHPExcel->getActiveSheet()->setCellValue('J1', 'Status');
        $objPHPExcel->getActiveSheet()->setCellValue('K1', 'WFC Status');
        
        $stmt = $db->prepare("SELECT s.wfc_status,wc.first_name,wc.last_name,wc.phone_number,q.name as qualification,s.job_fair_id,s.status,c.name 
        wfc_name,c.user_type,p.id,p.name_of_brand,f.name fn_role FROM wf_candidates_shortlist s INNER JOIN work_fair_coordinator c ON s.created_by=c.id 
        INNER JOIN posted_jobs p ON s.job_id=p.id INNER JOIN functional_role f ON p.functional_role=f.id INNER JOIN work_seeker_details wc ON 
        s.lead_id=wc.lead_id INNER JOIN qualification q ON wc.studied_till=q.id WHERE s.job_fair_id=$work_fair");
        
        $crud = new Crud();
        $leads = array();
        $leads = $crud->getAllWithoutJSON($stmt);

        if (!is_null($leads) && is_array($leads)) {

            foreach ($leads as $lead) {
                
                try {
                    $objPHPExcel->getActiveSheet()->SetCellValue('A' . $rowCount, $lead['first_name']." ".$lead['last_name']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('B' . $rowCount, $lead['phone_number']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('C' . $rowCount, $lead['qualification']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('D' . $rowCount, $lead['wfc_name']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('E' . $rowCount, $lead['user_type']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('F' . $rowCount, $lead['job_fair_id']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('G' . $rowCount, $lead['id']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('H' . $rowCount, $lead['name_of_brand']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('I' . $rowCount, $lead['fn_role']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('J' . $rowCount, $lead['status']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('K' . $rowCount, $lead['wfc_status']);
                    
                    $rowCount++;
                } catch (PDOException $exception) {
                    echo "Error: " . $exception->getMessage();
                }
            }
        }


        $objWriter = new PHPExcel_Writer_Excel2007($objPHPExcel);

        $file_name = 'excel/DownloadReportsWF' . getCurrentTime() . '.xlsx';

        $objWriter->save($file_name);

        $path = getSitePath();
        $obj->result = 'success';
        $obj->message = "Downloaded Successfully";
        $obj->data = $path . '/DTTurboHire/api/work_fair_application/' . $file_name;
        $obj->message = $stmt;
        closeDb();
        return json_encode($obj);
    }
    
    public function downloadOverallReports($from,$to) {

        $objPHPExcel = new PHPExcel();
        $objPHPExcel->setActiveSheetIndex(0);
        $rowCount = 2;

        $obj = new stdClass();
        $db = getDb();
        $crud = new Crud();

        $objPHPExcel->getActiveSheet()->setCellValue('A1', 'Total WorkFair');
        $objPHPExcel->getActiveSheet()->setCellValue('B1', 'Active WorkFair Coordinator');
        $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Total Registration');
        $objPHPExcel->getActiveSheet()->setCellValue('D1', 'Total Applied');
        $objPHPExcel->getActiveSheet()->setCellValue('E1', 'Total Applied Unique');
        $objPHPExcel->getActiveSheet()->setCellValue('F1', 'Jobs Unique');
        $objPHPExcel->getActiveSheet()->setCellValue('G1', 'Interviewed');
        $objPHPExcel->getActiveSheet()->setCellValue('H1', 'Selected');
        $objPHPExcel->getActiveSheet()->setCellValue('I1', 'Joined');
        
        $crud = new Crud();
        
        $stmt_tot_work_fair = $db->prepare("SELECT COUNT(*) FROM `composite_job_fair`  WHERE date BETWEEN '$from' AND '$to'");
        $tot_work_fair = $crud->getCount($stmt_tot_work_fair);
        
        // $stmt_tot_work_fair = $db->prepare("SELECT COUNT(*) FROM `composite_job_fair`  WHERE (date BETWEEN '$from' AND '$to')
        // AND (end_date BETWEEN '$from' AND '$to')");
        // $tot_work_fair = $crud->getCount($stmt_tot_work_fair);
        
        $stmt_active_wf_coordinator = $db->prepare("SELECT COUNT(DISTINCT created_by) total FROM `work_seeker_details` WHERE created_at BETWEEN '$from' AND '$to'");
        $active_wf_coordinator = $crud->getByCondition($stmt_active_wf_coordinator);
        
        $stmt_registration = $db->prepare("SELECT COUNT(DISTINCT phone_number) total FROM `work_seeker_details` WHERE created_at BETWEEN '$from' AND '$to'");
        $count_registration = $crud->getByCondition($stmt_registration);
        
        $stmt_applied = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE (created_at BETWEEN '$from' AND '$to') AND status 
        in('Applied','Interviewed','Selected','Rejected','Joined')");
        $count_applied = $crud->getCount($stmt_applied);
        
        $stmt_applied_unique = $db->prepare("SELECT COUNT(DISTINCT lead_id) total FROM `wf_candidates_shortlist` WHERE (created_at BETWEEN '$from'
        AND '$to') AND status in('Applied','Interviewed','Selected','Rejected','Joined')");
        $count_applied_unique = $crud->getByCondition($stmt_applied_unique);
        
        $stmt_unique_jobs = $db->prepare("SELECT COUNT(DISTINCT job_id) total FROM `wf_candidates_shortlist` WHERE (created_at BETWEEN '$from' AND '$to')");
        $count_unique_jobs = $crud->getByCondition($stmt_unique_jobs);
        
        $stmt_interviewed = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE (created_at BETWEEN '$from' AND '$to') AND status 
        in('Interviewed','Selected','Rejected','Joined')");
        $count_interviewed = $crud->getCount($stmt_interviewed);
        
        $stmt_selected = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE (created_at BETWEEN '$from' AND '$to') AND status 
        in('Selected','Joined')");
        $count_selected = $crud->getCount($stmt_selected);
        
        $stmt_joined = $db->prepare("SELECT COUNT(*) FROM `wf_candidates_shortlist` WHERE (created_at BETWEEN '$from' AND '$to') AND status 
        in('Joined')");
        $count_joined = $crud->getCount($stmt_joined);
        
        $objPHPExcel->getActiveSheet()->SetCellValue('A' . $rowCount, $tot_work_fair);
        $objPHPExcel->getActiveSheet()->SetCellValue('B' . $rowCount, $active_wf_coordinator['total']);
        $objPHPExcel->getActiveSheet()->SetCellValue('C' . $rowCount, $count_registration['total']);
        $objPHPExcel->getActiveSheet()->SetCellValue('D' . $rowCount, $count_applied);
        $objPHPExcel->getActiveSheet()->SetCellValue('E' . $rowCount, $count_applied_unique['total']);
        $objPHPExcel->getActiveSheet()->SetCellValue('F' . $rowCount, $count_unique_jobs['total']);
        $objPHPExcel->getActiveSheet()->SetCellValue('G' . $rowCount, $count_interviewed);
        $objPHPExcel->getActiveSheet()->SetCellValue('H' . $rowCount, $count_selected);
        $objPHPExcel->getActiveSheet()->SetCellValue('I' . $rowCount, $count_joined);
        // if (!is_null($leads) && is_array($leads)) {

        //     foreach ($leads as $lead) {
                
        //         try {
                    
                    
        //             $rowCount++;
        //         } catch (PDOException $exception) {
        //             echo "Error: " . $exception->getMessage();
        //         }
        //     }
        // }


        $objWriter = new PHPExcel_Writer_Excel2007($objPHPExcel);

        $file_name = 'excel/DownloadOverallReports' . getCurrentTime() . '.xlsx';

        $objWriter->save($file_name);

        $path = getSitePath();
        $obj->result = 'success';
        $obj->message = "Downloaded Successfully";
        $obj->data = $path . '/DTTurboHire/api/work_fair_application/' . $file_name;
        $obj->message = $stmt_tot_work_fair;
        closeDb();
        return json_encode($obj);
    }

	public function updateWorkSeekerResumePath($work_seeker_id, $name, $page_no){
    
		$db = getDb();

        $date = getCurrentTime();

		$sql = "";

		if($page_no === 1){
			$sql = "UPDATE work_seeker_details set resume_page_1='$name' WHERE id ='$work_seeker_id'";
		}else if($page_no === 2){
			$sql = "UPDATE work_seeker_details set resume_page_2='$name' WHERE id ='$work_seeker_id'";
		}

        $stmt = $db->prepare($sql);

        $crud = new Crud();
        $results = $crud->update($stmt);

		closeDb();
        
		return $results;
    
	}
	
	public function sample(){
    
		$stmt_daily = "SELECT COUNT(*) AS wf, 
(SELECT COUNT(*) FROM  work_seeker_details WHERE created_at BETWEEN CONCAT(CURDATE(), ' 00:00:00') AND CONCAT(CURDATE(), ' 23:59:59')) AS total_reg,
(SELECT COUNT(DISTINCT job_id) FROM `wf_candidates_shortlist`  WHERE created_at BETWEEN CONCAT(CURDATE(), ' 00:00:00') AND CONCAT(CURDATE(), ' 23:59:59')) AS total_job_application,
(SELECT COUNT(DISTINCT lead_id) FROM `wf_candidates_shortlist`  WHERE created_at BETWEEN CONCAT(CURDATE(), ' 00:00:00') AND 'CONCAT(CURDATE(), ' 23:59:59') AND status='Interviewed') AS total_interviewed,
(SELECT COUNT(DISTINCT lead_id) FROM `wf_candidates_shortlist`  WHERE created_at BETWEEN CONCAT(CURDATE(), ' 00:00:00') AND CONCAT(CURDATE(), ' 23:59:59') AND status='Joined') AS total_joined,
(SELECT COUNT(*) FROM `composite_external_details`  WHERE created_at BETWEEN CONCAT(CURDATE(), ' 00:00:00') AND CONCAT(CURDATE(), ' 23:59:59') AS partners
FROM `composite_job_fair` WHERE CURDATE() BETWEEN date AND end_date";

    // $first_day_of_month = "DATE_ADD(LAST_DAY(CURRENT_DATE) - INTERVAL 1 MONTH, INTERVAL 1 DAY)";
    // $last_day_of_month = "LAST_DAY(CURRENT_DATE)";
    
    $first_day_of_month = "DATE_ADD(LAST_DAY(CURRENT_DATE) - INTERVAL 2 MONTH, INTERVAL 1 DAY)";
    $last_day_of_month = "LAST_DAY(CURRENT_DATE) - INTERVAL 1 MONTH";
        
    // $first_day_of_month_with_time = "CONCAT(DATE_ADD(LAST_DAY(CURRENT_DATE) - INTERVAL 1 MONTH, INTERVAL 1 DAY),' 00:00:00')";
    // $last_day_of_month_with_time = "CONCAT(LAST_DAY(CURRENT_DATE),' 23:59:59')";
    
    $first_day_of_month_with_time = "CONCAT(DATE_ADD(LAST_DAY(CURRENT_DATE) - INTERVAL 2 MONTH, INTERVAL 1 DAY),' 00:00:00')";
    $last_day_of_month_with_time = "CONCAT(LAST_DAY(CURRENT_DATE) - INTERVAL 1 MONTH,' 23:59:59')";
        
        $stmt_monthly = "SELECT COUNT(*) AS wf, 
(SELECT COUNT(*) FROM  work_seeker_details WHERE created_at BETWEEN $first_day_of_month_with_time AND $last_day_of_month_with_time) AS total_reg,
(SELECT COUNT(DISTINCT job_id) FROM `wf_candidates_shortlist`  WHERE created_at BETWEEN $first_day_of_month_with_time AND $last_day_of_month_with_time) AS total_job_application,
(SELECT COUNT(DISTINCT lead_id) FROM `wf_candidates_shortlist`  WHERE created_at BETWEEN $first_day_of_month_with_time AND $last_day_of_month_with_time AND status='Interviewed') AS total_interviewed,
(SELECT COUNT(DISTINCT lead_id) FROM `wf_candidates_shortlist`  WHERE created_at BETWEEN $first_day_of_month_with_time AND $last_day_of_month_with_time AND status='Joined') AS total_joined,
(SELECT COUNT(*) FROM `composite_external_details`  WHERE created_at BETWEEN $first_day_of_month_with_time AND $last_day_of_month_with_time) AS partners
FROM `composite_job_fair` WHERE date >= $first_day_of_month AND end_date <= $last_day_of_month";

print_r($stmt_monthly);
    
	}
	
	// Need to add wf mapping coordinator new mapping functionality
	// To add upload media and upload testimony api and functions with new folder structure
	
	public function downloadWFMonthlyReports($from,$to) {

        $objPHPExcel = new PHPExcel();
        $objPHPExcel->setActiveSheetIndex(0);
        $rowCount = 2;

        $obj = new stdClass();
        $db = getDb();
        $crud = new Crud();

        $objPHPExcel->getActiveSheet()->setCellValue('A1', 'Start Date');
        $objPHPExcel->getActiveSheet()->setCellValue('B1', 'End Date');
        $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Work Fair Name');
        $objPHPExcel->getActiveSheet()->setCellValue('D1', 'Work Fair Id');
        $objPHPExcel->getActiveSheet()->setCellValue('E1', 'Partner Name');
        $objPHPExcel->getActiveSheet()->setCellValue('F1', 'For NCS');
        $objPHPExcel->getActiveSheet()->setCellValue('G1', 'Job Fair Type');
        $objPHPExcel->getActiveSheet()->setCellValue('H1', 'Registrations');
        $objPHPExcel->getActiveSheet()->setCellValue('I1', 'Selected');
        $objPHPExcel->getActiveSheet()->setCellValue('J1', 'Applied');
        $objPHPExcel->getActiveSheet()->setCellValue('K1', 'Interviewed');
        $objPHPExcel->getActiveSheet()->setCellValue('L1', 'Joined');
        
        $stmt = $db->prepare("SELECT j.job_fair_id,j.name,j.date,j.end_date,j.start_time,j.end_time,j.id,GROUP_CONCAT(DISTINCT f.skill_name 
        SEPARATOR ',') as partners,SUM(s.status='Selected') as tot_selected, SUM(s.status='Applied') as tot_applied,SUM(s.status='Interviewed') 
        as tot_interviewed,SUM(s.status='Joined') as tot_joined FROM composite_job_fair j INNER JOIN wf_candidates_shortlist s ON j.id=s.job_fair_id
        LEFT JOIN composite_external_details e ON j.job_fair_id=e.composite_id LEFT JOIN skill_firm f ON e.partner_id=f.id  WHERE 
        j.date >= '$from' AND  j.end_date <= '$to' GROUP BY j.id");
        
        $crud = new Crud();
        $leads = array();
        $leads = $crud->getAllWithoutJSON($stmt);

        if (!is_null($leads) && is_array($leads)) {

            foreach ($leads as $lead) {
                $wf_id = $lead['id'];
                $registration_count = $this->getRegistrationCountByWF($wf_id);
                try {
                    $objPHPExcel->getActiveSheet()->SetCellValue('A' . $rowCount, $lead['date']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('B' . $rowCount, $lead['end_date']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('C' . $rowCount, $lead['name']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('D' . $rowCount, $wf_id);
                    $objPHPExcel->getActiveSheet()->SetCellValue('E' . $rowCount, $lead['partners']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('F' . $rowCount, "");
                    $objPHPExcel->getActiveSheet()->SetCellValue('G' . $rowCount, "");
                    $objPHPExcel->getActiveSheet()->SetCellValue('H' . $rowCount, $registration_count);
                    $objPHPExcel->getActiveSheet()->SetCellValue('I' . $rowCount, $lead['tot_selected']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('J' . $rowCount, $lead['tot_applied']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('K' . $rowCount, $lead['tot_interviewed']);
                    $objPHPExcel->getActiveSheet()->SetCellValue('L' . $rowCount, $lead['tot_joined']);
                    
                    $rowCount++;
                } catch (PDOException $exception) {
                    echo "Error: " . $exception->getMessage();
                }
            }
        }


        $objWriter = new PHPExcel_Writer_Excel2007($objPHPExcel);

        $file_name = 'excel/DownloadMonthlyReportsWF' . getCurrentTime() . '.xlsx';

        $objWriter->save($file_name);

        $path = getSitePath();
        $obj->result = 'success';
        $obj->message = "Downloaded Successfully";
        $obj->data = $path . '/DTTurboHire/api/work_fair_application/' . $file_name;
        $obj->message = $stmt;
        closeDb();
        return json_encode($obj);
    }
    
    //todo: this method is not working in migration
//     public function sendDailyReports($from,$to) {

//         $objPHPExcel = new PHPExcel();
//         $objPHPExcel->setActiveSheetIndex(0);
//         $rowCount = 2;

//         $obj = new stdClass();
//         $db = getDb();
//         $crud = new Crud();

//         $objPHPExcel->getActiveSheet()->setCellValue('A1', 'Tota; Work Fair');
//         $objPHPExcel->getActiveSheet()->setCellValue('B1', 'Total Registration');
//         $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Total Application');
//         $objPHPExcel->getActiveSheet()->setCellValue('D1', 'Interviewed');
//         $objPHPExcel->getActiveSheet()->setCellValue('E1', 'Joined');
//         $objPHPExcel->getActiveSheet()->setCellValue('F1', 'Partners');
        
//         $stmt = $db->prepare("SELECT COUNT(*) AS wf, 
// (SELECT COUNT(*) FROM  work_seeker_details WHERE created_at BETWEEN CONCAT(CURDATE(), ' 00:00:00') AND CONCAT(CURDATE(), ' 23:59:59')) AS total_reg,
// (SELECT COUNT(DISTINCT job_id) FROM `wf_candidates_shortlist`  WHERE created_at BETWEEN CONCAT(CURDATE(), ' 00:00:00') AND CONCAT(CURDATE(), ' 23:59:59')) AS total_job_application,
// (SELECT COUNT(DISTINCT lead_id) FROM `wf_candidates_shortlist`  WHERE created_at BETWEEN CONCAT(CURDATE(), ' 00:00:00') AND 'CONCAT(CURDATE(), ' 23:59:59') AND status='Interviewed') AS total_interviewed,
// (SELECT COUNT(DISTINCT lead_id) FROM `wf_candidates_shortlist`  WHERE created_at BETWEEN CONCAT(CURDATE(), ' 00:00:00') AND CONCAT(CURDATE(), ' 23:59:59') AND status='Joined') AS total_joined,
// (SELECT COUNT(*) FROM `composite_external_details`  WHERE created_at BETWEEN CONCAT(CURDATE(), ' 00:00:00') AND CONCAT(CURDATE(), ' 23:59:59') AS partners
// FROM `composite_job_fair` WHERE CURDATE() BETWEEN date AND end_date");
        
//         $crud = new Crud();
//         $leads = array();
//         $leads = $crud->getAllWithoutJSON($stmt);

//         if (!is_null($leads) && is_array($leads)) {

//             foreach ($leads as $lead) {
//                 $wf_id = $lead['id'];
//                 $registration_count = $this->getRegistrationCountByWF($wf_id);
//                 try {
//                     $objPHPExcel->getActiveSheet()->SetCellValue('A' . $rowCount, $lead['wf']);
//                     $objPHPExcel->getActiveSheet()->SetCellValue('B' . $rowCount, $lead['total_reg']);
//                     $objPHPExcel->getActiveSheet()->SetCellValue('C' . $rowCount, $lead['total_job_application']);
//                     $objPHPExcel->getActiveSheet()->SetCellValue('D' . $rowCount, $lead['total_interviewed']);
//                     $objPHPExcel->getActiveSheet()->SetCellValue('E' . $rowCount, $lead['total_joined']);
//                     $objPHPExcel->getActiveSheet()->SetCellValue('F' . $rowCount, $lead['partners']);
                    
//                     $rowCount++;
//                 } catch (PDOException $exception) {
//                     echo "Error: " . $exception->getMessage();
//                 }
//             }
//         }


//         $objWriter = new PHPExcel_Writer_Excel2007($objPHPExcel);

//         $file_name = 'excel/DailyReportsWF' . getCurrentTime() . '.xlsx';

//         $objWriter->save($file_name);
        
//         $path = getSitePath();
//         $link = $path . '/DTTurboHire/api/work_fair_application/' . $file_name;
//         $postData = "fire=DailyReportWF&link=$link";
//         $mail_send = sendEmailWFC($postData);
        
//         closeDb();
//         return $mail_send;
//     }
    
//     public function sendMonthlyReports($from,$to) {

//         $objPHPExcel = new PHPExcel();
//         $objPHPExcel->setActiveSheetIndex(0);
//         $rowCount = 2;

//         $obj = new stdClass();
//         $db = getDb();
//         $crud = new Crud();

//         $objPHPExcel->getActiveSheet()->setCellValue('A1', 'Tota; Work Fair');
//         $objPHPExcel->getActiveSheet()->setCellValue('B1', 'Total Registration');
//         $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Total Application');
//         $objPHPExcel->getActiveSheet()->setCellValue('D1', 'Interviewed');
//         $objPHPExcel->getActiveSheet()->setCellValue('E1', 'Joined');
//         $objPHPExcel->getActiveSheet()->setCellValue('F1', 'Partners');
        
//         // Last month 1 to 30
//         // SELECT * FROM `composite_job_fair` WHERE date >= DATE_ADD(LAST_DAY(CURRENT_DATE) - INTERVAL 2 MONTH, INTERVAL 1 DAY) AND end_date <= LAST_DAY(CURRENT_DATE) - INTERVAL 1 MONTH
//         // Current Month 1 to 30
//         // SELECT * FROM composite_job_fair WHERE date >= DATE_ADD(LAST_DAY(CURRENT_DATE) - INTERVAL 1 MONTH, INTERVAL 1 DAY) AND end_date <= LAST_DAY(CURRENT_DATE)
//         $first_day_of_month = "DATE_ADD(LAST_DAY(CURRENT_DATE) - INTERVAL 1 MONTH, INTERVAL 1 DAY)";
//         $last_day_of_month = "LAST_DAY(CURRENT_DATE)";
        
//         $first_day_of_month_with_time = "CONCAT(DATE_ADD(LAST_DAY(CURRENT_DATE) - INTERVAL 1 MONTH, INTERVAL 1 DAY),' 00:00:00')";
//         $last_day_of_month_with_time = "CONCAT(LAST_DAY(CURRENT_DATE),' 23:59:59')";
        
//         $stmt = $db->prepare("SELECT COUNT(*) AS wf, 
// (SELECT COUNT(*) FROM  work_seeker_details WHERE created_at BETWEEN $first_day_of_month_with_time AND $last_day_of_month_with_time) AS total_reg,
// (SELECT COUNT(DISTINCT job_id) FROM `wf_candidates_shortlist`  WHERE created_at BETWEEN $first_day_of_month_with_time AND $last_day_of_month_with_time) AS total_job_application,
// (SELECT COUNT(DISTINCT lead_id) FROM `wf_candidates_shortlist`  WHERE created_at BETWEEN $first_day_of_month_with_time AND $last_day_of_month_with_time AND status='Interviewed') AS total_interviewed,
// (SELECT COUNT(DISTINCT lead_id) FROM `wf_candidates_shortlist`  WHERE created_at BETWEEN $first_day_of_month_with_time AND $last_day_of_month_with_time AND status='Joined') AS total_joined,
// (SELECT COUNT(*) FROM `composite_external_details`  WHERE created_at BETWEEN $first_day_of_month_with_time AND $last_day_of_month_with_time) AS partners
// FROM `composite_job_fair` WHERE date >= $first_day_of_month AND end_date <= $last_day_of_month");
        
//         $crud = new Crud();
//         $leads = array();
//         $leads = $crud->getAllWithoutJSON($stmt);

//         if (!is_null($leads) && is_array($leads)) {

//             foreach ($leads as $lead) {
//                 $wf_id = $lead['id'];
//                 $registration_count = $this->getRegistrationCountByWF($wf_id);
//                 try {
//                     $objPHPExcel->getActiveSheet()->SetCellValue('A' . $rowCount, $lead['wf']);
//                     $objPHPExcel->getActiveSheet()->SetCellValue('B' . $rowCount, $lead['total_reg']);
//                     $objPHPExcel->getActiveSheet()->SetCellValue('C' . $rowCount, $lead['total_job_application']);
//                     $objPHPExcel->getActiveSheet()->SetCellValue('D' . $rowCount, $lead['total_interviewed']);
//                     $objPHPExcel->getActiveSheet()->SetCellValue('E' . $rowCount, $lead['total_joined']);
//                     $objPHPExcel->getActiveSheet()->SetCellValue('F' . $rowCount, $lead['partners']);
                    
//                     $rowCount++;
//                 } catch (PDOException $exception) {
//                     echo "Error: " . $exception->getMessage();
//                 }
//             }
//         }


//         $objWriter = new PHPExcel_Writer_Excel2007($objPHPExcel);

//         $file_name = 'excel/MonthlyReportsWF' . getCurrentTime() . '.xlsx';

//         $objWriter->save($file_name);
        
//         $path = getSitePath();
//         $link = $path . '/DTTurboHire/api/work_fair_application/' . $file_name;
//         $postData = "fire=MonthlyReportWF&link=$link";
//         $mail_send = sendEmailWFC($postData);
        
//         closeDb();
//         return $mail_send;
//     }

}
