<?php

?>


<!DOCTYPE html>

<html lang="en">

<head>

    <!-- Required meta tags -->

    <meta charset="utf-8">

    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <title>Health literacy  </title>

    <!-- base:css -->

    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">

    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">

    <!-- endinject -->

    <!-- plugin css for this page -->

    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">

    

    <!-- End plugin css for this page -->

    <!-- inject:css -->

    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" >

    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">

    <!-- endinject -->
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>

    <!--SweetAlert-->

    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

</head>

<style>

html {
    scroll-behavior: smooth;
    font-family: "Poppins", sans-serif;
    height: auto;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

body {
    background-color: #f4f5fa;
    color: #333;
    font-size: 16px;
    line-height: 1.6;
    font-family: "Poppins", sans-serif;
    height: auto;
}


/* Container setup */
.container-scroller {
    width: 100%;
    overflow: hidden;
    min-height: 100vh; /* Stacks content vertically */
}

/* Main panel layout */
.main-panel {
    display: flex;
    width: 100%;
    height: 100vh; /* Full viewport height */
}


/* Main Content */


/* Left and Right Panel Styles */
.left-panel,
.right-panel {
    padding: 20px;
    box-sizing: border-box;
    overflow-y: auto; /* Allows scrolling if content overflows vertically */
}

.left-panel {
    width: 60%;
    display: flex;
    flex-direction: column;
    gap: 20px; /* Space between sections */
}

.right-panel {
    width: 40%;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

/* Styling for specific sections */
.card-view {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.demo-card {
    background-color: #333; /* Dark color for card */
    color: #fff;
    padding: 15px;
    border-radius: 8px;
    text-align: center;
}

/* Bar Graph and Survey Styles */
.bar-graphs canvas,
.survey {
    background-color: #222;
    padding: 20px;
    border-radius: 8px;
    color: #fff;
}

/* Table Styles */
.tables table {
    width: 100%;
    border-collapse: collapse;
    color: #ddd;
}

.tables th,
.tables td {
    padding: 10px;
    border: 1px solid #444;
    text-align: left;
}


/* Demos Section */





@media (max-width: 1200px) {
    .demo-card {
        flex: 1 1 25%; /* Adjust for medium screens */
        max-width: 25%;
    }
}

@media (max-width: 768px) {
    .demo-card {
        flex: 1 1 50%; /* Two cards per row on smaller screens */
        max-width: 50%;
    }
}

@media (max-width: 480px) {
    .demo-card {
        flex: 1 1 100%; /* Stack cards vertically on small screens */
        max-width: 100%;
    }
}


#drilldown-section {
    width: 400px; /* Full width below the card */
    height: 200px;
    background-color: #f9f9f9; /* Optional: add background for visibility */
    padding: 10px; /* Optional: add padding for spacing */
    border: 1px solid #ccc; /* Optional: border for separation */
    border-radius: 4px;
}


</style>



<body>

    <div class="container-scroller">
        
    
    
        <div class="row col-md-12" style="margin-bottom:50px;">

            <?php include 'includes/header.php'; ?>

        </div>



        <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">

            <!-- partial:partials/_settings-panel.html -->



            <div id="right-sidebar" class="settings-panel">

                <i class="settings-close typcn typcn-times"></i>

                <ul class="nav nav-tabs" id="setting-panel" role="tablist">

                    <li class="nav-item">

                        <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>

                    </li>

                    <li class="nav-item">

                        <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>

                    </li>

                </ul>

                <div class="tab-content" id="setting-content">



                </div>

            </div>

            <!-- partial -->

            <!-- partial:partials/_sidebar.html -->

            <?php include 'includes/sidebar.php'; ?>

            <?php //include 'includes/modal_basic_01.php'; ?>

            <!-- partial -->


            <div class="main-panel">
                <div class="content-wrapper">
                    <div class="row">
                        <div class="col-xl-6 grid-margin stretch-card flex-column">
                            
                            <div class="row">
                                <div class="col-md-6 grid-margin stretch-card">
                                    <div class="card">
                                        <div class="card-body d-flex flex-column justify-content-between">
                                            <div class="d-flex justify-content-between align-items-center mb-2">
                                                <p class="mb-0 text-muted">Total Training</p>
                                        
                                            </div>
                                            <h4>1000</h4>
                                    
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6 grid-margin stretch-card">
                                    <div class="card">
                                        <div class="card-body d-flex flex-column justify-content-between">
                                            <div class="d-flex justify-content-between align-items-center mb-2">
                                                <p class="mb-0 text-muted">Feedback</p>
                                        
                                            </div>
                                            <h4>700</h4>
                                    
                                    
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6 stretch-card grid-margin grid-margin-md-0">
                                    <div class="card">
                                        <div class="card-body d-flex flex-column justify-content-between">
                                            <p class="text-muted">Training Insights</p>
                                            <div class="d-flex justify-content-between align-items-center mb-2">
                                        
                                        
                                            </div>
                                            <canvas id="barChart" height="200"></canvas>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6 stretch-card grid-margin grid-margin-md-0">
                                    <div class="card">
                                        <div class="card-body d-flex flex-column justify-content-between">
                                            <p class="text-muted">Usefulness</p>
                                            <div class="d-flex justify-content-between align-items-center mb-2">
                                        
                                        
                                            </div>
                                            <canvas id="barChart1" height="200"></canvas>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row" style="margin-top: 20px;">
                                <div class="col-md-6 stretch-card grid-margin grid-margin-md-0">
                                    <div class="card">
                                        <div class="card-body d-flex flex-column justify-content-between">
                                            <p class="text-muted">Recommendations</p>
                                            <div class="d-flex justify-content-between align-items-center mb-2">
                                        
                                        
                                            </div>
                                            <canvas id="doughnutChart"></canvas>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6 stretch-card grid-margin grid-margin-md-0">
                                    <div class="card">
                                        <div class="card-body d-flex flex-column justify-content-between">
                                            <p class="text-muted">Plans</p>
                                            <div class="d-flex justify-content-between align-items-center mb-2">
                                        
                                        
                                            </div>
                                            <canvas id="pieChart" width="500" height="500"></canvas>
                                        </div>
                                    </div>
                                </div>    
                            </div>
                        </div>
                        <div class="col-xl-6 grid-margin stretch-card flex-column">
                        
                            <div class="row">
                                <div class="col-md-12 stretch-card">
                                    <div class="card">
                                        <div class="card-body">
                                            <h4 class="card-title">Table</h4>
                        
                                                    <div class="table-responsive">
                                                        <table class="table">
                                                        <thead>
                                                            <tr>

                                                                <th>State</th>
                                                                <th>City</th>
                                                                <th>Numbers</th>
                                                        
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <tr>
                                                                <td>Tamilnadu</td>
                                                                <td>Chennai</td>
                                                                <td>01</td>
                                        
                                                            </tr>
                                                            <tr>
                                                                <td>Karnataka</td>
                                                                <td>Bangalore</td>
                                                                <td>02</td>
                                                               
                                                            </tr>
                                                            <tr>
                                                                <td>Kerala</td>
                                                                <td>Palakkad</td>
                                                                <td>03</td>
                                                                
                                                            </tr>
                                                            <tr>
                                                                <td>Maharashtra</td>
                                                                <td>Mumbai</td>
                                                                <td>04</td>
                                                                
                                                            </tr>
                                                            <tr>
                                                                <td>Andhra Pradesh</td>
                                                                <td>Visakhapatnam</td>
                                                                <td>05</td>
                                                            
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12 stretch-card">
                                    <div class="card">
                                        <div class="card-body d-flex flex-column justify-content-between">
                                            <p class="text-muted">Training Insights</p>
                                            <div class="d-flex justify-content-between align-items-center mb-2">
                                        
                                        
                                            </div>
                                            <canvas id="barChart2" height="200"></canvas>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12 stretch-card">
                                    <div class="card">
                                        <div class="card-body d-flex flex-column justify-content-between">
                                            <p class="text-muted">Recommendations</p>
                                            <div class="d-flex justify-content-between align-items-center mb-2">
                                        
                                        
                                            </div>
                                            <canvas id="doughnutChart1"></canvas>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>




                        

          
  

  




<!-- Javascript Function -->
  <script src="../JeevitamV2/vendors/select2/select2.min.js"></script>
  <script src="js/barChart.js"></script>
  <script src="js/doughnutChart.js"></script>
  <script src="js/pieChart.js"></script>
  <script src="../JeevitamV2/js/select2.js"></script>
  <script src="../JeevitamV2/js/template.js"></script>


</body>

</html>


                    
