document.getElementById("call-btn").addEventListener("click", function() {
    viewAlert("Job 1")
});

document.getElementById("call-btn1").addEventListener("click", function() {
    viewAlert("Job 2")
});

document.getElementById("call-btn2").addEventListener("click", function() {
    viewAlert("Job 3")
});

document.getElementById("call-btn3").addEventListener("click", function() {
    viewAlert("Job 4")
});

function viewAlert(job_id){
    Swal.fire({
        title: "Submit your contact number",
        input: "tel",
        inputAttributes: {
            autocapitalize: "off"
        },
        showCancelButton: true,
        confirmButtonText: job_id,
        showLoaderOnConfirm: true,
        preConfirm: async (login) => {
            try {
            const githubUrl = `https://api.github.com/users/${login}`;
            const response = await fetch(githubUrl);
            if (!response.ok) {
                return Swal.showValidationMessage(`Error: ${JSON.stringify(await response.json())}`);
            }
            return response.json();
            } catch (error) {
            Swal.showValidationMessage(`Request failed: ${error}`);
            }
        },
        allowOutsideClick: () => !Swal.isLoading()
        }).then((result) => {
        if (result.isConfirmed) {
            Swal.fire({
            title: `${result.value.login}'s avatar`,
            imageUrl: result.value.avatar_url
            });
        }
        });
}