
// First Doughnut Chart
const ctx1 = document.getElementById('doughnutChart').getContext('2d');
const data1 = {
    labels: ['Yes', 'No'],
    datasets: [{
        data: [50, 50], // Adjust these values
        backgroundColor: ['#4caf50', '#f44336'], // Green for "Yes", Red for "No"
        hoverBackgroundColor: ['#66bb6a', '#e57373']
    }]
};
const options1 = {
    responsive: true,
    plugins: {
        legend: {
            position: 'top',
            labels: {
                font: {
                    weight: 'bold',
                    size: 14
                }
            }
        }
    },
    cutout: '70%' // Makes the doughnut center larger
};

const doughnutChart1 = new Chart(ctx1, {
    type: 'doughnut',
    data: data1,
    options: options1
});

// Second Doughnut Chart
const ctx2 = document.getElementById('doughnutChart1').getContext('2d');
const data2 = {
    labels: ['Approved', 'Rejected'],
    datasets: [{
        data: [30, 70], // Adjust these values for the second chart
        backgroundColor: ['#2196F3', '#FFC107'], // Blue for "Approved", Yellow for "Rejected"
        hoverBackgroundColor: ['#64B5F6', '#FFD54F']
    }]
};
const options2 = {
    responsive: true,
    plugins: {
        legend: {
            position: 'top',
            labels: {
                font: {
                    weight: 'bold',
                    size: 14
                }
            }
        }
    },
    cutout: '70%' // Same cutout for a consistent look
};

const doughnutChart2 = new Chart(ctx2, {
    type: 'doughnut',
    data: data2,
    options: options2
});
