
document.addEventListener('DOMContentLoaded', (event) => {
    const ctx = document.getElementById('pieChart').getContext('2d');
    const pieChart = new Chart(ctx, {
        type: 'pie',
        data: {
            labels: ['Red', 'Blue', 'Yellow','Violet','Orange'],
            datasets: [{
                label: 'My First Dataset',
                data: [300, 50, 100, 200, 150],
                backgroundColor: ['red', 'blue', 'yellow','violet','orange'],
                hoverOffset: 4
            }]
        },
        options: {
            responsive: true,
            plugins: {
                legend: {
                    position: 'top',
                }
            }
        }
    });
});
