function viewJobDetails(job_id) {
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/post-job-v2/get_posted_job.php?job_id=" + job_id,
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;

            if (transactions !== null || transactions.length > 0) {

                $('#job_type').val(transactions[0].type_of_work);
                $('#com_name').val(transactions[0].brand_id);
                $('#work_name').val(transactions[0].work_name);
                $('#function_role').val(transactions[0].functional_role);
                $('#job_description').val(transactions[0].job_description);
                $('#no_of_requirements').val(transactions[0].type_of_requirements);

                if (transactions[0].type_of_requirements === "L2B") {

                    $('#additional').show();

                } else {

                    $('#additional').hide();
                }

                $('#min_qualification').val(transactions[0].min_qualification);
                $('#max_qualification').val(transactions[0].max_qualification);
                $('#age_criteria').val(transactions[0].age_criteria);
                if (transactions[0].age_criteria === "0") {
                    $('#age').hide();
                } else {
                    $('#age').show();
                    $('#from_age').val(transactions[0].from_age);
                    $('#to_age').val(transactions[0].to_age);

                }
                $('#min_work_experience').val(transactions[0].min_experience);
                $('#max_work_experience').val(transactions[0].max_experience);
                $('#min_salary').val(transactions[0].min_salary);
                $('#max_salary').val(transactions[0].max_salary);
                $('#no_of_openings').val(transactions[0].total_number_of_openings);
                $('#gender').val(transactions[0].gender);
                $('#specialization').val(transactions[0].specialization);
                $('#expiry_date').val(transactions[0].expiry_date);

                if (transactions[0].medical_team === "1") {
                    $('#medical_team1').prop('checked', true);
                } else if (transactions[0].medical_team === "0") {
                    $('#medical_team2').prop('checked', true);
                }
                if (transactions[0].temperature_test === "1") {
                    $('#temperature1').prop('checked', true);
                } else if (transactions[0].temperature_test === "0") {
                    $('#temperature2').prop('checked', true);
                }

                $('#esi_benifit_provided').val(transactions[0].esi);
                $('#epf_benifit_provided').val(transactions[0].epf);
                $('#weekly_off').val(transactions[0].weekly_off);
                $('#duty').val(transactions[0].duty);
                $('#insurance').val(transactions[0].lise_insurance);

                $('#accomodation_provided').val(transactions[0].accomodation);


                if (transactions[0].accomodation == '1')
                {
                    $('#accomodation_yes').show();
                    $('#accomodation_provided_yes').val(transactions[0].accomodation_type);

                } else {
                    $('#accomodation_yes').hide();
                }

                $('#meals_provided').val(transactions[0].meals_provided);

                if (transactions[0].meals_provided == '1')
                {
                    $('#meals_yes').show();
                    $('#meals_provided_yes').val(transactions[0].meals_type);
                } else {
                    $('#meals_yes').hide();
                }

                $('#transport').val(transactions[0].transport);

                if (transactions[0].transport == '1')
                {
                    $('#transport_yes').show();
                    $('#transport_provided_yes').val(transactions[0].transport_type);

                } else {
                    $('#transport_yes').hide();
                }

                if (transactions[0].qualification_shortlist !== '' || transactions[0].qualification_shortlist != 'null') {
                    $("#Qualification_yes").show();
                    $('#qualification').prop('checked', true);
                    $('#qualification_shortlist').val(transactions[0].qualification_shortlist);
                } else {
                    $("#Qualification_yes").hide();
                }

                if (transactions[0].certificate_shortlist !== '' || transactions[0].certificate_shortlist != 'null') {
                    $("#Certificate_yes").show();
                    $('#certificate').prop('checked', true);
                    $('#certificate_shortlist').val(transactions[0].certificate_shortlist);

                } else {
                    $("#Certificate_yes").hide();
                }

                if (transactions[0].training_name !== '' && transactions[0].training_name != "null") {
                    $('#training_provided1').prop('checked', true);
                    $('#training_yes').show();
                    $('#training_name').val(transactions[0].training_name);
                    $('#training_desc').val(transactions[0].training_desc);
                    $('#training_cost').val(transactions[0].training_cost);
                    $('#certification').val(transactions[0].training_certification);
                    $('#Certification_Partner').val(transactions[0].training_certificate_partner);
                    $('#training_duration').val(transactions[0].training_duration);
                    $('#training_location').val(transactions[0].training_location);
                    $('#loan').val(transactions[0].loan_available);

                } else {
                    $('#training_provided2').prop('checked', true);
                }

            }

        }
    });
}

function otherMatches(job_id) {
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/post-job-v2/get_other_matches_job.php?job_id=" + job_id,
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;

            if (transactions !== null && transactions.length > 0) {

                $('#min_qualification_1').val(transactions[0].min_qualification);
                $('#max_qualification_1').val(transactions[0].max_qualification);
                $('#from_age_1').val(transactions[0].from_age);
                $('#to_age_1').val(transactions[0].to_age);
                $('#min_salary_1').val(transactions[0].min_salary);
                $('#max_salary_1').val(transactions[0].max_salary);

            }

        }
    });
}

//https://www.jeevitam.com/admin/view_full_time_jobs.php?job_id=61b1e128798e9

function shortlistingCriteria(job_id) {

    // GETTING JOBCITY DETAILS jobid='5f2043fc14831'

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/post-job-v2/get_city_job.php?job_id=" + job_id,
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var tdata = '';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {
                    tdata += '<tr>';
                    tdata += '<td>' + transactions[j].city_name + '</td>';
                    tdata += '</tr>';
                }
                $('#cities_tab').html(tdata);
            }

        }
    });

    // GETTING JOB IDENTITY PROOF DETAILS

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/post-job-v2/get_identity_job.php?job_id=" + job_id,
        data: {
        },
        dataType: 'json',
        success: function (response) {
            var transactions = response.list;
            if (transactions !== null && transactions.length > 0) {
                $("#proof_id_yes").show();
                $('#proof_id').prop('checked', true);

                for (var j = 0; j < transactions.length; j++) {
                    if (transactions[j].identity === 'aadhar' && !($('#id_1').is(':checked'))) {
                        $('#id_1').prop('checked', true);
                    } else if (transactions[j].identity === 'pan' && !($('#id_2').is(':checked'))) {
                        $('#id_2').prop('checked', true);
                    } else if (transactions[j].identity === 'license' && !($('#id_3').is(':checked'))) {
                        $('#id_3').prop('checked', true);
                    } else if (transactions[j].identity === 'ration' && !($('#id_4').is(':checked'))) {
                        $('#id_4').prop('checked', true);
                    }
                }

            } else {
                $("#proof_id_yes").hide();
            }


        }
    });

    // GETTING JOB ADDRESS PROOF DETAILS

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/post-job-v2/get_address_job.php?job_id=" + job_id,
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            if (transactions !== null && transactions.length > 0) {
                $("#proof_add_yes").show();
                $('#proof_add').prop('checked', true);

                for (var j = 0; j < transactions.length; j++) {
                    if (transactions[j].address_proof === 'aadhar' && !($('#add_1').is(':checked'))) {
                        $('#add_1').prop('checked', true);
                    } else if (transactions[j].address_proof === 'bank_passbook' && !($('#add_2').is(':checked'))) {
                        $('#add_2').prop('checked', true);
                    } else if (transactions[j].address_proof === 'ration' &&!($('#add_3').is(':checked'))) {
                        $('#add_3').prop('checked', true);
                    }
                }

            } else {
                $("#proof_add_yes").hide();
            }

        }
    });

    // GETTING JOB MOBILE DETAILS

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/post-job-v2/get_mobile_jobs.php?job_id=" + job_id,
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;

            if (transactions !== null && transactions.length > 0) {
                $("#mobile_yes").show();
                $('#mobile_add').prop('checked', true);

                for (var j = 0; j < transactions.length; j++) {
                    if (transactions[j].mobile_type === 'smart-phone' && !($('#mobile_1').is(':checked'))) {
                        $('#mobile_1').prop('checked', true);
                    } else if (transactions[j].mobile_type === 'i-phone' && !($('#mobile_2').is(':checked'))) {
                        $('#mobile_2').prop('checked', true);
                    } else if (transactions[j].mobile_type === 'Android' && !($('#mobile_3').is(':checked'))) {
                        $('#mobile_3').prop('checked', true);
                    }
                }

            } else {
                $("#mobile_yes").hide();
            }

        }
    });

    // GETTING JOB Languages DETAILS

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/post-job-v2/get_languages_job.php?job_id=" + job_id,
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var tdata = '';
            if (transactions !== null && transactions.length > 0) {
                $("#language_require").show();
                $('#lan_req').prop('checked', true);

                for (var j = 0; j < transactions.length; j++) {
                    tdata += '<tr>';
                    tdata += '<td>' + transactions[j].language + " " + transactions[j].profiency + '</td>';
                    tdata += '</tr>';
                }
                $('#lan_tab').html(tdata);
            }

        }
    });

    // GETTING JOB VEHICAL DETAILS 

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/post-job-v2/get_vehical_job.php?job_id=" + job_id,
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;

            if (transactions !== null && transactions.length > 0) {
                $("#vehicles_yes").show();
                $('#vehicles').prop('checked', true);

                for (var j = 0; j < transactions.length; j++) {
                    if (transactions[j].vehicle === 'two_wheeler' && !($('#vehical_1').is(':checked'))) {
                        $('#vehical_1').prop('checked', true);
                    } else if (transactions[j].vehicle === 'four_wheeler' && !($('#vehical_2').is(':checked'))) {
                        $('#vehical_2').prop('checked', true);
                    } else if (transactions[j].vehicle === 'truck' && !($('#vehical_3').is(':checked'))) {
                        $('#vehical_3').prop('checked', true);
                    }
                }

            } else {
                $("#vehicles_yes").hide();
            }

        }
    });

    // GETTING JOB Driving LICENSE DETAILS

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/post-job-v2/get_license_job.php?job_id=" + job_id,
        data: {
        },
        dataType: 'json',
        success: function (response) {
            var transactions = response.list;

            if (transactions !== null && transactions.length > 0) {
                $("#License_yes").show();
                $('#license').prop('checked', true);

                for (var j = 0; j < transactions.length; j++) {
                    if (transactions[j].license_type === '2_Wheeler_driving_license' && !($('#license_shortlist_1').is(':checked'))) {
                        $('#license_shortlist_1').prop('checked', true);
                    } else if (transactions[j].license_type === '4_Wheeler_driving_license' && !($('#license_shortlist_2').is(':checked'))) {
                        $('#license_shortlist_2').prop('checked', true);
                    } else if (transactions[j].license_type === 'Heavy_vehicle_driving_license' && !($('#license_shortlist_3').is(':checked'))) {
                        $('#license_shortlist_3').prop('checked', true);
                    }
                }

            } else {
                $("#License_yes").hide();
            }

        }
    });
}


function functionDescription() {
    $('#myModal1').modal('show');
    var function_role = $("#function_role").val();

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/functional_role/job_description.php?id=" + function_role,
        data: {
        },
        dataType: 'json',
        success: function (data) {

            var job = data.list;
            var job_description = job[0].jd;
            $("#job_description").text(job_description);
            $("#job_description").prop("disabled", true);


        }
    });
}


var script_flag = 0;

$(document).ready(function () {
    var modal = document.getElementById('myModal_id');

    modal.style.display = "none";
    $('#cities_tab').show();
    $('#city_div').hide();
    $("#edit_cities").click(function () {
        $('#cities_tab').hide();
        $('#city_div').show();
        $("#edit_cities").hide();
    });
    
    $('#lan_tab').show();
    $('#lan_prof').hide();
    $("#edit_lan").click(function () {
        $('#lan_tab').hide();
        $('#lan_prof').show();
        $("#edit_lan").hide();
    });

    $('#additional').hide();
    $('#tot_leads_load').hide();
    $('#leads_total').hide();

    $('#training_yes').hide();
    $('#age').hide();
    $('#age_1').hide();
    $('#age_2').hide();
    $('#accomodation_yes').hide();
    $('#meals_yes').hide();
    $('#transport_yes').hide();
    // $('#advance').hide();
    $('#proof_id_yes').hide();
    $('#proof_add_yes').hide();
    $('#language_require').hide();
    $('#vehicles_yes').hide();
    $("#Qualification_yes").hide();
    $("#License_yes").hide();
    $("#Certificate_yes").hide();
    $("#mobile_yes").hide();

    $("#function_role").change(function () {
        functionDescription();

    });

    $("#no_of_requirements").change(function () {
        var requirement = $('#no_of_requirements').val();

        if (requirement === "L2B") {

            $('#additional').show();

        } else {

            $('#additional').hide();
        }


    });

    $('#proof_id').change(function () {

        $('#proofadd').html('');
        $('#lanreq').html('');
        $('#vehiclesness').html('');
        $('#Qualificationness').html('');
        $('#Licenseness').html('');
        $('#Certificateness').html('');
        $('#mobileness').html('');
        if (this.checked) {
            $('#proofid').html('Kindly Provide the Below Informations"');
            $('#proof_id_yes').show();
            $('#proof_add_yes').hide();
            $('#language_require').hide();
            $('#vehicles_yes').hide();
            $("#Qualification_yes").hide();
            $("#License_yes").hide();
            $("#Certificate_yes").hide();
            $("#mobile_yes").hide();
        } else {
            $('#proofid').html('');
            $('#proof_id_yes').hide();
        }

    });

    $('#proof_add').change(function () {

        $('#proofid').html('');
        $('#lanreq').html('');
        $('#vehiclesness').html('');
        $('#Qualificationness').html('');
        $('#Licenseness').html('');
        $('#Certificateness').html('');
        $('#mobileness').html('');
        if (this.checked) {
            $('#proofadd').html('Kindly Provide the Below Informations"');
            $('#proof_add_yes').show();
            $('#proof_id_yes').hide();
            $('#language_require').hide();
            $('#vehicles_yes').hide();
            $("#Qualification_yes").hide();
            $("#License_yes").hide();
            $("#Certificate_yes").hide();
            $("#mobile_yes").hide();
        } else {
            $('#proofadd').html('');
            $('#proof_add_yes').hide();
        }

    });

    $('#lan_req').change(function () {

        $('#proofid').html('');
        $('#proofadd').html('');
        $('#vehiclesness').html('');
        $('#Qualificationness').html('');
        $('#Licenseness').html('');
        $('#Certificateness').html('');
        $('#mobileness').html('');

        if (this.checked) {
            $('#lanreq').html('Kindly Provide the Below Informations"');
            $('#language_require').show();
            $('#proof_id_yes').hide();
            $('#proof_add_yes').hide();
            $('#vehicles_yes').hide();
            $("#Qualification_yes").hide();
            $("#License_yes").hide();
            $("#Certificate_yes").hide();
            $("#mobile_yes").hide();
        } else {
            $('#lanreq').html('');
            $('#language_require').hide();
        }

    });

    $('#vehicles').change(function () {

        $('#proofid').html('');
        $('#proofadd').html('');
        $('#lanreq').html('');
        $('#Qualificationness').html('');
        $('#Licenseness').html('');
        $('#Certificateness').html('');
        $('#mobileness').html('');
        if (this.checked) {
            $('#vehiclesness').html('Kindly Provide the Below Informations"');
            $('#vehicles_yes').show();
            $('#proof_id_yes').hide();
            $('#proof_add_yes').hide();
            $('#language_require').hide();
            $("#Qualification_yes").hide();
            $("#License_yes").hide();
            $("#Certificate_yes").hide();
            $("#mobile_yes").hide();
        } else {
            $('#vehiclesness').html('');
            $('#vehicles_yes').hide();
        }

    });


    $('#qualification').change(function () {

        $('#proofid').html('');
        $('#proofadd').html('');
        $('#lanreq').html('');
        $('#vehiclesness').html('');
        $('#Licenseness').html('');
        $('#Certificateness').html('');
        $('#mobileness').html('');
        if (this.checked) {
            $('#Qualificationness').html('Kindly Provide the Below Informations"');
            $('#Qualification_yes').show();
            $('#proof_id_yes').hide();
            $('#proof_add_yes').hide();
            $('#language_require').hide();
            $("#vehicles_yes").hide();
            $("#License_yes").hide();
            $("#Certificate_yes").hide();
            $("#mobile_yes").hide();
        } else {
            $('#Qualificationness').html('');
            $('#Qualification_yes').hide();
        }

    });


    $('#license').change(function () {

        $('#proofid').html('');
        $('#proofadd').html('');
        $('#lanreq').html('');
        $('#vehiclesness').html('');
        $('#Qualificationness').html('');
        $('#Certificateness').html('');
        $('#mobileness').html('');
        if (this.checked) {
            $('#Licenseness').html('Kindly Provide the Below Informations"');
            $('#License_yes').show();
            $('#proof_id_yes').hide();
            $('#proof_add_yes').hide();
            $('#language_require').hide();
            $("#vehicles_yes").hide();
            $("#Qualification_yes").hide();
            $("#Certificate_yes").hide();
            $("#mobile_yes").hide();
        } else {
            $('#Licenseness').html('');
            $('#License_yes').hide();
        }

    });


    $('#certificate').change(function () {

        $('#proofid').html('');
        $('#proofadd').html('');
        $('#lanreq').html('');
        $('#vehiclesness').html('');
        $('#Qualificationness').html('');
        $('#Licenseness').html('');
        $('#mobileness').html('');

        if (this.checked) {
            $('#Certificateness').html('Kindly Provide the Below Informations"');
            $('#Certificate_yes').show();
            $('#proof_id_yes').hide();
            $('#proof_add_yes').hide();
            $('#language_require').hide();
            $("#vehicles_yes").hide();
            $("#Qualification_yes").hide();
            $("#License_yes").hide();
            $("#mobile_yes").hide();
        } else {
            $('#Certificateness').html('');
            $('#Certificate_yes').hide();
        }

    });


    $('#mobile_add').change(function () {

        $('#proofid').html('');
        $('#proofadd').html('');
        $('#lanreq').html('');
        $('#vehiclesness').html('');
        $('#Qualificationness').html('');
        $('#Licenseness').html('');
        $('#Certificateness').html('');
        if (this.checked) {
            $('#mobileness').html('Kindly Provide the Below Informations"');
            $('#mobile_yes').show();
            $('#proof_id_yes').hide();
            $('#proof_add_yes').hide();
            $('#language_require').hide();
            $("#vehicles_yes").hide();
            $("#Qualification_yes").hide();
            $("#License_yes").hide();
            $("#Certificate_yes").hide();
        } else {
            $('#mobileness').html('');
            $('#mobile_yes').hide();
        }

    });










    $('#language').multiselect({
        enableFiltering: true,
        includeSelectAllOption: true
    });


    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/brand/get_all_brand_details.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            transactions = response.list;
            var option = '';
            option += '<option value=' + "" + '>' + "Select Brand Name" + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].user_id + '>' + transactions[j].brand_name + '</option>';


                }
            }

            $('#com_name').html(option);
        }
    });

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/functional_role/get_function_role.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            transactions = response.list;
            var option = '';
            option += '<option value=' + "" + '>' + "Select Functional Role" + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].id + '>' + transactions[j].name + '</option>';


                }
            }

            $('#function_role').html(option);
        }
    });


    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/qualification/get_qualifications.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;

            var option = '';
            option += '<option value=' + "" + '>' + "Select Qualification" + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].id + '>' + transactions[j].name + '</option>';
                }
            }

            $('#max_qualification').html(option);
            $('#min_qualification').html(option);
            $('#max_qualification_1').html(option);
            $('#min_qualification_1').html(option);


        }
    });

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/cities_languages/get_all_cities.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].city_id + "*" + transactions[j].city_name + '>' + transactions[j].city_name + '</option>';
                }
            }

            $('#cities').html(option);
            $('#cities').multiselect({
                enableFiltering: true,
                includeSelectAllOption: true
            });
        }
    });

    $.ajax({
        type: "POST",
        url: "../DTTurboHire/api/area_and_roles/get-functional-area.php",
        data: {
        },
        dataType: 'json',
        success: function (data) {

            var transactions = data.list;

            var option = '';
            option += '<option value=' + "" + '>' + "Select Functional Area" + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].id + '>' + transactions[j].name + '</option>';
                }
            }

            $('#functionalArea').html(option);

        }
    });

    $.ajax({
        type: "POST",
        url: "../DTTurboHire/api/industry/get_all_category.php",
        data: {
        },
        dataType: 'json',
        success: function (data) {

            var transactions = data.list;

            var option = '';
            option += '<option value=' + "" + '>' + "Select Industry" + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].id + '>' + transactions[j].industry_name + '</option>';
                }
            }

            $('#industry').html(option);

        }
    });

    $('#accomodation_provided').change(function () {
        if ($('#accomodation_provided').val() === '1')
        {
            $('#accomodation_yes').show();
            $('#accommodation').html('Kindly fill the below field "Accommodation For"');
            $('#accomodation_provided_yes').change(function () {

                if ($('#accomodation_provided_yes').val() === '')
                {
                    $('#accommodation').html('Kindly fill the below field "Accommodation For"');

                } else {
                    $('#accommodation').html('');
                }
            });
        } else {
            $('#accomodation_yes').hide();
            $('#accommodation').html('');
        }
    });
    $('#meals_provided').change(function () {
        if ($('#meals_provided').val() === '1')
        {
            $('#meals_yes').show();
            $('#meals').html('Kindly fill the below field "Meals"');
            $('#meals_provided_yes').change(function () {

                if ($('#meals_provided_yes').val() === '')
                {
                    $('#meals').html('Kindly fill the below field "Meals"');

                } else {
                    $('#meals').html('');
                }
            });

        } else {
            $('#meals_yes').hide();
            $('#meals').html('');
        }
    });

    $('#transport').change(function () {
        if ($('#transport').val() === '1')
        {
            $('#transport_yes').show();
            $('#trans').html('Kindly fill the below field "Transport"');
            $('#transport_provided_yes').change(function () {

                if ($('#transport_provided_yes').val() === '')
                {
                    $('#trans').html('Kindly fill the below field "Transport"');

                } else {
                    $('#trans').html('');
                }
            });

        } else {
            $('#transport_yes').hide();
            $('#trans').html('');
        }
    });

    $("#age_criteria").change(function () {
        if ($("#age_criteria option:selected").text() === 'No Age Criteria') {
            $('#age').hide();
        } else if ($("#age_criteria option:selected").text() === 'Age is Criteria') {
            $('#age').show();
        }
    });

    $('input:radio[name=training_provided]').change(function () {
        if ($('input[name=training_provided]:checked').val() === '1')
        {
            $('#training_yes').show();

            $('#training').html('Kindly Provide the Below Informations"');


        } else {
            $('#training_yes').hide();
            $('#training').html('');
        }
    });


    viewJobDetails(jobId);
    otherMatches(jobId);
    shortlistingCriteria(jobId);

});



$('#submit_btn').click(function () {

    var leads_count = getJson("LeadsCount");
    leadsCount(leads_count);

});

$('#proceed').click(function () {
    var post_job = getJson("PostJob");
    postJob(post_job);
    $('#myModal2').modal('hide');
    var modal = document.getElementById('myModal_id');
    modal.style.display = "block";

});

function getJson(type) {

    /* Get values */

    var error_count = 0;

    /* Simple Job Posting*/

    var type_of_work = $('#job_type').val();
    var com_name = $('#com_name option:selected').text();
    var brand_id = $('#com_name option:selected').val();
    // var com_name = $('#com_name').val();
    var work_name = $('#work_name').val();
    var total_cities = $("#cities").val();
    var city_name = [];
    var city_id = [];
    for (var i = 0; i < total_cities.length; i++) {
        var city_arr = total_cities[i].split("*")
        city_id.push(city_arr[0]);
        city_name.push(city_arr[1]);
    }
    var no_of_requirements = $('#no_of_requirements').val();
    var no_of_openings = $('#no_of_openings').val();
    // var brand_name = $('#brand_name').val();
    var function_role = $("#function_role").val();
    var job_description = $("#job_description").val();
    var min_qual = $('#min_qualification').val();
    var max_qual = $('#max_qualification').val();
    var flexbility_min_qual = $('#min_qualification_1').val();
    var flexbility_max_qual = $('#max_qualification_1').val();
    var age_criteria = $('#age_criteria').val();
    var from_age = $('#from_age').val();
    var to_age = $('#to_age').val();
    var flexbility_from_age = $('#from_age_1').val();
    var flexbility_to_age = $('#to_age_1').val();
    var min_work_experience = $('#min_work_experience option:selected').val();
    var max_work_experience = $('#max_work_experience option:selected').val();
    var gender = $('#gender').val();
    var specialization = $('#specialization').val();
    var expiry_date = $('#expiry_date').val().trim();
    var updates_date = expiry_date.split('-');
    var dtPrev = new Date();
    dtPrev.setFullYear(updates_date[0], updates_date[1] - 1, updates_date[2]);
    var dtToday = new Date();
    var difference = getDays(dtToday, dtPrev);

    var min_salary = $('#min_salary').val();
    var max_salary = $('#max_salary').val();
    var flexbility_min_salary = $('#min_salary_1').val();
    var flexbility_max_salary = $('#max_salary_1').val();



    /* Work Details Validation */
    // if (type_of_work === '')
    // {
    //     $('.errTypeOfJob').html('Mandatory');
    //     error_count++;
    // } else {
    //     $('.errTypeOfJob').html('');
    // }
    if (expiry_date == '') {
        $('#errExpiryDate').html('Mandatory');
        error_count++;
    } else {
        if (dtPrev > dtToday && difference >= 30)
        {
            $('#errExpiryDate').html('');
        } else
        {
            $('#errExpiryDate').html('Expiry date must be greater than 30 days from today date');
            error_count++;
        }
    }



    if (work_name === '')
    {
        $('.errWorkName').html('Mandatory');
        error_count++;

    } else {
        $('.errWorkName').html('');
    }

    if (com_name === '')
    {
        $('.errCompanyName').html('Mandatory');
        error_count++;

    } else {
        $('.errCompanyName').html('');
    }


    if (function_role === '')
    {
        $('.errFunctionRole').html('Mandatory');
        error_count++;

    } else {
        $('.errFunctionRole').html('');
    }

    if (total_cities === '' || total_cities === null || total_cities.length === 0)
    {
        $('.errCitiesIndia').html('Mandatory');
        error_count++;

    } else {
        $('.errCitiesIndia').html('');
    }

    if (no_of_requirements === '')
    {
        $('.errNoOfOpening').html('Mandatory');
        error_count++;

    } else {
        $('.errNoOfOpening').html('');
    }


    if (min_qual === '') {
        $('#err_min_qual').html('Mandatory');
        error_count++;

    } else {
        $('#err_min_qual').html('');
    }
    if (max_qual === '') {
        $('#err_max_qual').html('Mandatory');
        error_count++;
    } else {
        $('#err_max_qual').html('');
    }

    if (age_criteria === '')
    {
        $('.errAge').html('Mandatory');
        error_count++;

    } else if (age_criteria === 'Age is Criteria') {
        $('.errAge').html('');

        if (from_age === '' || from_age === '0') {

            $('.errFromAge').html('Mandatory');
            error_count++;
        } else {
            $('.errFromAge').html('');
        }

        if (to_age === '' || to_age === '0') {
            $('.errToAge').html('Mandatory');
            error_count++;
        } else {
            $('.errToAge').html('');
        }
    } else {
        from_age = '';
        to_age = '';
        $('.errAge').html('');
        $('.errFromAge').html('');
        $('.errToAge').html('');
    }

    if (min_work_experience === '') {
        $('.errMinWorkExperience').html('Mandatory');
        error_count++;
    } else {
        $('.errMinWorkExperience').html('');
    }

    if (max_work_experience === '') {
        $('.errMaxWorkExperience').html('Mandatory');
        error_count++;
    } else {
        $('.errMaxWorkExperience').html('');
    }

    if (gender === '') {
        $('#errGender').html('Mandatory');
        error_count++;
    } else {
        $('#errGender').html('');
    }

    if (specialization === '') {
        $('#err_specialization').html('Mandatory');
        error_count++;
    } else {
        $('#err_specialization').html('');
    }

    if (min_salary === '') {
        $('#err_min_sal').html('Mandatory');
        error_count++;

    } else {
        $('#err_min_sal').html('');
    }
    if (max_salary === '') {
        $('#err_max_sal').html('Mandatory');
        error_count++;

    } else {
        $('#err_max_sal').html('');
    }
    if (no_of_openings === '')
    {
        $('#err_no_of_openings').html('Mandatory');
        error_count++;

    } else {
        $('#err_no_of_openings').html('');
    }


    // if (flexbility_min_qual === '') {
    //     $('#err_min_qual_1').html('Mandatory');
    //     error_count++;
    // } else {
    //     $('#err_min_qual_1').html('');
    // }

    // if (flexbility_max_qual === '') {
    //     $('#err_max_qual_1').html('Mandatory');
    //     error_count++;
    // } else {
    //     $('#err_max_qual_1').html('');
    // }

    // if (flexbility_from_age === '') {

    //         $('.errFromAge_1').html('Mandatory');
    //         error_count++;
    //     } else {
    //         $('.errFromAge_1').html('');
    //     }



    //     if (flexbility_to_age === '') {
    //         $('.errToAge_1').html('Mandatory');
    //         error_count++;
    //     } else {
    //         $('.errToAge_1').html('');
    //     }

    //     if (flexbility_min_salary === '') {
    //     $('#err_min_sal_1').html('Mandatory');
    //     error_count++;
    // } else {
    //     $('#err_min_sal_1').html('');
    // }

    // if (flexbility_max_salary === '') {
    //     $('#err_max_sal_1').html('Mandatory');
    //     error_count++;
    // } else {
    //     $('#err_max_sal_1').html('');
    // }

    //var insurance = $('#insurance option:selected').val();
    var accomodation_provided = $('#accomodation_provided option:selected').val();
    var accomodation_provided_yes = $('#accomodation_provided_yes option:selected').val();
    var meals_provided = $('#meals_provided option:selected').val();
    var meals_provided_yes = $('#meals_provided_yes option:selected').val();
    var transport = $('#transport option:selected').val();
    var transport_provided_yes = $('#transport_provided_yes option:selected').val();
    var weekly_off = $('#weekly_off option:selected').val();
    //var job_desc = $('#job_desc').val();
    // var industry = $('#industry option:selected').val();
    //var functional_area = $('#functionalArea option:selected').val();
    var duty = $('#duty').val();
    // var skills = $('#skills').val();
    // var specialization = $('#specialization').val();
    // var opportunity = $('#opportunity').val();
    var training_provided = $('input[name=training_provided]:checked').val();
//    var isChecked_training_provided_yes = $('#training_provided1').prop('checked');
//    var isChecked_training_provided_no = $('#training_provided2').prop('checked');
    var training_name = $('#training_name').val();
    var training_desc = $('#training_desc').val();
    var training_cost = $('#training_cost').val();
    var training_certificate = $("#certification").val();
    var training_certificate_partner = $("#Certification_Partner").val();
    var training_duration = $('#training_duration').val();
    var training_location = $('#training_location').val();
    var training_loan = $('#loan option:selected').val();
    // var script = $('#script').val();

//    if (script_man === 1 && script === '')
//    {
//        $('.errScript').css('color', 'red');
//        $('.errScript').html('Mandatory');
//        error_count++;
//
//    } else if (script_man === 1 && script_flag === 1) {
//        $('.errScript').css('color', 'red');
//        $('.errScript').html('You have reached limit. Kindly enter less than 320 characters.');
//        error_count++;
//    } else if(script_man === 1){
//        $('.errScript').html('');
//    }

    if (accomodation_provided === '1') {
        var accomodation_provided_yes = $('#accomodation_provided_yes option:selected').val();

        if (accomodation_provided_yes === '') {
            $('.errAccomodationYes').html('Mandatory');
            error_count++;
        } else {
            $('.errAccomodationYes').html('');
        }

        $('.errAccomodation').html('');
    } else {
        accomodation_provided_yes = '';
        $('.errAccomodation').html('');
    }

    if (meals_provided === '1') {
        var meals_provided_yes = $('#meals_provided_yes option:selected').val();

        if (meals_provided_yes === '') {
            $('.errMealsYes').html('Mandatory');
            error_count++;
        } else {
            $('.errMealsYes').html('');
        }

        $('.errMeals').html('');
    } else {
        meals_provided_yes = '';
        $('.errMeals').html('');
    }

    if (transport === '1') {
        var transport_provided_yes = $('#transport_provided_yes option:selected').val();

        if (transport_provided_yes === '') {
            $('.errTransportYes').html('Mandatory');
            error_count++;
        } else {
            $('.errTransportYes').html('');
        }

        $('.errTransport').html('');
    } else {
        transport_provided_yes = '';
        $('.errTransport').html('');
    }

    if (training_provided === '1') {
        if (training_name === '') {
            $('.errNameTraining').html('Mandatory');
            error_count++;
        } else {
            $('.errNameTraining').html('');
        }
        if (training_desc === '') {
            $('.errDescTraining').html('Mandatory');
            error_count++;
        } else {
            $('.errDescTraining').html('');
        }

        if (training_cost === '') {
            $('.errCostTraining').html('Mandatory');
            error_count++;
        } else {
            $('.errCostTraining').html('');
        }
        if (training_certificate === '') {
            $('.errCertification').html('Mandatory');
            error_count++;
        } else {
            $('.errCertification').html('');
        }
        if (training_certificate_partner === '') {
            $('.errCertificationPartner').html('Mandatory');
            error_count++;
        } else {
            $('.errCertificationPartner').html('');
        }


        $('.errTraining').html('');
    } else {
        training_name = '';
        training_desc = '';
        training_cost = '';
        training_duration = '';
        training_location = '';
        $('.errTraining').html('');
    }
    var proofs_id = [];
    var proofs_add = [];
    var languages = [];
    var proficiency = [];
    var vehicles = [];
    var qualification_shortlist = $("#qualification_shortlist").val();
    var license = [];
    var certificate_shortlist = $("#certificate_shortlist").val();
    var mobile = [];
    if ($('#proof_id').is(':checked')) {

        $.each($("input[name='proofs']:checked"), function () {
            proofs_id.push($(this).val());
        });
        if (proofs_id.length === 0) {
            $(".errProofs").html("Mandatory");
            error_count++;
        } else {
            $(".errProofs").html("");
        }

    } else {
        $(".errProofs").html("");
    }

    if ($('#proof_add').is(':checked')) {
        $.each($("input[name='proof_address']:checked"), function () {
            proofs_add.push($(this).val());
        });
        if (proofs_add.length === 0) {
            $(".errProofAddress").html("Mandatory");
            error_count++;
        } else {
            $(".errProofAddress").html("");
        }
    } else {
        $(".errProofAddress").html("");
    }

    if ($('#lan_req').is(':checked')) {

        languages = $("#language").val();

        $.each($("input[name='proficiency']:checked"), function () {
            proficiency.push($(this).val());
        });

        if (languages.length === 0) {
            $(".errLanguages").html("Mandatory");
            error_count++;
        } else {
            $(".errLanguages").html("");
        }
    } else {
        $(".errLanguages").html("");
    }



    if ($('#vehicles').is(':checked')) {
        $.each($("input[name='vehicles_ness']:checked"), function () {
            vehicles.push($(this).val());
        });
        if (vehicles.length === 0) {
            $(".errVehicles").html("Mandatory");
            error_count++;
        } else {
            $(".errVehicles").html("");
        }
    } else {
        $(".errVehicles").html("");
    }

    if ($('#mobile_add').is(':checked')) {
        $.each($("input[name='mobile']:checked"), function () {
            mobile.push($(this).val());
        });
        if (mobile.length === 0) {
            $(".errMobile").html("Mandatory");
            error_count++;
        } else {
            $(".errMobile").html("");
        }
    } else {
        $(".errMobile").html("");
    }

    if ($('#qualification').is(':checked')) {
        if (qualification_shortlist === '') {
            $('.errQualification').html('Mandatory');
            error_count++;

        } else {
            $('.errQualification').html('');
        }

    }


    if ($('#license').is(':checked')) {
        $.each($("input[name='license_shortlist']:checked"), function () {
            license.push($(this).val());
        });
        if (license.length === 0) {
            $(".errLicense").html("Mandatory");
            error_count++;
        } else {
            $(".errLicense").html("");
        }
    } else {
        $(".errLicense").html("");
    }

    if ($('#certificate').is(':checked')) {
        if (certificate_shortlist === '') {
            $('.errCertificate').html('Mandatory');
            error_count++;

        } else {
            $('.errCertificate').html('');
        }

    }

    var esi_benifit_provided = $('#esi_benifit_provided option:selected').val();
    var epf_benifit_provided = $('#epf_benifit_provided option:selected').val();
    var insurance = $('#insurance option:selected').val();
    var provide = [];
    var medical_team = $("input[name='medical_team']:checked").val();
    var temperature = $("input[name='temperature']:checked").val();
    // var covid_reimbursement = $("input[name='covid_reimbursement']:checked").val();
    // var covid_accommodation = $("input[name='covid_accommodation']:checked").val();
    // var covid_meals = $("input[name='covid_meals']:checked").val();
    // var covid_health_insurance = $("input[name='covid_health_insurance']:checked").val();
    $.each($("input[name='provide']:checked"), function () {
        provide.push($(this).val());
    });




    /* Check for error_count */
    if (error_count === 0) {
        $('#myModal2').modal('show');
        $('#tot_leads_load').show();
        $('#leads_total').show();
        //     var modal = document.getElementById('myModal_id');
        //  modal.style.display = "block";
        $('.status').html('');


        var other = {
            flexbility_min_qualification: flexbility_min_qual,
            flexbility_max_qualification: flexbility_max_qual,
            flexbility_from_age: flexbility_from_age,
            flexbility_to_age: flexbility_to_age,
            flexbility_min_salary: flexbility_min_salary,
            flexbility_max_salary: flexbility_max_salary

        }

        var proficiency_language = {
            languages: languages,
            proficiency: proficiency
        }



        if (type === 'LeadsCount') {

            var formValues = {
                status: "fullfillment",
                currently_working: "",
                from_qualification: min_qual,
                to_qualification: max_qual,
                from_salary: min_salary,
                to_salary: max_salary,
                from_exp: min_work_experience,
                to_exp: max_work_experience,
                from_age: from_age,
                to_age: to_age,
                data_type: "Jobs",
                sourced_from: "",
                whitelisted: "",
                otp: "",
                year_of_passout: "",
                working_from: "",
                dob: "",
                gender: "",
                distance: "20",
                job_id: "",
                functional_role: "",
                functional_area: "",
                upload_from: "",
                upload_to: "",
                lead_id: brand_id,
                enquiry_type: "SelfSignUp",
                cities: city_name

            };
            var json = JSON.stringify(formValues);
            return json;

        } else if (type === 'PostJob') {
            var formValues = {
                post_full_time_job: {
                    type_of_work: type_of_work,
                    work_name: work_name,
                    company_name: com_name,
                    // brand_name: brand_name,
                    functional_role: function_role,
                    job_description: job_description,
                    no_of_requirements: no_of_requirements,
                    no_of_openings: no_of_openings,
                    min_qualification: min_qual,
                    max_qualification: max_qual,
                    age_criteria: age_criteria,
                    from_age: from_age,
                    to_age: to_age,
                    min_experience: min_work_experience,
                    max_experience: max_work_experience,
                    gender: gender,
                    min_salary: min_salary,
                    max_salary: max_salary,
                    flexbility_max_salary: flexbility_max_salary,
                    training_certification: training_provided,
                    training_name: training_name,
                    training_desc: training_desc,
                    training_cost: training_cost,
                    training_certificate: training_certificate,
                    training_certificate_partner: training_certificate_partner,
                    training_duration: training_duration,
                    training_location: training_location,
                    loan_available: training_loan,
                    created_by: userId,
                    brand_id: brand_id,
                    qualification_shortlist: qualification_shortlist,
                    certificate_shortlist: certificate_shortlist,
                    accomodation: accomodation_provided,
                    accomodation_type: accomodation_provided_yes,
                    meals_provided: meals_provided,
                    meals_type: meals_provided_yes,
                    transport: transport,
                    transport_type: transport_provided_yes,
                    weekly_off: weekly_off,
                    duty: duty,
                    esi: esi_benifit_provided,
                    epf: epf_benifit_provided,
                    lise_insurance: insurance,
                    medical_team: medical_team,
                    temperature: temperature,
                    specialization: specialization,
                    expiry_date: expiry_date
                },
                location: city_id,
                other_matches: other,
                proofs_identity: proofs_id,
                proofs_address: proofs_add,
                language: proficiency_language,
                vehicles: vehicles,
                license: license,
                mobile: mobile,
                provide: provide
            };


            var json = JSON.stringify(formValues);
            console.log(json);
            return json;
        }



    } else
    {
        $('.status').html('Still ' + error_count + ' fields are not filled. Kindly fill all mandatory fields');
        alert("Fill all mandatory fields");
    }

}

function postJob(json) {
    var modal = document.getElementById('myModal_id');
    $.ajax({
        type: "post",
        data: json,
        dataType: "json",
        url: "../DTTurboHire/api/post-job-v2/create-posted-jobs-v2.php",
        success: function (data) {
            // console.log("Success response" + data);
            if (data.result === 'success') {
                modal.style.display = "none";
                alert(data.message + ' ' + 'the job id is ' + data.id);
                window.location.reload(true);
            } else {
                alert(data.message);
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
            console.log("ERROR:" + xhr.responseText + " - " + thrownError);
        }
    });
}

function leadsCount(json) {
    //   var modal = document.getElementById('myModal_id');
    $.ajax({
        type: "POST",
        url: "../DTTurboHire/api/job-leads/get-turbo-leads-count-for-fullfillment.php",
        data: json,
        dataType: 'json',
        success: function (data) {
            if (data.result === 'success') {
                $('#tot_leads_load').hide();
                // modal.style.display = "none";

                $('#leads_total').html(data.total);
                // $('#days').html(data.days);
                // $('#fullfill').html(Math.round(data.fullfillment_from) + " - " + Math.round(data.fullfillment_to) + " Leads");
            }

        },
        error: function (xhr, ajaxOptions, thrownError) {
            alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
    });
}

function getDays(date1, date2) {
    dt1 = new Date(date1);
    dt2 = new Date(date2);
    return Math.floor((Date.UTC(dt2.getFullYear(), dt2.getMonth(), dt2.getDate()) - Date.UTC(dt1.getFullYear(), dt1.getMonth(), dt1.getDate())) / (1000 * 60 * 60 * 24));
}