<?php

require_once '../utils/Session.php';
require_once '../utils/Utils.php';
require_once '../controller/CampusController.php';
require_once '../model/Campus.php';

error_reporting(E_WARNING);

$values = isset($_POST['json_data']) ? $_POST['json_data'] : null;
$obj = new stdClass();
$campusController = new CampusController();

// Check if the request is a POST request
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
   
    // Check if the Content-Type is multipart/form-data
    if (isset($_SERVER['CONTENT_TYPE']) && strpos($_SERVER['CONTENT_TYPE'], 'multipart/form-data') !== false) {
       
        // Handle JSON data
        if (!is_null($values)) {
            $jsonData = json_decode($values, true);
           
            // Now $jsonData contains the parsed JSON data
            // print_r($jsonData);
            $campus = new Campus();
            $campus->set($jsonData);
            // echo $campus->getPassword();
            if (!empty($_FILES)) {
                // foreach ($_FILES as $fileKey => $file) {
                foreach ($_FILES["uploaded_file"]["error"] as $key => $error) {
                    if ($error == UPLOAD_ERR_OK) {
                        $tmp_name = $_FILES["uploaded_file"]["tmp_name"][$key];
                        $name = $_FILES["uploaded_file"]["name"][$key];
                        
                        $file_path = "logo/";
                        $file_path = $file_path . $name;
                        
                        // echo $file_path;
                        
                        if (@move_uploaded_file($tmp_name, $file_path)) {
                            // echo "File Moved";
                            $results = $campusController->createCampus($campus,$file_path);
                            // echo $results;
                            $json_decode = json_decode($results,true);
                            if($json_decode['result'] !== 'success'){
                                unlink($file_path);
                            }
                        } else {
                            // echo "fail";
                            $obj->result = "failure";
                            $obj->message = "file not moved";
                            echo json_encode($obj);
                        }
                    } else {
                        echo "#01 error : ".$error;                    
                    }
                }
            } else {
                $obj->result = "failure";
                $obj->message = "Files are empty";
                echo json_encode($obj);
            }
        } else {
            // JSON data not found
            $obj->result = "failure";
            $obj->message = "JSON data not found in the request.";
            echo json_encode($obj);
            // echo "JSON data not found in the request.";
        }
        // Handle file uploads
        
    } else {
        // Invalid Content-Type
        http_response_code(400);
        $obj->result = "failure";
        $obj->message = "Invalid Content-Type. Expected 'multipart/form-data'.";
        echo json_encode($obj);
        // echo "Invalid Content-Type. Expected 'multipart/form-data'.";
    }
} else {
    // Not a POST request
    http_response_code(405);
    $obj->result = "failure";
    $obj->message = "Method Not Allowed. Only POST requests are accepted.";
    echo json_encode($obj);
    // echo "Method Not Allowed. Only POST requests are accepted.";
}
// echo $results;
?>
