<?php
session_start();

$user_id = '3';

// if (!(isset($_SESSION['userId']))) {
//     header("Location: index.php");
// } else {
//     $user_id = $_SESSION['userId'];
// }

$randStr = rand();
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Campus Drive</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <link rel="stylesheet" href="vendors/select2/select2.min.css">
  <!-- <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css"> -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="shortcut icon" href="images/ic_logo_jeevitam.png">
  <link rel="stylesheet" href="css/vertical-layout-light/style.css">
  <!-- endinject -->

  <!--Modal-->
  <!-- <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">-->
  <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>

  <!--SweetAlert-->
  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

</head>
<style>
  body {
    background-color: lavender;
  }
  .error-message {
    color: red;
    display: none;
  }

  .is-invalid {
    border-color: red;
  }
</style>

<body>
  <div class="container-scroller">

    <div class="row col-md-12" style="margin-bottom:0px;">
      <?php include 'includes/header.php'; ?>
    </div>

    <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
      <!-- partial:partials/_settings-panel.html -->

      <div id="right-sidebar" class="settings-panel">
        <i class="settings-close typcn typcn-times"></i>
        <ul class="nav nav-tabs" id="setting-panel" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>
          </li>
        </ul>
        <div class="tab-content" id="setting-content">

        </div>
      </div>
      <!-- partial -->
      <!-- partial:partials/_sidebar.html -->
      <?php include 'includes/sidebar.php'; ?>
      <?php include 'includes/modal_basic_01.php'; ?>
      <!-- partial -->

      <div class="main-panel">

        <div class="content-wrapper">

          <center>

            <div class="row" style="text-align: center; vertical-align: middle; margin:10px;">

              <div class="label_white card">
                <label style="margin:3px;">Campus</label>
              </div>
              <div class="label_00">
                <label style="margin:3px;"> -> </label>
              </div>
              <div class="label_white card">
                <label style="margin:3px;">Create Campus Drive</label>
              </div>

            </div>

          </center>


          <div class="row" style="margin-top:10px; margin-bottom:10px;">
            <div class="col-12 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                  <h4 class="card-title">Create Campus Drive</h4>
                  <form class="forms-sample" id="campusDriveForm" >
                    <!-- Campus -->
                    <div class="form-group row">
                      <label for="campus_id" class="col-sm-3 col-form-label"><em style="color: red">* </em>Campus</label>
                      <div class="col-sm-9">
                        <select class="form-control" id="campus_id" name="campus_id" >
                        </select>
                        <span style="color: red;font-size:13px;margin-left:15px" id="err_campus_id"></span>
                      </div>
                    </div>
                    <!-- Name of Drive -->
                    <div class="form-group row">
                      <label for="drive_name" class="col-sm-3 col-form-label"><em style="color: red">* </em>Name of Drive</label>
                      <div class="col-sm-9">
                        <input type="text" class="form-control" id="drive_name" placeholder="Enter Drive Name" >
                        <span style="color: red;font-size:13px;margin-left:15px" id="err_drive_name"></span>

                      </div>
                    </div>
                    <!-- Start Date-->
                    <div class="form-group row">
                      <label for="start_date" class="col-sm-3 col-form-label"><em style="color: red">* </em>Start Date</label>
                      <div class="col-sm-9">
                        <input type="date" class="form-control" id="start_date" >
                        <span style="color: red;font-size:13px;margin-left:15px" id="err_start_date"></span>

                      </div>
                    </div>
                    <!-- End Date-->
                    <div class="form-group row">
                      <label for="end_date" class="col-sm-3 col-form-label"><em style="color: red">* </em>End Date</label>
                      <div class="col-sm-9">
                        <input type="date" class="form-control" id="end_date" >
                        <span style="color: red;font-size:13px;margin-left:15px" id="err_end_date"></span>

                      </div>
                    </div>
                    <!-- Contact Name -->
                    <div class="form-group row">
                      <label for="poc_name" class="col-sm-3 col-form-label"><em style="color: red">* </em>Point of Contact Name</label>
                      <div class="col-sm-9">
                        <input type="text" class="form-control" id="poc_name" placeholder="Enter Contact Name" >
                        <span style="color: red;font-size:13px;margin-left:15px" id="err_poc_name"></span>

                      </div>
                    </div>
                    <!-- Contact Number -->
                    <div class="form-group row">
                      <label for="poc_number" class="col-sm-3 col-form-label"><em style="color: red">* </em>Point of Contact Number</label>
                      <div class="col-sm-9">
                        <input type="tel" class="form-control" id="poc_number" placeholder="Enter Contact Number" pattern="[0-9]{10}">
                        <span style="color: red;font-size:13px;margin-left:15px" id="err_poc_number"></span>

                      </div>
                    </div>
                    <!-- Mode -->
                    <div class="form-group row">
                      <label for="mode" class="col-sm-3 col-form-label"><em style="color: red">* </em>Mode</label>
                      <div class="col-sm-9">
                        <select class="form-control" id="mode" name="mode" >
                          <option value="" disabled selected>Select Mode</option>
                          <option value="Online">Online</option>
                          <option value="Physical">Physical</option>
                        </select>
                        <span style="color: red;font-size:13px;margin-left:15px" id="err_mode"></span>

                      </div>
                    </div>
                    <!-- Partners -->
                    <div class="form-group row">
                      <label for="partner_id" class="col-sm-3 col-form-label"><em style="color: red">* </em>Partners</label>
                      <div class="col-sm-9">
                        <select class="form-control" id="partner_id" name="partner_id" >
                        </select>
                        <span style="color: red;font-size:13px;margin-left:15px" id="err_partner_id"></span>

                      </div>
                    </div>
                    <!-- Jobs -->
                    <div class="form-group row">
                      <label for="jobs" class="col-sm-3 col-form-label"><em style="color: red">* </em>Jobs</label>
                      <div class="col-sm-7">
                        <textarea class="form-control" id="jobs" rows="2" required></textarea>
                        <span style="color: red;font-size:13px;margin-left:15px" id="hint_jobs"></span>
                        <span style="color: red;font-size:13px;margin-left:15px" id="err_jobs"></span>
                      </div>
                      <div class="col-sm-2">
                        <button class="btn btn-primary" type="button" id="validate">Validate</button>
                      </div>
                    </div>
                  
                    <button type="submit" class="btn btn-primary mr-2" id="btn-register" >Submit</button>
                 
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>

        <script src="vendors/js/vendor.bundle.base.js"></script>
        <script src="vendors/typeahead.js/typeahead.bundle.min.js"></script>
        <script src="vendors/select2/select2.min.js"></script>
        <script src="js/hoverable-collapse.js"></script>
        <script src="js/typeahead.js"></script>
        <script src="js/select2.js"></script>
        <script src="js/template.js"></script>
        <!-- <script>
          document.getElementById('generateButton').addEventListener('click', function() {
            var jobsField = document.getElementById('jobs');
            var jobsError = jobsField.parentNode.querySelector('.error-message');

            if (!jobsField.value.trim()) {
              jobsField.classList.add('is-invalid');
              jobsError.style.display = 'inline';
            } else {
              jobsField.classList.remove('is-invalid');
              jobsError.style.display = 'none';
            }
          });

          document.getElementById('campusDriveForm').addEventListener('submit', function(event) {
            var form = event.target;
            var inputs = form.querySelectorAll('input, select, textarea');
            var isValid = true;

            inputs.forEach(function(input) {
              var errorMessage = input.parentNode.querySelector('.error-message');
              if (input.hasAttribute('required') && !input.value.trim()) {
                isValid = false;
                input.classList.add('is-invalid');
                if (errorMessage) {
                  errorMessage.style.display = 'inline';
                }
              } else {
                input.classList.remove('is-invalid');
                if (errorMessage) {
                  errorMessage.style.display = 'none';
                }
              }
            });

            if (!isValid) {
              event.preventDefault();
              // alert('Please fill in all mandatory fields.');    
            }
          });
        </script> -->
        <script type="text/javascript">
          var val_user_id = '<?php echo $user_id; ?>';
        </script>

        <!-- Javascript Function -->
        <script type="text/javascript">
          $('#btn_signout').click(function() {
            window.open('signout.php', '_self');
          });
        </script>
        <script src="js/create_drive_for_campus.js?randStr=<?php echo $randStr; ?>"></script>
        <!-- <script type="text/javascript" src="js/sidebar.js?randStr=<?php echo $randStr; ?>"></script> -->
</body>

</html>