<?php
session_start();

$user_id = '44';

// if (!(isset($_SESSION['userId']))) {
//     header("Location: index.php");
// } else {
//     $user_id = $_SESSION['userId'];
// }

$randStr = rand();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Job Details</title>
    <!-- base:css -->
    <link rel="stylesheet" href="vendors/typicons/typicons.css">
    <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
    <link rel="stylesheet" href="bower_components/bootstrap-multiselect/dist/css/bootstrap-multiselect.css" type="text/css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="vendors/select2/select2.min.css">
    <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="shortcut icon" href="images/ic_logo_jeevitam.png" >
    <link rel="stylesheet" href="css/vertical-layout-light/style.css">
    <!-- endinject -->
     <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <style>
        /* body {
            background-color: lavender;
        } */
        .full-screen-card {
            width: 80vw; /* Full width of the viewport */
            /* height: 100vh; Full height of the viewport */
            margin: 0; /* Remove any margins */
            padding: 20px; /* Add some padding if needed */
            box-sizing: border-box; /* Ensure padding and border are included in the width and height */
        }
        .form-control.dark-border {
            border: 1px solid #343a40; /* Darker border color */
        } 

        .modal_1 {
            display: none; /* Hidden by default */
            position: fixed; /* Stay in place */
            z-index: 1; /* Sit on top */
            padding-top: 20px;  /* Location of the box*/ 
            left: 0;
            top: 50px;
            width: 100%; /* Full width */
            /*min-width: 350px;*/
            height: 100%; /* Full height */
            overflow: auto;  /*Enable scroll if needed*/ 
            background-color: rgb(0,0,0); /* Fallback color */
            background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
        }

        /* Modal Content */
        .modal-content-1 {
            background-color: #fefefe;
            margin: auto;
            padding: 20px;
            border: 1px solid #888;
            /* width: 45%; */
        }

        .close:focus {

            text-decoration: none;
            cursor: pointer;
        }

        .close:hover{
            color: #6f6f6f;
            font-weight: bold;
        }

        .select2-container--default .select2-selection--multiple,
        .select2-container--default .select2-selection--single {
            padding: 0.375rem 0.75rem; 
            box-sizing: border-box; 
            border: 1px solid #343a40;
            color: #343a40; 
            border-radius: 0;
        }        

    </style>
</head>
<body>
    <div class="container-scroller">

        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/header.php'; ?>
        </div>

      <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
            <!-- partial:partials/_settings-panel.html -->

            <div id="right-sidebar" class="settings-panel">
                <i class="settings-close typcn typcn-times"></i>
                <ul class="nav nav-tabs" id="setting-panel" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>
                    </li>
                </ul>
                <div class="tab-content" id="setting-content">

                </div>
            </div>
        <!-- partial -->
        <!-- partial:partials/_sidebar.html -->
        <?php include 'includes/sidebar.php'; ?>

        <!-- partial -->
        <div class="main-panel">

            <!-- Content Wrapper. Contains page content -->
            <div class="main-panel">
                <!-- Content Wrapper. Contains page content -->
                <div class="content-wrapper">
                    <!-- Card -->
                    <div class="card full-screen-card" style="margin-top: 10px;">
                        <div class="card-body">
                            <h4>Job Details</h4>
                        </div>
                        <div class="card-body">
                            <!-- Main content -->
                            <div class="content">
                                <div class="panel-body">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label">From</label>
                                                <label><em style="color: red">* </em></label><br>
                                                <input type="date" class="form-control dark-border" id="fromDate" name="fromDate">
                                                <span style="margin-left:10px;font-weight:bold" id="err-fromdate"></span>
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label">To</label>
                                                <!-- <label><p style="color: red">* </p></label> <span style="margin-left:10px;font-weight:bold" id="err-todate"></span><br> -->
                                                <input type="date" class="form-control dark-border" id="toDate" name="toDate">
                                                <input type="hidden" class="form-control" id="from" name="from">
                                                <input type="hidden" class="form-control" id="to" name="to">
                                                <input type="hidden" class="form-control" id="jobid" name="jobid">
                                                <input type="hidden" class="form-control" id="brandid" name="brandid">
                                                <input type="hidden" class="form-control" id="job_id_fair" name="job_id_fair">

                                                <input style="margin-top: 20px" type="button" class="btn btn-primary" id="ok" name="ok" value="Ok">
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div style="margin-top:20px" class="col-md-12">
                                            <div class="table-responsive pt-3">
                                                <table class="table table-striped">
                                                    <thead>
                                                        <tr>
                                                            <th>Id</th>
                                                            <th>Job Id</th>
                                                            <th>Brand Name</th>
                                                            <th>Functional Role</th>
                                                            <th>Minimum Salary</th>
                                                            <th>Maximum Salary</th>
                                                            <th>Qualification</th>
                                                            <th>Is CSC</th>
                                                            <th>Is Active</th>
                                                            <th>Cities</th>
                                                            <th>Add City</th>
                                                            <th>View Job</th>
                                                            <th>Clone Job</th>
                                                            <th>Delete Job</th>
                                                            <!-- <th>Add to CSC</th> -->
                                                            <th>Update as Active/<br>InActive</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="result">
                                                    </tbody>
                                                </table>
                                                <div class="pagination"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.card -->
                    </section>
                    <!-- Modal -->
                    <div class="modal_1" id="myModal" role="dialog">
                        <div class="modal-dialog">

                            <!-- Modal content-->
                            <div class="modal-content-1">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                                </div>
                                <div class="modal-body">
                                    <div class="row">
                                        <div class="col-md-12">

                                            <form name="formname" method="post">

                                                <div class="col-md-12">

                                                    <label style="font-size: 20px;margin-left: 120px">Are You sure want to delete the job?</label>

                                                </div>
                                                
                                                <div class="col-md-12" style="margin-left: 180px">
                                                    <input type="button" class="btn btn-default" data-dismiss="modal" value="NO" style="font-weight:bold;margin-top: 20px;">
                                                    <input type="button" class="btn btn-primary" style="margin-top:20px;font-weight:bold;margin-left: 20px" id="submit" name="submit" value="YES"><br>

                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </div>
                    </div>
                    <!--End Modal-->
                    <!-- Modal 1 -->
                    <div class="modal_1" id="myModal1" role="dialog">
                        <div class="modal-dialog">

                            <!-- Modal content-->
                            <div class="modal-content-1">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                                </div>
                                <div class="modal-body">
                                    <div class="row">
                                        <div class="col-md-12">

                                            <form name="formname1" method="post">

                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <label><em style="color: red">* </em>Cities: </label><br>
                                                        <!-- <select class="form-control"  id="cities" name="cities[]" multiple="multiple"> -->
                                                        <select class="js-example-basic-multiple w-100"  id="cities" name="cities[]" multiple="multiple">

                                                        </select>
                                                        <span style="color: red;margin-left:10px;font-weight:bold " id ="err-City"></span>
                                                
                                                    </div>

                                                </div>

                                                <div class="col-md-12" style="float: right">
                                                    <!--<div class="col-md-12" style="margin-left: 180px">-->
                                                    <input type="button" class="btn btn-default" value="Cancel" style="font-weight:bold;margin-top: 20px;">
                                                    <input type="button" class="btn btn-primary" style="margin-top:20px;font-weight:bold;margin-left: 20px" id="city_submit" name="city_submit" value="Submit"><br>

                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </div>
                    </div>
                    <!--End Modal1-->
                    <!-- Modal 2 -->
                    <div class="modal_1" id="myModal2" role="dialog">
                        <div class="modal-dialog">

                            <!-- Modal content-->
                            <div class="modal-content-1">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                                    <h4 class="modal-title">Create JobFair</h4>
                                </div>
                                <div class="modal-body">
                                    <div class="row">
                                        <div class="col-md-12">

                                            <form name="formname1" method="post">

                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <label><em style="color: red">* </em>Job Fair: </label><span style="color: red;margin-left:10px;font-weight:bold " id ="err_JobFair"></span>
                                                        <select class="form-control"  id="job_fair" name="job_fair">

                                                        </select>

                                                    </div>
                                                    <div class="form-group">
                                                        <label><em style="color: red">* </em>Contact Person Name: </label><span style="color: red;margin-left:10px;font-weight:bold " id ="err_Name"></span>
                                                        <input type="text" style="color: black" id="name" name="name" class="form-control"/>
                                                        </div>
                                                    <div class="form-group">
                                                        <label><em style="color: red">* </em>Contact Person Number: </label><span style="color: red;margin-left:10px;font-weight:bold " id ="err_Number"></span>
                                                        <input type="text" style="color: black" id="number" name="number" class="form-control"/>

                                                    </div>

                                                </div>

                                                <div class="col-md-12" style="float: right">
                                                    <!--<div class="col-md-12" style="margin-left: 180px">-->
                                                    <input type="button" class="btn btn-default" data-dismiss="modal" value="Cancel" style="font-weight:bold;margin-top: 20px;">
                                                    <input type="button" class="btn btn-primary" style="margin-top:20px;font-weight:bold;margin-left: 20px" id="jobfair_submit" name="jobfair_submit" value="Submit"><br>

                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </div>
                    </div>
                    <!--End Modal2-->
                </div>
                <!-- END MAIN CONTENT -->
            </div>
            <!-- END MAIN -->
            <div class="clearfix"></div>


           </div>
        </div>
      </div>
    </div>
<!-- /.content-wrapper -->
<script src="vendors/js/vendor.bundle.base.js"></script>
<script src="vendors/typeahead.js/typeahead.bundle.min.js"></script>
<script src="vendors/select2/select2.min.js"></script>
<!-- <script src="js/hoverable-collapse.js"></script> -->
<!-- <script src="js/template.js"></script> -->
<!--Pagination-->
<script type="text/javascript" src="bower_components/bootstrap-multiselect/dist/js/bootstrap-multiselect.js"></script>
<script type="text/javascript" src="js/plugins.js"></script>
<script type="text/javascript" src="js/jquery-bootpag.js"></script>
<script src="js/jquery.bootpag.min.js"></script>


<!-- Javascript Function -->
<script type="text/javascript">
    $('#btn_signout').click(function() {
        window.open('signout.php', '_self');
    });
</script>

<!-- Javascript Variables -->
<script type="text/javascript">
    var userId = '<?php echo $user_id; ?>';
</script>

<script type="text/javascript">var userId = '44';</script>
<script src="js/job_details.js?randStr=<?php echo $randStr; ?>"></script>
</body>
</html>

