<?php
session_start();

include 'includes/session.php';

$cscid = $_SESSION['cscid'];
$session_mail = $_SESSION['email'];

function getUserIpAddr() {
    if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
        //ip from share internet
        $ip = $_SERVER['HTTP_CLIENT_IP'];
    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        //ip pass from proxy
        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    } else {
        $ip = $_SERVER['REMOTE_ADDR'];
    }
    return $ip;
}

$ip = getUserIpAddr();
$randStr = rand();
?>
<!DOCTYPE html>
<html lang="en">
    <head>        
        <!-- META SECTION -->
        <title>Audit</title>            
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />

        <!-- END META SECTION -->

        <!-- CSS INCLUDE -->        
        <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
        <!-- EOF CSS INCLUDE -->                                    
<style>
    .invalid-feedback {
        color:red;
    }
</style>
    </head>
    <body>
        <!-- START PAGE CONTAINER -->
        <div class="page-container" style="height:1000px">

            <!-- START PAGE SIDEBAR -->
            <?php include 'includes/sidebar.php'; ?>
            <!-- END PAGE SIDEBAR -->

            <!-- PAGE CONTENT -->
            <div class="page-content">

                <!-- START X-NAVIGATION VERTICAL -->
                <?php include 'includes/header.php'; ?>
                <!-- END X-NAVIGATION VERTICAL -->                     

                <!-- START BREADCRUMB -->
                <ul class="breadcrumb">
                    <li>Home</li>                    
                    <li class="active">Audit</li>
                </ul>
                <!-- END BREADCRUMB -->  

                <!-- PAGE TITLE -->
                <div class="page-title">                    
                    <h2>Audit</h2>
                </div>
                <!-- END PAGE TITLE -->  

            			<!-- Content Wrapper. Contains page content -->
                        <div class="content-wrapper">
                            <!-- Content Header (Page header) -->
                            <section class="content-header">
                                
                            </section>
            
                            <!-- Main content -->
                            <section class="content">
                                <div class="" style="margin: auto; margin-bottom: 50px; width: 100%; max-width: 500px;">
                                    <form method="post"  id="upload-form" name="upload-form" enctype="multipart/form-data">
                                        <div class="col-sm-12">                               
            
                                            <label for="test">Upload Data<em style="color: red">*</em></label>
            
                                            <div class="form-group">
            
                                                <input id="excel_file" name="excel_file" class="form-control required" type="file" accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel"/>
                                                <input id="user_id" name="user_id" class="form-control required" type="hidden" value="<?php echo $userId ?>">
                                                
                                            </div>
            
                                        </div>
                                        
                                        <br>
            
                                        <div class="col-sm-12">
            
                                            <div class="form-group">
            
                                                <input type="submit" class="btn btn-success" value="Submit" id="submit" style="margin-top: 25px; margin-bottom: 25px;">
                                                <div class="text-center hide upload-excel">
                                            		<img src="images/loader.gif" alt="loading..."/>
                                            	</div>
                                            </div>
            
                                        </div>
            
                                    </form>
            
                                </div>
                                
                                <div class="row" border="2" border-color="black" style="padding: 10px; margin-top: 50px; background: white;">
                                  <table class="table">
                                     <thead>
                                        <tr>
                                           <th style="text-align:center; vertical-align: middle;" >Download File</th>
										   <th style="text-align:center; vertical-align: middle;" class="<?=$session_mail === 'test@csc.com'?"":"hide"?>">Approve File</th>
										   <th style="text-align:center; vertical-align: middle;" class="<?=$session_mail !== 'test@csc.com'?"":"hide"?>">Status</th>
                                           <!--<th style="text-align:center; vertical-align: middle;" >Approve File</th>-->
                                           <th style="text-align:center; vertical-align: middle;" >Comments</th>
                                           <th style="text-align:center; vertical-align: middle;" >Created at</th>
                                           <th style="text-align:center; vertical-align: middle;" >Updated at</th>
                                        </tr>
                                     </thead>
                                     <tbody id="result" style="font-size:13px">
                                         <tr class="text-center"><th>
                                             No Records
                                         </th></tr>
                                     </tbody>
                                  </table>
                                  <div class="pagination"></div>
                               </div>
                                
                            </section>
                            <!-- /.content -->
                        </div>
                        <!-- /.content-wrapper -->
						
            </div>            
            <!-- END PAGE CONTENT -->
        </div>
        <!-- END PAGE CONTAINER -->
        
        <?php include 'includes/header_logout.php'; ?>

        <!-- START SCRIPTS -->
        <!-- START PLUGINS -->
        <script type="text/javascript" src="js/jquery/jquery.min.js"></script>
            <script type="text/javascript" src="js/jquery/jquery-ui.min.js"></script>
            <script type="text/javascript" src="js/bootstrap/bootstrap.min.js"></script>   
            <script type="text/javascript" src="js/plugins.js"></script>
            <script type="text/javascript" src="js/actions.js"></script>
        <!-- END PLUGINS -->

		<!-- jQuery 3 -->
		<!-- <script src="bower_components/jquery/dist/jquery.min.js"></script> -->
		<script type="text/javascript" src="js/jquery-bootpag.js"></script>
		<script src="js/jquery.bootpag.min.js"></script>
		<script src="js/plugins/jquery.validate.js"></script>

        <script type="text/javascript">var cscId = '<?php echo $cscid; ?>';</script>
        <script type="text/javascript">var ip = '<?php echo $ip; ?>';</script>
		<script type="text/javascript">var session_mail = '<?php echo $session_mail; ?>';</script>
        <script type="text/javascript" src="js/csc_audit.js"></script>

        <!-- END TEMPLATE -->
        <!-- END SCRIPTS -->         
    </body>
</html>