<?php
session_start();

include 'includes/session.php';

$cscid = $_SESSION['cscid'];
function getUserIpAddr() {
    if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
        //ip from share internet
        $ip = $_SERVER['HTTP_CLIENT_IP'];
    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        //ip pass from proxy
        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    } else {
        $ip = $_SERVER['REMOTE_ADDR'];
    }
    return $ip;
}

$ip = getUserIpAddr();
$randStr = rand();
?>
<!DOCTYPE html>
<html lang="en">
    <head>        
        <!-- META SECTION -->
        <title>Update Training Details</title>            
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />

        <!-- END META SECTION -->

        <!-- CSS INCLUDE -->        
        <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
        <!-- EOF CSS INCLUDE -->                                    

    </head>
    <body>
        <!-- START PAGE CONTAINER -->
        <div class="page-container" style="height:1000px">

            <!-- START PAGE SIDEBAR -->
            <?php include 'includes/sidebar.php'; ?>
            <!-- END PAGE SIDEBAR -->

            <!-- PAGE CONTENT -->
            <div class="page-content">

                <!-- START X-NAVIGATION VERTICAL -->
                <?php include 'includes/header.php'; ?>
                <!-- END X-NAVIGATION VERTICAL -->                     

                <!-- START BREADCRUMB -->
                <ul class="breadcrumb">
                    <li>Home</li>                    
                    <li class="active">Update Training Details</li>
                </ul>
                <!-- END BREADCRUMB -->  

                <!-- PAGE TITLE -->
                <div class="page-title">                    
                    <h2>Update Training Details</h2>
                </div>
                <!-- END PAGE TITLE -->  

			<div class="modal fade" id="modal_update_training" role="dialog">
				<div class="modal-dialog">

					<!-- Modal content-->
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal">&times;</button>
							<h4 class="modal-title">Update Training Details</h4>
						</div>
						<div class="modal-body">
							<div class="row">
								<div class="col-md-12">

									<form name="formname1" method="post">
										<div class="col-md-12" style="margin-top:10px">
											<div class="col-md-6">
												<div class="form-group">
													<label>Start Date:</label><span style="margin-left:10px;font-weight:bold;color: red" id ="err_date"></span><br>	
													<input type="date" class="form-control"  id="training_start_date" name="training_start_date" >
												</div>
											</div>
										</div>
										<div class="col-md-12" style="margin-top:10px">
											<div class="col-md-6">
												<div class="form-group">
													<label>End Date:</label><span style="margin-left:10px;font-weight:bold;color: red" id ="err_date"></span><br>	
													<input type="date" class="form-control"  id="training_end_date" name="training_end_date" >
												</div>
											</div>
										</div>
										<div class="col-md-12" style="margin-top:10px">
											<div class="col-md-6">
												<div class="form-group">
													<label>Name :</label><span style="margin-left:10px;font-weight:bold;color: red" id ="err_mail"></span><br>	
													<input type="text" class="form-control"  id="training_name" name="training_name" >
												</div>
											</div>
										</div>
										<div class="col-md-12" style="margin-top:10px">
											<div class="col-md-6">
												<div class="form-group">
													<label>Status :</label><span style="margin-left:10px;font-weight:bold;color: red" id ="err_mail"></span><br>	
													<select class="form-control" id="training_status" name="training_status">																   
														   <option value="Pending">Pending</option>
														   <option value="InProgress">InProgress</option>
														   <option value="Completed">Completed</option>
													</select>
												</div>
											</div>
										</div>
										<div class="col-md-12" style="margin-top:10px">
											<div class="col-md-6">
												<div class="form-group">
													<label>Credential generated date :</label><span style="margin-left:10px;font-weight:bold;color: red" id ="err_mail"></span><br>	
													<input type="date" class="form-control"  id="credential_generated_date" name="credential_generated_date">
												</div>
											</div>
										</div>
										<div class="col-md-12" style="margin-top:10px">
											<div class="col-md-6">
												<div class="form-group">
													<label>URL :</label><span style="margin-left:10px;font-weight:bold;color: red" id ="err_mail"></span><br>	
													<input type="text" class="form-control"  id="training_url" name="training_url" >
												</div>
											</div>
										</div>
										<div class="col-md-12" style="float: right">
											<input type="button" class="btn btn-default" data-dismiss="modal" value="Cancel" style="font-weight:bold;margin-top: 20px;">
											<input type="button" class="btn btn-primary" style="margin-top:20px;font-weight:bold;margin-left: 20px" id="btn_update_training" name="Update" value="Update"><br>
										</div>
										
									</form>
								</div>
							</div>
						</div>

					</div>

				</div>
			</div>

			<div class="col-md-12 center" style="margin-top: 10px;">
				
				<div class="col-md-4">
					<div class="col-md-12">
						<label>
							Select From date
						</label>
					</div>
					<div class="col-md-12">
						<input type="date" name="deadline_date" id="from_date" class="form-control">
					</div>
				</div>
				<div class="col-md-4">
					<div class="col-md-12">
						<label>
							Select To date
						</label>
					</div>
					<div class="col-md-12">
						<input type="date" name="deadline_date" id="to_date" class="form-control">
					</div>
				</div>
				<div class="col-md-4">
					<div class="col-md-12" style="visibility: hidden">
						<label>
							Submit
						</label>
					</div>
					<div class="col-md-12">
					<button type="button" id="get_data" class="btn btn-primary">Submit</button>
					</div>
				</div>
				
			</div>

			<div class="col-md-12" style="margin-top: 50px;">
			
				<div class="col-md-12" style="margin-top: 10px;">
					<table class="table">
						<thead>
							<tr style="background-color:#4688f4; color:#ffffff;" >
							<th style="text-align:center;" >CSC Id</th>
							<th style="text-align:center;">Name</th>
							<th style="text-align:center;">Mobile Number</th>
							<th style="text-align:center;">Email ID</th>
							<th style="text-align:center;">District</th>
							<th style="text-align:center;">Registered date</th>
							<th style="text-align:center;">Update Training Details</th>
						</tr>
						</thead>
						<tbody id="list_vle_candidates">
						</tbody>
					</table>
					<div id="div_pagination" class="pagination"></div>
				</div>
						
			</div>
			
            </div>            
            <!-- END PAGE CONTENT -->
        </div>
        <!-- END PAGE CONTAINER -->
        
        <?php include 'includes/header_logout.php'; ?>

        <!-- START SCRIPTS -->
        <!-- START PLUGINS -->
        <script type="text/javascript" src="js/jquery/jquery.min.js"></script>
            <script type="text/javascript" src="js/jquery/jquery-ui.min.js"></script>
            <script type="text/javascript" src="js/bootstrap/bootstrap.min.js"></script>   
            <script type="text/javascript" src="js/plugins.js"></script>
            <script type="text/javascript" src="js/actions.js"></script>
        <!-- END PLUGINS -->

		<!-- jQuery 3 -->
		<!-- <script src="bower_components/jquery/dist/jquery.min.js"></script> -->
		<script type="text/javascript" src="js/jquery-bootpag.js"></script>
		<script src="js/jquery.bootpag.min.js"></script>

        <script type="text/javascript">var cscId = '<?php echo $cscid; ?>';</script>
        <script type="text/javascript">var ip = '<?php echo $ip; ?>';</script>
        <script type="text/javascript" src="js/csc_update_training.js"></script>
        <!-- END TEMPLATE -->
        <!-- END SCRIPTS -->         
    </body>
</html>






