<?php 

	$randStr = rand();

?>

<!DOCTYPE html>
<html lang="en">

	<head>

		<style>
			body {
				font-family: Arial, sans-serif;
				margin: 0;
				padding: 15px;
				background-color: #f4f4f4;
			}
			.container {
				max-width: 96%;
				margin-right: 13px;
				margin-left: 13px;
				margin-top: 15px;
				margin-bottom: 15px;
				background-color: #fff;
				padding: 15px;
				border-radius: 10px;
				box-shadow: 0px 0px 10px 0px rgba(0.5,0.5,0.5,0.5);
			}
			label {
			  font-weight: bold;
			  margin-top:10px;
			}
			button{
				margin:15px;
			}
			select {
				padding: 5px;
				margin-top: 15px;
				margin-bottom: 15px;
				border: 1px solid #000;
				border-radius: 5px;
				box-sizing: border-box;
			}
			input[type="text"], input[type="number"], input[type="tel"], textarea {
				width: 100%;
				padding: 3px;
				margin-top: 0px;
				margin-bottom: 15px;
			}
			.select2-selection {
			  -webkit-box-shadow: 0;
			  box-shadow: 0;
			  background-color: #fff;
			  margin-bottom: 15px;
			  border: 0;
			  border-radius: 0;
			  color: #555555;
			  font-size: 14px;
			  outline: 0;
			  min-height: 35px;
			  text-align: left;
			}
			
			/* Hide the desktop image by default */
			.desktop-banner-img {
			  display: none;
			}

			/* Hide the all div-banner elements by default */
			.div-desktop-banner-img {
			  display: none;
			}
			.div-mobile-banner-img {
			  display: none;
			}

			/* Show the desktop image when the screen size is larger than 768px */
			@media (min-width: 769px) {
			  .desktop-banner-img {
				display: block;
			  }
			  .mobile-banner-img {
				display: none;
			  }
			  .div-desktop-banner-img {
				display: block;
			  }
			  .div-mobile-banner-img {
				display: none;
			  }
			}

			/* Show the mobile image when the screen size is 768px or smaller */
			@media (max-width: 768px) {
			  .mobile-banner-img {
				display: block;
			  }
			  .desktop-banner-img {
				display: none;
			  }
			  .div-mobile-banner-img {
				display: block;
			  }
			  .div-desktop-banner-img {
				display: none;
			  }
			}
			
			.instruction {
				color: #5e5c5c;
				font-style: normal;
				margin-top: 0px;
				font-size: 13px;
				overflow: visible !important;
				line-height: 1;
				margin-bottom: 12px;
			}
			
			.radio-buttons-container{
				display: flex;
				flex-direction: row;
				margin-top:2px;
				margin-bottom:10px;
				margin-left:10px;
				margin-right:10px;
				gap: 20px; /* Adjust the gap between radio buttons as needed */
			}
			
			.custom-alert {
				width:60%;
				display: none;
				position: fixed;
				top: 40%;
				left: 50%;
				transform: translate(-50%, -50%);
				background-color: #FFFFFF;
				color: #000000;
				padding: 10px;
				border: 2px solid #000000;
				border-radius: 5px;
				text-align: center;
			}
			
		</style>

		<title>Kyndryl - Cyber Rakshak Training</title>

		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<link rel="shortcut icon" href="#"/>

		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous" />
		<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />

		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"></script>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
		
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
			
		<!--Modal-->
		<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>

	</head>

	<body class="container">
	
		<?php include 'includes/modal_basic.php'; ?>
		
		<div id="div_custom_alert" class="custom-alert">
			<p id="alert_message"></p>
			<button id="btn_custom_alert"></button>
		</div>
		
		<div style="margin:5px;">
			
			<div class="">
			  
				<!---------template Header Starts Here---------->
				<div class="">

					<div class="" style="margin-top:10px;">

						<h4 style="text-align:center;">
							Kyndryl - Cyber Rakshak Training
						</h4>
						
						<h5 style="text-align:center;">
							<u>Feedback Form</u>
						</h5>

					</div>

				</div>
				<!---------template Header Ends Here---------->
			  
			  <!---------template Container Starts Here---------->
			  <div class="">
				
				<div>
				
					<div id="div_basic_details" class="" style="display:none;">
						
						<!---------Email Starts Here---------->
						<div class="">
						
							<label class="">
								Beneficiary Email ID
								<span style="color:crimson;"><b>*</b></span>
								<br>
								<span class="">लाभार्थी की ईमेल </span>
							</label>

							<div class="">
								
								<span>
									<input id="email_id" fieldType=9 type="text" maxlength="300" name="Email1" checktype="c5" value="" placeholder="" />
								</span>
							
								<p class="instruction" elname="hint" id="hint-Name">Please enter your registered email id.</p>

							</div>
							
						</div>
						<!---------Email Ends Here---------->
				
						<div class="col-md-12" style="margin-top:30px; display:flex;">
						
							<div class="" style="width:20%;"></div>
							
							<button id="btn_verify" type="button" style="font-weight:bold; width:60%;" class="col-md-6 btn btn-primary">
								Verify
							</button>
							
							<div class="" style="width:20%;"></div>
							
						</div>
				  
					</div>
				  
					<div id="div_feedback_questions" class="" style="display:none;">
						
						<!---------Dropdown Starts Here---------->
						<div class="" style="margin-top:20px; margin-bottom:5px;">

							<label class="">
								Did you find the Cyber Rakshak Training useful?
								<span style="color:crimson;"><b>*</b></span>
								<br>
								<span class="">क्या आपको साइबर रक्षक प्रशिक्षण उपयोगी लगा ? </span>
							</label>

							<div class="">

								<select id="select_training_usefulness" class="" name="Dropdown" checktype="c1">
									<option selected="true" value="">-Select-</option>
									<option value="5">Extremely Useful (अत्यंत उपयोगी)</option>
									<option value="4">Very Useful (बहुत उपयोगी)</option>
									<option value="3">Moderately Useful (मध्यम रूप से उपयोगी)</option>
									<option value="2">Slightly Useful (थोड़ा उपयोगी)</option>
									<option value="1">Not Useful at all (बिल्कुल भी उपयोगी नहीं)</option>
								</select>

								<p id="Dropdown_error" class="" style="display:none;">Invalid value</p>

							</div>
							
							<div class=""></div>
							
						</div>
						<!---------Dropdown Ends Here---------->
				
						<!---------Dropdown Starts Here---------->
						<div class="" style="margin-top:20px; margin-bottom:5px;">

							<label class="">
								Was the content comprehensive in covering all essential details?
								<span style="color:crimson;"><b>*</b></span>
								<br>
								<span class="">क्या  विषयवस्तु सभी आवश्यक विवरणों को समुपयोग करने में व्यापक थी ?</span>
							</label>

							<div class="">

								<select id="select_content_comprehensiveness" class="" name="Dropdown" checktype="c1">
									<option selected="true" value="">-Select-</option>
									<option value="5">Extremely Comprehensive (अत्यंत व्यापक)</option>
									<option value="4">Very Comprehensive (बहुत व्यापक)</option>
									<option value="3">Moderately Comprehensive (मध्यम रूप से व्यापक)</option>
									<option value="2">Slightly Comprehensive (थोड़ा व्यापक)</option>
									<option value="1">Not Comprehensive at All (बिल्कुल भी व्यापक नहीं)</option>
								</select>

								<p id="Dropdown_error" class="" style="display:none;">Invalid value</p>

							</div>
							
							<div class=""></div>
							
						</div>
						<!---------Dropdown Ends Here---------->
				
						<!---------Dropdown Starts Here---------->
						<div class="" style="margin-top:20px; margin-bottom:5px;">

							<label class="">
								How easy was the course to understand?
								<span style="color:crimson;"><b>*</b></span>
								<br>
								<span class="">इस पाठ्यक्रम को समझना कितना आसान था ? </span>
							</label>

							<div class="">

								<select id="select_course_easiness" class="" name="Dropdown" checktype="c1">
									<option selected="true" value="">-Select-</option>
									<option value="5">Extremely Easy (अत्यंत आसान)</option>
									<option value="4">Very Easy (बहुत आसान)</option>
									<option value="3">Moderately Easy (मध्यम रूप से आसान)</option>
									<option value="2">Slightly Easy (थोड़ा आसान)</option>
									<option value="1">Not Easy at All (बिल्कुल भी आसान नहीं)</option>
								</select>

								<p id="Dropdown_error" class="" style="display:none;">Invalid value</p>

							</div>
							
							<div class=""></div>
							
						</div>
						<!---------Dropdown Ends Here---------->
				
						<!---------Dropdown Starts Here---------->
						<div class="" style="margin-top:20px; margin-bottom:5px;">

							<label class="">
								Did the trainer clearly explain all key aspects?
								<span style="color:crimson;"><b>*</b></span>
								<br>
								<span class="">क्या प्रशिक्षक ने सभी मुख्य पहलुओं को स्पष्ट रूप से समझाया ? </span>
							</label>

							<div class="">

								<select id="select_trainer_explanation" class="" name="Dropdown" checktype="c1">
									<option selected="true" value="">-Select-</option>
									<option value="5">Extremely Clear (अत्यंत स्पष्ट)</option>
									<option value="4">Very Clear (बहुत स्पष्ट)</option>
									<option value="3">Moderately Clear (मध्यम रूप से स्पष्ट)</option>
									<option value="2">Slightly Clear (थोड़ा स्पष्ट)</option>
									<option value="1">Not Clear at All (बिल्कुल भी स्पष्ट नहीं)</option>
								</select>

								<p id="Dropdown_error" class="" style="display:none;">Invalid value</p>

							</div>
							
							<div class=""></div>
							
						</div>
						<!---------Dropdown Ends Here---------->
				  
						<!---------RadioButton Starts Here---------->
						<div class="" style="margin-top:20px; margin-bottom:5px;">

							<label class="">
								After completing this training program, do you feel confident in your ability to identify and protect yourself against cyber fraud?
								<span style="color:crimson;"><b>*</b></span>
								<br>
								<span class="">क्या इस प्रशिक्षण कार्यक्रम को पूरा करने के बाद, आपको साइबर धोखाधड़ी की पहचान करने और अपने आप को सुरक्षित रखने में सक्षम होने का विश्वास है ? </span>
							</label>

							<div class="radio-buttons-container">

								<label for="id_rb_feeling_confident_against_cyber_fraud_yes" style="margin-right:15px;">
									<input style="margin:5px;" type="radio" id="id_rb_feeling_confident_against_cyber_fraud_yes" name="rb_feeling_confident_against_cyber_fraud" value="yes">
									Yes
								</label>

								<label for="id_rb_feeling_confident_against_cyber_fraud_no">
									<input style="margin:5px;" type="radio" id="id_rb_feeling_confident_against_cyber_fraud_no" name="rb_feeling_confident_against_cyber_fraud" value="no">
									No
								</label>

							</div>
							
							<div class=""></div>
							
						</div>
						<!---------Dropdown Ends Here---------->
				  
						<!---------RadioButton Starts Here---------->
						<div class="" style="margin-top:20px; margin-bottom:5px;">

							<label class="">
								Would you recommend this course to others ?
								<span style="color:crimson;"><b>*</b></span>
								<br>
								<span class="">क्या आप इस पाठ्यक्रम का सुझाव दूसरों को देंगे ? </span>
							</label>

							<div class="radio-buttons-container">

								<label for="id_rb_course_recommendation_to_others_yes" style="margin-right:15px;">
									<input style="margin:5px;" type="radio" id="id_rb_course_recommendation_to_others_yes" name="rb_course_recommendation_to_others" value="yes">
									Yes
								</label>
								
								<label for="id_rb_course_recommendation_to_others_no">
									<input style="margin:5px;" type="radio" id="id_rb_course_recommendation_to_others_no" name="rb_course_recommendation_to_others" value="no">
									No
								</label>

							</div>
							
							<div class=""></div>
							
						</div>
						<!---------Dropdown Ends Here---------->
				  
						<div class="col-md-12" style="margin-top:30px; display:flex;">
							<div class="" style="width:20%;"></div>
								<button id="btn_submit" type="button" style="font-weight:bold; width:60%;" class="col-md-6 btn btn-primary">
									Submit
								</button>
							<div class="" style="width:20%;"></div>
						</div>

					</div>
			  
				</div>
				
			  </div>
			  
			</div>
			<!-- ends -->
			
		</div>
		<!-- ends -->
		
		<script src="js/feedback.js?randStr=<?php echo $randStr; ?>"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
	
	</body>
	
</html>
