<?php
	
	session_start();
	
	$user_id = $_SESSION['user_id'];
	$user_type = $_SESSION['user_type'];
	$privileges = $_SESSION['privileges'];
	$privileges = explode (",", $privileges);
   
	if($user_type == 'Internal'){
		$val_display_internal = 'block';
	}else{
		$val_display_internal = 'none';
	}
	
	$url_admin_upload_beneficiaries = "https://jeevitam.com/admin/upload_kyndryl_beneficiaries_v2.php?user_id=".$user_id;
	$url_admin_upload_nielit_data = "https://jeevitam.com/admin/upload_nielit_data_v2.php?user_id=".$user_id;
	
?>

<?php
   $pageName =  basename($_SERVER['PHP_SELF']);
?>

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />

        <link rel="icon" href="logo-web.jpg" type="image/x-icon" />
        <!-- END META SECTION -->

        <!-- CSS INCLUDE -->        
        <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
        <!-- EOF CSS INCLUDE -->          

        <link rel="stylesheet" href="bower_components/bootstrap-multiselect/dist/css/bootstrap-multiselect.css" type="text/css"/>
        <style>
	
			/* Style the sidenav links and the dropdown button */
			.sidenav a, .dropdown-btn {
			  padding: 6px 8px 6px 16px;
			  text-decoration: none;
			  font-size: 20px;
			  color: #818181;
			  display: block;
			  border: none;
			  background: none;
			  width:100%;
			  text-align: left;
			  cursor: pointer;
			  outline: none;
			}

			/* On mouse-over */
			.sidenav a:hover, .dropdown-btn:hover {
			  color: #f1f1f1;
			}

		</style>
    </head>

	<body>
			
	<!--START PAGE SIDEBAR -->
	<div class = "page-sidebar">
	   <!--START X-NAVIGATION -->
	   <ul class = "x-navigation">
	   
		  <li class = "">
			 <a href = "#" class = "x-navigation-control"></a>
		  </li>
		  
		  <li class = "xn-profile">
		  
			 <a href = "#" class = "profile-mini">
			 </a>
			 
			 <div class = "profile">
			 
				<div class = "profile-image">
					<img src="../statistics_kyndryl/images/kyndryl_logo.png" style="background-color:white;" ></img>
				</div>
				
				<div class = "profile-data">
				</div>
				
				<div class = "profile-image hide" style="margin-top:30px">
				   <a href="https://jeevitam.com/">
				   <img src ="<?php echo $jeevitam_image ?>"/>
				   </a><br>
				   <a style="margin-top:5px" href="https://jeevitam.com/">jeevitam.com</a>
				</div>
				
			 </div>
			 
		  </li>
		  
			<li>
				<a id="sidebar_li_summary" href = "dashboard.php">
					<span id="ic_summary" class = "fa fa-files-o"></span> 
					Summary Dashboard
				</a>
			</li>
		  
			<li>
				<a id="sidebar_li_registered_candidates" href = "registered_candidates.php">
					<span id="ic_registered_candidates" class = "fa fa-user"></span>
					Registered Candidates
				</a>
			</li>
				
			<li>
				<a id="sidebar_li_view_training_programs" href = "view_training_programs.php">
					<span id="ic_view_training_programs" class = "fa fa-user"></span>
					View Training Programs
				</a>
			</li>
		  
			<li>
				<a id="sidebar_li_view_assessment_details" href = "assessment.php">
					<span id="ic_view_assessment_details" class = "fa fa-circle"></span>
					View Assessment Details
				</a>
			</li>
		  
			<li id="li_treeview_analytics_menu" class = "treeview inactive" style="display:block;">

				<a id="treeview_analytics_menu" href="#">
					<i id="ic_treeview_analytics_menu_01" class="fa fa-files-o"></i>
					<span>Analytics</span>
					<span class="pull-right-container">
						<i id="ic_treeview_analytics_menu_02" class="fa fa-angle-right pull-right"></i>
					</span>
				</a>

				<ul class="treeview-menu" style="display:block">

					<li>
						<a id="li_csc_datewise_registrations_graph" href = "csc_datewise_registrations_graph.php">
							<span id="ic_csc_datewise_registrations_graph" class = "fa fa-user"></span>
							Datewise Verified Candidates
						</a>
					</li>
					
					<li>
						<a id="li_csc_statewise_registrations_graph" href = "csc_statewise_registrations_graph.php">
							<span id="ic_csc_statewise_registrations_graph" class = "fa fa-user"></span>
							Statewise Verified Candidates
						</a>
					</li>
					
				</ul>
			 
			</li>
		  
			<?php if (in_array('upload_beneficiaries', $privileges)) { ?>
				<li style="background-color:#D27C51">
					<a href=<?php echo $url_admin_upload_beneficiaries; ?> target="_blank" style="color:#FFFFFF;" >	
						<i class="fa fa-upload" style="color:#FFFFFF;"></i>
						Upload Beneficiaries
					</a>
				</li>
			<?php } ?>
		  
			<?php if (in_array('upload_nielit_data', $privileges)) { ?>
				<li style="background-color:#D27C51">
					<a href=<?php echo $url_admin_upload_nielit_data; ?> target="_blank" style="color:#FFFFFF;" >	
						<i class="fa fa-upload" style="color:#FFFFFF;"></i>
						Upload NIELIT Data
					</a>
				</li>
			<?php } ?>
		  
	   </ul>
	   <!--END X-NAVIGATION -->
	</div>
	<!--END PAGE SIDEBAR -->
		
	<script type="text/javascript" src="js/jquery/jquery.min.js"></script>
	<script type="text/javascript" src="js/jquery/jquery-ui.min.js"></script>
	<script type="text/javascript" src="js/bootstrap/bootstrap.min.js"></script>   
	<script type='text/javascript' src='js/plugins/jquery.validate.js'></script>  
	<script type="text/javascript" src="js/plugins.js"></script>
	<script type="text/javascript" src="js/actions.js"></script>
	<!--Pagination--> 
	<script type="text/javascript" src="js/jquery-bootpag.js"></script>
	<script src="js/jquery.bootpag.min.js"></script>
	<!-- END PLUGINS -->
	<script type="text/javascript">var pageName = '<?php echo $pageName; ?>';</script>
	<script type="text/javascript" src="js/sidebar.js?randStr=<?php echo $randStr; ?>"></script>
	<!-- END TEMPLATE -->
	<!-- END SCRIPTS -->
	
	</body>
	
</html>