<?php

	session_start();
	$randStr = rand();

	function getUserIpAddr() {
		if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
			//ip from share internet
			$ip = $_SERVER['HTTP_CLIENT_IP'];
		} elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
			//ip pass from proxy
			$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
		} else {
			$ip = $_SERVER['REMOTE_ADDR'];
		}
		return $ip;
	}

	$ip = getUserIpAddr();

?>

<html>
    <head>
        <?php include("common/title-and-fav.php"); ?>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
        
        <!--Bootstrap css for responsiveness-->
        <link rel="stylesheet" href="css/bootstrap/bootstrap.min.css">
        
       <!--For scalable vector icons images-->
        <link rel="stylesheet" href="css/fontawesome/font-awesome.min.css">
        
        <link rel="icon" type="image/png" sizes="96x96" href="images/csc.jpeg">
        
         <!--To Display errors and exception on login-->
         <link rel="stylesheet" href="css/toastr/toastr.min.css">
    
        

        <style>
            .label-color{
                color:black;
            }
            .margin30px{
                margin-bottom:15px;
            }
            .btnright{
                float:right;
            }

            .error-message{
                font-weight:bold;
                color:red;
            }
            .cont{
                background-color: #EDEDED;
                padding-top: 10px;
                padding-bottom: 20px;
                padding-left: 20px;
                padding-right: 20px;
                border-radius: 15px;
                border-color: #d2d2d2;
                border-width: 5px;
                box-shadow: 0 1px 0 #cfcfcf;
                position:absolute;width:100%;
                margin-top: 30px;
            }
            
            .sez_title{
                
                color: black;
               -webkit-text-fill-color: white; /* Will override color (regardless of order) */
               -webkit-text-stroke-width: 2px;
               -webkit-text-stroke-color: black;
               text-align: center;
               font-size: 50px;
            }
        </style>
    </head>
    <body>
        <div class="container-fluid">
            <div class="row">

				<div class="col-md-4"></div>
			  
				<div class="col-md-4">
					<center><img src="images/kyndryl_logo.png" height='200px' width='200px'></center>
				</div>
				
				<div class="col-md-4"></div>
			
            </div>
            
            <div class="row">
                <div class="col-md-4">

                </div>
                <div class="col-md-4">
                    <div class="cont">
                        <center><label class="label-color">LOGIN</label></center>
                        <hr style="border: 1px solid white;">
                        <p class="margin30px"></p>
                        <div class="alert toast toast-error" aria-live="assertive" style="display: block;">
                            <button type="button" class="toast-close-button" role="button">×</button>
                            <div class="toast-message" id="warning"></div></div>
                        

                        <p class="success-message"></p>
                        <form id="formid" method="post">
                            <div class="row" id="visible_username">
                                <div class="col-md-4">
                                    <label class="label-color">User Name</label>
                                </div>
                                <div class="col-md-8">

                                    <input type="text" class="form-control" id="username" name="username">
                                </div>
                            </div>
                            <p class="margin30px"></p>
                            
                            
                            <div class="row" id="visible_password">
                                <div class="col-md-4">
                                    <label class="label-color">Password</label>
                                </div>
                                <div class="col-md-8">
                                    <input type="password" class="form-control" id="password" name="password">
                                </div>
                            </div>
                            <p class="margin30px"></p>
                            <input type="button" id="next" name="next" value="Submit" class="btn btn-primary btnright">
                            
                        </form>
                    </div>
                </div>
                <div class="col-md-4">

                </div>
            </div>
        </div>
        
            <!-- Javascript plugins and library -->
            <script type="text/javascript" src="js/jquery/jquery.min.js"></script>
            <script type="text/javascript" src="js/bootstrap/bootstrap.min.js"></script>   
            <script type="text/javascript">var ip = '<?php echo $ip; ?>';</script>
        
         <!-- Javascript for the php page -->
        <script src="js/index_temp.js?randStr=<?php echo $randStr; ?>"></script>
    </body>
</html>