var selected_id_for_update_training = '';
var selected_from_date = '';
var selected_to_date = '';

$('#get_data').click(function () {
	
	selected_from_date = $('#from_date').val().trim();
	selected_to_date = $('#to_date').val().trim();
	
	if(selected_from_date === '' || selected_to_date === ''){
		alert("Select  " + '"' + " FROM " + '"' + " and " + '"' + " TO " + '"' + " dates.");
	}else if(selected_from_date > selected_to_date){
		alert("select a valid " + '"' + " TO " + '"' + " " + "date");
	}else if((selected_from_date < selected_to_date) || (selected_from_date === selected_to_date)){
		
		getCandidatesData(selected_from_date, selected_to_date);
	
	}
		
});

function getCandidatesData(selected_from_date, selected_to_date){
	
	var url = "../CSC22API/api/csc_admin/get-registerd-candidates-count.php";
	
	var formvalue = {
	    from : selected_from_date,
		to : selected_to_date
	};
	
	var json = JSON.stringify(formvalue);
	
	$.ajax({
		type: "POST",
		url: url,
		data: json,
		dataType: 'json',
		success: function (data) {
    		
			var tdata = "";
			
			console.log(data);
			
			var count = data.total;
			
			var item_per_page = 10;

            var total = Math.ceil((count / item_per_page));
            getCandidatesList(10, 0, total);

            $(".pagination").bootpag({
                total: total,
                page: 1,
                maxVisible: item_per_page
            }).on("page", function (e, num) {
                e.preventDefault();
                console.log("Page Number:" + num);
                var page = num - 1;
                getCandidatesList(10, page, total);
            });
			
			
		},
		error: function (xhr, ajaxOptions, thrownError) {
			alert("ERROR - 0:" + xhr.responseText + " - " + thrownError);
		}
	});	
	
}

function getCandidatesList(item_per_page, page, total) {

    var start_offset;
    if (page === 0) {
        start_offset = 0;
    } else if (page > 0) {
        start_offset = (page * item_per_page);
    }

    var url = "../CSC22API/api/csc_admin/get-registerd-candidates-details.php";

	var formvalue = {
	    from : selected_from_date,
		to : selected_to_date,
		offset: start_offset
	};
	
	var json = JSON.stringify(formvalue);

	$.ajax({
		type: "POST",
		url: url,
		data: json,
		dataType: 'json',
		success: function (data) {

			if (data.result === 'success') {

				console.log(data);
				tableData(data.list);

			}

		},
		error: function (xhr, ajaxOptions, thrownError) {
			//alert("ERROR - 3:" + xhr.responseText + " - " + thrownError);
		}
	});

}

function tableData(table_data) {

    var tdata = "";

    for (var j = 0; j < table_data.length; j++) {

        tdata += '<tr style="margin-left: 150px;"> <td>' + table_data[j].vle_id + '</td>';
        tdata += '<td style="text-align:center;">' + table_data[j].first_name + " " + table_data[j].last_name + '</td>';
        tdata += '<td style="text-align:center;">' + table_data[j].phone_number + '</td>';
		tdata += '<td style="text-align:center;">' + table_data[j].email + '</td>';
        tdata += '<td style="text-align:center;">' + table_data[j].city + '</td>';
		tdata += '<td style="text-align:center;">' + table_data[j].created_at + '</td>';
		tdata += '<td style="text-align:center;"> <input type=button class="btn btn-primary" value="Update Training" onclick="updateTraining(\'' + table_data[j].id + '\')" ></td>';
		
		//if(table_data[j].is_training == '1') {
		//
        //    tdata += '<td style="text-align:center;"> <input type=button class="btn btn-primary" value="Update Training" disabled></td>';
        //}else {
        //    tdata += '<td style="text-align:center;"> <input type=button class="btn btn-primary" value="Update Training" onclick="updateTraining(\'' + table_data[j].id + '\')" ></td>';
        //}
		
        tdata += '</tr>';

    }

	console.log(tdata);

    $('#list_vle_candidates').html(tdata);

}

function updateTraining(id){

// 	console.log("is_training : " + is_training);
	
// 	if(is_training === '1'){
		
// 		alert("Updated already");
		
// 	}else {
		
		$('#modal_update_training').modal('show');

// 		$('#credential_generated_date').val(credential_generated_date);
		
		selected_id_for_update_training = id;
		
// 	}

	
}

$('#btn_update_training').click(function () {

	var url = "../CSC22API/api/csc_admin/update-training-for-candidate.php";
	
	var formvalue = {
		credential_generated_date : $('#credential_generated_date').val(),
		training_name : $('#training_name').val(),
		training_start_date : $('#training_start_date').val(),
		training_end_date : $('#training_end_date').val(),
		training_status : $('#training_status option:selected').val(),
		tarining_url : $('#training_url').val(),
		id : selected_id_for_update_training
	};
	
	var json = JSON.stringify(formvalue);
	
	$.ajax({
		type: "POST",
		url: url,
		data: json,
		dataType: 'json',
		success: function (data) {
    		
			console.log(data);
			alert(data.message);
			
			$('#modal_update_training').on('hidden.bs.modal', function () {
				$(this).find('form').trigger('reset');
			});
			
			$('#modal_update_training').modal('hide');
			
		},
		error: function (xhr, ajaxOptions, thrownError) {
			alert("ERROR - 0:" + xhr.responseText + " - " + thrownError);
		}
	});

});

$(document).ready(function() {
	
});