$(document).ready(function () {
	
	setStatewiseNIELITSummaryDetails();
	
});

function setStatewiseNIELITSummaryDetails(){
	
	var url = "../KyndrylV2DashboardAPIs/api/P2StatewiseNIELITSummaryDetails";
		
	fetch(url, {
		method: 'GET',
		headers: {
			'jeevitam-api-key': '313cfdc30d5fd9555c4e9cb593513ba4'
		}
	})
	.then(response => {
		if (!response.ok) {
			throw new Error('Network response was not ok');
		}
		return response.json();
	})
	.then(response => {
		
		var tdata = "";
		var transactions = response.list;
		var count_of_states = transactions.length;
		for(var i = 0; i < count_of_states; i++) {
			
			tdata += '<tr onclick="openDistrictwiseList(' + "\'" + transactions[i].beneficiary_state_name + "\'" + ')"' + '>';

				tdata += '<td>' + transactions[i].beneficiary_state_name+ '</td>';
				tdata += '<td>' + transactions[i].appeared + '</td>';
				tdata += '<td>' + transactions[i].qualified + '</td>';
				
			tdata += '</tr>';
			
		}
		$('#tb_content').html(tdata);
		
	})
	.catch(error => console.error('There was a problem with the fetch operation:', error));
	
}


function openDistrictwiseList(state_name){
	
	var url =  'p2_nielit_districts_registrations_count.php?state_name=' + state_name;
	window.open(url, '_blank');
	
}

