$(document).ready(function () {

	getAllDistrictsRegistrationsCountOfState(val_state_name);
	
});

function getAllDistrictsRegistrationsCountOfState(val_state_name){
	
	var url = "../KyndrylV2DashboardAPIs/api/P2DistrictwiseNIELITSummaryDetails?state=" + val_state_name;
	
	fetch(url, {
		method: 'GET',
		headers: {
			'jeevitam-api-key': '313cfdc30d5fd9555c4e9cb593513ba4'
		}
	})
	.then(response => {
		if (!response.ok) {
			throw new Error('Network response was not ok');
		}
		return response.json();
	})
	.then(response => {
		
		var tdata = "";
		var transactions = response.list;
		var count_of_districts = transactions.length;
		for(var i = 0; i < count_of_districts; i++) {
			
			tdata += '<tr>';

				tdata += '<td>' + transactions[i].beneficiary_district_name+ '</td>';
				tdata += '<td>' + transactions[i].appeared + '</td>';
				tdata += '<td>' + transactions[i].qualified + '</td>';
				
			tdata += '</tr>';
			
		}
		$('#tb_content').html(tdata);
		
	})
	.catch(error => console.error('There was a problem with the fetch operation:', error));
	
}


