var hex_code_treeview_active = "#0367B4";
var hex_code_treeview_text_active = "#FFFFFF";
var hex_code_treeview_ic_active = "#FFFFFF";
var hex_code_li_active = "#0383E4";
var hex_code_li_text_active = "#FFFFFF";
var hex_code_li_ic_active = "#FFFFFF";

var hex_code_treeview_inactive = "#313439";
var hex_code_treeview_text_inactive = "#8b91a0";
var hex_code_treeview_ic_inactive = "#8b91a0";
var hex_code_li_inactive = "#1B1E24";
var hex_code_li_text_inactive = "#8b91a0";
var hex_code_li_ic_inactive = "#8b91a0";

$(document).ready(function () {
    
	setStyleForSidebarHeadings();
	
});

$("#li_treeview_analytics_menu").click(function(){
	
	var class_list = $("#li_treeview_analytics_menu").attr("class");
	
	if(new RegExp("\\b"+'active'+"\\b").test(class_list)){	
		setTreeviewAnalyticsMenuInactive();
	}else{
		setTreeviewAnalyticsMenuActive();
	}
	
});

function setStyleForSidebarHeadings() {
	
	const urls_analytics_menu = [	"csc_datewise_registrations_graph.php", 
									"csc_date_range_gender_analysis.php", 
									"csc_date_range_registrations_analysis_by_group.php",
									"csc_statewise_registrations_graph.php"];
	
	if(pageName === 'dashboard.php'){
		$("#sidebar_li_summary"). css("background-color",hex_code_li_active);
		$("#sidebar_li_summary"). css("color",hex_code_li_text_active);
		$("#ic_summary"). css("color",hex_code_li_ic_active);
	}else {
		$("#sidebar_li_summary"). css("background-color",hex_code_li_inactive);
		$("#sidebar_li_summary"). css("color",hex_code_li_text_inactive);
		$("#ic_summary"). css("color",hex_code_li_ic_inactive);
	}
	
	if(pageName === 'create_training_program.php'){
		$("#sidebar_li_create_training_program"). css("background-color",hex_code_li_active);
		$("#sidebar_li_create_training_program"). css("color",hex_code_li_text_active);
		$("#ic_create_training_program"). css("color",hex_code_li_ic_active);
	}else {
		$("#sidebar_li_create_training_program"). css("background-color",hex_code_li_inactive);
		$("#sidebar_li_create_training_program"). css("color",hex_code_li_text_inactive);
		$("#ic_create_training_program"). css("color",hex_code_li_ic_inactive);
	}
	
	if(pageName === 'registered_candidates.php'){
		$("#sidebar_li_registered_candidates"). css("background-color",hex_code_li_active);
		$("#sidebar_li_registered_candidates"). css("color",hex_code_li_text_active);
		$("#ic_registered_candidates"). css("color",hex_code_li_ic_active);
	}else {
		$("#sidebar_li_registered_candidates"). css("background-color",hex_code_li_inactive);
		$("#sidebar_li_registered_candidates"). css("color",hex_code_li_text_inactive);
		$("#ic_registered_candidates"). css("color",hex_code_li_ic_inactive);
	}
	
	if(pageName === 'view_training_programs.php'){
		$("#sidebar_li_view_training_programs"). css("background-color",hex_code_li_active);
		$("#sidebar_li_view_training_programs"). css("color",hex_code_li_text_active);
		$("#ic_view_training_programs"). css("color",hex_code_li_ic_active);
	}else {
		$("#sidebar_li_view_training_programs"). css("background-color",hex_code_li_inactive);
		$("#sidebar_li_view_training_programs"). css("color",hex_code_li_text_inactive);
		$("#ic_view_training_programs"). css("color",hex_code_li_ic_inactive);
	}
	
	if(pageName === 'assessment.php'){
		$("#sidebar_li_view_assessment_details"). css("background-color",hex_code_li_active);
		$("#sidebar_li_view_assessment_details"). css("color",hex_code_li_text_active);
		$("#ic_view_assessment_details"). css("color",hex_code_li_ic_active);
	}else {
		$("#sidebar_li_view_assessment_details"). css("background-color",hex_code_li_inactive);
		$("#sidebar_li_view_assessment_details"). css("color",hex_code_li_text_inactive);
		$("#ic_view_assessment_details"). css("color",hex_code_li_ic_inactive);
	}
	
	if(pageName === 'vle_registered_candidates.php'){
		$("#sidebar_li_vle_registered_candidates"). css("background-color",hex_code_li_active);
		$("#sidebar_li_vle_registered_candidates"). css("color",hex_code_li_text_active);
		$("#ic_vle_registered_candidates"). css("color",hex_code_li_ic_active);
	}else {
		$("#sidebar_li_vle_registered_candidates"). css("background-color",hex_code_li_inactive);
		$("#sidebar_li_vle_registered_candidates"). css("color",hex_code_li_text_inactive);
		$("#ic_vle_registered_candidates"). css("color",hex_code_li_ic_inactive);
	}
	
	if(pageName === 'upload_vle_training_programs_data.php'){
		$("#sidebar_li_upload_vle_training_programs_data"). css("background-color",hex_code_li_active);
		$("#sidebar_li_upload_vle_training_programs_data"). css("color",hex_code_li_text_active);
		$("#ic_upload_vle_training_programs_data"). css("color",hex_code_li_ic_active);
	}else {
		$("#sidebar_li_upload_vle_training_programs_data"). css("background-color",hex_code_li_inactive);
		$("#sidebar_li_upload_vle_training_programs_data"). css("color",hex_code_li_text_inactive);
		$("#ic_upload_vle_training_programs_data"). css("color",hex_code_li_ic_inactive);
	}
	
	
	if(pageName === 'p2_summary.php'){
		$("#sidebar_li_p2_summary"). css("background-color",hex_code_li_active);
		$("#sidebar_li_p2_summary"). css("color",hex_code_li_text_active);
		$("#ic_p2_summary"). css("color",hex_code_li_ic_active);
	}else {
		$("#sidebar_li_p2_summary"). css("background-color",hex_code_li_inactive);
		$("#sidebar_li_p2_summary"). css("color",hex_code_li_text_inactive);
		$("#ic_p2_summary"). css("color",hex_code_li_ic_inactive);
	}
	
	if(pageName === 'p2_registered_beneficiaries.php'){
		$("#sidebar_li_p2_registered_beneficiaries"). css("background-color",hex_code_li_active);
		$("#sidebar_li_p2_registered_beneficiaries"). css("color",hex_code_li_text_active);
		$("#ic_p2_registered_beneficiaries"). css("color",hex_code_li_ic_active);
	}else {
		$("#sidebar_li_p2_registered_beneficiaries"). css("background-color",hex_code_li_inactive);
		$("#sidebar_li_p2_registered_beneficiaries"). css("color",hex_code_li_text_inactive);
		$("#ic_p2_registered_beneficiaries"). css("color",hex_code_li_ic_inactive);
	}
	
	if(pageName === 'p2_download_beneficiaries_data.php'){
		$("#sidebar_li_p2_download_beneficiaries_data"). css("background-color",hex_code_li_active);
		$("#sidebar_li_p2_download_beneficiaries_data"). css("color",hex_code_li_text_active);
		$("#ic_p2_download_beneficiaries_data"). css("color",hex_code_li_ic_active);
	}else {
		$("#sidebar_li_p2_download_beneficiaries_data"). css("background-color",hex_code_li_inactive);
		$("#sidebar_li_p2_download_beneficiaries_data"). css("color",hex_code_li_text_inactive);
		$("#ic_p2_download_beneficiaries_data"). css("color",hex_code_li_ic_inactive);
	}
	
	if(pageName === 'p2_download_nielit_data.php'){
		$("#sidebar_li_p2_download_nielit_data"). css("background-color",hex_code_li_active);
		$("#sidebar_li_p2_download_nielit_data"). css("color",hex_code_li_text_active);
		$("#ic_p2_download_nielit_data"). css("color",hex_code_li_ic_active);
	}else {
		$("#sidebar_li_p2_download_nielit_data"). css("background-color",hex_code_li_inactive);
		$("#sidebar_li_p2_download_nielit_data"). css("color",hex_code_li_text_inactive);
		$("#ic_p2_download_nielit_data"). css("color",hex_code_li_ic_inactive);
	}
	
	////////////////////////////////////////////////
	
	if(pageName === 'p2_download_error_beneficiaries_data.php'){
		$("#sidebar_li_p2_download_error_beneficiaries_data"). css("background-color",hex_code_li_active);
		$("#sidebar_li_p2_download_error_beneficiaries_data"). css("color",hex_code_li_text_active);
		$("#ic_p2_download_error_beneficiaries_data"). css("color",hex_code_li_ic_active);
	}else {
		$("#sidebar_li_p2_download_error_beneficiaries_data"). css("background-color",hex_code_li_inactive);
		$("#sidebar_li_p2_download_error_beneficiaries_data"). css("color",hex_code_li_text_inactive);
		$("#ic_p2_download_error_beneficiaries_data"). css("color",hex_code_li_ic_inactive);
	}
	
	if(pageName === 'p2_download_error_nielit_data.php'){
		$("#sidebar_li_p2_download_error_nielit_data"). css("background-color",hex_code_li_active);
		$("#sidebar_li_p2_download_error_nielit_data"). css("color",hex_code_li_text_active);
		$("#ic_p2_download_error_nielit_data"). css("color",hex_code_li_ic_active);
	}else {
		$("#sidebar_li_p2_download_error_nielit_data"). css("background-color",hex_code_li_inactive);
		$("#sidebar_li_p2_download_error_nielit_data"). css("color",hex_code_li_text_inactive);
		$("#ic_p2_download_error_nielit_data"). css("color",hex_code_li_ic_inactive);
	}
	
	////////////////////////////////////////////////
	
	if(pageName === 'p2_nielit_details.php'){
		$("#sidebar_li_p2_nielit_details"). css("background-color",hex_code_li_active);
		$("#sidebar_li_p2_nielit_details"). css("color",hex_code_li_text_active);
		$("#ic_p2_nielit_details"). css("color",hex_code_li_ic_active);
	}else {
		$("#sidebar_li_p2_nielit_details"). css("background-color",hex_code_li_inactive);
		$("#sidebar_li_p2_nielit_details"). css("color",hex_code_li_text_inactive);
		$("#ic_p2_nielit_details"). css("color",hex_code_li_ic_inactive);
	}	
	
	if(pageName === 'p2_helpline_number_data.php'){
		$("#sidebar_li_p2_helpline_number_data"). css("background-color",hex_code_li_active);
		$("#sidebar_li_p2_helpline_number_data"). css("color",hex_code_li_text_active);
		$("#ic_p2_helpline_number_data"). css("color",hex_code_li_ic_active);
	}else {
		$("#sidebar_li_p2_helpline_number_data"). css("background-color",hex_code_li_inactive);
		$("#sidebar_li_p2_helpline_number_data"). css("color",hex_code_li_text_inactive);
		$("#ic_p2_helpline_number_data"). css("color",hex_code_li_ic_inactive);
	}	
	
	if(urls_analytics_menu.includes(pageName)){
		
		setTreeviewAnalyticsMenuActive();
		
		if(pageName === 'csc_datewise_registrations_graph.php'){
			$("#li_csc_datewise_registrations_graph"). css("background-color",hex_code_li_active);
			$("#li_csc_datewise_registrations_graph"). css("color",hex_code_li_text_active);
			$("#ic_csc_datewise_registrations_graph"). css("color",hex_code_li_ic_active);
		}else {
			$("#li_csc_datewise_registrations_graph"). css("background-color",hex_code_li_inactive);
			$("#li_csc_datewise_registrations_graph"). css("color",hex_code_li_text_inactive);
			$("#ic_csc_datewise_registrations_graph"). css("color",hex_code_li_ic_inactive);
		}
		
		if(pageName === 'csc_date_range_gender_analysis.php'){
			$("#li_csc_date_range_gender_analysis"). css("background-color",hex_code_li_active);
			$("#li_csc_date_range_gender_analysis"). css("color",hex_code_li_text_active);
			$("#ic_csc_date_range_gender_analysis"). css("color",hex_code_li_ic_active);
		}else {
			$("#li_csc_date_range_gender_analysis"). css("background-color",hex_code_li_inactive);
			$("#li_csc_date_range_gender_analysis"). css("color",hex_code_li_text_inactive);
			$("#ic_csc_date_range_gender_analysis"). css("color",hex_code_li_ic_inactive);
		}
		
		if(pageName === 'csc_date_range_registrations_analysis_by_group.php'){
			$("#li_csc_date_range_registrations_analysis_by_group"). css("background-color",hex_code_li_active);
			$("#li_csc_date_range_registrations_analysis_by_group"). css("color",hex_code_li_text_active);
			$("#ic_csc_date_range_registrations_analysis_by_group"). css("color",hex_code_li_ic_active);
		}else {
			$("#li_csc_date_range_registrations_analysis_by_group"). css("background-color",hex_code_li_inactive);
			$("#li_csc_date_range_registrations_analysis_by_group"). css("color",hex_code_li_text_inactive);
			$("#ic_csc_date_range_registrations_analysis_by_group"). css("color",hex_code_li_ic_inactive);
		}
		
		if(pageName === 'csc_statewise_registrations_graph.php'){
			$("#li_csc_statewise_registrations_graph"). css("background-color",hex_code_li_active);
			$("#li_csc_statewise_registrations_graph"). css("color",hex_code_li_text_active);
			$("#ic_csc_statewise_registrations_graph"). css("color",hex_code_li_ic_active);
		}else {
			$("#li_csc_statewise_registrations_graph"). css("background-color",hex_code_li_inactive);
			$("#li_csc_statewise_registrations_graph"). css("color",hex_code_li_text_inactive);
			$("#ic_csc_statewise_registrations_graph"). css("color",hex_code_li_ic_inactive);
		}
		
	}else {
		
		setTreeviewAnalyticsMenuInactive();
		
	}
	
}

function setTreeviewAnalyticsMenuActive() {
	
	$("#li_treeview_analytics_menu").removeClass("inactive");
	$("#li_treeview_analytics_menu").addClass("active");
	$("#treeview_analytics_menu").css("background-color",hex_code_treeview_active);
	$("#treeview_analytics_menu").css("color",hex_code_treeview_text_active);
	$("#ic_treeview_analytics_menu_01").css("color",hex_code_treeview_ic_active);
	$("#ic_treeview_analytics_menu_02").removeClass("fa-angle-right");
	$("#ic_treeview_analytics_menu_02").addClass("fa fa-angle-down pull-right");
	$("#ic_treeview_analytics_menu_02").css("color",hex_code_treeview_ic_active);
}

function setTreeviewAnalyticsMenuInactive() {
	
	$("#li_treeview_analytics_menu").removeClass("active");
	$("#li_treeview_analytics_menu").addClass("inactive");
	$("#treeview_analytics_menu").css("background-color",hex_code_treeview_inactive);
	$("#treeview_analytics_menu").css("color",hex_code_treeview_text_inactive);
	$("#ic_treeview_analytics_menu_01").css("color",hex_code_treeview_ic_inactive);
	$("#ic_treeview_analytics_menu_02").removeClass("fa-angle-down");
	$("#ic_treeview_analytics_menu_02").addClass("fa fa-angle-right pull-right");
	$("#ic_treeview_analytics_menu_02").css("color",hex_code_treeview_ic_inactive);
}