$(document).ready(function(){
    
	$('#lbl_view_more_list').click(function() {
		window.open('https://www.jeevitam.com/admin/view_nielit_data_v2.php', '_blank');
	});

	
	$.ajax({
		type: "GET",
		url: "../DTTurboHire/api/ujs_csc/get_admin_data_summary_nielit_v2.php",
		data: {},
		dataType: 'json',
		success: function(response) {
			if(response.result == 'success') {
				
				var transactions = response.list;
				total_records = transactions;
		
				$('#td_total_count').text(transactions[0].total_count);
				$('#td_total_count_mail_verified').text(transactions[0].total_mail_verified_count);
				$('#td_current_date_count').text(transactions[0].current_date_count);
				$('#td_last_updated_record').text(transactions[0].last_updated_record_through_api);
				
			}
		}
	});
	
	$.ajax({
		type: "GET",
		url: "../DTTurboHire/api/ujs_csc/get_summary_of_uploaded_data_nielit_v2.php",
		data: {},
		dataType: 'json',
		success: function(response) {

			if(response.result == 'success') {
				
				var transactions = response.list;
				total_records = transactions;
				
					var tdata = "";
        
					if (transactions !== null && transactions.length > 0) {
						
						for (var j = 0; j < transactions.length; j++) {

							tdata += '<tr>';
								tdata += '<td style=" text-align: center; vertical-align: middle;">' + transactions[j].uploaded_at_short + '</td>';
								tdata += '<td style=" text-align: center; vertical-align: middle;">' + transactions[j].registered_at_short + '</td>';
								tdata += '<td style=" text-align: center; vertical-align: middle;">' + transactions[j].uploaded_by + '</td>';
								tdata += '<td style=" text-align: center; vertical-align: middle;">' + transactions[j].uploaded_data_count + '</td>';
							tdata += '</tr>';
							
						}
						
					}else{
						
					}
									
					$('#result').html(tdata);
				
			}else {
				
				$('#errorMsg').html(response.message);
				
			}

		}
	});
    
});

$('#close_btn_modal_prompt_01').click(function() {
	$('#modal_prompt_01').hide();
});

async function uploadFile() {

	$('#modal_prompt_02').show();
	$('#download_data_status').hide();
	$('#div_upload_summary_respone').hide();
	$('#footer_modal_prompt_01').hide();
	
	let formData = new FormData();
	formData.append("user_id", user_id);
	formData.append("upload_kyndryl_nielit_data", $('input[type=file]')[0].files[0]);
  
	var response = await fetch('../DTTurboHire/api/ujs_csc/upload_kyndryl_nielit_data_v2.php', {
		method: "POST", 
		body: formData
	})
	.then((response) => response.json());
	
	var response_json = await response;

	if(response_json.result === "success"){		
			
		$('#modal_prompt_02').hide();
		$('#modal_prompt_01').show();
			
		$('#footer_modal_prompt_01').show();
		
		$('#div_upload_summary_respone').show();		
		$('#lbl_mp1_success').text(response_json.records_upload_success);
		$('#lbl_mp1_failure').text(response_json.records_upload_failure);
		
		$('#lbl_modal_prompt_01').text("Success.. Data Processed.");
		$("#lbl_modal_prompt_01").css("color", "Blue");
		$("#vle_training_sessions_data").val('');
		$('#download_data_status').show();
		$('#download_data_status').attr("href", response_json.upload_status_file_path);
		
	}else{
		
		$('#modal_prompt_02').hide();
		$('#modal_prompt_01').show();
		
		$('#footer_modal_prompt_01').show();
		$('#lbl_modal_prompt_01').text("Error Occurred. Please check the uploaded data & try again.");
		$("#lbl_modal_prompt_01").css("color", "Red");
		$("#vle_training_sessions_data").val('');
		
	}
	
}


