$(document).ready(function(){
    
	
    
});

$('#close_btn_modal_prompt_01').click(function() {
	$('#modal_prompt_01').hide();
});

async function uploadFile() {

	$('#modal_prompt_01').show();
	$('#download_data_status').hide();
	$('#div_upload_summary_respone').hide();
	$('#footer_modal_prompt_01').hide();
	$('#lbl_modal_prompt_01').text("Uploading Data.. Please wait..");
	
	let formData = new FormData();
	formData.append("vle_training_sessions_data", $('input[type=file]')[0].files[0]);
  
	var response = await fetch('../DTTurboHire/api/ujs_csc/upload_vle_training_session_data.php', {
		method: "POST", 
		body: formData
	})
	.then((response) => response.json());
	
	var response_json = await response;
 
	if(response_json.result === "success"){		
			
		console.log("response_result : " + response_json.result);
		
		$('#footer_modal_prompt_01').show();
		
		$('#div_upload_summary_respone').show();		
		$('#lbl_mp1_success').text(response_json.records_upload_success);
		$('#lbl_mp1_failure').text(response_json.records_upload_failure);
		
		$('#lbl_modal_prompt_01').text("Success.. Data Processed.");
		$("#lbl_modal_prompt_01").css("color", "Blue");
		$("#vle_training_sessions_data").val('');
		$('#download_data_status').show();
		$('#download_data_status').attr("href", response_json.upload_status_file_path);
		
	}else{
		
		$('#footer_modal_prompt_01').show();
		$('#lbl_modal_prompt_01').text("Error Occurred. Please check the uploaded data & try again.");
		$("#lbl_modal_prompt_01").css("color", "Red");
		$("#vle_training_sessions_data").val('');
		
	}
  
}


