var vle_state_id = '';
var vle_district_id = '';
var vle_id = '';
var count_traininig_programs = '';

$(document).ready(function () {
	
	{
					
		$.ajax({
			type: "GET",
			url: "../kyndrylAPIs/api/ujs_csc/get_registered_candidates_summary_count.php",
			data: {
			},
			dataType: 'json',
			success: function (response) {

				var tdata = "";
				var transactions = response.list;
				if (transactions !== null && transactions.length > 0) {
					
					//$('#lbl_total_count').html('Count : ' + transactions.length);
					
					for (var j = 0; j < transactions.length; j++) {

						$('#td_total_programs_completed').html(transactions[j].total_programs_completed);
						$('#td_total_candidates_from_jeevitam_page').html(transactions[j].total_candidates_from_jeevitam_page);
						$('#td_total_candidates_from_cyber_gyan').html(transactions[j].total_candidates_from_cyber_gyan);
						$('#td_total_attendance_marked').html(transactions[j].total_attendance_marked);
						$('#td_total_feedback_received').html(transactions[j].total_feedback_received);
						
					}
					
				}
					
			}
		});
		
	}
    
	$.ajax({
        type: "GET",
        url: "../kyndrylAPIs/api/kyndryl/get_all_vle_states.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response;
            var option = '';
            option += '<option value=' + "" + '>--- Select All ---' + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].state_name + '>' + transactions[j].state_name + '</option>';
                }
            }

            $('#vle_state').html(option);

        }
    });
	
	$('#vle_state').change(function(){
		
		resetProcess();
		
		vle_state_id = $('#vle_state').val();
	  
		$.ajax({
			type: "GET",
			url: "../kyndrylAPIs/api/kyndryl/get_vle_statewise_districts.php?vle_state_id=" + vle_state_id,
			data: {
			},
			dataType: 'json',
			success: function (response) {

				var transactions = response;
				var option = '';
				option += '<option value=' + "" + '>--- Select All ---' + '</option>';
				if (transactions !== null && transactions.length > 0) {
					for (var j = 0; j < transactions.length; j++) {

						var val_district_name = transactions[j].district_name.replace(/ /g, "$");
						option += '<option value=' + val_district_name + '>' + transactions[j].district_name + '</option>';
						
					}
				}

				$('#vle_city').html(option);

			}
		});
	  
	});	
		
	function replaceAllCharacters(input_string, char_to_replace, char_to_replace_with){
		
		if(input_string.includes(char_to_replace)){
			input_string=input_string.replace(char_to_replace, char_to_replace_with);
			input_string=replaceAllCharacters(input_string, char_to_replace, char_to_replace_with);
		}
		
		return input_string;
		
	}
	
	$('#vle_city').change(function(){
		
		resetProcess();
		
		vle_district_id = $('#vle_city').val();
		
		vle_district_id = replaceAllCharacters(vle_district_id, '$', ' ');
		
		selectElement = document.querySelector('#vle_city');
        output = selectElement.options[selectElement.selectedIndex].value;
	  
		$.ajax({
			type: "GET",
			url: "../kyndrylAPIs/api/kyndryl/get_vle_ids_districtwise.php?vle_district_id=" + vle_district_id,
			data: {
			},
			dataType: 'json',
			success: function (response) {

				var transactions = response;
				var option = '';
				option += '<option value=' + "" + '>--- Select All ---' + '</option>';
				if (transactions !== null && transactions.length > 0) {
					for (var j = 0; j < transactions.length; j++) {
						option += '<option value=' + transactions[j].csc_id + '>' + transactions[j].csc_id + ' - ' + transactions[j].csc_id_name + '</option>';
					}
				}

				$('#vle_id').html(option);

			}
		});
	  
	});
	
	$('#vle_id').change(function(){
	  
		//resetProcess();
		vle_id = $('#vle_id').val();
	  
	});

	function dateRangeValidate(from_date, to_date){
		
		from_date = new Date(from_date);
		to_date = new Date(to_date);
		
		if(from_date > to_date){
			return false;
		}else{
			return true;
		}
		
	}
    
	$('#btn_download_data').click(function () {
		
		var from_date = $('#training_program_from_date').val();
		var to_date = $('#training_program_to_date').val();
		
		//swal({
		//	text: "Preparing Data.. Please wait",
		//	buttons: false,
		//	closeOnEsc: false,
		//	closeOnClickOutside: false
		//});

		var url_download_data = "../kyndrylAPIs/api/ujs_csc/download_training_program_details_by_registered_at.php?from_date=" + from_date + "&to_date=" + to_date;

		window.open(url_download_data, '_blank');

		//$.ajax({
		//	type: "GET",
		//	url: "../kyndrylAPIs/api/ujs_csc/download_training_program_details_by_registered_at.php?from_date=" + from_date + "&to_date=" + to_date,
		//	data: {
		//	},
		//	dataType: 'json',
		//	success: function (response) {
		//
		//		swal.close();
		//
		//		var file_url = response.data;
		//		
		//		window.open(file_url, '_blank');
		//		
		//	}
		//});
				
	});
	
	$('#btn_submit').click(function () {
		
		vle_state_id = $('#vle_state').val();
		vle_district_id = vle_district_id;
		vle_id = $('#vle_id').val();
		
		var from_date = $('#training_program_from_date').val();
		var to_date = $('#training_program_to_date').val();
		
		if (vle_id == null){
			vle_id = '';
		}
		
		var err_count = 0;
		
		if( (from_date!=='') || (to_date!=='') ){
			
			if((from_date === '') || (from_date === null)){
				alert("ENTER 'FROM' DATE");
				err_count++;
			}else if((to_date === '') || (to_date === null)){
				alert("ENTER 'TO' DATE");
				err_count++;
			}else{
				if(!dateRangeValidate(from_date, to_date)){
					alert("ENTER A VALID DATE RANGE.");
					err_count++;
				}					
			}
			
		}
		
		if(err_count===0){
			
			swal({
				text: "Loading.. Please wait",
				buttons: false,
				closeOnEsc: false,
				closeOnClickOutside: false
			});
			
			$.ajax({
				type: "GET",
				url: "../kyndrylAPIs/api/ujs_csc/get_training_programs.php?vle_state_id=" + vle_state_id + "&vle_district_id=" + vle_district_id + "&vle_id=" + vle_id + "&training_program_from_date=" + from_date + "&training_program_to_date=" + to_date,
				data: {
				},
				dataType: 'json',
				success: function (response) {

					swal.close();

					var tdata = "";
					var transactions = response.list;
					if (transactions !== null && transactions.length > 0) {
						
						$('#lbl_total_count').html('Training Programs Count : ' + transactions.length);
						
						for (var j = 0; j < transactions.length; j++) {

							$('#btn_download_data').show();
							var date_status = isPastDate(transactions[j].training_program_date);

							if(date_status === 'date_expired'){
								tdata += '<tr style="background-color:#d6d6d6; ">';
							}else if(date_status === 'current_date'){
								tdata += '<tr style="background-color:#7FF75F; ">';
							}else{
								tdata += '<tr>';
							}

							tdata += '<td style="vertical-align: middle;"><center>' + transactions[j].csc_academy_centre_name + '</center></td>';
							tdata += '<td style="vertical-align: middle;"><center>' + getConvertedDate(transactions[j].training_program_date) + '</center></td>';
							if(date_status === 'date_expired'){
								tdata += '<td style="vertical-align: middle;"><center>' + "YES" + '</center></td>';
							}else if(date_status === 'current_date'){
								tdata += '<td style="vertical-align: middle;"><center>' + "CURRENT_DATE" + '</center></td>';
							}else{
								tdata += '<td style="vertical-align: middle;"><center>' + "NO" + '</center></td>';
							}
							tdata += '<td style="vertical-align: middle;"><center>' + transactions[j].state_name + '</center></td>';
							tdata += '<td style="vertical-align: middle;"><center>' + transactions[j].district_name + '</center></td>';
							tdata += '<td style="vertical-align: middle;"><center>' + transactions[j].csc_id_name + '<br>' + '(' + transactions[j].csc_id + ')' + '</center></td>';
							
							if(transactions[j].training_program_status === 'NOT_UPDATED'){
								tdata += '<td hidden style="vertical-align: middle;"><center>' + '--' + '</center></td>';
							}else{
								tdata += '<td hidden style="vertical-align: middle;"><center>' + transactions[j].training_program_status + '</center></td>';
							}
							
							tdata += '<td style="vertical-align: middle;"><center>' + transactions[j].total_count + '</center></td>';
							tdata += '<td style="vertical-align: middle;"><center>' + transactions[j].attendance_received + '</center></td>';
							tdata += '<td style="vertical-align: middle;"><center>' + transactions[j].feedback_received + '</center></td>';
							tdata += '<td style="vertical-align: middle;"><center>' + '<button class="btn btn-primary" id="btn_view_candidates" name="btn_view_candidates" onclick="viewCandidates(' + transactions[j].training_program_id + ')">View</button>' + '</center></td>';
							//tdata += '<td style="vertical-align: middle;"><center>' + '<button class="btn btn-primary" id="btn_download_report_training_program" name="btn_download_report_training_program" onclick="downloadReportTrainingProgram(' + transactions[j].training_program_id + ')">Download</button>' + '</center></td>';
							
							tdata += '<td style="vertical-align: middle;"><center>' + '<button class="btn btn-primary" id="btn_download_report_training_program" name="btn_download_report_training_program" onclick="downloadReportTrainingProgram(' + transactions[j].training_program_id + ')">Download</button>' + '</center></td>';
								
							tdata += '</tr>';

						}
					}else{
						$('#lbl_total_count').html('Training Programs Count : 0');
					}
					
					$('#result').html(tdata);

					$.ajax({
						type: "GET",
						url: "../kyndrylAPIs/api/ujs_csc/get_registered_candidates_summary_count_by_daterange.php?from_date=" + from_date + "&to_date=" + to_date,
						data: {
						},
						dataType: 'json',
						success: function (response) {

							var tdata = "";
							var transactions = response.list;
							if (transactions !== null && transactions.length > 0) {
								
								//$('#div_custom_dates_summary').show();
								$('#div_custom_dates_summary').hide();
								
								for (var j = 0; j < transactions.length; j++) {

									$('#td_2_total_programs_completed').html(transactions[j].total_programs_completed);
									$('#td_2_total_candidates_from_jeevitam_page').html(transactions[j].total_candidates_from_jeevitam_page);
									$('#td_2_total_candidates_from_cyber_gyan').html(transactions[j].total_candidates_from_cyber_gyan);
									$('#td_2_total_attendance_marked').html(transactions[j].total_attendance_marked);
									$('#td_2_total_feedback_received').html(transactions[j].total_feedback_received);
									
								}
								
							}
								
						}
					});

				}
				
			});
			
		}
		
	});
		   
});

function isPastDate(date_input){
	
	var result = '';
	var current_date_value = new Date();
	var input_date_value = new Date(date_input);
	
	console.log("date_value_complete : " + current_date_value + " input_date_value : " + input_date_value);
	
	if(input_date_value < current_date_value){
		
		result = 'date_expired';
		
		var str_input_date_value = (((input_date_value).toString()).slice(0, 15));
		var str_current_date_value = (((current_date_value).toString()).slice(0, 15));
		
		if(str_current_date_value === str_input_date_value){
			result = 'current_date';
		}
		
	}else if(input_date_value > current_date_value){
		result = 'future_date';
	}
	
	return result;
	
}

function getConvertedDate(date_input){
	
	selected_date_input = date_input;
	
	var new_date_value = new Date(date_input);
	selected_new_date_value_complete = new_date_value;
	console.log("selected_new_date_value_complete : " + selected_new_date_value_complete);
	new_date_value = new_date_value.toString();
	new_date_value = new_date_value.slice(0, 15);
	
	return new_date_value;
	
}

function viewCandidates(training_program_id){
	
	window.open("view_training_program_candidates.php?training_program_id=" + training_program_id);
	
}

function downloadReportTrainingProgram(training_program_id){
		
	var url_download_data = "../kyndrylAPIs/api/ujs_csc/download_training_program_candidates.php?training_program_id=" + training_program_id;
	window.open(url_download_data, '_blank');
	
}

function resetProcess(){
	
	$('#result').html('');
	$('#vle_id').html('');
	vle_district_id = '';
	$('#lbl_total_count').html('');
	$('#lbl_total_count').hide();
	$('#btn_download_data').hide();
	$('#div_custom_dates_summary').hide();
	
}
