$(document).ready(function () {
    
    //$("#total_leads_div").hide();
    $('#ok').click(function () {
        
        var vle_id = $('#vle_id').val();
        
        var err = 0;


        if (vle_id === '') {
            err++;
            $("#err_vle_id").html("Mandatory");
        } else {
            $("#err_vle_id").html("*");
        }


        if (err === 0) {
            
            $.ajax({
                type: "GET",
                data: {},
                dataType: 'json',
                url: "../CSC22API/api/csc_admin/vle_wise_candidates_count.php?vle_id="+vle_id,
                success: function (data) {

                    var records = data.detail;
                    var totalrecords = parseInt(records.total);
                    var id_created = parseInt(records.created);
                    var id_active_candidates = parseInt(records.total_active_candidates);
                    var id_not_created = parseInt(records.not_created);
                    
                    if (totalrecords === 0) {
                        alert("No records found");
                        $('#result').html("");
                        $("#total").html(0);
                    } else {
                        var total = Math.ceil((totalrecords / 10));
                        $("#total_leads_div").show();
						$("#div_btn_download").show();
                        $("#total").html(totalrecords);
                        $("#id_created").html(id_created);
                        $("#id_active_candidates").html(id_active_candidates);
                        $("#id_not_created").html(id_not_created);
                        getData(10, 0, total, vle_id);
                        $(".pagination").bootpag({
                            total: total,
                            page: 1,
                            maxVisible: 10
                        }).on("page", function (e, num) {
                            e.preventDefault();
                            var page = num - 1;
                            console.log(num);
                            getData(10, page, total, vle_id);
                        });
                    }
                },
                error: function (xhr, jqXHR, textStatus, errorThrown) {
                    alert("get session failed " + errorThrown);
                    alert(xhr.responseText);
                }
            });
        } else {
            alert("Fill Mandatory Fields");
        }
    });
    
});

$('#btn_download').click(function () {
	
	var vle_id = $('#vle_id').val();
	
	window.open('https://jeevitam.com/CSC22API/api/csc_admin/download_vlewise_candidates_data.php?vle_id='+vle_id, '_blank');
	
});

function getData(item_per_page, page, lastpage, vle_id) {

    var start_offset;

    if (page === 0) {
        start_offset = 0;

    } else if (page > 0) {

        start_offset = (page * item_per_page);
    }

    $.ajax({
        type: "GET",
        data: {},
        dataType: 'json',
        url: '../CSC22API/api/csc_admin/vle_wise_candidates_details.php?vle_id='+vle_id+'&offset='+start_offset,
        success: function (data) {
            var tdata = "";
            var transactions = data.list;
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    tdata += '<tr>';

                    tdata += '<td>' + transactions[j].first_name + " " + transactions[j].last_name + '</td>';
                    tdata += '<td>' + transactions[j].phone_number + '</td>';
                    tdata += '<td>' + transactions[j].email + '</td>';
                    tdata += '<td>' + transactions[j].candidate_state + '</td>';
                    tdata += '<td>' + transactions[j].candidate_city + '</td>';
					
					if(transactions[j].interested_profile === '0'){
						tdata += '<td>' + "" + '</td>';
					}else {
						tdata += '<td>' + transactions[j].interested_profile + '</td>';
					}
                    
					if(transactions[j].mail_verify_new === '1'){
						tdata += '<td style="color: green; font-weight:bold;">' + "Verified" + '</td>';
					}else {
						tdata += '<td style="color: black; font-weight:bold;">' + "Not Verified" + '</td>';
					}
					
					if(transactions[j].skill_build_id_created === '1'){
						tdata += '<td>' + 'created' + '</td>';
					}else{
						tdata += '<td>' + '--' + '</td>';
					}

					if(transactions[j].active_course_count === '0'){
						tdata += '<td>' + '--' + '</td>';
					}else{
						tdata += '<td style="color: blue; font-weight:bold;">' + 'YES' + '</td>';
					}
						
                    tdata += '</tr>';

                }
            }
			
            $('#result').html(tdata);

        },
        error: function (xhr, jqXHR, textStatus, errorThrown) {
            alert("get session failed " + errorThrown);
            alert(xhr.responseText);
        }
    });

}

