<?php
	
	$user_id = $_SESSION['user_id'];
	$user_type = $_SESSION['user_type'];
	$privileges = $_SESSION['privileges'];

	function getUserIpAddr() {
		if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
			//ip from share internet
			$ip = $_SERVER['HTTP_CLIENT_IP'];
		} elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
			//ip pass from proxy
			$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
		} else {
			$ip = $_SERVER['REMOTE_ADDR'];
		}
		return $ip;
	}

	$ip = getUserIpAddr();
	$randStr = rand();
	
?>

<!DOCTYPE html>
<html lang="en">

    <head>

		<!-- META SECTION -->
		<title>NIELIT Details - Statewise(P2)</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<!-- END META SECTION -->

		<!-- Meta tags -->
		<meta charset = "utf-8">
		<meta name = "viewport" content = "width = device-width, initial-scale = 1, shrink-to-fit = no">
      
		<!-- CSS INCLUDE -->        

		<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
		<link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
		<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
		<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js"></script>

		<style>
		
			.table-cell-center-align{
				text-align: center;
				vertical-align: middle;
				background-color:#FFFFFF;
			}
		
		</style>
		
        <!-- EOF CSS INCLUDE -->                                    
		
    </head>
	
    <body>
        <!-- START PAGE CONTAINER -->
        <div class="page-container">
            <!-- START PAGE SIDEBAR -->
            <?php include 'includes/sidebar.php'; ?>
            <!-- END PAGE SIDEBAR -->
            <!-- PAGE CONTENT -->
            <div class="page-content">
                <!-- START X-NAVIGATION VERTICAL -->
                <?php include 'includes/header.php'; ?>
                <!-- END X-NAVIGATION VERTICAL -->                     
                <!-- START BREADCRUMB -->
                <ul class="breadcrumb">
                    <li>Home</li>
					<li>2024-2025</li>
                    <li class="active">NIELIT Details - Statewise(P2)</li>
                </ul>
                <!-- END BREADCRUMB -->  
                <!-- PAGE TITLE -->
                <div class="page-title">
                </div>
                <!-- END PAGE TITLE --> 
                <div class="row">
				
					<div class="col-md-12">
						<div class="col-md-4">						
							<div class="page-title">
								<h3>NIELIT Details - Statewise(P2)</h3>
							</div>
							<br>
						</div>
						<div class="col-md-4">
						</div>
						<div class="col-md-4"></div>
					</div>
					
					<div class="row">
						
						<div class="col-md-12">

							<!-- START SIMPLE DATATABLE -->
							<div class="panel panel-default">
							
								<div class="panel-body">
									
									<div class="form-group">
										
										<table class="table table-bordered table-hover table-cell-center-align col-md-12">
											
											<thead class="table-cell-center-align">
												
												<tr>
													<th class="col-md-4 table-cell-center-align" scope="col">State</th>
													<th class="col-md-4 table-cell-center-align" scope="col">Appeared</th>
													<th class="col-md-4 table-cell-center-align" scope="col">Qualified</th>
												</tr>
												
											</thead>
											
											<tbody id="tb_content">
												
												
												
											</tbody>
											
										</table>						
								
									</div>
									
								</div>
								
							</div>
							<!-- END SIMPLE DATATABLE -->

						</div>
						
					</div>                                
            	
                </div>
                <!-- END WIDGETS --> 

			<!-- END PAGE CONTENT -->
            </div>
			
		</div>
		      
            <!-- END PAGE CONTAINER -->
            <?php include 'includes/header_logout.php'; ?>
            <!-- START SCRIPTS -->
			
			<!-- base:js -->
			<!--<script src="../JeevitamV2/vendors/js/vendor.bundle.base.js"></script>-->
			<!-- endinject -->
			<!-- inject:js -->
			<script src="../JeevitamV2/js/off-canvas.js"></script>
			<script src="../JeevitamV2/js/hoverable-collapse.js"></script>
			<script src="../JeevitamV2/js/template.js"></script>
			<script src="../JeevitamV2/js/settings.js"></script>
			<script src="../JeevitamV2/js/todolist.js"></script>
			
            <script type="text/javascript" src="js/p2_nielit_details.js?randStr=<?php echo $randStr; ?>"></script>
            <!-- END TEMPLATE -->
            <!-- END SCRIPTS -->         
    </body>
	
</html>
