<?php
   session_start();
   
   $randStr = rand();
   
   include 'includes/session.php';
   $session_mail= $_SESSION['email'];
   function getUserIpAddr() {
       if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
           //ip from share internet
           $ip = $_SERVER['HTTP_CLIENT_IP'];
       } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
           //ip pass from proxy
           $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
       } else {
           $ip = $_SERVER['REMOTE_ADDR'];
       }
       return $ip;
   }
   
   $ip = getUserIpAddr();
   
   ?>
<html lang="en">
   <head>
      <!-- META SECTION -->
      <title>CSC</title>
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
      <meta http-equiv="X-UA-Compatible" content="IE=edge" />
      <meta name="viewport" content="width=device-width, initial-scale=1" />
      <link rel="icon" type="image/png" sizes="96x96" href="assets/images/jeevitam.jpg">
      <!-- END META SECTION -->
      <!-- CSS INCLUDE -->        
      <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
      <!-- EOF CSS INCLUDE --> 
      <style>
         .loader{
         border: 10px solid #f3f3f3;
         border-radius: 90%;
         border-top: 10px solid #3498db;
         width: 50px;
         height: 50px;
         -webkit-animation: spin 2s linear infinite; /* Safari */
         animation: spin 2s linear infinite;
         /*margin: 130px;*/
         }
         @keyframes spin {
         0% { transform: rotate(0deg); }
         100% { transform: rotate(360deg); }
         }
         .modal1 {
         display: none; /* Hidden by default */
         position: fixed; /* Stay in place */
         z-index: 1; /* Sit on top */
         padding-top: 150px; /* Location of the box */
         left: 0;
         top: 0;
         width: 100%; /* Full width */
         height: 100%; /* Full height */
         overflow: auto; /* Enable scroll if needed */
         /*background-color: rgb(0,0,0);*/  
         background-color: rgba(0,0,0,0.4);  
         }
         .modal {
         display: none; /* Hidden by default */
         position: fixed; /* Stay in place */
         z-index: 1; /* Sit on top */
         padding-top: 20px;  /* Location of the box*/ 
         left: 0;
         top: 0;
         width: 100%; /* Full width */
         /*min-width: 350px;*/
         height: 100%; /* Full height */
         overflow: auto;  /*Enable scroll if needed*/ 
         background-color: rgb(0,0,0); /* Fallback color */
         background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
         }
         /* Modal Content */
         .modal-content {
         background-color: #fefefe;
         margin: auto;
         padding: 20px;
         border: 1px solid #888;
         width: 45%;
         }
         .close:focus {
         text-decoration: none;
         cursor: pointer;
         }
         .close:hover{
         color: #6f6f6f;
         font-weight: bold;
         }
         .close_state:focus {
         text-decoration: none;
         cursor: pointer;
         }
         .close_state:hover{
         color: #6f6f6f;
         font-weight: bold;
         }
      </style>
   </head>
   <body>
      <!-- START PAGE CONTAINER -->
      <div class="page-container">
         <!-- START PAGE SIDEBAR -->
         <?php include 'includes/sidebar.php'; ?>
         <!-- END PAGE SIDEBAR -->
         <!-- PAGE CONTENT -->
         <div class="page-content">
            <!-- START X-NAVIGATION VERTICAL -->
            <?php include 'includes/header.php'; ?>
            <!-- END X-NAVIGATION VERTICAL -->                     
            <!-- START BREADCRUMB -->
            <ul class="breadcrumb">
               <li><a href="#">Home</a></li>
               <li class="active">Search</li>
            </ul>
            <!-- END BREADCRUMB -->                       
            <!-- PAGE CONTENT WRAPPER -->
            <div class="page-content-wrap">
               <!-- START WIDGETS -->                    
               <div class="col-md-12">
                  <br>
                  <br>
                  <h3>Search</h3>
               </div>
	       <div class="form-group" >
		            <form   method="post" id="csc_search_reg"> 
                  <div class="col-md-12" style="margin-bottom:15px;">
                     <!--<label class="col-md-2 control-label">From Date:</label>-->
                     <div class="col-md-4">      
                        <span class="help-block">Enter Email </span>
                        <input type="email" class="form-control" id="email" name="email">
                        
                     </div>
                     
                     <div class="col-md-1">     
                        <div class="help-block" style="margin-top: 28px;margin-left: 18px;">OR</div>
                     </div>
                     
                     <!--<label class="col-md-2 control-label">To date:</label>-->
                     <div class="col-md-4">     
                        <span class="help-block">Enter Phone Number </span>
                        <input type="text" class="form-control" id="phone_number" name="phone_number">
                        
                     </div>
                     
                     <div class="col-md-3" style="margin-top:20px">
                        <button type="submit"  class="btn btn-primary" id="ok" name="ok"> Ok</button>
                     </div>
                     
                     </div>
                     
                     
                     
                  </div>
                  <div class="clearfix"></div>
                  
		</form>
               </div>
               <div class="row" border="2" border-color="black" style="padding: 10px;margin-top: 30px;background: white;">
                  <table class="table">
                     <thead>
                        <tr>
                           <th class="<?=$session_mail ==='test@csc.com'?"":"hide"?>">Delete</th>
                           <th>VLE Id</th>
                           <th>Candidate Name</th>
                           <th>Email</th>
                           <th>Address</th>
                           <th>City</th>
						   <th>Phone Number</th>
                           <th>Mail verification</th>
                           <th>Registered Date</th>
                        </tr>
                     </thead>
                     <tbody id="result" style="font-size:13px">
                         <tr class="text-center"><th>
                             No Records
                         </th></tr>
                     </tbody>
                  </table>
                  <div class="pagination"></div>
               </div>
            </div>
         </div>
      </div>
      <!-- END PAGE CONTENT WRAPPER -->                                
      <!-- END PAGE CONTENT -->
      <!-- END PAGE CONTAINER -->
      <!-- MESSAGE BOX-->
      <?php include 'includes/header_logout.php'; ?>
      <!-- END MESSAGE BOX-->
      <!-- START PRELOADS -->
      <audio id="audio-alert" src="audio/alert.mp3" preload="auto"></audio>
      <audio id="audio-fail" src="audio/fail.mp3" preload="auto"></audio>
      <!-- END PRELOADS -->                  
      <!-- START SCRIPTS -->
      <!-- START PLUGINS -->
      <!--Default plugins for this template-->
      <script type="text/javascript" src="js/jquery/jquery.min.js"></script>
      <script type="text/javascript" src="js/jquery/jquery-ui.min.js"></script>
      <script type="text/javascript" src="js/bootstrap/bootstrap.min.js"></script>   
      <script type='text/javascript' src='js/plugins/jquery.validate.js'></script>  
      <script type="text/javascript" src="js/plugins.js"></script>
      <script type="text/javascript" src="js/actions.js"></script>
      <!--Pagination--> 
      <script type="text/javascript" src="js/jquery-bootpag.js"></script>
      <script src="js/jquery.bootpag.min.js"></script>
      <!-- END PLUGINS -->
      <script type="text/javascript">var cscId = '<?php echo $cse_id; ?>';</script>
      <!--<script type="text/javascript" src="js/registered_candidates.js?randStr=<?php echo $randStr; ?>"></script> -->
      <script>
      var session_email = '<?=$session_mail?>';
      var hide_check = session_email === 'test@csc.com'?"":"hide";
          $('#csc_search_reg').submit(function() {
              var email =$('#email').val();
              var phone_number =$('#phone_number').val();
              if(email === '' && phone_number === '') {
                  alert('Atleast enter email or phone number');
              }
              else {
				  
                  $.ajax({
                		url:'../CSC22API/api/csc_admin/get-search-candidate.php',
                		type:'post',
                		data: $('#csc_search_reg').serialize(),  				
                		success: function (data) {

                        var records = data;
                        var totalrecords = records.total;
                        if (totalrecords === 0) {
                            alert("No records found");
                            $('#result').html("");
                            $("#total").html(0);
                        } else {
                            var total = Math.ceil((totalrecords / 10));
                            $("#total_leads_div").show();
                            $("#total").html(totalrecords);
                            getData(10, 0, total,phone_number, email);
                            $(".pagination").bootpag({
                                total: total,
                                page: 1,
                                maxVisible: 10
                            }).on("page", function (e, num) {
                                e.preventDefault();
                                var page = num - 1;
                                console.log(num);
                                getData(10, 0, total,phone_number, email);
                            });
                        }
                },
                error: function (xhr, jqXHR, textStatus, errorThrown) {
                    alert("get session failed " + errorThrown);
                    alert(xhr.responseText);
                }
                	});
              }
              return false;
          });
function getData(item_per_page, page, lastpage, phone_number, email) {
    var start_offset;
    if (page === 0) {
        start_offset = 0;
    } else if (page > 0) {
        start_offset = (page * item_per_page);
    }
    var formValues = {
    phone_number: phone_number,
    email: email,
    offset: start_offset
    };
    var json = JSON.stringify(formValues);
    $.ajax({
        type: "POST",
        data: json,
        dataType: 'json',
        url: '../CSC22API/api/csc_admin/get-search-candidates-details.php',
        success: function (data) {
            var tdata = "";
            var transactions = data.list;
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    tdata += '<tr id="'+ transactions[j].id +'">';
                    tdata +='<td class="'+hide_check+'"><input type="checkbox" onclick="updateRecords(' + transactions[j].id + ')"/></td>';
                    tdata += '<td>' + transactions[j].vle_id + '</td>';
                    tdata += '<td>' + transactions[j].first_name + " " + transactions[j].last_name + '</td>';
                    tdata += '<td>' + transactions[j].email + '</td>';
                    tdata += '<td>' + transactions[j].address + '</td>';
                    tdata += '<td>' + transactions[j].city + '</td>';
					
					tdata += '<td>' + transactions[j].phone_number + '</td>';
					
					if(transactions[j].mail_verify_new === '1'){
						
						tdata += '<td>' + "Verified" + '</td>';
						
					}else {
						
						tdata += '<td>' + "Not Verified" + '</td>';
						
					}
					
                    //tdata += '<td>' + transactions[j].interested_profile + '</td>';
					
                    if(transactions[j].created_at == '0000-00-00' || transactions[j].created_at == null){
                        tdata += '<td>Pending</td>';
                    }else{
                        tdata += '<td>' + transactions[j].created_at + '</td>';
                    }
                    tdata += '</tr>';

                }
                $('#result').html(tdata);
            }
            else {
                $('#result').html('<div style="margin-top:15px;font-size:15px;"><b>No Records avaiable given value</b></div>');
            }
            

        },
        error: function (xhr, jqXHR, textStatus, errorThrown) {
            alert("get session failed " + errorThrown);
            alert(xhr.responseText);
        }
    });
}
function updateRecords(v) {
    if(confirm('Do you want to delete this candidate?')) {
        var formValues = {id: v};
        var json = JSON.stringify(formValues);
        $.ajax({
        		url:'../CSC22API/api/csc_admin/in-active-candidate.php',
        		type:'post',
        		data: json,  
        		dataType: 'json',
        		success: function (data) {
                var records = data;
                var totalrecords = records.total;
                $('#'+v).css('display','none');
                alert(records.message)
            },
            error: function (xhr, jqXHR, textStatus, errorThrown) {
                alert("get session failed " + errorThrown);
                alert(xhr.responseText);
            }
        });
    }
}
      </script>
      <!-- END TEMPLATE -->
      <!-- END SCRIPTS -->         
   </body>
</html>
