<?php
session_start();

// $name = $_SESSION['name'];
$training_id = $_GET['training_id'];

?>

<!DOCTYPE html>
<html lang="en">
    <head>        
        <!-- META SECTION -->
        <title>Track Report</title>            
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />

        <link rel="icon" href="logo-web.jpg" type="image/x-icon" />
        <!-- END META SECTION -->

        <!-- CSS INCLUDE -->        
        <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
        <!-- EOF CSS INCLUDE -->                                     
    </head>
    <body>
        <!-- START PAGE CONTAINER -->
        <div class="page-container">

            <!-- START PAGE SIDEBAR -->
            <?php include 'includes/sidebar.php'; ?>

            <!-- END PAGE SIDEBAR -->

            <!-- PAGE CONTENT -->
            <div class="page-content">

                <!-- START X-NAVIGATION VERTICAL -->

                <?php include 'includes/header.php'; ?>

                <!-- START BREADCRUMB -->

                <ul class="breadcrumb">
                    <li><a href="dashboard.php">Home</a></li>                    
                    <li class="active">Track Report</li>
                </ul>
                <!-- END BREADCRUMB -->

                <!-- PAGE TITLE -->
                <div class="page-title">                    
                    <h2>Track Report</h2>
                </div>
                <!-- END PAGE TITLE -->                

                <!-- PAGE CONTENT WRAPPER -->
                <div class="page-content-wrap">                

                    <div class="col-md-12">
                        <br>
                        <br>
                        
                    </div>
                    
        <!--            <div class="form-group">-->

                                    
        <!--                                    <div class="col-md-12">-->
        <!--                                        <label class="col-md-2 control-label">From Date:</label>-->
        <!--                                        <div class="col-md-3">                                                                                            -->
        <!--                                            <input type="date" class="form-control" id="from_date" name="from_date">-->
        <!--                                            <span class="help-block">From date :  <span style="color: red;" id="err_from_date"></span></span>-->
        <!--                                        </div>-->


        <!--                                        <label class="col-md-2 control-label">To date:</label>-->
        <!--                                        <div class="col-md-3">                                                                                            -->
        <!--                                            <input type="date" class="form-control" id="to_date" name="to_date">-->
        <!--                                            <span class="help-block">To date :  <span style="color: red;" id="err_to_date"></span></span>-->
        <!--                                        </div>-->
        <!--                                        <div class="col-md-2"></div>-->
        <!--                                    </div>-->
        <!--                                    <div class="col-md-12">-->
        <!--                                        <label class="col-md-2 control-label">Select Training Session:</label>-->
        <!--                                        <div class="col-md-3">-->
        <!--                                            <select class="form-control" id="training" name="training">-->
                                                       
        <!--                                            </select>-->
                                                    
        <!--                                            <span class="help-block">Training Session:<span style="color: red;" id="err_type"></span></span>-->
        <!--                                        </div>-->
        <!--                                        <div class="col-md-2"></div>-->
        <!--                                        <div class="col-md-5"><button class="btn btn-primary" id="ok" name="ok"> Ok</button></div>-->
        <!--                                <div class="col-md-12" id="total" >-->
        <!--                                    <center> <span style="font-size:18px;color:black">Total Candidates : <span style="font-size:20px;color:black;font-weight:bold" id="total_leads"></span></span></center>-->
        <!--                                <center><button class="btn btn-primary" style="margin-top: 10px;margin-bottom: 10px;" id="download" name="download"> Download</button></center>-->
        <!--                                </div>        -->
                                        
        <!--                            </div>-->
                                            
								<!--</div>-->
					<div class="col-md-12" id="total" >
                        <center> <span style="font-size:18px;color:black">Total Candidates : <span style="font-size:20px;color:black;font-weight:bold" id="total_leads"></span></span></center>
                    <center><button class="btn btn-primary" style="margin-top: 10px;margin-bottom: 10px;" id="download" name="download"> Download</button></center>
                    </div>			

                    <div class="row" border="2" border-color="black" style="padding:10px; margin-top:30px; background: white;">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Phone Number</th>
                                    <th>Email</th>
                                    <!--<th>State</th>-->
                                    <th>City</th>
                                    <th>Applied Date</th>
                                    <th>Attendance</th>
                                    
                                    <th>Feedback Details</th>
                                    
                                    
                                </tr>
                            </thead>
                            <tbody id="result">
                            </tbody>
                        </table>
                            <div class="pagination"></div>

                    </div>

                </div>
                <!-- PAGE CONTENT WRAPPER -->                                
            </div>    
            <!-- END PAGE CONTENT -->
        </div>
        <!-- END PAGE CONTAINER -->       

        <!-- MESSAGE BOX-->
        <div class="message-box animated fadeIn" data-sound="alert" id="mb-signout">
            <div class="mb-container">
                <div class="mb-middle">
                    <div class="mb-title"><span class="fa fa-sign-out"></span> Log <strong>Out</strong> ?</div>
                    <div class="mb-content">
                        <p>Are you sure you want to log out?</p>                    
                        <p>Press No if you want to continue work. Press Yes to logout current user.</p>
                    </div>
                    <div class="mb-footer">
                        <div class="pull-right">
                            <a href="index.php" class="btn btn-success btn-lg">Yes</a>
                            <button class="btn btn-default btn-lg mb-control-close">No</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END MESSAGE BOX-->

        <!-- START PRELOADS -->
        <audio id="audio-alert" src="audio/alert.mp3" preload="auto"></audio>
        <audio id="audio-fail" src="audio/fail.mp3" preload="auto"></audio>
        <!-- END PRELOADS -->                       

        <!-- START SCRIPTS -->
        <!-- START PLUGINS -->
        <script type="text/javascript" src="js/plugins/jquery/jquery.min.js"></script>
        <script type="text/javascript" src="js/plugins/jquery/jquery-ui.min.js"></script>
        <script type="text/javascript" src="js/plugins/bootstrap/bootstrap.min.js"></script>        
        <!-- END PLUGINS -->     

        <!--Pagination-->

        <script type="text/javascript" src="js/jquery-bootpag.js"></script>
        <script src="js/jquery.bootpag.min.js"></script>

        <!-- THIS PAGE PLUGINS -->
        <script type='text/javascript' src='js/plugins/jquery-validation/jquery.validate.js'></script> 
        <script type='text/javascript' src='js/plugins/icheck/icheck.min.js'></script>
        <script type="text/javascript" src="js/plugins/mcustomscrollbar/jquery.mCustomScrollbar.min.js"></script>

        <script type="text/javascript" src="js/plugins/datatables/jquery.dataTables.min.js"></script>    
        <!-- END PAGE PLUGINS -->

        <!-- START TEMPLATE -->
        <!--<script type="text/javascript" src="js/settings.js"></script>-->

        <script type="text/javascript" src="js/plugins.js"></script>        
        <script type="text/javascript" src="js/actions.js"></script> 

        <!-- END TEMPLATE -->
    <!--<script type="text/javascript">var teacher_id = '<?php echo $teacher_id; ?>';</script>-->
<script type="text/javascript">var training_id = '<?php echo $training_id; ?>';</script>
        <script type="text/javascript" src="js/track_report.js"></script>

        <!-- END SCRIPTS --> 

    </body>
</html>






