<?php

	session_start();

	include 'includes/session.php';
	
	$user_id = $_SESSION['user_id'];
	$user_type = $_SESSION['user_type'];
	$privileges = $_SESSION['privileges'];

	$randStr = rand();
	
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <!-- META SECTION -->
        <title>Upload Summary Values</title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <!-- END META SECTION -->
		
	  <!-- Meta tags -->
      <meta charset = "utf-8">
      <meta name = "viewport" content = "width = device-width, initial-scale = 1, shrink-to-fit = no">
      
      <!-- Bootstrap CSS -->
      
		<script src = "https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
		
        <!-- CSS INCLUDE -->        
        <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
		
		<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
		
		<style>
			table, th, td {
				border: 1px solid;
				padding: 15px;
			}
		</style>
		
        <!-- EOF CSS INCLUDE -->                                    
		
    </head>
    <body>
        <!-- START PAGE CONTAINER -->
        <div class="page-container">
            <!-- START PAGE SIDEBAR -->
            <?php include 'includes/sidebar.php'; ?>
            <!-- END PAGE SIDEBAR -->
            <!-- PAGE CONTENT -->
            <div class="page-content">
                <!-- START X-NAVIGATION VERTICAL -->
                <?php include 'includes/header.php'; ?>
                <!-- END X-NAVIGATION VERTICAL -->                     

                <!-- PAGE TITLE -->
                <div class="page-title">
                    <!--<h2>Summary Dashboard</h2>-->
                </div>
                <!-- END PAGE TITLE --> 
                <div class="row">
					
					<div class="col-md-12">
					
						<div class="col-md-4">						
							<div class="page-title">
								<h3></h3>
							</div>
							<br>
						</div>
						<div class="col-md-4">
						</div>
						<div class="col-md-4"></div>
						
					</div>

					<div class="col-md-12">
					
						<div class="col-md-6">
							
							<div class="col-md-4">						
								<div class="page-title">
									<h3>Main Summary Values</h3>
								</div>
								<br>
							</div>
							
							<table>
								
								<tr>
									<th style="padding: 15px; text-align:center; " >TILE NAME</th>
									<th style="padding: 15px; text-align:center; " >VALUE</th>
								</tr>
								
								<tr>
									<td style="padding: 15px;" >Beneficiaries Attendance (Phase 1)</td>
									<td style="padding: 15px;" ><input type="text" id="total_candidates_attendance_phase_1" name="total_candidates_attendance_phase_1"></td>
								</tr>
								
								<tr>
									<td style="padding: 15px;" >Profile Details (Phase 1)</td>
									<td style="padding: 15px;" ><input type="text" id="total_beneficary_profile_details_phase_1" name="total_beneficary_profile_details_phase_1"></td>
								</tr>
								
								<tr>
									<td style="padding: 15px;" >Registered Beneficiaries (Phase 2)</td>
									<td style="padding: 15px;" ><input type="text" id="total_candidates_registered_phase_2" name="total_candidates_registered_phase_2"></td>
								</tr>
								
								<tr>
									<td style="padding: 15px;" >Attendance (Phase 2)</td>
									<td style="padding: 15px;" ><input type="text" id="total_candidates_attendance_phase_2" name="total_candidates_attendance_phase_2"></td>
								</tr>
								
								<tr>
									<td style="padding: 15px;" >Attendance (Phase 2)</td>
									<td style="padding: 15px;" ><input type="text" id="total_beneficary_profile_details_phase_2" name="total_beneficary_profile_details_phase_2"></td>
								</tr>

								<tr>
									<td style="padding: 15px;" >Training Programs Scheduled</td>
									<td style="padding: 15px;" ><input type="text" id="training_programs_scheduled" name="training_programs_scheduled"></td>
								</tr>
								
								<tr>
									<td style="padding: 15px;" >Training Programs Completed</td>
									<td style="padding: 15px;" ><input type="text" id="training_programs_completed" name="training_programs_completed"></td>
								</tr>
								
								<tr>
									<td style="padding: 15px;" >NIELIT Appeared</td>
									<td style="padding: 15px;" ><input type="text" id="total_nielit_appeared" name="total_nielit_appeared"></td>
								</tr>
								
								<tr>
									<td style="padding: 15px;" >NIELIT Qualified</td>
									<td style="padding: 15px;" ><input type="text" id="total_nielit_qualified" name="total_nielit_qualified"></td>
								</tr>								
								
								<tr>
									<td style="padding: 15px;" >States Covered</td>
									<td style="padding: 15px;" ><input type="text" id="total_states_covered" name="total_states_covered"></td>
								</tr>
								
								<tr>
									<td style="padding: 15px;" >Districts Covered</td>
									<td style="padding: 15px;" ><input type="text" id="total_districts_covered" name="total_districts_covered"></td>
								</tr>
								
								
							</table>
					
						</div>
					
						<div class="col-md-6">
							
							<div class="col-md-4">						
								<div class="page-title">
									<h3>Beneficiaries Profile Details (Phase 2)</h3>
								</div>
								<br>
							</div>
							
							<table>
								
								<tr>
									<th style="padding: 15px; text-align:center; " >TILE NAME</th>
									<th style="padding: 15px; text-align:center; " >VALUE</th>
								</tr>
								
								<tr>
									<td style="padding: 15px;" >BC(Bank Correspondents)</td>
									<td style="padding: 15px;" ><input type="text" id="total_bpd_bank_correspondents_phase_2" name="total_bpd_bank_correspondents_phase_2"></td>
								</tr>
								
								<tr>
									<td style="padding: 15px;" >Housewife</td>
									<td style="padding: 15px;" ><input type="text" id="total_bpd_housewife_phase_2" name="total_bpd_housewife_phase_2"></td>
								</tr>
								
								<tr>
									<td style="padding: 15px;" >Others</td>
									<td style="padding: 15px;" ><input type="text" id="total_bpd_others_phase_2" name="total_bpd_others_phase_2"></td>
								</tr>
								
								<tr>
									<td style="padding: 15px;" >SHG(Self Help Group) females</td>
									<td style="padding: 15px;" ><input type="text" id="total_bpd_sgh_phase_2" name="total_bpd_sgh_phase_2"></td>
								</tr>
								
								<tr>
									<td style="padding: 15px;" >Student</td>
									<td style="padding: 15px;" ><input type="text" id="total_bpd_student_phase_2" name="total_bpd_student_phase_2"></td>
								</tr>
								
							</table>
					
						</div>
					
						<div class="col-md-12">
						
							<div class="col-md-12">
								<button id="btn_update" style="margin:15px; padding:5px;" class="btn-primary col-md-6">UPDATE</button>
							</div>
						
						</div>
					
					</div>
					
					<!-- MODAL : loading -->
					<div class="message-box modal" id="modal_prompt_01" data-bs-backdrop="static" data-bs-keyboard="false" >
						<div class="modal-dialog modal-dialog-centered">
						  <div class="modal-content">
						  
							<!-- Modal body -->
							<div class="modal-body">
							
								<div class="col-md-12">
									<center>
										<b><label id="lbl_modal_prompt_01" style="font-size:18px;">Loading.. Please wait</label></b>
									</center>
								</div>
								
							</div>

						  </div>
						</div>
					</div>
						
                </div>
                <!-- END WIDGETS --> 

			<!-- END PAGE CONTENT -->
            </div>
			
		</div>
		      
			<!-- jQuery library -->
			<script src = "https://code.jquery.com/jquery-3.2.1.slim.min.js" 
			 integrity =" sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" 
			 crossorigin = "anonymous">
			</script>

			<!-- Popper -->
			<script src = "https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" 
			 integrity = "sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" 
			 crossorigin = "anonymous">
			</script>

			<!-- Latest compiled and minified Bootstrap JavaScript -->
			<script src = "https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" 
			 integrity = "sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" 
			 crossorigin = "anonymous">
			</script>
		
      
            <!-- END PAGE CONTAINER -->
            <?php include 'includes/header_logout.php'; ?>
            <!-- START SCRIPTS -->
            <!-- START PLUGINS -->
            <script type="text/javascript" src="js/jquery/jquery.min.js"></script>
            <script type="text/javascript" src="js/jquery/jquery-ui.min.js"></script>
            <script type="text/javascript" src="js/bootstrap/bootstrap.min.js"></script>   
            <script type="text/javascript" src="js/plugins.js"></script>
            <script type="text/javascript" src="js/actions.js"></script>
            <!-- END PLUGINS -->
			<script type="text/javascript">
				var user_id = '<?php echo $user_id; ?>';
			</script>
            <script type="text/javascript" src="js/update_summary_values.js?randStr=<?php echo $randStr; ?>"></script>
            <!-- END TEMPLATE -->
            <!-- END SCRIPTS -->         
    </body>
</html>
