<?php
session_start();

// $user_id = 'Teacher';
$school_id = $_SESSION['id'];
$coe_id = $_SESSION['coe_id'];
?>

<!DOCTYPE html>
<html lang="en">
    <head>        
        <!-- META SECTION -->
        <title>Upload VLE Training Programs Data</title>            
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />

        <link rel="icon" href="logo-web.jpg" type="image/x-icon" />
        <!-- END META SECTION -->

        <!-- CSS INCLUDE -->        
        <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
        <!-- EOF CSS INCLUDE -->          

        <link rel="stylesheet" href="bower_components/bootstrap-multiselect/dist/css/bootstrap-multiselect.css" type="text/css"/>
				
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
		<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>
		
    </head>
    <body>
        <!-- START PAGE CONTAINER -->
        <div class="page-container">

            <!-- START PAGE SIDEBAR -->
            <?php include 'includes/sidebar.php'; ?>
            <!-- END PAGE SIDEBAR -->

            <!-- PAGE CONTENT -->
            <div class="page-content">

                <!-- START X-NAVIGATION VERTICAL -->
                <?php include 'includes/header.php'; ?>
                <!-- END X-NAVIGATION VERTICAL -->                   

                <!-- START BREADCRUMB -->
                <ul class="breadcrumb">
                    <li><a href="dashboard.php">Home</a></li>
                    <li class="active">Upload VLE Training Programs Data</li>
                </ul>
                <!-- END BREADCRUMB -->

                <!-- PAGE CONTENT WRAPPER -->
                <div class="page-content-wrap">

                    <div class="row">
                        <div class="col-md-12">

							<div class="panel panel-default">
								<div class="panel-heading">
									<h1  style="font-size: 20px; font-weight: bold; padding: 5px;">Upload Excel Data : </h1>
									<ul class="panel-controls">
									</ul>
								</div>
								<div class="panel-body">                                                                        

									<div class="row">
										<div class="col-md-2"></div>
										<div class="col-md-8">
											
											<div class="form-group">
												<label class="col-md-4 control-label">Upload Programs :</label>
												<div class="col-md-8"> 
													<div class="input-group">
														<input id="vle_training_sessions_data" name="vle_training_sessions_data[]" class="form-control" type="file">
														<label style="float: right;"><a style="color: #0000FF; font-size:12px;" href="files/NEW_Upload_VLE_Training_Programs_(Sample Data Format).xlsx">Download Excel Format</a></label>
													<span class="help-block"></span>
												</div>
											</div>
											</div>

										</div>
										<div class="col-md-2"></div>
									</div>

								</div>
								<div class="panel-footer">
									<center>
										<button class="btn btn-primary" id="submit" name="submit" onclick="uploadFile()" type="submit">Submit</button>
									</center>
								</div>
							</div>

                        </div>
                    </div>                    

                </div>
                <!-- END PAGE CONTENT WRAPPER -->                                                
            </div>            
            <!-- END PAGE CONTENT -->
        </div>
        <!-- END PAGE CONTAINER -->

        <!-- MESSAGE BOX-->
        <div class="message-box animated fadeIn" data-sound="alert" id="mb-signout">
            <div class="mb-container">
                <div class="mb-middle">
                    <div class="mb-title"><span class="fa fa-sign-out"></span> <strong>Log Out</strong> ?</div>
                    <div class="mb-content">
                        <p>Are you sure you want to log out?</p>                    
                        <p>Press No if youwant to continue work. Press Yes to logout current user.</p>
                    </div>
                    <div class="mb-footer">
                        <div class="pull-right">
                            <a href="index.php" class="btn btn-success btn-lg">Yes</a>
                            <button class="btn btn-default btn-lg mb-control-close">No</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END MESSAGE BOX-->

		<!-- MODAL : loading -->
		<div class="message-box modal" id="modal_prompt_01" data-bs-backdrop="static" data-bs-keyboard="false" >
			<div class="modal-dialog modal-dialog-centered">
			  <div class="modal-content">
			  
				<!-- Modal body -->
				<div class="modal-body">
				
					<div class="col-md-12">
						<center>
							<b><label id="lbl_modal_prompt_01" style="font-size:18px;"></label></b>
						</center>
					</div>
					
					<div id="div_upload_summary_respone" class="col-md-12">
					
						<div class="col-md-12">
							<center>
								<label>Success : </label>
								<label id="lbl_mp1_success" style="font-size:15px;"></label>
							</center>
						</div>
						<div class="col-md-12">
							<center>
								<label>Failure : </label>
								<label id="lbl_mp1_failure" style="font-size:15px;"></label>
							</center>
						</div>
						
					</div>
				  
				</div>
								
				<!-- Modal footer -->
				<div class="modal-footer" id="footer_modal_prompt_01">
					<a id="download_data_status" href="" download><button class="btn btn-primary" >Download Data Status</button></a>
					<button id="close_btn_modal_prompt_01" type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
				</div>
				
			  </div>
			</div>
		</div>

        <!-- START PRELOADS -->
		<?php include 'includes/header_logout.php'; ?>
        <!-- END PRELOADS -->             

        <!-- START SCRIPTS -->
        <!-- START PLUGINS -->
        <script type="text/javascript" src="js/plugins/jquery/jquery.min.js"></script>
        <script type="text/javascript" src="js/plugins/jquery/jquery-ui.min.js"></script>
        <script type="text/javascript" src="js/plugins/bootstrap/bootstrap.min.js"></script>                
        <!-- END PLUGINS -->

        <!-- THIS PAGE PLUGINS -->

        <script type='text/javascript' src='js/plugins/icheck/icheck.min.js'></script>
        <script type="text/javascript" src="js/plugins/mcustomscrollbar/jquery.mCustomScrollbar.min.js"></script>
        <script type='text/javascript' src='js/plugins/jquery-validation/jquery.validate.js'></script> 
        <script type="text/javascript" src="js/plugins/bootstrap/bootstrap-datepicker.js"></script>                
        <script type="text/javascript" src="js/plugins/bootstrap/bootstrap-file-input.js"></script>
        <script type="text/javascript" src="js/plugins/bootstrap/bootstrap-select.js"></script>
        <script type="text/javascript" src="js/plugins/tagsinput/jquery.tagsinput.min.js"></script>

        <script type="text/javascript" src="bower_components/bootstrap-multiselect/dist/js/bootstrap-multiselect.js"></script>
        <script type="text/javascript" src="js/settings.js"></script>
        <script type="text/javascript" src="js/plugins.js"></script>        
        <script type="text/javascript" src="js/actions.js"></script>   
		
        <script type="text/javascript" src="js/upload_vle_training_programs_data.js"></script>  
                          
    </body>
	
</html>





