<?php
	
	session_start();
	$randStr = rand();
	$id = $_SESSION['id'];
	$training_program_id = $_GET['training_program_id'];

?>

<!DOCTYPE html>
<html lang="en">
    <head>        
        <!-- META SECTION -->
        <title>View Candidates</title>            
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />

        <link rel="icon" href="logo-web.jpg" type="image/x-icon" />
        <!-- END META SECTION -->

        <!-- CSS INCLUDE -->        
        <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
		
        <style>
			.ellipsis {
				max-width: 40px;
				text-overflow: ellipsis;
				overflow: hidden;
				white-space: nowrap;
			}
			.dot {
			  height: 15px;
			  width: 15px;
			  background-color: #bbb;
			  border-radius: 50%;
			  display: inline-block;
			}
		</style>
		
        <!-- EOF CSS INCLUDE -->                                     
    </head>
    <body>
        <!-- START PAGE CONTAINER -->
        <div class="">

            <!-- PAGE CONTENT -->
            <div class="page-content">

                <!-- START X-NAVIGATION VERTICAL -->
                <?php 
					//include 'includes/header.php'; 
				?>

                <!-- PAGE CONTENT WRAPPER -->
                <div class="page-content-wrap">                

                    <div class="row">
                        <div class="col-md-12">

                            <!-- START SIMPLE DATATABLE -->
                            <div class="panel panel-default">
							
                                <div class="panel-heading" hidden>
                                </div>
								
                                <div class="panel-body">
									
									<div class="">
										<h4>Registered Candidates List :</h4>
									</div>
									
                                    <table class="table" style="margin-top: 25px">
                                        <thead>
                                           
											<tr style="border: 4px solid #000000;">
                                                <th style="vertical-align: middle;"><center>Candidate <br>Name</center></th>
                                                <th style="vertical-align: middle;"><center>Gender</center></th>
                                                <th style="vertical-align: middle;">Phone number</th>
                                                <th style="vertical-align: middle;"><center>Email ID</center></th>
                                                <th style="vertical-align: middle;"><center>DOB</center></th>
                                                <th style="vertical-align: middle;"><center>Candidate <br>Location</center></th>
												<th style="vertical-align: middle;"><center>Training Program <br>Location</center></th>
                                                <th style="vertical-align: middle;"><center>Training Program <br>Date</center></th>
												<th style="vertical-align: middle;"><center>Attendance<br>S1 S2 S3</center></th>
												<th style="vertical-align: middle;"><center>Feedback</center></th>
												<th style="vertical-align: middle;"><center>Registered At</center></th>
                                            </tr>
											
                                        </thead>
                                        <tbody id="result"></tbody>
                                    </table>
                                    <div class="pagination"></div>
                                    
                                    
                                </div>
                            </div>
                            <!-- END SIMPLE DATATABLE -->

                        </div>
                    </div>                                

                </div>
                <!-- PAGE CONTENT WRAPPER -->                                
            </div>    
            <!-- END PAGE CONTENT -->
        </div>
        <!-- END PAGE CONTAINER -->       

        <!-- MESSAGE BOX-->
        <div class="message-box animated fadeIn" data-sound="alert" id="mb-signout">
            <div class="mb-container">
                <div class="mb-middle">
                    <div class="mb-title"><span class="fa fa-sign-out"></span> Log <strong>Out</strong> ?</div>
                    <div class="mb-content">
                        <p>Are you sure you want to log out?</p>                    
                        <p>Press No if you want to continue work. Press Yes to logout current user.</p>
                    </div>
                    <div class="mb-footer">
                        <div class="pull-right">
                            <a href="index.php" class="btn btn-success btn-lg">Yes</a>
                            <button class="btn btn-default btn-lg mb-control-close">No</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END MESSAGE BOX-->

        <!-- START PRELOADS -->
        <audio id="audio-alert" src="audio/alert.mp3" preload="auto"></audio>
        <audio id="audio-fail" src="audio/fail.mp3" preload="auto"></audio>
        <!-- END PRELOADS -->                       

        <!-- START SCRIPTS -->
        <!-- START PLUGINS -->
        <script type="text/javascript" src="js/plugins/jquery/jquery.min.js"></script>
        <script type="text/javascript" src="js/plugins/jquery/jquery-ui.min.js"></script>
        <script type="text/javascript" src="js/plugins/bootstrap/bootstrap.min.js"></script>        
        <!-- END PLUGINS -->     

        <!--Pagination-->

        <script type="text/javascript" src="js/jquery-bootpag.js"></script>
        <script src="js/jquery.bootpag.min.js"></script>

        <!-- THIS PAGE PLUGINS -->
        <script type='text/javascript' src='js/plugins/jquery-validation/jquery.validate.js'></script> 
        <script type='text/javascript' src='js/plugins/icheck/icheck.min.js'></script>
        <script type="text/javascript" src="js/plugins/mcustomscrollbar/jquery.mCustomScrollbar.min.js"></script>

        <script type="text/javascript" src="js/plugins/datatables/jquery.dataTables.min.js"></script>    
        <!-- END PAGE PLUGINS -->

        <!-- START TEMPLATE -->
        <!--<script type="text/javascript" src="js/settings.js"></script>-->

        <script type="text/javascript" src="js/plugins.js"></script>        
        <script type="text/javascript" src="js/actions.js"></script> 

        <!-- END TEMPLATE -->
		<script type="text/javascript">var id = '<?php echo $id; ?>';</script>
		<script type="text/javascript">var training_program_id = '<?php echo $training_program_id; ?>';</script>
        <script type="text/javascript" src="js/view_training_program_candidates.js?randStr=<?php echo $randStr; ?>"></script>

        <!-- END SCRIPTS --> 

    </body>
</html>
