<?php

include_once '../controller/SFActivityStatusController.php';
include_once '../utils/Utils.php';

$sfActivityStatuscontroller = new SFActivityStatusController();
$data = json_decode(file_get_contents("php://input"), true);

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($data)) {
        $results = $sfActivityStatuscontroller->createActivityStatus($data); // Create Activity Status
        echo $results;
    }
} 
elseif ($_SERVER['REQUEST_METHOD'] === 'PUT') {
    if (isset($data['session_token']) && isset($data['user_id']) && isset($data['activity_id'])) {
        
        if (isset($data['photos'])) {
            $results = $sfActivityStatuscontroller->updatePhotos($data);       // Update Photos
            echo $results;
        }
        elseif (isset($data['videos'])) {
            $results = $sfActivityStatuscontroller->updateVideos($data);       // Update Videos
            echo $results;
        }
        elseif (isset($data['activity_status'])) {
            $results = $sfActivityStatuscontroller->updateStatus($data);       // Update Status
            echo $results;
        }
        elseif (isset($data['comment']) || isset($data['notes'])) {
            $results = $sfActivityStatuscontroller->updateCommentNotes($data);     // Update Comment and Notes
            echo $results;
        }
        else {
            echo json_encode(["result" => "error", "message" => "No valid update action specified."]);
        }
    } else {
        echo json_encode(["result" => "error", "message" => "Missing required parameters."]);
    }
}
