<?php
include_once '../controller/SFAssignmentsController.php';
include_once '../utils/Utils.php';

// Get JSON data from the request body
$data = json_decode(file_get_contents("php://input"), true);

$sfAssignmentsController = new SFAssignmentsController();

if (isset($data)) {
    $results = $sfAssignmentsController->createAssignments($data);                 // Create Assignments 
    echo $results;
} 
// elseif (isset($_GET['assignment_name'])) {
//     $results = $sfAssignmentsController->getAllAssignmentNames($_GET['assignment_name']);   // Get All Assignment Names
//     echo $results;
// }
elseif (isset($_GET['location'])) {
    $results = $sfAssignmentsController->viewAllAssignmentsByLocation($_GET['location']);     // View Assignments by Location
    echo $results;
} 
elseif (isset($_GET['city'])) {
    $results = $sfAssignmentsController->viewAllAssignmentsByCity($_GET['city']);          // View Assignments by City
    echo $results;
} 
elseif (isset($_GET['pincode'])) {
    $results = $sfAssignmentsController->viewAllAssignmentsByPincode($_GET['pincode']);     // View Assignments by Pincode
    echo $results;
} 
else {
    $results = $sfAssignmentsController->viewAllAssignments();           // View All Assignments
    echo $results;
}
