<?php
require_once '../database/Db.php';
require_once '../repository/Crud.php';
require_once '../utils/Utils.php';

class SFBrandsController
{

    public function getBrandsListAdmin(){
        $db = getDb();
        $response = [];
        $crud = new Crud();
        $stmt = $db->prepare("SELECT DISTINCT sales_freelancer_assignments.brand_id AS id, corporates.brand_name FROM sales_freelancer_assignments 
                                LEFT JOIN corporates ON corporates.id = sales_freelancer_assignments.brand_id; ");
        $result = $crud->getAllWithoutJSON($stmt);
        if($result) {
            $response = sendDataWithListResponse(SUCCESS, "Brands List", $result, 200);
        } else {
            $response = sendDataWithListResponse(FAILURE, "No Brands found", $response, 400);
        }
        closeDb();
        $db = null;
        return $response;
    }
}


?>
