
<?php
class DecryptedData implements JsonSerializable
{

    private $id;
    private $mobile_number;
    private $email_id;
    private $first_name;
    private $last_name;
    private $city;
    private $state;
    private $pincode;
    private $address;
    private $qualification;

    private $experience;

    private $degree;

    private $enabled_apps;

    private $email_verified;

    private $mobile_verified;


    public function getEnabledApps()
    {
        return $this->enabled_apps;
    }

    public function setEnabledApps($enabled_apps)
    {
        $this->enabled_apps = $enabled_apps;
    }


    public function getEmailVerified()
    {
        return $this->email_verified;
    }

    public function setEmailVerified($email_verified)
    {
        $this->email_verified = $email_verified;
    }


    public function getMobileVerified()
    {
        return $this->mobile_verified;
    }

    public function setMobileVerified($mobile_verified)
    {
        $this->mobile_verified = $mobile_verified;
    }



    public function getExperience()
    {
        return $this->experience;
    }

    public function setExperience($experience)
    {
        $this->experience = $experience;
    }

    public function getDegree()
    {
        return $this->degree;
    }

    public function setDegree($degree)
    {
        $this->degree = $degree;
    }



    // Getter and setter for $mobile_number
    public function getMobileNumber()
    {
        return $this->mobile_number;
    }

    public function setMobileNumber($mobile_number)
    {
        $this->mobile_number = $mobile_number;
    }


    public function getId()
    {
        return $this->id;
    }

    public function setId($id)
    {
        $this->id = $id;
    }

    // Getter and setter for $email_id
    public function getEmailId()
    {
        return $this->email_id;
    }

    public function setEmailId($email_id)
    {
        $this->email_id = $email_id;
    }

    // Getter and setter for $first_name
    public function getFirstName()
    {
        return $this->first_name;
    }

    public function setFirstName($first_name)
    {
        $this->first_name = $first_name;
    }

    // Getter and setter for $last_name
    public function getLastName()
    {
        return $this->last_name;
    }

    public function setLastName($last_name)
    {
        $this->last_name = $last_name;
    }

    // Getter and setter for $city
    public function getCity()
    {
        return $this->city;
    }

    public function setCity($city)
    {
        $this->city = $city;
    }

    // Getter and setter for $state
    public function getState()
    {
        return $this->state;
    }

    public function setState($state)
    {
        $this->state = $state;
    }

    // Getter and setter for $pincode
    public function getPincode()
    {
        return $this->pincode;
    }

    public function setPincode($pincode)
    {
        $this->pincode = $pincode;
    }

    // Getter and setter for $address
    public function getAddress()
    {
        return $this->address;
    }

    public function setAddress($address)
    {
        $this->address = $address;
    }

    // Getter and setter for $qualification
    public function getQualification()
    {
        return $this->qualification;
    }

    public function setQualification($qualification)
    {
        $this->qualification = $qualification;
    }


    public function jsonSerialize()
    {
        return [
            'id' => $this->getId(),
            'mobile_number' => $this->getMobileNumber(),
            'first_name' => $this->getFirstName(),
            'last_name' => $this->getLastName(),
            'address' => $this->getAddress(),
            'city' => $this->getCity(),
            'pincode' => $this->getPincode(),
            'email_id' => $this->getEmailId(),
            'qualification_id' => $this->getQualification()
        ];
    }
}
