<?php

// session_start();
// $user_id = '68';
// $randStr = rand();

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Assignment to Users</title>

    <!-- Base CSS -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">

    <!-- Plugin CSS -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">

    <!-- Custom CSS -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png">
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">

    <!-- jQuery and SweetAlert -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>


    <style>
        .select2-container--default .select2-selection--multiple,
        .select2-container--default .select2-selection--single {
            padding: 0.375rem 0.75rem; 
        }       
    </style>
</head>

<body>

<div class="container-scroller">
        <!-- Header -->
        <div class="row col-md-12">
            <?php include 'includes/sf_header.php'; ?>
        </div>

        <div class="container-fluid position-sticky page-body-wrapper">
            <!-- Sidebar -->
            <?php include 'includes/sf_sidebar.php'; ?>

            <div class="main-panel">
                <div class="content-wrapper">
                    <center>
                        <div class="row" style="margin:10px;">
                            <div class="label_white card"><label>Campus</label></div>
                            <div class="label_00"><label> -> </label></div>
                            <div class="label_white card"><label>Create Job Fair</label></div>
                        </div>
                    </center>

                    <!-- Form Section -->
                    <div class="row justify-content-center col-md-12">
                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="card-title">Assign Assignment To Users</h4>
                                    <p class="card-description">Assignment details</p>

                                    <form class="forms-sample"  id="assignment_to_user_form">
                                        <!-- Brand -->
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Brand</label>
                                            <div class="col-sm-9">
                                                <select class="form-control dark-border" id="brand" name="brand">
                                                    <option value="">Select</option>
                                                </select>
                                            </div>
                                            <span style="color: red;font-size:12px;margin-left:15px" id="err_brand"></span>
                                        </div>

                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Assignment</label>
                                            <div class="col-sm-9">
                                                <div class="input-container">
                                                    <!-- <input type="text" id="assignment_name" name="assignment_name" class="form-control" placeholder="Enter Assignment Name"> -->
                                                <select class=" form-control dark-border" id="assignment_name" name="assignment_name">
                                                    <option value="">Select Assignment Name</option>	
                                                    <!-- <option value="ass1">ass1</option>										 -->
                                                </select>
                                                </div>
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_assignment_name"></span>
                                            </div>
                                        </div>

                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Activity</label>
                                            <div class="col-sm-9">
                                                <!-- <input type="text" id="activity_name" name="activity_name" class="form-control" placeholder="Enter Activity Name"> -->
                                                <select class=" form-control dark-border" id="activity_name" name="activity_name">
                                                    <option value="">Select Activity Name</option>	
                                                    <!-- <option value="ass1">ass1</option>										 -->
                                                </select>
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_activity_name"></span>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="form-group row col-md-12" style="margin-bottom:-10px;">
                                                <label class="col-form-label"><span style="color: red;font-size:12px;">* </span>
                                                Create Auto Task</label>
                                            </div>
                                            <div class="col-md-1"></div>
                                            <div class="form-group row col-sm-11" style="margin-bottom:-10px;">
                                                <label class="form-check-label">
                                                    <input type="radio" class="form-check-input" name="yesNo" id="yesNo1" value="1"> Yes
                                                </label>
                                            </div>
                                            <div class="col-md-1"></div>
                                            <div class="form-group row col-sm-11" style="margin-bottom:-10px;">
                                                <label class="form-check-label">
                                                    <input type="radio" class="form-check-input" name="yesNo" id="yesNo2" value="0"> No
                                                </label>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="form-group row col-md-12" style="margin-bottom:-10px;">
                                                <label class="col-form-label"><span style="color: red;font-size:12px;">* </span>
                                                Task Location Same as Activity</label>
                                            </div>
                                            <div class="col-md-1"></div>
                                            <div class="form-group row col-sm-11" style="margin-bottom:-10px;">
                                                <label class="form-check-label">
                                                    <input type="radio" class="form-check-input" name="activity_yesNo" id="activity_yesNo1" value="1"> Yes
                                                </label>
                                            </div>
                                            <div class="col-md-1"></div>
                                            <div class="form-group row col-sm-11" style="margin-bottom:-10px;">
                                                <label class="form-check-label">
                                                    <input type="radio" class="form-check-input" name="activity_yesNo" id="activity_yesNo2" value="0"> No
                                                </label>
                                            </div>
                                        </div>

                                        <div id="yesNo" style="margin-top:20px">
                                            
                                            <div class="form-group row">
                                                <label class="col-sm-3 col-form-label">Location</label>
                                                <div class="col-sm-9">
                                                    <input type="text" class="form-control dark-border" id="location" 
                                                        name="location" placeholder="https://maps.app.goo.gl/...">
                                                    <span style="color: red;font-size:12px;margin-left:15px" id="err_location"></span>
                                                </div>
                                            </div>

                                            <div class="form-group row">
                                                <label class="col-sm-3 col-form-label">Pincode</label>
                                                <div class="col-sm-9">
                                                    <input type="text" class="form-control dark-border" id="pincode" name="pincode">
                                                    <span style="color: red;font-size:12px;margin-left:15px" id="err_pincode"></span>
                                                </div>
                                            </div>

                                            <div class="form-group row">
                                                <label class="col-sm-3 col-form-label">Area</label>
                                                <div class="col-sm-9">
                                                    <input type="text" class="form-control dark-border" id="area" name="area">
                                                    <span style="color: red;font-size:12px;margin-left:15px" id="err_area"></span>
                                                </div>
                                            </div>

                                        </div>

                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Users</label>
                                            <div class="col-sm-9">
                                                <select class="form-control dark-border js-example-basic-multiple w-100" id="users" name="users" multiple="multiple">
                                                    <option value="">Select Users</option>	
                                                </select>
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_users"></span>
                                            </div>
                                        </div>

                                        <button type="submit" id="btn_register" class="btn btn-primary mr-2">Submit</button>
                                        <button type="button" class="btn btn-light">Cancel</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div> <!-- End Content Wrapper -->
            </div> <!-- End Main Panel -->
        </div> <!-- End Page Body Wrapper -->
    </div> <!-- End Container Scroller -->


    <!-- Javascript Variables -->
    <!-- <script type="text/javascript">
        var val_user_id = '<?php //echo $user_id; ?>';
    </script> -->
  <!-- START PLUGINS --> 
    <script src="../JeevitamV2/vendors/select2/select2.min.js"></script>
    <script src="../JeevitamV2/js/select2.js"></script>
    <!-- Javascript Function -->
    <script type="text/javascript">
        $(document).ready(function() {
            $('#users').select2({
                placeholder: 'Select options',
                allowClear: true,
                width: '100%' 
            });

            // Remove the Ctrl+click option
            // $('#jobs').on('select2:opening', function(e) {
            //     var $select = $(this);
            //     if ($select.data('select2').isOpen && e.ctrlKey) {
            //         $select.data('select2').isOpen = false;
            //     }
            // });
        });

        $('#btn_signout').click(function() {
            window.open('signout.php', '_self');
        });
    </script>

    <!-- Custom js for this page-->
    <script src="js/assignment_to_user.js?randStr=<?php echo $randStr; ?>"></script>

</body>

</html>
