<?php
	
	session_start();
	

	if(!(isset($_SESSION['id']))){
		header("Location: index.php");
	}else{
		$user_id = $_SESSION['id'];
	}
	
	$randStr = rand();
	
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>IVR Inbound Calls</title>
  <!-- base:css -->
  <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
  <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
  <link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  
  <!--Modal-->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
  <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>
  
  <!--SweetAlert-->
  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
  
</head>

<style>

	td {
		text-align:center;
	}
	
	tr > th {
		text-align:center;
	}

	thead {
		border: 2px solid #969696;
		vertical-align: middle;
		text-align: center;
	}

	tbody {
		border: 1px solid #969696;
		vertical-align: middle;
		text-align: center;
	}

	.card-body{
		padding-top:10px;
	}
	
	.label_primary_01{
		color:#ffffff; 
		border-radius: 5px; 
		margin: 0px; 
		background: #EF4278; 
		padding: 5px; 
		text-align: center; 
		vertical-align: middle;
	}
	
	.label_primary_02{
		color:#ffffff; 
		border-radius: 5px; 
		margin: 0px; 
		background: #30BAA3; 
		padding: 5px; 
		text-align: center; 
		vertical-align: middle;
	}
	
	.label_white{
		color:#000000; 
		border-radius: 5px; 
		margin: 0px; 
		background: #FFFFFF; 
		padding: 5px; 
		text-align: center; 
		vertical-align: middle;
	}
	
	.label_00{
		color:#000000; 
		border-radius: 5px; 
		margin: 0px; 
		padding: 5px; 
		text-align: center; 
		vertical-align: middle;
	}
	
	#div_view_more_products:hover, #lbl_view_more_products:hover {
	  cursor: pointer;
	}
	
</style>

<body>

  <div class="container-scroller">
    
	<div class="row col-md-12" style="margin-bottom:0px;">
		<?php include 'includes/header.php'; ?>
	</div>
	
	
    <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
      <!-- partial:partials/_settings-panel.html -->
      
      <div id="right-sidebar" class="settings-panel">
        <i class="settings-close typcn typcn-times"></i>
        <ul class="nav nav-tabs" id="setting-panel" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>
          </li>
        </ul>
        <div class="tab-content" id="setting-content">
		
        </div>
      </div>
      <!-- partial -->
      <!-- partial:partials/_sidebar.html -->
	  <?php include 'includes/sidebar.php'; ?>
	  <?php include 'includes/modal_basic_01.php'; ?>
      <!-- partial -->
	  
      <div class="main-panel">
	  
        <div class="content-wrapper">

			<center>
			
				<div class="row" style="text-align: center; vertical-align: middle; margin:10px;" >
					
						<div class="label_white card">
							<label style="margin:3px;">Enquiries</label>
						</div>
						<div class="label_00">
							<label style="margin:3px;"> --> </label>
						</div>
						<div class="label_white card">						
							<label style="margin:3px;">IVR</label>
						</div>
						<div class="label_00">
							<label style="margin:3px;"> --> </label>
						</div>
						<div class="label_white card">
							<label style="margin:3px;"><b><u>IVR Inbound Page</u></h3></label>
						</div>
				</div>
				
			</center>

			<div class="col-md-12">
				
						<div style="margin:10px;">
							<label style="font-size:25px; color:#30BAA3; ">Jeevitam Jobs : 011 4118 2656</label>
						</div>
						
			</div>

			<div class="row" style="margin-top:10px; margin-bottom:10px;">
			
				<div class="col-md-12">

					<div class="row">

						<div class="col-md-4">

							<div class="form-group">

								<label class="col-sm-12 col-form-label">Select From Date</label>

								<div class="col-sm-9">

									<input type="date" class="form-control" id="from_date" name="from_date" style="border-color: green;">

									<span style="color: red;font-size:13px;margin-left:15px" id="err_year"></span>

								</div>

							</div>

						</div>

						<div class="col-md-4">

							<div class="form-group">

								<label class="col-sm-12 col-form-label">Select To Date</label>

								<div class="col-sm-9">

									<input type="date" class="form-control" id="to_date" name="to_date" style="border-color: green;">

									<span style="color: red;font-size:13px;margin-left:15px" id="err_month"></span>

								</div>

							</div>

						</div>

						<div class="col-md-4">

							<div class="form-group">

								<label class="col-sm-12 col-form-label">Select Call Completion</label>

								<div class="col-sm-9">

									<select class="form-control" id="select_call_completion" name="select_call_completion" style="border-color: green; border:1px solid black; color:#000000;">
										<option value="select_all"> -- Select All -- </option>
										<option value="1">Completed</option>
										<option value="0">Not Completed</option>
									</select>

									<span style="color: red;font-size:13px;margin-left:15px" id="err_month"></span>

								</div>

							</div>

						</div>

					</div>
					
					<div class="col-md-12">
					
						<label id="label_total_count"></label>
					
					</div>
					
					<div class="form-group">

						<div class="row">

							<div class="col-md-3">
							
								<input type="button" class="col-md-12 btn btn-primary" style="margin:10px;" id="submit" name="submit" value="Submit">
							
							</div>
							
							<div class="col-md-3">
							
								<input type="button" class="col-md-12 btn btn-primary" style="margin:10px;" id="data_download" name="Download" value="Download">

							</div>
							
						</div>
						
					</div>
					
				</div>
			
				<div class="col-md-12 grid-margin stretch-card" style="margin-top:0px;">
				
						<div class="col-md-12">
						
							<div id="div_download_data" class="row col-md-12" style="display:none; margin:15px;">

								<div class="col-md-8"></div>

								<button id="btn_download" onclick="downloadData()" type="button" style="padding:10px; background-color:#30BAA3;" class="col-md-3 btn btn-info btn-sm btn-icon-text">
								  DOWNLOAD
								</button>

							</div>

							<div class="card" style="margin-bottom:15px;">
							
								<div class="table-responsive">
									<table class="table table-striped project-orders-table">
										
										<thead>
											<tr style="background:#027AFB">
												<th style="text-align: center; vertical-align: middle; color:white;">Mobile Number</th>
												<th style="text-align: center; vertical-align: middle; color:white;">Name</th>
												<th style="text-align: center; vertical-align: middle; color:white;">Name URL</th>
												<th style="text-align: center; vertical-align: middle; color:white;">Birth Year</th>
												<th style="text-align: center; vertical-align: middle; color:white;">Qualification</th>
												<th style="text-align: center; vertical-align: middle; color:white;">Graduation year</th>
												<th style="text-align: center; vertical-align: middle; color:white;">Address</th>
												<th style="text-align: center; vertical-align: middle; color:white;">State</th>
												<th style="text-align: center; vertical-align: middle; color:white;">City URL</th>
												<th style="text-align: center; vertical-align: middle; color:white;">Address URL</th>
												<th style="text-align: center; vertical-align: middle; color:white;">Is currently working?</th>
												<th style="text-align: center; vertical-align: middle; color:white;">Languages known</th>
												<th style="text-align: center; vertical-align: middle; color:white;">Pincode</th>
												<th style="text-align: center; vertical-align: middle; color:white;">Salary</th>
												<th style="text-align: center; vertical-align: middle; color:white;">Field Of Interest</th>
												<th style="text-align: center; vertical-align: middle; color:white;">Field Of Interest URL</th>
												<th style="text-align: center; vertical-align: middle; color:white;">Created At</th>
											</tr>
										</thead>

										<tbody id="table_body">
										</tbody>
									</table>
								</div>
								<div class="pagination"></div>
							</div>
							
						</div>
						
				</div>
				
			</div>
		
        </div>
        <!-- content-wrapper ends -->
		
        <!-- partial -->
      </div>
      <!-- main-panel ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->
<script src="../JeevitamV2/js/template.js"></script>
    <script type="text/javascript" src="../CBSEFL/js/jquery-bootpag.js"></script>
    <script src="../CBSEFL/js/jquery.bootpag.min.js"></script>
	  
	<!-- Javascript Variables -->
	<script type="text/javascript">
		var val_user_id = '<?php echo $user_id; ?>';
	</script>
  
	<!-- Javascript Function -->
	<script type="text/javascript">
		$('#btn_signout').click(function() {
			window.open('signout.php', '_self');			
		});

	</script>
	
  <!-- Custom js for this page-->
  <script src="js/ivr_inbound_calls.js?<?php echo $randStr; ?>"></script>
  <!-- End custom js for this page-->
  
</body>

</html>