$(document).ready(function () {
    var item_per_page=10;
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/ibm/get_count_ibm_reponse.php",
        data: {},
        dataType: 'json',
        success: function (data) {
            var totalrecords = data;
            if (totalrecords === 0) {
                alert("No Data Found");
                $('#result').html("");
                $("#download").hide();
                $("#candidates").show();
                $("#candidates_count").html(totalrecords);
            } else {
                $("#download").show();
                $("#candidates").show();
                $("#candidates_count").html(totalrecords);
                var total = Math.ceil((totalrecords / item_per_page));
                getData(10, 0, total);
                $(".pagination").bootpag({
                    total: total,
                    page: 1,
                    maxVisible: item_per_page
                }).on("page", function (e, num) {
                    e.preventDefault();
                    var page = num - 1;
                    getData(10, page, total);
                });
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
            alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
    });
    
    
});
$('#download').click(function(){
	$.ajax({
        type: "GET",
        url: "../DTTurboHire/api/ibm/download_ibm_response_data.php",
        data: {},
        dataType: 'json',
        success: function (data) {
            if (data.result === 'success') {
                // window.location.assign(data.data);
                var file_url = data.data;
                window.open(file_url, '_blank');
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
        alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
	});
        
});
function getData(item_per_page, page, lastpage) {

    var start_offset;
    var pages = parseInt(page);
    if (pages === 0) {
        start_offset = 0;
    } else if (pages > 0) {
        start_offset = (pages * item_per_page);
    }

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/ibm/get_details_ibm_reponse.php?&offset=" + start_offset,
        dataType: 'json',
        data: {},
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<tr>';
                    option += '<td>' + transactions[j].id + '</td>';
                    option += '<td>' + transactions[j].first_name+ " "+transactions[j].last_name + '</td>';
                    option += '<td>' + transactions[j].phone_number + '</td>';
                    option += '<td>' + transactions[j].email_id + '</td>';
                    option += '<td>' + transactions[j].location + '</td>';
                    if(transactions[j].job_id === null || transactions[j].job_id === ''){
                        option += '<td>' + "" + '</td>';
                    }else{
                        option += '<td>' + transactions[j].job_id + '</td>';
                    }
                    
                    option += '<td>' + transactions[j].created_at + '</td>';
                    // option += '<td><button class="btn btn-primary" onclick="viewDetails(\'' + transactions[j].id + '\',\'' + transactions[j].source_id + '\');" >View</button></td>';
                    option += '</tr>';
                }
            }
            $('#result').html(option);
        }
    });

}
function viewDetails(candidate_id,source_id){
    
    window.open("applied_reachout.php?candidate_id="+candidate_id+"&source_id="+source_id,'_blank');
}