$(document).ready(function () {
    
    $('#search').click(function () {
        var job_id = $("#job_id").val();
        
        if(job_id === ''){
            alert("Enter Job Id");
        }else{
            $.ajax({
            type: "GET",
            url: "../DTTurboHire/api/post-job-v2/get_job_details_by_id.php?job_id="+job_id,
            data: {},
            dataType: 'json',
            success: function (data) {
                var transactions = data.list;
                
                if (transactions !== null && transactions.length > 0) {
                    var option = transactions[0].id+ ' | '+transactions[0].name_of_brand+' | '+transactions[0].name;
                    $('#job_details').val(option);
                    $('#old_job_description').val(transactions[0].job_description);
                    $("#update").show();
                }else{
                    $('#job_details').val("");
                    $('#old_job_description').val("");
                    $("#update").hide();
                    $('#err_job_id').html("No Job Found for this Job Id");
                }
                
            }
        });
        }
        
    });
    
    $('#update').click(function () {

        var job_id = $('#job_id').val();
        var job_description = $('#job_description').val();

        var error_count = 0;

        if (job_id === '') {
            $("#job_id").css('border-color', 'red');
            $('#err_job_id').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#job_id").css('border-color', 'green');
            $('#err_job_id').html('');
        }

        if (job_description === '') {
            $("#job_description").css('border-color', 'red');
            $('#err_job_description').html('This Field is Mandatory');
            error_count++;
        } else {
            $("#job_description").css('border-color', 'green');
            $('#err_job_description').html('');
        }


        if (error_count == 0) {
            var formValues = {						
				"job_id" : job_id,
				"job_description" : job_description
			};
		let json = JSON.stringify(formValues);

		$.ajax({
			type: "POST",
			url: "../DTTurboHire/api/post-job-v2/update_jd.php",
			dataType: 'json',
			data: json,
			success: function (response) {
			    
				if(response.result === 'success'){
				    alert(response.message);
				    window.location.reload(true);
				}else{
				    alert(response.message);
			    }
			}		

		});
            
        }

    });

});

