var characters_01 = "ABCDEFGHIJKLMNOPQRSTUVWXTZabcdefghiklmnopqrstuvwxyz";  
var lenString = 7;
var randomstring = '';
var nav_main_list = document.getElementById("ul_main");
var elements_list = null;

$(document).ready(function(){
	
	initiateSidebar();
	
	if(userType === 'SuperAdmin'){
		$('[name="SuperAdmin"]').show();
	}
	
});

function initiateSidebar(){

	const arr_elements = nav_main_list.getElementsByTagName("*");
	
	for (let index=0; index<arr_elements.length; index++){
		
		var rnum = Math.floor(Math.random() * characters_01.length);  
		randomstring += characters_01.substring(rnum, rnum+1);
		arr_elements[index].setAttribute('id', randomstring);
		
		var nav_main_list_element = document.getElementById(randomstring);
		
		if(nav_main_list_element.tagName == "A"){
			nav_main_list_element.classList.add("collapsed");
		}else if(nav_main_list_element.tagName == "DIV"){
			nav_main_list_element.classList.remove("show");
		}
		
	}
	
	expandCurrentSegmentElements();
	
}

function expandCurrentSegmentElements(){
	
	var param = 'a[href="' + pageName + '"]';
	var currentElementId = $(param).attr('id');
	var mainParentElementId = null;
	
	while (mainParentElementId!="ul_main" && mainParentElementId !== null) {

		var mainParentElement = document.getElementById(currentElementId);
		mainParentElementId = mainParentElement.parentElement.id;
		
		if(mainParentElement.tagName == "A"){
			mainParentElement.setAttribute("aria-expanded", "true");
			mainParentElement.classList.remove("collapsed");
		}else if(mainParentElement.tagName == "DIV"){
			mainParentElement.classList.add("show");
		}
		
		currentElementId = mainParentElementId;
		
	}
	
}

function showOrHide(atag_element){
	
	var li_element = atag_element.parentElement;
	
	var div_element = li_element.getElementsByTagName('div')[0];
	
	if(div_element.className.includes("show")){
		div_element.classList.remove("show");
		$(atag_element).attr('aria-expanded', 'false')
	}else{
		div_element.classList.add("show");
		$(atag_element).attr('aria-expanded', 'true')
	}
	
}
