var arr_telecallers_details = [];
var availableTags = [];
var val_telecaller_id = "";
var val_selected_values = "";

$(document).ready(function () {

	getTelecallerList();
    
});

$('#submit_btn').click(function () {
	
	if(val_telecaller_id === ''){
		alert("Please select 'Telecaller'");
	}else if(val_selected_values === ""){
		alert("Please select 'Source of Input Leads'");
	}else{
		  
        var values = {
            telecaller_id : val_telecaller_id,
			input_leads_sources : val_selected_values,
            assigned_by : val_assigned_by
        }
        var json = JSON.stringify(values);
        
		$.ajax({
            type: "POST",
            url: "../../DTTurboHire/api/telecaller_crm_v2/insert_source_of_leads.php",
            data: json,
            dataType: 'json',
            success: function(response) {
                
				if(response.result == 'success') {
					
					var alert_message = "Updation Complete" 
											+ "\n\n"
											+ "Enabled : " 
											+ response.input_leads_sources_enabled;

					if(response.input_leads_sources_enabled_already.length > 0 ){
						alert_message = alert_message 
										+ "\n\n" 
										+ "Already Enabled : " 
										+ response.input_leads_sources_enabled_already;
					}
					
					alert(alert_message);
					window.location.reload();
					
                }else {
                    $('#errorMsg').html(response.message);
                }
				
            }
        });
		
	}
	
});

function getSelectedInputLeadsSourceValues() {

    const checkboxes = document.querySelectorAll('input[name="source_of_input_leads"]:checked');
    var result = "";
	
    var selectedValues = [];
    checkboxes.forEach((checkbox) => {
        selectedValues.push(checkbox.value);
    });
    
	if(selectedValues.length === 0){
		result = " {  } ";
		document.getElementById('lbl_selected_input_leads_source').textContent = result;
	}else{
		document.getElementById('lbl_selected_input_leads_source').textContent 
			= " {  " + ` ${selectedValues.join(',  ')}` + "  } ";
	}
	
	selectedValues = selectedValues.join(',');
	val_selected_values = selectedValues;
	
}

function getTelecallerList() {
	
	$.ajax({
        type: "GET",
        url: "../DTTurboHire/api/telecaller_crm_v2/get_telecallers_list.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;

            var option = '';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

					arr_telecallers_details[j] = 	transactions[j].first_name 
												+ " " 
												+ transactions[j].last_name 
												+ " ( " + transactions[j].username + " ) " ;
					
                }
            }
			
			$("#telecaller_detail").autocomplete({
				
				source: arr_telecallers_details,
				select: function(event, ui) {
					
					var index = arr_telecallers_details.indexOf(ui.item.value);
					val_telecaller_id = transactions[index].id;

				}
				
			});
	
        }
    });
	
}

		