$(document).ready(function () {
    $("#workfair_div").hide();
    $("#partner_div").hide();
    
    $("#source_type").change(function(){
       var source_type = $(this).val();
       if(source_type === 'Partner'){
            $("#workfair_div").hide();
            $("#partner_div").show();
            $.ajax({
            type: "GET",
            url: "../campus_api/api/get_partners.php",
            data: {},
            dataType: 'json',
            success: function (data) {
                var transactions = data.list;
                var option = '';
                option += '<option value=' + "" + '>' + "Select Partner" + '</option>';
                if (transactions !== null && transactions.length > 0) {
                    for (var j = 0; j < transactions.length; j++) {
                        option += '<option value=' + transactions[j].category_id + '>' + transactions[j].name + '</option>';
                    }
                }
                $('#partner_id').html(option);
            }
        });
       }else if(source_type === 'WorkFair'){
            $("#workfair_div").show();
            $("#partner_div").hide();
            $.ajax({
            type: "GET",
            url: "../DTTurboHire/api/composite_job_fair/get-all-composite-jobfair.php",
            data: {
            },
            dataType: 'json',
            success: function (response) {

            var transactions = response.list;

            var option = '';
            option += '<option value=' + "" + '>' +"Select Work fair"+ '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].id + '>'+ transactions[j].id + " | " + transactions[j].name + " | " + transactions[j].date + " to " + transactions[j].end_date + '</option>';
                }
            }
            $('#wf_id').html(option);
        }
    });
       }
    });
    
    
});

async function uploadFile() {
    
            
    let formData = new FormData(); 
    formData.append("source_type", $("#source_type").val());
    formData.append("data_type", $("#data_type").val());
    formData.append("partner_id", $("#partner_id").val());
    formData.append("wf_id", $("#wf_id").val());
    formData.append("uploaded_by", val_user_id);
    formData.append("test", $('input[type=file]')[0].files[0]);

    var response = await fetch('../DTTurboHire/api/work_seeker_v2/upload_partner_data.php', {
    method: "POST", 
    body: formData
    }); 
    var response_json = await response.json();
    if(response_json.result === 'success'){
        var data = response_json.data;
        alert(response_json.message);
        // modal.style.display = "none";
        var file_url = response_json.data;
        window.open(file_url, '_blank');
        // window.location.reload(true);
    }
}
