$(document).ready(function () {

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/composite_job_fair/get-upcoming-jobfair-count.php",
        data: {
        },
        dataType: 'json',
        success: function (data) {
            var totalrecords = data.total;
            if (totalrecords === "0") {
                alert("No Data Found");
                $('#result').html("");

            } else {
                
                var total = Math.ceil((totalrecords / 10));
                getData(10, 0, total);
                $(".pagination").bootpag({
                    total: total,
                    page: 1,
                    maxVisible: 10
                }).on("page", function (e, num) {
                    e.preventDefault();
                    var page = num - 1;
                    console.log(num);
                    getData(10, page, total);
                });
            }

        },
        error: function (xhr, ajaxOptions, thrownError) {
            alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
    });


});
function getData(item_per_page, page, lastpage) {

    var start_offset;

    if (page === 0) {
        start_offset = 0;

    } else if (page > 0) {

        start_offset = (page * item_per_page);
    }
    $.ajax({
        type: "GET",
        data: {
        },
        dataType: 'json',

        url: "../DTTurboHire/api/composite_job_fair/get-upcoming-jobfair-details.php?offset="+start_offset,
        success: function (data) {
            var tdata = "";
            var transactions = data.list;
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    tdata += '<tr>';
                    tdata += '<td>' + transactions[j].id + '</td>';
                    if(transactions[j].partner_name === null){
                        tdata += '<td>' + "" + '</td>';
                    }else{
                        tdata += '<td>' + transactions[j].partner_name + '</td>';
                    }
                    
                    tdata += '<td>' + transactions[j].date + '</td>';
                    tdata += '<td>' + transactions[j].end_date + '</td>';
                    tdata += '<td>' + transactions[j].name + '</td>';
                    tdata += '<td>' + transactions[j].contact_person + '</td>';
                    tdata += '<td>' + transactions[j].contact_number + '</td>';
                    tdata += '<td>' + transactions[j].conduct_by + '</td>';
                    tdata += '<td> <input type=button class="btn btn-primary" value="View Details" onclick="viewDetails(\'' + transactions[j].job_fair_id + '\')"></td>';
                    tdata += '</tr>';

                }
            }
            $('#result').html(tdata);

        },
        error: function (xhr, jqXHR, textStatus, errorThrown) {
            alert("get session failed " + errorThrown);
            alert(xhr.responseText);
        }
    });

}

function viewDetails(id) {

    window.location.href = 'view_full_details_jobfair.php?id=' + id;
}