function viewDetail(wfc_id,work_fair,user_type){
    window.location.href = "wf_shortlisted_candidates.php?wfc_id="+wfc_id+"&work_fair="+work_fair+"&user_type="+user_type;
}

function getValues(work_fair){
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_fair_application/work_fair_reports.php?wf_id="+work_fair,
        data: {},
        dataType: 'json',
        success: function (data) {
            $('#wfc').html(data.total_wfc_count);
            $('#check_in').html(data.total_check_in);
            $('#registration').html(data.total_registration);
            $('#shortlisted').html(data.total_shortlisted);
            $('#applied').html(data.total_applied);
            $('#applied_unique').html(data.total_applied_unique);
        },
        error: function (xhr, ajaxOptions, thrownError) {
            alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
    });
    
}

function getDetails(work_fair){
    $.ajax({
        type: "GET",
        data: {},
        dataType: 'json',
        url: "../DTTurboHire/api/work_fair_application/get_wfc_reports.php?wf_id="+work_fair,
        success: function (data) {
            var tdata = "";
            var transactions = data.details;
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    tdata += '<tr>';
                    tdata += '<td>' + transactions[j].name+ '</td>';
                    // tdata += '<td>' + transactions[j].user_type + '</td>';
                    tdata += '<td>' + transactions[j].check_in + '</td>';
                    if(transactions[j].check_out === null){
                        tdata += '<td>' + "N/A" + '</td>';
                    }else{
                        tdata += '<td>' + transactions[j].check_out + '</td>';    
                    }
                    
                    tdata += '<td>' + transactions[j].check_in_latitude + '</td>';
                    tdata += '<td>' + transactions[j].check_in_longitude + '</td>';
                    if(transactions[j].check_out_latitude === null){
                        tdata += '<td>' + "N/A" + '</td>';
                    }else{
                        tdata += '<td>' + transactions[j].check_out_latitude + '</td>';    
                    }

                    if(transactions[j].check_out_longitude === null){
                        tdata += '<td>' + "N/A" + '</td>';
                    }else{
                        tdata += '<td>' + transactions[j].check_out_longitude + '</td>';    
                    }
                    tdata += '<td>' + transactions[j].total_registration + '</td>';
                    tdata += '<td>' + transactions[j].total_eligible + '</td>';
                    tdata += '<td>' + transactions[j].total_applications + '</td>';
                    tdata += '<td>' + transactions[j].total_interviewed + '</td>';
                    tdata += '<td>' + transactions[j].total_selected + '</td>';
                    tdata += '<td>' + transactions[j].total_rejected + '</td>';
                    tdata += '<td> <input type=button class="btn btn-primary" value="View" onclick="viewDetail(\'' + transactions[j].wfc_id + '\',\'' + work_fair + '\',\'' + transactions[j].user_type + '\');"></td>';
                    tdata += '</tr>';

                }
            }
            $('#result').html(tdata);

        },
        error: function (xhr, jqXHR, textStatus, errorThrown) {
            alert("get session failed " + errorThrown);
            alert(xhr.responseText);
        }
    });
}

$(document).ready(function () {
    
    $("#down_btn").hide();
    
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/composite_job_fair/get-all-composite-jobfair.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;

            var option = '';
            option += '<option value=' + "" + '>' +"Select Work fair"+ '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].id + '>'+ transactions[j].id + " | " + transactions[j].name + " | " + transactions[j].date + " to " + transactions[j].end_date + '</option>';
                }
            }
            $('#work_fair').html(option);
        }
    });
    
    
    $('#work_fair').change(function () {
        var work_fair = $('#work_fair').val();

    if (work_fair === null || work_fair === '') {
        $("#down_btn").hide();
        $('#err_work_fair').html('Mandatory');
    } else
    {   
        $('#err_work_fair').html('');
        $("#down_btn").show();
        getValues(work_fair);
        getDetails(work_fair)
    }

});

  $('#ok').click(function(){
    var work_fair = $('#work_fair').val();
	$.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_fair_application/download_reports_by_wf.php?work_fair="+work_fair,
        data: {},
        dataType: 'json',
        success: function (data) {
            if (data.result === 'success') {
                // window.location.assign(data.data);
                var file_url = data.data;
                window.open(file_url, '_blank');
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
        alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
	});
        
});  
       
});

