<?php

session_start();

if(!(isset($_SESSION['id']))){
		header("Location: index.php");
	}else{
		$user_id = $_SESSION['id'];
	}

$randStr = rand();

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Upload Partner Data</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <!--<link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">-->
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" >
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!--Modal-->
    
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
        <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

</head>

<body>

    <div class="container-scroller">

        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/header.php'; ?>
        </div>

        <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
            <!-- partial:partials/_settings-panel.html -->

            <div id="right-sidebar" class="settings-panel">
                <i class="settings-close typcn typcn-times"></i>
                <ul class="nav nav-tabs" id="setting-panel" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>
                    </li>
                </ul>
                <div class="tab-content" id="setting-content">

                </div>
            </div>
            <!-- partial -->
            <!-- partial:partials/_sidebar.html -->
            <?php include 'includes/sidebar.php'; ?>
            <!-- partial -->

            <div class="main-panel">

                <div class="content-wrapper">

                    <center>

                        <div class="row" style="text-align: center; vertical-align: middle; margin:10px;">

                            <div class="label_white card">
                                <label style="margin:3px;">IBM</label>
                            </div>
                            <div class="label_00">
                                <label style="margin:3px;"> -> </label>
                            </div>
                            <div class="label_white card">
                                <label style="margin:3px;">Upload Partner Data</label>
                            </div>

                        </div>

                    </center>

                    <div class="row" style="margin-top:10px; margin-bottom:10px;">
                        <div class="col-12 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <!--<h4 class="card-title">Campus Details</h4>-->
                                    <!-- <form class="form-horizontal"> -->
                                    <div class="form-group row">
                                            <label for="campus_name" class="col-sm-3 col-form-label">Source Type</label>
                                            <div class="col-sm-9">
                                                <select type="text" class="form-control" id="source_type" name="source_type" required>
                                                    <option value="">Select Source</option>
                                                    <option>Partner</option>
                                                    <option>WorkFair</option>
                                                </select>
                                                <span style="color: red;font-size:13px;margin-left:15px" id="err_source_type"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row" id="workfair_div">
                                            <label class="col-sm-3 col-form-label">Select WorkFair</label>
                                            <div class="col-sm-9">
                                                <select type="text" class="form-control" id="wf_id" name="wf_id" required>
                                                </select>
                                                <span style="color: red;font-size:13px;margin-left:15px" id="err_wf_id"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row" id="partner_div">
                                            <label class="col-sm-3 col-form-label">Select Partner</label>
                                            <div class="col-sm-9">
                                                <select type="text" class="form-control" id="partner_id" name="partner_id" required>
                                                </select>
                                                <span style="color: red;font-size:13px;margin-left:15px" id="err_partner_id"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label for="campus_name" class="col-sm-3 col-form-label">Data Type</label>
                                            <div class="col-sm-9">
                                                <select type="text" class="form-control" id="data_type" name="data_type" required>
                                                    <option value="">Select Data Type</option>
                                                    <option value=1>Internal</option>
                                                    <option value=0>External</option>
                                                </select>
                                                <span style="color: red;font-size:13px;margin-left:15px" id="err_data_type"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label for="upload_file" class="col-sm-3 col-form-label">Upload Data</label>
                                            <div class="col-sm-9">
                                                <input type="file" class="form-control" id="upload_file" required name="upload_file" placeholder="Upload File">
                                                <label style="float: right;"><a style="color: #0000FF; font-size:12px;" href="files/UploadPartnerData.xlsx">Download Excel Format</a></label>
                                            </div>
                                        </div>
                                        
                                        <div class="form-group row">
                                            <div class="col-sm-9 offset-sm-3">
                                                <button type="submit" id="btn_register" onclick="uploadFile()" class="btn btn-primary mr-2">Submit</button>
                                            </div>
                                        </div>
                                    <!-- </form> -->
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- content-wrapper ends -->

                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->

    <script src="../JeevitamV2/js/template.js"></script>
    <script type="text/javascript">
        var val_user_id = '<?php echo $user_id; ?>';
    </script>

    <!-- Javascript Function -->
    <script type="text/javascript">
        $('#btn_signout').click(function() {
            window.open('signout.php', '_self');
        });
    </script>

    <!-- Custom js for this page-->
    <script src="js/upload_partner_data.js?randStr=<?php echo $randStr; ?>"></script>
    <!-- End custom js for this page-->
</body>

</html>
