<?php
session_start();

// $user_id = '3';

if (!(isset($_SESSION['id']))) {
    header("Location: index.php");
} else {
    $user_id = $_SESSION['id'];
}

$randStr = rand();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>View Composite Jobfair</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" >
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
    <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <style>
        body {
            background-color: lavender;
        }
    </style>
</head>
<body>
    <div class="container-scroller">

        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/header.php'; ?>
        </div>

        <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
            <!-- partial:partials/_settings-panel.html -->

            <div id="right-sidebar" class="settings-panel">
                <i class="settings-close typcn typcn-times"></i>
                <ul class="nav nav-tabs" id="setting-panel" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>
                    </li>
                </ul>
                <div class="tab-content" id="setting-content">

                </div>
            </div>
        <!-- partial -->
        <!-- partial:partials/_sidebar.html -->
        <?php include 'includes/sidebar.php'; ?>
        <?php include 'includes/modal_basic_01.php'; ?>
        <!-- partial -->

        <div class="main-panel">

                <div class="content-wrapper">
                    <div class="row" style="margin-top:10px; margin-bottom:10px;">
                        <div class="col-12 grid-margin stretch-card">
                            <div class="card">
                            <div class="card-body">
                                <h5>View Composite Jobfair</h5>
                                <div class="table-responsive pt-3">
                                    <table class="table table-striped">
                                        <thead id="thead">
                                            <tr>
                                                <th>Job Fair Id</th>
                                                <th>Partner</th>
                                                <th>Start Date</th>
                                                <th>End Date</th>
                                                <th>Jobfair Name</th>
                                                <th>Contact Person Name</th>
                                                <th>Phone Number</th>
                                                <th>Conducted By</th>
                                                <th>View</th>
                                            </tr>
                                        </thead>
                                        <tbody id="result"></tbody>
                                    </table>
                                    <div class="pagination">
                                    </div>
                                </div>
                            </div>
                            </div>
                        </div>
                    </div>
                </div>
        </div>            
    </div>
<!-- /.content-wrapper -->
<!--Pagination-->

    <script type="text/javascript" src="../CBSEFL/js/jquery-bootpag.js"></script>
    <script src="../CBSEFL/js/jquery.bootpag.min.js"></script>
<script src="../JeevitamV2/js/template.js"></script>
<!-- Javascript Function -->
<script type="text/javascript">
    $('#btn_signout').click(function() {
        window.open('signout.php', '_self');
    });
</script>
<!-- <script type="text/javascript" src="js/sidebar.js?randStr=<?php echo $randStr; ?>"></script> -->
<script src="js/view_composite_jobfair.js?randStr=<?php echo $randStr; ?>"></script>
</body>
</html>

