<?php

	session_start();

	if(!(isset($_SESSION['user_id']))){
		header("Location: index.php");
	}else{
		$corporate_id = $_SESSION['id'];
	}
	
	$rand_value = rand();
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Profile</title>
  <!-- base:css -->
  <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
  <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  
  <!--Modal-->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
  <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>
  
  <!--SweetAlert-->
  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
  
</head>

<style>

	#td_brand_logo{
	}

	td {
		text-align:center;
	}
	
	td > img {
        width: 175px;
        height: 175px;
    }
	
	tr > th {
		text-align:center;
	}

	thead {
		border: 2px solid #969696;
		vertical-align: middle;
		text-align: center;
	}

	.card-body{
		padding-top:10px;
	}
	
	.label_primary_02{
		color:#ffffff; 
		border-radius: 5px; 
		margin: 0px; 
		background: #30BAA3; 
		padding: 5px; 
		text-align: center; 
		vertical-align: middle;
	}

</style>

<body>

  <div class="container-scroller">
  
	<!-- partial:partials/_navbar.html -->
    <nav class="navbar col-lg-12 col-12 p-0 fixed-top d-flex flex-row" style="">
      
		<div class="navbar-brand-wrapper d-flex justify-content-center" style="background-color:#EF4278; height: 3.0rem; ">
			
			<div class="navbar-brand-inner-wrapper d-flex justify-content-between align-items-center w-100">
			  
				<a class="navbar-brand brand-logo-mini" href="index.html">
					<img src="../JeevitamV2/images/img_placeholder_products.png" alt="logo"/>
				</a>

				<button class="navbar-toggler navbar-toggler align-self-center" type="button" data-toggle="minimize">
					<span class="typcn typcn-th-menu"></span>
				</button>

				<a class="navbar-brand brand-logo" href="index.html">
					<label style="color:#FFFFFF; margin-top:3px;" >MARKETING</label>
				</a>
			  
			</div>
			
		</div>
	  
		<div class="navbar-menu-wrapper d-flex align-items-center justify-content-end" style=" height: 3.0rem; ">

			<ul class="navbar-nav navbar-nav-right">
				<li class="nav-item">
					<a class="nav-link d-flex justify-content-center align-items-center" href="javascript:;">
					  
						<h6 class="mb-0">Sign out</h6>
						<i class="fa fa-sign-out" style="padding:10px;"></i>
					  
					</a>
				</li>
			  
			</ul>

			<button class="navbar-toggler navbar-toggler-right d-lg-none align-self-center" type="button" data-toggle="offcanvas">
				<span class="typcn typcn-th-menu"></span>
			</button>

		</div>
	  
    </nav>
    <!-- end of navbar -->
	
    <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:-30px;">
      <!-- partial:partials/_settings-panel.html -->
     
      <!-- partial -->
      <!-- partial:partials/_sidebar.html -->
	  <?php include 'includes/sidebar.php'; ?>
	  <?php include 'includes/modal_basic_01.php'; ?>
      <!-- partial -->
	  
      <div class="main-panel">
	  
        <div class="content-wrapper">

		<div id="div_alert_success" class="alert alert-success alert-dismissible" style="display:none; margin-bottom:30px;">
			<a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
			<strong>Success! </strong><label id="lbl_alert_success"></label>
		</div>

		<div class="row" style="margin-top:0px; margin-bottom:10px;">
		
			<div class="col-md-12 grid-margin stretch-card" style="margin-top:0px;">
			
					<div class="col-md-12">
					
						<div class="card" style="margin-bottom:15px;">
							<div class="table-responsive">
								<table class="table table-striped project-orders-table">
									<tbody>
										<tr class="col-md-12">
											<td class="col-md-3" style="text-align:left;"><b>Brand Name</b></td>
											<td class="col-md-1"> : </td>
											<td class="col-md-8" style="text-align:left;">
												<input class="col-md-12 form-group" id="input_brand_name" type="text" style="margin:0px;" placeholder="" value=""/>
											</td>
										</tr>
										<tr class="col-md-12">
											<td class="col-md-3" style="text-align:left;"><b>Contact Person Name</b></td>
											<td class="col-md-1"> : </td>
											<td class="col-md-8" style="text-align:left;">
												<input class="col-md-12 form-group" id="input_contact_person_name" type="text" style="margin:0px;" placeholder="" value=""/>
											</td>
										</tr>
										<tr class="col-md-12">
											<td class="col-md-3" style="text-align:left;"><b>Mobile Number (Username)</b></td>
											<td class="col-md-1"> : </td>
											<td class="col-md-8" style="text-align:left;">
												<input class="col-md-12 form-group" id="input_contact_person_number" type="number" style="margin:0px;" placeholder="" value=""/>
											</td>
										</tr>
										<tr class="col-md-12">
											<td class="col-md-3" style="text-align:left;"><b>Email Id</b></td>
											<td class="col-md-1"> : </td>
											<td class="col-md-8" style="text-align:left;">
												<input class="col-md-12 form-group" id="input_email_id" type="text" style="margin:0px;" placeholder="" value=""/>
											</td>
										</tr>
										<tr class="col-md-12">
											<td class="col-md-3" style="text-align:left;"><b>Operating Address</b></td>
											<td class="col-md-1"> : </td>
											<td class="col-md-8" style="text-align:left;">
												<textarea class="col-md-12 form-group" id="input_operating_address" rows="5" type="text" style="margin:0px;" placeholder="" value="">
												</textarea>
											</td>
										</tr>
										<tr class="col-md-12">
											<td class="col-md-3" style="text-align:left;"><b>Brand Description</b></td>
											<td class="col-md-1"> : </td>
											<td class="col-md-8" style="text-align:left;">
												<textarea class="col-md-12 form-group" id="input_brand_description" rows="5" type="text" style="margin:0px;" placeholder="" value="">
												</textarea>
											</td>
										</tr>
										<tr class="col-md-12">
											<td class="col-md-3" style="text-align:left;"><b>Logo</b></td>
											<td class="col-md-1"> : </td>
											<td id="td_brand_logo" class="col-md-8" style="text-align:left;">
												
												<img id="img_brand_logo" src="images/img_placeholder_products.png" alt="logo" style="height:20%; width:20%">
												
											</td>
										</tr>
										<tr class="col-md-12" style="display:none;">
											<td class="col-md-3" style="text-align:left;"><b>GST</b></td>
											<td class="col-md-1"> : </td>
											<td class="col-md-8" style="text-align:left;">
												<input class="col-md-12 form-group" id="input_brand_name" type="text" style="margin:0px;" placeholder="" value=""/>
											</td>
										</tr>
										
										
									</tbody>
								</table>
							</div>
						</div>
						
						<div class="col-md-12 fixed-bottom" style="background-color:#f2f0f0;">
						
								<center style="padding:10px;">
								
									<div class="col-md-12">

										<button id="btn_back" type="button" style="padding:10px;" class="col-md-3 btn btn-outline-dark btn-sm btn-icon-text" >
										  Back
										</button>				
										
										<button id="btn_save" type="button" style="padding:10px; background-color:#30BAA3;" class="col-md-3 btn btn-info btn-sm btn-icon-text">
										  Save
										</button>
										
									</div>
									
								</center>
						
						</div>
						
					</div>
					
			</div>
			
		</div>
		
        </div>
        <!-- content-wrapper ends -->
		
        <!-- partial -->
      </div>
      <!-- main-panel ends -->
    </div>
    <!-- page-body-wrapper ends -->
	
  </div>
  <!-- container-scroller -->

  <!-- base:js -->
  <script src="../JeevitamV2/vendors/js/vendor.bundle.base.js"></script>
  <!-- endinject -->
  <!-- Plugin js for this page-->
  <script src="../JeevitamV2/vendors/chart.js/Chart.min.js"></script>
  <!-- End plugin js for this page-->
  <!-- inject:js -->
  <script src="../JeevitamV2/js/off-canvas.js"></script>
  <script src="../JeevitamV2/js/hoverable-collapse.js"></script>
  <script src="../JeevitamV2/js/template.js"></script>
  <script src="../JeevitamV2/js/settings.js"></script>
  <script src="../JeevitamV2/js/todolist.js"></script>
  <!-- endinject -->
  <!-- Custom js for this page-->
  <script src="js/account.js"></script>
  <!-- End custom js for this page-->
  	  
	<!-- Javascript Variables -->
	<script type="text/javascript">
		var val_corporate_id = '<?php echo $corporate_id; ?>';
	</script>

</body>

</html>

