<?php
	
	session_start();

	$user_id = '';

	if(!(isset($_SESSION['id']))){
		header("Location: index.php");
	}else{
		$user_id = $_SESSION['id'];
	}
	
	$randStr = rand();
	
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Create Product</title>
  <!-- base:css -->
  <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
  <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
  <link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  
  <!--Modal-->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
  <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>
  
  <!--SweetAlert-->
  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
  
</head>

<style>

	td {
		text-align:center;
	}
	
	tr > th {
		text-align:center;
	}

	thead {
		border: 2px solid #969696;
		vertical-align: middle;
		text-align: center;
	}

	tbody {
		border: 1px solid #969696;
		vertical-align: middle;
		text-align: center;
	}

	.card-body{
		padding-top:10px;
	}
	
	.label_primary_01{
		color:#ffffff; 
		border-radius: 5px; 
		margin: 0px; 
		background: #EF4278; 
		padding: 5px; 
		text-align: center; 
		vertical-align: middle;
	}
	
	.label_primary_02{
		color:#ffffff; 
		border-radius: 5px; 
		margin: 0px; 
		background: #30BAA3; 
		padding: 5px; 
		text-align: center; 
		vertical-align: middle;
	}
	
	.label_white{
		color:#000000; 
		border-radius: 5px; 
		margin: 0px; 
		background: #FFFFFF; 
		padding: 5px; 
		text-align: center; 
		vertical-align: middle;
	}
	
	.label_00{
		color:#000000; 
		border-radius: 5px; 
		margin: 0px; 
		padding: 5px; 
		text-align: center; 
		vertical-align: middle;
	}
	
	#div_view_more_products:hover, #lbl_view_more_products:hover {
	  cursor: pointer;
	}
	
</style>

<body>

  <div class="container-scroller">
    
	<div class="row col-md-12" style="margin-bottom:0px;">
		<?php include 'includes/header.php'; ?>
	</div>
	
	
    <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
      <!-- partial:partials/_settings-panel.html -->
      
      <div id="right-sidebar" class="settings-panel">
        <i class="settings-close typcn typcn-times"></i>
        <ul class="nav nav-tabs" id="setting-panel" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>
          </li>
        </ul>
        <div class="tab-content" id="setting-content">
		
        </div>
      </div>
      <!-- partial -->
      <!-- partial:partials/_sidebar.html -->
	  <?php include 'includes/sidebar.php'; ?>
	  <?php include 'includes/modal_basic_01.php'; ?>
      <!-- partial -->
	  
      <div class="main-panel">
	  
        <div class="content-wrapper">

			<center>
			
				<div class="row" style="text-align: center; vertical-align: middle; margin:10px;" >
					
						<div class="label_white card">
							<label style="margin:3px;">Marketing App</label>
						</div>
						<div class="label_00">
							<label style="margin:3px;"> --> </label>
						</div>
						<div class="label_white card">						
							<label style="margin:3px;">Products</label>
						</div>
						<div class="label_00">
							<label style="margin:3px;"> --> </label>
						</div>
						<div class="label_white card">
							<label style="margin:3px;"><b><u>Create Product</u></h3></label>
						</div>
					
				</div>
				
			</center>

			<div class="row" style="margin-top:10px; margin-bottom:10px;">
			
				<div class="col-md-12 grid-margin stretch-card" style="margin-top:0px;">
				
						<div class="col-md-12">
						
							<div class="card" style="margin-bottom:15px;">
							
								<div class="table-responsive">
									<table class="table table-striped project-orders-table">
										<tbody>
											<tr class="col-md-12">
												<td class="col-md-3" style="text-align:left;"><b>Select Corporate</b></td>
												<td class="col-md-1"> : </td>
												<td class="col-md-8" style="text-align:left;">
													
													<select class="form-control" id="select_corporate" style="border: 2px solid #969696; border-radius: 2px; background:#ffffff; color:black;" >
													</select>
													
												</td>
											</tr>
											<tr class="col-md-12">
												<td class="col-md-3" style="text-align:left;"><b>Product Name</b></td>
												<td class="col-md-1"> : </td>
												<td class="col-md-8" style="text-align:left;">
													<input class="col-md-12 form-group" id="input_product_name" type="text" style="margin:0px; padding:5px;" placeholder="" value=""/>
												</td>
											</tr>
											<tr class="col-md-12">
												<td class="col-md-3" style="text-align:left;"><b>Product Description</b></td>
												<td class="col-md-1"> : </td>
												<td class="col-md-8" style="text-align:left;">
													<textarea class="col-md-12 form-group" id="input_product_description" rows="5" type="text" style="margin:0px;" placeholder="" value="">
													</textarea>
												</td>
											</tr>
											<tr class="col-md-12">
												<td class="col-md-3" style="text-align:left;"><b>Validity End Date</b></td>
												<td class="col-md-1"> : </td>
												<td class="col-md-8" style="text-align:left;">
													<input class="col-md-12 form-group" id="input_validity_end" type="date" style="margin:0px; padding:5px;" placeholder="" value=""/>
												</td>
											</tr>
											<tr class="col-md-12">
												<td class="col-md-3" style="text-align:left;"><b>Product Status</b></td>
												<td class="col-md-1"> : </td>
												<td class="col-md-8" style="text-align:left;">
													
													<select class="form-control" id="select_product_status" style="border: 2px solid #969696; border-radius: 2px; background:#ffffff; color:black;" >
															<option value="Active">Active</option>
															<option value="Hold">Hold</option>
													</select>
													
												</td>
											</tr>
											<tr class="col-md-12">
												<td class="col-md-3" style="text-align:left;"><b>Product URL</b></td>
												<td class="col-md-1"> : </td>
												<td class="col-md-8" style="text-align:left;">
													<input class="col-md-12 form-group" id="input_product_url" type="text" style="margin:0px; padding:5px;" placeholder="" value=""/>
												</td>
											</tr>
											
											<tr class="col-md-12">
												<td class="col-md-3" style="text-align:left;"><b>Logo</b></td>
												<td class="col-md-1"> : </td>
												<td class="col-md-8" style="text-align:left;">
													
													<div class="col-md-12 form-group" style="margin:0px; padding:5px;">
															<input type="file" name="logo[]" class="file-upload-default">
															<div class="input-group col-xs-12">
																<input type="text" style="border: 1px solid #969696;" class="form-control file-upload-info" disabled placeholder="Upload Image">
																<span class="input-group-append">
																	<button class="file-upload-browse btn btn-primary" type="button">Upload</button>
																</span>
															</div>
													</div>

												</td>
											</tr>

											<tr class="col-md-12">
												<td class="col-md-3" style="text-align:left;"><b>Document</b></td>
												<td class="col-md-1"> : </td>
												<td class="col-md-8" style="text-align:left;">
													
													<div class="col-md-12 form-group" style="margin:0px; padding:5px;">
															<input type="file" name="doc[]" class="file-upload-default">
															<div class="input-group col-xs-12">
																<input type="text" style="border: 1px solid #969696;" class="form-control file-upload-info" disabled placeholder="Upload Document">
																<span class="input-group-append">
																	<button class="file-upload-browse btn btn-primary" type="button">Upload</button>
																</span>
															</div>
													</div>

												</td>
											</tr>
											
										</tbody>
									</table>
								</div>
								
							</div>
							
							<div class="col-md-12 fixed-bottom" style="background-color:#f2f0f0;">
							
									<center style="padding:10px;">
									
										<div class="col-md-12">

											<button id="btn_create" onclick="uploadDetails()" type="button" style="padding:10px; background-color:#30BAA3;" class="col-md-3 btn btn-info btn-sm btn-icon-text">
											  CREATE
											</button>
											
										</div>
										
									</center>
							
							</div>
							
						</div>
						
				</div>
				
			</div>
		
        </div>
        <!-- content-wrapper ends -->
		
        <!-- partial -->
      </div>
      <!-- main-panel ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->

   <script src="../JeevitamV2/js/template.js"></script>
 
	<!-- Javascript Variables -->
	<script type="text/javascript">
		var val_user_id = '<?php echo $user_id; ?>';
	</script>
  
	<!-- Javascript Function -->
	<script type="text/javascript">
		$('#btn_signout').click(function() {
			window.open('signout.php', '_self');			
		});

	</script>
	
  <!-- Custom js for this page-->
  <script src="js/create_product.js?randStr=<?php echo $randStr; ?>"></script>
  <!-- End custom js for this page-->
</body>

</html>

