$(document).ready(function () {

    $.ajax({
        type: "GET",
        url: "../marketingv1/api/freelancer/get_all_freelancers.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {

                for (var j = 0; j < transactions.length; j++) {
										
					var val_last_name = '';
					if((transactions[j].last_name=='null')||(transactions[j].last_name==null)){  
						val_last_name = '';
					}else{
						val_last_name = transactions[j].last_name;
					}

                    option += '<option value=' + transactions[j].id + '>' + transactions[j].first_name + ' ' + val_last_name + '</option>';

                }
            }

            $('#select_freelancer').html(option);
            
        }
    });

    $.ajax({
        type: "GET",
        url: "../marketingv1/api/product/view_all_products.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {

                for (var j = 0; j < transactions.length; j++) {
						
					option += 	'<tr class="col-md-12">' + 
									'<td class="col-md-2" style="text-align: center; vertical-align: middle;"> ' + 
										'<input type=checkbox class="btn btn-primary" name="assign_products" value=' + transactions[j].id + ' style=" width: 20px; height: 20px;">' + 
									'</td>' + 
									'<td class="col-md-3">' + 
										'<i>' + 
											'<img src="' + '../../marketingv1/images/' + ((transactions[j].product_logo).split('/'))[3] + '" alt="logo" style="margin-left:10px; padding:0px;" width="120px;" height="120px;">' + 
										'</i>' + 
									'</td>' + 
									'<td class="col-md-8" style="text-align: center; vertical-align: middle; font-size:20px;">' + 
										transactions[j].product_name + 
									'</td>' + 
								'</tr>';

                }

            }

            $('#table_products_body').html(option);
            
        }
    });

});

function assignProducts(){
	
	var arr_products = [];
	
	$('#modal_prompt_01').show();
	$('#lbl_modal_prompt_01').text("Updating Details.. Please wait..");

	$.each($("input[name='assign_products']:checked"), function () {

		if($(this).val() === '' || $(this).val() === undefined) {
			//alert("Kindly select atleast 1 Product to Assign");
		}else{

			var form_product = {
									product_id : $(this).val(),
									assigned_user_id : val_user_id_short
								}

			var json_product = JSON.stringify(form_product);

			arr_products.push(form_product);

		}

	});
    
	

	var formValues = {
		freelancer_id : $( "#select_freelancer option:selected" ).val(),
		list : arr_products
	}

	var json = JSON.stringify(formValues);
	console.log(json);

	if(arr_products.length === 0){
		$('#modal_prompt_01').hide();
		alert("Kindly select atleast 1 Product");
	}else{
		$.ajax({
		type: "POST",
		url: "../marketingv1/api/product/assign_multiple_product.php",
		data: json,
		dataType: 'json',
		success: function(response) {

			$('#modal_prompt_01').hide();

			if(response.result == 'success') {
				alert("Assigned successfully");
				window.location.reload();
			}else {
				$('#errorMsg').html(response.message);
			}

		}});

	}

}
