$(document).ready(function () {
    $.ajax({
        type: "GET",
        url: "../campus_api/api/get_all_drive.php",
        data: {},
        dataType: 'json',
        success: function (data) {
            var transactions = data.list;
            var option = '';
            option += '<option value=' + "" + '>' + "Select Drive" + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {
                    option += '<option value=' + transactions[j].id + '>' + transactions[j].id + ' | '+transactions[j].drive_name + '</option>';
                }
            }
            $('#drive_id').html(option);
        }
    });
    $('#drive_id').change(function () {
    var drive_id = $(this).val();
    if(drive_id !== ''){
        $.ajax({
        type: "GET",
        url: "../campus_api/api/summary_drive.php?drive_id="+drive_id,
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var detalis = response.list;
            $('#total_registrations').html(detalis[0].total_registrations);
            $('#total_job_applications').html(detalis[0].total_job_applications);            
            $('#total_shortlisting').html(detalis[0].total_shortlisting);
			$('#total_applied').html(detalis[0].total_applied);
			$('#total_declined').html(detalis[0].total_declined);
			
        }
    });
    }
    });   
    
});

