function updateUserType(id,page,userType){
    $('#id').val(id);
    $('#page').val(page);
  const {value : email} = Swal.fire({
  title: "Update UserType",
  html: `
  <tr class="col-md-12">
	<td class="col-md-3" style="text-align:left;">Select UserType</td>
	<td class="col-md-1"> : </td>
	<td class="col-md-8" style="text-align:left;">
	<select class="form-control" id="user_type" style="border: 2px solid #969696; border-radius: 2px; background:#ffffff; color:black;" >
		<option>Supervisor</option>
		<option>Freelancer</option>
	</select></td></tr>`,
  showCancelButton: true,
  confirmButtonColor: "#30BAA3",
  confirmButtonText: "Update",
//   inputValidator: () => {
//       var status = $("#status").val();
//       var comments = $("#comments").val();
//       if (comments === '') {
//       return "You need to choose something!";
//     }
    // return new Promise((resolve) => {
    //   if (value === "oranges") {
    //     resolve();
    //   } else {
    //     resolve("You need to select oranges :)");
    //   }
    // });
//   }
}).then((result) => {
  if (result.isConfirmed) {
      var id = $("#id").val();
      var page = $("#page").val();
      var user_type = $("#user_type").val();
    $('#modal_prompt_01').show();
	$('#lbl_modal_prompt_01').text("Loading..");
	
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_fair_application/update_user_type.php?id="+id+"&user_type="+user_type+"&updated_by="+val_user_id_short,
        dataType: 'json',
        data: {},
        success: function (response) {
        	if(response.result === 'success'){
        	    $('#modal_prompt_01').hide();
        		Swal.fire({
                    title: "Updated Successfully!",
                    confirmButtonColor: "#30BAA3",
                    confirmButtonText: "OK"
                });
                getData(10, page, 10);
                // .then((result) => {
                    // if (result.isConfirmed) {
                    //     window.close();
                    // }
                // });
        	}else{
        	    $('#modal_prompt_01').hide();
        		Swal.fire({
                    title: response.message,
                    confirmButtonColor: "#30BAA3",
                    confirmButtonText: "OK"
                });
                // .then((result) => {
                    // if (result.isConfirmed) {
                    //     window.close();
                    // }
                // });
        	}
        }		
    });
  }
});

}
$(document).ready(function () {
    var item_per_page = 10;
	$.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_fair_application/wf_coordinator_count.php",
        data: {},
        dataType: 'json',
        success: function (data) {
            var totalrecords = data;
            if (totalrecords === 0) {
                $("#no_of_records").html(totalrecords);
                alert("No records found");
                $('#result').html("");
            } else {
                $("#no_of_records").html(totalrecords);
                var total = Math.ceil((totalrecords / item_per_page));
                getData(10, 0, total);
				$(".pagination").bootpag({
                    total: total,
                    page: 1,
                    maxVisible: item_per_page
                }).on("page", function (e, num) {
                    e.preventDefault();
                    var page = num - 1;
                    getData(10, page, total);
                });
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
            alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
    });

});

function getData(item_per_page, page, lastpage){
    
    var start_offset;
    var pages = parseInt(page);
    if (pages === 0) {
        start_offset = 0;
    } else if (pages > 0) {
        start_offset = (pages * item_per_page);
    }
    
    var formvalues = {
		start_offset : start_offset
	};
	var json = JSON.stringify(formvalues);
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_fair_application/wf_coordinator_details.php?offset="+start_offset,
        dataType: 'json',
        data : json,
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {
						
					option += '<tr>';
					option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].name+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].phone_number+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].email+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].dob+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].city+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].pincode+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].user_type+'</td>';
                    option += '<td><button style="padding:10px; background-color:#30BAA3;" class="col-md-12 btn btn-info btn-sm btn-icon-text" onclick="updateUserType(\'' + transactions[j].id + '\',\'' + page + '\',\'' + transactions[j].user_type + '\');" >Update</button></td>';
                    option += '</tr>';
                }
            }
            $('#table_body').html(option);
        }
    });	

}
