<?php

session_start();

if (!(isset($_SESSION['id']))) {
    header("Location: index.php");
} else {
    $user_id = $_SESSION['id'];
}


$randStr = rand();

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>View Media</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!--Modal-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>

    <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

</head>

<style>
    .card_s {
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
        transition: 0.3s;
        width: 100%;
        border-radius: 5px;
    }

    .card_s:hover {
        box-shadow: 0 10px 20px 0 rgba(0, 0, 0, 0.2);
    }

    /* img {
        border-radius: 5px 5px 0 0;
    } */

    .container_s {
        padding: 20px;
    }

    .containersmall {
        padding: 10px;
    }

    #div_card {
        height: 150px;
    }

    #div_card_small {
        height: 50px;
    }

    #div_card_medium {
        height: 85px;
    }

    #div_card_large {
        height: 180px;
    }
</style>

<body>

    <div class="container-scroller">

        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/header.php'; ?>
        </div>


        <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
            <!-- partial:partials/_settings-panel.html -->

            <div id="right-sidebar" class="settings-panel">
                <i class="settings-close typcn typcn-times"></i>
                <ul class="nav nav-tabs" id="setting-panel" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>
                    </li>
                </ul>
                <div class="tab-content" id="setting-content">

                </div>
            </div>
            <!-- partial -->
            <?php include 'includes/sidebar.php'; ?>
            <!-- partial -->

            <div class="main-panel">

                <div class="content-wrapper">

                    <center>

                        <div class="row" style="text-align: center; vertical-align: middle; margin:10px;">

                            <div class="label_white card">
                                <label style="margin:3px;">WorkFair</label>
                            </div>
                            <div class="label_00">
                                <label style="margin:3px;"> -> </label>
                            </div>
                            <div class="label_white card">
                                <label style="margin:3px;">View Media</label>
                            </div>
                        </div>
                    </center>

                    <div class="card full-screen-card">
                        <!-- <div class="card-body"> -->
                        <!-- <h4>Drive Details</h4> -->
                        <!-- </div> -->
                        <div class="card-body">
                            <!-- Main content -->
                            <div class="content">
                                <div class="panel-body">
                                    <div class="row">
                                        <div class="col-md-8">
                                            <div class="form-group">
                                                <label for="campus_id" class="col-sm-3 col-form-label">Select WorkFair</label>
                                                <div class="col-sm-9">
                                                    <select class="form-control" id="work_fair" name="work_fair" required>
                                                    </select>
                                                    <span style="color: red;font-size:13px;margin-left:15px" id="err_work_fair"></span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div style="margin-top:20px" class="col-md-12">
                                            <div class="table-responsive pt-3">
                                                <table class="table table-striped">
                                                    <thead>
                                                        <tr>
                                                            <th>WF Co-Ordinator</th>
                                                            <!--<th>WorkFair Id</th>-->
                                                            <th>WorkFair Name</th>
                                                            <th>Testimony Description</th>
                                                            <th>Testimony</th>
                                                            <th>Latitude</th>
                                                            <th>Longitude</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="result">
                                                    </tbody>
                                                </table>

                                            </div>
                                        </div>
                                    </div>
                                    <div class="pagination"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.card -->

                </div>
                <!-- content-wrapper ends -->

                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->

    <script src="../JeevitamV2/js/template.js"></script>
    

    <!--Pagination-->

    <script type="text/javascript" src="../CBSEFL/js/jquery-bootpag.js"></script>
    <script src="../CBSEFL/js/jquery.bootpag.min.js"></script>

    <!-- Javascript Variables -->
    <script type="text/javascript">
        var val_user_id = '<?php echo $user_id; ?>';
    </script>

    <!-- Javascript Function -->
    <script type="text/javascript">
        $('#btn_signout').click(function() {
            window.open('signout.php', '_self');
        });
    </script>

    <!-- Custom js for this page-->
    <script src="js/view_media.js?<?php echo $randStr; ?>"></script>
    <!-- End custom js for this page-->
</body>

</html>