<?php

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bar to Doughnut Chart Toggle</title>
    <!-- Include Required CSS Files -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <style>
        /* Card styling */
        .card {
            margin: 50px auto;
            width: 80%;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border-radius: 10px;
            overflow: hidden;
        }

        .card-body {
            padding: 20px;
        }

        .card-title-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        /* Chart container styling */
        .chart-container {
            margin-top: 20px;
            width: 100%;
            height: 400px;
        }

        /* Initially hide the doughnut chart container */
        #doughnutContainer {
            display: none;
        }
    </style>
</head>
<body>
    <div class="container-scroller">
        <div class="main-panel">
            <div class="content-wrapper">
                <!-- Combined Chart Card -->
                <div class="col-lg-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-body">
                            <div class="card-title-container">
                                <h4 class="card-title">Charts</h4>
                            </div>
                            <!-- Bar Chart -->
                            <div class="chart-container" id="barContainer">
                                <canvas id="barChart"></canvas>
                            </div>
                            <!-- Doughnut Chart -->
                            <div class="chart-container" id="doughnutContainer">
                                <canvas id="doughnutChart"></canvas>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Include Chart.js Library -->
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <!-- Link to External JS File -->
    <script src="js/click_chart.js"></script>
</body>
</html>
