<?php
session_start();
// include_once 'includes/config.php';
// include_once 'includes/functions.php';

// if (!isset($_SESSION['user_id'])) {
//     header("Location: " . $admin_path);
//     exit();
// }
// $userId = $_SESSION['user_id'];
// $userType = $_SESSION['user_type'];

// $privilege_list = get_privilege_list($userId, $userType);

$randStr = rand();
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Create Users</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" >
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!--Modal-->
    <!-- <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">-->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>

    <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

</head>

<body>

    <div class="container-scroller">

        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/header.php'; ?>
        </div>

        <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
            
            <!-- partial -->
            <!-- partial:partials/_sidebar.html -->
            <?php include 'includes/sidebar.php'; ?>
            <!-- partial -->

            <div class="main-panel">
                <div class="content-wrapper">

                    <div class="row" style="margin-top:10px; margin-bottom:10px;">
                        <div class="col-12 grid-margin stretch-card">
                            <div class="card">
                             <div class="card-body">
                                <h4 class="card-title">Create Users</h4>
                                    <div class="form-group row">
                                        <label for="fname" class="col-sm-3 col-form-label"><em style="color: red">* </em>First Name</label>
                                        <div class="col-sm-9">
                                            <input type="text" class="form-control" id="fname" name="fname" placeholder="Enter First Name">
                                            <span style="color: red;font-size:13px;margin-left:15px" id="err-fname"></span>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label for="lname" class="col-sm-3 col-form-label"><em style="color: red">* </em>Last Name</label>
                                        <div class="col-sm-9">
                                            <input type="text" class="form-control" id="lname" name="lname" placeholder="Enter Last Name">
                                            <span style="color: red;font-size:13px;margin-left:15px" id="err-lname"></span>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label for="email" class="col-sm-3 col-form-label"><em style="color: red">* </em>Email</label>
                                        <div class="col-sm-9">
                                            <input type="text" class="form-control" id="email" name="email" placeholder="Enter Mail Id">
                                            <span style="color: red;font-size:13px;margin-left:15px" id="err-email"></span>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label for="phone_number" class="col-sm-3 col-form-label"><em style="color: red">* </em>User Name</label>
                                        <div class="col-sm-9">
                                            <input type="text" class="form-control" id="phone_number" name="phone_number">
                                            <span style="color: red;font-size:13px;margin-left:15px" id="err-phone_number"></span>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label for="password" class="col-sm-3 col-form-label"><em style="color: red">* </em>Password</label>
                                        <div class="col-sm-9">
                                            <input type="password" class="form-control" id="password" name="password">
                                            <span style="color: red;font-size:13px;margin-left:15px" id="err-password"></span>
                                        </div>
                                    </div>
                                        
                                    <div class="form-group row">
                                        <label for="user_type" class="col-sm-3 col-form-label"><em style="color: red">* </em>User type</label>
                                        <div class="col-sm-9">
                                            <select class="form-control" id="user_type" name="user_type" required>
                                                <option value="" disabled selected>Select User Type</option>
                                                <option value="SuperAdmin">Super Admin</option>
                                                <option value="admin">Admin</option>
                                                <option value="internalTeam">Internal Team</option>
                                                <option value="Telecaller">Telecaller</option>
                                            </select>
                                            <span style="color: red;font-size:13px;margin-left:15px" id="err-usertype"></span>
                                        </div>
                                    </div>
                                        
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            
                                            <input type="button" id="submit" name="submit" class="btn btn-primary" value="Submit" style="margin-top:35px">
                                        </div>
                                    </div>
                                        
                             </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <script>var userId = '<?php echo $userId; ?>';</script>
    <script>var userType = '<?php echo $userType; ?>';</script>
        
    <script src="js/create_users.js?randStr=<?php echo $randStr; ?>"></script>

</body>
</html>
