<?php
session_start();
// include_once 'includes/config.php';
// include_once 'includes/functions.php';

// if (!isset($_SESSION['user_id'])) {
//     header("Location: " . $admin_path);
//     exit();
// }
// $userId = $_SESSION['user_id'];
// $userType = $_SESSION['user_type'];

// $privilege_list = get_privilege_list($userId, $userType);

$randStr = rand();
?>

<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Create Users</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="bower_components/bootstrap/dist/css/bootstrap.min.css">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="bower_components/font-awesome/css/font-awesome.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="bower_components/Ionicons/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="css/AdminLTE.min.css">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="css/skins/_all-skins.min.css">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
</head>
<body class="hold-transition skin-blue sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
    
    <?php include 'includes/header.php'; ?>
    <?php include 'includes/sidebar.php'; ?>
    
    
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Create Users
      </h1>
    </section>

    <!-- Main content -->
    <section class="content">
		<div style="width: 100%; max-width: 500px; margin: auto;">
		
    		<div class="col-md-12">
                <div class="form-group">
                    <label class="control-label">First Name</label>
                    <label><p style="color: red">* </p></label> <span style="margin-left:10px;font-weight:bold;color:red" id ="err-fname"></span><br>
    
                    <input type="text" id="fname" name="fname" class="form-control">
                </div>
            </div>
            
            <div class="col-md-12">
                <div class="form-group">
                    <label class="control-label">Last Name</label>
                    <label><p style="color: red">* </p></label> <span style="margin-left:10px;font-weight:bold;color:red" id ="err-lname"></span><br>
    
                    <input type="text" id="lname" name="lname" class="form-control">
                </div>
            </div>
            
            <div class="col-md-12">
                <div class="form-group">
                    <label class="control-label">Email</label>
                    <label><p style="color: red">* </p></label> <span style="margin-left:10px;font-weight:bold;color:red" id ="err-email"></span><br>
    
                    <input type="text" id="email" name="email" class="form-control">
                </div>
            </div>
            

            <div class="col-md-12">
                <div class="form-group">
                    <label class="control-label">User Name</label>
                    <label><p style="color: red">* </p></label> <span style="margin-left:10px;font-weight:bold;color:red" id ="err-phone_number"></span><br>
    
                    <input type="text" id="phone_number" name="phone_number"  class="form-control">
                </div>
            </div>
            
            <div class="col-md-12">
                <div class="form-group">
                    <label class="control-label">Password</label>
                    <label><p style="color: red">* </p></label> <span style="margin-left:10px;font-weight:bold;color:red" id ="err-password"></span><br>
    
                    <input type="password" id="password" name="password" class="form-control">
                </div>
            </div>
            
            
               
            <div class="col-md-12" id="div_user_type">
                <div class="form-group">
                    <label class="control-label">User type</label>
                    <label><p style="color: red">* </p></label> <span style="margin-left:10px;font-weight:bold;color:red" id ="err-usertype" ></span><br>
                    <select class="form-control required" id="user_type" name='user_type'> 
                        
                        <option value="">Select User Type</option>
                        <option value="SuperAdmin">SuperAdmin</option>
                        <option value="admin">admin</option>
                        <option value="internalTeam">internalTeam</option>
						<option value="Telecaller">Telecaller</option>
						
                    </select>                                
    
                </div>
                
            
                
            </div>
            
            
              
            
            <br>
           
            
            <div class="col-md-6">
                <div class="form-group">
                    
                    <input type="button" id="submit" name="submit" class="btn btn-success" value="Submit" style="margin-top:35px">
                </div>
            </div>
            
		</div>

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  

  <!-- Add the sidebar's background. This div must be placed
       immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

<!-- Javascript -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap 3.3.7 -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
    <!--Multi Select-->
    <script type="text/javascript" src="bower_components/bootstrap-multiselect/dist/js/bootstrap-multiselect.js"></script>


    <!-- SlimScroll -->
    <script src="bower_components/jquery-slimscroll/jquery.slimscroll.min.js"></script>
    <!-- FastClick -->
    <script src="bower_components/fastclick/lib/fastclick.js"></script>
    <!--Pagination-->
    <script type="text/javascript" src="js/jquery-bootpag.js"></script>
    <script src="js/jquery.bootpag.min.js"></script>

        <script>var userId = '<?php echo $userId; ?>';</script>
        <script>var userType = '<?php echo $userType; ?>';</script>
        
        <script src="js/create_users.js?randStr=<?php echo $randStr; ?>"></script>


    <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

<!-- jQuery 3 -->

<!-- AdminLTE App -->
<script src="js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="js/demo.js"></script>
<script>
        $(document).ready(function () {
            $('.sidebar-menu').tree();
        })
</script>
</body>
</html>