<?php

session_start();

if(!(isset($_SESSION['id']))){
		header("Location: index.php");
	}else{
		$user_id = $_SESSION['id'];
	}

$randStr = rand();

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Drive Summary</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!--Modal-->
    <!-- <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">-->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>

    <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

</head>

<body>

    <div class="container-scroller">

        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/header.php'; ?>
        </div>

        <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
            <!-- partial:partials/_settings-panel.html -->

            <div id="right-sidebar" class="settings-panel">
                <i class="settings-close typcn typcn-times"></i>
                <ul class="nav nav-tabs" id="setting-panel" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>
                    </li>
                </ul>
                <div class="tab-content" id="setting-content">

                </div>
            </div>
            <!-- partial -->
            <!-- partial:partials/_sidebar.html -->
            <?php include 'includes/sidebar.php'; ?>
            <?php include 'includes/modal_basic_01.php'; ?>
            <!-- partial -->

            <div class="main-panel">

                <div class="content-wrapper">

                    <center>

                        <div class="row" style="text-align: center; vertical-align: middle; margin:10px;">

                            <div class="label_white card">
                                <label style="margin:3px;">Campus</label>
                            </div>
                            <div class="label_00">
                                <label style="margin:3px;"> -> </label>
                            </div>
                            <div class="label_white card">
                                <label style="margin:3px;">Drive Summary</label>
                            </div>

                        </div>

                    </center>

                    <div class="row" style="margin-top:10px; margin-bottom:10px;">
                        <div class="col-12 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="card-title">Drive Summary</h4>
                                    <!-- <form class="form-horizontal"> -->
                                    <div class="form-group row">
                                        <label for="campus_id" class="col-sm-3 col-form-label">Drive</label>
                                        <div class="col-sm-9">
                                            <select class="form-control" id="drive_id" name="drive_id" required>
                                            </select>
                                            <span style="color: red;font-size:13px;margin-left:15px" id="err_drive_id"></span>
                                        </div>
                                    </div>

                                   
                                    <!-- </form> -->
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <div class="row">
                        <div class="col-md-3 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                  <div class="d-flex align-items-center justify-content-between justify-content-md-center justify-content-xl-between flex-wrap mb-4">
                    <div>
                      <p class="mb-2 text-md-center text-lg-left">Total Registered</p>
                      <h1 class="mb-0" id="total_registrations"></h1>
                    </div>
                    <i class="typcn typcn-chart-pie icon-xl text-secondary"></i>
                  </div>
                  <canvas id="budget-chart" height="80"></canvas>
                </div>
              </div>
            </div>
            <div class="col-md-3 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                  <div class="d-flex align-items-center justify-content-between justify-content-md-center justify-content-xl-between flex-wrap mb-4">
                    <div>
                      <p class="mb-2 text-md-center text-lg-left">Total Jobs</p>
                      <h1 class="mb-0" id="total_job_applications"></h1>
                    </div>
                    <i class="typcn typcn-clipboard icon-xl text-secondary"></i>
                  </div>
                  <canvas id="balance-chart" height="80"></canvas>
                </div>
              </div>
            </div>
            <div class="col-md-3 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                  <div class="d-flex align-items-center justify-content-between justify-content-md-center justify-content-xl-between flex-wrap mb-4">
                    <div>
                      <p class="mb-2 text-md-center text-lg-left">Total Shortlisting</p>
                      <h1 class="mb-0" id="total_shortlisting"></h1>
                    </div>
                    <i class="typcn typcn-briefcase icon-xl text-secondary"></i>
                  </div>
                  <!-- <canvas id="expense-chart" height="80"></canvas> -->
                </div>
              </div>
            </div>
            <div class="col-md-3 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                  <div class="d-flex align-items-center justify-content-between justify-content-md-center justify-content-xl-between flex-wrap mb-4">
                    <div>
                      <p class="mb-2 text-md-center text-lg-left">Total Applied</p>
                      <h1 class="mb-0" id="total_applied"></h1>
                    </div>
                    <i class="typcn typcn-chart-pie icon-xl text-secondary"></i>
                  </div>
                  <canvas id="budget-chart" height="80"></canvas>
                </div>
              </div>
            </div>
            
<div class="col-md-3 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                  <div class="d-flex align-items-center justify-content-between justify-content-md-center justify-content-xl-between flex-wrap mb-4">
                    <div>
                      <p class="mb-2 text-md-center text-lg-left">Total Declined</p>
                      <h1 class="mb-0" id="total_declined"></h1>
                    </div>
                    <i class="typcn typcn-chart-pie icon-xl text-secondary"></i>
                  </div>
                  <canvas id="budget-chart" height="80"></canvas>
                </div>
              </div>
            </div>
          </div>

                </div>
                <!-- content-wrapper ends -->

                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->

    <!-- base:js -->
    <!--<script src="../JeevitamV2/vendors/js/vendor.bundle.base.js"></script>-->
    <!-- endinject -->
    <!-- Plugin js for this page-->
    <!--<script src="../JeevitamV2/vendors/chart.js/Chart.min.js"></script>-->
    <!-- End plugin js for this page-->
    <!-- inject:js -->
    <!--<script src="../JeevitamV2/js/off-canvas.js"></script>-->
    <!--<script src="../JeevitamV2/js/hoverable-collapse.js"></script>-->
    <!--<script src="../JeevitamV2/js/template.js"></script>-->
    <!--<script src="../JeevitamV2/js/settings.js"></script>-->
    <!--<script src="../JeevitamV2/js/todolist.js"></script>-->
    <!-- endinject -->

    <!-- plugin js for this page -->
    <!--<script src="../JeevitamV2/vendors/typeahead.js/typeahead.bundle.min.js"></script>-->
    <!--<script src="../JeevitamV2/vendors/select2/select2.min.js"></script>-->
    <!-- End plugin js for this page -->
    <!-- Custom js for this page-->
    <!--<script src="../JeevitamV2/js/file-upload.js"></script>-->
    <!--<script src="../JeevitamV2/js/typeahead.js"></script>-->
    <!--<script src="../JeevitamV2/js/select2.js"></script>-->
    <!-- End custom js for this page-->

    <!-- START PLUGINS -->
    <!--<script type="text/javascript" src="../JeevitamV2/js/jquery/jquery.min.js"></script>-->
    <!--<script type="text/javascript" src="../JeevitamV2/js/jquery/jquery-ui.min.js"></script>-->
    <!--<script type="text/javascript" src="../JeevitamV2/js/bootstrap/bootstrap.min.js"></script>-->
    <!--<script type="text/javascript" src="../JeevitamV2/js/plugins.js"></script>-->
    <!--<script type="text/javascript" src="../JeevitamV2/js/actions.js"></script>-->
    <!-- END PLUGINS -->

    <!-- Javascript Variables -->
    <script type="text/javascript">
        var val_user_id = '<?php echo $user_id; ?>';
    </script>

    <!-- Javascript Function -->
    <script type="text/javascript">
        $('#btn_signout').click(function() {
            window.open('signout.php', '_self');
        });
    </script>

    <!-- Custom js for this page-->
    <script src="js/drive_summary.js?randStr=<?php echo $randStr; ?>"></script>
    <!-- <script type="text/javascript" src="js/sidebar.js?randStr=<?php echo $randStr; ?>"></script> -->
    <!-- End custom js for this page-->
</body>

</html>