<?php
session_start();

$user_id = '3';

// if (!(isset($_SESSION['user_id']))) {
//     header("Location: index.php");
// } else {
//     $user_id = $_SESSION['user_id'];
// }

$randStr = rand();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Enable Live Jobs</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" >
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

    <style>
        .select2-container--default .select2-selection--multiple,
        .select2-container--default .select2-selection--single {
            padding: 0.375rem 0.75rem; 
        }       
    </style>
</head>

<body>
    <div class="container-scroller">
        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/header.php'; ?>
        </div>
        <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">

        <!-- partial:partials/_sidebar.html -->
        <?php include 'includes/sidebar.php'; ?>

        <div class="main-panel">
            <div class="content-wrapper">
                <div class="row" style="margin-top:10px; margin-bottom:10px;">
                    <div class="col-12 grid-margin stretch-card">
                        <div class="card">
                          <div class="card-body">
                            <!-- Top content added here -->
                            <h5 style="color: red; font-weight: bold;">
                                These jobs will be used for Shortlisting vs Incoming IVR and Website leads.
                            </h5><br><br>
                            <h4 class="card-title">Jobs for Incoming Calls</h4>
                         <!-- Main content -->
                            <section class="content">
                                <div class="right_col" role="main">

                                    <div class="panel-body">
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label"><em style="color: red">* </em>Jobs: </label><br>
                                            <div class="col-sm-9">
                                                <select class="form-control dark-border js-example-basic-multiple w-100"  id="jobs" name="jobs" multiple="multiple">

                                                </select>
                                                <span style="color: red" id="err_jobs"></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group row" >
                                        <div class="col-md-12" style="margin-top: 30px;text-align: center">
                                            <input type="button" class="btn btn-primary" id="submit_btn" name="submit_btn" value="Submit">
                                            <label><span style="font-weight:bold; font-size:18px; color:red" class="status"></span></label>
                                        </div>
                                    </div>
                                        
                                </div>
                            </section>
                          </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- START PLUGINS --> 
    <script src="../JeevitamV2/vendors/select2/select2.min.js"></script>
    <script src="../JeevitamV2/js/select2.js"></script>
    <script type="text/javascript" src="../JeevitamV2/js/jquery/jquery-ui.min.js"></script>


    <!-- Javascript Function -->
    <script type="text/javascript">
        $(document).ready(function() {
            $('#jobs').select2({
                placeholder: 'Select options',
                allowClear: true,
                width: '100%' 
            });

            // Remove the Ctrl+click option
            // $('#jobs').on('select2:opening', function(e) {
            //     var $select = $(this);
            //     if ($select.data('select2').isOpen && e.ctrlKey) {
            //         $select.data('select2').isOpen = false;
            //     }
            // });
        });

        $('#btn_signout').click(function() {
            window.open('signout.php', '_self');
        });
    </script>

    <!-- Javascript Variables -->
    <script type="text/javascript">
        var user_id = '<?php echo $user_id; ?>';
    </script>

    <script src="js/enable_live_jobs.js?randStr=<?php echo $randStr; ?>"></script>
</body>
</html>
       
   
