function updateStatus(id,page){
  const {value : email} = Swal.fire({
  title: "Update Status",
  html: `
  <tr class="col-md-12">
	<td class="col-md-3" style="text-align:left;">Select Status</td>
	<td class="col-md-1"> : </td>
	<td class="col-md-8" style="text-align:left;">
	<select class="form-control" id="status" style="border: 2px solid #969696; border-radius: 2px; background:#ffffff; color:black;" >
		<option>PENDING</option>
		<option>IN_PROCESS</option>
		<option>CLOSED_SUCCESSFULLY</option>
		<option>CLOSED_UN_SUCCESSFULLY</option>
	</select></td></tr>
	<tr class="col-md-12">
	<td class="col-md-3" style="text-align:left;">Comments</td>
		<td class="col-md-1"> : </td>
		<td class="col-md-8" style="text-align:left;">
		<input class="col-md-12 form-group" id="comments" type="text" style="margin:0px; border: 2px solid #969696; border-radius: 2px; background:#ffffff; color:black; padding:5px;" placeholder="" value=""/>
		</td></tr>`,
  showCancelButton: true,
  confirmButtonColor: "#30BAA3",
  confirmButtonText: "Send",
//   inputValidator: () => {
//       var status = $("#status").val();
//       var comments = $("#comments").val();
//       if (comments === '') {
//       return "You need to choose something!";
//     }
    // return new Promise((resolve) => {
    //   if (value === "oranges") {
    //     resolve();
    //   } else {
    //     resolve("You need to select oranges :)");
    //   }
    // });
//   }
}).then((result) => {
  if (result.isConfirmed) {
      var status = $("#status").val();
      var comments = $("#comments").val();
    //   alert(status+" "+comments);
    $('#modal_prompt_01').show();
	$('#lbl_modal_prompt_01').text("Loading..");
	var formvalues = {
		status : status,
		comments : comments,
		updated_by : val_user_id,
		id : id,
		corporate_id: ""
	};
	var json = JSON.stringify(formvalues);
    $.ajax({
        type: "POST",
        url: "../enquiry/api/corporate/update_jobs_enquiry.php",
        dataType: 'json',
        data: json,
        success: function (response) {
        	if(response.result === 'success'){
        	    $('#modal_prompt_01').hide();
        		Swal.fire({
                    title: "Updated Successfully!",
                    confirmButtonColor: "#30BAA3",
                    confirmButtonText: "OK"
                });
                getData(10, page, 10);
                // .then((result) => {
                    // if (result.isConfirmed) {
                    //     window.close();
                    // }
                // });
        	}else{
        	    $('#modal_prompt_01').hide();
        		Swal.fire({
                    title: response.message,
                    confirmButtonColor: "#30BAA3",
                    confirmButtonText: "OK"
                });
                // .then((result) => {
                    // if (result.isConfirmed) {
                    //     window.close();
                    // }
                // });
        	}
        }		
    });
  }
});

}
$(document).ready(function () {
    var item_per_page = 10;
	$.ajax({
        type: "GET",
        url: "../enquiry/api/corporate/get_enquiry_count.php",
        data: {},
        dataType: 'json',
        success: function (data) {
            var totalrecords = data;
            if (totalrecords === 0) {
                alert("No Data Found");
                $('#result').html("");
                // $("#total").show();
                // $("#total_leads").html(totalrecords);
            } else {
                // $("#total").show();
                // $("#total_leads").html(totalrecords);
                var total = Math.ceil((totalrecords / item_per_page));
                getData(10, 0, total);
				$(".pagination").bootpag({
                    total: total,
                    page: 1,
                    maxVisible: item_per_page
                }).on("page", function (e, num) {
                    e.preventDefault();
                    var page = num - 1;
                    getData(10, page, total);
                });
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
            alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
    });

});

function getData(item_per_page, page, lastpage){
    
    var start_offset;
    var pages = parseInt(page);
    if (pages === 0) {
        start_offset = 0;
    } else if (pages > 0) {
        start_offset = (pages * item_per_page);
    }
    
    var formvalues = {
		start_offset : start_offset
	};
	var json = JSON.stringify(formvalues);
    $.ajax({
        type: "POST",
        url: "../enquiry/api/corporate/get_all_jobs_enquiry.php",
        dataType: 'json',
        data : json,
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {
						
					option += '<tr>';
					option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].company_name+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].mobile_number+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].city+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].number_of_openings+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].status+'</td>';
                    option += '<td style="text-align: center; vertical-align: middle; ">'+transactions[j].comments+'</td>';
                    option += '<td><button style="padding:10px; background-color:#30BAA3;" class="col-md-12 btn btn-info btn-sm btn-icon-text" onclick="updateStatus(\'' + transactions[j].id + '\',\'' + page + '\');" >Update</button></td>';
                    option += '</tr>';
                }
            }
            $('#table_body').html(option);
        }
    });	

}
