$(document).ready(function () {

    $.ajax({
        type: "GET",
        url: "../marketingv1/api/product/view_all_products.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {

                for (var j = 0; j < transactions.length; j++) {
										
					var val_last_name = '';
					if((transactions[j].last_name=='null')||(transactions[j].last_name==null)){  
						val_last_name = '';
					}else{
						val_last_name = transactions[j].last_name;
					}

                    option += '<option value=' + transactions[j].id + '>' + transactions[j].product_name + '</option>';

                }
            }

            $('#select_product').html(option);
            
        }
    });

});

function downloadData(){
    
    var select_product = $('#select_product').val();
	$.ajax({
        type: "GET",
        url: "../marketingv1/api/freelancer/download_corporate_signups.php?product_id="+select_product,
        data: {},
        dataType: 'json',
        success: function (data) {
            if (data.result === 'success') {
                var file_url = data.data;
                window.open(file_url, '_blank');
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
        alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
	});

}

function getSignups(){

	var val_product_id = $( "#select_product option:selected" ).val();

	var formvalues_01 = {
						product_id : val_product_id,
						start_offset : "0"
					};

	var json = JSON.stringify(formvalues_01);

    $.ajax({
        type: "POST",
        url: "../marketingv1/api/corporate/get_corporate_signups.php",
        data: json,
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {

				$('#div_download_data').show();

                for (var j = 0; j < transactions.length; j++) {
						
					option += 	'<tr class="col-md-12">' + 
									
									'<td class="col-md-3" style="text-align: center; vertical-align: middle; font-size:20px;">' + 
										transactions[j].first_name + 
									'</td>' + 

									'<td class="col-md-3" style="text-align: center; vertical-align: middle; font-size:20px;">' + 
										transactions[j].last_name + 
									'</td>' + 

									'<td class="col-md-3" style="text-align: center; vertical-align: middle; font-size:20px;">' + 
										transactions[j].email_id + 
									'</td>' + 

									'<td class="col-md-3" style="text-align: center; vertical-align: middle; font-size:20px;">' + 
										transactions[j].created_at + 
									'</td>' + 

								'</tr>';

                }

            }else{
				$('#div_download_data').hide();
			}

            $('#table_signups_body').html(option);
            
        }
    });	

}
