function viewJob(job_id) {
    window.location.href = 'full_time_jobs.php?job_id=' + job_id;
}

$(document).ready(function() {
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/work_fair_application/shortlisted_jobs.php?lead_id=" + lead_id + "&job_fair_id=" + job_fair_id,
        data: {},
        dataType: 'json',
        success: function (data) {
            if (data.error) {
                alert("ERROR: " + data.error);
                return;
            }

            var transactions = data.list;
            var tdata = "";

            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {
                    tdata += '<tr>';
                    tdata += '<td>' + transactions[j].name_of_brand + '</td>';
                    tdata += '<td>' + transactions[j].name + '</td>';
                    tdata += '<td>' + transactions[j].max_salary + '</td>';
                    tdata += '<td> <input type=button class="btn btn-primary" value="View" onclick="viewJob(\'' + transactions[j].j_id + '\')"></td>';                   
                    tdata += '</tr>';
                }
            }
            $('#jobTable tbody').html(tdata);
        },
        error: function (xhr, ajaxOptions, thrownError) {
            alert("ERROR: " + xhr.responseText + " - " + thrownError);
        }
    });
});
