function viewDetail(link){
    let link_url = "../qrcode/workfair/"+link;
    window.open(link_url, '_blank');
}


function getDetails(work_fair){
    $.ajax({
        type: "GET",
        data: {},
        dataType: 'json',
        url: "../DTTurboHire/api/work_fair_application/get_wfc_links.php?wf_id="+work_fair,
        success: function (data) {
            var tdata = "";
            var transactions = data.list;
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    tdata += '<tr>';
                    tdata += '<td>' + transactions[j].name+ '</td>';
                    tdata += '<td>' + transactions[j].user_type + '</td>';
                    tdata += '<td>' + transactions[j].link + '</td>';
                    tdata += '<td> <input type=button class="btn btn-primary" value="View QRCode" onclick="viewDetail(\'' + transactions[j].qr_code_link + '\');"></td>';
                    tdata += '</tr>';
                }
            }
            $('#result').html(tdata);

        },
        error: function (xhr, jqXHR, textStatus, errorThrown) {
            alert("get session failed " + errorThrown);
            alert(xhr.responseText);
        }
    });
}

$(document).ready(function () {
    
    $("#down_btn").hide();
    
    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/composite_job_fair/get-all-composite-jobfair.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;

            var option = '';
            option += '<option value=' + "" + '>' +"Select Work fair"+ '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].id + '>'+ transactions[j].id + " | " + transactions[j].name + " | " + transactions[j].date + " to " + transactions[j].end_date + '</option>';
                }
            }
            $('#work_fair').html(option);
        }
    });
    
    
    $('#work_fair').change(function () {
        var work_fair = $('#work_fair').val();

    if (work_fair === null || work_fair === '') {
        $('#err_work_fair').html('Mandatory');
    } else
    {   
        $('#err_work_fair').html('');
        getDetails(work_fair)
    }

});

});

