<?php
	
session_start();

	if(!(isset($_SESSION['id']))){
		header("Location: index.php");
	}else{
		$user_id = $_SESSION['id'];
	}
$randStr = rand();
	
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Home</title>
  <!-- base:css -->
  <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
  <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  
  <!--Modal-->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
  <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>
  
  <!--SweetAlert-->
  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
  
</head>

<style>

	td {
		text-align:center;
	}
	
	tr > th {
		text-align:center;
	}

	thead {
		border: 2px solid #969696;
		vertical-align: middle;
		text-align: center;
	}

	tbody {
		border: 1px solid #969696;
		vertical-align: middle;
		text-align: center;
	}

	.card-body{
		padding-top:10px;
	}
	
	.label_primary_01{
		color:#ffffff; 
		border-radius: 5px; 
		margin: 0px; 
		background: #EF4278; 
		padding: 5px; 
		text-align: center; 
		vertical-align: middle;
	}
	
	.label_primary_02{
		color:#ffffff; 
		border-radius: 5px; 
		margin: 0px; 
		background: #30BAA3; 
		padding: 5px; 
		text-align: center; 
		vertical-align: middle;
	}
	
	#div_view_more_products:hover, #lbl_view_more_products:hover {
	  cursor: pointer;
	}
	
</style>

<body>

  <div class="container-scroller">
    
	<div class="row col-md-12" style="margin-bottom:0px;">
		<?php include 'includes/header.php'; ?>
	</div>
	
	
    <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
      <!-- partial:partials/_settings-panel.html -->
      
      <div id="right-sidebar" class="settings-panel">
        <i class="settings-close typcn typcn-times"></i>
        <ul class="nav nav-tabs" id="setting-panel" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>
          </li>
        </ul>
        <div class="tab-content" id="setting-content">
		
        </div>
      </div>
      <!-- partial -->
      <!-- partial:partials/_sidebar.html -->
	  <?php include 'includes/sidebar.php'; ?>
	  <?php include 'includes/modal_basic_01.php'; ?>
      <!-- partial -->
	  
      <div class="main-panel">
	  
        <div class="content-wrapper">

		<div id="div_alert_success" class="alert alert-success alert-dismissible" style="display:none; margin-bottom:30px;">
			<a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
			<strong>Success! </strong><label id="lbl_alert_success"></label>
		</div>

		<div class="row" style="margin-bottom:0px;">
			
			<div id="div_m_main" class="col-md-6 grid-margin " style="display:none;" >
              
			  <div class="row col-md-12">
                <div class="col-md-12 grid-margin stretch-card">
                  <div class="card newsletter-card ">
                    <div class="" style="padding:10px;">
                      <div class="d-flex flex-column align-items-center justify-content-center h-100">
							
							<h6 class="mb-3" style="color:#f50521; text-transform:uppercase;" >Verify Mobile Number</h6>
							
							<label></label>
							
							<div id="div_m_send_otp" class="align-items-center">
								<button id="btn_m_otp_send" type="button" class="btn btn-outline-dark btn-sm btn-icon-text mr-3">
								  Send OTP
								  <i class="fa fa-share-square"></i>                          
								</button>
							</div>
							
							<div id="div_m_verify_otp" class="align-items-center" style="display:none;">
							
								<div class="col-md-12">
								
									<center>
										<input id="input_m_otp" type="text" style="margin:10px;" placeholder="4 digit OTP"/>
									</center>
									
									<center style="margin-bottom:10px;">
										<span style="color:red; font-size:12px;">( OTP sent to your registered 'Mobile Number' )</span>
									</center>
									
									<center>									
										<button id="btn_m_otp_verify" type="button" class="btn btn-outline-dark btn-sm btn-icon-text">
										  Verify
										</button>
									</center>
									
								</div>
								
							</div>
							
                      </div>
                    </div>
                  </div>
                </div>
              </div>
			  
            </div>
			
			<div id="div_e_main" class="col-md-6 grid-margin " style="display:none;" >
			  <div class="row col-md-12">
                <div class="col-md-12 grid-margin stretch-card">
                  <div class="card newsletter-card ">
                    <div class="" style="padding:10px;">
                      <div class="d-flex flex-column align-items-center justify-content-center h-100">
                        <h6 class="mb-3" style="color:#f50521; text-transform:uppercase;" >Verify Email Id</h6>
                        <label></label>
						
							<div id="div_e_send_otp" class="align-items-center">
								<button id="btn_e_otp_send" type="button" class="btn btn-outline-dark btn-sm btn-icon-text mr-3">
								  Send OTP
								  <i class="fa fa-share-square"></i>                          
								</button>
							</div>
						
							<div id="div_e_verify_otp" class="align-items-center" style="display:none;">
							
								<div class="col-md-12">
								
									<center>
										<input id="input_e_otp" type="text" style="margin:10px;" placeholder="4 digit OTP"/>
									</center>
									
									<center style="margin-bottom:10px;">
										<span style="color:red; font-size:12px;">( OTP sent to your registered 'Email Id' )</span>
									</center>
									
									<center>									
										<button id="btn_e_otp_verify" type="button" class="btn btn-outline-dark btn-sm btn-icon-text">
										  Verify
										</button>
									</center>
									
								</div>
								
							</div>
						
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
			
		</div>

		<div class="row" style="margin-bottom:10px; margin-top:-15px;">
		
			<div class="row col-md-12" style="margin-top:0px;">
				<div class="col-md-12 grid-margin stretch-card">
					<div class="col-md-4">
						<h6 class="mb-2 text-titlecase"><b> PRODUCTS</b></h6>
					</div>
				</div>
			</div>
			
			<div class="row col-md-12" style="margin-top:-20px;">
			
				<div id="div_products_main" class="col-md-12 grid-margin stretch-card" style="display:none;" >
				
                </div>
			
			</div>
			
			<div class="row col-md-12" style="margin-top:-10px; display:none;">
		
				<div class="col-md-10"></div>
			
				<div id="div_view_more_products" class="col-md-2">
					<label id="lbl_view_more_products"><u style="color:#0000FF"><h6>View more ...</h6></u></label>				
				</div>
			
			</div>
		
		</div>

		<div class="row" style="margin-top:-15px; margin-bottom:10px;">
		
			<div class="row col-md-12" style="margin-top:0px;">
				<div class="col-md-12 grid-margin stretch-card">
					<div class="col-md-4">
						<h6 class="mb-2 text-titlecase"><b> THIS WEEK - Signups</b></h6>
					</div>
					<div class="col-md-2"></div>
					<div class="col-md-4" style="margin-left:15px;">
						<h6 class="mb-2 text-titlecase"><b> REPORTS</b></h6>
					</div>
				</div>
			</div>
			
			<div class="col-md-12 grid-margin stretch-card" style="margin-top:-15px;">
			
					<div class="col-md-6">
						<div class="card">
							<div class="table-responsive">
								<table class="table table-striped project-orders-table">
								<thead>
									<tr>
										<th style="color:#30BAA3;">Product</th>
										<th style="color:#30BAA3;">No. of Signups</th>
									</tr>
								</thead>
								<tbody id="tbl_weekly_signups" style="display:none;">
								</tbody>
								</table>
							</div>
						</div>
					</div>
					
					<div class="col-md-6">
						<div class="card" style="margin-left:0px;">
							<div class="d-flex flex-column justify-content-between">

								  <div class="row col-md-12 justify-content-between align-items-center ">
									
									<div class="col-md-6">
										<div class="" style="margin:15px;">
											<i>
												<center>
													<h1><p class="fa fa-pie-chart" style="padding:0px; font-size:75px; color:#cccccc;"></p></h1>
												</center>
											</i>
										</div>			  
									</div>
									
									<div class="col-md-6">
									  <button id="btn_view_reports" style="padding:10px; font-size:13px; background-color:#30BAA3; " class="col-md-12 btn btn-info btn-rounded btn-fw">VIEW REPORTS</button>
									</div>
									
								  </div>
							  
							</div>
						</div>
					</div>
					
			</div>
			
		</div>
		
		
		
        </div>
        <!-- content-wrapper ends -->
		
        <!-- partial -->
      </div>
      <!-- main-panel ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->

  <!-- base:js -->
 <!-- <script src="../JeevitamV2/vendors/js/vendor.bundle.base.js"></script>-->
  <!-- endinject -->
  <!-- Plugin js for this page-->
 <!-- <script src="../JeevitamV2/vendors/chart.js/Chart.min.js"></script>-->
  <!-- End plugin js for this page-->
  <!-- inject:js -->
 <!-- <script src="../JeevitamV2/js/off-canvas.js"></script>-->
 <!-- <script src="../JeevitamV2/js/hoverable-collapse.js"></script>-->
 <!-- <script src="../JeevitamV2/js/template.js"></script>-->
 <!-- <script src="../JeevitamV2/js/settings.js"></script>-->
 <!-- <script src="../JeevitamV2/js/todolist.js"></script>-->
  <!-- endinject -->
  
	<!-- START PLUGINS -->
	<!--<script type="text/javascript" src="../JeevitamV2/js/jquery/jquery.min.js"></script>-->
	<!--<script type="text/javascript" src="../JeevitamV2/js/jquery/jquery-ui.min.js"></script>-->
	<!--<script type="text/javascript" src="../JeevitamV2/js/bootstrap/bootstrap.min.js"></script>   -->
	<!--<script type="text/javascript" src="../JeevitamV2/js/plugins.js"></script>-->
	<!--<script type="text/javascript" src="../JeevitamV2/js/actions.js"></script>-->
	<!-- END PLUGINS -->
	  
	<!-- Javascript Variables -->
	<script type="text/javascript">
		
	</script>
  
	<!-- Javascript Function -->
	<script type="text/javascript">
		$('#btn_signout').click(function() {
			window.open('signout.php', '_self');			
		});

	</script>
	<script type="text/javascript">
        var val_user_id = '<?php echo $user_id; ?>';
    </script>
  <!-- Custom js for this page-->
  <script src="js/summary.js?randStr=<?php echo $randStr; ?>"></script>
  <!-- End custom js for this page-->
</body>

</html>

