<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
include('../../controller/CompositeJobFairController.php');
include('../../model/CompositeJobFair.php');

include '../../utils/Session.php';
include '../../utils/Utils.php';

$json = file_get_contents('php://input');
$data = json_decode($json);

$job_fair_details = $data->job_fair_details;

$internal_details = $data->internal_details;
$internal_city = $internal_details->internal_city;

$external_details = $data->external_details;
$partner_id = $external_details->partner_id;

$robocall_details = $data->robocall_details;

$job_ids= $data->job_id;

$job_fair_id = uniqid();

$compositeJobFair = new CompositeJobFair();
$compositeJobFair->setJob_fair_id($job_fair_id);
$compositeJobFair->set($job_fair_details);


$compositeJobFairController = new CompositeJobFairController();

/*Creating composite job fair*/
$results = $compositeJobFairController->createJobFair($compositeJobFair);

$res = json_decode($results, true);

if ($res['result'] == "success") {
    
    if(!is_null($internal_details) && !empty($internal_details)) {
    
        /*Creating internal details for composite job fair*/
        $compositeJobFair->set($internal_details);
        $internal_results = $compositeJobFairController->createInternalDetails($compositeJobFair);
        
        $internal_res = json_decode($internal_results, TRUE);
        
        if($internal_res['result'] == 'success') {
            
            /*Creating internal city details for composite job fair*/
            
            foreach($internal_city as $city) {
        
                $compositeJobFair->setInternal_city($city);
                $internal_results = $compositeJobFairController->createInternalCities($compositeJobFair);
            
            }
        
        }
    
    }
    
    if(!is_null($partner_id) && !empty($partner_id)) {
        /*Creating external (partners) details for composite job fair*/
        foreach($partner_id as $partner) {
        
            $compositeJobFair->setPartner_id($partner);
            $internal_results = $compositeJobFairController->createExternalDetails($compositeJobFair);
            
        }
    
    }
    
    /*Creating robocall details for composite job fair*/
    $compositeJobFair->set($robocall_details);
    $internal_results = $compositeJobFairController->createRobocallDetails($compositeJobFair);
    
    foreach($job_ids as $job_id) {
    /*Enable jobs for composite job fair*/
        $compositeJobFair->setJob_id($job_id);
        $results = $compositeJobFairController->enableJobs($compositeJobFair);
        
    }
    
} 
echo $results;

?>
