<?php

include_once '../../../admin/PHPExcel/IOFactory.php';
include_once '../../utils/Utils.php';
include_once '../../utils/Session.php';

include_once '../../controller/CompositeJobFairController.php';

include_once '../../database/Db.php';
include_once '../../repository/Crud.php';


/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
 

$file_name = $_FILES['test']['tmp_name'];
$user_id = $_POST['updated_by'];
$job_fair_id = $_POST['job_fair_id'];
$comment = $_POST['comment'];
$inputFileName = $file_name;
//  Read your Excel workbook
try {
    $inputFileType = PHPExcel_IOFactory::identify($inputFileName);
    $objReader = PHPExcel_IOFactory::createReader($inputFileType);
    $objPHPExcel = $objReader->load($inputFileName);
} catch (Exception $e) {
    die('Error loading file "' . pathinfo($inputFileName, PATHINFO_BASENAME)
            . '": ' . $e->getMessage());
}

//  Get worksheet dimensions
$sheet = $objPHPExcel->getSheet(0);
$highestRow = $sheet->getHighestRow();
$highestColumn = $sheet->getHighestColumn();

$db = getDb();
$crud = new Crud();
$date = getCurrentTime();
$obj = new stdClass();

$compositeJobFairController = new CompositeJobFairController();

$phone_error = 0;
    $state_error = 0;
    $success = 0;
    $already = 0;
    
for ($row = 2; $row <= $highestRow; $row++) {
// for ($row = 2; $row <= 3; $row++) {
    //  Read a row of data into an array
    
    $date = getCurrentTime();

    $rowData = $sheet->rangeToArray('A' . $row . ':' . $highestColumn . $row, NULL, TRUE, FALSE);

    //$s_no = $rowData[0][0];
    $phone_number = $rowData[0][0];
    $name = $rowData[0][1];
    $job_primary_id = $rowData[0][2];
    $registered = $rowData[0][3];
    $applied = $rowData[0][4];
    $screened = $rowData[0][5];
    
    //$phone_number_2 = $rowData[0][1];
    //$name_2 = $rowData[0][2];
    //$job_primary_id_2 = $rowData[0][3];
    //$registered_2 = $rowData[0][4];
    //$applied_2 = $rowData[0][5];
    //$screened_2 = $rowData[0][6];
	
	//echo "ROW : ".$row." - NAME : ".$name." - PHONE : ".$phone_number." - JOB_ID : ".$job_primary_id." - REGISTERED : ".$registered."\r\n";
	//echo "ROW : ".$row." - NAME : ".$name."\r\n";
    
    if($registered == '1' && $applied == '1' && $screened == '1') {
        $status = "Screened And Approved";
    }else if($registered == '1' && $applied == '1') {
        $status = "Applied";
    }else if($registered == '1') {
        $status = "Registered";
    }else {
        $status = "Shortlisted";
    }
    
    $stmt_job_id = $db->prepare("SELECT `job_id` FROM `posted_jobs` WHERE `id` = '$job_primary_id'");
    $get_job_id = $crud->getByCondition($stmt_job_id);
    $job_id = $get_job_id['job_id'];
    
    $stmt_get_count = $db->prepare("SELECT COUNT(*) FROM `job_fair_matching` WHERE `phone_number` = '$phone_number' 
        AND `job_id` = '$job_id' AND `composite_job_fair_id` = '$job_fair_id'");
        
    $count = $crud->getCount($stmt_get_count);
    
    if($count == '0'){
        
        // $db->beginTransaction();
        
        $stmt_lead = $db->prepare("SELECT count(phone_number) FROM `turbo_hire_leads` WHERE phone_number=:phone_number");
        $stmt_lead->bindValue(':phone_number', $phone_number);

        $row_lead = $crud->getByCondition($stmt_lead);
        $total = $row_lead['count(phone_number)'];
        
        if ($total == '0') {
            
            $lead_id = uniqid();

                $stmt = $db->prepare("INSERT INTO `turbo_hire_leads`(`lead_id`, `first_name`, `last_name`, `phone_number`, `email_id`, `current_city`,
                `current_lat`, `current_lon`, `studied_till`, `created_at`, `job_fair`, `is_job_fair`) 
            VALUES (:lead_id,:first_name,:last_name,:phone_number,:email_id,:current_city,:current_lat,:current_lon,:studied_till,
            :created_at,:job_fair,:is_job_fair)");

                $stmt->bindValue(':lead_id', $lead_id);
                $stmt->bindValue(':first_name', $name);
                $stmt->bindValue(':last_name', "");
                $stmt->bindValue(':phone_number', $phone_number);
                $stmt->bindValue(':email_id', "");
                $stmt->bindValue(':current_city', "");
                $stmt->bindValue(':studied_till', "");
                $stmt->bindValue(':current_lat', "");
                $stmt->bindValue(':current_lon', "");
                $stmt->bindValue(':created_at', $date);
                $stmt->bindValue(':job_fair', $job_fair_id);
                $stmt->bindValue(':is_job_fair', '1');
                
                $insert_result = $crud->create($stmt, $db);
                
                $insert_response = json_decode($insert_result, TRUE);
                if ($insert_response['result'] == 'success') {

                    $id = $insert_response['id'];

                    $stmt_brand = $db->prepare("SELECT posted_jobs.id,posted_jobs.job_id,posted_jobs.name_of_brand,posted_jobs.brand_id, functional_role.name FROM posted_jobs LEFT JOIN functional_role on posted_jobs.functional_role= functional_role.id WHERE posted_jobs.job_id = '$job_id'");
                    
                    $get_brand = $crud->getByCondition($stmt_brand);

                    $stmt1 = $db->prepare("INSERT INTO `job_fair_matching`(`lead_id`, `job_id`, `brand_name`, `brand_id`, `first_name`, 
                        `last_name`, `phone_number`, `city`, `functional_role`, `qualification`, `composite_job_fair_id`, 
                        `status`, `created_at`, `updated_at`, `updated_by`, `comments`, `lead_type`) 
                        VALUES (:lead_id,:job_id,:brand_name,:brand_id,:first_name,:last_name,:phone_number,:city,:functional_role,
                        :qualification,:composite_job_fair_id,:status,:created_at,:updated_at,:updated_by,:comments,:lead_type)");

                    $stmt1->bindValue(':lead_id', $lead_id);
                    $stmt1->bindValue(':job_id', $job_id);
                    $stmt1->bindValue(':brand_name', $get_brand['name_of_brand']);
                    $stmt1->bindValue(':brand_id', $get_brand['brand_id']);
                    $stmt1->bindValue(':first_name', $name);
                    $stmt1->bindValue(':last_name', "");
                    $stmt1->bindValue(':phone_number', $phone_number);
                    $stmt1->bindValue(':city', "");
                    $stmt1->bindValue(':functional_role', $get_brand['name']);
                    $stmt1->bindValue(':qualification', "");
                    $stmt1->bindValue(':composite_job_fair_id', $job_fair_id);
                    $stmt1->bindValue(':status', $status);
                    $stmt1->bindValue(':comments', $comment);
                    $stmt1->bindValue(':lead_type', 'Data Upload');
                    $stmt1->bindValue(':created_at', $date);
                    $stmt1->bindValue(':updated_at', $date);
                    $stmt1->bindValue(':updated_by', $user_id);

                    $result = $crud->create($stmt1, $db);
                }
            }else {

                $stmt_id = $db->prepare("SELECT `id`, `lead_id` FROM `turbo_hire_leads` WHERE `phone_number`=:phone_number");
                $stmt_id->bindValue(':phone_number', $phone_number);

                $lead_detail_response = $crud->getByCondition($stmt_id);
                extract($lead_detail_response);

                $get_lead_id = $lead_id;
                $get_id = $id;

                    $stmt_brand = $db->prepare("SELECT posted_jobs.id,posted_jobs.job_id,posted_jobs.name_of_brand,posted_jobs.brand_id, functional_role.name FROM posted_jobs LEFT JOIN functional_role on posted_jobs.functional_role= functional_role.id WHERE posted_jobs.job_id = '$job_id'");
                    
                    $get_brand = $crud->getByCondition($stmt_brand);
                    
                    $stmt1 = $db->prepare("INSERT INTO `job_fair_matching`(`lead_id`, `job_id`, `brand_name`, `brand_id`, `first_name`, 
                        `last_name`, `phone_number`, `city`, `functional_role`, `qualification`, `composite_job_fair_id`, 
                        `status`, `created_at`, `updated_at`, `updated_by`, `comments`, `lead_type`) 
                        VALUES (:lead_id,:job_id,:brand_name,:brand_id,:first_name,:last_name,:phone_number,:city,:functional_role,
                        :qualification,:composite_job_fair_id,:status,:created_at,:updated_at,:updated_by,:comments,:lead_type)");

                    $stmt1->bindValue(':lead_id', $get_lead_id);
                    $stmt1->bindValue(':job_id', $job_id);
                    $stmt1->bindValue(':brand_name', $get_brand['name_of_brand']);
                    $stmt1->bindValue(':brand_id', $get_brand['brand_id']);
                    $stmt1->bindValue(':first_name', $name);
                    $stmt1->bindValue(':last_name', "");
                    $stmt1->bindValue(':phone_number', $phone_number);
                    $stmt1->bindValue(':city', "");
                    $stmt1->bindValue(':functional_role', $get_brand['name']);
                    $stmt1->bindValue(':qualification', "");
                    $stmt1->bindValue(':composite_job_fair_id', $job_fair_id);
                    $stmt1->bindValue(':status', $status);
                    $stmt1->bindValue(':comments', $comment);
                    $stmt1->bindValue(':lead_type', 'Data Upload');
                    $stmt1->bindValue(':created_at', $date);
                    $stmt1->bindValue(':updated_at', $date);
                    $stmt1->bindValue(':updated_by', $user_id);

                    $result = $crud->create($stmt1, $db);
                } 
        
        
    }else {
    
        $stmt = $db->prepare("UPDATE `job_fair_matching` SET `status` = '$status', `comments` = '$comment', `updated_at` = '$date', `updated_by` = '$user_id' WHERE `phone_number` = '$phone_number' 
            AND `job_id` = '$job_id' AND `composite_job_fair_id` = '$job_fair_id'");
            
        $result = $crud->update($stmt);
    
    }
    
}

echo $result;

closeDb();
?>
