<?php
include('../../controller/jobs/JobDetailsController.php');

// header('Content-Type: application/json');

$data = json_decode(file_get_contents("php://input"), true);

$user_id = $data['user_id'];
$job_ids = $data['job_ids'];

$jobDetailsController = new JobDetailsController();

if (!empty($job_ids) && !empty($user_id)) {
    foreach ($job_ids as $job_id) {
        $result = $jobDetailsController->enableIncomingJobs($job_id, $user_id);
        if ($result) {
            $response['success'] = true;
            $response['message'] = 'Jobs updated successfully.';
        } else {
            $response['message'] = 'Failed to update job ID: ' . $job_id;
            break;
        }
    }
} else {
    $response['message'] = 'Invalid data provided.';
}

echo json_encode($response);
