<?php

include_once '../../database/Db.php';
include_once '../../repository/Crud.php';

//include_once '../../utils/Utils.php';
//include_once '../../../admin/PHPExcel/IOFactory.php';
//include_once '../../../admin/PHPExcel/Writer/Excel5.php';
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

class JobDetailsController {


    public function getJobDetails($startOffset, $from, $to) {

        $obj = new stdClass();
        $db = getDb();
        if (!empty($to)) {

            $sql = "SELECT posted_jobs.is_active,posted_jobs.active_for_incoming,posted_jobs.is_csc,posted_jobs.brand_id,posted_jobs.id,posted_jobs.job_id,posted_jobs.name_of_brand,posted_jobs.salary_in_hand_min,posted_jobs.cities_in_india,posted_jobs.salary_in_hand_max,posted_jobs.interview_level,functional_role.name as functional_role,functional_area.name as functional_area,qualification.name as qualification FROM posted_jobs LEFT JOIN functional_role ON posted_jobs.functional_role = functional_role.id LEFT JOIN functional_area ON functional_area.id = posted_jobs.functional_area LEFT JOIN qualification ON qualification.id = posted_jobs.qualification WHERE posted_jobs.created_at BETWEEN '$from' AND '$to' LIMIT $startOffset,10";
        } else {
            $sql = "SELECT posted_jobs.is_active,posted_jobs.active_for_incoming,posted_jobs.is_csc,posted_jobs.brand_id,posted_jobs.id,posted_jobs.job_id,posted_jobs.name_of_brand,posted_jobs.salary_in_hand_min,posted_jobs.cities_in_india,posted_jobs.salary_in_hand_max,posted_jobs.interview_level,functional_role.name as functional_role,functional_area.name as functional_area,qualification.name as qualification FROM posted_jobs LEFT JOIN functional_role ON posted_jobs.functional_role = functional_role.id LEFT JOIN functional_area ON functional_area.id = posted_jobs.functional_area LEFT JOIN qualification ON qualification.id = posted_jobs.qualification WHERE posted_jobs.created_at >= '$from' LIMIT $startOffset,10";
        }

        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);

        closeDb();
    }

    // Enable Incoming Jobs(enable_live_jobs)
    public function enableIncomingJobs($id, $user_id) {
        $db = getDb();

        $sql = "UPDATE `posted_jobs` SET `active_for_incoming` = 1, is_active_updated_by='$user_id', `updated_at` = NOW()  WHERE `id` = '$id' ";
        
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        $result = $crud->update($stmt);

        closeDb();

        return $result;
    }

    // Delete Active Jobs(view_live_jobs)
    public function deleteActiveJob($job_id) {
        $db = getDb();
        $sql = "UPDATE `posted_jobs` SET `active_for_incoming` = 0 WHERE `id` = '$job_id'";
        
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        $result = $crud->update($stmt);
    
        closeDb();
        
        return $result;
    }
    
    public function getJobDetailsForBrand($startOffset, $from, $to, $brand_id) {

        $obj = new stdClass();
        $db = getDb();
        if (!empty($to)) {

            $sql = "SELECT posted_jobs.id,posted_jobs.job_id,posted_jobs.name_of_brand,posted_jobs.salary_in_hand_min,posted_jobs.cities_in_india,posted_jobs.salary_in_hand_max,posted_jobs.interview_level,functional_role.name as functional_role,functional_area.name as functional_area,qualification.name as qualification FROM posted_jobs LEFT JOIN functional_role ON posted_jobs.functional_role = functional_role.id LEFT JOIN functional_area ON functional_area.id = posted_jobs.functional_area LEFT JOIN qualification ON qualification.id = posted_jobs.qualification WHERE posted_jobs.brand_id = '$brand_id' AND posted_jobs.created_at BETWEEN '$from' AND '$to' LIMIT $startOffset,10";
        } else {
            $sql = "SELECT posted_jobs.id,posted_jobs.job_id,posted_jobs.name_of_brand,posted_jobs.salary_in_hand_min,posted_jobs.cities_in_india,posted_jobs.salary_in_hand_max,posted_jobs.interview_level,functional_role.name as functional_role,functional_area.name as functional_area,qualification.name as qualification FROM posted_jobs LEFT JOIN functional_role ON posted_jobs.functional_role = functional_role.id LEFT JOIN functional_area ON functional_area.id = posted_jobs.functional_area LEFT JOIN qualification ON qualification.id = posted_jobs.qualification WHERE posted_jobs.brand_id = '$brand_id' AND posted_jobs.created_at >= '$from' LIMIT $startOffset,10";
        }

        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);

        closeDb();
    }
    
    public function getJobDetailsForAggregator($startOffset, $aggregator_id) {

        $obj = new stdClass();
        $db = getDb();
        
        $sql = "SELECT posted_jobs.campaign_status,posted_jobs.created_at,posted_jobs.id,posted_jobs.job_id,posted_jobs.name_of_brand,posted_jobs.salary_in_hand_min,posted_jobs.salary_in_hand_max,functional_role.name as functional_role,qualification.name as qualification FROM posted_jobs LEFT JOIN functional_role ON posted_jobs.functional_role = functional_role.id LEFT JOIN functional_area ON functional_area.id = posted_jobs.functional_area LEFT JOIN qualification ON qualification.id = posted_jobs.qualification WHERE posted_jobs.aggregate_id = '$aggregator_id' LIMIT $startOffset,10";
        
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);

        closeDb();
    }
    
    public function getJobDetailsForAggregatorCount($aggrgator_id) {

        $obj = new stdClass();
        $db = getDb();
        $sql = "SELECT count(*) as total FROM posted_jobs WHERE posted_jobs.aggregate_id = '$aggrgator_id'";
        

        $stmt = $db->prepare($sql);

        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        $obj->result = "success";
        $obj->message = "total Found";
        $obj->total = $row;
        return json_encode($obj);
        closeDb();
    }

    public function getTotalJobDetailsForBrand($from, $to, $brand_id) {

        $obj = new stdClass();
        $db = getDb();
        if (!empty($to)) {

            $sql = "SELECT count(*) as total FROM posted_jobs WHERE posted_jobs.brand_id = '$brand_id' AND posted_jobs.created_at BETWEEN '$from' AND '$to'";
        } else {
            $sql = "SELECT count(*) as total FROM posted_jobs WHERE posted_jobs.brand_id = '$brand_id' AND posted_jobs.created_at >= '$from'";
        }

        $stmt = $db->prepare($sql);

        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        $obj->result = "success";
        $obj->message = "total Found";
        $obj->total = $row;
        return json_encode($obj);
        closeDb();
    }
    
    
        public function getTotalJobDetails($from, $to) {

        $obj = new stdClass();
        $db = getDb();
        if (!empty($to)) {

            $sql = "SELECT count(*) as total FROM posted_jobs WHERE posted_jobs.created_at BETWEEN '$from' AND '$to'";
        } else {
            $sql = "SELECT count(*) as total FROM posted_jobs WHERE posted_jobs.created_at >= '$from'";
        }

        $stmt = $db->prepare($sql);

        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        $obj->result = "success";
        $obj->message = "total Found";
        $obj->total = $row;
        return json_encode($obj);
        closeDb();
    }


    public function deleteJobDetails($job_id) {

        $obj = new stdClass();

        try {

            $db = getDb();
            $db->beginTransaction();

            $deleteVehicle = $db->prepare("DELETE FROM `post_job_vehicle` WHERE `job_id`='$job_id'");

            if ($deleteVehicle->execute()) {

                $deleteLanguage = $db->prepare("DELETE FROM `post_job_languages` WHERE `job_id`='$job_id'");

                if ($deleteLanguage->execute()) {

                    $deleteDrivingLicense = $db->prepare("DELETE FROM `post_job_driving_license` WHERE `job_id`='$job_id'");

                    if ($deleteDrivingLicense->execute()) {

                        $deleteCity = $db->prepare("DELETE FROM `post_job_city` WHERE `job_id`='$job_id'");

                        if ($deleteCity->execute()) {

                            $deleteJob = $db->prepare("DELETE FROM `posted_jobs` WHERE `job_id`='$job_id'");

                            if ($deleteJob->execute()) {
                                
                                $deleteIvrVoice = $db->prepare("DELETE FROM `ivr_voice` WHERE `job_id`='$job_id'");

                                if ($deleteIvrVoice->execute()) {
                                    $db->commit();
                                    $obj->result = "success";
                                    $obj->message = "Deleted Successfully";
                                    $obj->id = $job_id;
                                    return json_encode($obj);
                                } else {
                                    $db->rollBack();
                                    $message = json_encode($deleteIvrVoice->errorInfo());
                                    $obj->result = "failure";
                                    $obj->message = $message;
                                    return json_encode($obj);
                                }
                            } else {
                                $db->rollBack();
                                $message = json_encode($deleteJob->errorInfo());
                                $obj->result = "failure";
                                $obj->message = $message;
                                return json_encode($obj);
                            }
                        } else {
                            $db->rollBack();
                            $message = json_encode($deleteCity->errorInfo());
                            $obj->result = "failure";
                            $obj->message = $message;
                            return json_encode($obj);
                        }
                    } else {
                        $db->rollBack();
                        $message = json_encode($deleteDrivingLicense->errorInfo());
                        $obj->result = "failure";
                        $obj->message = $message;
                        return json_encode($obj);
                    }
                } else {
                    $db->rollBack();
                    $message = json_encode($deleteLanguage->errorInfo());
                    $obj->result = "failure";
                    $obj->message = $message;
                    return json_encode($obj);
                }
            } else {
                $db->rollBack();
                $message = json_encode($deleteVehicle->errorInfo());
                $obj->result = "failure";
                $obj->message = $message;
                return json_encode($obj);
            }
        } catch (PDOException $ex) {
            $db->rollBack();
            $obj->result = "failure";
            $obj->message = "failure";
            $obj->id = $ex->getMessage();
            return $obj;
        }
    }
    
    
    public function cloneJob($job_id) {

        $obj = new stdClass();

        $db = getDb();
        $sql = ("SELECT posted_jobs.id,posted_jobs.job_id,posted_jobs.name_of_brand,posted_jobs.established_in,posted_jobs.total_employees,"
                . "posted_jobs.total_number_of_openings,posted_jobs.cities_in_india,posted_jobs.expiry_date,posted_jobs.offer_letter,posted_jobs.gross_salary_min,"
                . "posted_jobs.gross_salary_max,posted_jobs.salary_in_hand_min,posted_jobs.salary_in_hand_max,posted_jobs.pay_slip,"
                . "posted_jobs.esi,posted_jobs.epf,posted_jobs.lise_insurance,posted_jobs.accomodation,posted_jobs.accomodation_type,"
                . "posted_jobs.meals_provided,posted_jobs.meals_type,posted_jobs.transport,posted_jobs.transport_type,posted_jobs.specialization,"
                . "posted_jobs.other_reimbursements,posted_jobs.other_leave_provided,posted_jobs.dress_code,posted_jobs.work_experience_min,"
                . "posted_jobs.work_experience_max,posted_jobs.technical_specification,posted_jobs.aadhar,posted_jobs.pan,posted_jobs.min_experience,"
                . "posted_jobs.bank_account,posted_jobs.ps_for_pre_emp,posted_jobs.smart_phone,posted_jobs.data,posted_jobs.delivery_bag,"
                . "posted_jobs.daily_hours,posted_jobs.rotational_shift,posted_jobs.promotion_possiblity,qualification.name as qualification,"
                . "posted_jobs.night_shift,posted_jobs.weekly_off,posted_jobs.interaction_with_cust,posted_jobs.dress_code_type,"
                . "posted_jobs.dress_code_provided,posted_jobs.interview_level,posted_jobs.brand_id,posted_jobs.higher_salary,posted_jobs.job_description,"
                . "posted_jobs.license_available,posted_jobs.vehical_available,industry_categories.industry_name,posted_jobs.min_salary,posted_jobs.max_salary,"
                . "posted_jobs.training_certification,posted_jobs.training_name,posted_jobs.training_desc,posted_jobs.training_cost,posted_jobs.training_duration,posted_jobs.training_location,posted_jobs.training_certificate,posted_jobs.training_certificate_partner,"
                . "industry_sub_categories.industry_sub_category_name,functional_area.name as functional_area,functional_role.name as functional_role,functional_role.jd,"
                . "type_of_job.job_name as type_of_job,posted_jobs.frequency_of_payment,posted_jobs.nature_of_payment FROM posted_jobs "
                . "LEFT JOIN industry_categories ON posted_jobs.industry_it_operates = industry_categories.id "
                . "LEFT JOIN industry_sub_categories ON posted_jobs.sub_industry_it_operates = industry_sub_categories.id "
                . "LEFT JOIN functional_area ON functional_area.id=posted_jobs.functional_area "
                . "LEFT JOIN functional_role ON functional_role.id = posted_jobs.functional_role "
                . "LEFT JOIN type_of_job ON type_of_job.id = posted_jobs.type_of_job "
                . "LEFT JOIN qualification ON qualification.id = posted_jobs.qualification "
                . "WHERE posted_jobs.job_id = '$job_id'");
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        $result = $crud->getByCondition($stmt);

        if (!is_null($result) && !empty($result)) {
            $obj->result = "success";
            $obj->message = "list found";
            $obj->list = $result;
            return json_encode($obj);
        } else {
            $message = json_encode($stmt->errorInfo());
            $obj->result = "failure";
            $obj->message = $message;
            return json_encode($obj);

        }


        closeDb();
    }
    
    public function cloneJobLanguage($job_id) {

        $db = getDb();

        $sql = "SELECT `language`,`profiency` FROM `post_job_languages` WHERE `job_id`='$job_id'";

        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);

        closeDb();
    }

    public function cloneJobCity($job_id) {

        $db = getDb();

        $sql = "SELECT cities.city_name FROM cities LEFT JOIN post_job_city ON post_job_city.city_id = cities.city_id WHERE post_job_city.job_id = '$job_id'";

        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);

        closeDb();
    }

    public function cloneJobVehicle($job_id) {

        $db = getDb();

        $sql = "SELECT `vehicle` FROM `post_job_vehicle` WHERE `job_id`= '$job_id'";

        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);

        closeDb();
    }
    
    public function cloneJobLicense($job_id) {

        $db = getDb();

        $sql = "SELECT `license_type` FROM `post_job_driving_license` WHERE `job_id`= '$job_id'";

        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);

        closeDb();
    }
    
    public function cloneJobLocationOfWork($job_id) {

        $db = getDb();

        $sql = "SELECT work_location.location_type FROM work_location LEFT JOIN location_of_work ON location_of_work.locationofwork = work_location.id WHERE location_of_work.job_id = '$job_id'";

        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);

        closeDb();
    }
    
    public function cloneTypeOfJob($job_id) {

        $db = getDb();
        $obj = new stdClass();

        $sql = "SELECT type_of_job.job_name FROM type_of_job LEFT JOIN post_job_type_of_job ON post_job_type_of_job.job_type = type_of_job.id WHERE post_job_type_of_job.job_id ='$job_id'";

        $stmt = $db->prepare($sql);
        $crud = new Crud();
        
        return $crud->getAll($stmt);
        
    }
    
    // for job fair
    // public function create(Accepted $accepted) { 

    //     $db = getDb();
    //     $crud = new Crud();

    //     $confirmation_id = uniqid();
      
    //     $stmt_turbo_id = $db->prepare("SELECT `id` FROM `turbo_hire_leads` WHERE `lead_id` = :lead_id");
    //     $stmt_turbo_id->bindValue(':lead_id', $accepted->getLead_id());
    //     $get_turbo_id = $crud->getByCondition($stmt_turbo_id);
    //     $turbo_id = $get_turbo_id['id'];
       
    //     $stmt = $db->prepare("INSERT INTO `confirmation_accepted`(`confirmation_id`, `job_id`,`lead_id`,`ip_address`, `created_at`, `updated_at`,`turbo_lead_id`) "
    //             . "VALUES (:confirmation_id, :job_id, :lead_id, :ip_address, :created_at, :updated_at,:turbo_lead_id)");

    //     $date = getCurrentTime();
        
    //     $stmt->bindValue(':confirmation_id', $confirmation_id);
    //     $stmt->bindValue(':job_id', $accepted->getJob_id());
    //     $stmt->bindValue(':lead_id', $accepted->getLead_id());
    //     $stmt->bindValue(':ip_address', $accepted->getIp_address());
    //     $stmt->bindValue(':created_at', $date);
    //     $stmt->bindValue(':updated_at', $date);
    //     $stmt->bindValue(':turbo_lead_id', $turbo_id);
       
    //     $result = $crud->create($stmt, $db);

    //     $response = json_decode($result, TRUE);
    //     $res= "";
    //     if ($response['result'] == 'success') {

    //         $stmt1 = $db->prepare("UPDATE `job_fair_matching` SET `status` = 'Applied', `lead_type` = :lead_type, `updated_at` = '$date' 
    //             WHERE `lead_id` = :lead_id AND `job_id` = :job_id AND `job_fair_id` = :job_fair_code");
                
    //         $stmt1->bindValue(':job_id', $accepted->getJob_id());
    //         $stmt1->bindValue(':lead_id', $accepted->getLead_id());
    //         $stmt1->bindValue(':job_fair_code', $accepted->getJob_fair_code());
    //         $stmt1->bindValue(':lead_type', $accepted->getLead_type());

    //        $crud->update($stmt1);
    //     }
        
    //     return $result;
       
    //     closeDb();
    // }
    
    
    // for jobs
    // public function l2bAccept(Accepted $accepted) {

    //     $db = getDb();
    //     $db->beginTransaction();
    //     $crud = new Crud();
    //     $obj = new stdClass();

    //     $confirmation_id = uniqid();

    //     $stmt_turbo_id = $db->prepare("SELECT `id`, `updated_at` FROM `turbo_hire_leads` WHERE `lead_id` = :lead_id");
    //     $stmt_turbo_id->bindValue(':lead_id', $accepted->getLead_id());

    //     $get_turbo_id = $crud->getByCondition($stmt_turbo_id);

    //     $turbo_id = $get_turbo_id['id'];
    //     $updated_at = $get_turbo_id['updated_at'];


    //     $stmt = $db->prepare("INSERT INTO `confirmation_accepted`(`confirmation_id`, `job_id`,`lead_id`,`ip_address`, `created_at`, `updated_at`,`turbo_lead_id`) "
    //             . "VALUES (:confirmation_id, :job_id, :lead_id, :ip_address, :created_at, :updated_at,:turbo_lead_id)");

    //     $date = getCurrentTime();
    //     $stmt->bindValue(':confirmation_id', $confirmation_id);
    //     $stmt->bindValue(':job_id', $accepted->getJob_id());
    //     $stmt->bindValue(':lead_id', $accepted->getLead_id());
    //     $stmt->bindValue(':ip_address', $accepted->getIp_address());
    //     $stmt->bindValue(':created_at', $date);
    //     $stmt->bindValue(':updated_at', $date);
    //     $stmt->bindValue(':turbo_lead_id', $turbo_id);


    //     if ($stmt->execute()) {

    //         $stmt1 = $db->prepare("UPDATE `ranked_candidates` SET `interested` = '1', `level_cleared` = 'L2B', updated_at = '$date', lead_type = 'SMS'
    //         WHERE `job_id` = :job_id AND `lead_id` = :lead_id");

    //         $stmt1->bindValue(':job_id', $accepted->getJob_id());
    //         $stmt1->bindValue(':lead_id', $accepted->getLead_id());


    //         if ($stmt1->execute()) {

    //             $db->commit();
    //             $obj->result = "success";
    //             $obj->message = "Updated Successfully";
    //             $obj->updated_at = $updated_at;
    //             return json_encode($obj);
    //         } else {
    //             $db->rollBack();
    //             $message = json_encode($stmt1->errorInfo());
    //             $obj->result = "failure";
    //             $obj->message = $message;
    //             return json_encode($obj);
    //         }
    //     } else {
    //         $db->rollBack();
    //         $message = json_encode($stmt->errorInfo());
    //         $obj->result = "failure";
    //         $obj->message = $message;
    //         return json_encode($obj);
    //     }

    //     closeDb();
    // }
    
    
    public function cityForLanguage($job_id, $lead_id) {

        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();

        $sql = $db->prepare("SELECT `city` FROM `ranked_candidates` WHERE `job_id`='$job_id' AND `lead_id`='$lead_id'");
        $result = $crud->getAllWithoutJSON($sql);

        $obj->result = "success";
        $obj->message = "list found";
        $obj->list = $result;
        return json_encode($obj);

        closeDb();
    }
    
    public function getProfiencyForLanguage($job_id) {

        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();

        $sql = $db->prepare("SELECT language,profiency FROM `post_job_languages` WHERE `job_id`='$job_id'");
        return $crud->getAll($sql);
        closeDb();
    }
    
    public function getCUJobDetails($job_id) {
        
        $db = getDb();
        $crud = new Crud();
        $obj = new stdClass();

        $stmt = $db->prepare("SELECT `id`, `name_of_brand`, `job_id`, `training_name`, `training_cost`, `training_location`, `loan_available`, `training_duration`, 
            `training_certificate_partner`, `maximum_age`, `score`, `training_desc` FROM `posted_jobs` WHERE `job_id` = '$job_id'");
            
        $result = $crud->getByCondition($stmt);

        if (!is_null($result) && !empty($result)) {
            $obj->result = "success";
            $obj->message = "list found";
            $obj->list = $result;
            return json_encode($obj);
        } else {
            $message = json_encode($stmt->errorInfo());
            $obj->result = "failure";
            $obj->message = $message;
            return json_encode($obj);

        }

        closeDb();
        
    }
    
    public function getJobsForAalamban($aggregator_id) {

        $obj = new stdClass();
        $db = getDb();
        
        $sql = "SELECT posted_jobs.id,posted_jobs.job_id,posted_jobs.name_of_brand,functional_role.name as functional_role FROM posted_jobs LEFT JOIN functional_role ON posted_jobs.functional_role = functional_role.id WHERE posted_jobs.aggregate_id = '$aggregator_id'";
        
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);

        closeDb();
    }
    
    public function getJobsForCSC($aggregator_id) {

        $obj = new stdClass();
        $db = getDb();
        
        $sql = "SELECT posted_jobs.id,posted_jobs.job_id,posted_jobs.name_of_brand,functional_role.name as functional_role FROM posted_jobs LEFT JOIN functional_role ON posted_jobs.functional_role = functional_role.id WHERE posted_jobs.is_csc =1";
        
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);

        closeDb();
    }
    
    public function updateJobCSC($id) {

        $obj = new stdClass();
        $db = getDb();
        
        $sql = "UPDATE `posted_jobs` SET `is_csc` = 1 WHERE `id` = '$id' ";
        
        
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->update($stmt);

        closeDb();
    }
    
    public function updateJobActive($id,$user_id,$current_status) {

        $obj = new stdClass();
        $db = getDb();
        if($current_status === 'Active'){
            $sql = "UPDATE `posted_jobs` SET `active_for_incoming` = 0,is_active_updated_by='$user_id' WHERE `id` = '$id' ";
        }else if($current_status === 'InActive'){
            $sql = "UPDATE `posted_jobs` SET `active_for_incoming` = 1,is_active_updated_by='$user_id' WHERE `id` = '$id' ";
        }
        
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->update($stmt);

        closeDb();
    }
    

    public function viewJobsForCSC($startOffset, $aggregator_id) {

        $obj = new stdClass();
        $db = getDb();
        
        $sql = "SELECT posted_jobs.campaign_status,posted_jobs.created_at,posted_jobs.id,posted_jobs.job_id,posted_jobs.name_of_brand,posted_jobs.salary_in_hand_min,posted_jobs.salary_in_hand_max,functional_role.name as functional_role,qualification.name as qualification FROM posted_jobs LEFT JOIN functional_role ON posted_jobs.functional_role = functional_role.id LEFT JOIN functional_area ON functional_area.id = posted_jobs.functional_area LEFT JOIN qualification ON qualification.id = posted_jobs.qualification WHERE posted_jobs.is_csc=1 LIMIT $startOffset,10";
        
        $stmt = $db->prepare($sql);
        $crud = new Crud();
        return $crud->getAll($stmt);

        closeDb();
    }
    
    public function viewJobsForCSCCount($aggrgator_id) {

        $obj = new stdClass();
        $db = getDb();
        $sql = "SELECT count(*) as total FROM posted_jobs WHERE posted_jobs.is_csc = 1";
        

        $stmt = $db->prepare($sql);

        $crud = new Crud();
        $row = $crud->getByCondition($stmt);
        $obj->result = "success";
        $obj->message = "total Found";
        $obj->total = $row;
        return json_encode($obj);
        closeDb();
    }
    
    public function getTotalJobBrand($brand_id) {

        $obj = new stdClass();
        $db = getDb();
         $sql = "SELECT COUNT(*) FROM posted_jobs WHERE posted_jobs.brand_id = '$brand_id'";

        $stmt = $db->prepare($sql);
        
        $crud = new Crud();
        return $crud->getCount($stmt);
        closeDb();
    }
    
    public function getDetailsJobBrand($brand_id,$startOffset) {

        $obj = new stdClass();
        $db = getDb();
         $sql = "SELECT * FROM posted_jobs WHERE posted_jobs.brand_id = '$brand_id' LIMIT $startOffset,10";

        $stmt = $db->prepare($sql);

        $crud = new Crud();
        $row = $crud->getAll($stmt);
        return $row;
        closeDb();
    }



}
