<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

class JobCityController {

    public function create(JobCity $jobCity) {

        $db = getDb();
        $date = getCurrentTime();

        $stmt = $db->prepare("INSERT INTO `post_job_city`(`job_id`, `city_id`, `created_at`) VALUES (:job_id,:city_id,:created_at)");

        $stmt->bindValue(':job_id', $jobCity->getJob_id());
        $stmt->bindValue(':city_id', $jobCity->getCity_id());
        $stmt->bindValue(':created_at', $date);

        $crud = new Crud();
        return $crud->create($stmt, $db);
        closeDb();
    }
    
    public function addcity(JobCity $jobCity) {

        $db = getDb();
        $obj = new stdClass();
        
        $job_id = $jobCity->getJob_id();
        $city_id = $jobCity->getCity_id();

        $stmt = $db->prepare("select COUNT(*) from `post_job_city` where job_id=:job_id and city_id=:city_id");

        $stmt->bindValue(':job_id', $job_id);
        $stmt->bindValue(':city_id', $city_id);

        $crud = new Crud();
        $row = $crud->getCount($stmt);

        if ($row == 0) {

            $this->create($jobCity);
            
        } 
        
        $obj->result = "success";
        $obj->message = "Updated Successfully";

        return json_encode($obj);
        
        closeDb();
    }
    
    public function createCityForPostedJob(JobCity $jobCity) {

        $db = getDb();
        $crud = new crud();

        $stmt = $db->prepare("SELECT city_name FROM `cities` WHERE city_id = :city_id ");
        $stmt->bindValue(':city_id', $jobCity->getCity_id());
        $get_city = $crud->getByCondition($stmt);
        $city_name = $get_city['city_name'];

        $sql = $db->prepare("INSERT INTO `shortlisting_candidates_process`(`process_id`,`job_id`, `city_name`, `created_at`, `updated_at`) "
                . "VALUES (:process_id,:job_id,:city_name,:created_at,:updated_at)");

        $sql->bindValue(':process_id', uniqid());
        $sql->bindValue(':job_id', $jobCity->getJob_id());
        $sql->bindValue(':city_name', $city_name);
        $sql->bindValue(':created_at', getCurrentTime());
        $sql->bindValue(':updated_at', getCurrentTime());

        $result = $crud->create($sql, $db);

        closeDb();
        return $result;

    }

}

?>
