function showDrilldown(type) {
    const drilldownSection = document.getElementById('drilldown-section');
    const drilldownContent = document.getElementById('drilldown-content');

    // Show the drilldown section
    drilldownSection.style.display = 'block';

    // Clear previous content
    drilldownContent.innerHTML = '';

    // Create a canvas element for the chart
    const canvas = document.createElement('canvas');
    canvas.id = 'drilldownChart';
    drilldownContent.appendChild(canvas);

    // Sample data for each type of drilldown
    let chartData;
    let chartLabel;
    let chartOptions = {
        responsive: true,
        scales: {
            y: {
                beginAtZero: true
            }
        }
    };

    if (type === 'total') {
        chartLabel = 'Total Data';
        chartData = [10, 20, 30, 40, 50]; // Replace with actual data
    } else if (type === 'active') {
        chartLabel = 'Active Data';
        chartData = [15, 25, 35, 45, 55]; // Replace with actual data
    } else if (type === 'impacts') {
        chartLabel = 'Impact Data';
        chartData = [5, 15, 25, 35, 45]; // Replace with actual data
         
        // Change to horizontal bar chart for "impacts"
        chartOptions = {
        responsive: true,
        indexAxis: 'y', // Make bar chart horizontal for impacts
        scales: {
            x: {
                beginAtZero: true
            }
        }
    };
    }

    // Create the bar chart using Chart.js
    new Chart(canvas, {
        type: 'bar',
        data: {
            labels: ["2013", "2014", "2015", "2016", "2017"], // Replace with actual labels if needed
            datasets: [{
                label: chartLabel,
                data: chartData,
                backgroundColor: [
                    'rgba(255, 99, 132, 0.2)',
                    'rgba(54, 162, 235, 0.2)',
                    'rgba(255, 206, 86, 0.2)',
                    'rgba(75, 192, 192, 0.2)',
                    'rgba(153, 102, 255, 0.2)'
                  ],
                borderColor: [
                    'rgba(255, 99, 132, 1)',
                    'rgba(54, 162, 235, 1)',
                    'rgba(255, 206, 86, 1)',
                    'rgba(75, 192, 192, 1)',
                    'rgba(153, 102, 255, 1)'
                  ],
                borderWidth: 1
            }]
        },
        options: chartOptions
    });
}


function showDrilldown1(type) {
    const drilldownSection1 = document.getElementById('drilldown-section1');
    const drilldownContent1 = document.getElementById('drilldown-content1');

    // Show the drilldown section
    drilldownSection1.style.display = 'block';

    // Clear previous content
    drilldownContent1.innerHTML = '';

    // Create a canvas element for the chart
    const canvas = document.createElement('canvas');
    canvas.id = 'drilldownChart';
    drilldownContent1.appendChild(canvas);

    // Sample data for each type of drilldown
    let chartData;
    let chartLabel;
    let chartOptions = {
        responsive: true,
        scales: {
            y: {
                beginAtZero: true
            }
        }
    };

    if (type === 'total1') {
        chartLabel = 'Total Data';
        chartData = [10, 20, 30, 40, 50]; // Replace with actual data
    } else if (type === 'active1') {
        chartLabel = 'Active Data';
        chartData = [15, 25, 35, 45, 55]; // Replace with actual data
    } else if (type === 'impacts1') {
        chartLabel = 'Impact Data';
        chartData = [5, 15, 25, 35, 45]; // Replace with actual data
    
        // Change to horizontal bar chart for "impacts"
        chartOptions = {
            responsive: true,
            indexAxis: 'y', // Make bar chart horizontal for impacts
            scales: {
                x: {
                    beginAtZero: true
                }
            }
        };
        }

    // Create the bar chart using Chart.js
    new Chart(canvas, {
        type: 'bar',
        data: {
            labels: ["2013", "2014", "2015", "2016", "2017"], // Replace with actual labels if needed
            datasets: [{
                label: chartLabel,
                data: chartData,
                backgroundColor: [
                    'rgba(255, 99, 132, 0.2)',
                    'rgba(54, 162, 235, 0.2)',
                    'rgba(255, 206, 86, 0.2)',
                    'rgba(75, 192, 192, 0.2)',
                    'rgba(153, 102, 255, 0.2)'
                  ],
                borderColor: [
                    'rgba(255, 99, 132, 1)',
                    'rgba(54, 162, 235, 1)',
                    'rgba(255, 206, 86, 1)',
                    'rgba(75, 192, 192, 1)',
                    'rgba(153, 102, 255, 1)'
                  ],
                borderWidth: 1
            }]
        },
        options: chartOptions
    });
}

function showDrilldown2(type) {
    const drilldownSection2 = document.getElementById('drilldown-section2');
    const drilldownContent2 = document.getElementById('drilldown-content2');

    // Show the drilldown section
    drilldownSection2.style.display = 'block';

    // Clear previous content
    drilldownContent2.innerHTML = '';

    // Create a canvas element for the chart
    const canvas = document.createElement('canvas');
    canvas.id = 'drilldownChart';
    drilldownContent2.appendChild(canvas);

    // Sample data for each type of drilldown
    let chartData;
    let chartLabel;
    let chartOptions = {
        responsive: true,
        scales: {
            y: {
                beginAtZero: true
            }
        }
    };

    if (type === 'total2') {
        chartLabel = 'Total Data';
        chartData = [10, 20, 30, 40, 50]; // Replace with actual data
    } else if (type === 'active2') {
        chartLabel = 'Active Data';
        chartData = [15, 25, 35, 45, 55]; // Replace with actual data
    } else if (type === 'impacts2') {
        chartLabel = 'Impact Data';
        chartData = [5, 15, 25, 35, 45]; // Replace with actual data
    
         // Change to horizontal bar chart for "impacts"
         chartOptions = {
            responsive: true,
            indexAxis: 'y', // Make bar chart horizontal for impacts
            scales: {
                x: {
                    beginAtZero: true
                }
            }
        };
        }

    

    // Create the bar chart using Chart.js
    new Chart(canvas, {
        type: 'bar',
        data: {
            labels: ["2013", "2014", "2015", "2016", "2017"], // Replace with actual labels if needed
            datasets: [{
                label: chartLabel,
                data: chartData,
                backgroundColor: [
                    'rgba(255, 99, 132, 0.2)',
                    'rgba(54, 162, 235, 0.2)',
                    'rgba(255, 206, 86, 0.2)',
                    'rgba(75, 192, 192, 0.2)',
                    'rgba(153, 102, 255, 0.2)'
                  ],
                borderColor: [
                    'rgba(255, 99, 132, 1)',
                    'rgba(54, 162, 235, 1)',
                    'rgba(255, 206, 86, 1)',
                    'rgba(75, 192, 192, 1)',
                    'rgba(153, 102, 255, 1)'
                  ],
                borderWidth: 1
            }]
        },
        options: chartOptions
    });
}