<?php
session_start();

$user_id = '44';

// if (!(isset($_SESSION['userId']))) {
//     header("Location: index.php");
// } else {
//     $user_id = $_SESSION['userId'];
// }

$randStr = rand();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Partnerwise Data</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/mdi/css/materialdesignicons.min.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <link rel="stylesheet" href="bower_components/bootstrap-multiselect/dist/css/bootstrap-multiselect.css" type="text/css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" >
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
     <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    
   <style>

        .modal_1 {
            display: none;
            /* Hidden by default */
            position: fixed;
            /* Stay in place */
            z-index: 1;
            /* Sit on top */
            padding-top: 20px;
            /* Location of the box*/
            left: 0;
            top: 50px;
            width: 100%;
            /* Full width */
            /*min-width: 350px;*/
            height: 100%;
            /* Full height */
            overflow: auto;
            /*Enable scroll if needed*/
            background-color: rgb(0, 0, 0);
            /* Fallback color */
            background-color: rgba(0, 0, 0, 0.4);
            /* Black w/ opacity */
        }

        /* Modal Content */
        .modal-content-1 {
            background-color: #fefefe;
            margin: auto;
            padding: 20px;
            border: 1px solid #888;
            width: 45%;
        }


        .close:focus {

            text-decoration: none;
            cursor: pointer;
        }

        .close:hover {
            color: #6f6f6f;
            font-weight: bold;
        }
    </style>
</head>
<body>
    <div class="container-scroller">

        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/header.php'; ?>
        </div>

      <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">

        <!-- partial -->
        <?php include 'includes/sidebar.php'; ?>

        <!-- partial -->
        <div class="main-panel">
          <div class="content-wrapper">
            <div class="row" style="margin-top:10px; margin-bottom:10px;">
                <div class="col-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">Partnerwise Data</h4>
                            <div class="form-group row">
                                <label for="partner" class="col-sm-3 col-form-label">Partners</label>
                                <div class="col-sm-9">
                                    <select class="form-control" id="partner" name="partner">
                                        <option value="">Select Partner</option>
                                        <option value="CSR Box">CSR Box</option>
                                        <option value="Reacha">Reacha</option>
                                        <option value="Pratham">Pratham</option>
                                        <option value="Anudip">Anudip</option>
                                        <option value="Jeevitam">Jeevitam</option>
                                        <option value="BOSCH">BOSCH</option>
                                        <option value="Tech Mahindra">Tech Mahindra</option>
                                        <option value="Techfinder">Techfinder</option>
                                        <option value="Edunet">Edunet</option>
                                        <option value="AIF">AIF</option>
                                    </select>
                                    <!-- <span style="color: red;font-size:13px;margin-left:15px" id="err_streams"></span> -->
                                </div>
                            </div>
                            <div class="form-group row" id="candidates" style="display:none;">
                                <div class="col-sm-12">
                                     <label for="candidates" class="col-form-label">Total Candidates : <span id="candidates_count" style="font-size:16px;color:black;font-weight:bold;margin-top:10px">5</span></label>
                                    <!--<input type="text" class="form-control" id="candidates" name="candidates" placeholder="Enter Candidate Count">-->
                                </div> 
                            </div>
                            <div class="row">
                                <div style="margin-top:20px" class="col-md-12">
                                    <!-- <div class="table-responsive pt-3"> -->
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>Name</th>
                                                    <th>Phone Number</th>
                                                    <th>Qualification</th>
                                                    <th>Specialization</th>
                                                    <th>D.O.B</th>
                                                    <th>Application</th>
                                                    <th>Update Status</th>
                                                </tr>
                                                <tbody>
                                                    <tr>
                                                        <td>Nandhini</td>
                                                        <td>9361453505</td>
                                                        <td>Under Graduate</td>
                                                        <td>B.E</td>
                                                        <td>22-09-2001</td>
                                                        <td><a href="applied_reachout.php" class="btn btn-primary">View</a></td> 
                                                        <td><button onclick="updateStatus()" class="btn btn-primary">Update</button></td> 
                                                    </tr>
                                                    <tr>
                                                        <td>Gopika</td>
                                                        <td>9751083094</td>
                                                        <td>Under Graduate</td>
                                                        <td>B.Tech</td>
                                                        <td>28-05-2003</td>
                                                        <td><a href="applied_reachout.php" class="btn btn-primary">View</a></td>
                                                        <td><button onclick="updateStatus()" class="btn btn-primary">Update</button></td> 
                                                    </tr>
                                                    <tr>
                                                        <td>Vanmathi</td>
                                                        <td>8870990037</td>
                                                        <td>Post Graduate</td>
                                                        <td>M.E</td>
                                                        <td>18-09-1998</td>
                                                        <td><a href="applied_reachout.php" class="btn btn-primary">View</a></td>
                                                        <td><button onclick="updateStatus()" class="btn btn-primary">Update</button></td> 
                                                    </tr>
                                                    <tr>
                                                        <td>Nithish</td>
                                                        <td>6554870134</td>
                                                        <td>Under Graduate</td>
                                                        <td>B. E</td>
                                                        <td>04-05-2000</td>
                                                        <td><a href="applied_reachout.php" class="btn btn-primary">View</a></td> 
                                                        <td><button onclick="updateStatus()" class="btn btn-primary">Update</button></td> 
                                                    </tr>
                                                    <tr>
                                                        <td>Siva</td>
                                                        <td>7025487962</td>
                                                        <td>Under Graduate</td>
                                                        <td>B. Tech</td>
                                                        <td>28-12-1997</td>
                                                        <td><a href="applied_reachout.php" class="btn btn-primary">View</a></td> 
                                                        <td><button onclick="updateStatus()" class="btn btn-primary">Update</button></td> 
                                                    </tr>
                                                </tbody>
                                            </thead>
                                            <tbody id="result">
                                            </tbody>
                                        </table>
                                        <div class="pagination"></div>
                                    <!-- </div> -->
                                     <!--  Modal Start -->
                        <div id="myModal" class="modal_1">

                            <div class="modal-content-1">
                                <span style="font-size: 20px">Update Status</span>
                                <span class="close" id="close_city" style="float: right; color: black;font-size: 25px;font-weight: bold;">&times;</span>
                                <hr style="margin-top: 5px;border: .5px solid black;width: 100%;">

                               
                                <div class="row" style="padding: 35px;">
                                    <div class="col-md-1"></div>
                                    <div class="col-md-10">
                                        <div class="form-group">
                                            <label><em style="color: red">* </em>Select Status: </label><span style="color: red;margin-left:10px;font-weight:bold " id="err_cities"></span><br>
                                            <select class="form-control" id="cities" name="cities">
                                                <option>Shortlisted</option>
                                                <option>Applied</option>
                                                <option>Rejected</option>
                                                <option>Selected</option>
                                                <option>Joined</option>
                                                <!--<option>Rejected</option>-->
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-1"></div>
                                </div>
                               
                                <hr style="margin-top: 5px;border: .5px solid black;width: 100%;">

                                <div class="row">
                                    <div class="col-md-12" style="text-align: right">
                                        <button style="margin-top: 20px" class="btn btn-primary" type="submit" id="city_submit" name="city_submit">Update</button>
                                        <button style="margin-top: 20px" class="btn btn-primary" type="submit" id="cancel" name="cancel">Close</button>
                                    </div>
                                </div>
                            </div>


                        </div>
                        <!--  Modal End -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
          </div>
        </div>
      </div>
    </div>
<!-- /.content-wrapper -->
<script src="../JeevitamV2/vendors/js/vendor.bundle.base.js"></script>
<script src="../JeevitamV2/vendors/typeahead.js/typeahead.bundle.min.js"></script>
<script src="../JeevitamV2/vendors/select2/select2.min.js"></script>
<script src="../JeevitamV2/js/hoverable-collapse.js"></script>
<script src="../JeevitamV2/js/template.js"></script>
<!--Pagination-->
<!--<script type="text/javascript" src="bower_components/bootstrap-multiselect/dist/js/bootstrap-multiselect.js"></script>-->
<script type="text/javascript" src="../JeevitamV2/js/plugins.js"></script>
<!--<script type="text/javascript" src="../JeevitamV2/js/jquery-bootpag.js"></script>-->
<!--<script src="../JeevitamV2/js/jquery.bootpag.min.js"></script>-->

<script src="js/partnerwise_data.js?<?php echo $randStr; ?>"></script>
</body>
</html>
