<?php

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>IBM Dashboard</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2//select2/select2.min.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png">
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/gaugeJS/dist/gauge.min.js"></script>
    <style>
        .card .corner-value {
            position: absolute;
            top: 20px;
            right: 25px;
            font-size: 24px;
            color: #000; /* Adjust color as needed */
        }

        .card-title-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .card-controls {
            display: flex;
            gap: 5px;
        }

        .card-controls button {
            background: none;
            border: none;
            cursor: pointer;
            font-size: 1.2em;
            line-height: 1;
            padding: 0;
        }

        .maximized-card-container {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            display: flex;
            justify-content: center;
            align-items: center;
            z-index: 9999;
        }

        .maximized-card {
            background-color: white;
            width: 80%;
            height: 80%;
            padding: 100px;
            border-radius: 0px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .d-none {
            display: none;
        }
    </style>
</head>
<body>
    <div class="container-scroller">

    <div class="row col-md-12" style="margin-bottom:0px;">
        <?php include 'includes/ibm_header.php'; ?>
    </div>

    <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
    <!-- partial:partials/_sidebar.html -->
    <?php include 'includes/ibm_sidebar.php'; ?>

    <div class="main-panel">
     <div class="content-wrapper">
        
        <!-- IBM Dashboard Title -->
        <div class="col-lg-13 grid-margin stretch-card" style="margin-top: 10px ;">
            <div class="card">
                <div class="card-body">
                    <h5>Work Fair & Campus Details</h5>
                </div>
            </div>
        </div>
        

        <div class="row">
                <!-- Column with the boxes -->
                <div class="col-lg-3">
                    <div class="card mb-2">
                        <div class="card-body">
                            <h4 class="card-title" style="font-size: 14px;">Total Workfair</h4>
                            <div class="corner-value">5</div>
                        </div>
                    </div>
                    <div class="card mb-2">
                        <div class="card-body">
                            <h4 class="card-title" style="font-size: 14px;">Registered Candidates</h4>
                            <div class="corner-value">96</div>
                        </div>
                    </div>
                    <div class="card mb-2">
                        <div class="card-body">
                            <h4 class="card-title" style="font-size: 14px;">Shortlisting Candidates</h4>
                            <div class="corner-value">62</div>
                        </div>
                    </div>
                    <div class="card mb-2">
                        <div class="card-body">
                            <h4 class="card-title" style="font-size: 14px;">Applied</h4>
                            <div class="corner-value">57</div>
                        </div>
                    </div>
                    <div class="card mb-2">
                        <div class="card-body">
                            <h4 class="card-title" style="font-size: 14px;">Interviewed</h4>
                            <div class="corner-value">51</div>
                        </div>
                    </div>
                    <div class="card mb-2">
                        <div class="card-body">
                            <h4 class="card-title" style="font-size: 14px;">Joined</h4>
                            <div class="corner-value">40</div>
                        </div>
                    </div>
                </div>

                <!-- Charts Column -->
                <div class="col-lg-9">
                    <div class="row">
                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Data Received Per Partner</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="doughnutChart"></canvas>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Gender Ratio</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="gender_chart"></canvas>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Applications Received by Source</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="barChart"></canvas>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Candidate Withdrawal Rate</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="candidate_chart"></canvas>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Reason for Candidate Decline</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="barChartone"></canvas>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Profile for Candidate's Applied</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="barCharttwo"></canvas>
                                </div>
                            </div>
                        </div>
                    </div>
               </div>
               
            </div>
            </div>
            <!-- Maximized Card Container -->
            <div id="maximized-card-container" class="maximized-card-container d-none">
                <div class="maximized-card">
                    <div class="card-body">
                        <div class="card-title-container">
                            <h4 class="card-title" id="maximized-card-title"></h4>
                            <div class="card-controls">
                                <button class="btn-close">✕</button>
                            </div> 
                        </div>
                        <canvas id="maximized-chart"></canvas>
                    </div>
                </div>
            </div>
     </div>
    </div>


  <script src="../JeevitamV2/vendors/js/vendor.bundle.base.js"></script>
  <!-- endinject -->
  <!-- inject:js -->
  <script src="../JeevitamV2/js/off-canvas.js"></script>
  <script src="../JeevitamV2/js/hoverable-collapse.js"></script>
  <script src="../JeevitamV2/js/template.js"></script>
  <script src="../JeevitamV2/js/settings.js"></script>
  <script src="../JeevitamV2/js/todolist.js"></script>
  <script src="../JeevitamV2/js/gauge.js"></script>
  <!-- endinject -->
  <!-- plugin js for this page -->
  <script src="vendors/chart.js/Chart.min.js"></script>
  <script type="text/javascript" src="../JeevitamV2/js/sidebar.js?randStr=<?php echo $randStr; ?>"></script>

  <!-- End plugin js for this page -->
  <!-- Custom js for this page-->
  <script src="../JeevitamV2/js/chart.js"></script>
</body>
</html>