
function redirect(job_id) {

    window.location.href = 'view_full_time_jobs.php?job_id=' + job_id;
}

function viewJob(job_id) {

    window.location.href = 'view_posted_jobs_latest.php?job_id=' + job_id;
}

// function addCSC(id,page) {
//     $.ajax({
//             type: "GET",
//             data: {},
//             url: '../DTTurboHire/api/jobs/update_job_csc.php?id='+id,
//             success: function (data) {
//                 var res = JSON.parse(data);
//                 var result = res['result'];
//                 var message = res['message'];
//                 if (result === 'success') {
//                     alert(message);
//                     getData(10, page, 0);
//                 } else
//                 {
//                     alert(message);
                    
//                 }
//             },
//             error: function (xhr, ajaxOptions, thrownError) {
//                 console.log("ERROR:" + xhr.responseText + " - " + thrownError);
//             }
//         });
// }

function updateActive(id,page,type) {
    $.ajax({
            type: "GET",
            data: {},
            url: '../DTTurboHire/api/jobs/update_active.php?id='+id+'&user_id='+userId+'&type='+type,
            success: function (data) {
                var res = JSON.parse(data);
                var result = res['result'];
                var message = res['message'];
                if (result === 'success') {
                    alert(message);
                    getData(10, page, 0);
                } else
                {
                    alert(message);
                    
                }
            },
            error: function (xhr, ajaxOptions, thrownError) {
                console.log("ERROR:" + xhr.responseText + " - " + thrownError);
            }
        });
}
    

function jobFair(brand_id,job_id) {

    $('#myModal2').modal('show');
    $('#brandid').val(brand_id);
    $('#job_id_fair').val(job_id);

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/job-fair/get-job-fair-code.php",
        data: {

        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;

            var option = '';
            option += '<option value=' + "" + '>--- select job fair ---</option>';

            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].id + '>' + transactions[j].city_name + " | " + transactions[j].jobfair_code + '</option>';
//                    option += '<option value=' + transactions[j].job_fair_id + '>' + transactions[j].city_name + " | " + transactions[j].jobfair_code + '</option>';
                }
            }
            $('#job_fair').html(option);

        }
    });

}

$("#jobfair_submit").click(function () {

    var brand_id = $("#brandid").val();
    var job_id = $("#job_id_fair").val();
    var jobfair = $("#job_fair").val();
    var name = $("#name").val();
    var number = $("#number").val();

    var err = 0;
    
    if (jobfair === '')
    {
        $('#err_JobFair').html('Mandatory');
        err++;
    } else {
        $('#err_JobFair').html('');
    }
    if (name === '')
    {
        $('#err_Name').html('Mandatory');
        err++;
    } else {
        $('#err_Name').html('');
    }
    if (number === '')
    {
        $('#err_Number').html('Mandatory');
        err++;
    } else {
        $('#err_Number').html('');
    }

    if (err === 0) {
        
        var formValues = {
            id:"",
            job_fair_id : jobfair,
            brand_id : brand_id,
            job_id : job_id,
            created_by : userId,
            contact_person : name,
            contact_number : number,
            last_updated_by : userId
        };
        
        var json = JSON.stringify(formValues);
        console.log(json);
        
        $.ajax({
            type: "post",
            data: json,
            url: '../DTTurboHire/api/corporates/add_to_job_fair.php',
            success: function (data) {
                var res = JSON.parse(data);
                var result = res['result'];
                var message = res['message'];
                if (result === 'success') {
                    alert(message);
                    $('#myModal2').modal('hide');
                    window.location.reload(true);
                } else
                {
                    alert(message);
                    $('#myModal2').modal('hide');
                }
            },
            error: function (xhr, ajaxOptions, thrownError) {
                console.log("ERROR:" + xhr.responseText + " - " + thrownError);
            }
        });
    } else {
        alert("Fill Mandatory Fields");
    }
});


function cityAdd(job_id) {

    // $('#myModal1').modal('show');
    $('#jobid').val(job_id);

    var modal = document.getElementById('myModal1');
    modal.style.display = "block";

    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/cities_languages/get_all_cities.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var option = '';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].city_id + '>' + transactions[j].city_name + '</option>';
                }
            }

            $('#cities').html(option);
            // $('#cities').multiselect({
            //     enableFiltering: true,
            //     includeSelectAllOption: true
            // });
        }
    });

}

$("#city_submit").click(function () {

    var job_id = $('#jobid').val();
    var city = $('#cities').val();
    var modal = document.getElementById('myModal1');


    var err = 0;
    
    if (city.length === 0)
    {
        $('#err-City').html('Mandatory');
        err++;
    } else {
        $('#err-City').html('');
    }

    if (err === 0) {

        var formValues = {
            job_id: job_id,
            city_id: city
        };
        var json = JSON.stringify(formValues);
        console.log(json);
//        return json;

        $.ajax({
            type: "POST",
            data: json,
            dataType: 'json',
            url: "../DTTurboHire/api/post_jobs/update_city_job.php",
            success: function (data) {

                if (data.result === 'success') {
                    alert(data.message);
                    modal.style.display = "none";
                    // $('#myModal1').modal('hide');

                } else {
                    modal.style.display = "none";
                    // $('#myModal1').modal('hide');
                    alert(data.message);
                }

            },
            error: function (xhr, jqXHR, textStatus, errorThrown) {
                alert("get session failed " + errorThrown);
                alert(xhr.responseText);
            }
        });
    } else {
        alert("Fill Mandatory Field");
    }
});

function loadDynamicContentModal(job_id, from, to) {

    // $('#myModal').modal('show');
    $('#from').val(from);
    $('#to').val(to);
    $('#jobid').val(job_id);

    var modal = document.getElementById('myModal');
    modal.style.display = "block";

}

$('#submit').click(function () {

    var job_id = $('#jobid').val();
    var from = $('#from').val();
    var to = $('#to').val();
    var modal = document.getElementById('myModal');
    

    $.ajax({
        type: "POST",
        data: {
            job_id: job_id
        },
        dataType: 'json',
        url: "../DTTurboHire/api/jobs/delete-job.php",
        success: function (data) {

            if (data.result === 'success') {
                alert(data.message);
                modal.style.display = "none";
                // $('#myModal').modal('hide');

                $.ajax({
                    type: "POST",
                    url: "../DTTurboHire/api/jobs/view-total-job-details.php",
                    data: {
                        from: from,
                        to: to
                    },
                    dataType: 'json',
                    success: function (data) {
                        alert(JSON.stringify(data));
                        var records = data.total['total'];
                        var totalrecords = records;

                        var total = Math.ceil((totalrecords / 5));
                        getData(5, 0, total);
                        $(".pagination").bootpag({
                            total: total,
                            page: 1,
                            maxVisible: 5
                        }).on("page", function (e, num) {
                            e.preventDefault();
                            var page = num - 1;
                            console.log(num);
                            getData(5, page, total);
                        });
                    },
                    error: function (xhr, ajaxOptions, thrownError) {
                        alert("ERROR:" + xhr.responseText + " - " + thrownError);
                    }
                });

            } else {
                alert(data.message);
            }

        },
        error: function (xhr, jqXHR, textStatus, errorThrown) {
            alert("get session failed " + errorThrown);
            alert(xhr.responseText);
        }
    });

});

$(document).ready(function(){
	var modal = document.getElementById('myModal1');
    modal.style.display = "none";
    var span = document.getElementsByClassName("close")[0];
    span.onclick = function () {
        modal.style.display = "none";
    };

    $("#cancel").click(function () {
        modal.style.display = "none";
    });
});

function getData(item_per_page, page, lastpage) {

    var start_offset;
    var from = $('#fromDate').val();
    var to = $('#toDate').val();
    var pages = parseInt(page);

    if (pages === 0) {
        start_offset = 0;

    } else if (pages > 0) {

        start_offset = (pages * item_per_page);
    }
    $.ajax({
        type: "POST",
        data: {
            startOffset: start_offset,
            from: from,
            to: to
        },
        dataType: 'json',
        url: "../DTTurboHire/api/jobs/view-job-details.php",
        success: function (data) {
            var tdata = "";
            var transactions = data.list;
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    //   console.log(transactions[j].job_id + ',' + from + ',' + to);

                    tdata += '<tr>';
                    tdata += '<td>' + transactions[j].id + '</td>';
                    tdata += '<td>' + transactions[j].job_id + '</td>';
                    tdata += '<td>' + transactions[j].name_of_brand + '</td>';
                    // tdata += '<td>' + transactions[j].functional_area + '</td>';
                    tdata += '<td>' + transactions[j].functional_role + '</td>';
                    tdata += '<td>' + transactions[j].salary_in_hand_min + '</td>';
                    tdata += '<td>' + transactions[j].salary_in_hand_max + '</td>';
                    // tdata += '<td>' + transactions[j].interview_level + '</td>';
                    tdata += '<td>' + transactions[j].qualification + '</td>';
                    tdata += '<td>' + transactions[j].is_csc + '</td>';
                    tdata += '<td>' + transactions[j].is_active + '</td>';
                    tdata += '<td><a href="view-city.php?job_id=' + transactions[j].job_id + '">Cities</a></td>';
                    tdata += '<td> <input type=button class="btn btn-primary" value="Add City" onclick="cityAdd(\'' + transactions[j].job_id + '\')"></td>';
                    // tdata += '<td> <input type=button class="btn btn-primary" value="Enable JobFair" onclick="jobFair(\'' + transactions[j].brand_id + '\',\'' + transactions[j].job_id + '\')"></td>';
                    tdata += '<td> <input type=button class="btn btn-primary" value="View" onclick="viewJob(\'' + transactions[j].job_id + '\')"></td>';
                    tdata += '<td> <input type=button class="btn btn-primary" value="Clone" onclick="redirect(\'' + transactions[j].job_id + '\')"></td>';
                    tdata += '<td> <input type=button class="btn btn-primary" value="Delete" onclick="loadDynamicContentModal(\'' + transactions[j].job_id + '\',\'' + from + '\',\'' + to + '\');"></td>';
                    // if(transactions[j].is_csc == '1'){
                    //     tdata += '<td> <input type=button class="btn btn-primary" disabled value="Add to CSC" onclick="addCSC(\'' + transactions[j].id + '\',\'' + page + '\');"></td>';
                    // }else if(transactions[j].is_csc == '0'){
                    //     tdata += '<td> <input type=button class="btn btn-primary" value="Add to CSC" onclick="addCSC(\'' + transactions[j].id + '\',\'' + page + '\');"></td>';
                    // }
                    if(parseInt(transactions[j].active_for_incoming) === 1){
                        status = "Active";
                        tdata += '<td> <input type=button class="btn btn-primary" value="Update as InActive" onclick="updateActive(\'' + transactions[j].id + '\',\'' + page + '\',\'' + status + '\');"></td>';
                    }else if(parseInt(transactions[j].active_for_incoming) === 0){
                        status = "InActive";
                        tdata += '<td> <input type=button class="btn btn-primary" value="Update as Active" onclick="updateActive(\'' + transactions[j].id + '\',\'' + page + '\',\''+ status + '\');"></td>';
                    }
                    

                    tdata += '</tr>';

                }
            }
            $('#result').html(tdata);

        },
        error: function (xhr, jqXHR, textStatus, errorThrown) {
            alert("get session failed " + errorThrown);
            alert(xhr.responseText);
        }
    });

}


$('#ok').click(function () {
    var from = $('#fromDate').val();
    var to = $('#toDate').val();

    if (from === null || from === '') {
        alert("Kindly select from date");
        $('#err-fromdate').html('Mandatory');
    } else
    {
        $.ajax({
            type: "POST",
            url: "../DTTurboHire/api/jobs/view-total-job-details.php",
            data: {
                from: from,
                to: to
            },
            dataType: 'json',
            success: function (data) {
                // alert(JSON.stringify(data));
                var records = data.total['total'];
                var totalrecords = records;

                var total = Math.ceil((totalrecords / 5));
                getData(5, 0, total);
                $(".pagination").bootpag({
                    total: total,
                    page: 1,
                    maxVisible: 5
                }).on("page", function (e, num) {
                    e.preventDefault();
                    var page = num - 1;
                    console.log(num);
                    getData(5, page, total);
                });
            },
            error: function (xhr, ajaxOptions, thrownError) {
                alert("ERROR:" + xhr.responseText + " - " + thrownError);
            }
        });
    }

});

//$('#download').click(function () {
//
//    var date = $('#fromDate').val();
//
//    if (date === null || date === '')
//    {
//        alert("Kindly select date");
//        $('#err-fromdate').html('Mandatory');
//    } else
//    {
//        $.ajax({
//            type: "POST",
//            url: "../DTTurboHire/api/exotel_responses/MissedCallDetailExcel.php",
//            data: {
//                from: date,
//                to: $('#toDate').val()
//            },
//            dataType: 'json',
//            success: function (data) {
//
//                if (data.result === 'success') {
//                    window.location.assign(data.data);
//                }
//
//            },
//            error: function (xhr, ajaxOptions, thrownError) {
//                alert("ERROR:" + xhr.responseText + " - " + thrownError);
//            }
//        });
//    }
//
//});




   