<?php

?>

<!DOCTYPE html>
<html lang="en">
<head>
    
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Data Categorization</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png">
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">



    <style>
        .card-title-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .card-controls {
            display: flex;
            gap: 5px;
        }

        .card-controls button {
            background: none;
            border: none;
            cursor: pointer;
            font-size: 1.2em;
            line-height: 1;
            padding: 0;
        }
        
        .maximized-card-container { 
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            display: flex;
            justify-content: center;
            align-items: center;
            z-index: 9999;
        }

        .maximized-card {
            background-color: white;
            width: 80%;
            height: 80%;
            padding: 40px; 
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
            display: flex;
            flex-direction: column; 
            align-items: center;
            position: relative; 
        }

        #maximized-chart {
            width: 100%;
            height: 100%;
        }

        .card canvas {
            max-width: 100%;
            max-height: 200px; /* Adjust as needed */
        }

    </style>
</head>

<body>
    <div class="container-scroller">

        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php //include 'includes/sahayak_header.php'; ?>
        </div>

        <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">

            <!-- partial -->
            <!-- partial:partials/_sidebar.html -->
            <?php //include 'includes/sahayak_sidebar.php'; ?>

            <!-- <div class="main-panel"> -->
                <div class="content-wrapper">

                    <!-- Category A, B, C & D Tables -->
                    <div class="row" style="margin-top:10px;">
                        <div class="col-lg-3 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div style="display: flex; justify-content: space-between; align-items: center;">
                                        <h4 class="card-title">Category A</h4>
                                        <button class="btn btn-sm btn-primary" onclick="downloadTable('categoryATable')">Download</button>
                                    </div>
                                    <div class="table-responsive pt-3">
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>Category A</th>
                                                    <th>Count</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>A1</td>
                                                    <td>12</td>
                                                </tr>
                                                <tr>
                                                    <td>A2</td>
                                                    <td>14</td>
                                                </tr>
                                                <tr>
                                                    <td>A3</td>
                                                    <td>11</td>
                                                </tr>
                                                <tr>
                                                    <td>A4</td>
                                                    <td>15</td>
                                                </tr>
                                                <tr>
                                                    <td>A5</td>
                                                    <td>10</td>
                                                </tr>
                                                <tr>
                                                    <td>A6</td>
                                                    <td>14</td>
                                                </tr>
                                                <tr>
                                                    <td>A7</td>
                                                    <td>11</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-3 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div style="display: flex; justify-content: space-between; align-items: center;">
                                        <h4 class="card-title">Category B</h4>
                                        <button class="btn btn-sm btn-primary" onclick="downloadTable('categoryBTable')">Download</button>
                                    </div>
                                    <div class="table-responsive pt-3">
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>Category B</th>
                                                    <th>Count</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>B1</td>
                                                    <td>11</td>
                                                </tr>
                                                <tr>
                                                    <td>B2</td>
                                                    <td>13</td>
                                                </tr>
                                                <tr>
                                                    <td>B3</td>
                                                    <td>08</td>
                                                </tr>
                                                <tr>
                                                    <td>B4</td>
                                                    <td>17</td>
                                                </tr>
                                                <tr>
                                                    <td>B5</td>
                                                    <td>13</td>
                                                </tr>
                                                <tr>
                                                    <td>B6</td>
                                                    <td>12</td>
                                                </tr>
                                                <tr>
                                                    <td>B7</td>
                                                    <td>09</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-3 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div style="display: flex; justify-content: space-between; align-items: center;">
                                        <h4 class="card-title">Category C</h4>
                                        <button class="btn btn-sm btn-primary" onclick="downloadTable('categoryCTable')">Download</button>
                                    </div>
                                    <div class="table-responsive pt-3">
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>Category C</th>
                                                    <th>Count</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>C1</td>
                                                    <td>13</td>
                                                </tr>
                                                <tr>
                                                    <td>C2</td>
                                                    <td>10</td>
                                                </tr>
                                                <tr>
                                                    <td>C3</td>
                                                    <td>12</td>
                                                </tr>
                                                <tr>
                                                    <td>C4</td>
                                                    <td>09</td>
                                                </tr>
                                                <tr>
                                                    <td>C5</td>
                                                    <td>18</td>
                                                </tr>
                                                <tr>
                                                    <td>C6</td>
                                                    <td>17</td>
                                                </tr>
                                                <tr>
                                                    <td>C7</td>
                                                    <td>15</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-3 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div style="display: flex; justify-content: space-between; align-items: center;">
                                        <h4 class="card-title">Category D</h4>
                                        <button class="btn btn-sm btn-primary" onclick="downloadTable('categoryDTable')">Download</button>
                                    </div>
                                    <div class="table-responsive pt-3">
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>Category D</th>
                                                    <th>Count</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>D1</td>
                                                    <td>16</td>
                                                </tr>
                                                <tr>
                                                    <td>D2</td>
                                                    <td>12</td>
                                                </tr>
                                                <tr>
                                                    <td>D3</td>
                                                    <td>10</td>
                                                </tr>
                                                <tr>
                                                    <td>D4</td>
                                                    <td>06</td>
                                                </tr>
                                                <tr>
                                                    <td>D5</td>
                                                    <td>11</td>
                                                </tr>
                                                <tr>
                                                    <td>D6</td>
                                                    <td>12</td>
                                                </tr>
                                                <tr>
                                                    <td>D7</td>
                                                    <td>17</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    
                    <div class="row">
                        <div class="col-lg-4 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Top 5 States</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="top5_states"></canvas>
                                    <!-- View More Link -->
                                    <div class="text-right">
                                        <a href="top5_states.php" class="btn btn-link">View More</a>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-4 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Top 5 Cities</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="top5_cities"></canvas>
                                    <!-- View More Link -->
                                    <div class="text-right">
                                        <a href="top5_cities.php" class="btn btn-link">View More</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <div class="col-lg-4 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Top 5 Qualifications</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="top5_qualifications"></canvas>
                                    <!-- View More Link -->
                                    <div class="text-right">
                                        <a href="top5_qualifications.php" class="btn btn-link">View More</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Gender Ratio</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="gender_ratio"></canvas>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title">Top 5 Source</h4>
                                        <div class="card-controls">
                                            <button class="btn-maximize">⤢</button>
                                        </div>
                                    </div>
                                    <canvas id="top5_source"></canvas>
                                    <!-- View More Link -->
                                    <div class="text-right">
                                        <a href="top5_source.php" class="btn btn-link">View More</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                        <!-- Maximized Card Container -->
                        <div id="maximized-card-container" class="maximized-card-container d-none">
                            <div class="maximized-card">
                                <div class="card-body">
                                    <div class="card-title-container">
                                        <h4 class="card-title" id="maximized-card-title"></h4>
                                        <div class="card-controls">
                                            <button class="btn-close">✕</button>
                                        </div> 
                                    </div>
                                    <canvas id="maximized-chart"></canvas>
                                </div>
                            </div>
                        </div>

                </div>
            <!-- </div> -->
        </div>
    </div>

    <!-- Script -->
    <script type="text/javascript" src="../JeevitamV2/js/jquery/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chartjs-plugin-datalabels"></script>

    <script src="js/data_categorization.js"></script>

</body>
</html>
