<?php
session_start();
require_once '../utils/Session.php';
require_once '../utils/Utils.php';
require_once '../controller/CampusController.php';

$username = filter_input(INPUT_POST, "username");
$password = filter_input(INPUT_POST, "password");

$campusController = new CampusController();
$results = $campusController->campusLogin($username, $password);
$results_decode = json_decode($results,true);

if ($results_decode['result'] === 'success') {
    $_SESSION['user_id'] = $results_decode['user_id'];
    $_SESSION['user_type'] = $results_decode['user_type'];
    $_SESSION['campus_name'] = $results_decode['campus_name'];
    $_SESSION['logo_url'] = $results_decode['logo_url'];
}

echo $results;
