<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


function getMinusMonth($date, $minus) {
    $minusMonth = "-" . $minus . " " . "month";
    $current_date = date("Y-m-d");

    $final_date = date("Y-m-d", strtotime($current_date . $minusMonth));

    return $final_date;
}

function getCurrentTime() {
    date_default_timezone_set('Asia/Kolkata');
    $now = new DateTime();
    $current = $now->format('Y-m-d H:i:s');
    return $current;
}


function getCurrentYear() {
    date_default_timezone_set('Asia/Kolkata');
    $now = new DateTime();
    $current = $now->format('Y');
    return $current;
}

function getCurrentDate() {
    date_default_timezone_set('Asia/Kolkata');
    $now = new DateTime();
    $current = $now->format('Y-m-d');
    return $current;
}

function generateAlphanemuric() {
    $characters = 'abcdefghijklmnopqrstuvwxyz0123456789';
    $random_string_length = 1;
    $string = '';
    $max = strlen($characters) - 1;
    for ($i = 0; $i < $random_string_length; $i++) {
        $string .= $characters[mt_rand(0, $max)];
    }
    return $string;
}

function validateSession($user_id, $sessionhash) {

    $db = getDb();
    $stmt = $db->prepare("SELECT hash FROM users WHERE user_id=:user_id");
    $stmt->bindValue(':user_id', $user_id, PDO::PARAM_STR);
    $crud = new Crud();
    $row = $crud->getByCondition($stmt);
    extract($row);
    closeDb();

    if (strcmp($hash, $sessionhash) == 0) {
        return 1;
    } else {
        return 0;
    }
}




function getYearDifference($date1, $date2) {

    $start = date_create($date1);
    $end = date_create($date2);
    $diff = date_diff($start, $end);
    return $diff->y;
}



?>
