<?php

session_start();

$user_id = '3';

// if (!(isset($_SESSION['userId']))) {
//     header("Location: index.php");
// } else {
//     $user_id = $_SESSION['userId'];
// }

$randStr = rand();

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Create Campus</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" >
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!--Modal-->
    <!-- <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">-->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>

    <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

</head>
<style>
    .error-border {
        border: 1px solid red;
    }
</style>
<body>

    <div class="container-scroller">

        <div class="row col-md-12" style="margin-bottom:0px;">
            <?php include 'includes/header.php'; ?>
        </div>

        <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
            <!-- partial:partials/_settings-panel.html -->

            <div id="right-sidebar" class="settings-panel">
                <i class="settings-close typcn typcn-times"></i>
                <ul class="nav nav-tabs" id="setting-panel" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>
                    </li>
                </ul>
                <div class="tab-content" id="setting-content">

                </div>
            </div>
            <!-- partial -->
            <!-- partial:partials/_sidebar.html -->
            <?php include 'includes/sidebar.php'; ?>
            <?php include 'includes/modal_basic_01.php'; ?>
            <!-- partial -->

            <div class="main-panel">

                <div class="content-wrapper">

                    <center>

                        <div class="row" style="text-align: center; vertical-align: middle; margin:10px;">

                            <div class="label_white card">
                                <label style="margin:3px;">Campus</label>
                            </div>
                            <div class="label_00">
                                <label style="margin:3px;"> -> </label>
                            </div>
                            <div class="label_white card">
                                <label style="margin:3px;">Create Campus</label>
                            </div>

                        </div>

                    </center>

                    <div class="row" style="margin-top:10px; margin-bottom:10px;">
                        <div class="col-12 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="card-title">Campus Details</h4>
                                    <!-- <form class="form-horizontal"> -->
                                        <div class="form-group row">
                                            <label for="campus_name" class="col-sm-3 col-form-label">Campus Name</label>
                                            <div class="col-sm-9">
                                                <input type="text" class="form-control" id="campus_name" name="campus_name" placeholder="Campus Name">
                                                <span style="color: red;font-size:13px;margin-left:15px" id="err_campus_name"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label for="upload_file" class="col-sm-3 col-form-label">Logo</label>
                                            <div class="col-sm-9">
                                                <input type="file" class="form-control" id="upload_file" name="upload_file" placeholder="Upload File">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label for="address" class="col-sm-3 col-form-label">Address</label>
                                            <div class="col-sm-9">
                                                <input type="text" class="form-control" id="address" name="address" placeholder="Address">
                                                <span style="color: red;font-size:13px;margin-left:15px" id="err_address"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label for="contact_person" class="col-sm-3 col-form-label">Contact Person</label>
                                            <div class="col-sm-9">
                                                <input type="text" class="form-control" id="contact_person" name="contact_person" placeholder="Contact Person">
                                                <span style="color: red;font-size:13px;margin-left:15px" id="err_contact_person"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label for="contact_number" class="col-sm-3 col-form-label">Contact Number</label>
                                            <div class="col-sm-9">
                                                <input type="number" class="form-control" id="contact_number" name="contact_number" placeholder="Contact Number">
                                                <span style="color: red;font-size:13px;margin-left:15px" id="err_contact_number"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label for="email_id" class="col-sm-3 col-form-label">Email</label>
                                            <div class="col-sm-9">
                                                <input type="text" class="form-control" id="email_id" name="email_id" placeholder="Email">
                                                <span style="color: red;font-size:13px;margin-left:15px" id="err_email_id"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label for="password" class="col-sm-3 col-form-label">Password</label>
                                            <div class="col-sm-6">
                                                <input type="text" class="form-control" id="password" name="password" placeholder="Password">
                                                <span style="color: red;font-size:13px;margin-left:15px" id="err_password"></span>
                                            </div>
                                            <div class="col-sm-3">
                                                <button type="button" id="generate" class="btn btn-primary mr-2">Generate</button>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label for="streams" class="col-sm-3 col-form-label">Streams</label>
                                            <div class="col-sm-9">
                                                <select class="form-control" id="streams" name="streams">
                                                    <option value="">Select</option>
                                                    <option value="IT">IT</option>
                                                    <option value="NON_IT">Non IT</option>
                                                </select>
                                                <span style="color: red;font-size:13px;margin-left:15px" id="err_streams"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label for="no_of_students" class="col-sm-3 col-form-label">Total Number of Students for Placement</label>
                                            <div class="col-sm-9">
                                                <input type="number" class="form-control" id="no_of_students" name="no_of_students" placeholder="Enter Number of Students">
                                                <span style="color: red;font-size:13px;margin-left:15px" id="err_no_of_students"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label for="from_date" class="col-sm-3 col-form-label">Exam Schedule From Date</label>
                                            <div class="col-sm-9">
                                                <input type="date" class="form-control" id="from_date" name="from_date">
                                                <span style="color: red;font-size:13px;margin-left:15px" id="err_from_date"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label for="to_date" class="col-sm-3 col-form-label">Exam Schedule To Date</label>
                                            <div class="col-sm-9">
                                                <input type="date" class="form-control" id="to_date" name="to_date">
                                                <span style="color: red;font-size:13px;margin-left:15px" id="err_to_date"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <div class="col-sm-9 offset-sm-3">
                                                <button type="submit" id="btn_register" class="btn btn-primary mr-2">Submit</button>
                                            </div>
                                        </div>
                                    <!-- </form> -->
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- content-wrapper ends -->

                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->

    <!-- base:js -->
    <script src="../JeevitamV2/vendors/js/vendor.bundle.base.js"></script>
    <!-- endinject -->
    <!-- Plugin js for this page-->
    <script src="../JeevitamV2/vendors/chart.js/Chart.min.js"></script>
    <!-- End plugin js for this page-->
    <!-- inject:js -->
    <script src="../JeevitamV2/js/off-canvas.js"></script>
    <script src="../JeevitamV2/js/hoverable-collapse.js"></script>
    <script src="../JeevitamV2/js/template.js"></script>
    <script src="../JeevitamV2/js/settings.js"></script>
    <script src="../JeevitamV2/js/todolist.js"></script>
    <!-- endinject -->

    <!-- plugin js for this page -->
    <script src="../JeevitamV2/vendors/typeahead.js/typeahead.bundle.min.js"></script>
    <script src="../JeevitamV2/vendors/select2/select2.min.js"></script>
    <!-- End plugin js for this page -->
    <!-- Custom js for this page-->
    <script src="../JeevitamV2/js/file-upload.js"></script>
    <script src="../JeevitamV2/js/typeahead.js"></script>
    <script src="../JeevitamV2/js/select2.js"></script>
    <!-- End custom js for this page-->

    <!-- START PLUGINS -->
    <script type="text/javascript" src="../JeevitamV2/js/jquery/jquery.min.js"></script>
    <script type="text/javascript" src="../JeevitamV2/js/jquery/jquery-ui.min.js"></script>
    <script type="text/javascript" src="../JeevitamV2/js/bootstrap/bootstrap.min.js"></script>
    <script type="text/javascript" src="../JeevitamV2/js/plugins.js"></script>
    <script type="text/javascript" src="../JeevitamV2/js/actions.js"></script>
    <!-- END PLUGINS -->

    <!-- Javascript Variables -->
    <script type="text/javascript">
        var val_user_id = '<?php echo $user_id; ?>';
    </script>

    <!-- Javascript Function -->
    <script type="text/javascript">
        $('#btn_signout').click(function() {
            window.open('signout.php', '_self');
        });
    </script>

    <!-- Custom js for this page-->
    <script src="js/create_campus.js?randStr=<?php echo $randStr; ?>"></script>
    <script type="text/javascript" src="js/sidebar.js?randStr=<?php echo $randStr; ?>"></script>
    <!-- End custom js for this page-->
</body>

</html>
