
$(document).ready(function () {
    
    var modal = document.getElementById('myModal');
    var span = document.getElementsByClassName("close")[0];
    span.onclick = function () {
        modal.style.display = "none";
    };

    $("#cancel").click(function () {
        var modal = document.getElementById('myModal');
        modal.style.display = "none";
    });
    
    var item_per_page = 10;
    $.ajax({
        type: "GET",
        url: "../campus_api/api/get_campus_count.php",
        data: {},
        dataType: 'json',
        success: function (data) {
            var totalrecords = data;
            if (totalrecords === 0) {
                alert("No Data Found");
                $('#result').html("");
                // $("#total").show();
                // $("#total_leads").html(totalrecords);
            } else {
                // $("#total").show();
                // $("#total_leads").html(totalrecords);
                var total = Math.ceil((totalrecords / item_per_page));
                getData(10, 0, total);
                $(".pagination").bootpag({
                    total: total,
                    page: 1,
                    maxVisible: item_per_page
                }).on("page", function (e, num) {
                    e.preventDefault();
                    var page = num - 1;
                    getData(10, page, total);
                });
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
            alert("ERROR:" + xhr.responseText + " - " + thrownError);
        }
    });

    $(document).on('change', '.password_class', function () {
        const isChecked = $(this).is(':checked');
        // const checkboxId = $(this).attr('id');
        const checkboxId = $(this).val();
        if (isChecked) {
            createModal(checkboxId);
            var modal = document.getElementById('myModal');
            modal.style.display = "block";
            $("#submit_mod_"+ checkboxId).click(function(){
            var code = $("#mod_code_"+ checkboxId).val();
            if (code === '') {
                $("#mod_code_"+ checkboxId).css('border-color', 'red');
                $('#err_mod_code_'+ checkboxId).html('This Field is Mandatory');
                $("#pass_" + checkboxId).attr('type', 'password');
            } else if (code !== '3148') {
                console.log(code);
                $("#mod_code_"+ checkboxId).css('border-color', 'red');
                $('#err_mod_code_'+ checkboxId).html('Incorrect Code');
                $("#pass_" + checkboxId).attr('type', 'password');
            }else{
                $("#mod_code_"+ checkboxId).css('border-color', 'green');
                $('#err_mod_code_'+ checkboxId).html('');
                // $('.help-block').html('Validated');
                modal.style.display = "none";
                // $("#mod_code").val("");
                // $('.help-block').html('');
                // $("#mod_code").css('border-color', 'black');
                $("#pass_" + checkboxId).attr('type', 'text');
            }
    });
            // let check = confirmCode();
            // if (check === true) {
            //     console.log("In main if:"+check);
            //     $("#pass_" + checkboxId).attr('type', 'text');
            // } else {
            //     console.log("In main else:"+check);
            //     $("#pass_" + checkboxId).attr('type', 'password');
            // }
        } else {
            $("#pass_" + checkboxId).attr('type', 'password');
        }
    });
    
    

});

function getData(item_per_page, page, lastpage) {

    var start_offset;
    var pages = parseInt(page);
    if (pages === 0) {
        start_offset = 0;
    } else if (pages > 0) {
        start_offset = (pages * item_per_page);
    }

    $.ajax({
        type: "POST",
        url: "../campus_api/api/get_campus_details.php?offset=" + start_offset,
        dataType: 'json',
        data: {},
        success: function (response) {

            var transactions = response.list;
            // console.log(transactions);
            var option = '';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<tr>';
                    option += '<td>' + transactions[j].id + '</td>';
                    option += '<td>' + transactions[j].campus_name + '</td>';
                    option += '<td>' + transactions[j].username + '</td>';
                    // option += '<td> <input type="password" id="pass_"'+j+' value="'+ transactions[j].old_pass + '"></td>';
                    option += `<td> <input type="password" class="form-control" id="pass_${j}" value="${transactions[j].old_pass}">
                    <label class="form-check-label" style="margin-top:15px;margin-left:20px">
                          <input class="form-check-input password_class" name="show_password" type="checkbox" value=${j}>Show Password
                        </label></td>`;
                    // option += '<td><button style="padding:10px; background-color:#30BAA3;" class="col-md-12 btn btn-info btn-sm btn-icon-text" onclick="updateStatus(\'' + transactions[j].id + '\',\'' + page + '\');" >Update</button></td>';
                    option += '</tr>';
                }
            }
            $('#table_body').html(option);
        }
    });

}

function createModal(checkboxId) {
    var mod_content = '';
    mod_content += '<div class="row" style="padding: 35px;"><div class="col-md-1"></div><div class="col-md-10"><div class="form-group">';
    mod_content += '<label class="col-md-4 control-label">Enter Code:</label><div class="col-md-8">';
    mod_content += '<input type="number" class="form-control" id="mod_code_'+checkboxId+'" name="mod_code_'+checkboxId+'">';
    mod_content += '<span class="help-block_'+checkboxId+'" style="color: green"></span>';
    mod_content += '<span id="err_mod_code_'+checkboxId+'" style="color: red"></span></div></div></div><div class="col-md-1"></div></div>';
    mod_content += '<hr style="margin-top: 5px;border: .5px solid black;width: 100%;" >';
    mod_content += '<div class="row"><div class="col-md-12" style="text-align: right">';
    mod_content += '<button style="margin-top: 20px" class="btn btn-primary"  type="submit" id="submit_mod_'+checkboxId+'" name="submit_mod_'+checkboxId+'">Submit</button>';
    // mod_content += '<button style="margin-top: 20px:margin-left: 10px" class="btn btn-primary"  type="submit" id="cancel_'+checkboxId+'" name="cancel_'+checkboxId+'">Close</button>';
    mod_content += '</div></div>';
    
    $("#dynamic_div").html(mod_content);
}
// async function confirmCode() {
 function confirmCode() {
    var code_status = '';
    // const verify  = await Swal.fire({
    const verify = Swal.fire({
        title: "Verify Code",
        html: `
      <tr class="col-md-12">
      <td class="col-md-3" style="text-align:left;">Enter Code</td>
          <td class="col-md-1"> : </td>
          <td class="col-md-8" style="text-align:left;">
          <input class="col-md-12 form-group" id="code" type="text" style="margin:0px; border: 2px solid #969696; border-radius: 2px; background:#ffffff; color:black; padding:5px;" placeholder="" value=""/>
          </td></tr>`,
        showCancelButton: true,
        confirmButtonColor: "#30BAA3",
        confirmButtonText: "Send",
        
    }).then((result) => {
        alert(result);
        console.log(result);
        if (result.isConfirmed) {
            var code = $("#code").val();
            if (code === '3148') {
                code_status = true;
                // console.log(code_status);
                // return code_status;
            } else {
                code_status = false;
                // console.log(code_status);
                // return code_status;
            }
        }
    });
    console.log(code_status);
    return code_status;
}