<?php

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>View Job List</title>
    <!-- base:css -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png" >
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">
    <!-- endinject -->
    <!--SweetAlert-->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
  
</head>
<style>
    body {
        background-color: lavender;
    }
    .form-control.dark-border {
        border: 1px solid #343a40; /* Darker border color */
    } 
</style>
<body>
    <div class="container-scroller">

      <div class="row col-md-12" style="margin-bottom:0px;">
          <?php include 'includes/header.php'; ?>
      </div>

      <div class="container-fluid position-sticky page-body-wrapper" style="margin-top:0px;">
           <!-- partial:partials/_settings-panel.html -->

            <div id="right-sidebar" class="settings-panel">
                <i class="settings-close typcn typcn-times"></i>
                <ul class="nav nav-tabs" id="setting-panel" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab" aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab" aria-controls="chats-section">CHATS</a>
                    </li>
                </ul>
                <div class="tab-content" id="setting-content">

                </div>
            </div>
        <!-- partial -->
            <!-- partial:partials/_sidebar.html -->
            <?php include 'includes/sidebar.php'; ?>
            <?php include 'includes/modal_basic_01.php'; ?>
            <!-- partial -->
        <div class="main-panel">

            <!-- Content Wrapper. Contains page content -->
            <div class="content-wrapper">
                    <!-- Content Header (Page header) -->
                    <section class="content-header">
                        <h5>
                            View/Modify Jobs list
                        </h5>
                    </section>

                <!-- Main content -->
                <section class="content">
                    <!-- <div class="panel-body"> -->
                    <div class="col-12 grid-margin stretch-card">
                    <div class="card">
                        
                        <div class="row">
                        
                            <div class="col-md-12">
                            
                                <div class="col-md-12"><br>   
                                <div class="col-md-12">
                                        <label class="control-label">Select Category</label>
                                        <label><p style="color: red">* </p></label> 
                                        <span style="margin-left:10px;font-weight:bold;color:red"></span>
                                        <div class="col-md-6">
                                            <select class="form-control dark-border" id="category" name="category">
                                                <option value="" disabled selected>Select Category</option>
                                                <option value="EDUNET">EDUNET</option>
                                                <option value="AIF">AIF</option>
                                                <option value="REACHA">REACHA</option>
                                                <option value="CSR BOX">CSR BOX</option>
                                                <option value="TNSDC & AICTE">TNSDC & AICTE</option>
                                                <option value="PRATHAM">PRATHAM</option>
                                                <option value="SAMHITA">SAMHITA</option>
                                                <option value="ANUDIP">ANUDIP</option>
                                                <option value="JEEVITAM - Inbound">JEEVITAM - Inbound</option>
                                                <option value="campus_connect_jeevitam_1">campus_connect_jeevitam_1</option>
                                                <option value="campus_connect_jeevitam_2">campus_connect_jeevitam_2</option>
                                                <option value="campus_connect_reacha">campus_connect_reacha</option>
                                                <option value="campus_connect_anudip">campus_connect_anudip</option>
                                                <option value="campus_connect_csrbox">campus_connect_csrbox</option>
                                            </select>
                                        </div>
                                        
                                        <div class="col-md-12">
                                            <div class="form-group">	
                                            </div>
                                        </div>
                                        
                                        <div class="row">
                                            <div class="col-md-6">
                                                <input type="button" class="btn btn-primary" id="btn_upload_file" name="btn_upload_file" value="Upload Jobs List">
                                                <a href="https://jeevitam.com/DTTurboHire/api/job_applications/Sample_data_format_Upload_Jobs_List.xlsx">Download Sample Format</a>
                                            </div>
                                            <div class="col-md-4 text-right">
                                                <input type="button" class="btn btn-primary" id="btn_reset" name="btn_reset" value="Reset Jobs List">
                                            </div>
                                        </div>


                                    <div class="col-md-12">
									
                                        <div class="col-md-6" style="padding:10px; margin-left:10px;">
                                            <label id="lbl_count"></label>
                                        </div>
                                
                                    </div>
                                
                                    <div class="col-md-12">
                                        <div class="form-group">	
                                        </div>
                                    </div>
                                    
                                </div> 
                                <div class="table-responsive pt-3">
                                  <table class="table table-striped">
                                    <thead id="thead">
                                        <tr>
                                            <th style="text-align: center; vertical-align: middle;" >Job Id</th>
                                            <th style="text-align: center; vertical-align: middle;" >Company Name</th>
                                            <th style="text-align: center; vertical-align: middle;" >Functional Role</th>
                                            <th style="text-align: center; vertical-align: middle;" >Job Description</th>
                                            <th style="text-align: center; vertical-align: middle;" >View Details</th>
                                        </tr>
                                    </thead>
                                    <tbody id="result">
                                    </tbody>
                                  </table>
                                </div>

                                <!-- <center><div id="myModal" class="modal1">
									<div class="loader"></div>
									<h2>Processing....</h2>
								</div></center> -->
                                            
                                <div id="modal_upload_file" class="message-box modal">

                                    <div class="modal-dialog modal-dialog-centered">

                                        <div class="modal-content" style="padding:15px;">
                                            <span id="today" style="font-size: 20px;font-weight:bold">Upload JOBS LIST Excel File</span>

                                            <hr style="margin-top: 5px;border: .5px solid black;width: 100%;">

                                            <div class="row">
                                                <div class="col-md-1"></div>
                                                  <div class="col-md-10">

                                                  <div class="row" border="2" border-color="black" style="padding: 10px;margin-top: 30px;background: white;">

                                                        <div class="col-md-12">

                                                            <div class="col-md-12">
                                                            
                                                                <label>Category : </label>
                                                                <label id="lbl_category" style="color:blue; font-weight:bold;"></label>
                                                            
                                                            </div>
                                                        
                                                            <div class="form-group">
                                                                <label class="col-md-12 control-label"><em style="color: red">* </em>Kindly upload the jobs list file : </label>
                                                                <div class="col-md-12">                                                                                            
                                                                    
                                                                    <input class="form-control required" type="file" id="upload_jobs_list" name="upload_jobs_list[]" value="Upload Jobs">

                                                                </div>
                                                            </div>
                                                  </div>
                                                </div> 
                                            </div>
                                            <div class="col-md-1"></div>
                                        </div>
                                        <hr style="margin-top: 5px;border: .5px solid black;width: 100%;">
											<div class="row">
												<div class="col-md-12" style="text-align: right">
													<input type="button" style="margin-top: 20px" class="btn btn-primary" id="btn_upload_jobs_list" name="btn_upload_jobs_list" value="Upload" onclick="uploadJobsListFile()">
													<input type="button" style="margin-top: 20px; background-color:red;" class="btn btn-primary"  id="close_modal_upload_file" name="close_modal_upload_file" value="Close">
												</div>
											</div>
                                    
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>

                <!-- MODAL : 2 (UPLOAD FILE RESULT) -->
                    <div class="message-box modal" id="modal_prompt_01" data-bs-backdrop="static" data-bs-keyboard="false" >
                        <div class="modal-dialog modal-dialog-centered">
                        <div class="modal-content">
                        
                            <!-- Modal body -->
                            <div class="modal-body">
                            
                                <div class="col-md-12">
                                    <center>
                                        <b><label id="lbl_modal_prompt_01" style="font-size:18px;"></label></b>
                                    </center>
                                </div>
                                
                                <div hidden id="div_upload_summary_respone" class="col-md-12">
                                
                                    <div class="col-md-12">
                                        <center>
                                            <label>Success : </label>
                                            <label id="lbl_mp1_success" style="font-size:15px;"></label>
                                        </center>
                                    </div>
                                    <div class="col-md-12">
                                        <center>
                                            <label>Failure : </label>
                                            <label id="lbl_mp1_failure" style="font-size:15px;"></label>
                                        </center>
                                    </div>
                                    
                                </div>
                            
                            </div>
                                            
                            <!-- Modal footer -->
                            <div class="modal-footer" id="footer_modal_prompt_01">
                            </div>
                            
                        </div>
                        </div>
                    </div>
                    
                    <!-- MODAL : 3 (RESET JOBS LIST) -->
                    <div class="message-box modal" id="modal_reset" data-bs-backdrop="static" data-bs-keyboard="false" >
                        <div class="modal-dialog modal-dialog-centered">
                        <div class="modal-content">
                        
                            <!-- Modal body -->
                            <div class="modal-body">
                            
                                <div class="col-md-12">
                                    <center>
                                        <b><label id="lbl_modal_reset_01" style="font-size:18px;"></label></b>
                                    </center>
                                </div>
                                
                            </div>
                                            
                            <!-- Modal footer -->
                            <div class="modal-footer" id="footer_modal_prompt_01">
                                <button id="btn_proceed_reset" type="button" class="btn btn-primary" data-dismiss="modal">Proceed</button>
                                <button id="btn_cancel_reset" style="background-color:red" type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                            </div>
                            
                        </div>
                        </div>
                    </div>
                    
                </div>
                
        </div>
                </section>
                <!-- /.content -->
                
                <!-- END MAIN CONTENT -->
            </div>
            <!-- END MAIN -->
            <div class="clearfix"></div>

                </section>
            </div>
        </div>
      </div>
    </div>

<script src="../JeevitamV2/vendors/js/vendor.bundle.base.js"></script>
<script src="../JeevitamV2/vendors/typeahead.js/typeahead.bundle.min.js"></script>
<script src="../JeevitamV2/vendors/select2/select2.min.js"></script>
<script src="../JeevitamV2/js/typeahead.js"></script>
<script src="../JeevitamV2/js/select2.js"></script>

<!-- Javascript Function -->
<script type="text/javascript">
    $('#btn_signout').click(function() {
        window.open('signout.php', '_self');
    });
</script>
<!-- <script type="text/javascript" src="js/sidebar.js?randStr=<?php echo $randStr; ?>"></script> -->
<script src="js/view_modify_job_list.js?randStr=<?php echo $randStr; ?>"></script>
</body>
</html>
