<?php
session_start();

$cse_id = $_SESSION['cscid'];
$randStr = rand();
?>
<!DOCTYPE html>
<html lang="en">
    <head>        
        <!-- META SECTION -->
        <title>Attendance</title>            
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />

        <!-- END META SECTION -->

        <!-- CSS INCLUDE -->        
        <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
        <!-- EOF CSS INCLUDE -->   
        
		<script src="assets/chart/Chart.bundle.js"></script>
        <script src="assets/chart/Chart.bundle.min.js"></script>
        <script src="assets/chart/Chart.js"></script>
        <script src="assets/chart/Chart.min.js"></script>
        <script src="assets/chart/utils.js"></script>
    <style>
        .first_let {
         padding: 10px;
         color : #00008B;
         font-weight:bold;
         font-size: 16px;
         }
         table{
             width: 100%;
             /*background-color: #fff;*/
             /*padding : 10px;*/
         }
         
         table th {
  padding : 12px;
  text-align: left;
  background-color: #333369;
  font-size:14px;
  color:#fff;
  font-weight:bold
}

table td {
  text-align: left;
  padding : 12px;
  background-color: #F2F2F2;
  font-size:14px;
  color:#000;
  font-weight:bold
}
    </style>
    
    </head>
    <body>
        <!-- START PAGE CONTAINER -->
        <div class="page-container">

            <!-- START PAGE SIDEBAR -->
            <?php include 'includes/sidebar.php'; ?>
            <!-- END PAGE SIDEBAR -->

            <!-- PAGE CONTENT -->
            <div class="page-content">

                <!-- START X-NAVIGATION VERTICAL -->
                <?php include 'includes/header.php'; ?>
                <!-- END X-NAVIGATION VERTICAL -->                     

                <!-- START BREADCRUMB -->
                <ul class="breadcrumb">
                    <li>Home</li>                    
                    <li class="active">Attendance</li>                    
                    
                </ul>
                <!-- END BREADCRUMB -->  

                <!-- PAGE TITLE -->
                <div class="page-title">                    
                    <h2>Attendance</h2>
                </div>
                <!-- END PAGE TITLE -->  

                <!-- PAGE CONTENT WRAPPER -->
                <div class="page-content-wrap">

                    <!-- START WIDGETS -->                    
                    <div class="row">
                        <div class="col-md-12">
                             <div class="col-md-8">
                                 <div class="center" margin: auto>
						            <canvas id="attendance"></canvas>
					            </div>
                             </div>
                            <div class="col-md-4" align="center" style="margin-top:20px">
                        <div class="col-md-12 first_let" align="center">Total Attendance</div>
                        <img src="img/attendance.png" width="180" height="180">															
                     </div>
                        </div>
                        
                        <div class="col-md-12">
                            <div class="col-md-8" style="margin-top:20px;background-color: #fff;">
                              <table>
                                        <thead>
                                            <tr>
                                                <th>S.No</th>
                                                <th>Day</th>
                                                <th>From Date</th>
                                                <th>Duration</th>
                                                <th>Status</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>1</td>
                                                <td>Tuesday</td>
                                                <td>03-01-2022</td>
                                                <td>1 Day</td>
                                                <td>Present</td>
                                            </tr>
                                            <tr>
                                                <td>2</td>
                                                <td>Wednesday</td>
                                                <td>04-01-2022</td>
                                                <td>1 Day</td>
                                                <td>Absent</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                    </div>
                                    <div class="col-md-4"></div>
                        </div>
                        
                    </div>
                    <!-- END WIDGETS --> 
                </div>
                <!-- END PAGE CONTENT WRAPPER -->                                
            </div>            
            <!-- END PAGE CONTENT -->
        </div>
        <!-- END PAGE CONTAINER -->

        <!-- MESSAGE BOX-->
        <div class="message-box animated fadeIn" data-sound="alert" id="mb-signout">
            <div class="mb-container">
                <div class="mb-middle">
                    <div class="mb-title"><span class="fa fa-sign-out"></span> Log <strong>Out</strong> ?</div>
                    <div class="mb-content">
                        <p>Are you sure you want to log out?</p>                    
                        <p>Press No if youwant to continue work. Press Yes to logout current user.</p>
                    </div>
                    <div class="mb-footer">
                        <div class="pull-right">
                            <button id="logout_yes" class="btn btn-success btn-lg">Yes</button>
                            <button class="btn btn-default btn-lg mb-control-close">No</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END MESSAGE BOX-->

              
                          <!-- START PRELOADS -->
            <!--<audio id="audio-alert" src="audio/alert.mp3" preload="auto"></audio>-->
            <!--<audio id="audio-fail" src="audio/fail.mp3" preload="auto"></audio>-->
            <!-- END PRELOADS -->                    

        <!-- START SCRIPTS -->
        <!-- START PLUGINS -->
           <script type="text/javascript" src="js/jquery/jquery.min.js"></script>
            <script type="text/javascript" src="js/jquery/jquery-ui.min.js"></script>
            <script type="text/javascript" src="js/bootstrap/bootstrap.min.js"></script>   
        
            <script type="text/javascript" src="js/plugins.js"></script>
            <script type="text/javascript" src="js/actions.js"></script>
        <!-- END PLUGINS -->

        <!-- START THIS PAGE PLUGINS-->     
  
        <!-- END THIS PAGE PLUGINS-->        

        <!-- START TEMPLATE -->

        

            <script type="text/javascript">var cscId = '<?php echo $cse_id; ?>';</script>
        <script type="text/javascript" src="js/attendence.js?randStr=<?php echo $randStr; ?>"></script>
        <!-- END TEMPLATE -->
        <!-- END SCRIPTS -->         
    </body>
</html>






