<?php
session_start();

$time = array("01:00 am", "01:30 am", "02:00 am", "02:30 am", "03:00 am", "03:30 am", "04:00 am", "04:30 am", "05:00 am", "05:30 am", "06:00 am", "06:30 am", "07:00 am", "07:30 am", "08:00 am", "08:30 am", "09:00 am", "09:30 am", "10:00 am", "10:30 am", "11:00 am", "11:30 am", "12:00 pm", "12:30 pm", "1:00 pm", "1:30 pm", "2:00 pm", "2:30 pm", "3:00 pm", "3:30 pm", "4:00 pm", "4:30 pm", "5:00 pm", "5:30 pm", "6:00 pm", "6:30 pm", "7:00 pm", "7:30 pm", "8:00 pm", "8:30 pm", "9:00 pm", "9:30 pm", "10:00 pm", "10:30 pm", "11:00 pm", "11:30 pm");

$user_id = $_SESSION['user_id'];
$id = $_SESSION['id'];

?>

<!DOCTYPE html>
<html lang="en">
    <head>        
        <!-- META SECTION -->
        <title>Create Training Program</title>            
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />

        <link rel="icon" href="logo-web.jpg" type="image/x-icon" />
        <!-- END META SECTION -->

        <!-- CSS INCLUDE -->        
        <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
        <!-- EOF CSS INCLUDE -->          

        <link rel="stylesheet" href="bower_components/bootstrap-multiselect/dist/css/bootstrap-multiselect.css" type="text/css"/>
        <style>
        .loader{
                border: 10px solid #f3f3f3;
                border-radius: 90%;
                border-top: 10px solid #3498db;
                width: 50px;
                height: 50px;
                -webkit-animation: spin 2s linear infinite; /* Safari */
                animation: spin 2s linear infinite;


                /*margin: 130px;*/
            }


            @keyframes spin {
                0% { transform: rotate(0deg); }
                100% { transform: rotate(360deg); }
            }

            .modal1 {
                display: none; /* Hidden by default */
                position: fixed; /* Stay in place */
                z-index: 1; /* Sit on top */
                padding-top: 150px; /* Location of the box */
                left: 0;
                top: 0;
                width: 100%; /* Full width */
                height: 100%; /* Full height */
                overflow: auto; /* Enable scroll if needed */
                /*background-color: rgb(0,0,0);*/  
                background-color: rgba(0,0,0,0.4);  
            }
            .modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    padding-top: 20px;
    /* Location of the box*/
    left: 0;
    top: 0px;
    width: 100%;
    /* Full width */
    /*min-width: 350px;*/
    height: 100%;
    /* Full height */
    overflow: auto;
    /*Enable scroll if needed*/
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4);
    /* Black w/ opacity */
}
            
            /* Modal Content */

.modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 45%;
}

.close:focus {
    text-decoration: none;
    cursor: pointer;
}

.close:hover {
    color: #6f6f6f;
    font-weight: bold;
}
        

</style>
    </head>
    <body>
        <!-- START PAGE CONTAINER -->
        <div class="page-container">

            <!-- START PAGE SIDEBAR -->
            <?php include 'includes/sidebar.php'; ?>
            <!-- END PAGE SIDEBAR -->

            <!-- PAGE CONTENT -->
            <div class="page-content">

                <!-- START X-NAVIGATION VERTICAL -->
                <?php include 'includes/header.php'; ?>
                <!-- END X-NAVIGATION VERTICAL -->                   

                <!-- START BREADCRUMB -->
                <ul class="breadcrumb">
                    <li><a href="dashboard.php">Home</a></li>
                    <li class="active">Create Training Program</li>
                </ul>
                <!-- END BREADCRUMB -->

                <!-- PAGE CONTENT WRAPPER -->
                <div class="page-content-wrap">

                    <div class="row">
                        <div class="col-md-12">

                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h1  style="font-size: 20px; font-weight: bold; padding: 5px;">Create Training Program</h1>
                                        <ul class="panel-controls">
                                        </ul>
                                    </div>
                                    <div class="panel-body">                                                                        

                                        <div class="row">
                                            <div class="col-md-2"></div>
                                            <div class="col-md-8">
                                                
                                            <input type="hidden" required id="user_id" name="user_id" value="<?php echo $_SESSION['id']; ?>" class="form-control">   
                                                <div class="form-group">
                                                    <label class="col-md-4 control-label">Training Program Name :</label>
                                                    <div class="col-md-8"> 
                                                            <input type="text" required id="program_name" name="program_name" class="form-control">
                                                        <!--</div>-->
                                                        <span class="help-block">Enter Training Program Name : <span style="color: red;" id="err_program_name"></span></span>

                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-md-4 control-label">Description :</label>
                                                    <div class="col-md-8"> 
														<textarea id="description"  required name="description" class="form-control"></textarea>
                                                        <span class="help-block">Enter description <span style="color: red;" id="err_description"></span></span>
                                                    </div>
                                                </div>
                                                
												<div class="form-group">
                                                    <label class="col-md-4 control-label">Start Date :</label>
                                                    <div class="col-md-8">
														<input type="date" id="start" required name="start" class="form-control">
                                                        <span class="help-block">Enter from date <span style="color: red;" id="err_start"></span></span>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-md-4 control-label">End Date :</label>
                                                    <div class="col-md-8">
														<input type="date" id="end" required name="end" class="form-control">
                                                        <span class="help-block">Enter to date <span style="color: red;" id="err_end"></span></span>

                                                    </div>
                                                </div>

                                                <div class="form-group">
                                                    <label class="col-md-4 control-label"> From Time:</label>
                                                    <div class="col-md-8">
                                                        <select class="form-control"  id="from_time" name="from_time">
                                                            <option value="">Select from time</option>
                                                            <?php
                                                            foreach ($time as $t) {
                                                                if ($t == $p_time_from)
                                                                    echo "<option selected value='$t'>$t</option>";
                                                                else
                                                                    echo "<option value='$t'>$t</option>";
                                                            }
                                                            ?>
                                                        </select>
                                                        <span class="help-block">Select  from time <span style="color: red;" id="err_from_time"></span></span>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-md-4 control-label"> To Time:</label>
                                                    <div class="col-md-8">
                                                        <select class="form-control" id="to_time" name="to_time">
                                                            <option value="">Select to time</option>
                                                            <?php
                                                            foreach ($time as $t) {
                                                                if ($t == $p_time_from)
                                                                    echo "<option selected value='$t'>$t</option>";
                                                                else
                                                                    echo "<option value='$t'>$t</option>";
                                                            }
                                                            ?>
                                                        </select>
                                                        <span class="help-block">Select to time <span style="color: red;" id="err_to_time"></span></span>
                                                    </div>
                                                </div>
												
												<div class="form-group">
                                                    <label class="col-md-4 control-label">Select State :</label>
                                                    <div class="col-md-8"> 
                                                    <select id="state" name="category" required class="form-control">
														<option value="select_state" selected>Select State</option>
													</select>
                                                        <span class="help-block">Select State <span style="color: red;" id="err_category"></span></span>
                                                    </div>
                                                </div>
												
												<div class="form-group">
                                                    <label class="col-md-4 control-label">City / District / Town :</label>
                                                    <div class="col-md-8"> 
														<input type="text" required id="city_district_town" name="city_district_town" class="form-control">
                                                        <span class="help-block">Enter City / District / Town : <span style="color: red;" id="err_session_name"></span></span>
                                                    </div>
                                                </div>
									
                                                <div class="form-group">
                                                    <label class="col-md-4 control-label">Online Meeting Platform (gmeet , zoom, webx and etc) :</label>
                                                    <div class="col-md-8">
														<input type="text" id="online_meeting_platform" name="online_meeting_platform" class="form-control">
                                                        <span class="help-block">Enter Online Meeting Platform <span style="color: red;" id="err_online_meeting_platform"></span></span>
                                                    </div>
                                                </div>

                                                <div class="form-group">
                                                    <label class="col-md-4 control-label">Online Meeting Link  :</label>
                                                    <div class="col-md-8">
														<input type="text" id="online_meeting_url" name="online_meeting_url" class="form-control">
                                                        <span class="help-block">Enter link (ex. https://meet.google.com/abc-abcd-abc) <span style="color: red;" id="err_online_meeting_url"></span></span>
                                                    </div>
                                                </div>
                                                
                                                </div>

                                            </div>
                                            <div class="col-md-2"></div>
                                        </div>

                                    </div>
                                    <div class="panel-footer">
                                        <center><button type="button" class="btn btn-primary" name="submit" id="submit">Submit</button></center>
                                    </div>
                                </div>
                            <!--</form>-->

                        </div>
                    </div>                    

                </div>
                <!-- END PAGE CONTENT WRAPPER -->                                                
            </div> 
            <!-- Modal content -->
            <div id="myModal" class="modal">

                <div class="modal-content">
                    <span id="today" style="font-size: 20px;font-weight: bold;">Kindly Select Topic for Feedback questions for this training session</span>
                    <!--<span class="close" style="float: right; color: black;font-size: 25px;font-weight: bold;">&times;</span>-->
                    <hr style="margin-top: 5px;border: .5px solid black;width: 100%;" >
                    <div class="row" style="padding: 15px;">
                        <!--<div class="row" style="padding: 15px;border:2px solid #F0FFF0">-->
                        <div class="col-md-12">
                            <div id="dynamic_topics"></div>
                            
                            
                        </div>
                       
                        
                    </div>
                   
                    <hr style="margin-top: 5px;border: .5px solid black;width: 100%;" >
                    
                    <div class="row">
                        <div class="col-md-12" style="text-align: right">
                            <button style="margin-top: 20px" class="btn btn-primary"  type="button" id="update" name="update">Submit</button>
                            <button style="margin-top: 20px" class="btn btn-primary"  type="button" id="cancel" name="cancel">Close</button>
                        </div>
                    </div>

                </div>

            </div>
            <!-- End Modal Content -->
            <div id="myModal_id" class="modal1">
                                        <div style="margin-left:600px; margin-top: 130px;" class="loader"></div>
                                        <h2 style="margin-left:550px;">Processing....</h2>
                                    </div>
            <!-- END PAGE CONTENT -->
        </div>
        <!-- END PAGE CONTAINER -->

        <!-- MESSAGE BOX-->
        <div class="message-box animated fadeIn" data-sound="alert" id="mb-signout">
            <div class="mb-container">
                <div class="mb-middle">
                    <div class="mb-title"><span class="fa fa-sign-out"></span> <strong>Log Out</strong> ?</div>
                    <div class="mb-content">
                        <p>Are you sure you want to log out?</p>                    
                        <p>Press No if youwant to continue work. Press Yes to logout current user.</p>
                    </div>
                    <div class="mb-footer">
                        <div class="pull-right">
                            <a href="index.php" class="btn btn-success btn-lg">Yes</a>
                            <button class="btn btn-default btn-lg mb-control-close">No</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END MESSAGE BOX-->

        <!-- START PRELOADS -->
        <audio id="audio-alert" src="audio/alert.mp3" preload="auto"></audio>
        <audio id="audio-fail" src="audio/fail.mp3" preload="auto"></audio>
        <!-- END PRELOADS -->             

        <!-- START SCRIPTS -->
        <!-- START PLUGINS -->
        <script type="text/javascript" src="js/plugins/jquery/jquery.min.js"></script>
        <script type="text/javascript" src="js/plugins/jquery/jquery-ui.min.js"></script>
        <script type="text/javascript" src="js/plugins/bootstrap/bootstrap.min.js"></script>                
        <!-- END PLUGINS -->

        <!-- THIS PAGE PLUGINS -->

        <script type='text/javascript' src='js/plugins/icheck/icheck.min.js'></script>
        <script type="text/javascript" src="js/plugins/mcustomscrollbar/jquery.mCustomScrollbar.min.js"></script>
        <script type='text/javascript' src='js/plugins/jquery-validation/jquery.validate.js'></script> 
        <script type="text/javascript" src="js/plugins/bootstrap/bootstrap-datepicker.js"></script>                
        <script type="text/javascript" src="js/plugins/bootstrap/bootstrap-file-input.js"></script>
        <script type="text/javascript" src="js/plugins/bootstrap/bootstrap-select.js"></script>
        <script type="text/javascript" src="js/plugins/tagsinput/jquery.tagsinput.min.js"></script>

        <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDxuXBQHwfvuUAvWcY1dStGm2Z40HogPP0&libraries=places"
        async defer></script>

        <!--Multi Select-->
        <script type="text/javascript" src="bower_components/bootstrap-multiselect/dist/js/bootstrap-multiselect.js"></script>


        <!-- END THIS PAGE PLUGINS -->       

        <!-- START TEMPLATE -->
        <script type="text/javascript" src="js/settings.js"></script>

        <script type="text/javascript" src="js/plugins.js"></script>        
        <script type="text/javascript" src="js/actions.js"></script>        

        <!-- END TEMPLATE -->
        
        <script type="text/javascript">var coe_id = '<?php echo $id; ?>';</script>
        <script type="text/javascript" src="js/create_training_program.js"></script>
		
        

        <!-- END SCRIPTS -->                   
    </body>
</html>
