<?php
session_start();

$training_id = $_GET['training_id'];
$user_id = $_GET['user_id'];

?>

<!DOCTYPE html>
<html lang="en">
    <head>        
        <!-- META SECTION -->
        <title>Feedback Details</title>            
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />

        <link rel="icon" href="logo-web.jpg" type="image/x-icon" />
        <!-- END META SECTION -->

        <!-- CSS INCLUDE -->        
        <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
        <!-- EOF CSS INCLUDE -->          

        <link rel="stylesheet" href="bower_components/bootstrap-multiselect/dist/css/bootstrap-multiselect.css" type="text/css"/>
    </head>
    <body>
        <!-- START PAGE CONTAINER -->
        <div class="page-container">

            <!-- START PAGE SIDEBAR -->
            <?php include 'includes/sidebar.php'; ?>
            <!-- END PAGE SIDEBAR -->

            <!-- PAGE CONTENT -->
            <div class="page-content">

                <!-- START X-NAVIGATION VERTICAL -->
                <?php include 'includes/header.php'; ?>
                <!-- END X-NAVIGATION VERTICAL -->                   

                <!-- START BREADCRUMB -->
                <ul class="breadcrumb">
                    <li><a href="dashboard.php">Home</a></li>
                    <li>Branch</li>
                    <li class="active">OverAll Feedback Details</li>
                </ul>
                <!-- END BREADCRUMB -->

                <!-- PAGE CONTENT WRAPPER -->
                <div class="page-content-wrap">

                    <div class="row">
                        <div class="col-md-12">

                            <!--<form id="form_create_training_program" method="post" onsubmit="return save_jobs();" action="../DTTurboHire/api/cbse/create_training_api_fl.php"  role="form" class="form-horizontal" >-->
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h1  style="font-size: 20px; font-weight: bold; padding: 5px;">OverAll Feedback Details</h1>
                                        <ul class="panel-controls">
                                            <!--<li><a href="#" class="panel-remove"><span class="fa fa-times"></span></a></li>-->
                                        </ul>
                                    </div>
                                    <div class="panel-body">                                                                        

                                        <div class="row">
                                            <!--<div class="col-md-1"></div>-->
                                            <div class="col-md-12">
                                                
                                                <div class="form-group">
                                                    <label class="col-md-7 control-label">1)Did you find the Training useful?(avg) </label>
                                                    <div class="col-md-5"> 
                                                        <label class="control-label"  id="training_useful">4.58</label>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-md-7 control-label">2)Was the content appropriate in terms of covering all essential details? (avg)</label>
                                                    <div class="col-md-5"> 
                                                        <label class="control-label" id="covering_all">4.52</label>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-md-7 control-label">3)Was the Trainer able to explain all key aspects clearly? (avg)</label>
                                                    <div class="col-md-5"> 
                                                        <label class="control-label" id="explain_by_trainer">4.60</label>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-md-7 control-label">4.1)Would you like to recommend this training program to your friends / colleagues? (Yes Percentage)</label>
                                                    <div class="col-md-5"> 
                                                        <label class="control-label" id="recommend_yes">100.00</label>
                                                    </div>
                                                </div>
                                                 <div class="form-group">
                                                    <label class="col-md-7 control-label">4.2)Would you like to recommend this training program to your friends / colleagues? (No Percentage)</label>
                                                    <div class="col-md-5"> 
                                                        <label class="control-label" id="recommend_no">0.00</label>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-md-7 control-label">5.1)Would you like an expert to help you with further details? (Yes Percentage)</label>
                                                    <div class="col-md-5"> 
                                                        <label class="control-label" id="help_in_fr_yes">72.84</label>
                                                    </div>
                                                </div>
                                                
                                                 <div class="form-group">
                                                    <label class="col-md-7 control-label">5.1)Would you like an expert to help you with further details? (No Percentage)</label>
                                                    <div class="col-md-5"> 
                                                        <label class="control-label" id="help_in_fr_no">27.16</label>
                                                    </div>
                                                </div>
                                                
                                                </div>

                                            </div>
                                            <!--<div class="col-md-1"></div>-->
                                        </div>

                                    </div>
                                    
                                </div>
                            <!--</form>-->

                        </div>
                    </div>                    

                </div>
                <!-- END PAGE CONTENT WRAPPER -->                                                
            </div>            
            <!-- END PAGE CONTENT -->
        </div>
        <!-- END PAGE CONTAINER -->

        <!-- MESSAGE BOX-->
        <div class="message-box animated fadeIn" data-sound="alert" id="mb-signout">
            <div class="mb-container">
                <div class="mb-middle">
                    <div class="mb-title"><span class="fa fa-sign-out"></span> <strong>Log Out</strong> ?</div>
                    <div class="mb-content">
                        <p>Are you sure you want to log out?</p>                    
                        <p>Press No if youwant to continue work. Press Yes to logout current user.</p>
                    </div>
                    <div class="mb-footer">
                        <div class="pull-right">
                            <a href="index.php" class="btn btn-success btn-lg">Yes</a>
                            <button class="btn btn-default btn-lg mb-control-close">No</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END MESSAGE BOX-->

        <!-- START PRELOADS -->
        <audio id="audio-alert" src="audio/alert.mp3" preload="auto"></audio>
        <audio id="audio-fail" src="audio/fail.mp3" preload="auto"></audio>
        <!-- END PRELOADS -->             

        <!-- START SCRIPTS -->
        <!-- START PLUGINS -->
        <script type="text/javascript" src="js/plugins/jquery/jquery.min.js"></script>
        <script type="text/javascript" src="js/plugins/jquery/jquery-ui.min.js"></script>
        <script type="text/javascript" src="js/plugins/bootstrap/bootstrap.min.js"></script>                
        <!-- END PLUGINS -->

        <!-- THIS PAGE PLUGINS -->

        <script type='text/javascript' src='js/plugins/icheck/icheck.min.js'></script>
        <script type="text/javascript" src="js/plugins/mcustomscrollbar/jquery.mCustomScrollbar.min.js"></script>
        <script type='text/javascript' src='js/plugins/jquery-validation/jquery.validate.js'></script> 
        <script type="text/javascript" src="js/plugins/bootstrap/bootstrap-datepicker.js"></script>                
        <script type="text/javascript" src="js/plugins/bootstrap/bootstrap-file-input.js"></script>
        <script type="text/javascript" src="js/plugins/bootstrap/bootstrap-select.js"></script>
        <script type="text/javascript" src="js/plugins/tagsinput/jquery.tagsinput.min.js"></script>

        <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDxuXBQHwfvuUAvWcY1dStGm2Z40HogPP0&libraries=places"
        async defer></script>

        <!--Multi Select-->
        <script type="text/javascript" src="bower_components/bootstrap-multiselect/dist/js/bootstrap-multiselect.js"></script>


        <!-- END THIS PAGE PLUGINS -->       

        <!-- START TEMPLATE -->
        <script type="text/javascript" src="js/settings.js"></script>

        <script type="text/javascript" src="js/plugins.js"></script>        
        <script type="text/javascript" src="js/actions.js"></script>        

        <!-- END TEMPLATE -->
        
        <script type="text/javascript">var training_id = '<?php echo $training_id; ?>';</script>
        <script type="text/javascript">var user_id = '<?php echo $user_id; ?>';</script>
        <script type="text/javascript" src="js/feedback_overall.js"></script>
		
        

        <!-- END SCRIPTS -->                   
    </body>
</html>





