var selected_from_date = '';
var selected_to_date = '';

var array_registrations_vle_top_10;
var array_registrations_vle_value_top_10;

var array_registrations_vle_bottom_10;
var array_registrations_vle_value_bottom_10;

$(document).ready(function() {
	
});

$('#get_data').click(function () {
	
	selected_from_date = $('#from_date').val().trim();
	selected_to_date = $('#to_date').val().trim();
	
	if(selected_from_date === '' || selected_to_date === ''){
		alert("Select  " + '"' + " FROM " + '"' + " and " + '"' + " TO " + '"' + " dates.");
	}else if(selected_from_date > selected_to_date){
		alert("select a valid " + '"' + " TO " + '"' + " " + "date");
	}else if((selected_from_date < selected_to_date) || (selected_from_date === selected_to_date)){

		array_registrations_vle_top_10 = Array();
		array_registrations_vle_value_top_10 = Array();
		
		array_registrations_vle_bottom_10 = Array();
		array_registrations_vle_value_bottom_10 = Array();
		
		getData();
	
	}
		
});

function getData(){
	
	var url = "../CSC22API/api/csc_admin/get-verified-candidates-count-by-vle.php";
	
	var formvalue = {
	    from : selected_from_date,
		to : selected_to_date
	};
	
	var json = JSON.stringify(formvalue);
	
	$.ajax({
		type: "POST",
		url: url,
		data: json,
		dataType: 'json',
		success: function (data) {
    		
			var tdata = "";
			
			array_registrations_vle_top_10 = [];
			array_registrations_vle_value_top_10 = [];
			
			array_registrations_vle_bottom_10 = [];
			array_registrations_vle_value_bottom_10 = [];
			
			var transaction_registrations_top_10 = data.top_ten;
			var transaction_registrations_bottom_10 = data.bottom_ten;
			
			var tdata_top_10 = "";

			for (var j = 0; j < transaction_registrations_top_10.length; j++) {

				tdata_top_10 += '<tr style="text-align:center;"> <td>' + ( j + 1 ) + '</td>';
				tdata_top_10 += '<td style="text-align:center;">' + transaction_registrations_top_10[j].vle_id + '</td>';
				tdata_top_10 += '<td style="text-align:center;">' + transaction_registrations_top_10[j].total + '</td>';
								
				tdata_top_10 += '</tr>';

			}

			$('#list_top_10_vle').html(tdata_top_10);
			
			var tdata_bottom_10 = "";

			for (var j = 0; j < transaction_registrations_bottom_10.length; j++) {

				tdata_bottom_10 += '<tr style="text-align:center;"> <td>' + ( j + 1 ) + '</td>';
				tdata_bottom_10 += '<td style="text-align:center;">' + transaction_registrations_bottom_10[j].vle_id + '</td>';
				tdata_bottom_10 += '<td style="text-align:center;">' + transaction_registrations_bottom_10[j].total + '</td>';
								
				tdata_bottom_10 += '</tr>';

			}

			$('#list_bottom_10_vle').html(tdata_bottom_10);
			
			
			
		},
		error: function (xhr, ajaxOptions, thrownError) {
			alert("ERROR - 0:" + xhr.responseText + " - " + thrownError);
		}
	});	
	
}