var total_candidates_registered = '';
var total_candidates_attendance = '';
var total_candidates_feedback = '';
var total_training_programs_scheduled = '';
var upcoming_training_programs = '';
var training_programs_completed = '';
var total_training_program_states = '';
var total_training_program_districts = '';
var total_vles_enrolled = '';
var total_vles = '';

var total_nielit_appeared = '';
var total_nielit_qualified = '';

var total_candidates_registered_phase_1 = '';
var total_candidates_registered_phase_2 = '';

var total_candidates_attendance_phase_1 = '';
var total_candidates_attendance_phase_2 = '';

$(document).ready(function () {
		
	$(function () {
		$('[data-toggle="popover"]').popover();
	});
		
	getBeneficiaryProfileDetails();
		
	getValues();
	
});


function getBeneficiaryProfileDetails(){
		
		//swal({
		//	text: "Loading.. Please wait",
		//	buttons: false,
		//	closeOnEsc: false,
		//	closeOnClickOutside: false
		//});
			
	    $.ajax({
			type: "GET",
			url: "../DTTurboHire/api/ujs_csc/get_beneficiary_profile_details.php",
			data: {
			},
			dataType: 'json',
			success: function (response) {
								
				$('#tbl_profile_summary_p1_temp').show();
				$('#tbl_profile_summary_p2_temp').show();
								
				var theader = "";
				var tdata = "";
								
				var transactions = response.list;
				
				if (transactions !== null && transactions.length > 0) {
					
					for (var j = 0; j < transactions.length; j++) {
					
						var jsonObject = transactions[j];
							
						theader += '<td style=" text-align: center; vertical-align: middle; font-size:15px; border: 1px solid black;"><b>' + transactions[j].beneficiary_profile_detail + '</b></td>';						
										
						tdata += '<td style=" text-align: center; vertical-align: middle; font-size:15px; border: 1px solid black;"><b>' + transactions[j].COUNT + '</b></td>';
							
					}
					
				}
			
				$('#tbl_tr_profile_summary_p1').html(theader);
				$('#tbl_tbody_tr_profile_summary_p1').html(tdata);

			}
		});

}

function getValues(){
		
		swal({
			text: "Loading.. Please wait",
			buttons: false,
			closeOnEsc: false,
			closeOnClickOutside: false
		});
			
	    $.ajax({
        type: "GET",
        url: "../DTTurboHire/api/ujs_csc/get_summary_details_v2.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

			swal.close();

            var transactions = response.list;
			
            if (transactions !== null && transactions.length > 0) {
                
				var jsonObject = transactions[0];
				
				total_candidates_registered = jsonObject.total_candidates_registered;
				
				total_candidates_registered_phase_1 = jsonObject.total_candidates_registered_phase_1;
				total_candidates_registered_phase_2 = jsonObject.total_candidates_registered_phase_2;
				
				total_candidates_attendance_phase_1 = jsonObject.total_candidates_attendance_phase_1;
				total_candidates_attendance_phase_2 = jsonObject.total_candidates_attendance_phase_2;
				
				total_candidates_feedback = jsonObject.total_candidates_feedback;
				total_training_programs_scheduled = jsonObject.total_training_programs_scheduled;
				upcoming_training_programs = jsonObject.upcoming_training_programs;
				total_training_program_states = jsonObject.total_training_program_states;
				total_training_program_districts = jsonObject.total_training_program_districts;
				total_vles_enrolled = jsonObject.total_vles_enrolled;
				total_vles = jsonObject.total_vles;
				total_nielit_appeared = jsonObject.total_nielit_appeared;
				total_nielit_qualified = jsonObject.total_nielit_qualified;
            }

            $('#total_candidates_registered').text(parseInt(total_candidates_registered));
			
			$('#total_candidates_registered_phase_1').text(parseInt(total_candidates_registered_phase_1));
			$('#total_candidates_registered_phase_2').text(parseInt(total_candidates_registered_phase_2));
			$('#total_candidates_attendance_phase_1').text(parseInt(total_candidates_attendance_phase_1));
			$('#total_candidates_attendance_phase_2').text(parseInt(total_candidates_attendance_phase_2));
			
			$('#total_candidates_feedback').text(total_candidates_feedback);
			$('#total_training_programs_scheduled').text(total_training_programs_scheduled);
			$('#upcoming_training_programs').text(upcoming_training_programs);
			$('#training_programs_completed').text(Math.abs(parseInt(total_training_programs_scheduled) - parseInt(upcoming_training_programs)));
			$('#total_training_program_states').text(total_training_program_states);
			$('#total_training_program_districts').text(total_training_program_districts);
			$('#total_vles_enrolled').text(total_vles_enrolled);
			$('#total_vles').text(total_vles);

			//$('#total_nielit_appeared').text(total_nielit_appeared);
			//$('#total_nielit_qualified').text(total_nielit_qualified);

			/*#########################*/

			//$('#total_candidates_attendance').text('26912');
			
			$('#total_beneficary_profile_details_phase_1').text('5082');
			$('#total_beneficary_profile_details_phase_2').text('7704');
			
			$('#total_candidates_attendance_phase_1').text('5082');
			$('#total_candidates_registered_phase_2').text('25578');
			$('#total_candidates_attendance_phase_2').text('21314');
			$('#total_nielit_appeared').text('20113');
			$('#total_nielit_qualified').text('18583');

			$('#total_training_programs_scheduled').text('317');
			$('#training_programs_completed').text('317');

        }
    });
	
}
