$(document).ready(function () {
    
    $.ajax({
        type: "GET",
        url: "../CSC22API/api/csc_admin/get-verified-candidates-state.php",
        data: {
        },
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var option = '';
            option += '<option value=' + "" + '>Select State' + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].state + '>' + transactions[j].state + '</option>';
                }
            }

            $('#state').html(option);

        }
    });
    
});

$('#state').change(function() {
    
    onCityChange();
	
});

function onCityChange(){
	
	var state = $('#state option:selected').text();
    
    var formValues = {
        state : state
    };
    
    var json = JSON.stringify(formValues);
    console.log(json);
    
    $.ajax({
        type: "POST",
        url: "../CSC22API/api/csc_admin/get-verified-candidates-city-for-state.php",
        data: json,
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var option = '';
            option += '<option value=' + "" + '>Select District' + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].city + '>' + transactions[j].city + '</option>';
                }
            }

            $('#city').html(option);

        }
    });
	
}

$('#city').change(function() {
    
    var city = $('#city option:selected').text();
    
    var formValues = {
        city : city
    };
    
    var json = JSON.stringify(formValues);
    console.log(json);
    
    $.ajax({
        type: "POST",
        url: "../CSC22API/api/csc_admin/get-verified-candidates-vle-id-for-city.php",
        data: json,
        dataType: 'json',
        success: function (response) {

            var transactions = response.list;
            var option = '';
            option += '<option value=' + "" + '>Select CSC Id' + '</option>';
            if (transactions !== null && transactions.length > 0) {
                for (var j = 0; j < transactions.length; j++) {

                    option += '<option value=' + transactions[j].vle_id + '>' + transactions[j].vle_id + '</option>';
                }
            }

            $('#vle').html(option);

        }
    });
});

$('#submit').click(function() {
    
    var vle_id = $('#vle').val();
    var state = $('#state option:selected').text();
    var city = $('#city option:selected').text();
    
    if (city === 'Select District') {
        city = "";
    }
        
    if (state === 'Select State') {
        state = "";
    }
    
    var formValues = {
        state:state,
        district:city,
        vle_id:vle_id
    };
            
    var json = JSON.stringify(formValues);
    
    $.ajax({
        type: "POST",
        url: "../CSC22API/api/csc_admin/get-verified-candidates-count-by-filters.php",
        data: json,
        dataType: 'json',
        success: function (response) {
            
            var detalis = response.detail;

            $('#filtered_verified_candidates').html(detalis.filtered_verified_candidates);
            $('#filtered_credential_created_candidates').html(detalis.filtered_credential_created_candidates);
            $('#filtered_interested_in_jobs').html(detalis.filtered_interested_in_jobs);
            $('#filtered_active_vle').html(detalis.filtered_active_vle);
            $('#filtered_pmgdisha_candidates').html(detalis.filtered_pmgdisha_candidates);
            $('#filtered_non_pmgdisha_candidates').html(detalis.filtered_non_pmgdisha_candidates);
            

        }
    });
        
});