var vle_state_id = '';
var vle_district_id = '';
var vle_id = '';
var count_traininig_programs = '';

$(document).ready(function () {

	{
					
		$.ajax({
			type: "GET",
			url: "../kyndrylAPIs/api/ujs_csc/get_registered_candidates_summary_count.php",
			data: {
			},
			dataType: 'json',
			success: function (response) {

				var tdata = "";
				var transactions = response.list;
				if (transactions !== null && transactions.length > 0) {
					
					$('#lbl_total_count').html('Count : ' + transactions.length);
					
					for (var j = 0; j < transactions.length; j++) {

						$('#td_total_programs_completed').html(transactions[j].total_programs_completed);
						$('#td_total_candidates_from_jeevitam_page').html(transactions[j].total_candidates_from_jeevitam_page);
						$('#td_total_candidates_from_cyber_gyan').html(transactions[j].total_candidates_from_cyber_gyan);
						$('#td_total_attendance_marked').html(transactions[j].total_attendance_marked);
						$('#td_total_feedback_received').html(transactions[j].total_feedback_received);
						
					}
					
				}
					
			}
		});
		
	}
  
	function dateRangeValidate(from_date, to_date){
		
		from_date = new Date(from_date);
		to_date = new Date(to_date);
		
		if(from_date > to_date){
			return false;
		}else{
			return true;
		}
		
	}
    
	$('#training_program_from_date').change(function(){
		resetProcess();
	});
	
	$('#training_program_to_date').change(function(){
		resetProcess();
	});
	
	$('#registered_at_from_date').change(function(){
		resetProcess();
	});
	
	$('#registered_at_to_date').change(function(){
		resetProcess();
	});
	
	$('#btn_download_data').click(function () {
		
		var from_date = $('#registered_at_from_date').val();
		var to_date = $('#registered_at_to_date').val();
		
		//swal({
		//	text: "Preparing Data.. Please wait",
		//	buttons: false,
		//	closeOnEsc: false,
		//	closeOnClickOutside: false
		//});

		var url_download_data = "../kyndrylAPIs/api/ujs_csc/download_training_program_candidates_by_registered_at.php?from_date=" + from_date + "&to_date=" + to_date;
		
		window.open(url_download_data, '_blank');

		//$.ajax({
		//	type: "GET",
		//	url: "../kyndrylAPIs/api/ujs_csc/download_training_program_candidates_by_registered_at.php?from_date=" + from_date + "&to_date=" + to_date,
		//	data: {
		//	},
		//	dataType: 'json',
		//	success: function (response) {
		//
		//		swal.close();
		//
		//		var file_url = response.data;
		//		
		//		console.log("file_url : " + file_url);
		//		
		//		window.open(file_url, '_blank');
		//		
		//	}
		//});
				
	});
	
	$('#btn_submit').click(function () {
		 
		var from_date = $('#registered_at_from_date').val();
		var to_date = $('#registered_at_to_date').val();
		
		var err_count = 0;
		
		if( (from_date!=='') || (to_date!=='') ){
			
			if((from_date === '') || (from_date === null)){
				alert("ENTER 'FROM' DATE");
				err_count++;
			}else if((to_date === '') || (to_date === null)){
				alert("ENTER 'TO' DATE");
				err_count++;
			}else{
				if(!dateRangeValidate(from_date, to_date)){
					alert("ENTER A VALID DATE RANGE.");
					err_count++;
				}					
			}
			
		}else{
			
			err_count++;
			alert("ENTER 'FROM' & 'TO' DATE RANGE");
			
		}
		
		if(err_count===0){
			
			swal({
				text: "Loading.. Please wait",
				buttons: false,
				closeOnEsc: false,
				closeOnClickOutside: false
			});
			
			$.ajax({
				type: "GET",
				url: "../kyndrylAPIs/api/ujs_csc/get_candidates_using_registered_at_dates.php?from_date=" + from_date + "&to_date=" + to_date,
				data: {
				},
				dataType: 'json',
				success: function (response) {

					swal.close();

					var tdata = "";
					var transactions = response.list;
					if (transactions !== null && transactions.length > 0) {
						
						$('#btn_download_data').show();
						$('#lbl_total_count').show();
						$('#lbl_total_count').html('Count : ' + transactions.length);
						
						for (var j = 0; j < transactions.length; j++) {

							tdata += '<tr>';

							tdata += '<td style="vertical-align: middle;"><center>' + transactions[j].first_name + ' ' + transactions[j].last_name + '</center></td>';
							tdata += '<td style="vertical-align: middle;"><center>' + transactions[j].gender + '</center></td>';
							
							if(transactions[j].phone_number==null){
								tdata += '<td style="vertical-align: middle;"><center>' + '-' + '</center></td>';
							}else{
								tdata += '<td style="vertical-align: middle;"><center>' + transactions[j].phone_number + '</center></td>';
							}
							
							if(transactions[j].email_id==null){
								tdata += '<td style="vertical-align: middle;"><center>' + '-' + '</center></td>';
							}else{
								tdata += '<td style="vertical-align: middle;"><center>' + transactions[j].email_id + '</center></td>';
							}
							
							
							if(transactions[j].beneficiary_profile_detail==null){
								tdata += '<td style="vertical-align: middle;"><center>' + '-' + '</center></td>';
							}else{
								tdata += '<td style="vertical-align: middle;"><center>' + transactions[j].beneficiary_profile_detail_main + '</center></td>';
							}
							
							tdata += '<td style="vertical-align: middle;"><center>' + transactions[j].dob + '</center></td>';
							tdata += '<td style="vertical-align: middle;"><center>' + '<b>' + transactions[j].state_name + '</b>' + '<br>' + transactions[j].district_name + '</center></td>';
							
							//tdata += '<td style="vertical-align: middle;"><center>' + transactions[j].vle_state_name.toUpperCase() + '<br>' + transactions[j].vle_district_name + '</center></td>';
							
							if((transactions[j].vle_state_name==null)||(transactions[j].vle_district_name==null)){
								tdata += '<td style="vertical-align: middle;"><center>' + '-' + '</center></td>';
							}else{
								tdata += '<td style="vertical-align: middle;"><center>' + transactions[j].vle_state_name + '<br>' + transactions[j].vle_district_name + '</center></td>';
							}
							
							tdata += '<td style="vertical-align: middle;"><center>' + getConvertedDate(transactions[j].training_program_date) + '</center></td>';
							
							tdata += '<td style="vertical-align: middle;"><center>';
										if(transactions[j].attendance_s1 === '1'){
											tdata += '<span class="dot" style="background-color:green;"></span>';
										}else{
											tdata += '<span class="dot"></span>';
										}
										tdata += ' '; 
										if(transactions[j].attendance_s2 === '1'){
											tdata += '<span class="dot" style="background-color:green;"></span>';
										}else{
											tdata += '<span class="dot"></span>';
										}
										tdata += ' ';
										if(transactions[j].attendance_s3 === '1'){
											tdata += '<span class="dot" style="background-color:green;"></span>';
										}else{
											tdata += '<span class="dot"></span>';
										}
							tdata += '</center></td>';
							
							tdata += '<td style="vertical-align: middle;"><center>';
										if(transactions[j].is_feedback_given === '1'){
											tdata += '<span style="background-color:green; padding:4px; color:white">RECEIVED</span>';
										}else{
											tdata += '<span> -- </span>';
										}
							tdata += '</center></td>';
							
							
							tdata += '<td style="vertical-align: middle;"><center>' + transactions[j].created_at + '</center></td>';
								
							tdata += '</tr>';

						}
						
					}else{
						$('#lbl_total_count').html('Count : 0');
					}
					
					$('#result').html(tdata);
		
					$.ajax({
						type: "GET",
						url: "../kyndrylAPIs/api/ujs_csc/get_registered_candidates_summary_count_by_daterange.php?from_date=" + from_date + "&to_date=" + to_date,
						data: {
						},
						dataType: 'json',
						success: function (response) {

							var tdata = "";
							var transactions = response.list;
							if (transactions !== null && transactions.length > 0) {
								
								//$('#div_custom_dates_summary').show();
								$('#div_custom_dates_summary').hide();
								
								for (var j = 0; j < transactions.length; j++) {

									$('#td_2_total_programs_completed').html(transactions[j].total_programs_completed);
									$('#td_2_total_candidates_from_jeevitam_page').html(transactions[j].total_candidates_from_jeevitam_page);
									$('#td_2_total_candidates_from_cyber_gyan').html(transactions[j].total_candidates_from_cyber_gyan);
									$('#td_2_total_attendance_marked').html(transactions[j].total_attendance_marked);
									$('#td_2_total_feedback_received').html(transactions[j].total_feedback_received);
									
								}
								
							}
								
						}
					});
						
				}
				
			});
			
		}
		
	});
		   
});

function isPastDate(date_input){
	
	var result = '';
	var current_date_value = new Date();
	var input_date_value = new Date(date_input);
	
	console.log("date_value_complete : " + current_date_value + " input_date_value : " + input_date_value);
	
	if(input_date_value < current_date_value){
		
		result = 'date_expired';
		
		var str_input_date_value = (((input_date_value).toString()).slice(0, 15));
		var str_current_date_value = (((current_date_value).toString()).slice(0, 15));
		
		if(str_current_date_value === str_input_date_value){
			result = 'current_date';
		}
		
	}else if(input_date_value > current_date_value){
		result = 'future_date';
	}
	
	return result;
	
}

function getConvertedDate(date_input){
	
	selected_date_input = date_input;
	
	var new_date_value = new Date(date_input);
	selected_new_date_value_complete = new_date_value;
	console.log("selected_new_date_value_complete : " + selected_new_date_value_complete);
	new_date_value = new_date_value.toString();
	new_date_value = new_date_value.slice(0, 15);
	
	return new_date_value;
	
}

function downloadReportTrainingProgram(training_program_id){
	
	$.ajax({
		type: "GET",
		url: "../kyndrylAPIs/api/ujs_csc/download_training_program_candidates.php?training_program_id=" + training_program_id,
		data: {
		},
		dataType: 'json',
		success: function (response) {

			var file_url = response.data;
			
			window.open(file_url, '_blank');
			
		}
	});
	
}

function resetProcess(){
	
	$('#result').html('');
	$('#lbl_total_count').html('');
	$('#lbl_total_count').hide();
	$('#btn_download_data').hide();
	$('#div_custom_dates_summary').hide();
	
}
