<?php
   session_start();
   
   $randStr = rand();
   
   include 'includes/session.php';
   
   function getUserIpAddr() {
       if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
           //ip from share internet
           $ip = $_SERVER['HTTP_CLIENT_IP'];
       } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
           //ip pass from proxy
           $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
       } else {
           $ip = $_SERVER['REMOTE_ADDR'];
       }
       return $ip;
   }
   
   $ip = getUserIpAddr();
   
   ?>
<html lang="en">
   <head>
      <!-- META SECTION -->
      <title>CSC</title>
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
      <meta http-equiv="X-UA-Compatible" content="IE=edge" />
      <meta name="viewport" content="width=device-width, initial-scale=1" />
      <link rel="icon" type="image/png" sizes="96x96" href="assets/images/jeevitam.jpg">
      <!-- END META SECTION -->
      <!-- CSS INCLUDE -->        
      <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
      <!-- EOF CSS INCLUDE --> 
      
      <link rel="stylesheet" href="bower_components/bootstrap-multiselect/dist/css/bootstrap-multiselect.css" type="text/css"/>
      <style>
         .loader{
         border: 10px solid #f3f3f3;
         border-radius: 90%;
         border-top: 10px solid #3498db;
         width: 50px;
         height: 50px;
         -webkit-animation: spin 2s linear infinite; /* Safari */
         animation: spin 2s linear infinite;
         /*margin: 130px;*/
         }
         @keyframes spin {
         0% { transform: rotate(0deg); }
         100% { transform: rotate(360deg); }
         }
         .modal1 {
         display: none; /* Hidden by default */
         position: fixed; /* Stay in place */
         z-index: 1; /* Sit on top */
         padding-top: 150px; /* Location of the box */
         left: 0;
         top: 0;
         width: 100%; /* Full width */
         height: 100%; /* Full height */
         overflow: auto; /* Enable scroll if needed */
         /*background-color: rgb(0,0,0);*/  
         background-color: rgba(0,0,0,0.4);  
         }
         .modal {
         display: none; /* Hidden by default */
         position: fixed; /* Stay in place */
         z-index: 1; /* Sit on top */
         padding-top: 20px;  /* Location of the box*/ 
         left: 0;
         top: 0;
         width: 100%; /* Full width */
         /*min-width: 350px;*/
         height: 100%; /* Full height */
         overflow: auto;  /*Enable scroll if needed*/ 
         background-color: rgb(0,0,0); /* Fallback color */
         background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
         }
         /* Modal Content */
         .modal-content {
         background-color: #fefefe;
         margin: auto;
         padding: 20px;
         border: 1px solid #888;
         width: 45%;
         }
         .close:focus {
         text-decoration: none;
         cursor: pointer;
         }
         .close:hover{
         color: #6f6f6f;
         font-weight: bold;
         }
         .close_state:focus {
         text-decoration: none;
         cursor: pointer;
         }
         .close_state:hover{
         color: #6f6f6f;
         font-weight: bold;
         }
      </style>
   </head>
   <body>
      <!-- START PAGE CONTAINER -->
      <div class="page-container">
         <!-- START PAGE SIDEBAR -->
         <?php include 'includes/sidebar.php'; ?>
         <!-- END PAGE SIDEBAR -->
         <!-- PAGE CONTENT -->
         <div class="page-content">
            <!-- START X-NAVIGATION VERTICAL -->
            <?php include 'includes/header.php'; ?>
            <!-- END X-NAVIGATION VERTICAL -->                     
            <!-- START BREADCRUMB -->
            <ul class="breadcrumb">
               <li><a href="#">Home</a></li>
               <li class="active">Download Verified Candidates</li>
            </ul>
            <!-- END BREADCRUMB -->                       
            <!-- PAGE CONTENT WRAPPER -->
            <div class="page-content-wrap">
               <!-- START WIDGETS -->                    
               <div class="col-md-12">
                  <br>
                  <br>
                  <h3>Download Verified Candidates</h3>
               </div>
               <!--<div class="form-group">-->
               <!--   <div class="col-md-12">-->
                     <!--<label class="col-md-2 control-label">From Date:</label>-->
               <!--      <div class="col-md-4">      -->
               <!--         <span class="help-block">Enter From Date <span style="color: red;" id="err_from_date">*</span></span>-->
               <!--         <input type="date" class="form-control" id="from_date" name="from_date">-->
                        
               <!--      </div>-->
                     <!--<label class="col-md-2 control-label">To date:</label>-->
               <!--      <div class="col-md-4">     -->
               <!--         <span class="help-block">Enter To Date <span style="color: red;" id="err_to_date">*</span></span>-->
               <!--         <input type="date" class="form-control" id="to_date" name="to_date">-->
                        
               <!--      </div>-->
                     
               <!--      <div class="col-md-4" id='total_leads_div'>-->
               <!--          <br>-->
               <!--         <center style="font-size:14px;">Total Candidates : <span id="total" style="font-size:16px;font-weight:bold;color:black"></span></center>-->
               <!--      </div>-->
                     
               <!--      </div>-->
                     
               <!--      <div class="col-md-12" style = "margin-top:20px">-->
               <!--      <div class="col-md-4">         -->
               <!--         <span class="help-block">Select State <span style="color: red;" id="err_state"></span></span>-->
               <!--         <select class="form-control" id="state" name="state"></select>-->
                        
               <!--      </div>-->
               <!--      <div class="col-md-4">     -->
               <!--         <span class="help-block">Select District <span style="color: red;" id="err_city"></span></span>-->
               <!--         <select class="form-control" id="city" name="city"></select>-->
                        
               <!--      </div>-->
                     
               <!--   </div>-->
                  
                  
               <!--   <div class="col-md-12" style="margin:20px;">-->
               <!--      <div class="col-md-3">-->
               <!--         <center><button class="btn btn-primary" id="ok" name="ok"> Ok</button></center>-->
               <!--      </div>-->
                     
                     <!--<div class="col-md-4">-->
                     <!--   <center><button class="btn btn-primary" id="download" name="download"> Download Excel</button></center>-->
                     <!--</div>-->
               <!--   </div>-->
               <!--</div>-->
               <div class="row" border="2" border-color="black" style="padding: 10px;margin-top: 30px;background: white;">
                  <table class="table">
                            <thead>
                                <tr>
                                    <th>File</th>
                                    <th>Date</th>
                                    
                                    
                                </tr>
                            </thead>
                            <tbody id="result">
                                <tr>
                                    <td><a href='https://jeevitam.com/DTTurboHire/api/csc/csc_mail_verify2021-06-08%2009:00:04.xlsx'>https://jeevitam.com/DTTurboHire/api/csc/csc_mail_verify2021-06-08%2009:00:04.xlsx</a></td>
                                    <td>2021-06-08 09:00:04</td>
                                    
                                    
                                </tr>
                                <tr>
                                    <td><a href='https://jeevitam.com/DTTurboHire/api/csc/csc_mail_verify2021-06-07 09:00:03.xlsx'>https://jeevitam.com/DTTurboHire/api/csc/csc_mail_verify2021-06-07 09:00:03.xlsx</a></td>
                                    <td>2021-06-07 09:00:04</td>
                                    
                                    
                                </tr>
                                <tr>
                                    <td><a href='https://jeevitam.com/DTTurboHire/api/csc/csc_mail_verify2021-06-06 09:00:02.xlsx'>https://jeevitam.com/DTTurboHire/api/csc/csc_mail_verify2021-06-06 09:00:02.xlsx</a></td>
                                    <td>2021-06-06 09:00:04</td>
                                    
                                    
                                </tr>
                                <tr>
                                    <td><a href='https://jeevitam.com/DTTurboHire/api/csc/csc_mail_verify2021-06-05 09:00:03.xlsx'>https://jeevitam.com/DTTurboHire/api/csc/csc_mail_verify2021-06-05 09:00:03.xlsx</a></td>
                                    <td>2021-06-05 09:00:04</td>
                                    
                                    
                                </tr>
                                <tr>
                                    <td><a href='https://jeevitam.com/DTTurboHire/api/csc/csc_mail_verify2021-06-04 09:00:02.xlsx'>https://jeevitam.com/DTTurboHire/api/csc/csc_mail_verify2021-06-04 09:00:02.xlsx</a></td>
                                    <td>2021-06-04 09:00:04</td>
                                    
                                    
                                </tr>
                                <tr>
                                    <td><a href='https://jeevitam.com/DTTurboHire/api/csc/csc_mail_verify2021-06-03 09:00:03.xlsx'>https://jeevitam.com/DTTurboHire/api/csc/csc_mail_verify2021-06-03 09:00:03.xlsx</a></td>
                                    <td>2021-06-03 09:00:04</td>
                                    
                                    
                                </tr>
                            </tbody>
                        </table>
                  <div class="pagination"></div>
               </div>
            </div>
         </div>
      </div>
      <!-- END PAGE CONTENT WRAPPER -->                                
      <!-- END PAGE CONTENT -->
      <!-- END PAGE CONTAINER -->
      <!-- MESSAGE BOX-->
      <?php include 'includes/header_logout.php'; ?>
      <!-- END MESSAGE BOX-->
      <!-- START PRELOADS -->
      <audio id="audio-alert" src="audio/alert.mp3" preload="auto"></audio>
      <audio id="audio-fail" src="audio/fail.mp3" preload="auto"></audio>
      <!-- END PRELOADS -->                  
      <!-- START SCRIPTS -->
      <!-- START PLUGINS -->
      <!--Default plugins for this template-->
      <script type="text/javascript" src="js/jquery/jquery.min.js"></script>
      <script type="text/javascript" src="js/jquery/jquery-ui.min.js"></script>
      <script type="text/javascript" src="js/bootstrap/bootstrap.min.js"></script>   
      <script type='text/javascript' src='js/plugins/jquery.validate.js'></script>  
      <script type="text/javascript" src="js/plugins.js"></script>
      <script type="text/javascript" src="js/actions.js"></script>
      <!--Pagination--> 
      <script type="text/javascript" src="js/jquery-bootpag.js"></script>
      <script src="js/jquery.bootpag.min.js"></script>
      <!--MultiSelect-->
      <script src="bower_components/bootstrap-multiselect/dist/js/bootstrap-multiselect.js"></script>
      <!-- END PLUGINS -->
      <script type="text/javascript">var cscId = '<?php echo $cse_id; ?>';</script>
      <!--<script type="text/javascript" src="js/vle_registered_candidates.js?randStr=<?php echo $randStr; ?>"></script>-->
      <!-- END TEMPLATE -->
      <!-- END SCRIPTS -->         
   </body>
</html>