<?php
	
	$user_id = $_SESSION['user_id'];
	$user_type = $_SESSION['user_type'];
	$privileges = $_SESSION['privileges'];

	function getUserIpAddr() {
		if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
			//ip from share internet
			$ip = $_SERVER['HTTP_CLIENT_IP'];
		} elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
			//ip pass from proxy
			$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
		} else {
			$ip = $_SERVER['REMOTE_ADDR'];
		}
		return $ip;
	}

	$ip = getUserIpAddr();
	$randStr = rand();
	
?>

<!DOCTYPE html>
<html lang="en">

    <head>

		<!-- META SECTION -->
		<title>Data - Helpline number</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<!-- END META SECTION -->

		<!-- Meta tags -->
		<meta charset = "utf-8">
		<meta name = "viewport" content = "width = device-width, initial-scale = 1, shrink-to-fit = no">

		<style>
			
			.center-alignment{
				padding:10px;
				text-align: center; 
				vertical-align: middle;
			}
			
		</style>
		
        <!-- EOF CSS INCLUDE -->                                    
		
    </head>
	
    <body>
        <!-- START PAGE CONTAINER -->
        <div class="page-container">
            <!-- START PAGE SIDEBAR -->
            <?php include 'includes/sidebar.php'; ?>
            <!-- END PAGE SIDEBAR -->
            <!-- PAGE CONTENT -->
            <div class="page-content">
                <!-- START X-NAVIGATION VERTICAL -->
                <?php include 'includes/header.php'; ?>
                <!-- END X-NAVIGATION VERTICAL -->                     
                <!-- START BREADCRUMB -->
                <ul class="breadcrumb">
                    <li>Home</li>
					<li>2024-2025</li>
                    <li class="active">Data - Helpline number</li>
                </ul>
                <!-- END BREADCRUMB -->  
                <!-- PAGE TITLE -->
                <div class="page-title">
                </div>
                <!-- END PAGE TITLE --> 
                <div class="row">
				
					<div class="col-md-12">
						<div class="col-md-4">						
							<div class="page-title">
								<h3>Data - Helpline number</h3>
							</div>
							<br>
						</div>
						<div class="col-md-4">
						</div>
						<div class="col-md-4"></div>
					</div>
					
					<div class="row">
						
						<div class="col-md-12">

							<!-- START SIMPLE DATATABLE -->
							<div class="panel panel-default">
							
								<div class="panel-body">
									
									<div class="form-group">
										
										<div class="col-md-12" style="margin-top: 10px;">
											
											<div class="col-md-4">
												<div class="col-md-12">
													<label>
														Select From date
													</label>
												</div>
												<div class="col-md-12">
													<input type="date" name="deadline_date" id="from_date" class="form-control">
												</div>
											</div>
											<div class="col-md-4">
												<div class="col-md-12">
													<label>
														Select To date
													</label>
												</div>
												<div class="col-md-12">
													<input type="date" name="deadline_date" id="to_date" class="form-control">
												</div>
											</div>
											<div class="col-md-4">
												<div class="col-md-12">
													<button type="button" id="btn_submit" class="btn btn-primary">Submit</button>
												</div>
											</div>
											
										</div>

										<div class="col-md-12" style="margin-top:10px;">
									
											<div class="col-md-4">
												<div class="col-md-12">
													<label>
														Select Flow Selected
													</label>
												</div>
												<div class="col-md-12">
													<select class="form-control"  id="flow_selected" name="flow_selected">
														<option value="">--Select--</option>
														<option value="vle">VLE</option>
														<option value="beneficiary">Beneficiary</option>
													</select>
												</div>
											</div>
											
											<div class="col-md-4">
												<div class="col-md-12">
													<label>
														Select Language
													</label>
												</div>
												<div class="col-md-12">
													<select class="form-control"  id="select_language" name="select_language">
														<option value="">--Select--</option>
														<option value="english">English</option>
														<option value="hindi">Hindi</option>
													</select>
												</div>
											</div>
									
											<div class="col-md-4"></div>
											
										</div>
									
										<div class="col-md-12" style="margin-top:15px;">
										
											<div class="col-md-4"></div>
											<div class="col-md-4">
												<label id="lbl_total_count"></label>
											</div>
											<div class="col-md-4"></div>
										
										</div>
									
									</div>
									
								</div>
								
							</div>
							<!-- END SIMPLE DATATABLE -->

						</div>
						
						<div class="col-md-12">
						
							<div class="row" border="2" border-color="black" style="padding: 10px; margin-top: 5px; background: white;">
							  <table class="table">
								 <thead>
									<tr>
									   <th>S.No</th>
									   <th>Mobile number</th>
									   <th>Language <br>selected</th>
									   <th>Flow <br>selected</th>
									   <th>Request for <br>certification</th>
									   <th>Created At</th>
									   <th>Updated At</th>
									   <th>Status</th>
									   <th>Action</th>
									</tr>
								 </thead>
								 <tbody id="result" style="font-size:13px">
								 </tbody>
							  </table>
							  <div class="pagination"></div>
						   </div>
						
						</div>
							
					</div>                                
            	
					<!-- Modal -->
					<div class="modal" id="modal_update_status" role="dialog">

						<div class="modal-dialog">

							<!-- Modal content-->
							<div class="modal-content">
								
								<div class="modal-body">
									
									<div class="row">
										
										<div class="col-md-12">

											<form name="formname" method="post">

												<div class="col-md-12">

													<label style="font-size: 20px; ">UPDATE STATUS</label>

												</div>

												<div class="col-md-12" style="margin-left: 0px">
													
													<div class="col-md-12">
														
														<div class="col-md-12">
															<label>
																Select Status
															</label>
														</div>
														
														<div class="col-md-12">
															<select class="form-control"  id="select_status" name="select_status">
																<option value="Resolved">Resolved</option>
																<option value="Pending">Pending</option>
																<option value="Callback">Callback</option>
															</select>
													
														</div>
													
													</div>
														
													<div class="col-md-12" style="margin-top:20px;">
														<label>
															Enter Comments
														</label>
													</div>
													
													<textarea class="col-md-12 form-control" id="comments_val" style="margin:15px;" name="comments_val" rows="2" maxlength="100">
													</textarea>

													<div class="col-md-12">
														<div class="col-md-3"></div>
														<input type="button" class="col-md-3 btn btn-primary" style="margin:20px; font-weight:bold;" id="btn_update_status" name="update_modal" value="UPDATE">
														<input type="button" class="col-md-3 btn btn-primary" style="margin:20px; font-weight:bold;" id="btn_update_modal_close" name="update_modal" value="CLOSE">
														<div class="col-md-3"></div>
													</div>

												</div>
												
											</form>
											
										</div>
										
									</div>
									
								</div>

							</div>

						</div>
						
					</div>
					<!--End Modal-->
				
                </div>
                <!-- END WIDGETS --> 

			<!-- END PAGE CONTENT -->
            </div>
			
		</div>
		      
            <!-- END PAGE CONTAINER -->
            <?php include 'includes/header_logout.php'; ?>
            <!-- START SCRIPTS -->
			
			<!--Pagination-->
			<script type="text/javascript" src="js/jquery-bootpag.js"></script>
			<script src="js/jquery.bootpag.min.js"></script>

            <script type="text/javascript" src="js/p2_helpline_number_data.js?randStr=<?php echo $randStr; ?>"></script>
            <!-- END TEMPLATE -->
            <!-- END SCRIPTS -->
    </body>
	
</html>
