<?php
   session_start();
   
   $randStr = rand();
   
   if(!isset($_SESSION['user_id']))
	{
		header('Location: okmytf');
        exit();
	}
	
	$now = time(); // Checking the time now when home page starts.

if ($now > $_SESSION['expire']) {
    session_destroy();
    header('Location: okmytf');
    exit();
}
   
   function getUserIpAddr() {
       if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
           //ip from share internet
           $ip = $_SERVER['HTTP_CLIENT_IP'];
       } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
           //ip pass from proxy
           $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
       } else {
           $ip = $_SERVER['REMOTE_ADDR'];
       }
       return $ip;
   }
   
   $ip = getUserIpAddr();
   
   ?>
<html lang="en">
   <head>
      <!-- META SECTION -->
      <title>CSC</title>
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
      <meta http-equiv="X-UA-Compatible" content="IE=edge" />
      <meta name="viewport" content="width=device-width, initial-scale=1" />
      <link rel="icon" type="image/png" sizes="96x96" href="assets/images/jeevitam.jpg">
      <!-- END META SECTION -->
      <!-- CSS INCLUDE -->        
      <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
      <!-- EOF CSS INCLUDE --> 
      <style>
      /*   .loader{*/
      /*   border: 10px solid #f3f3f3;*/
      /*   border-radius: 90%;*/
      /*   border-top: 10px solid #3498db;*/
      /*   width: 50px;*/
      /*   height: 50px;*/
         -webkit-animation: spin 2s linear infinite; /* Safari */
      /*   animation: spin 2s linear infinite;*/
         /*margin: 130px;*/
      /*   }*/
      /*   @keyframes spin {*/
      /*   0% { transform: rotate(0deg); }*/
      /*   100% { transform: rotate(360deg); }*/
      /*   }*/
      /*   .modal1 {*/
         display: none; /* Hidden by default */
         position: fixed; /* Stay in place */
         z-index: 1; /* Sit on top */
         padding-top: 150px; /* Location of the box */
      /*   left: 0;*/
      /*   top: 0;*/
         width: 100%; /* Full width */
         height: 100%; /* Full height */
         overflow: auto; /* Enable scroll if needed */
         /*background-color: rgb(0,0,0);*/  
      /*   background-color: rgba(0,0,0,0.4);  */
      /*   }*/
      /*   .modal {*/
         display: none; /* Hidden by default */
         position: fixed; /* Stay in place */
         z-index: 1; /* Sit on top */
         padding-top: 20px;  /* Location of the box*/ 
      /*   left: 0;*/
      /*   top: 0;*/
         width: 100%; /* Full width */
         /*min-width: 350px;*/
         height: 100%; /* Full height */
         overflow: auto;  /*Enable scroll if needed*/ 
         background-color: rgb(0,0,0); /* Fallback color */
         background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
      /*   }*/
         /* Modal Content */
      /*   .modal-content {*/
      /*   background-color: #fefefe;*/
      /*   margin: auto;*/
      /*   padding: 20px;*/
      /*   border: 1px solid #888;*/
      /*   width: 45%;*/
      /*   }*/
      /*   .close:focus {*/
      /*   text-decoration: none;*/
      /*   cursor: pointer;*/
      /*   }*/
      /*   .close:hover{*/
      /*   color: #6f6f6f;*/
      /*   font-weight: bold;*/
      /*   }*/
      /*   .close_state:focus {*/
      /*   text-decoration: none;*/
      /*   cursor: pointer;*/
      /*   }*/
      /*   .close_state:hover{*/
      /*   color: #6f6f6f;*/
      /*   font-weight: bold;*/
      /*   }*/
      </style>
   </head>
   <body>
      <!-- START PAGE CONTAINER -->
      <div class="page-container">
         <!-- START PAGE SIDEBAR -->
         <?php include 'includes/sidebar.php'; ?>
         <!-- END PAGE SIDEBAR -->
         <!-- PAGE CONTENT -->
         <div class="page-content">
            <!-- START X-NAVIGATION VERTICAL -->
            <?php include 'includes/header.php'; ?>
            <!-- END X-NAVIGATION VERTICAL -->                     
            <!-- START BREADCRUMB -->
            <ul class="breadcrumb">
               <li><a href="#">Home</a></li>
               <li class="active">Upload Credentials</li>
            </ul>
            <!-- END BREADCRUMB -->                       
            <!-- PAGE CONTENT WRAPPER -->
            <div class="page-content-wrap">
               <!-- START WIDGETS -->                    
               <div class="col-md-12">
                  <br>
                  <br>
                  <h3>Upload Credentials</h3>
               </div>
	       <div class="form-group">
<form action="../CSCIntegration/api/csc_admin/download-training-report-excel.php" method="post" id="training_form_reg">
                  <div class="col-md-12">
                     <!--<label class="col-md-2 control-label">From Date:</label>-->
                     <div class="col-md-4">      
                        <span class="help-block">Registration From Date <span style="color: red;" id="err_from_date">*</span></span>
                        <input type="date" class="form-control" id="from_date" name="from_date">
                        
                     </div>
                     <!--<label class="col-md-2 control-label">To date:</label>-->
                     <div class="col-md-4">     
                        <span class="help-block">Registration To Date <span style="color: red;" id="err_to_date">*</span></span>
                        <input type="date" class="form-control" id="to_date" name="to_date">
                        
                     </div>
                     
                     <div class="col-md-4" id='total_leads_div'>
                         <br>
                        <center style="font-size:14px;">Total Candidates : <span id="total" style="font-size:16px;font-weight:bold;color:black"></span></center>
                     </div>
                     
                     </div>
                     
                     <div class="col-md-12" style = "margin-top:20px">
                     <div class="col-md-4">         
                        <span class="help-block">Select State <span style="color: red;" id="err_state"></span></span>
                        <select class="form-control" id="state" name="state"></select>
                        
                     </div>
                     <div class="col-md-4">     
                        <span class="help-block">Select District <span style="color: red;" id="err_city"></span></span>
                        <select class="form-control" id="city" name="city"></select>
                        
                     </div>
                     
                     <div class="col-md-4">     
                        <span class="help-block">Select CSC Id <span style="color: red;" id="err_vle_id"></span></span>
                        <select class="form-control" id="vle_id" name="vle_id"></select>
                        
                     </div>
                     
                  </div>
                  
                  
                  <div class="col-md-12" style="margin:20px;">
                     <div class="col-md-3">
                        <center><button class="btn btn-primary" type="button"  id="ok" name="ok"> Ok</button></center>
                     </div>
                     
                     <div class="col-md-4">
                        <center><input class="btn btn-primary" id="down_load" type="submit" name="download" value="Download Excel" /></center>
                     </div>
                     
                     <div class="col-md-4">
                        <center><button class="btn btn-primary" type="button" id="upload" name="upload"> Upload Excel</button></center>
                     </div>
		  </div>
</form>
               </div>
               <div class="row" border="2" border-color="black" style="padding: 10px;margin-top: 30px;background: white;">
                  <table class="table">
                     <thead>
                        <tr>
                            <th>Candidate Id</th>
                            <th>Candidate Name</th>
                           <th>Email</th>
                           <th>IBM Credential Generated Date</th>
                           
                        </tr>
                     </thead>
                     <tbody id="result" style="font-size:13px">
                     </tbody>
                  </table>
                  <div class="pagination"></div>
               </div>
               
               <div class="modal fade" id="modal_update_date" role="dialog">
				<div class="modal-dialog">

					<!-- Modal content-->
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal">&times;</button>
							<h4 class="modal-title">Update Credential Created Date</h4>
						</div>
						<div class="modal-body">
							<div class="row">
								<div class="col-md-12">

									<form method="post" action="../CSCIntegration/api/csc_admin/update-credential-date-for-candidate.php" id="upload-form" name="upload-form" enctype="multipart/form-data">
										<div class="col-md-12" style="margin-top:10px">
											<!--<div class="col-md-6">-->
												<div class="form-group">
													<label>Upload :</label><span style="margin-left:10px;font-weight:bold;color: red" id ="err_mail"></span><br>	
													<input type="file" class="form-control"  id="credential_date" name="credential_date" required>
												</div>
											<!--</div>-->
										</div>
										<div class="col-md-12" style="float: right">
											<input type="button" class="btn btn-default" data-dismiss="modal" value="Cancel" style="font-weight:bold;margin-top: 20px;">
											<input type="submit" class="btn btn-primary" style="margin-top:20px;font-weight:bold;margin-left: 20px" id="btn_update_training" name="Update" value="Update"><br>
										</div>
										
									</form>
								</div>
							</div>
						</div>

					</div>

				</div>
			</div>
            </div>
         </div>
      </div>
      <!-- END PAGE CONTENT WRAPPER -->                                
      <!-- END PAGE CONTENT -->
      <!-- END PAGE CONTAINER -->
      <!-- MESSAGE BOX-->
      <?php include 'includes/header_logout.php'; ?>
      <!-- END MESSAGE BOX-->
      <!-- START PRELOADS -->
      <audio id="audio-alert" src="audio/alert.mp3" preload="auto"></audio>
      <audio id="audio-fail" src="audio/fail.mp3" preload="auto"></audio>
      <!-- END PRELOADS -->                  
      <!-- START SCRIPTS -->
      <!-- START PLUGINS -->
      <!--Default plugins for this template-->
      <script type="text/javascript" src="js/jquery/jquery.min.js"></script>
      <script type="text/javascript" src="js/jquery/jquery-ui.min.js"></script>
      <script type="text/javascript" src="js/bootstrap/bootstrap.min.js"></script>   
      <script type='text/javascript' src='js/plugins/jquery.validate.js'></script>  
      <script type="text/javascript" src="js/plugins.js"></script>
      <script type="text/javascript" src="js/actions.js"></script>
      <!--Pagination--> 
      <script type="text/javascript" src="js/jquery-bootpag.js"></script>
      <script src="js/jquery.bootpag.min.js"></script>
      <!-- END PLUGINS -->
      <script type="text/javascript">var cscId = '<?php echo $cse_id; ?>';</script>
      <script type="text/javascript" src="js/training-report.js?randStr=<?php echo $randStr; ?>"></script>
      <!-- END TEMPLATE -->
      <!-- END SCRIPTS -->         
   </body>
</html>
