<?php
   session_start();
   
   $randStr = rand();
   
   
   function getUserIpAddr() {
       if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
           //ip from share internet
           $ip = $_SERVER['HTTP_CLIENT_IP'];
       } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
           //ip pass from proxy
           $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
       } else {
           $ip = $_SERVER['REMOTE_ADDR'];
       }
       return $ip;
   }
   
   $ip = getUserIpAddr();
   
   ?>
<html lang="en">
   <head>
      <!-- META SECTION -->
      <title>Update Status </title>
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
      <meta http-equiv="X-UA-Compatible" content="IE=edge" />
      <meta name="viewport" content="width=device-width, initial-scale=1" />
      <link rel="icon" type="image/png" sizes="96x96" href="assets/images/jeevitam.jpg">
      <!-- END META SECTION -->
      <!-- CSS INCLUDE -->        
      <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>
      <!-- EOF CSS INCLUDE --> 
     
   </head>
   <body>
      <!-- START PAGE CONTAINER -->
      <div class="page-container">
         <!-- START PAGE SIDEBAR -->
         <?php include 'includes/sidebar.php'; ?>
         <!-- END PAGE SIDEBAR -->
         <!-- PAGE CONTENT -->
         <div class="page-content">
            <!-- START X-NAVIGATION VERTICAL -->
            <?php include 'includes/header.php'; ?>
            <!-- END X-NAVIGATION VERTICAL -->                     
            <!-- START BREADCRUMB -->
            <ul class="breadcrumb">
               <li><a href="#">Home</a></li>
               <li class="active">Update Status</li>
            </ul>
            <!-- END BREADCRUMB -->                       
            <!-- PAGE CONTENT WRAPPER -->
            <div class="page-content-wrap">

                    <div class="row">
                        <div class="col-md-12">

                            <form id="jvalidate" method="post" action="../CSC22API/api/csc_admin/update_job_status.php" enctype="multipart/form-data" role="form" class="form-horizontal" >
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h1  style="font-size: 20px; font-weight: bold; padding: 5px;">Update Status </h1>
                                        <ul class="panel-controls">
                                        </ul>
                                    </div>
                                    <div class="panel-body">                                                                        

                                        <div class="row">
                                            <div class="col-md-2"></div>
                                            <div class="col-md-8">

                                                <div class="form-group">
                                                    <label class="col-md-4 control-label">Status :</label>

                                                    <div class="col-md-8">   
                                                        
                                                        <select id="status" name="status" class="form-control">
                                                            <option value="">select status</option>
                                                            <option value="interview_scheduled">Interview Schedule</option>
                                                            <option value="offer_made">Offer Made</option>
                                                        </select>
                                                        
                                                        <span class="help-block">status</span>

                                                    </div>
                                                </div>

                                                
                                                <div class="form-group">
                                                    <label class="col-md-4 control-label">Upload :</label>

                                                    <div class="col-md-8">   
                                                        <!--<div class="input-group">-->
                                                            <!--<span class="input-group-addon"><span class="fa fa-pencil"></span></span>-->
                                                        <input id="update_status" name="update_status" class="form-control" type="file">
                                                        <!--</div>-->
                                                        <span class="help-block">Upload File</span>

                                                    </div>
                                                </div>

                                            </div>
                                            <div class="col-md-2"></div>
                                        </div>

                                    </div>
                                    <div class="panel-footer">
                                        <!--<button class="btn btn-primary"  name="download_pdf"  id="download_pdf">Download As PDF</button>-->
                                        <center><button type="submit" class="btn btn-primary">Submit</button></center>
                                    </div>

                                </div>
                            </form>

                        </div>
                    </div>   



                </div>
         </div>
      </div>
      <!-- END PAGE CONTENT WRAPPER -->                                
      <!-- END PAGE CONTENT -->
      <!-- END PAGE CONTAINER -->
      <!-- MESSAGE BOX-->
      <?php include 'includes/header_logout.php'; ?>
      <!-- END MESSAGE BOX-->
      <!-- START PRELOADS -->
      <audio id="audio-alert" src="audio/alert.mp3" preload="auto"></audio>
      <audio id="audio-fail" src="audio/fail.mp3" preload="auto"></audio>
      <!-- END PRELOADS -->                  
      <!-- START SCRIPTS -->
      <!-- START PLUGINS -->
      <!--Default plugins for this template-->
      <script type="text/javascript" src="js/jquery/jquery.min.js"></script>
      <script type="text/javascript" src="js/jquery/jquery-ui.min.js"></script>
      <script type="text/javascript" src="js/bootstrap/bootstrap.min.js"></script>   
      <!--<script type='text/javascript' src='js/plugins/jquery.validate.js'></script>  -->
      <script type="text/javascript" src="js/plugins.js"></script>
      <script type="text/javascript" src="js/actions.js"></script>
      
      <script type="text/javascript">var cscId = '<?php echo $cse_id; ?>';</script>
      <!--<script type="text/javascript" src="js/training-report.js?randStr=<?php echo $randStr; ?>"></script>-->
      <!-- END TEMPLATE -->
      <!-- END SCRIPTS -->         
   </body>
</html>
