<?php
	
	session_start();
	$randStr = rand();
	$id = $_SESSION['id'];

?>

<!DOCTYPE html>
<html lang="en">
    <head>        
        <!-- META SECTION -->
        <title>View Training Programs</title>            
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />

        <link rel="icon" href="logo-web.jpg" type="image/x-icon" />
        <!-- END META SECTION -->

        <!-- CSS INCLUDE -->        
        <link rel="stylesheet" type="text/css" id="theme" href="css/theme-default.css"/>

		<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
		<link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
		<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
		<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js"></script>
		
        <style>
		
			table, th, td {
			  border: 1px solid black;
			  text-align: center;
			}

			.ellipsis {
				max-width: 40px;
				text-overflow: ellipsis;
				overflow: hidden;
				white-space: nowrap;
			}
		</style>
		
        <!-- EOF CSS INCLUDE -->                                     
    </head>
    <body>
        <!-- START PAGE CONTAINER -->
        <div class="page-container">

            <!-- START PAGE SIDEBAR -->
            <?php include 'includes/sidebar.php'; ?>

            <!-- END PAGE SIDEBAR -->

            <!-- PAGE CONTENT -->
            <div class="page-content">

                <!-- START X-NAVIGATION VERTICAL -->

                <?php include 'includes/header.php'; ?>

                <!-- PAGE TITLE -->
                <div class="page-title">                    
                    <h4>View Training Programs</h4>
                </div>
                <!-- END PAGE TITLE -->                

                <!-- PAGE CONTENT WRAPPER -->
                <div class="page-content-wrap">                

                    <div class="row">
                        <div class="col-md-12">

                            <!-- START SIMPLE DATATABLE -->
                            <div class="panel panel-default">
							
                                <div class="panel-body">
                                    <div class="form-group">

										<div class="col-md-12 hidden" style="margin-bottom:10px;">
										
											<table style="width:100%">
											
											  <tr style="background-color:#18A558; color:#ffffff;">
												<th style="text-align: center;"><b>No.of Sessions <br> Completed</b></th>
												<th style="text-align: center;"><b>Registrations Count <br> (Jeevitam)</b></th>
												<th style="text-align: center;"><b>Registrations Count <br> (CyberGyan)</b></th>
												<th style="text-align: center;"><b>Attendance</b></th> 
												<th style="text-align: center;"><b>Feedback received</b></th> 
											  </tr>
											  
											  <tr style="color:#0000FF; font-size:18px;">
												<td id="td_total_programs_completed" >0</td>
												<td id="td_total_candidates_from_jeevitam_page" >0</td>
												<td id="td_total_candidates_from_cyber_gyan" >0</td>
												<td id="td_total_attendance_marked" >0</td>
												<td id="td_total_feedback_received" >0</td>         
											  </tr>
											  
											</table>
											
										</div>
										
										<div class="col-md-12" style="">
											
											<div class="col-md-8" style="padding:5px;">
											
												<div class="col-md-12">
													
													<div class="col-md-6">
													
														<label class="col-md-12 control-label">Select State : </label>
														<select class="form-control col-md-12"  id="vle_state" name="vle_state"></select>
															
													</div>
												
													<div class="col-md-6">
													
														<label class="col-md-12 control-label">Select District : </label>
														<select class="form-control col-md-12"  id="vle_city" name="vle_city"></select>
															
													</div>
													
												</div>
												
												<div class="col-md-12" style="margin-top:10px;">
												
													<div class="col-md-6">
											
														<label class="col-md-12 control-label">Select VLE : </label>
														<select class="form-control col-md-8"  id="vle_id" name="vle_id"></select>
															
													</div>
																							
													<div class="col-md-6" style="vertical-align: middle;" >
													
														<center>															
															<label id="lbl_total_count" style="margin-top:5px; vertical-align: middle; padding:4px; font-size:15px; font-weight:bold; color:blue;" class="control-label">
																
															</label>
														</center>
														
													</div>
											
												</div>
												
											</div>
											
											<div class="col-md-4" style="padding:5px; border-radius: 5px; background-color: #afcdfa;">
											
												<div class="col-md-12">      
													<label class="col-md-12 control-label"> Training Program -  <b>FROM Date</b> : </label>
													<input type="date" class="form-control" id="training_program_from_date" name="training_program_from_date">                        
												</div>
											
												<div class="col-md-12" style="margin-top:10px;">      
													<label class="col-md-12 control-label"> Training Program -  <b>TO Date</b> : </label>
													<input type="date" class="form-control" id="training_program_to_date" name="training_program_to_date">                        
												</div>
											
											</div>
											
										</div>

										<div id="div_custom_dates_summary" class="col-md-12" style="margin-top:10px; margin-bottom:10px; display:none;">
										
											<table style="width:100%">
											
											  <tr style="background-color:#FFFF8F; color:#000000;">
												<th style="text-align: center;"><b>No.of Sessions <br> Completed</b></th>
												<th style="text-align: center;"><b>Registrations Count <br> (Jeevitam)</b></th>
												<th style="text-align: center;"><b>Registrations Count <br> (CyberGyan)</b></th>
												<th style="text-align: center;"><b>Attendance</b></th> 
												<th style="text-align: center;"><b>Feedback received</b></th> 
											  </tr>
											  
											  <tr style="color:#0000FF; font-size:18px;">
												<td id="td_2_total_programs_completed" >0</td>
												<td id="td_2_total_candidates_from_jeevitam_page" >0</td>
												<td id="td_2_total_candidates_from_cyber_gyan" >0</td>
												<td id="td_2_total_attendance_marked" >0</td>
												<td id="td_2_total_feedback_received" >0</td>         
											  </tr>
											  
											</table>
											
										</div>
										
										<div class="col-md-12" style="padding:5px; margin-bottom:10px;" >
											
											<center>
											
												<div class="col-md-4">
													<button class="btn btn-primary" id="btn_submit" name="btn_submit">
														Submit
													</button>
												</div>
											
												<div class="col-md-4">
													<center>
														<button class="btn btn-primary" id="btn_download_data" name="btn_download_data" style="display:none;">
															Download Data
														</button>
													</center>
												</div>
											
											</center>
											
										</div>
								
									</div>
                                    
                                    <table class="table" style="margin-top: 25px">
                                        <thead>
                                           
											<tr style="border: 4px solid #000000;">
                                                <th style="vertical-align: middle;"><center>Centre name</center></th>
												<th style="vertical-align: middle;"><center>Training program <br>Date</center></th>
												<th style="vertical-align: middle;"><center>Is Completed?</center></th>
                                                <th style="vertical-align: middle;"><center>State/UT</center></th>
                                                <th style="vertical-align: middle;">City/Town/District</th>
                                                <th style="vertical-align: middle;"><center>VLE</center></th>
												<th hidden style="vertical-align: middle;"><center>Status</center></th>
                                                <th style="vertical-align: middle;"><center>Registrations</center></th>
                                                <th style="vertical-align: middle;"><center>Attendance</center></th>
												<th style="vertical-align: middle;"><center>Feedback <br>Recevied</center></th>
                                                <th style="vertical-align: middle;"><center>View Candidates</center></th>
												<th style="vertical-align: middle;"><center>Download Report</center></th>
                                            </tr>
											
                                        </thead>
                                        <tbody id="result"></tbody>
                                    </table>
                                    <div class="pagination"></div>
                                    
                                    
                                </div>
                            </div>
                            <!-- END SIMPLE DATATABLE -->

                        </div>
                    </div>                                

                </div>
                <!-- PAGE CONTENT WRAPPER -->                                
            </div>    
            <!-- END PAGE CONTENT -->
        </div>
        <!-- END PAGE CONTAINER -->       

        <!-- MESSAGE BOX-->
        <div class="message-box animated fadeIn" data-sound="alert" id="mb-signout">
            <div class="mb-container">
                <div class="mb-middle">
                    <div class="mb-title"><span class="fa fa-sign-out"></span> Log <strong>Out</strong> ?</div>
                    <div class="mb-content">
                        <p>Are you sure you want to log out?</p>                    
                        <p>Press No if you want to continue work. Press Yes to logout current user.</p>
                    </div>
                    <div class="mb-footer">
                        <div class="pull-right">
                            <a href="index.php" class="btn btn-success btn-lg">Yes</a>
                            <button class="btn btn-default btn-lg mb-control-close">No</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END MESSAGE BOX-->

        <!-- START PRELOADS -->
        <audio id="audio-alert" src="audio/alert.mp3" preload="auto"></audio>
        <audio id="audio-fail" src="audio/fail.mp3" preload="auto"></audio>
        <!-- END PRELOADS -->                       
		
		<!-- inject:js -->
		<script src="../JeevitamV2/js/off-canvas.js"></script>
		<script src="../JeevitamV2/js/hoverable-collapse.js"></script>
		<script src="../JeevitamV2/js/template.js"></script>
		<script src="../JeevitamV2/js/settings.js"></script>
		<script src="../JeevitamV2/js/todolist.js"></script>
		
        <!-- END TEMPLATE -->
		<script type="text/javascript">var id = '<?php echo $id; ?>';</script>
        <script type="text/javascript" src="js/view_training_programs.js?randStr=<?php echo $randStr; ?>"></script>

        <!-- END SCRIPTS --> 

    </body>
	
</html>
