<?php

include_once '../controller/SFLeadsController.php';
include_once '../utils/Utils.php';

$sfLeadscontroller = new SFLeadsController();
$data = json_decode(file_get_contents("php://input"), true);

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($data)) { 
        $results = $sfLeadscontroller->createLeads($data);               // Create Leads
        echo $results;
    }
} 
elseif ($_SERVER['REQUEST_METHOD'] === 'GET') {
    if (isset($_GET['session_token']) && isset($_GET['user_id'])) {
        $results = $sfLeadscontroller->getLeads($_GET);                  // Get Leads
        echo $results;
    }
} 
elseif ($_SERVER['REQUEST_METHOD'] === 'PUT') {
    if (isset($data['session_token']) && isset($data['user_id']) && isset($data['lead_id'])) {
        $results = $sfLeadscontroller->updateLeads($data);                // Update Leads
        echo $results;
    } 
}

