<?php

include_once '../controller/SFTaskController.php';
include_once '../utils/Utils.php';


$taskForSFController = new TaskForSFController();
$data = json_decode(file_get_contents("php://input"), true);

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($data)) { 
        $results = $taskForSFController->createTask($data);        // Create Task For Admin
        echo $results;
    }
} 
elseif ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($data['session_token']) && isset($data['user_id']) && isset($data['sf_assignment_id'])) {
        $results = $taskForSFController->addTask($data);                               // Add Task For App
        echo $results;
    }
}
elseif ($_SERVER['REQUEST_METHOD'] === 'GET') {
    if (isset($_GET['sf_assignment_id']) && isset($_GET['user_id']) && isset($_GET['session_token'])) {
        $results = $taskForSFController->getTask($_GET);                                       // Get Task
        echo $results;
    }
} 
elseif ($_SERVER['REQUEST_METHOD'] === 'PUT') {
    if (isset($data['session_token']) && isset($data['task_id']) && isset($data['sf_assignment_id']) && isset($data['user_id'])) {
        $results = $taskForSFController->updateTask($data);                           // Update Task
        echo $results;
    } 
    elseif (isset($data['session_token']) && isset($data['task_id']) && isset($data['user_id']) && isset($data['photos'])) {
        $results = $taskForSFController->updatePhotos($data);  // Update Photos
        echo $results;
    } 
    elseif (isset($data['session_token']) && isset($data['task_id']) && isset($data['user_id']) && isset($data['videos'])) {
        $results = $taskForSFController->updateVideos($data);  // Update Videos
        echo $results;
    }
}
