<?php

require_once '../database/Db.php';
require_once '../repository/Crud.php';
include_once '../utils/Utils.php';
include_once '../utils/SuperApp.php';


class AssignUserController{

    public function getUserListAdmin(){

        $db = getDb();
        $crud = new Crud();
        $response = [];
        $stmt = $db->prepare("SELECT id, first_name, last_name, mobile_number FROM `users_v2` ");
        $rowUser = $crud->getAllWithoutJSON($stmt);
        // print_r($rowUser);
        $decryptData = $this->decryptUserList($rowUser);
        return json_encode($decryptData);            
    }

    

    private function decryptUserList($rowUser){
        $users_array = [];
        foreach($rowUser as $row){
            $obj = new stdClass();

            $obj-> username = $this->decrypt($row['username']);
            $obj-> first_name = $this->decrypt($row['first_name']);
            $obj-> last_name = $this->decrypt($row['last_name']);
            $obj->id = $row['id'];
    
            $users_array[] = $obj;
        }    
        return $users_array;   
    }

    private function decrypt($data)
    {
        //todo: put this in .env file....
        $decrypted_key = base64_decode(ENCRYPTION_KEY);
        $decrypted_iv = base64_decode(ENCRYPTION_IV);
        return openssl_decrypt($data, CIPHER, $decrypted_key, OPENSSL_RAW_DATA, $decrypted_iv);
    }
}

