<?php

class User
{

    private $user_name;
    private $mobile_number;
    private $email_id;
    private $first_name;
    private $last_name;
    private $city;
    private $state;
    private $pincode;
    private $qualification;

    private $given_password;

    private $address;
    
    private $degree;

    private $experience;



public function getDegree()
    {
        return $this->degree;
    }

    public function setDegree($degree)
    {
        $this->degree = $degree;
    }


    public function getExperience()
    {
        return $this->experience;
    }

    public function setExperience($experience)
    {
        $this->experience = $experience;
    }




    /**Setting the encryption */

    public function getUserName()
    {
        return $this->decrypt($this->user_name);
    }

    public function setUserName($user_name)
    {
        $this->user_name = $this->encrypt($user_name);
    }

    public function getPassword()
    {
        return $this->decrypt($this->given_password);
    }

    public function setPassword($given_password)
    {
        $this->given_password = $this->encrypt($given_password);
    }

    // Getter and Setter for mobile_number
    public function getMobileNumber()
    {
        return $this->decrypt($this->mobile_number);
    }

    public function setMobileNumber($mobile_number)
    {
        $this->mobile_number = $this->encrypt($mobile_number);
    }

    // Getter and Setter for email_id
    public function getEmailId()
    {
        return $this->decrypt($this->email_id);
    }

    public function setEmailId($email_id)
    {
        $this->email_id = $this->encrypt($email_id);
    }

    // Getter and Setter for first_name
    public function getFirstName()
    {
        return $this->decrypt($this->first_name);
    }

    public function setFirstName($first_name)
    {
        $this->first_name = $this->encrypt($first_name);
    }

    // Getter and Setter for last_name
    public function getLastName()
    {
        return $this->decrypt($this->last_name);
    }

    public function setLastName($last_name)
    {
        $this->last_name = $this->encrypt($last_name);
    }
    ////////////////////encryption ends here//////////////////////////////////////

    public function getAddress()
    {
        return $this->address;
    }

    public function setAddress($address)
    {
        $this->address = $address;
    }


    // Getter and Setter for city
    public function getCity()
    {
        return $this->city;
    }

    public function setCity($city)
    {
        $this->city = $city;
    }

    // Getter and Setter for state
    public function getState()
    {
        return $this->state;
    }

    public function setState($state)
    {
        $this->state = $state;
    }

    // Getter and Setter for pincode
    public function getPincode()
    {
        return $this->pincode;
    }

    public function setPincode($pincode)
    {
        $this->pincode = $pincode;
    }

    // Getter and Setter for qualification
    public function getQualification()
    {
        return $this->qualification;
    }

    public function setQualification($qualification)
    {
        $this->qualification = $qualification;
    }


    /**Call all this below function only after using encryption */


    public function getEncryptedUserName()
    {
        return $this->user_name;
    }

    public function getEncryptedFirstName()
    {
        return $this->first_name;
    }

    public function getEncryptedLastName()
    {
        return $this->last_name;
    }

    public function getEncryptedPassword()
    {
        return $this->given_password;
    }

    public function getEncryptedMobileNumber()
    {
        return $this->mobile_number;
    }

    public function getEncryptedEmailId()
    {
        return $this->email_id;
    }

    /////////////////////////////////////////////////////////////////
    public function set($data)
    {


        foreach ($data as $key => $value) {

            $this->{$key} = $value;
        }
    }


    /**
     * 
     * Add this method on all the encryption needed model
     */

    // Encrypt method
    private function encrypt($data)
    {

        $decrypted_key = base64_decode(ENCRYPTION_KEY);
        $decrypted_iv = base64_decode(ENCRYPTION_IV);
        return openssl_encrypt($data, CIPHER, $decrypted_key, OPENSSL_RAW_DATA, $decrypted_iv);
    }

    // Decrypt method
    private function decrypt($data)
    {
        $decrypted_key = base64_decode(ENCRYPTION_KEY);
        $decrypted_iv = base64_decode(ENCRYPTION_IV);
        return openssl_decrypt($data, CIPHER, $decrypted_key, OPENSSL_RAW_DATA, $decrypted_iv);
    }
}
