<?php
// session_start();
// $user_id = '68';
// $randStr = rand();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Activity</title>

    <!-- Base CSS -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">

    <!-- Plugin CSS -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">

    <!-- Custom CSS -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png">
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">

    <!-- jQuery and SweetAlert -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
</head>

<body>
<div class="container-scroller">
    <!-- Header -->
    <div class="row col-md-12">
        <?php include 'includes/sf_header.php'; ?>
    </div>

        <div class="container-fluid position-sticky page-body-wrapper">
            <!-- Sidebar -->
            <?php include 'includes/sf_sidebar.php'; ?>

            <div class="main-panel">
                <div class="content-wrapper">
                    <center>
                        <div class="row" style="margin:10px;">
                            <div class="label_white card"><label>Campus</label></div>
                            <div class="label_00"><label> -> </label></div>
                            <div class="label_white card"><label>Create Job Fair</label></div>
                        </div>
                    </center>

                    <!-- Form Section -->
                    <div class="row justify-content-center col-md-12">
                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="card-title">Activity Form</h4>
                                    <p class="card-description">Activity Details</p>
                                    <form class="forms-sample"  id="activity_form" method="POST" enctype="multipart/form-data">

                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Brand</label>
                                            <div class="col-sm-9">
                                                <select class="form-control dark-border" id="brand" name="brand">
                                                    <option value="">Select Brand Name</option>
                                                </select>
                                            </div>
                                            <span style="color: red;font-size:12px;margin-left:15px" id="err_brand"></span>
                                        </div>

                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Assignment Name</label>
                                            <div class="col-sm-9">
                                                <div class="input-container">
                                                    <!-- <input type="text" id="assignment_name" name="assignment_name" class="form-control" placeholder="Enter Assignment Name"> -->
                                                <select class=" form-control dark-border" id="assignment_name" name="assignment_name">
                                                    <option value="">Select Assignment Name</option>	
                                                    <!-- <option value="ass1">ass1</option> -->
                                                </select>
                                                </div>
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_assignment_name"></span>
                                            </div>
                                        </div>

                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Activity Name</label>
                                            <div class="col-sm-9">
                                                <input type="text" id="activity_name" name="activity_name" class="form-control" placeholder="Enter Activity Name">
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_activity_name"></span>
                                            </div>
                                        </div>

                                        <!-- Location -->
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Location</label>
                                            <div class="col-sm-9">
                                                <input type="text" class="form-control dark-border" id="activity_location" 
                                                name="ativity_location" placeholder="https://maps.app.goo.gl/...">
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_activity_location"></span>
                                            </div>
                                        </div>

                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Pincode</label>
                                            <div class="col-sm-9">
                                                <input type="text" class="form-control dark-border" id="pincode" name="pincode">
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_pincode"></span>
                                            </div>
                                        </div>

                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Area</label>
                                            <div class="col-sm-9">
                                                <input type="text" class="form-control dark-border" id="area" name="area">
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_area"></span>
                                            </div>
                                        </div>

                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Activity Description</label>
                                            <div class="col-sm-9">
                                                <textarea name="activity_desc" id="activity_desc" class="form-control"></textarea>
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_activity_desc"></span>
                                            </div>
                                        </div>

                                        <div class="form-group row">
                                            <label for="activity_file" class="col-sm-3 col-form-label">Document</label> 
                                            <div class="col-sm-9">
                                                <input type="file" class="form-control" id="activityFile" name="files" placeholder="Upload file"><br><br>
                                            </div>    
                                        </div>       

                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Start Date</label>
                                            <div class="col-sm-9">
                                                <input type="date" class="form-control" name="start_date" id="start_date">
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_start_date"></span>
                                            </div>
                                        </div>

                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">End Date</label>
                                            <div class="col-sm-9">
                                                <input type="date" class="form-control" name="end_date" id="end_date">
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_end_date"></span>
                                            </div>
                                        </div>

                                        <!-- Start and End Times -->
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Start Time</label>
                                            <div class="col-sm-9">
                                                <input type="time" class="form-control" id="start_time" name="start_time">
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_start_time"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">End Time</label>
                                            <div class="col-sm-9">
                                                <input type="time" class="form-control" id="end_time" name="end_time">
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_end_time"></span>
                                            </div>
                                        </div>

                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">LMS</label>
                                            <div class="col-sm-9">
                                                <select class=" form-control dark-border" id="lms_category" name="lms_category">
                                                    <option value="">Select LMS</option>
                                                    <option value="Telecalling">Telecalling</option>	
                                                    <option value="Customer Support">Customer Support</option>
                                                    <option value="Sales Management">Sales Management</option>										
                                                </select>
                                            </div>
                                        </div>

                                        <button type="submit" id="btn_register" class="btn btn-primary mr-2">Submit</button>
                                        <button type="reset" class="btn btn-light">Cancel</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
</div>


    <!-- Javascript Variables -->
    <!-- <script type="text/javascript">
        var val_user_id = '<?php //echo $user_id; ?>';
    </script> -->

    <!-- Javascript Function -->
    <script type="text/javascript">
        $('#btn_signout').click(function() {
            window.open('signout.php', '_self');
        });
    </script>

<script type="text/javascript" src="../JeevitamV2/js/jquery/jquery.min.js"></script>
<script type="text/javascript" src="../JeevitamV2/js/jquery/jquery-ui.min.js"></script>

    <!-- Custom js for this page-->
    <script src="js/activity.js?randStr=<?php echo $randStr; ?>"></script>

</body>
</html>
