<?php
session_start();
$user_id = '68';
$randStr = rand();
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Assignment</title>

    <!-- Base CSS -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/typicons/typicons.css">
    <link rel="stylesheet" href="../JeevitamV2/vendors/css/vendor.bundle.base.css">

    <!-- Plugin CSS -->
    <link rel="stylesheet" href="../JeevitamV2/vendors/select2/select2.min.css">

    <!-- Custom CSS -->
    <link rel="shortcut icon" href="../JeevitamV2/images/ic_logo_jeevitam.png">
    <link rel="stylesheet" href="../JeevitamV2/css/vertical-layout-light/style.css">

    <!-- jQuery and SweetAlert -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
</head>

<body>
    <div class="container-scroller">
        <!-- Header -->
        <div class="row col-md-12">
            <?php include 'includes/sf_header.php'; ?>
        </div>

        <div class="container-fluid position-sticky page-body-wrapper">
            <!-- Sidebar -->
            <?php include 'includes/sf_sidebar.php'; ?>

            <div class="main-panel">
                <div class="content-wrapper">
                    <center>
                        <div class="row" style="margin:10px;">
                            <div class="label_white card"><label>Campus</label></div>
                            <div class="label_00"><label> -> </label></div>
                            <div class="label_white card"><label>Create Job Fair</label></div>
                        </div>
                    </center>

                    <!-- Form Section -->
                    <div class="row justify-content-center col-md-12">
                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="card-title">Assignment Form</h4>
                                    <p class="card-description">Assignment details</p>

                                    <form class="forms-sample"  id="assignment_form">
                                        <!-- Brand -->
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Brand</label>
                                            <div class="col-sm-9">
                                                <select class="form-control dark-border" id="brand" name="brand">
                                                    <option value="">Select</option>
                                                </select>
                                            </div>
                                            <span style="color: red;font-size:12px;margin-left:15px" id="err_brand"></span>
                                        </div>

                                        <!-- Assignment Start and End Dates -->
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Assignment Start Date</label>
                                            <div class="col-sm-9">
                                                <input type="date" class="form-control" id="start_date" name="start_date">
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_start_date"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Assignment End Date</label>
                                            <div class="col-sm-9">
                                                <input type="date" class="form-control" id="end_date" name="end_date">
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_end_date"></span>
                                            </div>
                                        </div>

                                        <!-- Start and End Times -->
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Start Time</label>
                                            <div class="col-sm-9">
                                                <input type="time" class="form-control" id="start_time" name="start_time">
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_start_time"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">End Time</label>
                                            <div class="col-sm-9">
                                                <input type="time" class="form-control" id="end_time" name="end_time">
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_end_time"></span>
                                            </div>
                                        </div>

                                        <!-- Payment Frequency -->
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Payment Frequency</label>
                                            <div class="col-sm-9">
                                                <select class="form-control dark-border" id="pay_frequency" name="pay_frequency">
                                                    <option value="">Select</option>
                                                    <option value="Weekly">Weekly</option>
                                                    <option value="Bi-Weekly">Bi-Weekly</option>
                                                    <option value="Monthly">Monthly</option>
                                                    <option value="EOA">EOA</option>
                                                </select>
                                            </div>
                                            <span style="color: red;font-size:12px;margin-left:15px" id="err_pay_frequency"></span>
                                        </div>

                                         <!-- Assignment Name -->
                                         <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Assignment Name</label>
                                            <div class="col-sm-9">
                                                <input type="text" class="form-control dark-border" id="ass_name" name="ass_name">
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_ass_name"></span>
                                            </div>
                                        </div>

                                        <!-- Assignment Type -->
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Assignment Type</label>
                                            <div class="col-sm-9">
                                                <select class="form-control dark-border" id="ass_type" name="ass_type">
                                                    <option value="">Select</option>
                                                    <option value="Daily">Daily</option>
                                                    <option value="Bi-Weekly">Bi-Weekly</option>
                                                    <option value="Weekend">Weekend</option>
                                                </select>
                                            </div>
                                            <span style="color: red;font-size:12px;margin-left:15px" id="err_ass_type"></span>
                                        </div>

                                        <!-- Complete Date -->
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Assignment Complete Date</label>
                                            <div class="col-sm-9">
                                                <input type="date" class="form-control" id="ass_comp_date" name="ass_comp_date">
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_ass_comp_date"></span>
                                            </div>
                                        </div>

                                        <!-- Description -->
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Description</label>
                                            <div class="col-sm-9">
                                                <textarea class="form-control dark-border" id="desc" name="desc"></textarea>
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_desc"></span>
                                            </div>
                                        </div>

                                        <!-- State & City -->
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">State</label>
                                            <div class="col-sm-9">
                                                <!-- <select class="form-control dark-border" id="state" name="state">
                                                    <option value="">Select</option>
                                                </select> -->
                                                <input type="text" class="form-control dark-border" id="state" name="state">
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_state"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">City</label>
                                            <div class="col-sm-9">
                                                <!-- <select class="form-control dark-border" id="city" name="city">
                                                    <option value="">Select</option>
                                                </select> -->
                                                <input type="text" class="form-control dark-border" id="city" name="city">
                                                <span style="color: red;font-size:12px;margin-left:15px" id="err_city"></span>
                                            </div>
                                        </div>

                                        <!-- Remember Me and Buttons -->
                                        <!-- <div class="form-check form-check-flat form-check-primary">
                                            <label class="form-check-label">
                                                <input type="checkbox" class="form-check-input"> Remember me
                                            </label>
                                        </div> -->
                                        <button type="submit" id="btn_register" class="btn btn-primary mr-2">Submit</button>
                                        <button type="button" class="btn btn-light">Cancel</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div> <!-- End Content Wrapper -->
            </div> <!-- End Main Panel -->
        </div> <!-- End Page Body Wrapper -->
    </div> <!-- End Container Scroller -->


    <!-- Javascript Variables -->
    <script type="text/javascript">
        var val_user_id = '<?php echo $user_id; ?>';
    </script>

    <!-- Javascript Function -->
    <script type="text/javascript">
        $('#btn_signout').click(function() {
            window.open('signout.php', '_self');
        });
    </script>

    <!-- Custom js for this page-->
    <script src="js/assignment.js?randStr=<?php echo $randStr; ?>"></script>

</body>

</html>
